var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 397352;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });





























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,120,154,5,0,58,1,0,0,180,0,0,0,78,0,0,0,206,0,0,0,16,0,0,0,10,0,0,0,12,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,136,154,5,0,58,1,0,0,50,1,0,0,78,0,0,0,206,0,0,0,16,0,0,0,32,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;






























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,38,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,232,123,0,0,110,0,0,0,216,78,5,0,114,0,0,0,0,52,5,0,102,0,0,0,64,170,0,0,97,0,0,0,248,146,0,0,101,0,0,0,176,131,0,0,119,0,0,0,32,119,0,0,87,0,0,0,64,107,0,0,115,0,0,0,128,96,0,0,83,0,0,0,208,89,0,0,100,0,0,0,16,118,5,0,68,0,0,0,248,107,5,0,0,0,0,0,0,0,0,0,248,244,5,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,96,176,0,0,16,174,0,0,104,255,5,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,246,5,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,28,0,0,0,28,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,8,247,5,0,0,0,0,0,144,247,5,0,0,0,0,0,24,248,5,0,0,0,0,0,160,248,5,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,232,56,5,0,136,162,0,0,0,142,0,0,136,127,0,0,240,114,0,0,32,104,0,0,2,0,0,0,0,0,0,0,10,0,0,0,92,0,0,0,92,0,0,0,42,0,0,0,96,0,0,0,10,0,0,0,8,0,0,0,88,0,0,0,208,0,0,0,208,0,0,0,28,0,0,0,8,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,88,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,96,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,184,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,39,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,43], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([40,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,40,249,5,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,44,0,0,0,26,0,0,0,60,0,0,0,52,0,0,0,70,0,0,0,50,0,0,0,26,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,62,0,0,0,80,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,4,0,0,0,20,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,26,0,0,0,60,0,0,0,52,0,0,0,70,0,0,0,50,0,0,0,26,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,62,0,0,0,80,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,4,0,0,0,20,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58,0,0,0,8,0,0,0,22,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58,0,0,0,8,0,0,0,22,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,38,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,38,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,120,161,5,0,16,161,5,0,224,160,5,0,8,161,5,0,248,160,5,0,232,160,5,0,3,0,0,0,0,0,0,0,255,255,255,255,88,255,5,0,88,255,5,0,88,255,5,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,104,63,5,0,48,169,0,0,32,146,0,0,192,130,0,0,104,73,5,0,224,102,5,0,144,1,0,0,0,0,0,0,136,241,5,0,0,0,0,0,72,58,0,0,208,79,0,0,192,1,0,0,208,76,0,0,208,76,0,0,104,55,0,0,192,1,0,0,0,0,0,0,184,59,0,0,64,81,0,0,48,3,0,0,64,78,0,0,64,78,0,0,216,56,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,128,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,150,0,0,152,145,0,0,16,144,0,0,216,142,0,0,104,141,0,0,208,139,0,0,160,138,0,0,32,137,0,0,104,150,0,0,64,136,0,0,232,134,0,0,232,133,0,0,120,130,0,0,56,129,0,0,40,128,0,0,32,127,0,0,0,0,0,0,136,51,5,0,120,25,4,0,104,255,5,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,6,0,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,184,144,0,0,0,0,0,0,16,84,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,96,0,0,0,8,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,30,0,0,0,68,0,0,0,32,0,0,0,56,0,0,0,88,0,0,0,72,0,0,0,66,0,0,0,30,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,8,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,30,0,0,0,68,0,0,0,32,0,0,0,56,0,0,0,88,0,0,0,72,0,0,0,66,0,0,0,30,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,161,5,0,176,161,5,0,168,161,5,0,160,161,5,0,192,161,5,0,200,161,5,0,104,161,5,0,88,161,5,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10244);
/* memory initializer */ allocate([10,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,38,0,0,0,22,0,0,0,76,0,0,0,22,0,0,0,16,0,0,0,54,0,0,0,70,0,0,0,14,0,0,0,58,0,0,0,10,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,48,250,5,0,0,0,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,38,108,116,59,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,74,117,108,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,79,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,74,117,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,109,50,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,50,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,100,101,114,40,0,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,65,112,114,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,77,97,114,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,70,101,98,0,0,0,0,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,74,97,110,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,79,99,116,111,98,101,114,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,65,117,103,117,115,116,0,0,76,0,0,0,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,74,117,108,121,0,0,0,0,103,0,0,0,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,36,112,68,69,82,46,0,0,74,117,110,101,0,0,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,36,90,69,82,79,46,0,0,77,97,121,0,0,0,0,0,109,51,46,109,0,0,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,105,108,115,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,65,112,114,105,108,0,0,0,114,98,0,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,77,97,114,99,104,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,74,97,110,117,97,114,121,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,108,105,115,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,110,117,109,101,114,105,99,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,115,116,97,116,101,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,123,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,100,101,98,117,103,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,0,0,0,0,0,0,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,101,114,114,111,114,0,0,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,109,52,46,109,0,0,0,0,119,97,114,110,105,110,103,0,105,105,116,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,105,110,102,111,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,109,97,120,0,0,0,0,0,105,112,111,112,116,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,100,97,116,97,95,50,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,109,105,110,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,38,103,116,59,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,38,108,116,59,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,110,111,109,105,110,97,108,0,107,105,110,115,111,108,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,38,97,109,112,59,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,108,97,112,97,99,107,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,102,105,120,101,100,0,0,0,110,101,119,117,111,97,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,34,32,47,62,10,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,60,114,101,102,115,62,10,0,115,116,97,114,116,0,0,0,115,105,109,112,108,101,120,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,86,97,114,105,97,98,108,101,32,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,83,84,79,80,32,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,105,105,109,0,0,0,0,0,109,49,46,109,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,124,32,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,37,45,55,115,32,124,32,0,100,97,116,97,95,49,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,124,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,37,32,46,53,101,32,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20484);
/* memory initializer */ allocate([115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,37,115,0,0,0,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,116,97,116,101,115,0,0,100,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,105,105,102,0,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,109,50,46,109,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,80,77,0,0,0,0,0,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,65,77,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,63,63,63,0,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,115,49,46,115,95,114,101,108,32,45,32,36,95,115,116,97,114,116,40,115,49,46,115,95,114,101,108,41,0,0,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,114,43,0,0,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,27,0,0,0,0,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,110,97,109,101,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,101,110,100,102,105,108,101,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,100,97,115,115,108,0,0,0,32,73,79,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,78,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,37,46,49,54,103,44,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,104,101,108,112,0,0,0,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,108,97,109,98,100,97,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,119,114,105,116,105,110,103,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,114,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,37,115,44,0,0,0,0,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,78,76,83,95,77,65,88,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,117,110,107,110,111,119,110,0,114,101,97,100,105,110,103,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,101,109,112,116,121,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,80,0,0,0,0,0,0,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,37,115,40,110,111,109,105,110,97,108,61,37,103,41,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30724);
/* memory initializer */ allocate([84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,99,111,109,109,101,110,116,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,37,112,0,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,37,115,58,32,37,115,10,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,114,101,99,101,110,100,0,0,37,35,46,42,102,0,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,119,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,117,110,107,110,111,119,110,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,12,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,37,115,0,0,0,0,0,0,105,110,100,101,120,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,110,101,119,116,111,110,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,119,0,0,0,0,0,0,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,95,105,110,102,111,46,120,109,108,0,0,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,115,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,116,114,117,101,0,0,0,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,116,109,101,116,97,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+40964);
/* memory initializer */ allocate([34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,52,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,52,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,52,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,52,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,100,50,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,100,50,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,100,50,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51204);
/* memory initializer */ allocate([101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,100,50,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,100,49,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,100,49,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,100,49,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,100,49,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,49,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,49,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,49,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,49,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61444);
/* memory initializer */ allocate([112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,55,34,32,108,105,110,101,69,110,100,61,34,49,54,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,55,34,32,108,105,110,101,69,110,100,61,34,49,54,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,54,34,32,108,105,110,101,69,110,100,61,34,49,54,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,54,34,32,108,105,110,101,69,110,100,61,34,49,54,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71684);
/* memory initializer */ allocate([34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,112,111,115,105,116,105,118,101,32,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,97,110,103,101,32,97,120,105,115,32,82,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,48,34,32,108,105,110,101,69,110,100,61,34,52,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,112,111,115,105,116,105,118,101,32,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,97,110,103,101,32,97,120,105,115,32,82,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,48,34,32,108,105,110,101,69,110,100,61,34,52,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,56,34,32,108,105,110,101,69,110,100,61,34,52,52,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,56,34,32,108,105,110,101,69,110,100,61,34,52,52,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+81924);
/* memory initializer */ allocate([108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,55,34,32,108,105,110,101,69,110,100,61,34,49,54,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,55,34,32,108,105,110,101,69,110,100,61,34,49,54,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,54,34,32,108,105,110,101,69,110,100,61,34,49,54,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,54,34,32,108,105,110,101,69,110,100,61,34,49,54,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92164);
/* memory initializer */ allocate([110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,112,111,115,105,116,105,118,101,32,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,97,110,103,101,32,97,120,105,115,32,82,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,48,34,32,108,105,110,101,69,110,100,61,34,52,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,112,111,115,105,116,105,118,101,32,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,97,110,103,101,32,97,120,105,115,32,82,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,48,34,32,108,105,110,101,69,110,100,61,34,52,52,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,56,34,32,108,105,110,101,69,110,100,61,34,52,52,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,56,56,34,32,108,105,110,101,69,110,100,61,34,52,52,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,102,108,97,110,103,101,95,98,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102404);
/* memory initializer */ allocate([114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,102,108,97,110,103,101,95,98,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,52,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,52,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,50,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,50,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,50,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,50,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,50,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,50,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,50,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,50,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,50,46,102,60,47,97,108,105,97,115,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112644);
/* memory initializer */ allocate([10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,50,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,50,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,50,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,50,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,50,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,102,108,97,110,103,101,95,98,46,115,60,47,97,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+122884);
/* memory initializer */ allocate([97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,102,108,97,110,103,101,95,98,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,102,108,97,110,103,101,95,97,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,49,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,49,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,49,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,49,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,49,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,49,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,49,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,49,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133124);
/* memory initializer */ allocate([32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,100,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,49,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,49,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,49,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,49,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,49,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,49,46,102,108,97,110,103,101,95,98,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,49,46,102,108,97,110,103,101,95,98,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,50,46,102,108,97,110,103,101,95,97,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143364);
/* memory initializer */ allocate([46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,50,46,102,108,97,110,103,101,95,97,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,109,49,46,102,108,97,110,103,101,95,98,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,109,49,46,102,108,97,110,103,101,95,98,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,49,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,50,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,50,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,50,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,50,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,109,50,46,102,108,97,110,103,101,95,97,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,109,50,46,102,108,97,110,103,101,95,97,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,50,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,52,46,102,108,97,110,103,101,95,97,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,52,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,52,46,102,108,97,110,103,101,95,97,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,52,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,51,46,102,108,97,110,103,101,95,98,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,51,46,102,108,97,110,103,101,95,98,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,51,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153604);
/* memory initializer */ allocate([101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,51,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,109,51,46,102,108,97,110,103,101,95,98,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,109,51,46,102,108,97,110,103,101,95,98,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,109,51,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,109,51,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,51,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,109,52,46,102,108,97,110,103,101,95,97,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,52,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,109,52,46,102,108,97,110,103,101,95,97,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,109,52,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,50,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,50,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,49,34,32,108,105,110,101,69,110,100,61,34,49,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,50,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,49,34,32,108,105,110,101,69,110,100,61,34,49,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+163844);
/* memory initializer */ allocate([32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,54,56,34,32,108,105,110,101,69,110,100,61,34,49,54,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,54,56,34,32,108,105,110,101,69,110,100,61,34,49,54,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,48,34,32,108,105,110,101,69,110,100,61,34,49,54,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,48,34,32,108,105,110,101,69,110,100,61,34,49,54,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,50,34,32,108,105,110,101,69,110,100,61,34,49,54,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,50,34,32,108,105,110,101,69,110,100,61,34,49,54,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174084);
/* memory initializer */ allocate([62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,49,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,49,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,49,34,32,108,105,110,101,69,110,100,61,34,49,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,49,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,49,34,32,108,105,110,101,69,110,100,61,34,49,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,54,56,34,32,108,105,110,101,69,110,100,61,34,49,54,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,54,56,34,32,108,105,110,101,69,110,100,61,34,49,54,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184324);
/* memory initializer */ allocate([115,100,49,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,48,34,32,108,105,110,101,69,110,100,61,34,49,54,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,48,34,32,108,105,110,101,69,110,100,61,34,49,54,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,50,34,32,108,105,110,101,69,110,100,61,34,49,54,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,50,34,32,108,105,110,101,69,110,100,61,34,49,54,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,51,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,51,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,52,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,52,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,49,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194564);
/* memory initializer */ allocate([101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,49,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,109,50,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,109,50,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,50,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,50,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,100,49,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,100,49,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,52,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,49,46,99,32,42,32,40,115,49,46,115,95,114,101,108,32,45,32,115,49,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,49,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,49,46,115,95,114,101,108,32,43,32,102,105,120,101,100,49,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,52,34,32,108,105,110,101,69,110,100,61,34,52,52,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,102,108,97,110,103,101,95,97,46,115,32,43,32,48,46,53,32,42,32,109,49,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,115,32,43,32,48,46,53,32,42,32,109,49,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,49,46,115,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,51,34,32,108,105,110,101,69,110,100,61,34,49,51,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+204804);
/* memory initializer */ allocate([101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,49,46,115,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,50,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,100,32,42,32,115,100,49,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,48,34,32,108,105,110,101,69,110,100,61,34,49,54,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,102,95,100,32,42,32,115,100,49,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,50,34,32,108,105,110,101,69,110,100,61,34,49,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,118,95,114,101,108,32,43,32,109,49,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,99,32,42,32,40,115,100,49,46,115,95,114,101,108,32,45,32,115,100,49,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,57,34,32,108,105,110,101,69,110,100,61,34,49,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,102,95,99,32,43,32,115,100,49,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,49,34,32,108,105,110,101,69,110,100,61,34,49,54,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,100,49,46,102,44,32,109,50,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,100,49,46,102,32,45,32,115,49,46,102,44,32,109,49,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,49,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,50,46,97,32,45,32,109,49,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,49,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,52,34,32,108,105,110,101,69,110,100,61,34,49,51,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,115,95,114,101,108,32,43,32,109,49,46,102,108,97,110,103,101,95,98,46,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,50,46,102,108,97,110,103,101,95,97,46,115,32,43,32,48,46,53,32,42,32,109,50,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,50,46,115,32,43,32,48,46,53,32,42,32,109,50,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,51,46,115,32,43,32,45,48,46,53,32,42,32,109,51,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,50,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,51,46,102,108,97,110,103,101,95,97,46,115,32,45,32,102,105,120,101,100,50,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,52,34,32,108,105,110,101,69,110,100,61,34,52,52,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,50,46,99,32,42,32,40,115,50,46,115,95,114,101,108,32,45,32,115,50,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,51,46,115,32,43,32,48,46,53,32,42,32,109,51,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,50,46,53,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,115,32,43,32,48,46,53,32,42,32,109,52,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,76,34,32,47,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215044);
/* memory initializer */ allocate([32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,115,32,43,32,45,48,46,53,32,42,32,109,52,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,102,108,97,110,103,101,95,97,46,115,32,45,32,109,51,46,102,108,97,110,103,101,95,98,46,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,99,32,42,32,40,115,100,50,46,115,95,114,101,108,32,45,32,115,100,50,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,57,34,32,108,105,110,101,69,110,100,61,34,49,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,52,46,115,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,51,34,32,108,105,110,101,69,110,100,61,34,49,51,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,118,32,45,32,109,51,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,50,46,115,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,50,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,100,32,42,32,115,100,50,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,48,34,32,108,105,110,101,69,110,100,61,34,49,54,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,102,95,100,32,42,32,115,100,50,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,50,34,32,108,105,110,101,69,110,100,61,34,49,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,102,95,99,32,43,32,115,100,50,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,49,34,32,108,105,110,101,69,110,100,61,34,49,54,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,100,50,46,102,44,32,109,52,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,52,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,52,34,32,108,105,110,101,69,110,100,61,34,49,51,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,100,50,46,102,32,45,32,115,50,46,102,44,32,109,51,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,50,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,97,32,45,32,109,51,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,51,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,109,51,46,118,32,45,32,36,95,115,116,97,114,116,40,109,51,46,118,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,109,51,46,115,32,45,32,36,95,115,116,97,114,116,40,109,51,46,115,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,49,46,115,95,114,101,108,32,45,32,36,95,115,116,97,114,116,40,115,49,46,115,95,114,101,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,51,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,115,32,43,32,48,46,53,32,42,32,109,52,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,52,46,115,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,51,34,32,108,105,110,101,69,110,100,61,34,49,51,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,50,46,115,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,50,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,100,32,42,32,115,100,50,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,48,34,32,108,105,110,101,69,110,100,61,34,49,54,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,102,95,100,32,42,32,115,100,50,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,50,34,32,108,105,110,101,69,110,100,61,34,49,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,99,32,42,32,40,115,100,50,46,115,95,114,101,108,32,45,32,115,100,50,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,57,34,32,108,105,110,101,69,110,100,61,34,49,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225284);
/* memory initializer */ allocate([10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,102,95,99,32,43,32,115,100,50,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,49,34,32,108,105,110,101,69,110,100,61,34,49,54,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,100,50,46,102,44,32,109,52,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,52,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,52,34,32,108,105,110,101,69,110,100,61,34,49,51,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,118,32,45,32,115,100,50,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,115,32,43,32,45,48,46,53,32,42,32,109,52,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,102,108,97,110,103,101,95,97,46,115,32,45,32,115,100,50,46,115,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,51,46,102,108,97,110,103,101,95,98,46,115,32,43,32,45,48,46,53,32,42,32,109,51,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,51,46,115,32,43,32,45,48,46,53,32,42,32,109,51,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,50,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,51,46,102,108,97,110,103,101,95,97,46,115,32,45,32,102,105,120,101,100,50,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,52,34,32,108,105,110,101,69,110,100,61,34,52,52,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,50,46,99,32,42,32,40,115,50,46,115,95,114,101,108,32,45,32,115,50,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,100,50,46,102,32,45,32,115,50,46,102,44,32,109,51,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,50,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,51,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,52,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,52,46,97,32,45,32,109,51,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,49,46,115,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,50,34,32,108,105,110,101,69,110,100,61,34,52,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,100,32,42,32,115,100,49,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,48,34,32,108,105,110,101,69,110,100,61,34,49,54,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,102,95,100,32,42,32,115,100,49,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,50,34,32,108,105,110,101,69,110,100,61,34,49,54,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,99,32,42,32,40,115,100,49,46,115,95,114,101,108,32,45,32,115,100,49,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,57,34,32,108,105,110,101,69,110,100,61,34,49,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,102,95,99,32,43,32,115,100,49,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,56,49,34,32,108,105,110,101,69,110,100,61,34,49,54,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,100,49,46,102,44,32,109,50,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,115,32,43,32,45,48,46,53,32,42,32,109,49,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,49,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,102,108,97,110,103,101,95,97,46,115,32,45,32,102,105,120,101,100,49,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,57,52,34,32,108,105,110,101,69,110,100,61,34,52,52,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235524);
/* memory initializer */ allocate([110,100,115,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,49,46,99,32,42,32,40,115,49,46,115,95,114,101,108,32,45,32,115,49,46,115,95,114,101,108,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,52,34,32,108,105,110,101,69,110,100,61,34,49,53,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,100,49,46,102,32,45,32,115,49,46,102,44,32,109,49,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,49,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,52,34,32,108,105,110,101,69,110,100,61,34,49,51,56,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,100,49,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,50,46,97,32,45,32,109,49,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,109,49,46,115,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,51,34,32,108,105,110,101,69,110,100,61,34,49,51,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,118,95,114,101,108,32,43,32,109,49,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,49,46,115,32,43,32,48,46,53,32,42,32,109,49,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,49,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,115,95,114,101,108,32,43,32,109,49,46,102,108,97,110,103,101,95,98,46,115,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,97,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,50,46,102,108,97,110,103,101,95,97,46,115,32,43,32,48,46,53,32,42,32,109,50,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,109,50,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,109,50,46,115,32,43,32,48,46,53,32,42,32,109,50,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,50,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,50,46,115,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,50,46,115,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,100,49,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,100,49,46,115,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,100,49,46,115,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,50,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,109,52,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,50,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,50,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,50,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,50,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,50,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,49,46,100,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,49,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,100,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,49,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,48,34,32,108,105,110,101,69,110,100,61,34,49,54,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,49,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,49,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,49,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,54,56,34,32,108,105,110,101,69,110,100,61,34,49,54,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+245764);
/* memory initializer */ allocate([60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,49,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,49,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,49,46,115,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,49,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,49,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,49,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,49,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,49,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,49,46,115,95,114,101,108,48,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,49,46,115,95,114,101,108,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,49,46,115,95,114,101,108,48,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,49,46,115,95,114,101,108,48,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,49,34,32,108,105,110,101,69,110,100,61,34,49,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,49,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,49,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,49,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,49,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,52,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,52,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,52,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,52,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,52,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,50,46,100,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,50,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,100,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,50,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,55,48,34,32,108,105,110,101,69,110,100,61,34,49,54,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,50,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,50,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,50,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,54,56,34,32,108,105,110,101,69,110,100,61,34,49,54,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,50,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,50,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,50,46,115,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,68,97,109,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,51,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,109,51,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,109,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,51,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,109,51,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256004);
/* memory initializer */ allocate([100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,109,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,50,46,115,95,114,101,108,48,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,50,46,115,95,114,101,108,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,50,46,115,95,114,101,108,48,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,50,46,115,95,114,101,108,48,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,49,34,32,108,105,110,101,69,110,100,61,34,49,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,50,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,50,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,50,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,50,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,83,112,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,50,34,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,0,0,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,86,97,114,105,97,98,108,101,32,115,50,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,50,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,102,97,108,115,101,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,77,101,99,104,97,110,105,99,115,95,84,114,97,110,115,108,97,116,105,111,110,97,108,95,69,120,97,109,112,108,101,115,95,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,83,101,116,116,105,110,103,32,111,102,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,52,49,58,50,48,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,51,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,51,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,51,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,53,46,48,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,48,48,53,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,54,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,118,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,118,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266244);
/* memory initializer */ allocate([108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,52,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,52,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,100,50,46,115,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,100,50,46,118,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,100,49,46,115,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,100,49,46,118,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,49,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,49,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,102,95,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,102,95,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,118,34,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276484);
/* memory initializer */ allocate([32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,112,111,115,105,116,105,118,101,32,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,97,110,103,101,32,97,120,105,115,32,82,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,102,95,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,102,95,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286724);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,112,111,115,105,116,105,118,101,32,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,97,110,103,101,32,97,120,105,115,32,82,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,50,46,115,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,115,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,49,46,115,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+296964);
/* memory initializer */ allocate([121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,115,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,51,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,51,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,52,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,50,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,50,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,50,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307204);
/* memory initializer */ allocate([32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,50,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,50,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,50,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,50,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,49,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,49,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,49,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,49,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,49,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,100,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,49,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,49,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317444);
/* memory initializer */ allocate([117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,49,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,49,46,102,108,97,110,103,101,95,98,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,49,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,50,46,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,50,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,109,49,46,102,108,97,110,103,101,95,98,46,115,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,49,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,50,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,50,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,50,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,50,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,109,50,46,102,108,97,110,103,101,95,97,46,115,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,50,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,52,46,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,52,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,51,46,102,108,97,110,103,101,95,98,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,51,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,51,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,51,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,109,51,46,102,108,97,110,103,101,95,98,46,115,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,51,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,109,51,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,51,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,109,52,46,102,108,97,110,103,101,95,97,46,115,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,109,52,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,51,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,52,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,49,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327684);
/* memory initializer */ allocate([34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,109,50,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,50,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,100,49,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,50,46,115,95,114,101,108,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,50,46,115,95,114,101,108,48,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,112,111,114,116,0,0,0,0,58,32,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,99,111,108,69,110,100,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,115,111,108,118,101,114,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,13,0,0,0,0,0,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,86,97,114,105,97,98,108,101,32,109,51,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,51,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,99,112,117,0,0,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,115,116,97,114,116,105,111,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,109,51,46,118,32,45,32,36,95,115,116,97,114,116,40,109,51,46,118,41,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,116,114,117,101,0,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,51,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,37,35,46,42,69,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,65,99,108,97,115,115,0,0,108,105,110,101,69,110,100,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,102,97,108,115,101,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,69,120,97,109,112,108,101,115,46,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,86,97,114,105,97,98,108,101,32,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,100,50,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,117,116,112,117,116,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,100,50,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,115,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,115,116,97,114,116,105,111,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,82,84,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,109,49,46,109,0,0,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,86,97,114,105,97,98,108,101,32,115,100,50,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,119,98,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,110,111,101,109,105,116,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,65,99,108,97,115,115,0,0,34,37,115,34,44,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,97,115,115,101,114,116,0,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,37,115,37,46,53,101,32,0,105,110,102,111,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,114,98,0,0,0,0,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,107,105,110,115,111,108,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,109,50,46,109,0,0,0,0,37,108,100,32,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,86,97,114,105,97,98,108,101,32,115,100,50,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,50,46,100,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,110,108,115,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,109,51,46,109,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,86,97,114,105,97,98,108,101,32,109,52,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,52,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,63,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,60,100,97,116,101,62,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,109,52,46,109,0,0,0,0,114,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,52,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,108,118,0,0,0,0,0,0,83,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,100,101,102,105,110,101,115,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,119,105,108,108,32,116,114,121,32,116,111,32,104,97,110,100,108,101,32,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,58,32,37,115,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,83,116,114,105,110,103,0,0,66,111,111,108,101,97,110,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,73,110,116,101,103,101,114,0,67,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,82,101,97,108,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,101,118,101,110,116,115,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,115,65,108,105,0,0,0,0,86,97,114,105,97,98,108,101,32,115,49,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,49,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,115,80,97,114,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,86,97,114,105,97,98,108,101,32,115,49,46,115,95,114,101,108,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,49,46,115,95,114,101,108,48,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,65,108,103,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,98,65,108,105,0,0,0,0,37,115,10,0,0,0,0,0,98,80,97,114,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,108,115,0,0,0,0,0,0,98,65,108,103,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,105,65,108,105,0,0,0,0,105,80,97,114,0,0,0,0,118,101,99,116,111,114,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,105,65,108,103,0,0,0,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,102,97,108,115,101,0,0,0,114,65,108,105,0,0,0,0,114,80,97,114,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,114,65,108,103,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,99,108,111,99,107,0,0,0,76,79,71,95,65,76,76,0,86,97,114,105,97,98,108,101,32,109,49,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,49,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,68,101,114,0,0,0,0,114,83,116,97,0,0,0,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,109,51,46,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+337924);
/* memory initializer */ allocate([32,45,32,36,95,115,116,97,114,116,40,109,51,46,115,41,0,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,37,46,48,76,102,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,109,49,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,108,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,86,97,114,105,97,98,108,101,32,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,100,49,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,61,0,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,83,97,116,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,44,0,0,0,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,101,99,104,97,110,105,99,115,95,84,114,97,110,115,108,97,116,105,111,110,97,108,95,69,120,97,109,112,108,101,115,95,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,56,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,56,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,56,44,56,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,56,44,48,93,32,61,32,122,101,114,111,115,40,56,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,56,93,32,61,32,122,101,114,111,115,40,48,44,56,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,56,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,109,52,80,118,32,61,32,120,91,49,93,59,10,32,32,82,101,97,108,32,120,95,80,109,52,80,115,32,61,32,120,91,50,93,59,10,32,32,82,101,97,108,32,120,95,80,115,100,50,80,115,95,114,101,108,32,61,32,120,91,51,93,59,10,32,32,82,101,97,108,32,120,95,80,115,100,50,80,118,95,114,101,108,32,61,32,120,91,52,93,59,10,32,32,82,101,97,108,32,120,95,80,115,100,49,80,115,95,114,101,108,32,61,32,120,91,53,93,59,10,32,32,82,101,97,108,32,120,95,80,115,100,49,80,118,95,114,101,108,32,61,32,120,91,54,93,59,10,32,32,82,101,97,108,32,120,95,80,109,49,80,118,32,61,32,120,91,55,93,59,10,32,32,82,101,97,108,32,120,95,80,109,49,80,115,32,61,32,120,91,56,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,101,99,104,97,110,105,99,115,95,84,114,97,110,115,108,97,116,105,111,110,97,108,95,69,120,97,109,112,108,101,115,95,73,110,105,116,105,97,108,67,111,110,100,105,116,105,111,110,115,59,10,0,0,0,0,0,0,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,108,105,110,101,97,114,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,87,101,100,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,77,111,110,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,100,49,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,115,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,83,117,110,0,0,0,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,115,102,101,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,83,117,110,100,97,121,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,104,101,108,112,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,86,97,114,105,97,98,108,101,32,115,100,49,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,44,32,100,105,118,105,115,111,114,58,32,37,115,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,103,110,117,112,108,111,116,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,44,0,0,0,0,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,37,115,0,0,0,0,0,0,37,105,44,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,115,116,100,111,117,116,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,114,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,116,105,109,101,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,100,49,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,100,49,46,100,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,97,108,105,97,115,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,105,111,109,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,68,101,99,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,78,111,118,0,0,0,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,38,113,117,111,116,59,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,79,99,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,65,117,103,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348164);
/* memory initializer */ allocate([114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,48,148,5,0,204,0,0,0,154,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,148,5,0,2,1,0,0,216,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,148,5,0,90,0,0,0,70,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,148,5,0,122,0,0,0,34,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,148,5,0,122,0,0,0,10,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,148,5,0,122,0,0,0,26,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,148,5,0,222,0,0,0,102,0,0,0,62,0,0,0,2,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,148,5,0,62,1,0,0,248,0,0,0,62,0,0,0,4,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,148,5,0,214,0,0,0,250,0,0,0,62,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,148,5,0,64,1,0,0,190,0,0,0,62,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,149,5,0,18,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,149,5,0,60,1,0,0,118,0,0,0,62,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,149,5,0,212,0,0,0,148,0,0,0,62,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,149,5,0,50,0,0,0,150,0,0,0,62,0,0,0,170,0,0,0,6,0,0,0,32,0,0,0,8,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,216,149,5,0,32,0,0,0,14,0,0,0,52,0,0,0,24,0,0,0,4,0,0,0,50,0,0,0,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,5,0,254,0,0,0,36,1,0,0,62,0,0,0,30,0,0,0,2,0,0,0,62,0,0,0,26,0,0,0,18,0,0,0,4,0,0,0,4,0,0,0,248,255,255,255,0,150,5,0,102,0,0,0,146,0,0,0,162,0,0,0,176,0,0,0,134,0,0,0,66,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,150,5,0,96,0,0,0,252,0,0,0,62,0,0,0,72,0,0,0,172,0,0,0,16,0,0,0,68,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,150,5,0,128,0,0,0,86,0,0,0,62,0,0,0,64,0,0,0,118,0,0,0,30,0,0,0,86,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,150,5,0,52,1,0,0,2,0,0,0,62,0,0,0,48,0,0,0,38,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,150,5,0,60,0,0,0,6,0,0,0,62,0,0,0,18,0,0,0,18,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,150,5,0,26,1,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,150,5,0,38,0,0,0,188,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,150,5,0,66,0,0,0,228,0,0,0,62,0,0,0,8,0,0,0,6,0,0,0,14,0,0,0,4,0,0,0,12,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,150,5,0,126,0,0,0,24,0,0,0,62,0,0,0,24,0,0,0,28,0,0,0,36,0,0,0,26,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,150,5,0,52,0,0,0,32,0,0,0,62,0,0,0,50,0,0,0,48,0,0,0,40,0,0,0,42,0,0,0,28,0,0,0,46,0,0,0,38,0,0,0,56,0,0,0,54,0,0,0,52,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,5,0,70,0,0,0,4,0,0,0,62,0,0,0,76,0,0,0,68,0,0,0,24,0,0,0,66,0,0,0,60,0,0,0,30,0,0,0,64,0,0,0,74,0,0,0,72,0,0,0,70,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,151,5,0,92,0,0,0,116,0,0,0,62,0,0,0,48,0,0,0,20,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,151,5,0,36,0,0,0,230,0,0,0,62,0,0,0,98,0,0,0,28,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,151,5,0,14,0,0,0,244,0,0,0,62,0,0,0,2,0,0,0,12,0,0,0,108,0,0,0,168,0,0,0,98,0,0,0,116,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,151,5,0,238,0,0,0,182,0,0,0,62,0,0,0,14,0,0,0,16,0,0,0,102,0,0,0,80,0,0,0,12,0,0,0,104,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,151,5,0,238,0,0,0,28,0,0,0,62,0,0,0,6,0,0,0,4,0,0,0,28,0,0,0,138,0,0,0,94,0,0,0,54,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,151,5,0,238,0,0,0,130,0,0,0,62,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,48,0,0,0,20,0,0,0,50,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,151,5,0,238,0,0,0,46,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,151,5,0,74,0,0,0,210,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,151,5,0,238,0,0,0,98,0,0,0,62,0,0,0,44,0,0,0,30,0,0,0,46,0,0,0,94,0,0,0,30,0,0,0,56,0,0,0,68,0,0,0,6,0,0,0,16,0,0,0,86,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,5,0,68,1,0,0,48,0,0,0,62,0,0,0,24,0,0,0,22,0,0,0,50,0,0,0,64,0,0,0,20,0,0,0,56,0,0,0,12,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,48,152,5,0,14,1,0,0,0,1,0,0,200,255,255,255,200,255,255,255,48,152,5,0,42,0,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,152,5,0,172,0,0,0,108,0,0,0,108,0,0,0,10,0,0,0,36,0,0,0,62,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,152,5,0,238,0,0,0,104,0,0,0,62,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,48,0,0,0,20,0,0,0,50,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,152,5,0,238,0,0,0,218,0,0,0,62,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,48,0,0,0,20,0,0,0,50,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,152,5,0,64,0,0,0,24,1,0,0,92,0,0,0,68,0,0,0,30,0,0,0,2,0,0,0,74,0,0,0,120,0,0,0,42,0,0,0,174,0,0,0,18,0,0,0,78,0,0,0,40,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,152,5,0,178,0,0,0,44,1,0,0,40,0,0,0,46,0,0,0,20,0,0,0,22,0,0,0,124,0,0,0,112,0,0,0,60,0,0,0,44,0,0,0,40,0,0,0,18,0,0,0,76,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,152,5,0,12,0,0,0,160,0,0,0,92,0,0,0,68,0,0,0,34,0,0,0,18,0,0,0,74,0,0,0,120,0,0,0,42,0,0,0,8,0,0,0,18,0,0,0,86,0,0,0,40,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,152,152,5,0,156,0,0,0,134,0,0,0,152,255,255,255,152,255,255,255,152,152,5,0,110,0,0,0,234,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,168,152,5,0,174,0,0,0,232,0,0,0,148,255,255,255,148,255,255,255,168,152,5,0,136,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,216,152,5,0,56,0,0,0,20,1,0,0,252,255,255,255,252,255,255,255,216,152,5,0,196,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,240,152,5,0,28,1,0,0,46,1,0,0,252,255,255,255,252,255,255,255,240,152,5,0,146,0,0,0,6,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,8,153,5,0,112,0,0,0,72,1,0,0,248,255,255,255,248,255,255,255,8,153,5,0,240,0,0,0,42,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,32,153,5,0,144,0,0,0,12,1,0,0,248,255,255,255,248,255,255,255,32,153,5,0,186,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,153,5,0,22,1,0,0,80,0,0,0,70,0,0,0,54,0,0,0,16,0,0,0,16,0,0,0,70,0,0,0,120,0,0,0,42,0,0,0,128,0,0,0,18,0,0,0,46,0,0,0,40,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,153,5,0,10,1,0,0,30,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,153,5,0,56,1,0,0,40,1,0,0,34,0,0,0,46,0,0,0,20,0,0,0,22,0,0,0,86,0,0,0,112,0,0,0,60,0,0,0,44,0,0,0,40,0,0,0,18,0,0,0,58,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,153,5,0,208,0,0,0,16,1,0,0,62,0,0,0,68,0,0,0,34,0,0,0,18,0,0,0,126,0,0,0,120,0,0,0,42,0,0,0,8,0,0,0,18,0,0,0,86,0,0,0,72,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,153,5,0,84,0,0,0,194,0,0,0,62,0,0,0,100,0,0,0,164,0,0,0,76,0,0,0,116,0,0,0,8,0,0,0,56,0,0,0,82,0,0,0,44,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,153,5,0,142,0,0,0,72,0,0,0,62,0,0,0,154,0,0,0,160,0,0,0,100,0,0,0,112,0,0,0,114,0,0,0,50,0,0,0,158,0,0,0,82,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,153,5,0,38,1,0,0,152,0,0,0,62,0,0,0,26,0,0,0,90,0,0,0,12,0,0,0,72,0,0,0,118,0,0,0,84,0,0,0,132,0,0,0,88,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,154,5,0,94,0,0,0,226,0,0,0,62,0,0,0,144,0,0,0,148,0,0,0,54,0,0,0,106,0,0,0,52,0,0,0,42,0,0,0,110,0,0,0,104,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,154,5,0,114,0,0,0,20,0,0,0,90,0,0,0,46,0,0,0,20,0,0,0,22,0,0,0,124,0,0,0,112,0,0,0,60,0,0,0,104,0,0,0,114,0,0,0,26,0,0,0,76,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,154,5,0,18,0,0,0,32,1,0,0,98,0,0,0,68,0,0,0,34,0,0,0,18,0,0,0,74,0,0,0,120,0,0,0,42,0,0,0,136,0,0,0,36,0,0,0,4,0,0,0,40,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,154,5,0,58,1,0,0,4,1,0,0,78,0,0,0,206,0,0,0,16,0,0,0,2,0,0,0,26,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,156,129,5,0,180,154,5,0,200,154,5,0,176,129,5,0,68,131,5,0,220,154,5,0,240,154,5,0,88,131,5,0,116,131,5,0,4,155,5,0,24,155,5,0,136,131,5,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,64,135,5,0,0,0,0,0,80,135,5,0,0,0,0,0,96,135,5,0,40,148,5,0,0,0,0,0,0,0,0,0,112,135,5,0,40,148,5,0,0,0,0,0,0,0,0,0,128,135,5,0,40,148,5,0,0,0,0,0,0,0,0,0,152,135,5,0,128,148,5,0,0,0,0,0,0,0,0,0,176,135,5,0,128,148,5,0,0,0,0,0,0,0,0,0,200,135,5,0,40,148,5,0,0,0,0,0,0,0,0,0,216,135,5,0,232,134,5,0,240,135,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,144,153,5,0,0,0,0,0,232,134,5,0,56,136,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,152,153,5,0,0,0,0,0,232,134,5,0,128,136,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,160,153,5,0,0,0,0,0,232,134,5,0,200,136,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,168,153,5,0,0,0,0,0,0,0,0,0,16,137,5,0,136,150,5,0,0,0,0,0,0,0,0,0,64,137,5,0,136,150,5,0,0,0,0,0,232,134,5,0,112,137,5,0,0,0,0,0,1,0,0,0,192,152,5,0,0,0,0,0,232,134,5,0,136,137,5,0,0,0,0,0,1,0,0,0,192,152,5,0,0,0,0,0,232,134,5,0,160,137,5,0,0,0,0,0,1,0,0,0,200,152,5,0,0,0,0,0,232,134,5,0,184,137,5,0,0,0,0,0,1,0,0,0,200,152,5,0,0,0,0,0,232,134,5,0,208,137,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,64,154,5,0,0,8,0,0,232,134,5,0,24,138,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,64,154,5,0,0,8,0,0,232,134,5,0,96,138,5,0,0,0,0,0,3,0,0,0,192,151,5,0,2,0,0,0,144,148,5,0,2,0,0,0,32,152,5,0,0,8,0,0,232,134,5,0,168,138,5,0,0,0,0,0,3,0,0,0,192,151,5,0,2,0,0,0,144,148,5,0,2,0,0,0,40,152,5,0,0,8,0,0,0,0,0,0,240,138,5,0,192,151,5,0,0,0,0,0,0,0,0,0,8,139,5,0,192,151,5,0,0,0,0,0,232,134,5,0,32,139,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,208,152,5,0,2,0,0,0,232,134,5,0,56,139,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,208,152,5,0,2,0,0,0,0,0,0,0,80,139,5,0,0,0,0,0,104,139,5,0,72,153,5,0,0,0,0,0,232,134,5,0,136,139,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,56,149,5,0,0,0,0,0,232,134,5,0,208,139,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,80,149,5,0,0,0,0,0,232,134,5,0,24,140,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,104,149,5,0,0,0,0,0,232,134,5,0,96,140,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,128,149,5,0,0,0,0,0,0,0,0,0,168,140,5,0,192,151,5,0,0,0,0,0,0,0,0,0,192,140,5,0,192,151,5,0,0,0,0,0,232,134,5,0,216,140,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,88,153,5,0,2,0,0,0,232,134,5,0,0,141,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,88,153,5,0,2,0,0,0,232,134,5,0,40,141,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,88,153,5,0,2,0,0,0,232,134,5,0,80,141,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,88,153,5,0,2,0,0,0,0,0,0,0,120,141,5,0,184,152,5,0,0,0,0,0,0,0,0,0,144,141,5,0,192,151,5,0,0,0,0,0,232,134,5,0,168,141,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,56,154,5,0,2,0,0,0,232,134,5,0,192,141,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,56,154,5,0,2,0,0,0,0,0,0,0,216,141,5,0,0,0,0,0,0,142,5,0,0,0,0,0,40,142,5,0,240,152,5,0,0,0,0,0,0,0,0,0,112,142,5,0,96,153,5,0,0,0,0,0,0,0,0,0,144,142,5,0,160,151,5,0,0,0,0,0,0,0,0,0,184,142,5,0,160,151,5,0,0,0,0,0,0,0,0,0,224,142,5,0,136,152,5,0,0,0,0,0,0,0,0,0,40,143,5,0,0,0,0,0,96,143,5,0,0,0,0,0,152,143,5,0,0,0,0,0,184,143,5,0,240,152,5,0,0,0,0,0,0,0,0,0,232,143,5,0,32,153,5,0,0,0,0,0,0,0,0,0,24,144,5,0,0,0,0,0,56,144,5,0,0,0,0,0,88,144,5,0,0,0,0,0,120,144,5,0,232,134,5,0,144,144,5,0,0,0,0,0,1,0,0,0,24,149,5,0,3,244,255,255,232,134,5,0,192,144,5,0,0,0,0,0,1,0,0,0,40,149,5,0,3,244,255,255,232,134,5,0,240,144,5,0,0,0,0,0,1,0,0,0,24,149,5,0,3,244,255,255,232,134,5,0,32,145,5,0,0,0,0,0,1,0,0,0,40,149,5,0,3,244,255,255,0,0,0,0,80,145,5,0,136,152,5,0,0,0,0,0,0,0,0,0,128,145,5,0,80,148,5,0,0,0,0,0,0,0,0,0,152,145,5,0,0,0,0,0,176,145,5,0,144,152,5,0,0,0,0,0,0,0,0,0,200,145,5,0,128,152,5,0,0,0,0,0,0,0,0,0,232,145,5,0,136,152,5,0,0,0,0,0,0,0,0,0,8,146,5,0,0,0,0,0,40,146,5,0,0,0,0,0,72,146,5,0,0,0,0,0,104,146,5,0,232,134,5,0,136,146,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,48,154,5,0,2,0,0,0,232,134,5,0,168,146,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,48,154,5,0,2,0,0,0,232,134,5,0,200,146,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,48,154,5,0,2,0,0,0,232,134,5,0,232,146,5,0,0,0,0,0,2,0,0,0,192,151,5,0,2,0,0,0,48,154,5,0,2,0,0,0,0,0,0,0,8,147,5,0,0,0,0,0,32,147,5,0,0,0,0,0,56,147,5,0,0,0,0,0,80,147,5,0,128,152,5,0,0,0,0,0,0,0,0,0,104,147,5,0,136,152,5,0,0,0,0,0,0,0,0,0,128,147,5,0,136,154,5,0,0,0,0,0,0,0,0,0,168,147,5,0,136,154,5,0,0,0,0,0,0,0,0,0,208,147,5,0,152,154,5,0,0,0,0,0,0,0,0,0,248,147,5,0,32,148,5,0,0,0,0,0,56,0,0,0,0,0,0,0,240,152,5,0,28,1,0,0,46,1,0,0,200,255,255,255,200,255,255,255,240,152,5,0,146,0,0,0,6,1,0,0,104,0,0,0,0,0,0,0,240,152,5,0,28,1,0,0,46,1,0,0,152,255,255,255,152,255,255,255,240,152,5,0,146,0,0,0,6,1,0,0,108,0,0,0,0,0,0,0,32,153,5,0,144,0,0,0,12,1,0,0,148,255,255,255,148,255,255,255,32,153,5,0,186,0,0,0,68,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,0,0,0,0,56,61,5,0,144,166,0,0,120,144,0,0,80,129,0,0,120,116,0,0,96,105,0,0,168,95,0,0,24,87,0,0,160,116,5,0,72,106,5,0,160,98,5,0,200,91,5,0,248,83,5,0,64,80,5,0,48,77,5,0,40,74,5,0,0,72,5,0,200,69,5,0,64,67,5,0,32,65,5,0,168,61,5,0,152,59,5,0,176,56,5,0,184,53,5,0,200,50,5,0,176,24,4,0,232,177,0,0,192,175,0,0,24,173,0,0,248,170,0,0,248,166,0,0,216,165,0,0,112,162,0,0,136,161,0,0,32,159,0,0,144,156,0,0,64,155,0,0,152,152,0,0,192,150,0,0,40,150,0,0,0,0,0,0,56,105,0,0,80,87,0,0,232,86,0,0,152,108,5,0,160,85,0,0,88,85,0,0,192,106,5,0,40,106,5,0,40,105,5,0,48,104,5,0,224,103,5,0,240,102,5,0,192,102,5,0,144,101,5,0,232,100,5,0,200,100,5,0,16,99,5,0,136,98,5,0,72,111,5,0,168,109,5,0,56,105,0,0,80,87,0,0,232,86,0,0,32,86,0,0,160,85,0,0,88,85,0,0,144,84,0,0,160,83,0,0,16,83,0,0,88,119,5,0,192,118,5,0,200,116,5,0,112,116,5,0,64,115,5,0,48,114,5,0,120,113,5,0,208,112,5,0,88,112,5,0,72,111,5,0,168,109,5,0,56,105,0,0,240,97,0,0,176,97,0,0,216,95,0,0,64,95,0,0,0,95,0,0,200,94,0,0,0,0,0,0,96,116,0,0,240,108,0,0,24,108,0,0,8,106,0,0,72,105,0,0,88,104,0,0,8,103,0,0,0,0,0,0,56,105,0,0,56,104,0,0,240,102,0,0,144,100,0,0,232,99,0,0,240,98,0,0,112,98,0,0,0,0,0,0,96,116,0,0,56,115,0,0,112,114,0,0,184,112,0,0,8,112,0,0,192,110,0,0,40,110,0,0,0,0,0,0,144,112,5,0,16,109,5,0,40,66,5,0,104,172,0,0,208,149,0,0,0,0,0,0,184,133,0,0,40,121,0,0,48,108,0,0,208,97,0,0,208,149,0,0,0,0,0,0,24,129,0,0,8,80,5,0,72,53,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,77,0,0,0,1,0,0,0,73,0,0,0,1,0,0,0,66,0,0,0,1,0,0,0,57,0,0,0,1,0,0,0,45,0,0,0,1,0,0,0,43,0,0,0,1,0,0,0,19,0,0,0,1,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,3,6,0,0,7,0,0,0,4,6,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,5,6,0,0,7,0,0,0,5,6,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,94,5,0,0,7,0,0,0,94,5,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,95,5,0,0,7,0,0,0,96,5,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,167,17,0,0,7,0,0,0,169,17,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,170,17,0,0,7,0,0,0,171,17,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,132,6,0,0,7,0,0,0,133,6,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,99,0,0,134,6,0,0,7,0,0,0,135,6,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,158,0,0,0,106,0,0,0,82,0,0,0,162,0,0,0,198,0,0,0,48,0,0,0,76,0,0,0,196,0,0,0,6,0,0,0,150,0,0,0,142,0,0,0,10,0,0,0,200,0,0,0,2,0,0,0,198,0,0,0,34,0,0,0,60,0,0,0,1,0,0,0,0,0,0,0,68,0,0,0,54,0,0,0,206,0,0,0,8,0,0,0,12,0,0,0,16,0,0,0,10,0,0,0,78,0,0,0,202,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,182,0,0,0,190,0,0,0,188,0,0,0,186,0,0,0,184,0,0,0,58,0,0,0,166,0,0,0,62,0,0,0,22,0,0,0,56,0,0,0,12,0,0,0,52,0,0,0,82,0,0,0,6,0,0,0,48,178,0,0,200,102,0,0,128,101,0,0,112,100,0,0,24,65,5,0,104,99,0,0,0,95,5,0,64,106,5,0,24,65,5,0,232,170,0,0,208,147,0,0,128,132,0,0,160,119,0,0,160,107,0,0,224,96,0,0,16,90,0,0,72,118,5,0,32,108,5,0,216,99,5,0,240,92,5,0,192,84,5,0,216,80,5,0,184,77,5,0,208,74,5], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358408);
/* memory initializer */ allocate([104,72,5,0,48,70,5,0,232,67,5,0,208,65,5,0,248,61,5,0,224,59,5,0,88,57,5,0,112,54,5,0,88,51,5,0,72,25,4,0,48,178,0,0,32,176,0,0,32,176,0,0,192,173,0,0,0,172,0,0,136,167,0,0,72,165,0,0,232,162,0,0,224,160,0,0,160,158,0,0,208,156,0,0,216,154,0,0,24,153,0,0,24,151,0,0,0,149,0,0,224,144,0,0,128,143,0,0,40,142,0,0,216,140,0,0,72,139,0,0,160,137,0,0,248,136,0,0,16,136,0,0,80,134,0,0,192,133,0,0,160,129,0,0,152,128,0,0,248,127,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,96,116,0,0,184,98,0,0,0,98,0,0,192,97,0,0,96,116,0,0,24,101,0,0,248,99,0,0,24,99,0,0,64,128,0,0,200,79,5,0,40,53,5,0,32,160,0,0,0,140,0,0,0,126,0,0,96,113,0,0,200,99,0,0,120,94,0,0,104,84,0,0,168,112,5,0,8,103,5,0,192,95,5,0,248,86,5,0,104,84,0,0,48,83,5,0,128,79,5,0,200,76,5,0,152,73,5,0,112,71,5,0,88,69,5,0,248,66,5,0,160,63,5,0,240,60,5,0,64,59,5,0,96,56,5,0,216,52,5,0,32,50,5,0,80,24,4,0,120,177,0,0,72,175,0,0,200,172,0,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,56,123,0,0,224,78,5,0,208,52,5,0,224,159,0,0,248,139,0,0,248,125,0,0,120,113,0,0,136,101,0,0,136,94,0,0,128,85,0,0,224,113,5,0,24,104,5,0,192,96,5,0,152,87,5,0,112,83,5,0,152,79,5,0,224,76,5,0,176,73,5,0,208,71,5,0,104,69,5,0,24,67,5,0,232,63,5,0,72,61,5,0,88,59,5,0,120,56,5,0,24,53,5,0,120,50,5,0,104,24,4,0,184,177,0,0,144,175,0,0,216,172,0,0,0,0,0,0,0,170,0,0,16,118,0,0,136,116,0,0,40,162,0,0,136,115,0,0,24,158,0,0,32,156,0,0,168,114,0,0,136,113,0,0,160,150,0,0,152,146,0,0,32,113,0,0,160,111,0,0,88,110,0,0,104,140,0,0,216,138,0,0,24,109,0,0,72,108,0,0,184,106,0,0,120,105,0,0,232,130,0,0,112,129,0,0,80,128,0,0,128,104,0,0,32,103,0,0,144,101,0,0,64,124,0,0,72,123,0,0,56,122,0,0,56,121,0,0,216,172,0,0,0,0,0,0,0,170,0,0,160,166,0,0,136,164,0,0,40,162,0,0,64,160,0,0,24,158,0,0,32,156,0,0,96,154,0,0,128,152,0,0,160,150,0,0,152,146,0,0,144,144,0,0,40,143,0,0,200,141,0,0,104,140,0,0,216,138,0,0,72,137,0,0,80,136,0,0,0,135,0,0,248,133,0,0,232,130,0,0,112,129,0,0,80,128,0,0,48,127,0,0,64,126,0,0,64,125,0,0,64,124,0,0,72,123,0,0,56,122,0,0,56,121,0,0,216,172,0,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368648);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _llvm_memset_p0i8_i64=_memset;

  var _sqrt=Math_sqrt;

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  var _llvm_pow_f64=Math_pow;

  var _fabs=Math_abs;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var q=env._stdout|0;var r=env.___dso_handle|0;var s=env._stdin|0;var t=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_viidii;var za=env.invoke_iid;var Aa=env.invoke_viiiiiii;var Ba=env.invoke_viiiiiid;var Ca=env.invoke_viiiiiiiii;var Da=env.invoke_iii;var Ea=env.invoke_iiiiidi;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_iiiiiiiii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env.__scanString;var Oa=env._fclose;var Pa=env._pthread_mutex_lock;var Qa=env.___cxa_end_catch;var Ra=env._strtoull;var Sa=env._fflush;var Ta=env._lis_solver_create;var Ua=env._strtol;var Va=env._fputc;var Wa=env._strtok;var Xa=env._fwrite;var Ya=env._send;var Za=env._fputs;var _a=env._emscripten_get_now;var $a=env._tmpnam;var ab=env._isspace;var bb=env._localtime;var cb=env._read;var db=env._GC_init;var eb=env._ceil;var fb=env.___ctype_b_loc;var gb=env._GC_malloc_atomic;var hb=env._isxdigit_l;var ib=env._strstr;var jb=env._fileno;var kb=env._perror;var lb=env._fsync;var mb=env.___cxa_guard_abort;var nb=env._newlocale;var ob=env._signal;var pb=env.___gxx_personality_v0;var qb=env._pthread_cond_wait;var rb=env.___cxa_rethrow;var sb=env._freopen;var tb=env.___resumeException;var ub=env._sscanf;var vb=env._round;var wb=env._llvm_va_end;var xb=env._clock_gettime;var yb=env._tmpfile;var zb=env._vsscanf;var Ab=env._snprintf;var Bb=env._fgetc;var Cb=env._pclose;var Db=env.__getFloat;var Eb=env._atexit;var Fb=env.___cxa_free_exception;var Gb=env._close;var Hb=env._isdigit_l;var Ib=env._vasprintf;var Jb=env.___setErrNo;var Kb=env._isxdigit;var Lb=env._access;var Mb=env._ftell;var Nb=env._exit;var Ob=env._sprintf;var Pb=env._pthread_setspecific;var Qb=env._asprintf;var Rb=env._GC_strdup;var Sb=env._strrchr;var Tb=env._freelocale;var Ub=env._catgets;var Vb=env._fmod;var Wb=env.__isLeapYear;var Xb=env._fmax;var Yb=env.___cxa_is_number_type;var Zb=env._GC_malloc;var _b=env.___cxa_does_inherit;var $b=env.___cxa_guard_acquire;var ac=env._lis_vector_destroy;var bc=env._localtime_r;var cc=env.___cxa_begin_catch;var dc=env._lis_vector_create;var ec=env.__ZNSt9exceptionD2Ev;var fc=env._recv;var gc=env.__parseInt64;var hc=env.__ZSt18uncaught_exceptionv;var ic=env._cos;var jc=env._lis_matrix_set_value;var kc=env._putchar;var lc=env.___cxa_call_unexpected;var mc=env._popen;var nc=env._isblank;var oc=env._copysign;var pc=env._bsearch;var qc=env.__exit;var rc=env._strftime;var sc=env._tzset;var tc=env.___cxa_throw;var uc=env._emscripten_memcpy_big;var vc=env._printf;var wc=env._pread;var xc=env._fopen;var yc=env._open;var zc=env._strtoull_l;var Ac=env.__arraySum;var Bc=env._sysconf;var Cc=env._puts;var Dc=env._pthread_key_create;var Ec=env._strtoll_l;var Fc=env._qsort;var Gc=env._system;var Hc=env.___cxa_find_matching_catch;var Ic=env._strdup;var Jc=env._srand;var Kc=env._isatty;var Lc=env.__formatString;var Mc=env._pthread_cond_broadcast;var Nc=env.__ZSt9terminatev;var Oc=env._atoi;var Pc=env._vfprintf;var Qc=env._pthread_mutex_unlock;var Rc=env._llvm_pow_f64;var Sc=env._sbrk;var Tc=env._fscanf;var Uc=env._lis_solver_destroy;var Vc=env.___errno_location;var Wc=env._strerror;var Xc=env._fstat;var Yc=env._catclose;var Zc=env._llvm_lifetime_start;var _c=env.__parseInt;var $c=env.___cxa_guard_release;var ad=env._ungetc;var bd=env._ftruncate;var cd=env._uselocale;var dd=env._vsnprintf;var ed=env._htonl;var fd=env.___assert_fail;var gd=env._fread;var hd=env._strtok_r;var id=env._strftime_l;var jd=env._abort;var kd=env._fprintf;var ld=env._isdigit;var md=env._strtoll;var nd=env.__addDays;var od=env._pthread_getspecific;var pd=env._fabs;var qd=env._GC_collect_a_little;var rd=env.__reallyNegative;var sd=env._fseek;var td=env._sqrt;var ud=env._write;var vd=env._mkport;var wd=env._rewind;var xd=env.___cxa_allocate_exception;var yd=env._sin;var zd=env._stat;var Ad=env._longjmp;var Bd=env._truncate;var Cd=env._catopen;var Dd=env.___ctype_toupper_loc;var Ed=env.___ctype_tolower_loc;var Fd=env._lis_vector_set_size;var Gd=env._unlink;var Hd=env._pwrite;var Id=env._strerror_r;var Jd=env._lis_solver_set_option;var Kd=env._time;var Ld=0.0;
// EMSCRIPTEN_START_FUNCS
function Vn(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2221]=+h[b>>3];c[98012]=0;c[98008]=0;c[98010]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2235]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[98018]=(c[I>>2]|0)+1;c[98016]=(c[I>>2]|0)+2;c[98022]=(c[I>>2]|0)-1;h[2221]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[98006]=$+1;$=c[98018]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2225]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[98034]=2;if(($|0)>=2){Y=2;do{h[2224]=+h[y+(Y-2<<3)>>3];U=+h[2225];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2224];U=+h[2224]+ +h[k>>3];h[2225]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[98034]=Y}h[y+($-1<<3)>>3]=+h[2225]}h[2239]=0.0;h[2240]=0.0;aa=c[I>>2]|0;c[98034]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2239]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2240]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[98034]=ba;da=ca}h[2238]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2239]- +h[2240];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2237]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2237]=ea>=U?ea:U;h[2225]=.6;h[2224]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2238]){h[D>>3]=100.0}aa=c[98018]|0;Y=c[98006]|0;if((aa|0)>=(Y|0)){c[98028]=Y;ha=Y;do{Y=c[f>>2]|0;c[98034]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[98034]=ia}ha=ha+1|0;c[98028]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[98034]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[98034]=ha}aa=c[98018]|0;c[98028]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[98034]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[98034]=ka}ia=ia+1|0;c[98028]=ia;}while((ia|0)<=(aa|0))}h[2227]=+Sn(f,d,l,0,0);a[17888]=1;c[98014]=0;c[T>>2]=(c[T>>2]|0)+1;c[98030]=0;Md[m&15](b,d,e,r,392120,o,p)|0;if((c[98030]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;Wn(f,b,d,e,r,A,k,392128,l,s,t,u,g,392120,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[98030]|0)<0|(c[98032]|0)!=0){X=70;break}c[98008]=0}aa=c[f>>2]|0;c[98034]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[98034]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2225]=ca;aa=c[f>>2]|0;c[98034]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2225]}c[98034]=ma}Xn(f,r,t,u)|0;$=c[f>>2]|0;c[98034]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[98034]=ha}U=+Sn(f,r,l,0,0);h[2235]=U;if(!(U>+h[F>>3]*100.0*+h[2227])){X=63;break a}$=c[98014]|0;if(($|0)>0){h[O>>3]=U/+h[2228];h[P>>3]=1.0/+($|0);ca=+JD(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2235]}else{h[2228]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[98014]|0)+1|0;c[98014]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[98030]=0;Md[m&15](b,d,e,r,392120,o,p)|0;if((c[98030]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[98034]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[98034]=$}U=+Sn(f,r,l,0,0);h[2235]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[98034]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[98034]=qa}}while(0);if((X|0)==70){X=0;a[17888]=0}c[H>>2]=1;if(a[17888]|0){U=+Sn(f,s,l,0,0);h[2234]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2233]=fa;h[2223]=fa*+(ia+1|0);h[2230]=fa;c[98020]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[98034]=1;if((ia|0)>=1){$=ga(c[98018]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[98034]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+Sn(f,r,l,0,0);h[2232]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2222]=fa;if((ia|0)>2){$=c[f>>2]|0;c[98034]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[98034]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+Sn(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2222];if((sa>=ca?sa:ca)>+h[2223]){break}ta=ba;ua=+h[2232]}else{if(fa>+h[2223]*.5){break}else{ta=ia;ua=U}}c[98020]=ta-1;h[2230]=ua}}while(0);if(!(+h[2237]*+h[2234]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2221];ba=c[98018]|0;aa=c[98006]|0;if((ba|0)>=(aa|0)){c[98028]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2225]=ca;aa=c[f>>2]|0;c[98034]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2225]}c[98034]=ja}$=$+1|0;c[98028]=$;}while(($|0)<=(ba|0))}c[98034]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[98034]=$}if(!(a[17888]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[98032]|0)!=0){ba=(c[98008]|0)+1|0;c[98008]=ba;h[2226]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[98030]|0)>-2)){X=146;break}ba=(c[98012]|0)+1|0;c[98012]=ba;h[2226]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[98010]=(c[98010]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[98010]|0;if((ba|0)<=1){Y=c[98020]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2224]=sa;h[O>>3]=+h[2230]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+JD(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2226]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[98020];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[98024]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[98020]|0;S=c[98022]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[98018];za=+h[k>>3]*2.0;h[2229]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[98020]|0;Ba=c[98022]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[98018]|0)>=(c[K>>2]|0)|(c[98024]|0)==1){Fa=S;break}S=c[f>>2]|0;c[98034]=1;if((S|0)>=1){$=ga(c[98016]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[98034]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+Sn(f,r,l,0,0);h[2231]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2223];$=xa<=za;if(!(+h[2222]>($?xa:za))){Ea=c[98022]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2223]*.5)){Fa=S;break}}S=c[98018]|0;c[I>>2]=S;h[2230]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2230]=+h[2232];Fa=Ea}h[2229]=+h[k>>3];ya=+(Fa+1|0);h[2224]=ya;h[O>>3]=+h[2230]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+JD(O,P);h[2226]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2229];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2226]=xa;za=+h[k>>3]*xa;h[2229]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2229]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[98034]=1;if((S|0)<1){break}$=ga(c[98016]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[98034]=ja}}while(0);S=c[f>>2]|0;c[98034]=1;$=c[98018]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[98034]=V}c[98026]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[98028]=S;E=c[f>>2]|0;c[98034]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[98034]=S}Ha=Ha+1|0;c[98026]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[98030]|0)<0){c[n>>2]=-10}if((c[98010]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);Un(b,b,d,e,f,I,q,y)|0;i=N;return 0}function Wn(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==2){c[r>>2]=0;c[98090]=0;h[2257]=+W(+h[s>>3]);A=c[b>>2]|0;c[98116]=1;b:do{if((A|0)>=1){B=q;C=1;while(1){D=C-1|0;E=+h[e+(D<<3)>>3];h[y>>3]=E;if(E<0.0){F=-0.0-E}else{F=E}G=f+(D<<3)|0;E=+h[k>>3]*+h[G>>3];if(E<0.0){H=-0.0-E}else{H=E}E=F>=H?F:H;I=+h[m+(D<<3)>>3];if(I<0.0){J=-0.0-I}else{J=I}h[2259]=+h[2257]*(E>=J?E:J);h[y>>3]=+h[k>>3]*+h[G>>3];E=+LD(18072,y);h[2259]=E;G=(c[98116]|0)-1|0;D=e+(G<<3)|0;I=+h[D>>3];K=E+I-I;h[2259]=K;h[2255]=+h[D>>3];L=f+(G<<3)|0;h[2256]=+h[L>>3];h[D>>3]=K+ +h[D>>3];h[L>>3]=+h[j>>3]*+h[2259]+ +h[L>>3];Md[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}K=1.0/+h[2259];h[2258]=K;L=c[b>>2]|0;c[98104]=1;D=c[98090]|0;if((L|0)>=1){G=0;M=1;I=K;while(1){h[o+(G+D<<3)>>3]=(+h[n+(G<<3)>>3]- +h[g+(G<<3)>>3])*I;N=M+1|0;if((N|0)>(L|0)){break}G=M;M=N;I=+h[2258]}c[98104]=N}c[98090]=D+(c[b>>2]|0);M=c[98116]|0;G=M-1|0;h[e+(G<<3)>>3]=+h[2255];h[f+(G<<3)>>3]=+h[2256];C=M+1|0;c[98116]=C;if((C|0)>(A|0)){break b}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){O=41;break}c[98090]=0;A=c[b>>2]|0;if((c[92500]|0)==0){O=41;break}C=bQ(A*20|0)|0;zm(14,1,32288,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;zm(14,0,32056,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;zm(14,1,31792,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[98106]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];zm(14,0,31528,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[98106]|0)+1|0;c[98106]=B;}while((B|0)<(c[b>>2]|0))}Pd[c[3538]&511](14);zm(14,1,29552,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[98116]=1;if((A|0)>=1){B=C+1|0;M=1;G=c[98090]|0;do{L=o+(M-1+G<<3)|0;h[L>>3]=+h[j>>3]+ +h[L>>3];a[C]=0;a[B]=0;c[98104]=1;L=0;Q=G;while(1){I=+h[o+(L+Q<<3)>>3];Ob(C|0,30168,(P=i,i=i+16|0,c[P>>2]=C,h[P+8>>3]=I,P)|0)|0;i=P;R=c[98104]|0;S=R+1|0;c[98104]=S;if((S|0)>(A|0)){break}L=R;Q=c[98090]|0}zm(14,0,29808,(P=i,i=i+8|0,c[P>>2]=C,P)|0);i=P;Q=c[98090]|0;L=c[98116]|0;R=o+(Q-1+L<<3)|0;h[R>>3]=+h[R>>3]- +h[j>>3];G=Q+(c[b>>2]|0)|0;c[98090]=G;M=L+1|0;c[98116]=M;}while((M|0)<=(A|0))}Pd[c[3538]&511](14);Pd[c[3538]&511](14);cQ(C);O=41}else if((z|0)==4){A=p+4|0;M=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[98116]=1;if((M|0)>=1){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(M|0));c[98116]=G}Rd[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[98096]=(c[A>>2]|0)+1+(c[p>>2]<<1);O=72}else if((z|0)==5){M=p+4|0;C=(c[M>>2]|0)+(c[p>>2]|0)|0;B=C+1|0;c[98100]=B;L=c[b>>2]|0;c[98102]=(B|0)>(L|0)?L:B;L=c[p>>2]|0;c[98096]=B+L;c[98098]=L+C;C=(c[b>>2]|0)/(B|0)|0;c[98094]=C+1;B=c[w>>2]|0;c[98110]=B-1;c[98112]=B+C;c[r>>2]=0;h[2257]=+W(+h[s>>3]);C=c[98102]|0;c[98108]=1;if((C|0)<1){O=72;break}B=q;L=1;while(1){Q=c[b>>2]|0;R=c[98100]|0;c[98092]=L;S=(R|0)<0;c:do{if(S?(L|0)>=(Q|0):(L|0)<=(Q|0)){T=L;U=L;V=R;while(1){X=(T-U|0)/(V|0)|0;c[98106]=X+1;Y=T-1|0;Z=e+(Y<<3)|0;h[o+((c[98110]|0)+X<<3)>>3]=+h[Z>>3];_=f+(Y<<3)|0;h[o+((c[98112]|0)+X<<3)>>3]=+h[_>>3];I=+h[Z>>3];h[y>>3]=I;if(I<0.0){$=-0.0-I}else{$=I}I=+h[k>>3]*+h[_>>3];if(I<0.0){aa=-0.0-I}else{aa=I}I=$>=aa?$:aa;K=+h[m+(Y<<3)>>3];if(K<0.0){ba=-0.0-K}else{ba=K}h[2259]=+h[2257]*(I>=ba?I:ba);h[y>>3]=+h[k>>3]*+h[_>>3];I=+LD(18072,y);h[2259]=I;_=c[98092]|0;Y=_-1|0;Z=e+(Y<<3)|0;K=+h[Z>>3];E=I+K-K;h[2259]=E;h[Z>>3]=+h[Z>>3]+E;Z=f+(Y<<3)|0;h[Z>>3]=+h[j>>3]*+h[2259]+ +h[Z>>3];Z=_+R|0;c[98092]=Z;if(!(S?(Z|0)>=(Q|0):(Z|0)<=(Q|0))){break c}T=Z;U=c[98108]|0;V=c[98100]|0}}}while(0);Md[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}Q=c[b>>2]|0;S=c[98100]|0;R=c[98108]|0;c[98092]=R;V=(S|0)<0;d:do{if(V?(R|0)>=(Q|0):(R|0)<=(Q|0)){U=R;T=R;D=S;while(1){Z=(U-T|0)/(D|0)|0;c[98106]=Z+1;_=U-1|0;Y=e+(_<<3)|0;h[Y>>3]=+h[o+((c[98110]|0)+Z<<3)>>3];E=+h[o+((c[98112]|0)+Z<<3)>>3];Z=f+(_<<3)|0;h[Z>>3]=E;K=+h[Y>>3];h[y>>3]=K;if(K<0.0){ca=-0.0-K}else{ca=K}K=+h[k>>3]*E;if(K<0.0){da=-0.0-K}else{da=K}K=ca>=da?ca:da;E=+h[m+(_<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}h[2259]=+h[2257]*(K>=ea?K:ea);h[y>>3]=+h[k>>3]*+h[Z>>3];K=+LD(18072,y);h[2259]=K;Z=c[98092]|0;E=+h[e+(Z-1<<3)>>3];I=K+E-E;h[2259]=I;E=1.0/I;h[2258]=E;_=Z-(c[M>>2]|0)|0;Y=(_|0)>1?_:1;c[98120]=Y;_=c[b>>2]|0;X=(c[p>>2]|0)+Z|0;fa=(_|0)<=(X|0)?_:X;c[98118]=fa;X=ga(c[98098]|0,Z)|0;_=X-(c[p>>2]|0)|0;c[98114]=_;c[98116]=Y;if((Y|0)<=(fa|0)){X=Y;I=E;while(1){Y=X-1|0;h[o+(Y+_<<3)>>3]=(+h[n+(Y<<3)>>3]- +h[g+(Y<<3)>>3])*I;ha=X+1|0;if((ha|0)>(fa|0)){break}X=ha;I=+h[2258]}c[98116]=ha}X=Z+S|0;c[98092]=X;fa=c[98108]|0;if(!(V?(X|0)>=(Q|0):(X|0)<=(Q|0))){ia=fa;break d}U=X;T=fa;D=c[98100]|0}}else{ia=R}}while(0);R=ia+1|0;c[98108]=R;if((R|0)>(C|0)){O=72;break a}else{L=R}}i=x;return 0}else if((z|0)==3){i=x;return 0}else{L=c[b>>2]|0;C=ga(L,L)|0;c[98116]=1;if((C|0)!=0){L=1;do{h[o+(L-1<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(C|0));c[98116]=L}Rd[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){O=41;break}c[98090]=0;C=c[b>>2]|0;if((c[92500]|0)==0){O=41;break}M=bQ(C*20|0)|0;zm(14,1,32288,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;zm(14,0,32056,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;zm(14,1,31792,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[98106]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];zm(14,0,31528,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[98106]|0)+1|0;c[98106]=B;}while((B|0)<(c[b>>2]|0))}Pd[c[3538]&511](14);zm(14,1,31264,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[98116]=1;if((C|0)>=1){B=M+1|0;L=1;A=c[98090]|0;do{G=o+(L-1+A<<3)|0;h[G>>3]=+h[j>>3]+ +h[G>>3];a[M]=0;a[B]=0;c[98104]=1;G=0;R=A;while(1){I=+h[o+(G+R<<3)>>3];Ob(M|0,30168,(P=i,i=i+16|0,c[P>>2]=M,h[P+8>>3]=I,P)|0)|0;i=P;Q=c[98104]|0;V=Q+1|0;c[98104]=V;if((V|0)>(C|0)){break}G=Q;R=c[98090]|0}zm(14,0,29808,(P=i,i=i+8|0,c[P>>2]=M,P)|0);i=P;R=c[98090]|0;G=c[98116]|0;Q=o+(R-1+G<<3)|0;h[Q>>3]=+h[Q>>3]- +h[j>>3];A=R+(c[b>>2]|0)|0;c[98090]=A;L=G+1|0;c[98116]=L;}while((L|0)<=(C|0))}Pd[c[3538]&511](14);Pd[c[3538]&511](14);cQ(M);O=41}}while(0);if((O|0)==41){co(o,b,b,p+80|0,l)|0;i=x;return 0}else if((O|0)==72){jo(o,392384,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function Xn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[e+12>>2]|0;if((f|0)==3){return 0}else if((f|0)==5|(f|0)==4){f=e+4|0;c[98086]=(c[f>>2]|0)+1+(c[e>>2]<<1);ko(d,392344,a,e,f,e+80|0,b,392608)|0;return 0}else{ho(d,a,a,e+80|0,b,392608)|0;return 0}return 0}function Yn(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[17016]|0)){a[17016]=1;Zn(389984,389960,389952,17024,389968,16984,389976,16992)|0;h[2131]=+(c[97496]|0);f=c[97490]|0;h[2120]=+(f|0);if((c[97488]|0)==0){h[2122]=0.0;c[e>>2]=1-f;g=+KD(17048,e)}else{h[2122]=1.0;c[e>>2]=1-f;g=+KD(17048,e)*.5}h[2128]=g;h[2126]=g*+h[2131];h[2129]=+(c[97492]|0);h[2130]=+(c[97494]|0);j=+h[2123];h[2121]=j;k=1.0/+h[2124];if(k<j){break}h[2121]=k*(g+1.0)}}while(0);if((mo(b,24208,1,1)|0)!=0){g=+h[2128];h[2125]=g;l=g;i=d;return+l}if((mo(b,346072,1,1)|0)!=0){g=+h[2121];h[2125]=g;l=g;i=d;return+l}if((mo(b,45504,1,1)|0)!=0){g=+h[2131];h[2125]=g;l=g;i=d;return+l}if((mo(b,39592,1,1)|0)!=0){g=+h[2126];h[2125]=g;l=g;i=d;return+l}if((mo(b,34952,1,1)|0)!=0){g=+h[2120];h[2125]=g;l=g;i=d;return+l}if((mo(b,31632,1,1)|0)!=0){g=+h[2122];h[2125]=g;l=g;i=d;return+l}if((mo(b,28312,1,1)|0)!=0){g=+h[2129];h[2125]=g;l=g;i=d;return+l}if((mo(b,25296,1,1)|0)!=0){g=+h[2123];h[2125]=g;l=g;i=d;return+l}if((mo(b,23680,1,1)|0)!=0){g=+h[2130];h[2125]=g;l=g;i=d;return+l}if((mo(b,21392,1,1)|0)==0){l=+h[2125];i=d;return+l}else{g=+h[2124];h[2125]=g;l=g;i=d;return+l}return 0.0}function Zn(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[17536]|0){q=c[97524]|0;c[b>>2]=q;r=c[97514]|0;c[d>>2]=r;s=c[97516]|0;c[e>>2]=s;t=+h[2154];h[f>>3]=t;u=c[97520]|0;c[g>>2]=u;v=+h[2152];h[j>>3]=v;w=c[97522]|0;c[k>>2]=w;x=+h[2153];h[l>>3]=x;i=m;return 0}a[17536]=1;h[2145]=0.0;h[2151]=1.0;h[2146]=2.0;_n(390096,390056,390064,390072)|0;h[2194]=+(c[97524]|0);c[n>>2]=-(c[97514]|0);y=+KD(17552,n);h[2195]=y;h[2154]=y;z=+h[2146];h[2194]=z/3.0;A=+h[2151];B=A*.5;h[2159]=B;C=-0.0-B;h[o>>3]=C;h[2149]=+$n(17552,o);h[2147]=+$n(17192,17192);h[o>>3]=C;h[2194]=+$n(17176,o);C=+$n(17552,17192);h[2194]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2194]=C;h[2154]=1.0;D=+h[2145];if(C<1.0&C>D){E=C;while(1){h[2154]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+$n(o,p);h[2193]=C;h[o>>3]=-0.0-C;h[2193]=+$n(17272,o);C=+$n(17272,17544);h[2194]=C;h[o>>3]=-0.0-C;h[2193]=+$n(17272,o);C=+$n(17272,17544);h[2194]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2154]=y}y=A/+(c[97524]|0);h[2150]=y;h[2148]=A;c[97528]=1;F=A;p=1;do{h[o>>3]=F*y;F=+$n(o,17160);h[2148]=F;p=p+1|0;c[97528]=p;}while((p|0)<4);h[2195]=+$n(17208,17184);ao(390040,17208,390096)|0;h[o>>3]=-0.0- +h[2151];ao(390048,o,390096)|0;ao(390120,17560,390096)|0;h[o>>3]=-0.0- +h[2195];ao(390128,o,390096)|0;c[97526]=0;p=c[97510]|0;G=c[97512]|0;H=c[97530]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[97532]|0)){if(I){c[97520]=p;J=0;K=25;break}if((H-p|0)==3){c[97520]=p-1+(c[97514]|0);c[97526]=1;J=1;K=25;break}else{c[97520]=(p|0)<=(H|0)?p:H;a[17240]=1;K=26;break}}else{L=I&(G|0)==(c[97532]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[97520]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[97520]=(p|0)<=(G|0)?p:G;a[17240]=1;K=26;break}}L=c[97532]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[97520]=(N|0)<=(L|0)?N:L;a[17240]=1;K=26;break}if((H-M|0)==3){c[97520]=((p|0)>=(G|0)?p:G)-1+(c[97514]|0);J=0;K=25;break}else{c[97520]=M;a[17240]=1;K=26;break}}}while(0);if((K|0)==25){if(a[17240]|0){K=26}else{O=J}}if((K|0)==26){a[17536]=0;GE(17248)|0;XD(19080,390080,4)|0;oE()|0;O=c[97526]|0}if((O|0)==0){P=(c[97518]|0)!=0|0}else{P=1}c[97526]=P;h[2152]=1.0;P=c[97520]|0;O=1-P|0;c[n>>2]=O;c[97528]=1;if((P|0)<=0){F=+h[2150];y=1.0;P=1;do{h[o>>3]=y*F;y=+$n(o,17160);h[2152]=y;P=P+1|0;c[97528]=P;}while((P|0)<=(O|0))}bo(390096,390056,390080,390104,390088,17224)|0;q=c[97524]|0;c[b>>2]=q;r=c[97514]|0;c[d>>2]=r;s=c[97516]|0;c[e>>2]=s;t=+h[2154];h[f>>3]=t;u=c[97520]|0;c[g>>2]=u;v=+h[2152];h[j>>3]=v;w=c[97522]|0;c[k>>2]=w;x=+h[2153];h[l>>3]=x;i=m;return 0}function _n(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[17608]|0){l=c[97538]|0;m=a[17600]|0;c[b>>2]=l;n=c[97534]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[97536]|0;c[f>>2]=p;i=g;return 0}a[17608]=1;h[2199]=1.0;h[2205]=1.0;h[2203]=1.0;q=1.0;do{q=q*2.0;h[2205]=q;h[2203]=+$n(17640,17592);h[j>>3]=-0.0-q;r=+$n(17624,j);h[2203]=r;}while(r==1.0);h[2204]=1.0;r=+$n(17640,17632);h[2203]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2204]=t;u=+$n(17640,17632);h[2203]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2198]=.25;h[2197]=v;h[j>>3]=-0.0-q;r=+$n(17624,j);h[2203]=r;w=~~(r+.25);c[97538]=w;r=+(w|0);h[2204]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2202]=+$n(j,k);u=+$n(17616,17640);h[2203]=u;x=u==q;a[17600]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2202]=+$n(j,k);u=+$n(17616,17640);h[2203]=u;if(x&u==q){a[17600]=0;y=0}else{y=x}h[j>>3]=s;u=+$n(j,17640);h[2196]=u;h[j>>3]=s;x=u==q&+$n(j,17576)>v;c[97536]=x?y&1:0;c[97534]=0;h[2205]=1.0;h[2203]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[97534]=k;q=v*r;h[2205]=q;h[2203]=+$n(17640,17592);h[j>>3]=-0.0-q;u=+$n(17624,j);h[2203]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[97534]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[97536]|0;c[f>>2]=p;i=g;return 0}function $n(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function ao(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2144]=g;j=1.0/+(c[d>>2]|0);h[2137]=j;h[2136]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+$n(f,17088);h[2143]=k;h[2141]=g;h[2140]=g;h[2139]=g;h[2138]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2144]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+$n(f,17088);h[2143]=g;h[f>>3]=g*k;k=+$n(f,17088);h[2141]=k;h[2139]=0.0;c[97508]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2139]=o;c[97508]=p;n=o}h[f>>3]=l*j;q=+$n(f,17088);h[2142]=q;h[f>>3]=q/j;r=+$n(f,17088);h[2140]=r;h[2138]=0.0;b=c[d>>2]|0;c[97508]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2138]=t;c[97508]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function bo(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[97500]=1;c[97506]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[97500]=l;r=q+1|0;c[97506]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[97498]=n;u=n}else{c[97498]=m;c[97506]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[97504]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[97506]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2134]=x;y=w+-1.0;h[2132]=y;h[2133]=0.0;v=c[b>>2]|0;c[97502]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2132]=w;if(A<1.0){h[2135]=A}A=+$n(17064,17056);h[2133]=A;b=b+1|0;c[97502]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2135];h[2133]=w;z=w}}while(0);v=c[f>>2]|0;c[97502]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+$n(k,18544);h[2133]=z;f=D+1|0;c[97502]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function co(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[97552]=1;m=1;do{c[97550]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=eo(j,a+(m+b+(ga(m,l)|0)<<3)|0,19072)|0;q=c[97552]|0;r=p-1+q|0;c[97548]=r;c[e+(q-1<<2)>>2]=r;r=c[97548]|0;q=c[97552]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2207]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2207];t=q}u=ga(t,l)|0;h[2207]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;fo(j,17656,a+(t-l+u<<3)|0,19072)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[97550]|0;c[97554]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[97548]|0;x=ga(w,l)|0;h[2207]=+h[a+(x+b+v<<3)>>3];y=c[97552]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2207];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;go(k,17656,a+((ga(z,l)|0)+b+y<<3)|0,19072,a+(y+b+x<<3)|0,19072)|0;w=(c[97554]|0)+1|0;c[97554]=w;}while((w|0)<=(u|0))}}while(0);m=(c[97552]|0)+1|0;c[97552]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function eo(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[98268]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[44800]=i;j=(c[d>>2]|0)+1|0;c[98268]=j;k=c[a>>2]|0;c[98270]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[44800]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[98268]=j;a=o+1|0;c[98270]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[44800]=t;c[98270]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[44800]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[98270]=B;f=z;return f|0}function fo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[98274]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[98274]=j;return 0}j=(f|0)%5|0;c[98272]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[98274]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[98274]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[98274]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[98274]=m;return 0}function go(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[98284]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[98290]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[98290]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[98290]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[98290]=r;return 0}}while(0);c[98288]=1;c[98286]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[98288]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[98286]=r;t=r}else{t=1}r=c[a>>2]|0;c[98290]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[98288]=t;s=v+(c[g>>2]|0)|0;c[98286]=s;c[98290]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function ho(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[97540]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[97546]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[97542]=o;p=f+(o-1<<3)|0;h[2206]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2206]}c[k>>2]=(c[d>>2]|0)-g;go(k,17648,a+(g-l+(ga(g,l)|0)<<3)|0,19072,f+(g<<3)|0,19072)|0;g=(c[97546]|0)+1|0;c[97546]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[97544]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[97546]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2206]=-0.0-s;c[k>>2]=n;go(k,17648,a+(p-l<<3)|0,19072,f,19072)|0;q=(c[97544]|0)+1|0;c[97544]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[97546]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+io(k,a+((ga(m,l)|0)-l<<3)|0,19072,f,19072);h[2206]=s;q=c[97546]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[97546]=m;}while((m|0)<=(g|0));t=c[97540]|0}if((t|0)<1){i=j;return 0}c[97544]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[97546]=m;c[k>>2]=(c[d>>2]|0)-m;s=+io(k,a+(m-l+(ga(m,l)|0)<<3)|0,19072,f+(m<<3)|0,19072);m=c[97546]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[97542]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2206]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2206]}g=(c[97544]|0)+1|0;c[97544]=g;}while((g|0)<=(t|0));i=j;return 0}function io(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[44801]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[98276]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[98282]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[44801]=o;n=n+1|0;}while((n|0)<=(j|0));c[98282]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[98282]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[44801]=r;q=q+5|0;}while((q|0)<=(l|0));c[98282]=q;i=r;return+i}}while(0);c[98280]=1;c[98278]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[98280]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[98278]=q;w=q}else{w=1}q=c[a>>2]|0;c[98282]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[44801]=r;w=x+(c[d>>2]|0)|0;c[98280]=w;v=y+(c[f>>2]|0)|0;c[98278]=v;a=A+1|0;c[98282]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function jo(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[97574]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[97590]=n;o=c[d>>2]|0;p=c[97574]|0;q=((o|0)>(p|0)?p:o)-1|0;c[97588]=q;if((q|0)>=(n|0)){c[97584]=n;o=n;do{n=1-o+p|0;c[97596]=n;r=c[e>>2]|0;c[97594]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[97594]=s}o=o+1|0;c[97584]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[97584]=q;c[97586]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[97582]=1;r=1;p=q;while(1){c[97580]=r+1;q=p+1|0;c[97584]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[97594]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[97594]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[97576]=s;c[l>>2]=s+1;s=eo(l,a+((c[97574]|0)+b+(ga(r,m)|0)<<3)|0,19072)|0;n=s-1|0;c[97578]=n+(c[97574]|0);s=c[97582]|0;c[g+(s-1<<2)>>2]=n+s;s=c[97578]|0;n=c[97582]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[97574]|0;if((s|0)==(v|0)){z=s}else{h[2209]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2209];z=v}h[2209]=-1.0/+h[a+(z+b+q<<3)>>3];fo(390304,17672,a+(z-m+q<<3)|0,19072)|0;v=c[97586]|0;w=(c[g+((c[97582]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[97586]=v;A=c[97574]|0;c[97572]=A;w=c[97580]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[97592]=w;B=w;w=A;while(1){A=(c[97578]|0)-1|0;c[97578]=A;C=w-1|0;c[97572]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2209]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2209];F=C}go(390304,17672,a+((c[97574]|0)-m+(ga(c[97582]|0,m)|0)<<3)|0,19072,a+(F-m+D<<3)|0,19072)|0;D=(c[97592]|0)+1|0;c[97592]=D;if((D|0)>(v|0)){break a}B=D;w=c[97572]|0}}}while(0);q=(c[97582]|0)+1|0;c[97582]=q;if((q|0)>(o|0)){break}r=q;p=c[97584]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[97574]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function ko(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[97558]=l;f=(c[d>>2]|0)-1|0;c[97556]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[97570]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[97560]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[97566]=m;o=i+(m-1<<3)|0;h[2208]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2208]}go(390240,17664,a+((c[97558]|0)-k+(ga(j,k)|0)<<3)|0,19072,i+(j<<3)|0,19072)|0;j=(c[97570]|0)+1|0;c[97570]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[97568]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[97570]=m;o=c[97558]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[97560]=q;s=o-q|0;c[97564]=s;o=m-q|0;c[97562]=o;h[2208]=-0.0-r;go(390240,17664,a+(s+b+n<<3)|0,19072,i+(o-1<<3)|0,19072)|0;p=(c[97568]|0)+1|0;c[97568]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[97570]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[97560]=l;o=p-l|0;c[97564]=o;n=f-l|0;c[97562]=n;r=+io(390240,a+((ga(f,k)|0)+b+o<<3)|0,19072,i+(n-1<<3)|0,19072);h[2208]=r;n=c[97570]|0;o=i+(n-1<<3)|0;p=c[97558]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[97570]=f;}while((f|0)<=(j|0));t=c[97556]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[97568]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[97570]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[97560]=(f|0)<=(b|0)?f:b;r=+io(390240,a+(j-k+(ga(u,k)|0)<<3)|0,19072,i+(u<<3)|0,19072);u=c[97570]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[97566]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2208]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2208]}f=(c[97568]|0)+1|0;c[97568]=f;if((f|0)>(t|0)){break}p=f;j=c[97558]|0}return 0}function lo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[98294]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[98300]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[98300]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[98300]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[98300]=m;return 0}}while(0);c[98298]=1;c[98296]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[98298]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[98296]=m;o=m}else{o=1}m=c[a>>2]|0;c[98300]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[98298]=p;q=q+(c[f>>2]|0)|0;c[98296]=q;r=r+1|0;c[98300]=r;}while((r|0)<=(m|0));return 0}function mo(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14168]=1;g=d[b]|0;c[94800]=g;b=d[e]|0;c[94798]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[94800]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[94798]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}function no(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2597]=6;GE(10384)|0;XD(19064,i,4)|0;oE()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[93398]=0;c[93396]=0;c[93400]=0;a[10840]=0;q=c[e>>2]|0;c[93426]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[93398]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[93426]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[93426]=1;if((t|0)>=1){w=1;do{h[373896+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[93426]=w}c[93412]=2;t=c[e>>2]|0;c[93426]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[93410]=1;if((D|0)<1){E=B}else{F=1;do{h[373896+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[93410]=F;E=+h[A>>3]}h[373896+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[93412]=D;C=D}D=x+1|0;c[93426]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[93398]|0;x=y+1|0;c[93392]=x;c[93426]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[93410]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[373896+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[93410]=w}Ud[s&127](e,b,373728+(y-1<<3)|0)|0;c[93396]=(c[93396]|0)+1;if((c[i>>2]|0)>=1){c[2705]=6;GE(10816)|0;XD(19064,373584,4)|0;XD(19064,373728+((c[93426]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[93410]=1;if((t|0)>=1){z=1;do{XD(19064,b+(z-1<<3)|0,8)|0;z=(c[93410]|0)+1|0;c[93410]=z;}while((z|0)<=(t|0))}oE()|0}y=(c[93426]|0)+1|0;c[93426]=y;}while((y|0)<=(x|0))}x=c[93400]|0;b:while(1){c[93400]=x+1;c[93418]=1;c[93416]=1;B=+h[46716];h[1361]=B;h[1359]=B;y=c[93392]|0;c[93426]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[373728+(t-1<<3)>>3];do{if(B>H){c[93418]=t;J=+h[373728+(t-1<<3)>>3];h[1361]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[93416]=t;J=+h[373728+(t-1<<3)>>3];h[1359]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[93426]=O;G=L}z=c[e>>2]|0;c[93426]=1;if((z|0)>=1){t=1;do{h[373400+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[93426]=t}c[93426]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[93410]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=373400+(Q-1<<3)|0;h[A>>3]=+h[373896+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[93410]=Q;P=z}}while(0);z=P+1|0;c[93426]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[93410]=1;if((y|0)>=1){I=+(c[93398]|0);z=1;do{t=373400+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[93410]=z}y=c[e>>2]|0;c[93426]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[373400+(w<<3)>>3];h[373080+(w<<3)>>3]=I+(I- +h[373896+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[93426]=t}Ud[s&127](e,373080,10864)|0;y=(c[93396]|0)+1|0;c[93396]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2699]=6;GE(10792)|0;XD(19064,373584,4)|0;XD(19064,10864,8)|0;w=c[e>>2]|0;c[93410]=1;if((w|0)>=1){A=1;do{XD(19064,373080+(A-1<<3)|0,8)|0;A=(c[93410]|0)+1|0;c[93410]=A;}while((A|0)<=(w|0))}oE()|0}}while(0);I=+h[1358];c:do{if(I<+h[1359]){z=c[e>>2]|0;c[93426]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[373400+(t<<3)>>3];h[372920+(t<<3)>>3]=H+(+h[373080+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[93426]=y}Ud[s&127](e,372920,10848)|0;z=(c[93396]|0)+1|0;c[93396]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2693]=6;GE(10768)|0;XD(19064,373584,4)|0;XD(19064,10848,8)|0;w=c[e>>2]|0;c[93410]=1;if((w|0)>=1){A=1;do{XD(19064,372920+(A-1<<3)|0,8)|0;A=(c[93410]|0)+1|0;c[93410]=A;}while((A|0)<=(w|0))}oE()|0}}while(0);H=+h[1356];if(!(H<+h[1359])){R=122;break}t=c[e>>2]|0;c[93426]=1;z=c[93418]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[373896+((y*21|0)-22+z<<3)>>3]=+h[372920+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[93426]=y}h[373728+(z-1<<3)>>3]=H}else{t=c[93392]|0;c[93426]=1;if((t|0)>=1){w=c[93418]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[373728+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[93426]=A;}while((A|0)<=(t|0))}if(!(I>+h[1361])){t=c[e>>2]|0;c[93426]=1;A=c[93418]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[373896+((w*21|0)-22+A<<3)>>3]=+h[373080+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[93426]=w}h[1361]=I;h[373728+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[93426]=1;if((t|0)>=1){z=c[93418]|0;y=1;do{F=y-1|0;h[372920+(F<<3)>>3]=+h[373896+((y*21|0)-22+z<<3)>>3]*.5+ +h[373400+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[93426]=y}Ud[s&127](e,372920,10848)|0;t=(c[93396]|0)+1|0;c[93396]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2687]=6;GE(10744)|0;XD(19064,373584,4)|0;XD(19064,10848,8)|0;A=c[e>>2]|0;c[93410]=1;if((A|0)>=1){w=1;do{XD(19064,372920+(w-1<<3)|0,8)|0;w=(c[93410]|0)+1|0;c[93410]=w;}while((w|0)<=(A|0))}oE()|0}}while(0);H=+h[1356];if(!(H>+h[1361])){z=c[e>>2]|0;c[93426]=1;t=c[93418]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[373896+((y*21|0)-22+t<<3)>>3]=+h[372920+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[93426]=y}h[373728+(t-1<<3)>>3]=H;break}z=c[93392]|0;c[93426]=1;if((z|0)<1){break}else{S=1}do{A=c[93416]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[93410]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=373896+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[373896+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[373896+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[93410]=D}Ud[s&127](e,b,373728+(S-1<<3)|0)|0;w=(c[93396]|0)+1|0;c[93396]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2681]=6;GE(10720)|0;XD(19064,373584,4)|0;XD(19064,373728+((c[93426]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[93410]=1;if((F|0)>=1){w=1;do{XD(19064,b+(w-1<<3)|0,8)|0;w=(c[93410]|0)+1|0;c[93410]=w;}while((w|0)<=(F|0))}oE()|0}}while(0);S=(c[93426]|0)+1|0;c[93426]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[93426]=1;t=c[93418]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[373896+((y*21|0)-22+t<<3)>>3]=+h[373080+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[93426]=y}h[373728+(t-1<<3)>>3]=+h[1358]}z=c[93400]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1357]=0.0;h[1360]=0.0;z=c[93392]|0;c[93426]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1360]=0.0/I;c[93426]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[373728+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1360]=B;c[93426]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[373728+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1357]=Y;c[93426]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1357]=B;do{if(B>+h[j>>3]){if((c[93396]|0)>(c[g>>2]|0)){break}a[10840]=0;c[93400]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[93426]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[93410]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[373896+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[93410]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[93426]=y}Ud[s&127](e,b,f)|0;t=(c[93396]|0)+1|0;c[93396]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2675]=6;GE(10696)|0;XD(19064,373584,4)|0;XD(19064,r,8)|0;A=c[e>>2]|0;c[93410]=1;if((A|0)>=1){F=1;do{XD(19064,b+(F-1<<3)|0,8)|0;F=(c[93410]|0)+1|0;c[93410]=F;}while((F|0)<=(A|0))}oE()|0;$=c[93396]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2645]=6;GE(10576)|0;oE()|0;c[2639]=6;GE(10552)|0;t=c[e>>2]|0;c[93426]=1;if((t|0)>=1){z=1;do{XD(19064,b+(z-1<<3)|0,8)|0;z=(c[93426]|0)+1|0;c[93426]=z;}while((z|0)<=(t|0))}oE()|0;c[2633]=6;GE(10528)|0;XD(19064,r,8)|0;oE()|0}if(a[10840]|0){B=+h[1360];H=+h[1260]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[10840]=1;ba=+h[1360]}h[1260]=ba;c[93400]=0;x=0}if((c[i>>2]|0)>=0){c[2627]=6;GE(10504)|0;XD(19064,373584,4)|0;oE()|0;c[2621]=6;GE(10480)|0;x=c[e>>2]|0;c[93426]=1;if((x|0)>=1){t=1;do{XD(19064,b+(t-1<<3)|0,8)|0;t=(c[93426]|0)+1|0;c[93426]=t;}while((t|0)<=(x|0))}oE()|0;c[2615]=6;GE(10456)|0;XD(19064,r,8)|0;oE()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2609]=6;GE(10432)|0;oE()|0}h[1359]=+h[f>>3];c[93394]=0;x=c[93392]|0;c[93426]=1;if((x|0)>=1){t=1;while(1){z=373728+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[93426]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[93410]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=373896+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[372920+(F-1<<3)>>3]=+h[373896+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[93410]=F}Ud[s&127](e,372920,z)|0;c[93394]=(c[93394]|0)+1;c[93396]=(c[93396]|0)+1;y=c[93426]|0;B=+h[373728+(y-1<<3)>>3];if(!(B<+h[1359])){t=y;continue}h[1359]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2603]=6;GE(10408)|0;XD(19064,373584,4)|0;XD(19064,10872,8)|0;y=c[e>>2]|0;c[93410]=1;if((y|0)>=1){A=1;do{XD(19064,372920+(A-1<<3)|0,8)|0;A=(c[93410]|0)+1|0;c[93410]=A;}while((A|0)<=(y|0))}oE()|0;t=c[93426]|0}}t=c[93398]|0;c[93426]=1;do{if((t|0)<1){h[1539]=+h[46716];c[93426]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[93430]=y;A=c[e>>2]|0;c[93410]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[373080+(z-1<<3)>>3]=(+h[373896+(F-21<<3)>>3]+ +h[373896+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[93410]=z}Ud[s&127](e,373080,378936+(x-1<<3)|0)|0;c[93394]=(c[93394]|0)+1;c[93396]=(c[93396]|0)+1;x=(c[93426]|0)+1|0;c[93426]=x;}while((x|0)<=(t|0));x=c[93398]|0;B=+h[46716];h[1539]=B;c[93426]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[93430]=A;c[93428]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[93410]=1;y=1;while(1){F=y+1|0;c[93408]=F;w=c[e>>2]|0;c[93404]=1;if((w|0)>=1){D=c[93428]|0;T=1;do{U=(T*21|0)-22|0;h[372920+(T-1<<3)>>3]=(+h[373896+(U+D<<3)>>3]+ +h[373896+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[93404]=T}Ud[s&127](e,372920,10848)|0;c[93394]=(c[93394]|0)+1;c[93396]=(c[93396]|0)+1;w=c[93426]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[93410]|0;ja=U+D|0;c[93402]=ja;B=+h[1539];h[377256+(ja-1<<3)>>3]=(+h[1356]+B- +h[378936+(F<<3)>>3]- +h[378936+(U-1<<3)>>3])*2.0;F=U+1|0;c[93410]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[93426]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[93398]|0;c[93402]=0;c[93426]=1;y=(x|0)<1;if(y){c[93426]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[377256+(oa-1<<3)>>3]=(+h[373728+(ma<<3)>>3]+ha- +h[378936+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[93430]=ma+1;c[93402]=oa;c[93426]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=378936+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[373728+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[93430]=A+1;c[93426]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[93402]=0;c[93426]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[93426]=1;if((t|0)>=1){z=1;do{h[373240+(z-1<<3)>>3]=+h[373896+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[93426]=z}c[93426]=1;do{if(la){c[93426]=1}else{t=1;do{t=t+1|0;c[93430]=t;F=c[e>>2]|0;c[93410]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=373896+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[373896+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[93410]=w}c[93426]=t;}while((t|0)<=(ka|0));c[93426]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[93430]=t;y=c[e>>2]|0;c[93410]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[373896+(A+qa<<3)>>3]=+h[373896+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[93410]=x}c[93426]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);oo(377256,373592,377256,372760,373560,p,10088)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2591]=6;GE(10360)|0;oE()|0}c[p>>2]=2;if((c[93396]|0)>(c[g>>2]|0)){R=315;break}c[2585]=6;GE(10336)|0;oE()|0;z=c[e>>2]|0;c[93426]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[93426]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2669]=6;GE(10672)|0;XD(19064,g,4)|0;oE()|0;c[2663]=6;GE(10648)|0;XD(19064,10856,8)|0;oE()|0;c[2657]=6;GE(10624)|0;s=c[e>>2]|0;c[93426]=1;if((s|0)>=1){z=1;do{XD(19064,b+(z-1<<3)|0,8)|0;z=(c[93426]|0)+1|0;c[93426]=z;}while((z|0)<=(s|0))}oE()|0;c[2651]=6;GE(10600)|0;XD(19064,r,8)|0;oE()|0;return 0}else if((R|0)==229){s=c[93398]|0;c[93414]=s-(c[93390]|0);c[93426]=1;z=(s|0)<1;do{if(z){h[1259]=0.0;c[93426]=1;sa=0.0}else{y=s+1|0;w=1;do{h[373728+(w-1<<3)>>3]=0.0;A=w-1|0;F=373728+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[377256+(ta-1<<3)>>3]*+h[378936+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[93402]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[93410]=y;h[1259]=0.0;c[93426]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[373728+(w<<3)>>3]*+h[378936+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1259]=va;c[93426]=wa;sa=va}}while(0);h[1259]=+h[1539]-sa;r=c[e>>2]|0;c[93426]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[372920+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=372920+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[373728+(ja-1<<3)>>3]*+h[373896+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[93426]=w;c[93410]=xa}r=c[e>>2]|0;c[93426]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=373240+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[372920+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[93426]=y}if((c[i>>2]|0)>=0){c[2579]=6;GE(10312)|0;XD(19064,10072,8)|0;r=c[e>>2]|0;c[93426]=1;if((r|0)>=1){w=1;do{XD(19064,373240+(w-1<<3)|0,8)|0;w=(c[93426]|0)+1|0;c[93426]=w;}while((w|0)<=(r|0))}oE()|0;c[2573]=6;GE(10288)|0;oE()|0}r=c[e>>2]|0;c[93426]=1;if((r|0)>=1){w=c[93398]|0;y=1;do{c[93410]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[373728+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=373728+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[377256+(za-1<<3)>>3]*+h[373896+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[93402]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[93404]=z;c[93410]=ja}s=c[e>>2]|0;c[93410]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=371080+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[373728+(Da-1<<3)>>3]*+h[373896+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[93410]=U;c[93402]=Aa;c[93404]=Ba}y=y+1|0;c[93426]=y;}while((y|0)<=(r|0))}c[93410]=0;r=c[e>>2]|0;c[93426]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[371080+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[93410]=y;c[93426]=w}if((c[i>>2]|0)<0){return 0}c[2567]=6;GE(10264)|0;XD(19064,373656,4)|0;oE()|0;c[93420]=1;r=1;d:while(1){c[93402]=r;do{if((r|0)>(c[e>>2]|0)){s=c[93420]|0;if((s|0)==1){c[2561]=6;GE(10240)|0;oE()|0;oo(371080,373592,377256,372760,373560,p,10088)|0;c[2555]=6;GE(10216)|0;oE()|0;c[93420]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[93420]=2;c[93424]=0;c[93422]=0;s=c[e>>2]|0;c[93426]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=XQ(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=371080+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=371080+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[371080+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[93406]=Ja;c[93422]=Ra;c[93424]=Ga;c[93410]=La;c[93426]=Sa}c[2549]=6;GE(10192)|0;oE()|0;c[93424]=0;D=c[e>>2]|0;c[93426]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=371080+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[93424]=Ta;c[93426]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[93424]=U;D=c[e>>2]|0;c[93426]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[93430]=ja;A=Ca+Da|0;c[93424]=A;ya=ja+5|0;c[93428]=(A|0)<=(ya|0)?A:ya;if((c[93420]|0)==3){c[2531]=6;GE(10120)|0;ya=c[93428]|0;A=c[93430]|0;c[93410]=A;if((A|0)<=(ya|0)){ja=A;do{XD(19064,377256+(ja-1<<3)|0,8)|0;ja=(c[93410]|0)+1|0;c[93410]=ja;}while((ja|0)<=(ya|0))}oE()|0}else{c[2537]=6;GE(10144)|0;ya=c[93428]|0;ja=c[93430]|0;c[93410]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{XD(19064,371080+(Fa-1<<3)|0,8)|0;Fa=(c[93410]|0)+1|0;c[93410]=Fa;}while((Fa|0)<=(ya|0))}oE()|0}ya=(c[93426]|0)+1|0;c[93426]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[93424]|0;z=c[93402]|0}}}while(0);c[2525]=6;GE(10096)|0;oE()|0;r=(c[93402]|0)+6|0}c[2543]=6;GE(10168)|0;XD(19064,373576,4)|0;oE()|0;return 0}else if((R|0)==315){return 0}}}while(0);Ud[o&127](e,b,f)|0;return 0}function oo(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[92546]=c[b>>2];c[g>>2]=1;if((c[92546]|0)<1){return 0}c[g>>2]=0;po(a,370184,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[92546]|0;i=(ga(g+1|0,g)|0)/2|0;c[92548]=i;c[92562]=g;c[92550]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=XQ(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[92560]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[92560]=l;j=k}m=j;n=a-1|0}else{c[92566]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[92566]=q}c[92564]=g;c[92558]=i;c[92552]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[92552]=A;z=r-1|0;c[92564]=z;B=l-1|0;c[92558]=B;l=B;r=z;s=A}c[92556]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[92554]=m;c[92562]=0;c[92550]=f-g;return 0}function po(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2285]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2285]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2285];c[98144]=1;c[98142]=0;l=c[b>>2]|0;c[98148]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[98140]=0;c[98146]=1;do{if((b|0)>=1){n=c[98142]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2283]=k;s=(o|0)==(b|0);if(s){j=k*+h[2285];h[2284]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2283]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2284]=+h[2284]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[98140]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[98140]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2283];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[98146]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[98150]=t;c[98138]=u;c[98142]=q;break}else if((B|0)==26){B=0;c[98150]=t;c[98138]=u;c[98142]=q;break}}}while(0);k=+W(+h[2284]);h[2284]=k;F=+h[2283];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[98142]|0)-1<<3)>>3]=E;E=+h[2284]/+h[2283];h[i+((c[98150]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[98142]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[98148]|0;M=c[98144]|0}}while(0);m=M+L|0;c[98144]=m;b=L+1|0;c[98148]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[98150]=t;c[98138]=u;c[98142]=q;return 0}}while(0);c[f>>2]=0;return 0}function qo(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[92744]=l;m=(c[d>>2]|0)-l|0;c[92742]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[92746]=q;a[9960]=1;r=c[b>>2]|0;s=r+1|0;c[92752]=s;t=c[b>>2]|0;u=s+t|0;c[92754]=u;s=u+(c[b>>2]|0)|0;c[92750]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[92764]=u;v=u+(c[d>>2]|0)|0;c[92762]=v;w=v+(c[b>>2]|0)|0;c[92760]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[92758]=x;y=x+(c[d>>2]|0)|0;c[92768]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[92748]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[92766]=A;B=A+(c[b>>2]|0)|0;c[92756]=B;ro(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,370984,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);GE(9968)|0;oE()|0;return 0}function ro(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1162]=.5;h[1136]=1.0;h[1124]=.1;F=(c[a>>2]|0)+1|0;c[92698]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[92700]=H;I=(c[b>>2]|0)-F|0;c[92696]=I;F=c[j>>2]|0;c[92702]=(F|0)<1?1:F;F=c[a>>2]|0;c[92726]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[92720]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[92720]=L}J=c[u>>2]|0;c[92740]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[92740]=K}j=j+1|0;c[92726]=j;}while((j|0)<=(F|0))}c[92736]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[92736]=G}G=c[b>>2]|0;c[92720]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[92726]=M;c[92720]=j}N=+h[e>>3];O=N*N;h[1131]=O;h[1134]=+h[1136]/O;h[1133]=+W(+h[1162])/O;c[92710]=0;j=y;y=A;M=0;a:while(1){c[92708]=M;G=M-(c[a>>2]|0)|0;c[92706]=G;F=M+1|0;c[92710]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[92730]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[92722]=K;J=K+H|0;c[92732]=J;if((J|0)>(c[a>>2]|0)){c[92730]=K;H=J-(c[a>>2]|0)|0;c[92722]=H;c[92732]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1122]=O;K=c[92698]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1122]=N;R=N}else{R=O}O=+h[e>>3];h[1121]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1121]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1121];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[92726]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[92726]=I}if((F|0)>(c[92702]|0)){T=F;U=158;break}while(1){Ud[j&127](a,d,9832)|0;if((c[g>>2]|0)==3){GE(9240)|0;XD(19056,370840,4)|0;XD(19056,9832,8)|0;G=c[a>>2]|0;c[92740]=1;if((G|0)>=1){K=1;do{XD(19056,d+(K-1<<3)|0,8)|0;K=(c[92740]|0)+1|0;c[92740]=K;}while((K|0)<=(G|0))}oE()|0}G=c[92710]|0;do{if((G|0)>(c[b>>2]|0)){K=c[92718]|0;if((K|0)==-1){break a}h[1123]=0.0;c[92736]=0;J=c[a>>2]|0;c[92726]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1123]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1126]=N;if((ca|0)==(L|0)){fa=N*+h[1162];h[1126]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1123]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[92736]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[92740]=Z;c[92726]=ja;V=_}X=c[b>>2]|0;c[92720]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1123]=O;L=L+1|0;}while((L|0)<=(X|0));c[92720]=L;ka=O}da=+h[1229];N=+h[1166];fa=da-N-ka;h[1238]=fa;h[1235]=+h[1236];h[1236]=+h[1237];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1237]=la;if(+h[1233]>+h[1132]){c[92704]=G}h[1165]=N;do{if(da<N){h[1166]=da;h[1120]=0.0;X=c[a>>2]|0;c[92740]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1120]=+h[1120]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[92740]=ma;h[A>>3]=na}}while(0);c[92714]=K;if((K|0)<=0){da=+h[1123];if(!(da<0.0)){U=189;break a}N=+h[1229];O=+h[1165];fa=(N-O)/da;h[1135]=fa;da=+h[1124];do{if(fa>da){oa=+h[1162]*+h[1240];h[A>>3]=oa;pa=+h[1233];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1240]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1240]=ra;sa=ra;break}}else{ra=+h[1162]*+h[1233];h[1240]=ra;sa=ra}}while(0);fa=+h[1132];if(sa>fa*1.5){ta=sa}else{h[1240]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1131]=fa;c[92712]=0;h[1239]=0.0;if(N<O){ua=0.0;va=0}else{L=c[92716]|0;c[92712]=L;pa=+h[1136];h[1239]=pa;ua=pa;va=L}L=c[b>>2]|0;c[92720]=1;if((L|0)<1){wa=K}else{X=c[92696]|0;H=K;J=1;pa=ua;while(1){h[1161]=0.0;c[92726]=1;if((X|0)<1){xa=0.0}else{ca=c[92738]|0;Y=J+C|0;ra=+h[1136];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1126]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1161]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[92726]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1243]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1126]=za;h[1234]=0.0;Y=c[a>>2]|0;c[92726]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1234]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[92726]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1126]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1239]=Ea;c[92718]=J;Fa=J;Ga=Ea}Y=J+1|0;c[92720]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}to(a,b,s,t,370952,u,w,9944,370872,x)|0;J=c[92718]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1229];c[92736]=0;L=c[a>>2]|0;c[92740]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1126]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1126]}ea=ba+Y|0;c[92736]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[92726]=Ka;c[92740]=Na}h[X>>3]=0.0;ba=c[92696]|0;c[92726]=1;Y=(ba|0)<1;if(!Y){K=c[92738]|0;L=1;do{H=ga(L,B)|0;da=+h[1238]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1126]=Oa;ea=c[b>>2]|0;c[92720]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1126]}c[92720]=ca}L=L+1|0;c[92726]=L;}while((L|0)<=(ba|0))}h[1163]=0.0;L=c[a>>2]|0;c[92740]=1;if((L|0)>=1){K=1;do{da=+h[1238]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1163]=+h[1163]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[92740]=K;h[A>>3]=Pa}L=c[92714]|0;do{if((L|0)==0){if(!(+h[1240]==+h[1132])){break}da=+h[1135];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[92728]=0;break}X=c[b>>2]|0;c[92720]=1;if((X|0)>=1){aa=o+((c[92716]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[92720]=ea}h[1164]=0.0;X=c[a>>2]|0;c[92740]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1130]=0.0;ca=c[b>>2]|0;c[92720]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1130]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[92720]=Ma;Sa=da}h[1164]=+h[1164]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[92740]=aa;}while((aa|0)<=(X|0));Ra=+h[1164]*100.0}X=(c[92728]|0)+1|0;c[92728]=X;if(+h[1163]<Ra){c[92728]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[92740]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[92740]=aa}X=c[92700]|0;c[92736]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[92736]=ea}c[92726]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[92720]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[92720]=Ua;Ta=fa}if((X|0)<(c[92738]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[92726]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[92720]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[92726]=Va;c[92720]=ca}c[92728]=0}}while(0);fa=+h[1229];da=+h[1165];if(fa<da){c[92716]=J}qa=+h[1124];if(fa<=da+qa*+h[1123]|(L|0)>0){U=54;break}c[92718]=0;Ha=qa;Ia=+h[1240];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1229];qa=+h[1229];do{if((G|0)==1){h[1228]=qa;h[1166]=qa;c[92716]=1;Wa=1}else{if(!(qa<+h[1166])){Wa=G;break}h[1166]=qa;c[92716]=G;Wa=G}}while(0);L=c[92708]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[92732]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[92722]|0;X=K+Y|0;c[92736]=X;if(+h[1122]<0.0){Y=ba+(c[a>>2]|0)|0;c[92732]=Y;Xa=Y}else{Xa=ba}if(+h[1121]<0.0){ba=K+(c[a>>2]|0)|0;c[92722]=ba;Ya=ba}else{Ya=K}K=ga(c[92706]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1134];h[t+(Wa+C+K<<3)>>3]=+h[1134];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1134];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1134];h[q+(X-1<<3)>>3]=(+h[1228]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1229])/(+h[1122]*+h[1121])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[92706]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1162]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1162])/+h[e>>3];da=+h[1133];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1133];h[t+(ba+K<<3)>>3]=+h[1133];K=(ga(X+1|0,X)|0)/2|0;c[92736]=K;da=(+h[1228]- +h[1229])/+h[e>>3];h[1126]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1162]*(+h[ba>>3]+ +h[1126]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1228])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1136])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1136]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1131]*(-0.0- +h[1162]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1132]=qa;h[1240]=qa;c[92738]=1;h[1237]=0.0;h[1236]=0.0;c[92728]=0;h[1120]=0.0;L=c[a>>2]|0;c[92740]=1;if((L|0)<1){U=53;break}J=c[92716]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1120]=+h[1120]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[92740]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[92704]=c[92710];U=54;continue}else if((U|0)==54){U=0;c[92718]=0;G=(c[92698]|0)-1|0;L=c[a>>2]|0;so(a,b,l,n,p,q,r,9920,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,9928)|0;h[1232]=0.0;L=c[a>>2]|0;c[92740]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1232]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[92740]=G;_a=qa}da=+h[1240];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1233]=pa;fa=+h[1132];if(!(pa<+h[1162]*fa)){ab=_a;U=62;break}c[92718]=-1;pa=+h[1124];O=pa*da;h[1240]=O;h[1135]=-1.0;if(O>fa*1.5){bb=O}else{h[1240]=fa;bb=fa}if((c[92710]|0)<=((c[92704]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1241]*.125*fa;h[1126]=O;da=+h[1237];N=+h[1236];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1235];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1234]=pa;L=c[b>>2]|0;c[92720]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1130]=0.0;ba=c[a>>2]|0;c[92726]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1130]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[92726]=X;gb=pa}if(gb>fa){c[92718]=J;h[1234]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[92720]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1135]>0.0){U=54;continue}fa=+h[1233];qa=+h[1132];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1162];h[1240]=qa;fa=cb/+h[f>>3];h[1135]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1132]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1132]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1132]=ra;kb=ra}}while(0);h[1240]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){GE(9192)|0;oE()|0}GE(9168)|0;XD(19056,9056,8)|0;XD(19056,370840,4)|0;oE()|0;GE(9144)|0;XD(19056,9328,8)|0;J=c[a>>2]|0;c[92740]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];XD(19056,y,8)|0;K=(c[92740]|0)+1|0;c[92740]=K;}while((K|0)<=(J|0))}oE()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1162]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1132];qa=ra>=fa?ra:fa;h[1231]=qa;fa=qa*qa;h[1232]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1120];if(!(ab>fa*.001)){h[1125]=fa*.25;J=c[b>>2]|0;c[92720]=1;if((J|0)>=1){K=1;do{h[1130]=0.0;L=c[a>>2]|0;c[92740]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1130]=fa;G=G+1|0;}while((G|0)<=(L|0));c[92740]=G;lb=fa}h[1126]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1162]*+h[1120];h[1130]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[92740]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1126]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1162]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1130]*+h[n+(K+C+ba<<3)>>3]+ +h[1125]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[92734]=Y;c[92726]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[92726]=H}X=X+1|0;c[92740]=X;}while((X|0)<=(L|0))}K=K+1|0;c[92720]=K;}while((K|0)<=(J|0))}J=c[92696]|0;c[92720]=1;if((J|0)>=1){K=1;do{h[1127]=0.0;L=c[b>>2]|0;c[92740]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1127]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[92740]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1127]}}}while(0);L=c[a>>2]|0;c[92726]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1125]*+h[1127]*+h[l+(H<<3)>>3];h[1130]=fa;G=c[b>>2]|0;c[92740]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1130]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[92740]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[92738]|0)){h[1130]=-0.0- +h[1130]}G=c[b>>2]|0;c[92740]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1130]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[92740]=Ua}X=X+1|0;c[92726]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[92740]=1;if((L|0)>=1){X=c[92738]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[92734]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1126]=nb;c[92726]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1126]}c[92726]=ca}Y=Y+1|0;c[92740]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[92720]=K;}while((K|0)<=(J|0))}c[92736]=0;J=c[a>>2]|0;c[92726]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[92720]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1162]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[92720]=ob}c[92740]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[92736]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[92740]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[92726]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[92726]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[92726]=K}h[1120]=0.0}if((c[92718]|0)>0){L=(c[92698]|0)-1|0;Mn(a,b,l,n,s,t,370952,u,370872,9848,v,9952,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[92720]=1;if((L|0)>=1){ea=1;do{h[1129]=0.0;h[1128]=0.0;h[1130]=0.0;J=c[a>>2]|0;c[92726]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1129]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1128]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1130]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[92726]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1162]+tb);h[w+(J<<3)>>3]=+h[1130];ea=ea+1|0;c[92720]=ea;}while((ea|0)<=(L|0))}h[1243]=0.0;L=c[92696]|0;c[92720]=1;if((L|0)>=1){ea=1;do{h[1130]=0.0;K=c[b>>2]|0;c[92740]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1130]=pa;J=J+1|0;}while((J|0)<=(K|0));c[92740]=J;ub=pa}fa=ub*ub;qa=+h[1243];if((ea|0)<(c[92738]|0)){h[1243]=qa+fa;ra=-0.0-ub;h[1130]=ra;vb=ra}else{h[1243]=qa-fa;vb=ub}K=c[b>>2]|0;c[92740]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1130]}c[92740]=ba}ea=ea+1|0;c[92720]=ea;}while((ea|0)<=(L|0))}h[1242]=0.0;h[1230]=0.0;L=c[a>>2]|0;c[92726]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1130]=0.0;X=c[b>>2]|0;c[92740]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1130]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[92740]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1242]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[92724]=ba;J=c[a>>2]|0;c[92720]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1130]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[92720]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1242]+ +h[1130]*+h[K>>3];h[1242]=pa;ra=+h[1230]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1230]=ra;J=ea+1|0;c[92726]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1232];h[1243]=+h[1243]+(wb*wb+fa*(wb+(wb+ +h[1120])+fa*+h[1162]))-xb;ea=w+((c[92716]|0)-1<<3)|0;h[ea>>3]=+h[1136]+ +h[ea>>3];ea=c[92718]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1136]+ +h[1244]*+h[1243]/(fa*fa);h[1126]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;Ln(a,b,l,n,s,t,370952,u,370864,370872,v,x,w,9944,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[92740]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[92740]=L}ea=(c[92710]|0)+1|0;c[92710]=ea;if((ea|0)>(c[92702]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[92710]=T-1;if((c[g>>2]|0)<=0){break}GE(9264)|0;oE()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}GE(9216)|0;oE()|0}}while(0);Ab=+h[1166];if(!(Ab>+h[1229])){U=c[a>>2]|0;c[92740]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[92740]=T;Bb=+h[1166]}h[1229]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}GE(9120)|0;XD(19056,370840,4)|0;oE()|0;GE(9096)|0;XD(19056,9832,8)|0;g=c[a>>2]|0;c[92740]=1;if((g|0)>=1){a=1;do{XD(19056,d+(a-1<<3)|0,8)|0;a=(c[92740]|0)+1|0;c[92740]=a;}while((a|0)<=(g|0))}oE()|0;i=z;return 0}function so(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[92536]=0;k=c[b>>2]|0;c[92534]=k;c[92532]=k;u=c[b>>2]|0;c[92542]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[92542]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[92542]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[92542]=u}x=c[d>>2]|0;c[92528]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[92530]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[92530]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[92542]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[92542]=D}e=e+1|0;c[92528]=e;}while((e|0)<=(x|0))}c[92540]=0;x=c[b>>2]|0;c[92530]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[92540]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[92542]=G;c[92530]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[92542]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[92542]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[92542]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[92542]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[92538]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[92542]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[92538]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[92542]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[92542]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[92542]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[92530]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[92530]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[92542]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[92542]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[92542]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[92542]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[92532]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[92542]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[92542]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[92536]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[92542]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[92542]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[92536]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function to(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[92514]=q;c[92518]=1;c[92524]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[92518]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[92526]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[92526]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[92524]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[92526]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[92526]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[92526]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[92526]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[92522]=1;if(+h[k>>3]<0.0){N=1}else{c[92522]=r;N=r}q=r+1-N|0;c[92520]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[92526]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[92526]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[92526]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[92526]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[92524]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[92516]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[92526]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[92526]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[92524]=T;}while((T|0)<=(S|0));return 0}function uo(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function vo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((uo(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){fd(23344,345752,116,358440);return 0}else if((s|0)==14){i=g;return o|0}return 0}function wo(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((BQ(c[j>>2]|0,c[18192+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[18160+(k<<2)>>2]|0;zm(23,0,39320,(n=i,i=i+16|0,c[n>>2]=c[18192+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=dQ(r,8)|0;c[e+40>>2]=p;r=b+536|0;Cm(c[r>>2]|0,(p|0)!=0|0,34816,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=dQ(c[o>>2]|0,4)|0;c[e+36>>2]=p;Cm(c[r>>2]|0,(p|0)!=0|0,34816,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=dQ(c[q>>2]|0,4)|0;c[e+24>>2]=bQ(8)|0;q=bQ(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[92500];Cm(c[r>>2]|0,(q|0)!=0|0,34816,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=bQ(q)|0;o=e+44|0;c[o>>2]=bQ(q)|0;q=dQ(15,4)|0;s=e+12|0;c[s>>2]=q;Cm(c[r>>2]|0,(q|0)!=0|0,34816,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=dQ(5,4)|0;c[e+4>>2]=q;Cm(c[r>>2]|0,(q|0)!=0|0,34816,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=dQ(5,4)|0;c[e+8>>2]=q;Cm(c[r>>2]|0,(q|0)!=0|0,34816,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=bQ(q)|0;c[e+76>>2]=bQ(q)|0;c[e+80>>2]=bQ(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((Sd[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){zm(23,0,31408,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{zm(1,0,28104,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[92509]|c[92570]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Dm(B,45264,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}Bm(23,1,23288,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[18160+(f<<2)>>2]|0;Bm(23,0,345736,(n=i,i=i+16|0,c[n>>2]=c[18192+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);Pd[c[3538]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Dm(B,45264,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function xo(a){a=a|0;cQ(c[a+40>>2]|0);cQ(c[a+36>>2]|0);cQ(c[a+20>>2]|0);cQ(c[a+12>>2]|0);cQ(c[a+4>>2]|0);cQ(c[a+8>>2]|0);cQ(a);return 0}function yo(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;r=l+24|0;c[c[r>>2]>>2]=b;c[(c[r>>2]|0)+4>>2]=l;s=b+536|0;Cm(c[s>>2]|0,(c[r>>2]|0)!=0|0,25240,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){zm(3,0,21304,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;zm(3,0,356192,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];Sd[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}zm(3,0,353640,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[q>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){zm(23,0,352016,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){tn(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){bq(b)|0}Sd[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 7:{On(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[r>>2]|0,c[G>>2]|0,2,8,H,0);break};case 4:{On(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[r>>2]|0,c[G>>2]|0,10,4,I,c[J>>2]|0);break};case 5:{On(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[r>>2]|0,c[G>>2]|0,12,4,I,c[J>>2]|0);break};case 6:{On(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[r>>2]|0,c[G>>2]|0,14,4,I,c[J>>2]|0);break};case 3:{On(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[r>>2]|0,c[G>>2]|0,8,4,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[r>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){On(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,8,H,0);break b}else{On(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,4,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Sa(K|0)|0;Sa(L|0)|0;Bm(3,0,349664,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;zm(3,0,348792,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Sa(K|0)|0;Sa(L|0)|0;L=Ho(c[z>>2]|0)|0;Sd[c[(c[O>>2]|0)+28>>2]&255](b)|0;Bm(1,0,347832,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[92489]|0)!=0){zm(3,1,347144,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;zm(3,0,346400,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;zm(3,0,345792,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;zm(3,0,345280,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;zm(3,0,344656,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;zm(3,0,343744,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;zm(3,0,343240,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;zm(3,0,342752,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;zm(3,0,342008,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;zm(3,0,341152,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;zm(3,0,340472,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;Pd[c[3538]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){fd(268272,45400,406,358544);return 0}zm(3,0,44848,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function zo(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;Sd[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function Ao(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Sd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Jo(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Bo(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;Sd[c[(c[a>>2]|0)+28>>2]&255](g)|0;Sd[c[(c[a>>2]|0)+32>>2]&255](g)|0;Ud[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function Co(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Ko(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function Do(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Sd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Io(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Eo(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function Fo(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Lo(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function Go(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function Ho(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-3:{d=-3;break};case-12:{Bm(1,0,39392,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-12;break};case-1:{Bm(3,0,349664,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=1;break};case-10:{Bm(1,0,40296,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-10;break};case-11:{Bm(1,0,39792,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-11;break};case-6:{Bm(1,0,42512,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-6;break};case-7:{Bm(1,0,42016,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-7;break};case-8:{Bm(1,0,41400,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-8;break};case-9:{Bm(1,0,40840,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-9;break};case-33:{Bm(1,0,38896,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-33;break};case-2:{Bm(1,0,43232,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;d=-2;break};default:{d=-1}}i=b;return d|0}function Io(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}Sd[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function Jo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;Sd[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function Ko(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+Xb(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+Xb(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;zo(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function Lo(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+Xb(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+Xb(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}zo(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function Mo(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function No(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;Pd[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function Oo(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function Po(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=Km(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{be[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;Im(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=Km(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function Qo(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((Po(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}Ro(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(Km(d)|0)>0;g=b?2:0;return g|0}function Ro(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=bQ(l)|0;n=m;o=bQ(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[94880]=Gm(4)|0;if((m|0)==0){fd(351984,349632,308,358528)}if((o|0)==0){fd(348776,349632,309,358528)}q=Nm(b)|0;if((q|0)!=0){r=q;do{q=c[(Pm(r)|0)>>2]|0;zm(27,0,347776,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=Om(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;FQ(o|0,c[a+384>>2]|0,t)|0;FQ(m|0,q|0,t)|0}h[d>>3]=+Uo(a,g,j,l,n,c[94880]|0,b);do{if((Km(c[94880]|0)|0)==0){n=c[(Lm(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=Nm(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(Pm(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=Om(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}zm(27,0,347064,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=Nm(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(Pm(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[94880]|0;Jm(t,Pm(y)|0);t=c[(Pm(y)|0)>>2]|0;zm(27,0,346376,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=Om(y)|0;}while((y|0)!=0)}}while(0);Hm(b);if((c[92493]|0)!=0){Km(c[94880]|0)|0}if((Km(c[94880]|0)|0)>0){y=f;do{l=c[(Lm(c[94880]|0)|0)>>2]|0;c[f>>2]=l;Mm(c[94880]|0);zm(7,0,344648,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;Im(b,y);}while((Km(c[94880]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){FQ(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Ae(a);Xo(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){cQ(o);cQ(m);i=e;return}FQ(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;cQ(o);cQ(m);i=e;return}function So(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){$o(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];zm(7,0,23544,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((Km(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[92493]|0)!=0){e=Nm(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(Pm(t)|0)>>2]|0;s=be[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;ym(7,0,c[j>>2]|0,21248,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=Om(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(Pm(Nm(d)|0)|0)>>2]|0;p=be[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];ym(1,0,c[k>>2]|0,355888,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);Hm(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;Wo(b);To(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function To(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;zm(27,0,268160,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;Ud[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function Uo(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=bQ(m<<3)|0;o=n;if((n|0)==0){fd(343136,349632,409,358560);return 0.0}if((m|0)>0){FQ(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];zm(27,0,342560,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;zm(27,0,341840,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){cQ(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}Sd[c[(c[w>>2]|0)+28>>2]&255](a)|0;Sd[c[(c[w>>2]|0)+32>>2]&255](a)|0;Ud[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(Vo(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}FQ(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}cQ(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function Vo(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;Hm(b);zm(27,0,341040,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=Nm(d)|0;if((g|0)==0){j=Km(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(Pm(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(Pm(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(Pm(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(Pm(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(Pm(a)|0)>>2]|0;o=c[(Pm(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?31256:27920;o=c[(Pm(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?31256:27920;zm(27,0,340304,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;Im(b,Pm(a)|0)}a=Om(a)|0;}while((a|0)!=0);j=Km(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function Wo(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;be[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;Xo(b);Yo(b);Sd[c[(c[f>>2]|0)+36>>2]&255](b)|0;Zo(b,8);g=_o(b)|0;h=Sd[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{Yo(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}$o(b);Xo(b);Zo(b,8);Sd[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=_o(b)|0;h=Sd[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){Dm(c[b+536>>2]|0,38360,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){Yo(b);i=d;return}}function Xo(a){a=a|0;FQ(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function Yo(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function Zo(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[369944+(d<<2)>>2]|0)==0){i=e;return}zm(d,1,268776,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=Sd[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=Sd[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;zm(d,0,45680,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}Pd[c[3538]&511](d);i=e;return}function _o(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function $o(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;FQ(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;FQ(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;FQ(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;FQ(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function ap(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}Ud[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function bp(a){a=a|0;cp(a);dp(a);$o(a);ep(a);return}function cp(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function dp(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function ep(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((sn(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];FQ(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;FQ(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;FQ(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;FQ(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(sn(c[b>>2]|0)|0));return}function fp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[369944+(d<<2)>>2]|0)==0){i=e;return}zm(d,1,346288,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){zm(d,1,345720,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?348560:347712;r=+h[(c[k>>2]|0)+(l<<3)>>3];zm(d,0,345152,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}Pd[c[3538]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){zm(d,1,344592,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?348560:347712;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;zm(d,0,343664,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}Pd[c[3538]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){zm(d,1,343080,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?348560:347712;o=(a[q+(g*48|0)+40|0]|0)!=0?348560:347712;q=(a[(c[k>>2]|0)+g|0]|0)!=0?348560:347712;zm(d,0,342440,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}Pd[c[3538]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){zm(d,1,341752,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;zm(d,0,340944,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}Pd[c[3538]&511](d)}Pd[c[3538]&511](d);i=e;return}function gp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((sn(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];FQ(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;FQ(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;FQ(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;FQ(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(sn(c[b>>2]|0)|0));return}function hp(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function ip(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];FQ(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;FQ(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;FQ(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;FQ(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function jp(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=nn(3,32)|0;c[f>>2]=g;if((g|0)==0){Dm(c[b+536>>2]|0,38296,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=dQ(c[k>>2]|0,8)|0;c[l>>2]=u;Cm(c[m>>2]|0,(u|0)!=0|0,37200,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=dQ(c[n>>2]|0,4)|0;c[o>>2]=u;Cm(c[m>>2]|0,(u|0)!=0|0,37200,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=dQ(c[p>>2]|0,1)|0;c[q>>2]=u;Cm(c[m>>2]|0,(u|0)!=0|0,37200,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=dQ(c[r>>2]|0,4)|0;c[s>>2]=u;Cm(c[m>>2]|0,(u|0)!=0|0,37200,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;rn(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=dQ(3,4)|0;c[b+4>>2]=e;tn(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=dQ(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=dQ(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=dQ(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=dQ(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=dQ(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=dQ(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=dQ(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=dQ(s,52)|0;c[b+40>>2]=dQ(c[b+216>>2]|0,52)|0;c[b+44>>2]=dQ(c[b+220>>2]|0,52)|0;c[b+48>>2]=dQ(c[b+224>>2]|0,52)|0;c[b+52>>2]=dQ(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=dQ(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=dQ(q,8)|0;c[b+340>>2]=dQ(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=dQ(q,8)|0;c[b+348>>2]=dQ(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=dQ(o,1)|0;c[b+356>>2]=dQ(o,1)|0;c[b+360>>2]=dQ(o,1)|0;o=bQ(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=bQ(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=dQ(e,8)|0;c[b+388>>2]=dQ(k,4)|0;c[b+392>>2]=dQ(n,1)|0;c[b+396>>2]=dQ(p,4)|0;c[b+400>>2]=dQ(e,8)|0;c[b+404>>2]=dQ(k,4)|0;c[b+408>>2]=dQ(n,1)|0;c[b+412>>2]=dQ(p,4)|0;c[b+416>>2]=dQ(r,8)|0;c[b+420>>2]=dQ(f,4)|0;c[b+424>>2]=dQ(t,1)|0;c[b+428>>2]=dQ(s,4)|0;c[b+432>>2]=dQ(c[b+152>>2]|0,8)|0;c[b+436>>2]=dQ(c[b+156>>2]|0,8)|0;s=bQ((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;Pd[c[(c[t>>2]|0)+20>>2]&511](s);s=bQ((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;Pd[c[(c[t>>2]|0)+16>>2]&511](s);s=bQ((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;Pd[c[(c[t>>2]|0)+12>>2]&511](s);s=bQ((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;Qd[c[(c[t>>2]|0)+24>>2]&127](s,b);c[b+464>>2]=bQ((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=dQ(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;Cm(c[m>>2]|0,(s|0)!=0|0,36840,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=dQ(100,4)|0;c[b+520>>2]=dQ(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=bQ(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;Cm(c[m>>2]|0,(t|0)!=0|0,37200,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=nn(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function kp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;cQ(c[f+8>>2]|0);cQ(c[f+12>>2]|0);cQ(c[f+16>>2]|0);cQ(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);cQ(e);on(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){Kn(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}cQ(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){Kn(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}cQ(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){Kn(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}cQ(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){Kn(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}cQ(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){Kn(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}cQ(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){Kn(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}cQ(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){Kn(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}cQ(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){Kn(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}cQ(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){Kn(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}cQ(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){Kn(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}cQ(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){Kn(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}cQ(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){Kn(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}cQ(t);cQ(c[a+108>>2]|0);cQ(c[a+336>>2]|0);cQ(c[a+340>>2]|0);cQ(c[a+344>>2]|0);cQ(c[a+348>>2]|0);cQ(c[a+352>>2]|0);cQ(c[a+356>>2]|0);cQ(c[a+360>>2]|0);cQ(c[a+368>>2]|0);cQ(c[a+384>>2]|0);cQ(c[a+388>>2]|0);cQ(c[a+392>>2]|0);cQ(c[a+396>>2]|0);cQ(c[a+400>>2]|0);cQ(c[a+404>>2]|0);cQ(c[a+408>>2]|0);cQ(c[a+412>>2]|0);cQ(c[a+416>>2]|0);cQ(c[a+420>>2]|0);cQ(c[a+424>>2]|0);cQ(c[a+428>>2]|0);cQ(c[a+488>>2]|0);cQ(c[a+484>>2]|0);cQ(c[a+476>>2]|0);cQ(c[a+468>>2]|0);cQ(c[a+464>>2]|0);cQ(c[a+432>>2]|0);cQ(c[a+436>>2]|0);cQ(c[a+320>>2]|0);cQ(c[a+516>>2]|0);cQ(c[a+520>>2]|0);xD(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;cQ(v);return}else{w=0;x=a}while(1){on(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;cQ(v);return}function lp(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;zm(8,0,36512,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function mp(a,b){a=+a;b=+b;return a<=b|0}function np(a,b){a=+a;b=+b;return a>=b|0}function op(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=bQ(j)|0;c[d+(g*40|0)+24>>2]=bQ(j)|0;if((c[f>>2]|0)!=1){k=5;break}rp(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){Dm(c[a+536>>2]|0,357288,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function pp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){cQ(c[d+(g*40|0)+20>>2]|0);cQ(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;sp(j)|0;cQ(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){Dm(c[a+536>>2]|0,357288,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function qp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[92503]|c[92570]|0)==0){w=1;x=v;break}vD(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Bm(17,1,355704,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;vD(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;vD(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Bm(17,0,344632,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;vD(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Pd[c[3538]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function rp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=bQ(20)|0;c[b>>2]=e;Cm(0,(e|0)!=0|0,357216,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=bQ(a)|0;c[e+4>>2]=bQ(a)|0;c[e+8>>2]=bQ(a)|0;c[e+16>>2]=bQ(a)|0;Cm(0,(c[b>>2]|0)!=0|0,355656,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function sp(a){a=a|0;var b=0;b=c[a>>2]|0;cQ(c[b>>2]|0);cQ(c[b+4>>2]|0);cQ(c[b+8>>2]|0);cQ(c[b+16>>2]|0);return 0}function tp(a,b){a=a|0;b=b|0;Dm(c[a+536>>2]|0,356976,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function up(a){a=a|0;Dm(0,356976,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function vp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=bQ(k)|0;c[d+(g<<6)+36>>2]=bQ(k)|0;l=c[f>>2]|0;if((l|0)==1){c[d+(g<<6)+32>>2]=bQ(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;Ap(h,d+(g<<6)+24|0)|0}else if((l|0)==2){c[d+(g<<6)+8>>2]=4;Cp(h,h,j,d+(g<<6)+24|0)|0}else{m=6;break}j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{m=8;break}}if((m|0)==6){Dm(c[a+536>>2]|0,356944,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function wp(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function xp(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;jc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function yp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){cQ(c[d+(g<<6)+28>>2]|0);cQ(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==2){Dp(d+(g<<6)+24|0)|0}else if((h|0)==1){Bp(d+(g<<6)+24|0)|0;cQ(c[d+(g<<6)+32>>2]|0)}else{j=6;break}cQ(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){Dm(c[a+536>>2]|0,356944,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function zp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[92501]|c[92570]|0)==0){w=1;x=v;break}vD(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Bm(15,1,355624,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;vD(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;vD(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Bm(15,0,344624,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;vD(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Pd[c[3538]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function Ap(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=bQ(12)|0;f=bQ(a<<2)|0;c[e>>2]=f;Cm(0,(f|0)!=0|0,356840,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function Bp(a){a=a|0;cQ(c[c[a>>2]>>2]|0);return 0}function Cp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=bQ(32)|0;Cm(0,(g|0)!=0|0,356664,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;dc(0,d|0)|0;Fd(c[d>>2]|0,c[b>>2]|0,0)|0;dc(0,g+4|0)|0;Fd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ta(b|0)|0;Jd(355608,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function Dp(a){a=a|0;var b=0;b=c[a>>2]|0;Uc(c[b+12>>2]|0)|0;ac(c[b+8>>2]|0)|0;ac(c[b+4>>2]|0)|0;return 0}function Ep(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;Cm(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,23248,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){Cm(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,358120,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((Sd[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=bQ(n)|0;c[d+(j*80|0)+52>>2]=bQ(n)|0;c[d+(j*80|0)+48>>2]=bQ(n)|0;c[d+(j*80|0)+16>>2]=bQ(n)|0;c[d+(j*80|0)+8>>2]=bQ(n)|0;c[d+(j*80|0)+12>>2]=bQ(n)|0;Qd[c[d+(j*80|0)+36>>2]&127](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){Jp(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==3){Jp(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==2){tp(a,k)|0;break}else if((n|0)==1){Hp(l,d+(j*80|0)+40|0)|0;break}else{o=12;break a}}}while(0);l=j+1|0;if((l|0)<(c[e>>2]|0)){j=l}else{o=14;break}}if((o|0)==12){Dm(c[f>>2]|0,355520,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function Fp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;cQ(c[d+(g*80|0)+44>>2]|0);cQ(c[d+(g*80|0)+52>>2]|0);cQ(c[d+(g*80|0)+48>>2]|0);cQ(c[d+(g*80|0)+16>>2]|0);cQ(c[d+(g*80|0)+8>>2]|0);cQ(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;Kp(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==1){l=d+(g*80|0)+40|0;Ip(l)|0;k=l;break}else if((j|0)==2){up(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==3){j=d+(g*80|0)+40|0;Kp(j)|0;k=j;break}else{m=9;break a}}}while(0);cQ(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){Dm(c[a+536>>2]|0,355520,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}



function zk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((be[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((be[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((be[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=41;break b}if((be[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((be[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){m=49;break b}if((be[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Ak(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){k=15;break a}if((be[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};case 0:case 1:case 8:{k=19;break a;break};case 6:{if((e-b|0)<3){k=10;break a}if((be[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 5:{if((e-b|0)<2){k=5;break a}if((be[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function Bk(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 3:{k=9;break a;break};case 5:{a=a+2|0;break};case 2:{k=12;break a;break};case 10:{k=13;break a;break};case 9:{k=16;break a;break};case 7:{a=a+4|0;break};case 21:{k=23;break a;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Wk(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Ck(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 10:{k=18;break a;break};case 9:{k=21;break a;break};case 5:{a=a+2|0;break};case 30:{k=12;break a;break};case 7:{a=a+4|0;break};case 3:{k=9;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Wk(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=Xk(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Dk(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;h=b;b=h+1|0;if((a[e]|0)!=(a[h]|0)){j=15;break a}break};case 5:{j=9;break};case 6:{j=6;break};case 7:{h=b;b=h+1|0;e=c;c=e+1|0;if((a[h]|0)!=(a[e]|0)){j=4;break a}j=6;break};default:{j=17;break a}}if((j|0)==6){j=0;e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=7;break}j=9}if((j|0)==9){j=0;h=b;b=h+1|0;e=c;c=e+1|0;if((a[h]|0)!=(a[e]|0)){j=10;break}e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=12;break}}}if((j|0)==4){k=0;l=k;i=f;return l|0}else if((j|0)==7){k=0;l=k;i=f;return l|0}else if((j|0)==10){k=0;l=k;i=f;return l|0}else if((j|0)==12){k=0;l=k;i=f;return l|0}else if((j|0)==15){k=0;l=k;i=f;return l|0}else if((j|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function Ek(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Fk(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};default:{break a}}}i=c;return a-b|0}function Gk(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function Hk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 11:case 17:{if((g|0)!=2){break a}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};default:{}}b=b+1|0}i=h;return k|0}function Ik(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=Ti(c)|0;h=g;i=b;return h|0}function Jk(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==4){d=a[e]|0;if((d|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}else if((d|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}}else if((c|0)==2){do{if((a[e+1|0]|0)==116){d=a[e]|0;if((d|0)==103){f=62;g=f;i=b;return g|0}else if((d|0)==108){f=60;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}f=0;g=f;i=b;return g|0}function Kk(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 6:{a=a+3|0;break};case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 7:{a=a+4|0;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function Lk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 21:{if((a[b]|0)==9){k=6;break a}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function Mk(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function Nk(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==6){q=j;j=q+2|0;b[q>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}p=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;p=p-65536|0;b[j>>1]=p>>>10|55296;b[j+2>>1]=p&1023|56320;j=j+4|0;m=m+4|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function Ok(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[13600+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Pk(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[13600+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function Qk(a,b){a=a|0;b=b|0;i=i;return 0}function Rk(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[8704+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Sk(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[8704+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function Tk(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function Uk(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function Vk(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function Wk(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 19:{j=Yk(h,a+1|0,b,e)|0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((be[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 7:{if((b-a|0)<4){j=-2;break a}if((be[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((be[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 18:{k=43;break c;break};case 29:{k=26;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((be[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((be[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((be[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Xk(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){j=-2;break a}if((be[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((be[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 22:case 24:{a=a+1|0;break};case 7:{if((b-a|0)<4){j=-2;break a}if((be[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){k=39;break c}if((be[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 29:{k=26;break c;break};case 18:{k=43;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((be[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((be[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Yk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=Zk(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function Zk(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function _k(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==20){k=al(j,b+1|0,e,f)|0;break a}else if((g|0)==27){k=$k(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}if((be[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}if((be[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}if((be[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};case 29:{c[f>>2]=b;k=0;break a;break};case 22:case 24:{b=b+1|0;break};case 17:{k=cl(j,b+1|0,e,f)|0;break a;break};case 15:{k=bl(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=33;break c;break};case 21:case 9:case 10:{l=74;break c;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=68;break c}if((be[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 5:{if((e-b|0)<2){l=58;break c}if((be[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((be[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};case 29:{l=55;break c;break};case 22:case 24:{b=b+1|0;break};default:{l=72;break c}}break};case 11:{l=100;break c;break};case 17:{l=102;break c;break};case 5:{if((e-b|0)<2){l=36;break c}if((be[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){l=46;break c}if((be[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=41;break c}if((be[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 11:{l=94;break e;break};case 17:{l=95;break e;break};case 21:case 9:case 10:{break};case 7:{l=89;break e;break};case 22:case 24:{l=78;break e;break};case 5:{l=79;break e;break};case 6:{l=84;break e;break};case 29:{l=77;break e;break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((be[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((be[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((be[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=dl(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function $k(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 0:case 1:case 8:{l=22;break a;break};case 6:{if((e-b|0)<3){l=13;break a}if((be[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){l=18;break a}if((be[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){l=8;break a}if((be[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function al(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[8696+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function bl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=-2;break a}if((be[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}if((be[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};case 22:case 24:{b=b+1|0;break};case 7:{if((e-b|0)<4){l=-2;break a}if((be[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 29:{m=25;break c;break};case 7:{if((e-b|0)<4){m=38;break c}if((be[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){m=33;break c}if((be[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 21:case 9:case 10:{m=42;break c;break};case 5:{if((e-b|0)<2){m=28;break c}if((be[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};case 15:{m=71;break c;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((el(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 0:case 1:case 8:{m=62;break d;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 5:{if((e-b|0)<2){m=48;break d}if((be[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};case 7:{if((e-b|0)<4){m=58;break d}if((be[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};case 6:{if((e-b|0)<3){m=53;break d}if((be[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((el(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function cl(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((be[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((be[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((be[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 22:case 24:{a=a+1|0;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){k=33;break c}if((be[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((be[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 23:{a=a+1|0;break};case 11:{k=52;break c;break};case 29:{k=25;break c;break};case 7:{if((b-a|0)<4){k=38;break c}if((be[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 21:case 9:case 10:{k=42;break c;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function dl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((be[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((be[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=26;break a;break};case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((be[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((be[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((be[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};default:{l=43;break a}}break};case 29:{l=4;break a;break};case 14:{l=55;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((be[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((be[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 2:{l=92;break a;break};case 0:case 1:case 8:{l=86;break a;break};case 3:{o=Wk(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((be[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((be[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 22:case 24:{l=107;break b;break};case 5:{l=108;break b;break};case 7:{l=118;break b;break};case 6:{l=113;break b;break};case 29:{l=106;break a;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};case 17:{l=126;break a;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((be[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((be[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((be[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function el(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=108)if((j|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function fl(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 0:case 1:case 8:{k=19;break a;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};case 6:{if((e-b|0)<3){k=10;break a}if((be[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((be[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){k=15;break a}if((be[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function gl(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==27){j=$k(h,a+1|0,b,e)|0;break}else if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:{break};case 30:{k=11;break b;break};case 21:case 9:case 10:{break b;break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}f=d[h+76+(d[a+1|0]|0)|0]|0;if((f|0)==21|(f|0)==9|(f|0)==10|(f|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function hl(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){j=-2;break a}if((be[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((be[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 6:{if((b-a|0)<3){j=-2;break a}if((be[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=25;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((be[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};case 7:{if((b-a|0)<4){k=38;break c}if((be[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 6:{if((b-a|0)<3){k=33;break c}if((be[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function il(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function jl(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function kl(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function ll(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};case 0:case 60:{break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=ee[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=ee[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=ee[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=ee[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function ml(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((ol(nl(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((ol(nl(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=nl(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((ol(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=nl(k,a,b)|0;n=h;}while((ol(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=nl(k,a,b)|0;while(1){if((ol(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=nl(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=nl(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function nl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;Od[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function ol(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function pl(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function ql(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 11:{c[h>>2]=76;j=55;break};case 12:{c[h>>2]=76;j=1;break};case 14:{j=0;break};case 16:{if((ee[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,369128)|0)!=0){c[h>>2]=96;j=3;break a}else{k=11;break a}break};case 29:{c[h>>2]=110;j=2;break};case 15:{c[h>>2]=76;j=0;break};case 13:{c[h>>2]=76;j=56;break};default:{k=11}}}while(0);if((k|0)==11){j=ul(h,a)|0}i=g;return j|0}function rl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case 34:{if((c[h+12>>2]|0)==0){j=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;k=0;break a}break};case 26:{j=12;break};case 15:{k=0;break};case 33:{c[h>>2]=22;k=0;break};case-4:{if((c[h+12>>2]|0)!=0){j=12;break a}else{k=0;break a}break};default:{k=tl(h,a,d,e,f)|0}}}while(0);if((j|0)==12){k=ul(h,a)|0}i=g;return k|0}function sl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=0;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((ee[c[e+28>>2]&127](e,b,d,369032)|0)!=0){c[h>>2]=24;j=0;k=j;i=g;return k|0}if((ee[c[e+28>>2]&127](e,b,d,369048)|0)==0){break}c[h>>2]=26;j=0;k=j;i=g;return k|0}}while(0);j=ul(h,a)|0;k=j;i=g;return k|0}function tl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case 26:{c[h>>2]=120;j=3;break};case 15:{j=0;break};case 28:{j=60;break};case 16:{if((ee[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,369088)|0)!=0){c[h>>2]=16;j=11;break a}if((ee[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,369144)|0)!=0){c[h>>2]=90;j=33;break a}if((ee[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,369120)|0)!=0){c[h>>2]=66;j=39;break a}if((ee[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,368968)|0)!=0){c[h>>2]=6;j=17;break a}else{k=17;break a}break};case 13:{j=56;break};case-4:{j=0;break};case 11:{j=55;break};default:{k=17}}}while(0);if((k|0)==17){j=ul(h,a)|0}i=g;return j|0}function ul(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function vl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function wl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==22){c[e>>2]=40;g=11}else if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=36;g=9}else{g=ul(e,a)|0}i=f;return g|0}function xl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=88;g=34}else{g=ul(e,a)|0}i=f;return g|0}function yl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=68;g=40}else if((b|0)==15){g=39}else{g=ul(e,a)|0}i=f;return g|0}function zl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==18){c[e>>2]=4;g=18}else{g=ul(e,a)|0}i=f;return g|0}function Al(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else{g=ul(e,a)|0}i=f;return g|0}function Bl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==29){c[e>>2]=110;g=2}else if((b|0)==15){g=0}else if((b|0)==13){g=56}else if((b|0)==11){g=55}else{g=ul(e,a)|0}i=f;return g|0}function Cl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=17;l=k;i=g;return l|0}do{if((j|0)==3){if((ee[c[e+28>>2]&127](e,b,d,368928)|0)!=0){c[h>>2]=8;k=17;l=k;i=g;return l|0}if((ee[c[e+28>>2]&127](e,b,d,368952)|0)==0){break}c[h>>2]=10;k=17;l=k;i=g;return l|0}}while(0);k=ul(h,a)|0;l=k;i=g;return l|0}function Dl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else{g=ul(e,a)|0}i=f;return g|0}function El(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=12;g=21}else if((b|0)==15){g=17}else{g=ul(e,a)|0}i=f;return g|0}function Fl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:30;g=20}else{g=ul(e,a)|0}i=f;return g|0}function Gl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:30;g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=ul(e,a)|0;h=g;i=f;return h|0}return 0}function Hl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==23){c[h>>2]=62;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}else if((f|0)==15){j=39;k=j;i=g;return k|0}else if((f|0)==18){if((ee[c[e+28>>2]&127](e,b,d,369112)|0)!=0){c[h>>2]=52;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((ee[c[e+28>>2]&127](e,b,d,369152)|0)==0){break}c[h>>2]=52;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}}while(0);j=ul(h,a)|0;k=j;i=g;return k|0}function Il(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 30:{c[h>>2]=56;j=53;break};case 32:{c[h>>2]=56;j=54;break};case 18:case 41:{c[h>>2]=56;j=51;break};case 23:{c[h+4>>2]=2;c[h>>2]=70;j=44;break};case 20:{if((ee[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,368960)|0)!=0){c[h>>2]=64;j=43;break a}else{k=11;break a}break};case 15:{j=39;break};case 31:{c[h>>2]=56;j=52;break};default:{k=11}}}while(0);if((k|0)==11){j=ul(h,a)|0}i=g;return j|0}function Jl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==24){c[e>>2]=52;c[e+8>>2]=39;g=45}else{g=ul(e,a)|0}i=f;return g|0}function Kl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 31:{c[e>>2]=56;g=52;break};case 30:{c[e>>2]=56;g=53;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};case 32:{c[e>>2]=56;g=54;break};case 18:case 41:{c[e>>2]=56;g=51;break};case 15:{g=39;break};default:{g=ul(e,a)|0}}i=f;return g|0}function Ll(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};case 15:{g=39;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 38:{c[e>>2]=70;g=50;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 21:{c[e>>2]=70;g=49;h=g;i=f;return h|0};default:{g=ul(e,a)|0;h=g;i=f;return h|0}}return 0}function Ml(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=60;g=51}else if((b|0)==15){g=39}else{g=ul(e,a)|0}i=f;return g|0}function Nl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else{g=ul(e,a)|0}i=f;return g|0}function Ol(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:30;g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=94;g=22}else{g=ul(e,a)|0}i=f;return g|0}function Pl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){j=0;while(1){if((j|0)>=8){break}if((ee[c[e+28>>2]&127](e,b,d,c[20400+(j<<2)>>2]|0)|0)!=0){k=6;break}j=j+1|0}if((k|0)==6){c[h>>2]=80;l=j+23|0;m=l;i=g;return m|0}if((ee[c[e+28>>2]&127](e,b,d,368968)|0)==0){break}c[h>>2]=82;l=33;m=l;i=g;return m|0}else if((f|0)==15){l=33;m=l;i=g;return m|0}else if((f|0)==23){c[h>>2]=92;l=33;m=l;i=g;return m|0}}while(0);l=ul(h,a)|0;m=l;i=g;return m|0}function Ql(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=88;j=37;k=j;i=g;return k|0}else if((f|0)==20){if((ee[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,369040)|0)!=0){c[h>>2]=88;j=35;k=j;i=g;return k|0}if((ee[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,368936)|0)!=0){c[h>>2]=88;j=36;k=j;i=g;return k|0}if((ee[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,369080)|0)==0){break}c[h>>2]=78;j=33;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}}while(0);j=ul(h,a)|0;k=j;i=g;return k|0}function Rl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==23){c[e>>2]=14;g=33}else if((b|0)==15){g=33}else{g=ul(e,a)|0}i=f;return g|0}function Sl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=84;g=31}else{g=ul(e,a)|0}i=f;return g|0}function Tl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=92;g=33}else if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==15){g=33}else{g=ul(e,a)|0}i=f;return g|0}function Ul(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18){c[e>>2]=86;g=32}else{g=ul(e,a)|0}i=f;return g|0}function Vl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==15){g=33}else if((b|0)==21){c[e>>2]=14;g=33}else{g=ul(e,a)|0}i=f;return g|0}function Wl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=88;g=38}else if((b|0)==15){g=33}else{g=ul(e,a)|0}i=f;return g|0}function Xl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=18;g=10}else if((b|0)==15){g=11}else{g=ul(e,a)|0}i=f;return g|0}function Yl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((ee[c[e+28>>2]&127](e,b,d,368928)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((ee[c[e+28>>2]&127](e,b,d,368952)|0)==0){break}c[h>>2]=38;j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=ul(h,a)|0;k=j;i=g;return k|0}function Zl(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=72;g=13}else if((b|0)==15){g=11}else{g=ul(e,a)|0}i=f;return g|0}function _l(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=112;g=14}else if((b|0)==15){g=11}else{g=ul(e,a)|0}i=f;return g|0}function $l(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;f=a;do{if((f|0)==18){if((ee[c[b+28>>2]&127](b,d,e,369008)|0)==0){break}c[h>>2]=42;j=11;k=j;i=g;return k|0}else if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:30;j=15;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=ul(h,a)|0;k=j;i=g;return k|0}function am(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=52;c[e+8>>2]=11;g=16}else if((b|0)==15){g=11}else{g=ul(e,a)|0}i=f;return g|0}function bm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((ee[c[e+28>>2]&127](e,b,d,368928)|0)!=0){c[h>>2]=34;j=11;k=j;i=g;return k|0}if((ee[c[e+28>>2]&127](e,b,d,368952)|0)==0){break}c[h>>2]=32;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}}while(0);j=ul(h,a)|0;k=j;i=g;return k|0}function cm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=44;g=13}else if((b|0)==15){g=11}else{g=ul(e,a)|0}i=f;return g|0}function dm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=34;g=14}else{g=ul(e,a)|0}i=f;return g|0}function em(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:30;g=15}else{g=ul(e,a)|0}i=f;return g|0}function fm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=30;b=e+12|0;c[b>>2]=(c[b>>2]|0)+1;g=0}else{g=ul(e,a)|0}i=f;return g|0}function gm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=30;g=58}else{g=ul(e,a)|0}i=f;return g|0}function hm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 14:{j=0;break};case 11:{j=55;break};case 29:{c[h>>2]=110;j=2;break};case 16:{if((ee[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,369128)|0)!=0){c[h>>2]=96;j=3;break a}else{k=10;break a}break};case 13:{j=56;break};case 15:{j=0;break};default:{k=10}}}while(0);if((k|0)==10){j=ul(h,a)|0}i=g;return j|0}function im(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else if((b|0)==15){g=3}else{g=ul(e,a)|0}i=f;return g|0}function jm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==25){c[h>>2]=106;j=7}else if((f|0)==17){c[h>>2]=74;j=8}else if((f|0)==18){if((ee[c[e+28>>2]&127](e,b,d,368928)|0)!=0){c[h>>2]=124;j=3;break}if((ee[c[e+28>>2]&127](e,b,d,368952)|0)!=0){c[h>>2]=100;j=3;break}else{k=10;break}}else if((f|0)==15){j=3}else{k=10}}while(0);if((k|0)==10){j=ul(h,a)|0}i=g;return j|0}function km(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=118;g=5}else if((b|0)==15){g=3}else{g=ul(e,a)|0}i=f;return g|0}function lm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=124;g=6}else if((b|0)==15){g=3}else{g=ul(e,a)|0}i=f;return g|0}function mm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else if((b|0)==25){c[e>>2]=106;g=7}else{g=ul(e,a)|0}i=f;return g|0}function nm(){return}function om(){return}function pm(){Dc(379120,0)|0;om();return}function qm(){GQ(369944|0,0|0,112|0)|0;GQ(379208|0,0|0,112|0)|0;GQ(379320|0,0|0,112|0)|0;c[92487]=1;c[92488]=1;return}function rm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?32176:31856;kd(a|0,32520,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function sm(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=379320+(d<<2)|0;k=379208+(d<<2)|0;l=368560+(b<<2)|0;m=368584+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){vc(29936,(o=i,i=i+8|0,c[o>>2]=29800,o)|0)|0;i=o;p=29800}else{if((c[94858]|0)==(d|0)){if((c[k>>2]|0)>0){q=29800}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}vc(29936,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[94858]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=29800;break b}}}while(0);p=c[l>>2]|0}}while(0);vc(29416,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[94858]=d;if((c[k>>2]|0)>0){e=0;while(1){vc(29224,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==10){break}else if((e<<24>>24|0)==0){break a}t=t+1|0}a[u]=0;Cc(g|0)|0;n=1;g=g+(t+1)|0;f=0}Cc(g|0)|0;Sa(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function tm(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[368560+(a<<2)>>2]|0;vc(28784,(a=i,i=i+16|0,c[a>>2]=c[368584+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;um(e);if((g|0)==0){e=c[q>>2]|0;Za(((d|0)!=0?28424:27712)|0,e|0)|0;j=e;k=Sa(j|0)|0;i=f;return}Cc(7888)|0;if((c[g>>2]|0)>=1){e=1;do{vc(28048,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[q>>2]|0;if((d|0)!=0){j=g;k=Sa(j|0)|0;i=f;return}Xa(27856,11,1,g|0)|0;j=g;k=Sa(j|0)|0;i=f;return}function um(b){b=b|0;var d=0,e=0;d=c[q>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==38){Xa(27104,5,1,d|0)|0}else if((b<<24>>24|0)==0){break}else if((b<<24>>24|0)==62){Xa(26744,4,1,d|0)|0}else if((b<<24>>24|0)==60){Xa(26888,4,1,d|0)|0}else{Va(b<<24>>24|0,d|0)|0}e=e+1|0}return}function vm(a){a=a|0;var b=0;b=379208+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function wm(a){a=a|0;var b=0;b=(a|0)==0;c[3536]=b?36:12;c[3538]=b?200:140;return}function xm(a){a=a|0;a=c[q>>2]|0;Xa(27856,11,1,a|0)|0;Sa(a|0)|0;return}function ym(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[369944+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;dd(j|0,2048,e|0,h|0)|0;Xd[c[3536]&63](1,a,b,j,0,d);i=g;return}function zm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[369944+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;dd(h|0,2048,d|0,g|0)|0;Xd[c[3536]&63](1,a,b,h,0,0);i=f;return}function Am(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[92570]|0)==0){if((c[369944+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;dd(k|0,2048,e|0,j|0)|0;Xd[c[3536]&63](2,a,b,k,0,d);i=g;return}function Bm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[92570]|0)==0){if((c[369944+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;dd(j|0,2048,d|0,h|0)|0;Xd[c[3536]&63](2,a,b,j,0,0);i=f;return}function Cm(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;dd(b|0,2048,d|0,g|0)|0;Xd[c[3536]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}h=od(c[94780]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}function Dm(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;dd(g|0,2048,b|0,f|0)|0;Xd[c[3536]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}h=od(c[94780]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}function Em(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+2064|0;g=f+2048|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;dd(h|0,2048,d|0,g|0)|0;Xd[c[3536]&63](5,2,0,h,0,b);if((a|0)!=0){j=a;k=j+76|0;l=c[k>>2]|0;m=l|0;Ad(m|0,1)}j=od(c[94780]|0)|0;k=j+76|0;l=c[k>>2]|0;m=l|0;Ad(m|0,1)}function Fm(a,b,d,e,f,g){a=a|0;b=+b;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0;j=i;if(g<<24>>24==0){Em(a,e,353920,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;return 0.0}else{Am(26,0,e,346312,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;i=j;return+b}return 0.0}function Gm(a){a=a|0;var b=0,d=0,e=0;b=i;d=bQ(16)|0;Cm(0,(d|0)!=0|0,42056,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function Hm(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;cQ(c[e>>2]|0);cQ(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function Im(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Cm(0,(a|0)!=0|0,350280,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=bQ(8)|0;g=f;Cm(0,(f|0)!=0|0,42056,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=bQ(c[h>>2]|0)|0;c[f>>2]=j;Cm(0,(j|0)!=0|0,42056,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;FQ(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function Jm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Cm(0,(a|0)!=0|0,350280,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=bQ(8)|0;g=f;Cm(0,(f|0)!=0|0,42056,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=bQ(c[h>>2]|0)|0;c[f>>2]=j;Cm(0,(j|0)!=0|0,42056,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;FQ(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function Km(a){a=a|0;var b=0,d=0;b=i;Cm(0,(a|0)!=0|0,350280,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function Lm(a){a=a|0;var b=0,d=0,e=0;b=i;Cm(0,(a|0)!=0|0,350280,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Cm(0,(c[e>>2]|0)!=0|0,342920,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function Mm(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;cQ(c[d>>2]|0);cQ(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function Nm(a){a=a|0;var b=0,d=0,e=0;b=i;Cm(0,(a|0)!=0|0,350280,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Cm(0,(c[e>>2]|0)!=0|0,42168,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function Om(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;Cm(0,d&1,36688,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function Pm(a){a=a|0;var b=0,d=0,e=0;b=i;Cm(0,(a|0)!=0|0,36688,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Cm(0,(c[e>>2]|0)!=0|0,32896,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function Qm(){var a=0;a=bQ(16)|0;c[94782]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=bQ(2097152)|0;c[a+12>>2]=0;return}function Rm(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=Tm(a)|0;d;Um(b);d=c[94782]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;GQ(f|0,0,b|0)|0;return f|0}function Sm(){var a=0,b=0,d=0;a=c[94782]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;cQ(c[a>>2]|0);cQ(a);if((b|0)==0){break}else{a=b}}d=c[94782]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function Tm(a){a=a|0;return a+7&-8|0}function Um(a){a=a|0;var b=0,d=0,e=0;b=c[94782]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=bQ(16)|0;c[e+12>>2]=b;c[94782]=e;c[e+4>>2]=0;b=Vm((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=bQ(b)|0;return}function Vm(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function Wm(a){a=a|0;return DQ(a|0)|0}function Xm(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;MQ(e+1|0,c|0)|0;c=d+40|0;Ob(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=Ym(c)|0;i=d;return f|0}function Ym(a){a=a|0;var b=0,c=0;b=DQ(a|0)|0;c=_m(b)|0;FQ(c|0,a|0,b)|0;return c|0}function Zm(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;MQ(f+1|0,d|0)|0;d=e+40|0;Ob(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=Ym(d)|0;i=e;return g|0}function _m(b){b=b|0;var d=0;d=Sd[c[2171]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function $m(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Wm(a)|0;d=Wm(b)|0;e=_m(d+c|0)|0;FQ(e|0,a|0,c)|0;FQ(e+c|0,b|0,d)|0;return e|0}function an(a,b){a=a|0;b=b|0;return BQ(c[a>>2]|0,c[b>>2]|0)|0}function bn(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}else if((d|0)==2){e=-1;break}switch(c|0){case 2:{e=4;break a;break};case 4:{e=2;break a;break};case 1:{e=4;break a;break};case 3:{e=2;break a;break};case 0:{e=8;break a;break};case 5:{e=1;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function cn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Oa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){cQ(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{cQ(c[(c[e>>2]|0)+(f<<4)>>2]|0);cQ(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;cQ(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){cQ(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{cQ(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}cQ(b);c[f>>2]=0;return}function dn(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(DQ(b|0)|0)>>>0){break}else{c=e;d=f}}return}function en(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;GQ(d|0,0,48)|0;l=xc(b|0,24296)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=Wc(c[(Vc()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Ic(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=gd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=22e3;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8592+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=357056;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=354464;E=131;break}G=bn(D)|0;if((G|0)==-1){n=352608;E=131;break}D=c[q>>2]|0;H=bQ(D)|0;if((gd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=350248;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=349080;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((BQ(H,c[8616+(C<<2)>>2]|0)|0)!=0){n=348144;E=131;break}cQ(H);b:do{switch(C|0){case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=343400;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=342880;E=131;break a}c[w>>2]=D;H=ga(I,D)|0;if((a[l]|0)==1){F=bQ(H<<3)|0;c[x>>2]=F;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=342152;E=131;break a}}else{F=bQ(H<<2)|0;G=F;c[x>>2]=bQ(ga(D<<3,I)|0)|0;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=342152;E=131;break a}if((H|0)!=0){K=c[x>>2]|0;L=0;do{h[K+(L<<3)>>3]=+g[G+(L<<2)>>2];L=L+1|0;}while(L>>>0<H>>>0)}cQ(F)}H=c[w>>2]|0;if(!(H>>>0>1>>>0)){M=1;E=130;break b}L=(I|0)==2;G=1;while(1){if(L){K=c[x>>2]|0;if(+h[K+(G<<3)>>3]!=+h[K+(H+G<<3)>>3]){n=341344;E=131;break a}}K=G+1|0;if(K>>>0<H>>>0){G=K}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}if((I|0)==0){n=343400;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=340616;E=131;break a}c[w>>2]=I;G=ga(I,D)|0;if((a[l]|0)==1){H=bQ(G<<3)|0;L=H;c[x>>2]=bQ(ga(D<<3,I)|0)|0;if((gd(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=342152;E=131;break a}if((D|0)!=0){F=0;do{K=c[x>>2]|0;O=0;do{h[K+((ga(I,F)|0)+O<<3)>>3]=+h[L+((ga(D,O)|0)+F<<3)>>3];O=O+1|0;}while(O>>>0<I>>>0);F=F+1|0;}while(F>>>0<D>>>0)}cQ(H)}else{F=bQ(G<<2)|0;L=F;c[x>>2]=bQ(ga(D<<3,I)|0)|0;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=342152;E=131;break a}if((D|0)!=0){O=0;do{K=c[x>>2]|0;P=0;do{h[K+((ga(I,O)|0)+P<<3)>>3]=+g[L+((ga(D,P)|0)+O<<2)>>2];P=P+1|0;}while(P>>>0<I>>>0);O=O+1|0;}while(O>>>0<D>>>0)}cQ(F)}O=c[w>>2]|0;if(!(O>>>0>1>>>0)){M=d;E=130;break b}L=(D|0)==2;G=1;while(1){if(L){H=c[x>>2]|0;if(+h[H+(G<<3)>>3]!=+h[H+(O+G<<3)>>3]){n=341344;E=131;break a}}H=G+1|0;if(H>>>0<O>>>0){G=H}else{M=d;E=130;break}}break};case 1:{G=d<<24>>24==0;O=G?D:I;c[u>>2]=O;L=bQ(O<<4)|0;c[v>>2]=L;c:do{if(d<<24>>24==1){if((I|0)==0){Q=0;break}O=D+1|0;F=0;H=L;while(1){c[H+(F<<4)>>2]=bQ(O)|0;if((gd(c[(c[v>>2]|0)+(F<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=344864;E=131;break a}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+D|0]=0;P=c[v>>2]|0;c[P+(F<<4)+8>>2]=-1;c[P+(F<<4)+12>>2]=-1;dn(c[P+(F<<4)>>2]|0);P=F+1|0;if(!(P>>>0<I>>>0)){Q=I;break c}F=P;H=c[v>>2]|0}}else{Q=I}}while(0);if(!G){M=d;E=130;break b}L=ga(D,Q)|0;R=bQ(L+1|0)|0;if((gd(R|0,L|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){L=Q+1|0;H=(Q|0)==0;F=0;do{O=bQ(L)|0;c[(c[v>>2]|0)+(F<<4)>>2]=O;if(!H){O=0;do{P=a[R+((ga(D,O)|0)+F)|0]|0;a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+O|0]=P;O=O+1|0;}while(O>>>0<Q>>>0)}a[(c[(c[v>>2]|0)+(F<<4)>>2]|0)+Q|0]=0;O=c[v>>2]|0;c[O+(F<<4)+8>>2]=-1;c[O+(F<<4)+12>>2]=-1;dn(c[O+(F<<4)>>2]|0);F=F+1|0;}while(F>>>0<D>>>0)}cQ(R);M=0;E=130;break};case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=268400;E=131;break a}c[z>>2]=D;c[A>>2]=Mb(c[m>>2]|0)|0;c[B>>2]=dQ(c[z>>2]<<1,4)|0;if((sd(c[m>>2]|0,J|0,1)|0)==-1){n=45512;E=131;break a}else{M=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=268400;E=131;break a}c[z>>2]=I;c[A>>2]=Mb(c[m>>2]|0)|0;c[B>>2]=dQ(c[z>>2]<<1,4)|0;F=ga(I,D)|0;if((a[l]|0)==1){H=bQ(F<<3)|0;if((gd(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=45512;E=131;break a}if((I|0)!=0){L=D<<3;G=(D|0)==0;O=D<<3;P=0;do{K=bQ(L)|0;c[(c[B>>2]|0)+(P<<2)>>2]=K;if(!G){K=H+(ga(O,P)|0)|0;FQ(c[(c[B>>2]|0)+(P<<2)>>2]|0,K|0,O)|0}P=P+1|0;}while(P>>>0<I>>>0)}P=c[z>>2]|0;O=P<<1;if(P>>>0<O>>>0){G=D<<3;L=(D|0)==0;K=P;do{S=bQ(G)|0;c[(c[B>>2]|0)+(K<<2)>>2]=S;if(!L){S=c[B>>2]|0;T=c[S+(K-P<<2)>>2]|0;U=c[S+(K<<2)>>2]|0;S=0;do{h[U+(S<<3)>>3]=-0.0- +h[T+(S<<3)>>3];S=S+1|0;}while(S>>>0<D>>>0)}K=K+1|0;}while(K>>>0<O>>>0)}cQ(H)}else{O=bQ(F<<2)|0;K=O;if((gd(O|0,J|0,1,c[m>>2]|0)|0)!=1){n=45512;E=131;break a}if((I|0)!=0){P=D<<3;L=(D|0)==0;G=0;do{S=bQ(P)|0;c[(c[B>>2]|0)+(G<<2)>>2]=S;if(!L){S=c[(c[B>>2]|0)+(G<<2)>>2]|0;T=0;do{h[S+(T<<3)>>3]=+g[K+((ga(D,G)|0)+T<<2)>>2];T=T+1|0;}while(T>>>0<D>>>0)}G=G+1|0;}while(G>>>0<I>>>0)}G=c[z>>2]|0;K=G<<1;if(G>>>0<K>>>0){L=D<<3;P=(D|0)==0;F=G;do{H=bQ(L)|0;c[(c[B>>2]|0)+(F<<2)>>2]=H;if(!P){H=c[B>>2]|0;T=c[H+(F-G<<2)>>2]|0;S=c[H+(F<<2)>>2]|0;H=0;do{h[S+(H<<3)>>3]=-0.0- +h[T+(H<<3)>>3];H=H+1|0;}while(H>>>0<D>>>0)}F=F+1|0;}while(F>>>0<K>>>0)}cQ(O)}if((sd(c[m>>2]|0,J|0,1)|0)==-1){n=45512;E=131;break a}else{M=d;E=130}break};case 3:{K=ga(I<<2,D)|0;V=bQ(K)|0;F=V;if((gd(V|0,K|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==1){if((I|0)==0){break}K=c[v>>2]|0;G=0;do{P=ga(D,G)|0;c[K+(G<<4)+8>>2]=(c[F+(P<<2)>>2]|0)==1;c[K+(G<<4)+12>>2]=c[F+(P+1<<2)>>2];G=G+1|0;}while(G>>>0<I>>>0)}else if((d<<24>>24|0)==0){if((D|0)==0){break}G=c[v>>2]|0;K=0;do{c[G+(K<<4)+8>>2]=(c[F+(K<<2)>>2]|0)==1;c[G+(K<<4)+12>>2]=c[F+(D+K<<2)>>2];K=K+1|0;}while(K>>>0<D>>>0)}}while(0);cQ(V);Fc(c[v>>2]|0,c[u>>2]|0,16,64);M=d;E=130;break};case 0:{if((D|0)!=4){n=347376;E=131;break a}if((I|0)!=11){n=346576;E=131;break a}if((gd(f|0,44,1,c[m>>2]|0)|0)==1){W=0}else{n=346080;E=131;break a}while(1){F=0;do{a[k+F|0]=a[j+((F<<2)+W)|0]|0;F=F+1|0;}while(F>>>0<11>>>0);a[k+11|0]=0;if((W|0)==3){break}F=W+1|0;if(F>>>0<4>>>0){W=F}else{M=d;E=130;break b}}if((CQ(t,c[4792]|0,8)|0)==0){M=1;E=130;break b}if((CQ(t,c[4794]|0,9)|0)==0){M=0;E=130}else{n=345480;E=131;break a}break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){N=1;E=129;break b}F=D+1|0;O=0;while(1){K=bQ(F)|0;c[(c[v>>2]|0)+(O<<4)+4>>2]=K;if((gd(c[(c[v>>2]|0)+(O<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=344864;E=131;break a}a[(c[(c[v>>2]|0)+(O<<4)+4>>2]|0)+D|0]=0;K=O+1|0;if(K>>>0<I>>>0){O=K}else{M=1;E=130;break b}}}else if((d<<24>>24|0)!=0){N=d;E=129;break b}O=ga(D,I)|0;X=bQ(O+1|0)|0;if((gd(X|0,O|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){O=I+1|0;F=(I|0)==0;K=0;do{G=bQ(O)|0;c[(c[v>>2]|0)+(K<<4)+4>>2]=G;if(!F){G=0;do{P=a[X+((ga(D,G)|0)+K)|0]|0;a[(c[(c[v>>2]|0)+(K<<4)+4>>2]|0)+G|0]=P;G=G+1|0;}while(G>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(K<<4)+4>>2]|0)+I|0]=0;K=K+1|0;}while(K>>>0<D>>>0)}cQ(X);M=0;E=130;break};default:{n=44952;E=131;break a}}}while(0);if((E|0)==129){E=0;d=N;C=C+1|0;continue}else if((E|0)==130){E=0;D=C+1|0;if((D|0)<6){d=M;C=D;continue}else{n=0;E=131;break}}}if((E|0)==33){cQ(R);n=344864;i=e;return n|0}else if((E|0)==46){cQ(X);n=344864;i=e;return n|0}else if((E|0)==52){cQ(V);n=344080;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function fn(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=pc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,64)|0;i=d;return b|0}function gn(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){fd(44264,43544,399,358448);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){fd(44264,43544,399,358448);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=bQ(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){sd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((gd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}cQ(o);m=0;return m|0}else{t=bQ(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}sd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((gd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){cQ(t);cQ(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);cQ(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function hn(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){fd(44264,43544,519,358472);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){fd(44264,43544,519,358472);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){sd(n|0,q+(r<<3)|0,0)|0;f=(gd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{sd(n|0,q+(r<<2)|0,0)|0;if((gd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function jn(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function kn(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function ln(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function mn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+ln(b)<e){q=1;i=f;return q|0}if(+kn(b)>e){q=1;i=f;return q|0}if((gn(b,1)|0)==0){q=1;i=f;return q|0}jn(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+hn(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+hn(a,b,d,o);i=f;return q|0}if(+hn(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+hn(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function nn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=bQ(20)|0;Cm(0,(e|0)!=0|0,34216,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=dQ(g,b)|0;c[e>>2]=a;Cm(0,(a|0)!=0|0,34216,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function on(a){a=a|0;cQ(c[a>>2]|0);cQ(a);return}function pn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;Cm(0,(c[e>>2]|0)>0|0,348464,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;Cm(0,(g|0)>(b|0)|0,341664,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;Cm(0,(-g|0)<(b|0)|0,341664,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function qn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=dQ(c[d>>2]<<1,c[e>>2]|0)|0;Cm(0,(f|0)!=0|0,34216,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=pn(a,h)|0;j=c[e>>2]|0;FQ(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;cQ(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function rn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){qn(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;FQ((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function sn(a){a=a|0;return c[a+12>>2]|0}function tn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;Cm(0,(c[f>>2]|0)>0|0,348464,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;Cm(0,(h|0)>(b|0)|0,341664,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;Cm(0,b>>>31^1,341664,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=pn(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function un(a){a=a|0;return c[(c[2022]|0)+(a<<2)>>2]|0}function vn(a){a=a|0;return c[(c[2018]|0)+(a<<2)>>2]|0}function wn(a){a=a|0;return c[(c[2020]|0)+(a<<2)>>2]|0}function xn(a){a=a|0;return c[(c[2016]|0)+(a<<2)>>2]|0}function yn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2018]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2020]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2022]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function zn(a){a=a|0;var b=0;b=c[5310]|0;return+(+An(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function An(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function Bn(a){a=a|0;var b=0;b=c[3540]|0;return+(+An(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Cn(a){a=a|0;var b=0;b=c[408]|0;return+(+An(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Dn(a){a=a|0;return 0}function En(a){a=a|0;var b=0;xb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2022]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function Fn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5310]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2016]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2022]|0)+(a<<2)>>2]|0);e=c[3540]|0;g=e+(a<<3)|0;Gn(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;yn(a);g=c[5310]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2022]|0)+(a<<2)>>2]=0;i=b;return}function Gn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((Jn(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function Hn(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;xb(4,e|0)|0;f=c[422]|0;g=c[5310]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function In(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=dQ(a,8)|0;c[5310]=b;d=dQ(a,8)|0;c[3540]=d;e=dQ(a,8)|0;c[408]=e;f=dQ(a,8)|0;c[422]=f;g=dQ(a,4)|0;c[2022]=g;h=dQ(a,4)|0;c[2016]=h;i=a<<2;j=bQ(i)|0;c[2018]=j;k=dQ(a,4)|0;c[2020]=k;GQ(j|0,-1|0,i|0)|0;if((b|0)==0){fd(33456,348288,393,358416)}if((d|0)==0){fd(341472,348288,394,358416)}if((e|0)==0){fd(41120,348288,395,358416)}if((f|0)==0){fd(36024,348288,396,358416)}if((g|0)==0){fd(32392,348288,397,358416)}if((j|0)==0){fd(29232,348288,398,358416)}if((k|0)==0){fd(26320,348288,399,358416)}if((h|0)==0){fd(24216,348288,400,358416)}else{return}}function Jn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function Kn(a){a=a|0;cQ(c[a+12>>2]|0);cQ(c[a+4>>2]|0);cQ(c[a+8>>2]|0);return}function Ln(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2446]=.5;h[2444]=1.0;h[2443]=.25;h[2431]=2.0;h[2430]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[98202]=y;z=c[d>>2]|0;c[98206]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[98206]=A;}while((A|0)<=(z|0))}c[98210]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2435]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2435]=D;E=D}else{E=C}F=c[d>>2]|0;c[98206]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[98206]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2435]}}}while(0);A=A+1|0;c[98210]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2456]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2454]=0.0;h[2449]=0.0;h[2442]=0.0;h[2427]=0.0;c[98218]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2454]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2449]+ +h[G>>3]*D;h[2449]=C;D=+h[L>>3];M=+h[2442]+D*D;h[2442]=M;D=+h[H>>3];h[2427]=+h[2427]+D*D;H=F+1|0;c[98218]=H;D=+h[2454];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[98204]=F;D=E/K;h[2447]=D;A=c[d>>2]|0;c[98206]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2448]=0.0;h[2440]=0.0;F=c[b>>2]|0;c[98218]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2450]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2448]=X;_=_+aa*aa;h[2440]=_;G=G+1|0;}while((G|0)<=(F|0));c[98218]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[98204]=H;h[2447]=aa;h[2449]=U;h[2442]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[98206]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[98218]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[98218]=ea;ba=+h[2454];ca=+h[2442];da=+h[2449]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2441]=I;c[98212]=0;h[2451]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[98212]=H;da=+h[2444]/+W(ca);h[2435]=da;h[2429]=0.0;h[2428]=0.0;A=c[b>>2]|0;c[98218]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2429]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2429]=la;ma=+h[2428]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2428]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2435];da=+h[2454];J=+h[2449]}c[98218]=na;fa=la;ha=ma;ia=+h[2454]}J=+h[2446];da=fa*J*fa;h[2434]=da;K=ha*J*ha;h[2433]=K;h[49119]=K+(da+ia*(+h[2427]+ia*J));J=+h[2431];h[49120]=J*fa*ia;h[49121]=J*ha*ia;h[49122]=da-K;h[49123]=fa*ha;GQ(392992,0,32)|0;c[98218]=10;B=c[d>>2]|0;c[98206]=1;if((B|0)>=1){F=1;do{h[2434]=0.0;h[2433]=0.0;h[2432]=0.0;A=c[b>>2]|0;c[98218]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2434]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2433]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2432]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[98218]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2443]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2434]*+h[2432];h[s+(Q+F<<3)>>3]=+h[2433]*+h[2432];J=+h[2434];P=+h[2433];h[s+(N+F<<3)>>3]=+h[2443]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2446]*+h[2434]*+h[2433];F=F+1|0;c[98206]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[98218]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[98216]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[98218]=F;}while((F|0)<=(B|0))}c[98208]=1;B=1;do{F=c[d>>2]|0;c[98200]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[98200]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[98206]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[98206]=ja}c[98210]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2438]=0.0;ka=c[d>>2]|0;c[98206]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2438]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[98206]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2438]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[98206]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2438]}c[98206]=ya}xa=A+1|0;c[98210]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[98206]=1;if((A|0)<1){break}else{Aa=1}do{h[2438]=0.0;F=c[b>>2]|0;c[98210]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2438]=X;ka=ja+1|0;c[98210]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[98206]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[98210]=1;if((A|0)>=1){ya=1;do{h[2438]=0.0;c[98218]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2438]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[98218]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[98210]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[98208]=B;}while((B|0)<6);B=c[k>>2]|0;c[98206]=1;h[2438]=0.0;c[98218]=1;X=+h[2446];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[392728+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[392728+(ya-1<<3)>>3]+da;h[2438]=da;ya=ya+1|0;}while((ya|0)<6);h[49119]=+h[49119]- +h[49091]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2434]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2433]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2432]=J;h[49120]=+h[49120]-K-X*(J+P);h[49124]=+h[49124]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2434]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2433]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2432]=K;h[49121]=+h[49121]-J-X*(P-K);h[49125]=+h[49125]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2434]=K;h[49122]=+h[49093]+(+h[49122]-K- +h[49092]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2434]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2433]=P;h[49123]=+h[49123]-K-P*X;h[49126]=+h[49126]- +h[49094]+ +h[49095];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2434]=P;h[49127]=+h[49127]-X*P;A=A+1|0;h[2438]=0.0}while((A|0)<=(B|0));c[98206]=A;c[98218]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[392728+(B-1<<3)>>3]=X*K*K;P=+h[392728+(B-1<<3)>>3]+P;h[2438]=P;B=B+1|0;c[98218]=B;}while((B|0)<6);K=+h[2456];J=K*+h[49119]+ +h[49091]+P;h[49110]=J;O=+h[2431];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2434]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2433]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2432]=R;U=R+(K*+h[49120]+T+S);h[49111]=U;T=K*+h[49124]+S-R;h[49115]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2434]=R;S=+h[qa>>3]*+h[za>>3];h[2433]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2432]=V;h[49112]=K*+h[49121]+R+S-V;h[49116]=K*+h[49125]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2434]=V;R=+h[49092]+(V+K*+h[49122])- +h[49093];h[49113]=R;V=O*+h[A>>3]*+h[za>>3];h[2434]=V;h[49114]=V+K*+h[49123]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[49126]+ +h[49094]- +h[49095];h[49117]=O;h[49118]=K*+h[49127]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2438]=K;h[2452]=K;h[2453]=K;c[98214]=0;O=+h[2430]/50.0;h[2435]=O;h[49091]=+h[2444];c[98218]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[49092]=U;J=+Z(Ja);h[49093]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[392728+(Ha-1<<3)>>3]=J;M=+h[49092]*C+ +h[49093]*E;h[392728+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[49092];U=+h[49093]}do{Ha=La-1|0;Ka=Ka+ +h[392880+(Ha<<3)>>3]*+h[392728+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2453]=Ka;c[98214]=za;h[2434]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2433]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[98210]=10;h[2438]=Ka;h[2455]=Ja;h[2437]=T;c[98218]=50;if((Oa|0)==0){h[2434]=Ka;Sa=Qa;Ta=Ka}else if((Oa|0)==49){h[2433]=K;Sa=K;Ta=Pa}else{Sa=Qa;Ta=Pa}h[2439]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2434]=S;V=Sa-Ra;h[2433]=V;R=X*(S-V)/(S+V);h[2439]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2455]=R;V=+Y(R);h[49092]=V;S=+Z(R);h[49093]=S;c[98210]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[392728+(Ia-1<<3)>>3]=S;D=+h[49092]*P+ +h[49093]*R;h[392728+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[49092];V=+h[49093]}h[q>>3]=0.0;h[2453]=0.0;c[98210]=1;Ia=1;do{za=Ia-1|0;Ha=392728+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[392952+(za<<3)>>3]*+h[Ha>>3];h[2453]=+h[2453]+ +h[392880+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[98210]=10;Ia=c[k>>2]|0;c[98206]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[392728+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[98210]=6;c[98206]=Ha}h[2436]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2454]=0.0;h[2434]=0.0;h[2433]=0.0;Ia=c[b>>2]|0;c[98218]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[49092]*+h[A>>3]+ +h[49093]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2454]=+h[2454]+V*V;Xa=+h[2434]+ +h[A>>3]*+h[B>>3];h[2434]=Xa;V=+h[B>>3];Ya=+h[2433]+V*V;h[2433]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[98218]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2451];U=+h[2452];h[2451]=V>=U?V:U}U=+h[2453];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2451];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2451]=U;c[98218]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2435]=P;R=+h[2436]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2456];B=Ha+1|0;c[98218]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2434];V=+h[2433]}}}while(0);Ia=c[d>>2]|0;c[98206]=1;if((Ia|0)>=1){za=1;do{h[2438]=0.0;Ha=c[b>>2]|0;c[98210]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2438]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[98210]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2436]*+h[o+(Ha-1+za<<3)>>3]- +h[2456]*+h[p+(za-1<<3)>>3]);h[2435]=U;c[98218]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2435]}c[98218]=qa}za=za+1|0;c[98206]=za;}while((za|0)<=(Ia|0))}h[2442]=0.0;h[2449]=0.0;Ia=c[b>>2]|0;c[98218]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2442]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2449]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[98218]=za;ab=P;bb=V}U=+h[2454];R=U*ab-bb*bb;h[2441]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[19560]=1;H=c[k>>2]|0;c[98206]=1;if((H|0)<1){cb=+h[2444];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[392728+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[98210]=6;c[98206]=ib;cb=+h[2444];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function Mn(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2414]=.5;h[2412]=1.0;h[2398]=6.283185307179586;x=+h[m>>3];h[2418]=x*x;y=u-1-(c[b>>2]|0)|0;c[98170]=y;c[98176]=0;z=c[d>>2]|0;c[98172]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[98172]=A}c[98174]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2401]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2401]=D;E=D}else{E=x}F=c[d>>2]|0;c[98172]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2401]}c[98172]=H}G=z+1|0;c[98174]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2419]=0.0;B=c[b>>2]|0;c[98180]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2419]=+h[2419]+E*E;o=o+1|0;c[98180]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[98172]=1;if((B|0)>=1){o=1;do{h[2401]=0.0;h[2406]=0.0;w=c[b>>2]|0;c[98174]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2401]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2406]=x;g=g+1|0;}while((g|0)<=(w|0));c[98174]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2401]=D;h[2406]=+h[w>>3]*K;w=c[b>>2]|0;c[98180]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2406]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2401]}c[98180]=M}o=o+1|0;c[98172]=o;}while((o|0)<=(B|0))}h[2415]=0.0;h[2410]=0.0;h[2416]=0.0;B=c[b>>2]|0;c[98180]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2415]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2410]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2416]=L;o=o+1|0;}while((o|0)<=(B|0));c[98180]=o;N=J;O=L;P=K}K=+h[2419];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2411]=Q;h[2401]=0.0;if(N*N>K*.99*P){h[2401]=+h[2412]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2414]*Q*S);h[2405]=O;if(P*+h[2418]<O*O*.01){h[2401]=+h[2412]}m=c[b>>2]|0;c[98180]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2411]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2401]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2411]}c[98180]=U;T=0}while(1){U=T+1|0;c[98176]=U;h[2419]=0.0;h[2410]=0.0;h[2409]=0.0;B=c[b>>2]|0;c[98180]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2419]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2410]=Q;S=+h[M>>3];P=P+S*S;h[2409]=P;o=o+1|0;}while((o|0)<=(B|0));c[98180]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2401]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2417]=R;B=c[b>>2]|0;c[98180]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2419];N=+h[2410];K=+h[2417]}c[98180]=aa}m=c[d>>2]|0;c[98172]=1;if((m|0)>=1){M=1;do{h[2406]=0.0;B=c[b>>2]|0;c[98174]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2406]=K;o=o+1|0;}while((o|0)<=(B|0));c[98174]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2406]=N;B=c[b>>2]|0;c[98180]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2406]}c[98180]=H}M=M+1|0;c[98172]=M;}while((M|0)<=(m|0))}h[2425]=0.0;h[2424]=0.0;h[2423]=0.0;h[2422]=0.0;h[2421]=0.0;m=c[b>>2]|0;c[98180]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2425]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2424]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2423]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2422]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2421]=P;M=M+1|0;}while((M|0)<=(m|0));c[98180]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2414];R=O*ca;h[2425]=R;L=O*da-R;h[2422]=L;J=R+ea+L;h[2404]=J;h[2403]=J;h[2402]=J;c[98178]=0;a[19304]=1;x=+h[2398]/50.0;h[2401]=x;c[98180]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2403]=la;c[98178]=m;h[2400]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2399]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2426]=ia;h[2420]=ja;h[2407]=ka;h[2405]=la;c[98180]=50;h[2402]=la;if((pa|0)==0){h[2400]=la;$=74}else if((pa|0)==49){h[2399]=J;qa=J}else{$=74}if(($|0)==74){$=0;qa=+h[2399]}h[2408]=0.0;D=+h[2400];if(D!=qa){E=D-oa;h[2400]=E;D=qa-oa;h[2399]=D;P=O*(E-D)/(E+D);h[2408]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2426]=P;D=+Y(P);h[2420]=D;E=+Z(P);h[2407]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2405]=P;o=c[b>>2]|0;c[98180]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2420]*+h[w>>3]+ +h[2407]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2420];D=+h[2407]}c[98180]=ta;sa=+h[2405]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2404];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function Nn(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;GE(96)|0;m=c[d>>2]|0;c[92468]=1;if((m|0)>=1){d=1;do{XD(19120,b+(d-1)|0,1)|0;d=(c[92468]|0)+1|0;c[92468]=d;}while((d|0)<=(m|0))}oE()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;GE(72)|0;XD(19120,h,4)|0;oE()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;GE(48)|0;XD(19120,h,4)|0;XD(19120,i,4)|0;oE()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;GE(24)|0;XD(19120,k,8)|0;oE()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;GE(120)|0;XD(19120,k,8)|0;XD(19120,l,8)|0;oE()|0}if((c[f>>2]|0)!=2){return 0}HD(393040,0)|0;return 0}function On(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==0){B=2;while(1){c[98084]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){MD(392160,342080,80,25);Nn(392160,19e3,19008,392616,19104,d,392616,392616,18552,18552,80)|0;break}c[98038]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[98038]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}MD(392160,341224,80,34);Nn(392160,18960,18952,392616,19104,392152,392616,392616,18552,18552,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[98074]=F;c[98072]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){MD(392160,38984,80,52);Nn(392160,18840,19088,392616,19104,G,392616,392616,18552,18552,80)|0;break a}c[98074]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[98072]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[98074]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[98072]=E+(c[98074]|0);break b}}}while(0);MD(392160,39464,80,52);Nn(392160,18840,19096,392616,19104,q,392616,392616,18552,18552,80)|0;break a}}while(0);c[98076]=(c[d>>2]|0)+20;c[q+64>>2]=c[98074];if((c[p>>2]|0)<(c[98072]|0)){MD(392160,340536,80,60);Nn(392160,18800,18880,392616,19008,392288,p,392616,18552,18552,80)|0;break}if((c[r>>2]|0)<(c[98076]|0)){MD(392160,268304,80,60);Nn(392160,18800,18816,392616,19008,392304,r,392616,18552,18552,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){MD(392160,37448,80,24);Nn(392160,19016,18976,19104,19104,w,392616,392616,18552,18552,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2249]=J;if(J>0.0){break}MD(392160,42608,80,28);Nn(392160,18992,19160,392616,392616,392616,392616,19104,17992,18552,80)|0;break a}}while(0);c[q+60>>2]=0;GQ(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==(-1|0)){MD(392160,27984,80,49);Nn(392160,18848,19040,392616,392616,392616,392616,392616,18552,18552,80)|0;MD(392160,347096,80,47);Nn(392160,18864,19032,392616,19104,n,392616,392616,18552,18552,80)|0;MD(392160,340424,80,41);Nn(392160,18904,19024,19104,392616,392616,392616,392616,18552,18552,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[17968]=0;J=+h[l>>3];h[2244]=J;K=+h[m>>3];h[2252]=K;A=c[d>>2]|0;c[98084]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2244]=N;O=+h[m+(B<<3)>>3];h[2252]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[17968]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[98084]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[98070]=p;r=p+(c[w>>2]|0)|0;c[98068]=r;p=r+(c[w>>2]|0)|0;c[98066]=p;B=p+(c[w>>2]|0)|0;c[98078]=B;F=B+(c[d>>2]|0)|0;c[98060]=F;E=F+(c[d>>2]|0)|0;c[98064]=E;c[98062]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[98036]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2241]=+h[F>>3];a[18008]=0;h[2243]=+h[o+24>>3];I=o+16|0;h[2250]=+h[I>>3];do{if((c[w>>2]|0)!=0){Pn(19008,v,w,d,17944,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,392328,F,0,o,q,s,t)|0;if((c[94862]|0)>0){i=y;return 0}if((c[98082]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];lo(d,o+((c[98078]|0)-1<<3)|0,19104,g,19104)|0;a[18008]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2250];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2250]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2250];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2242]=N;T=+h[2243];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[98064]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){Un(17944,j,f,g,d,H,W,X)|0;if((c[94862]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}else{Un(17944,17944,f,g,d,H,W,X)|0;if((c[94862]|0)>0){i=y;return 0}else{h[e>>3]=+h[2243];c[n>>2]=1;a[18008]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}Un(17944,j,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2241]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2250]=V;h[I>>3]=V;break}Un(17944,17936,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2242];a[18008]=1;C=195;break d}}else{V=+h[2243];if(!F){if(O*(V-M)<0.0){break}Un(17944,j,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[98064]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){Un(17944,j,f,g,d,G,X,W)|0;if((c[94862]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}else{Un(17944,17944,f,g,d,G,X,W)|0;if((c[94862]|0)>0){i=y;return 0}else{h[e>>3]=+h[2243];c[n>>2]=1;a[18008]=1;C=195;break d}}}}while(0);if(a[18008]|0){C=195}else{C=126}}else{h[2243]=+h[e>>3];c[n>>2]=1;Rn(d,k+4|0,l,m,f,o+((c[98060]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[98060]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[98084]=W;MD(392160,40952,80,39);Nn(392160,18920,19136,392616,392616,392616,392616,392616,18552,18552,80)|0;break c}c[98084]=W;M=+Yn(40288,1);h[2241]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2241]*4.0*($>=aa?$:aa);h[2248]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){MD(392160,40408,80,60);Nn(392160,18800,19128,392616,392616,392616,392616,19008,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2247]=ba*.001;M=+Sn(d,g,o+((c[98060]|0)-1<<3)|0,s,t);if(M>.5/+h[2247]){h[2247]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+LD(17976,z);h[2247]=M;ca=M}else{M=+h[o+16>>3];h[2247]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}MD(392160,41480,80,29);Nn(392160,18984,19144,392616,392616,392616,392616,392616,18552,18552,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2247]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2242]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2247]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{Tn(17944,f,g,d,b,u,17976,o+((c[98060]|0)-1<<3)|0,n,s,t,o+((c[98064]|0)-1<<3)|0,o+400|0,o+((c[98078]|0)-1<<3)|0,o+((c[98062]|0)-1<<3)|0,q,17984,I,k+36|0,392144)|0;if((c[94862]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2247]}h[2250]=ia;h[o+16>>3]=ia;F=c[98064]|0;X=(c[d>>2]|0)+F|0;c[98080]=X;G=c[d>>2]|0;c[98084]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2250]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[98084]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2250];h[o+232>>3]=+h[2250]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}Pn(19104,v,w,d,e,j,f,o+((c[98078]|0)-1<<3)|0,o+((c[98064]|0)-1<<3)|0,F,ka,o+((c[98070]|0)-1<<3)|0,o+((c[98068]|0)-1<<3)|0,o+((c[98066]|0)-1<<3)|0,x,392328,I,0,o,q,s,t)|0;if((c[94862]|0)>0){i=y;return 0}if((c[98082]|0)!=0){MD(392160,36936,80,47);Nn(392160,18864,18968,19104,392616,392616,392616,392616,18552,18552,80)|0;MD(392160,36608,80,38);Nn(392160,18928,18968,19104,392616,392616,392616,392616,18552,18552,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}Pn(18952,v,w,d,17944,j,f,o+((c[98078]|0)-1<<3)|0,o+((c[98064]|0)-1<<3)|0,F,ka,o+((c[98070]|0)-1<<3)|0,o+((c[98068]|0)-1<<3)|0,o+((c[98066]|0)-1<<3)|0,x,392328,I,0,o,q,s,t)|0;if((c[94862]|0)>0){i=y;return 0}if((c[98082]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];lo(d,o+((c[98078]|0)-1<<3)|0,19104,g,19104)|0;C=195}}while(0);if((C|0)==216){MD(392160,43464,80,54);Nn(392160,18832,18560,392616,392616,392616,392616,19008,17936,j,80)|0;break c}else if((C|0)==218){MD(392160,42080,80,34);Nn(392160,18960,19152,392616,392616,392616,392616,19008,j,e,80)|0;break c}else if((C|0)==222){MD(392160,39912,80,49);Nn(392160,18848,19112,392616,392616,392616,392616,19008,17936,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;Rn(d,ma,l,m,o+((c[98064]|0)-1<<3)|0,o+((c[98060]|0)-1<<3)|0,s,t)|0;if((c[94862]|0)>0){C=231;break}p=c[d>>2]|0;r=c[98060]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[98084]=na;O=+Sn(d,o+((c[98064]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2241];oa=O*L;h[2245]=oa;if(oa>1.0){C=136;break}O=+h[2243];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2248]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2250];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2250]=L/O}}while(0);Vn(17944,f,g,d,b,u,18e3,o+((c[98060]|0)-1<<3)|0,k,n,s,t,o+((c[98064]|0)-1<<3)|0,o+400|0,o+((c[98078]|0)-1<<3)|0,o+((c[98062]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,17984,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,392144)|0;if((c[94862]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){Pn(18952,v,w,d,17944,j,f,o+((c[98078]|0)-1<<3)|0,o+((c[98064]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[98070]|0)-1<<3)|0,o+((c[98068]|0)-1<<3)|0,o+((c[98066]|0)-1<<3)|0,x,392328,o+64|0,0,o,q,s,t)|0;if((c[94862]|0)>0){C=231;break e}if((c[98082]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];lo(d,o+((c[98078]|0)-1<<3)|0,19104,g,19104)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2243];L=+h[2250];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}Un(17944,j,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}Un(17944,j,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){Un(17944,j,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2242];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2241]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}Un(17944,17936,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2242];C=195;continue}if(!(M<0.0)){Un(17944,j,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2242];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2241]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2250]=M-O;C=126;continue}else{Un(17944,17936,f,g,d,q+28|0,o+((c[98064]|0)-1<<3)|0,o+224|0)|0;if((c[94862]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2242];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2243];h[o+16>>3]=+h[2250];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[98084]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2245]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[98084]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2245]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2245]}c[98084]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[98080]=I;switch(I|0){case 2:{MD(392160,28736,80,47);Nn(392160,18864,18776,392616,392616,392616,392616,19104,17944,18552,80)|0;MD(392160,25656,80,48);Nn(392160,18856,18768,392616,392616,392616,392616,392616,18552,18552,80)|0;MD(392160,23976,80,45);Nn(392160,18888,18760,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 3:{MD(392160,21728,80,38);Nn(392160,18928,18752,392616,392616,392616,392616,19104,17944,18552,80)|0;MD(392160,356632,80,28);Nn(392160,18992,18744,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 6:{MD(392160,354152,80,44);Nn(392160,18896,18736,392616,392616,392616,392616,19008,17944,18e3,80)|0;MD(392160,352272,80,57);Nn(392160,18808,18728,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 7:{MD(392160,354152,80,44);Nn(392160,18896,18720,392616,392616,392616,392616,19008,17944,18e3,80)|0;MD(392160,349992,80,48);Nn(392160,18856,18704,392616,392616,392616,392616,392616,18552,18552,80)|0;MD(392160,349008,80,28);Nn(392160,18992,18696,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 8:{MD(392160,354152,80,44);Nn(392160,18896,18688,392616,392616,392616,392616,19008,17944,18e3,80)|0;MD(392160,347976,80,37);Nn(392160,18936,18680,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 9:{MD(392160,354152,80,44);Nn(392160,18896,18672,392616,392616,392616,392616,19008,17944,18e3,80)|0;MD(392160,347256,80,49);Nn(392160,18848,18664,392616,392616,392616,392616,392616,18552,18552,80)|0;MD(392160,346424,80,38);Nn(392160,18928,18656,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 10:{MD(392160,354152,80,44);Nn(392160,18896,18648,392616,392616,392616,392616,19008,17944,18e3,80)|0;MD(392160,346e3,80,45);Nn(392160,18888,18640,392616,392616,392616,392616,392616,18552,18552,80)|0;MD(392160,345392,80,36);Nn(392160,18944,18632,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 11:{MD(392160,344776,80,40);Nn(392160,18912,18624,392616,392616,392616,392616,19008,17944,18e3,80)|0;MD(392160,344e3,80,36);Nn(392160,18944,18616,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 12:{MD(392160,354152,80,44);Nn(392160,18896,18608,392616,392616,392616,392616,19008,17944,17976,80)|0;MD(392160,343304,80,45);Nn(392160,18888,18600,392616,392616,392616,392616,392616,18552,18552,80)|0;break};case 4:case 5:{break};default:{MD(392160,35448,80,38);Nn(392160,18928,18792,392616,392616,392616,392616,19104,17944,18552,80)|0;MD(392160,32e3,80,48);Nn(392160,18856,18784,392616,392616,392616,392616,392616,18552,18552,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2243];h[o+24>>3]=+h[2243];h[o+16>>3]=+h[2250];i=y;return 0}else if((C|0)==213){MD(392160,45456,80,39);Nn(392160,18920,18712,392616,392616,392616,392616,392616,18552,18552,80)|0;break c}else if((C|0)==214){MD(392160,44904,80,39);Nn(392160,18920,18592,392616,392616,392616,392616,392616,18552,18552,80)|0;break c}}}while(0);MD(392160,44184,80,47);Nn(392160,18864,18568,392616,392616,392616,392616,392616,18552,18552,80)|0}else if((C|0)==208){MD(392160,342792,80,55);Nn(392160,18824,19104,392616,392616,392616,392616,392616,18552,18552,80)|0}}while(0);if((C|0)==225){MD(392160,38520,80,39);Nn(392160,18920,19048,392616,392616,392616,392616,19008,j,e,80)|0}if((c[k>>2]|0)==-1){MD(392160,36248,80,46);Nn(392160,18872,18584,392616,392616,392616,392616,392616,18552,18552,80)|0;MD(392160,35880,80,47);Nn(392160,18864,18576,19104,392616,392616,392616,392616,18552,18552,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function Pn(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2104]=A;c[s>>2]=0;B=c[e>>2]|0;c[97486]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[97486]|0)+1|0;c[97486]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2103]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==3){G=+h[g>>3];H=A}else if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;Un(g,b,j,k,f,n,l,m)|0;if((c[94862]|0)>0){return 0}B=d;Md[B&15](f,b,j,e,o,x,y)|0;if((c[94862]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[16784]=0;I=c[e>>2]|0;c[97486]=1;if((I|0)<1){break}else{J=1;K=0}while(1){F=+h[o+(J-1<<3)>>3];if(F<0.0){L=-0.0-F}else{L=F}if(L>0.0){M=K}else{a[16784]=1;M=1}N=J+1|0;if((N|0)>(I|0)){break}else{J=N;K=M}}c[97486]=N;if(!M){break}F=+LD(16824,16832);h[2101]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2104];do{if((E- +h[g>>3])*F<0.0){Un(g,b,j,k,f,n,l,m)|0;if((c[94862]|0)<=0){break}return 0}else{D=+h[2101]/F;h[2100]=D;I=c[f>>2]|0;c[97486]=1;if((I|0)<1){break}O=(u<<1)+z|0;P=1;Q=2;R=D;while(1){S=j+(P-1<<3)|0;h[S>>3]=+h[S>>3]+R*+h[l+(O+P<<3)>>3];if((Q|0)>(I|0)){break}P=Q;Q=Q+1|0;R=+h[2100]}c[97486]=Q}}while(0);Md[B&15](f,b,j,e,o,x,y)|0;if((c[94862]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[16784]=0;P=c[e>>2]|0;c[97486]=1;if((P|0)<1){break}else{T=1;U=0}while(1){I=T-1|0;F=+h[o+(I<<3)>>3];if(F<0.0){V=-0.0-F}else{V=F}if(V>0.0){W=U;X=T}else{c[r+(I<<2)>>2]=1;a[16784]=1;W=1;X=c[97486]|0}I=X+1|0;c[97486]=I;if((I|0)>(P|0)){break}else{T=I;U=W}}if(!W){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{G=F;H=+h[2104];break}}else{P=v+320|0;Un(g,P,j,k,f,n,l,m)|0;if((c[94862]|0)>0){return 0}C=d;Md[C&15](f,P,j,e,o,x,y)|0;if((c[94862]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[16784]=0;B=c[e>>2]|0;c[97486]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[16784]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[97486]=aa;if(!$){return 0}F=+LD(16824,16832);h[2101]=F;h[P>>3]=F+ +h[P>>3];F=+h[2101]/+h[2104];h[2100]=F;B=c[f>>2]|0;c[97486]=1;if((B|0)>=1){I=(u<<1)+z|0;O=1;S=2;E=F;while(1){ba=j+(O-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(I+O<<3)>>3];if((S|0)>(B|0)){break}O=S;S=S+1|0;E=+h[2100]}c[97486]=S}Md[C&15](f,P,j,e,o,x,y)|0;if((c[94862]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[16784]=0;O=c[e>>2]|0;c[97486]=1;if((O|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[16784]=1;fa=1}ga=ca+1|0;if((ga|0)>(O|0)){break}else{ca=ga;da=fa}}c[97486]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-G)*H<0.0){h[2102]=ea;if(!((ea- +h[v+320>>3])*H>0.0)){return 0}Un(g,16816,j,k,f,n,l,m)|0;if((c[94862]|0)<=0){break}return 0}else{h[2102]=G;i=c[f>>2]|0;c[97486]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[97486]=ha}}while(0);ha=d;Md[ha&15](f,16816,j,e,p,x,y)|0;if((c[94862]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[97484]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){Qn(e,16824,389936,i,16816,o,p,q,16792,r,fa,ga,w,da)|0;if((c[94862]|0)>0){ia=76;break}if((c[97484]|0)>1){ia=73;break}Un(g,16792,j,k,f,n,l,m)|0;if((c[94862]|0)>0){ia=76;break}Md[ha&15](f,16792,j,e,q,x,y)|0;if((c[94862]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2099];lo(e,q,19104,o,19104)|0;if((c[97484]|0)==4){return 0}Un(g,16792,j,k,f,n,l,m)|0;if((c[94862]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function Qn(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[97480]=c[n>>2];c[n>>2]=0;h[2096]=0.0;a[16752]=0;r=c[b>>2]|0;c[97482]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+LD(18536,i+(t<<3)|0);if(u==+LD(18536,k+((c[97482]|0)-1<<3)|0)){break}w=c[97482]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2096])){break}h[2096]=z;c[n>>2]=w}else{a[16752]=1}}while(0);s=(c[97482]|0)+1|0;c[97482]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[16776]=1;c[97478]=c[o>>2];h[g>>3]=+h[q>>3];lo(b,k,19104,j,19104)|0;c[o>>2]=1;a[16760]=0;A=0}else{a[16776]=0;c[n>>2]=c[97480];c[97478]=c[o>>2];if(a[16752]|0){h[g>>3]=+h[q>>3];lo(b,k,19104,j,19104)|0;a[16760]=1;A=1;break}else{lo(b,k,19104,i,19104)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[16760]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[16760]=1;C=y}c[e>>2]=2;h[l>>3]=C;lo(b,j,19104,k,19104)|0;r=c[b>>2]|0;c[97482]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[97482]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+LD(18536,i+(s<<3)|0);if(!(y!=+LD(18536,j+((c[97482]|0)-1<<3)|0))){break}c[m+((c[97482]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[97482]|0)+1|0;c[97482]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2096]=0.0;a[16752]=0;r=c[b>>2]|0;c[97482]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+LD(18536,i+(t<<3)|0);if(y==+LD(18536,j+((c[97482]|0)-1<<3)|0)){break}w=c[97482]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2096])){break}h[2096]=G;c[n>>2]=w}else{a[16752]=1}}while(0);s=(c[97482]|0)+1|0;c[97482]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[16776]=r;if(r){a[16760]=0;c[97478]=0;c[o>>2]=1;break}if(!(a[16752]|0)){lo(b,j,19104,k,19104)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];lo(b,j,19104,k,19104)|0;r=c[b>>2]|0;c[97482]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[97482]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[97482]|0}s=I+1|0;c[97482]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[97478]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function Rn(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2215]=+h[d>>3];h[2216]=+h[e>>3];j=c[a>>2]|0;c[97998]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2215];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2215]=n;h[2216]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2216];k=k+1|0;c[97998]=k;}while((k|0)<=(j|0));return 0}function Sn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2253]=0.0;f=c[a>>2]|0;c[98088]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2253]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[98088]=o;if(!(n>0.0)){g=0.0;return+g}h[2254]=0.0;o=c[a>>2]|0;c[98088]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2254]=j;i=i+1|0;}while((i|0)<=(o|0));c[98088]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function Tn(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[98124]=0;c[98126]=0;c[98122]=0;h[2261]=+h[b>>3];h[2260]=+Sn(f,d,l,0,0);C=c[f>>2]|0;c[98134]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[98134]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2269]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[98134]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[98134]=H}a[18120]=1;c[98128]=0;a[18144]=1;c[B>>2]=(c[B>>2]|0)+1;c[98130]=0;Md[C&15](b,d,e,q,392520,n,o)|0;b:do{if((c[98130]|0)<0){K=35}else{while(1){if(a[18120]|0){c[E>>2]=(c[E>>2]|0)+1;a[18120]=0;Wn(f,b,d,e,q,18152,k,392528,l,r,s,t,g,392520,v,j,n,o,x)|0;h[2262]=1.0e6;if((c[98130]|0)<0|(c[98132]|0)!=0){K=35;break b}c[98122]=0}G=c[f>>2]|0;c[98134]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[98134]=I}Xn(f,q,s,t)|0;G=c[f>>2]|0;c[98134]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2269]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[98134]=J}N=+Sn(f,q,l,0,0);h[2267]=N;if(!(N>+h[v>>3]*100.0*+h[2260])){break}G=c[98128]|0;if((G|0)>0){h[z>>3]=N/+h[2264];h[A>>3]=1.0/+(G|0);O=+JD(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2262]=P;Q=P;R=+h[2267]}else{h[2264]=N;Q=+h[2262];R=N}if(!(Q*R>.33)){break}G=(c[98128]|0)+1|0;c[98128]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[18120]=1}c[B>>2]=(c[B>>2]|0)+1;c[98130]=0;Md[C&15](b,d,e,q,392520,n,o)|0;if((c[98130]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[98134]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[98134]=I}N=+Sn(f,q,l,0,0);h[2267]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[98134]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2269]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[98134]=T}}while(0);if(!(a[18144]|0)){break}G=c[f>>2]|0;c[98134]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[98134]=I}N=+Sn(f,r,l,0,0);h[2266]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[18144]=0}h[b>>3]=+h[2261];H=c[f>>2]|0;c[98134]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[98134]=G}if(a[18144]|0){H=(c[98124]|0)+1|0;c[98124]=H;N=.9/(+h[2266]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2263]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[98132]|0)!=0){H=(c[98122]|0)+1|0;c[98122]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[98130]|0)>-2)){K=53;break}H=(c[98126]|0)+1|0;c[98126]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function Un(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[98e3]=m;n=+h[b>>3]- +h[a>>3];h[2217]=n;a=c[f>>2]|0;c[98004]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[98004]=b;o=+h[2217]}h[2220]=1.0;h[2219]=0.0;n=o/+h[j>>3];h[2218]=n;c[98002]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2219]=q*r+s/+h[b>>3];o=r*s;h[2220]=o;h[2218]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[98004]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2219]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2220]}c[98004]=v}g=p+1|0;c[98002]=g;if((g|0)>(m|0)){break}p=g;q=+h[2219];r=+h[2218];s=+h[2220];t=+h[2217]}return 0}



function Gp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;vD(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];Am(17,1,o,353440,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){vD(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;vD(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;Bm(17,0,347696,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;vD(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{Bm(17,1,351624,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;vD(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;vD(k,d,c[p>>2]|0);if((BQ(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];Bm(17,0,349464,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;vD(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;Bm(17,0,348520,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}vD(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[92503]|c[92570]|0)==0){break}Pd[c[3538]&511](17)}}while(0);if((c[92503]|c[92570]|0)==0){r=1;i=e;return r|0}Pd[c[3538]&511](17);r=1;i=e;return r|0}function Hp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=bQ(144)|0;c[b>>2]=e;Cm(0,(e|0)!=0|0,356120,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=bQ(g)|0;c[e+16>>2]=bQ(g)|0;c[e+8>>2]=1;c[e+12>>2]=bQ(g)|0;c[e+20>>2]=a;c[e+24>>2]=bQ(g)|0;c[e+28>>2]=dQ(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=bQ(g)|0;c[e+68>>2]=bQ(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=dQ(j,8)|0;c[e+108>>2]=dQ(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=bQ(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=bQ(g)|0;c[e+128>>2]=bQ(g)|0;c[e+132>>2]=bQ(g)|0;c[e+136>>2]=bQ(g)|0;c[e+140>>2]=bQ(g)|0;Cm(0,(c[b>>2]|0)!=0|0,355560,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Ip(a){a=a|0;var b=0;b=c[a>>2]|0;cQ(c[b+4>>2]|0);cQ(c[b+16>>2]|0);cQ(c[b+12>>2]|0);cQ(c[b+24>>2]|0);cQ(c[b+28>>2]|0);cQ(c[b+64>>2]|0);cQ(c[b+68>>2]|0);cQ(c[b+104>>2]|0);cQ(c[b+108>>2]|0);cQ(c[b+116>>2]|0);cQ(c[b+124>>2]|0);cQ(c[b+128>>2]|0);cQ(c[b+132>>2]|0);cQ(c[b+136>>2]|0);cQ(c[b+140>>2]|0);return 0}function Jp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=bQ(80)|0;c[b>>2]=e;Cm(0,(e|0)!=0|0,354432,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=bQ(g)|0;c[e+8>>2]=bQ(g)|0;c[e+12>>2]=a;c[e+16>>2]=bQ(g)|0;c[e+20>>2]=dQ(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=bQ(ga(g,a)|0)|0;c[e+68>>2]=bQ(g)|0;c[e+72>>2]=bQ(a<<2)|0;Cm(0,(c[b>>2]|0)!=0|0,355280,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Kp(a){a=a|0;var b=0;b=c[a>>2]|0;cQ(c[b+4>>2]|0);cQ(c[b+8>>2]|0);cQ(c[b+16>>2]|0);cQ(c[b+20>>2]|0);cQ(c[b+64>>2]|0);cQ(c[b+68>>2]|0);cQ(c[b+72>>2]|0);return 0}function Lp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+24>>2]|0;if((d|0)==1){e=c[a+4>>2]|0;f=c[e+4>>2]|0;Np(c[e>>2]|0,+h[f>>3],c[f+8>>2]|0,c[a+112>>2]|0,b);g=0;return g|0}else if((d|0)==2){Mp(a,b);g=0;return g|0}else if((d|0)==4){Zd[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];g=0;return g|0}else if((d|0)==3){g=yo(a,b)|0;return g|0}else{g=1;return g|0}return 0}function Mp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8032+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8032+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];Sd[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function Np(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function Op(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=Gm(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==2){g=bQ(8)|0;c[g+4>>2]=4;j=bQ(20)|0;k=g;c[k>>2]=j;l=c[b+112>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=dQ(l,8)|0;j=m+1|0;if((j|0)>=5){break}m=j;n=c[k>>2]|0}c[d+48>>2]=g;o=0}else if((f|0)==3){k=bQ(88)|0;zm(23,0,354248,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;n=wo(b,d,k)|0;c[d+48>>2]=k;o=n}else if((f|0)==4){n=c[94860]|0;k=bQ(n<<2)|0;c[92470]=k;if((n|0)<=0){o=0;break}m=c[b+116>>2]|0;l=0;j=k;while(1){c[j+(l<<2)>>2]=dQ(m,8)|0;k=l+1|0;if((k|0)>=(n|0)){o=0;break a}l=k;j=c[92470]|0}}else{o=0}}while(0);$p(b)|0;if((c[94790]|0)==0){i=e;return o|0}Hn(6);En(1);i=e;return o|0}function Pp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=c[b+24>>2]|0;if((d|0)==3){xo(c[b+48>>2]|0)|0}else if((d|0)==4){e=c[94860]|0;f=c[92470]|0;if((e|0)>0){g=0;h=f;while(1){cQ(c[h+(g<<2)>>2]|0);i=g+1|0;j=c[92470]|0;if((i|0)<(e|0)){g=i;h=j}else{k=j;break}}}else{k=f}cQ(k)}else if((d|0)==2){d=b+48|0;b=c[d>>2]|0;k=c[b>>2]|0;if(((c[b+4>>2]|0)+1|0)>0){b=0;f=k;while(1){cQ(c[f+(b<<2)>>2]|0);h=b+1|0;g=c[d>>2]|0;e=c[g>>2]|0;if((h|0)<((c[g+4>>2]|0)+1|0)){b=h;f=e}else{l=e;break}}}else{l=k}cQ(l);cQ(c[d>>2]|0)}aq(a)|0;Wp(a);return 0}function Qp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(58,a|0);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(76,a|0);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=HQ(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Ea(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(12,1,0,355168,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(26,2,0,344448,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(26,23,0,43920,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[94790]|0)==0){k=8;break}else{k=7;break};case 7:pa(310,1);if((x|0)!=0&(y|0)!=0){l=IQ(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function Rp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}zm(8,0,38112,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;Wo(b);if((c[92688]|0)==0){Qd[c[2005]&127](8e3,b)}a[k]=0}}while(0);rC(34088,1.0);if((e|0)!=0){Sp(Ic(e|0)|0,b)}if((c[92511]|0)==0){i=f;return 0}Hn(0);zm(25,0,30912,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;zm(25,1,27656,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+zn(6);l=+zn(6);m=l/+zn(0)*100.0;zm(25,0,24968,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+zn(1);g=+zn(1);l=g/+zn(0)*100.0;zm(25,0,23128,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+zn(2);m=+zn(2);g=m/+zn(0)*100.0;zm(25,0,358056,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+zn(3);l=+zn(3);m=l/+zn(0)*100.0;zm(25,0,355440,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+zn(4);g=+zn(4);l=g/+zn(0)*100.0;zm(25,0,353344,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+zn(7);m=+zn(7);g=m/+zn(0)*100.0;zm(25,0,351584,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+zn(0);l=g- +zn(7);g=l- +zn(4);l=g- +zn(3);g=l- +zn(2);l=g- +zn(1);g=l- +zn(6);l=+zn(0);m=l- +zn(7);l=m- +zn(4);m=l- +zn(3);l=m- +zn(2);m=l- +zn(1);l=m- +zn(6);m=l/+zn(0)*100.0;if(e){zm(25,0,348488,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{zm(25,0,349432,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+zn(0);g=+zn(0);l=g/+zn(0)*100.0;zm(25,0,347672,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;Pd[c[3538]&511](25);zm(25,1,346880,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;zm(25,0,346264,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;zm(25,0,345696,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;Pd[c[3538]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);zm(25,1,345136,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;zm(25,0,344576,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;zm(25,0,343632,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;zm(25,0,343048,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;zm(25,0,342416,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;zm(25,0,341720,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;Pd[c[3538]&511](25)}else if((e|0)!=5){zm(25,1,340936,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;zm(25,0,268712,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Pd[c[3538]&511](25)}zm(25,0,45656,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;En(0);i=f;return 0}function Sp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Wa(b|0,40728)|0;b=c[q>>2]|0;g=d+4|0;kd(b|0,40256,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Va(10,b|0)|0;l=Sa(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;r=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((BQ(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];kd(b|0,39728,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((BQ(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;kd(b|0,39312,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((BQ(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;kd(b|0,38840,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((BQ(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;kd(b|0,38280,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[r>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((BQ(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,39728,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{kd(b|0,39728,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((BQ(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,39312,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{kd(b|0,39312,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((BQ(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,38840,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{kd(b|0,38840,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((BQ(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;kd(b|0,38280,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((BQ(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];kd(b|0,39728,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((BQ(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;kd(b|0,39312,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((BQ(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;kd(b|0,38840,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((BQ(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;kd(b|0,38280,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Wa(0,40728)|0;}while((d|0)!=0);k=Va(10,b|0)|0;l=Sa(b|0)|0;i=e;return}function Tp(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 8:case 7:case 6:case 9:case 10:case 11:{Bm(1,0,45192,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 4:{r=c[98292]|0;if((r|0)!=0){if((BQ(r,44120)|0)==0){break a}}zm(23,0,43008,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};case 18:{r=c[98292]|0;do{if((r|0)!=0){if((BQ(r,42432)|0)!=0){break}c[o>>2]=4;break a}}while(0);zm(23,0,41840,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 5:{Bm(1,0,44608,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};default:{}}}while(0);k=Op(b,n)|0;de[c[2173]&15]()|0;if((a[b+440|0]|0)!=0){bq(b)|0;Sd[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){r=Qp(b,d,e,f,g,j)|0;de[c[2173]&15]()|0;if((r|0)!=0){s=r;break}if((c[o>>2]|0)!=5){Qd[c[2005]&127](8e3,b);ep(b)}t=+h[b+248>>3];zm(23,0,41312,(p=i,i=i+16|0,h[p>>3]=+h[b+240>>3],h[p+8>>3]=t,p)|0);i=p;r=be[c[c[b+540>>2]>>2]&127](b,n)|0;de[c[2173]&15]()|0;Rp(b,n,l)|0;de[c[2173]&15]()|0;s=r}else{de[c[2173]&15]()|0;s=k}}while(0);Pp(b,n)|0;q=s;i=m;return q|0}function Up(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((Sd[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){Dm(c[a+536>>2]|0,353384,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){Vp(a);i=b;return}}function Vp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;GQ(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function Wp(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;cQ(c[e+(a*48|0)+28>>2]|0);cQ(c[e+(a*48|0)+32>>2]|0);cQ(c[e+(a*48|0)+16>>2]|0);cQ(c[e+(a*48|0)+20>>2]|0);cQ(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function Xp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=bQ(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=bQ(c[s>>2]<<2)|0;Yp(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;FQ(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;FQ(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((vo(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=Zp(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){FQ(c[u>>2]|0,r|0,c[q>>2]<<2)|0;FQ(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;cQ(r);cQ(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;Bm(5,1,355016,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Ob(j|0,344416,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}Bm(5,0,43872,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3538]|0;Pd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Dm(F,37912,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{Bm(5,0,43872,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3538]|0;Pd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Dm(F,37912,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function Yp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;GQ(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Sd[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function Zp(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=dQ(d,4)|0;p=o;q=dQ(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){cQ(o);cQ(q);i=n;return v|0}if((m|0)==0){v=-1;cQ(o);cQ(q);i=n;return v|0}zm(5,1,34032,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;_p(r,d,f,c[g>>2]|0,j,k,l);if((c[92491]|0)==0){v=-1;cQ(o);cQ(q);i=n;return v|0}Pd[c[3538]&511](5);v=-1;cQ(o);cQ(q);i=n;return v|0}function _p(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;GQ(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;zm(5,0,30776,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function $p(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=xc(353e3,354984)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Bb(e|0)|0;if((f|0)==(-1|0)){break a}else if((f|0)==10){break}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;wd(e|0);do{}while((Bb(e|0)|0)!=10);j=c[b+152>>2]|0;k=dQ(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=dQ(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=dQ(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=Tc(e|0,344408,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=Tc(e|0,344408,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=dQ(l,8)|0;q=n}}while(0);vc(43856,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;vc(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{vc(34008,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];vc(30760,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Cc(7912)|0;Oa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function aq(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}cQ(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){cQ(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}cQ(j);return 0}function bq(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function cq(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+dq(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[92495]|0)==0){e=1;i=b;return e|0}zm(9,1,352720,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){zm(9,0,354960,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}Pd[c[3538]&511](9);e=1;i=b;return e|0}function dq(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;sq(b);f=e+540|0;Sd[c[(c[f>>2]|0)+84>>2]&255](e)|0;Sd[c[(c[f>>2]|0)+36>>2]&255](e)|0;Sd[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;be[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function eq(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+dq(b,1.0);if((c[92495]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}zm(9,1,344384,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){zm(9,0,37888,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{zm(9,0,43816,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}zm(9,1,33984,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){zm(9,0,27608,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];zm(9,0,30712,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){zm(9,0,23072,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];zm(9,0,24888,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){zm(9,0,355392,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];zm(9,0,357992,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}Pd[c[3538]&511](9);zm(9,1,353296,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=Sd[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){zm(9,0,27608,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];zm(9,0,30712,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}Pd[c[3538]&511](9);Pd[c[3538]&511](9);i=d;return}function fq(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[92495]|0)!=0){fp(b,9)}if((c[92510]|0)==0){i=d;return}zm(24,1,351544,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){zm(24,1,349408,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];zm(24,0,348408,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}Pd[c[3538]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}zm(24,1,347648,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];zm(24,0,346848,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}Pd[c[3538]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){zm(24,1,346240,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];zm(24,0,348408,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}Pd[c[3538]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){zm(24,1,345672,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;zm(24,0,345088,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}Pd[c[3538]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){zm(24,1,344552,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?343040:342408;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?343040:342408;l=(a[(c[o>>2]|0)+j|0]|0)!=0?343040:342408;zm(24,0,343584,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}Pd[c[3538]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){zm(24,1,341696,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;zm(24,0,340888,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}Pd[c[3538]&511](24)}Pd[c[3538]&511](24);i=d;return}function gq(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;zm(9,0,268680,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){cp(b);dp(b);o=6}else{if((a[f]|0)!=0){hq(b,f,g)}cp(b);dp(b);if((a[f]|0)==0){o=6}}if((o|0)==6){Sd[c[(c[l>>2]|0)+84>>2]&255](b)|0;Sd[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(BQ(d,25272)|0)==0|0;f=(BQ(d,25088)|0)==0;q=(BQ(d,25024)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}Bm(1,0,45160,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;Bm(1,0,44584,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;Bm(1,0,44104,(n=i,i=i+16|0,c[n>>2]=25272,c[n+8>>2]=25880,n)|0);i=n;Bm(1,0,44104,(n=i,i=i+16|0,c[n>>2]=25088,c[n+8>>2]=25592,n)|0);i=n;Bm(1,0,44104,(n=i,i=i+16|0,c[n>>2]=25024,c[n+8>>2]=25368,n)|0);i=n;Dm(c[b+536>>2]|0,42984,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(BQ(e,c[367792+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}Bm(1,0,42400,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;Bm(1,0,44584,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[367856+(d<<2)>>2]|0;Bm(1,0,44104,(n=i,i=i+16|0,c[n>>2]=c[367792+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);Dm(c[b+536>>2]|0,42984,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[369176+(p<<2)>>2]|0;zm(9,0,41800,(n=i,i=i+16|0,c[n>>2]=c[369160+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[367856+(s<<2)>>2]|0;zm(9,0,41272,(n=i,i=i+16|0,c[n>>2]=c[367792+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=iq(b,s,j)|0;break}if((p|0)==3){jq(b,j);v=0;break}else{Dm(c[b+536>>2]|0,40704,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((Gp(b,1)|0)==0){if((zp(b,1)|0)!=0){w=-3;break}j=(qp(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);fq(b);zm(9,0,40224,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;No(b,+h[b+240>>3],+h[b+248>>3]);$o(b);ep(b);Wo(b);Sd[c[(c[l>>2]|0)+52>>2]&255](b)|0;be[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;ap(b);i=k;return w|0}function hq(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;zm(9,0,24552,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=en(d,g)|0;if((l|0)!=0){Dm(c[b+536>>2]|0,24432,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}zm(9,0,24336,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=fn(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=mq(c[o+(m*112|0)+4>>2]|0)|0;q=fn(g,p)|0;cQ(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((CQ(q,24160,6)|0)==0){if((c[92495]|0)==0){break}}else{p=CQ(q,23960,6)|0;if((c[92495]|p|0)==0){break}}Bm(9,0,23824,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;mn(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];zm(9,0,24272,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}zm(9,0,23648,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=fn(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=mq(c[o+(r*112|0)+4>>2]|0)|0;q=fn(g,n)|0;cQ(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}Bm(9,0,23392,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;mn(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];zm(9,0,24272,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}zm(9,0,23216,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=fn(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=mq(c[v+(l*112|0)+4>>2]|0)|0;o=fn(g,w)|0;cQ(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}Bm(9,0,23392,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;mn(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];zm(9,0,24272,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}zm(9,0,22400,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=fn(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=mq(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=fn(g,y)|0;cQ(y);if((v|0)!=0){z=v;t=31;break}Bm(9,0,22168,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;mn(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;zm(9,0,22280,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}zm(9,0,21968,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){cn(g);i=f;return}r=b+32|0;b=0;do{l=fn(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=mq(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=fn(g,z)|0;cQ(z);if((x|0)!=0){A=x;t=38;break}Bm(9,0,21768,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;mn(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?343040:342408;zm(9,0,21872,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));cn(g);i=f;return}function iq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;Mo(a,+h[a+240>>3]);$o(a);ep(a);Wo(a);gp(a);Vp(a);Xo(a);$o(a);d=kq(a,b,c)|0;ep(a);Wo(a);ap(a);ep(a);return d|0}function jq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;Mo(b,+h[b+240>>3]);$o(b);ep(b);Xp(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=dQ(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=dQ(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=dQ(c[r>>2]|0,1)|0;t=b+132|0;u=dQ(c[t>>2]|0,4)|0;v=u;w=b+536|0;Cm(c[w>>2]|0,(m|0)!=0|0,39712,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Cm(c[w>>2]|0,(p|0)!=0|0,39712,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Cm(c[w>>2]|0,(s|0)!=0|0,39712,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Cm(c[w>>2]|0,(u|0)!=0|0,39712,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[92495]|0)==0){A=0}else{w=f|0;Ob(w|0,39296,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=xc(w|0,38832)|0;kd(f|0,38272,(x=i,i=i+8|0,c[x>>2]=37192,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{kd(f|0,38272,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Va(10,f|0)|0;A=f}zm(9,1,36488,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;Sd[c[(c[g>>2]|0)+80>>2]&255](b)|0;zm(9,0,36176,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[92495]|0)!=0){kd(A|0,35784,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{kd(A|0,35784,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Va(10,A|0)|0}if((Gp(b,0)|0)!=0){break a}if((zp(b,0)|0)!=0){break a}if((qp(b,0)|0)!=0){break a}hp(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);Pd[c[3538]&511](9);if((c[92495]|0)!=0){Oa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}cQ(m);cQ(p);cQ(s);cQ(u)}else{h[b+304>>3]=1.0;Sd[c[j+80>>2]&255](b)|0}Yo(b);if((Xp(b,1,1)|0)!=1){i=e;return}Sd[c[(c[g>>2]|0)+80>>2]&255](b)|0;Yo(b);if((Xp(b,1,1)|0)!=1){i=e;return}Bm(1,0,35344,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function kq(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=nq(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){zm(9,0,35032,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){be[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}cQ(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){zm(9,0,34744,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;be[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;cQ(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){zm(9,1,34504,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=bQ(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+dq(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+dq(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}zm(9,1,34176,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];zm(9,0,33296,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];zm(9,0,33296,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];zm(9,0,33296,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[92495]|0)!=0){Pd[c[3538]&511](9);Pd[c[3538]&511](9)}cQ(p);oq(g);v=nq(b)|0;if((c[v>>2]|0)!=0){R=v;break}zm(9,0,33016,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;cQ(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}zm(9,0,32736,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){zm(9,0,32488,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;lq(R,d,1,e);eq(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+dq(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){cQ(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){cQ(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){cQ(Q);c[g>>2]=0}lq(R,d,0,e);eq(b,R);+dq(R,1.0)}else{zm(9,0,32224,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}zm(9,1,31928,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;eq(b,R);b=cq(R)|0;if((c[92495]|0)!=0){Pd[c[3538]&511](9)}oq(R);m=b;i=f;return m|0}function lq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=bQ(c[k>>2]<<3)|0;m=l;n=+dq(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;qq(a,m);cQ(l);u=t-1|0;zm(9,0,29992,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){zm(9,0,31728,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){pq(a)}switch(b|0){case 6:{w=tq(j,a,0)|0;break};case 1:{w=xq(a)|0;break};case 5:{w=uq(a)|0;break};case 3:{w=zq(a,g,e)|0;break};case 2:{w=vq(a)|0;break};case 4:{w=uq(a)|0;break};default:{x=15;break a}}ep(j);Wo(j);ap(j);ep(j);n=+dq(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}zm(9,0,31192,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;eq(j,a);A=n}else{zm(9,0,30992,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){Dm(c[j+536>>2]|0,31480,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){qq(a,m);cQ(l);u=t-1|0;zm(9,0,29992,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function mq(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=DQ(b|0)|0;do{if((c|0)==0){d=0;e=bQ(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==93){j=f-1|0}else if((i<<24>>24|0)==91){j=f+1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=bQ(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==93){o=l-1|0}else if((g<<24>>24|0)==91){o=l+1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((AQ(e,21600,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;FQ(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((AQ(e,21600,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function nq(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=bQ(64)|0;f=e;Cm(0,(e|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;GQ(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=dQ(I,8)|0;c[p>>2]=j;Cm(0,(j|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=dQ(I,8)|0;c[q>>2]=j;Cm(0,(j|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=dQ(I,8)|0;c[r>>2]=j;Cm(0,(j|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=dQ(I,8)|0;c[s>>2]=j;Cm(0,(j|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=dQ(I,8)|0;c[t>>2]=j;Cm(0,(j|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=dQ(I,4)|0;z=j;c[u>>2]=z;Cm(0,(j|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;zm(9,0,354808,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;zm(9,0,344256,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];zm(9,0,43704,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];zm(9,0,37784,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];zm(9,0,33928,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;zm(9,0,30640,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;zm(9,0,27568,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=dQ(ca,8)|0;c[v>>2]=ha;Cm(0,(ha|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=bQ(ca<<3)|0;v=ha;c[w>>2]=v;Cm(0,(ha|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=bQ(ia<<3)|0;w=ha;c[x>>2]=w;Cm(0,(ha|0)!=0|0,350328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function oq(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+28>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+32>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+36>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+40>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+44>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+48>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+52>>2]|0;if((b|0)!=0){cQ(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;cQ(d);return}cQ(b);d=a;cQ(d);return}function pq(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=dQ(n,8)|0;p=o;q=dQ(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=dQ(t,8)|0;v=u;w=dQ(t,8)|0;x=w;y=dQ(n,8)|0;z=y;A=dQ(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+dq(b,1.0);t=c[m>>2]|0;if((t|0)>0){FQ(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+dq(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){FQ(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;zm(9,0,24816,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}cQ(o);cQ(q);cQ(u);cQ(w);cQ(y);cQ(A);i=d;return}function qq(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function rq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function sq(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function tq(a,b,d){a=a|0;b=b|0;d=d|0;Dm(c[a+536>>2]|0,350184,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function uq(a){a=a|0;Dm(0,350144,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function vq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[92495]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=dQ((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;Cm(0,(n|0)!=0|0,350120,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[94878]=c[a+60>>2];c[94874]=c[a+48>>2];qo(k,j,c[a+24>>2]|0,g,f,d,e,n,4);cQ(n);c[94878]=0;c[94874]=0;n=cq(a)|0;i=b;return n|0}function wq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;GQ(f+28|0,0,20)|0;c[f+48>>2]=c[94874];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[94878];h[d>>3]=+dq(f,1.0);i=e;return}function xq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=bQ(o)|0;q=p;r=bQ(o)|0;o=r;Cm(0,(p|0)!=0|0,350088,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;Cm(0,(r|0)!=0|0,350088,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[92495]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+dq(a,1.0);h[d>>3]=v;if(v!=0.0){c[94876]=c[a+60>>2];c[94872]=c[a+48>>2];no(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[94876]=0;c[94872]=0}else{zm(9,0,354688,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+dq(a,1.0);h[d>>3]=v;zm(9,0,344240,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==4){Bm(9,0,30568,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}else if((o|0)==2){Bm(9,0,37720,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==3){Bm(9,0,33848,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}Bm(9,0,43624,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}}while(0);x=cq(a)|0;i=b;return x|0}function yq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;GQ(f+28|0,0,20)|0;c[f+48>>2]=c[94872];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[94876];h[d>>3]=+dq(f,1.0);i=e;return}function zq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;zm(9,1,349968,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[92495]|0)==0){k=0}else{k=(g|0)/10|0}Aq(a,d,g,k,b,f);zm(9,0,354672,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;Pd[c[3538]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=cq(a)|0;if((b|0)==0){l=0;i=e;return l|0}Bm(9,0,344192,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function Aq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=bQ(ga(n,m)|0)|0;p=o;q=bQ(m<<3)|0;r=q;s=bQ(n)|0;t=s;u=bQ(n)|0;v=u;w=bQ(n)|0;x=w;y=bQ(n)|0;n=y;z=+h[f>>3];if((c[92495]|0)!=0&z<1.0){A=j|0;Ob(A|0,43608,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=xc(A|0,37712)|0;kd(C|0,33840,(B=i,i=i+8|0,c[B>>2]=30552,B)|0)|0;i=B;kd(C|0,33840,(B=i,i=i+8|0,c[B>>2]=27544,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{kd(C|0,33840,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Va(10,C|0)|0;kd(C|0,23048,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;kd(C|0,357976,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{kd(C|0,357976,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Va(10,C|0)|0;E=C}else{E=0}Cm(0,(o|0)!=0|0,355376,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Cm(0,(q|0)!=0|0,355376,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Cm(0,(s|0)!=0|0,355376,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Cm(0,(u|0)!=0|0,355376,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Cm(0,(w|0)!=0|0,355376,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Cm(0,(y|0)!=0|0,355376,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{rq(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+dq(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;rq(a,ba);+dq(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];zm(9,0,353256,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){GQ(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);rq(a,t);ra=+dq(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}FQ(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}rq(a,v);if(+dq(a,Q)<ra){if(!F){U=W;continue}FQ(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}FQ(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}rq(a,x);sa=+dq(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}rq(a,x);sa=+dq(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}FQ(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];zm(9,0,351496,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}kd(E|0,23048,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;kd(E|0,357976,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{kd(E|0,357976,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Va(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){Bm(9,0,349392,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;Bm(9,0,348392,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;Dm(0,347600,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}rq(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){cQ(u);cQ(s);cQ(w);cQ(y);cQ(q);cQ(o);i=j;return}kd(E|0,23048,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;kd(E|0,357976,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{kd(E|0,357976,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Va(10,E|0)|0;Oa(E|0)|0;cQ(u);cQ(s);cQ(w);cQ(y);cQ(q);cQ(o);i=j;return}function Bq(a,b){a=a|0;b=b|0;return}function Cq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;En(3);Hn(0);g=+zn(0);En(0);j=d+4|0;kd(f|0,349752,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){kd(f|0,349752,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){kd(f|0,349752,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){kd(f|0,354664,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){kd(f|0,354664,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){kd(f|0,344184,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){kd(f|0,349752,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{kd(f|0,349752,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){kd(f|0,354664,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{kd(f|0,354664,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){kd(f|0,354664,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{kd(f|0,354664,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Va(10,f|0)|0;Hn(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}kd(f|0,344184,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Va(10,f|0)|0;Hn(3);i=e;return}function Dq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=xc(c[f>>2]|0,37704)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=Wc(c[(Vc()|0)>>2]|0)|0;Cm(h,(g|0)!=0|0,33784,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=30544,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=27528,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Va(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}kd(g|0,344184,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Va(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function Eq(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;En(3);Oa(b|0)|0;Hn(3);return}function Fq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;nI(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];oI(n,k)|0;Gq(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;Hq(a,b,349624,c[f>>2]|0,c[e>>2]|0,m,8);cQ(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];oI(n,l)|0;i=d;return}function Gq(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=dQ(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;Cm(c[b+536>>2]|0,(p|0)!=0|0,353224,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function Hq(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;Rq(a,b,d,e,f,h);mI(k,g,ga(ga(f,e)|0,h)|0)|0;if(JG(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){Dm(c[b+536>>2]|0,357936,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function Iq(a){a=a|0;if((Jr(a+4|0)|0)!=0){return}MG(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function Jq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=hQ(320)|0;GQ(p|0,0,320)|0;Kq(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;En(3);s=a+8|0;t=Lq(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=Mq(a,b,t+r|0)|0;t=p+184|0;Nq(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;Nq(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;Oq(p,c[w>>2]|0,36);if(JG(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){Dm(c[b+536>>2]|0,354624,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}Hq(a,b,344176,4,11,369824,1);Pq((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;Hq(a,b,43600,c[f>>2]|0,c[g>>2]|0,x,1);cQ(x);c[e>>2]=0;Pq((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;Hq(a,b,37688,c[f>>2]|0,c[g>>2]|0,x,1);cQ(x);c[e>>2]=0;Qq(a,b,j,f,g,c[q>>2]|0,r);Hq(a,b,33768,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;nI(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];Gq(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;Hq(a,b,349624,c[g>>2]|0,c[f>>2]|0,m,8);nI(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=Sq(p+240|0)|0;v=Sq(p+264|0)|0;o=Sq(p+288|0)|0;Rq(a,b,30536,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);cQ(m);cQ(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;UH(r)|0;cQ(u);Hn(3);i=d;return}function Kq(a){a=a|0;Tt(a);return}function Lq(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(Xs(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(Xs(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(Xs(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function Mq(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=bQ(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=18224;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(Xs(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(Xs(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(Xs(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function Nq(a,b,c){a=a|0;b=b|0;c=c|0;Ir(a,b,c);return}function Oq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Hr(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){MG(d,4);return}else{KG(d,0);return}}function Pq(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=DQ(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=dQ((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;Cm(0,(m|0)!=0|0,23024,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;EQ(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;Wq(l,DQ(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=dQ(1,1)|0;c[d>>2]=o;Cm(0,(o|0)!=0|0,23024,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function Qq(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=dQ(c[f>>2]<<2,4)|0;c[e>>2]=g;Cm(c[d+536>>2]|0,(g|0)!=0|0,355336,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=Sq(g)|0;h=s+264|0;t=Sq(h)|0;u=s+288|0;v=Sq(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=Sq(g)|0;D=Sq(h)|0;E=Sq(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==2){F=2;G=1}else if((z<<24>>24|0)==1){Xq(l,t,A+(v*52|0)+4|0);Zq(n,t);if(!(Yq(l,n)|0)){H=w;break}F=1;G=(c[(_q(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==0){Xq(l,g,A+(v*52|0)+4|0);Zq(m,g);if(!(Yq(l,m)|0)){H=w;break}F=2;G=(c[(_q(l)|0)+4>>2]|0)+1|0}else{H=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=F;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=G}else{c[z+(w+1<<2)>>2]=-G}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;H=w+4|0}else{H=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=H;v=A}else{I=H;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){H=d+44|0;v=s+276|0;w=I;b=0;while(1){G=c[H>>2]|0;do{if((a[G+(b*52|0)+48|0]|0)==0){f=a[G+(b*52|0)+8|0]|0;if((f<<24>>24|0)==0){Xq(l,h,G+(b*52|0)+4|0);Zq(o,h);F=Yq(l,o)|0;J=F?2:0}else if((f<<24>>24|0)==1){Xq(l,v,G+(b*52|0)+4|0);Zq(p,v);J=(Yq(l,p)|0)&1}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;F=(c[(c[H>>2]|0)+(b*52|0)>>2]|0)==0;m=c[(_q(l)|0)+4>>2]|0;if(F){c[f+(w+1<<2)>>2]=m+1}else{c[f+(w+1<<2)>>2]=~m}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);G=b+1|0;if((G|0)<(c[x>>2]|0)){w=K;b=G}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==0){Xq(l,u,w+(y*52|0)+4|0);Zq(q,u);H=Yq(l,q)|0;M=H?2:0}else if((x<<24>>24|0)==1){Xq(l,d,w+(y*52|0)+4|0);Zq(r,d);M=(Yq(l,r)|0)&1}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(_q(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function Rq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(DQ(d|0)|0)+1;e=k;mI(e,j,20)|0;j=k;if(JG(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Dm(c[b+536>>2]|0,357936,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}mI(e,d,c[f>>2]|0)|0;if(JG(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Dm(c[b+536>>2]|0,357936,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function Sq(a){a=a|0;return c[(Er(a|0)|0)>>2]|0}function Tq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;En(3);do{if(IG(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];oI(g,e)|0;j=Sq(g+240|0)|0;k=Sq(g+264|0)|0;l=Sq(g+288|0)|0;Rq(a,b,30536,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);Iq(g)}else{if((g|0)!=0){break}c[f>>2]=0;Hn(3);i=d;return}}while(0);Uq(h);jQ(g);c[f>>2]=0;Hn(3);i=d;return}function Uq(a){a=a|0;as(a);return}function Vq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;En(3);Hn(0);h[g>>3]=+zn(0);En(0);k=j;l=d+4|0;mI(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){mI(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){mI(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);mI(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);mI(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);mI(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(JG(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Dm(c[d+536>>2]|0,24768,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;Hn(3);i=e;return}}function Wq(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((CQ(b,341656,4)|0)!=0){return}c=b;while(1){d=Sb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((CQ(b,341656,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function Xq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;qr(e,b|0,c);gr(a,e);i=d;return}function Yq(a,b){a=a|0;b=b|0;return er(a|0,b|0)|0}function Zq(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;hr(d,b|0);gr(a,d);i=c;return}function _q(a){a=a|0;return $q(ar(a|0)|0)|0}function $q(a){a=a|0;return dr(a)|0}function ar(a){a=a|0;return br((c[a>>2]|0)+16|0)|0}function br(a){a=a|0;return cr(a)|0}function cr(a){a=a|0;return a|0}function dr(a){a=a|0;return a|0}function er(a,b){a=a|0;b=b|0;return(fr(a,b)|0)^1|0}function fr(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function gr(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];pr(a,b);i=d;return}function hr(a,b){a=a|0;b=b|0;ir(a,jr(b)|0);return}function ir(a,b){a=a|0;b=b|0;or(a,b);return}function jr(a){a=a|0;return kr(lr(a+4|0)|0)|0}function kr(a){a=a|0;return nr(a)|0}function lr(a){a=a|0;return mr(a|0)|0}function mr(a){a=a|0;return a|0}function nr(a){a=a|0;return a|0}function or(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function pr(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function qr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=sr(b)|0;rr(f,b,d,h,jr(b)|0);hr(g,b);do{if(er(f,g)|0){h=tr(b)|0;if(ur(h,d,vr(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);hr(a,b);i=e;return}function rr(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;zr(h);a:do{if((e|0)==0){j=f}else{k=tr(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(Ar(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;zr(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;zr(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);ir(a,j);i=g;return}function sr(a){a=a|0;return c[(jr(a)|0)>>2]|0}function tr(a){a=a|0;return xr(a+8|0)|0}function ur(a,b,c){a=a|0;b=b|0;c=c|0;return wr(0,b,c|0)|0}function vr(a){a=a|0;return(c[a>>2]|0)+16|0}function wr(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function xr(a){a=a|0;return yr(a|0)|0}function yr(a){a=a|0;return a|0}function zr(a){a=a|0;Br(a,-1);return}function Ar(a,b,c){a=a|0;b=b|0;c=c|0;return wr(0,b|0,c)|0}function Br(a,b){a=a|0;b=b|0;Cr(a,0);return}function Cr(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function Dr(a){a=a|0;return c[a+4>>2]|0}function Er(a){a=a|0;return Fr(a+8|0)|0}function Fr(a){a=a|0;return Gr(a|0)|0}function Gr(a){a=a|0;return a|0}function Hr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 20:case 52:{f=345664;break};case 56:{f=346840;break};case 25:case 9:{f=346232;break};case 16:case 48:{f=351488;break};case 8:{f=348384;break};case 21:case 5:{f=345080;break};case 60:{f=343032;break};case 17:case 1:{f=349384;break};case 28:{f=343576;break};case 29:case 13:{f=342400;break};case 12:{f=344544;break};case 24:{f=347592;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=xc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((sd(h|0,0,2)|0)==0){g=a;break}Oa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function Ir(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function Jr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}Kr(d,f,116);f=Sd[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Oa(Lr(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}Mr(d);g=h;i=b;return g|0}function Kr(a,b,c){a=a|0;b=b|0;c=c|0;Tr(a,b,c);return}function Lr(a){a=a|0;var b=0;b=Pr(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Mr(a){a=a|0;Nr(a);return}function Nr(a){a=a|0;Or(a,0);return}function Or(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Pr(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Sd[c[(Qr(d)|0)>>2]&255](e)|0;return}function Pr(a){a=a|0;return Sr(a|0)|0}function Qr(a){a=a|0;return Rr(a|0)|0}function Rr(a){a=a|0;return a+4|0}function Sr(a){a=a|0;return a|0}function Tr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(Vr(f)|0)>>2]|0;Ur(a|0,d,c[(Wr(g)|0)>>2]|0);i=e;return}function Ur(a,b,c){a=a|0;b=b|0;c=c|0;Xr(a,b,c);return}function Vr(a){a=a|0;return a|0}function Wr(a){a=a|0;return a|0}function Xr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(Zr(f)|0)>>2]|0;Yr(a|0,d,c[(_r(g)|0)>>2]|0);i=e;return}function Yr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(Zr(f)|0)>>2];c[a+4>>2]=c[(_r(g)|0)>>2];i=e;return}function Zr(a){a=a|0;return a|0}function _r(a){a=a|0;return a|0}function $r(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function as(a){a=a|0;bs(a+300|0);bs(a+288|0);bs(a+276|0);bs(a+264|0);bs(a+252|0);bs(a+240|0);cs(a|0);return}function bs(a){a=a|0;Os(a);return}function cs(a){a=a|0;ds(a,362272);QG(a+104|0);return}function ds(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];hs(a+4|0);return}function es(a){a=a|0;cs(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function fs(a){a=a|0;cs(a);jQ(a);return}function gs(a){a=a|0;fs(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function hs(a){a=a|0;is(a);return}function is(b){b=b|0;var d=0;c[b>>2]=361568;Jr(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}kQ(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}kQ(d)}}while(0);ZG(b|0);return}function js(a){a=a|0;hs(a);jQ(a);return}function ks(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;Sd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=Ms(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=Ns(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;hH(g,0,0,0);mH(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}kQ(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=iQ(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=iQ(g)|0;a[b+97|0]=1;return}function ls(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;hH(e,0,0,0);mH(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}kQ(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}kQ(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=iQ(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(Js(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=iQ(o)|0;a[k]=1;i=f;return e|0}return 0}function ms(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=xd(4)|0;IP(m);tc(m|0,365632,184)}m=Fs(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((Sd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){Nq(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=XQ(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((sd(o|0,p|0,f|0)|0)==0){o=Mb(c[l>>2]|0)|0;Nq(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;Is(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{Nq(a,-1,-1);i=g;return}}}while(0);Nq(a,-1,-1);i=g;return}function ns(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((Sd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=$r(d)|0;if((sd(j|0,k|0,0)|0)==0){Hs(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{Nq(a,-1,-1);i=e;return}}}while(0);Nq(a,-1,-1);i=e;return}function os(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=xd(4)|0;IP(m);tc(m|0,365632,184);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=Fs(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=fH(s)|0;u=(ga(t-(eH(s)|0)|0,p)|0)+r|0;v=0;break}p=eH(s)|0;if((p|0)==(fH(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=Gs(t,g,x,q,p-(dH(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=fH(w)|0;u=o-(eH(w)|0)|0;v=0}}while(0);if((sd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;hH(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=jH(o)|0;do{if((w|0)!=(iH(o)|0)){if((be[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=Es(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Xa(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Sa(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function ps(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=zs(b)|0;o=b|0;if((eH(o)|0)==0){p=e+1|0;hH(o,e,p,p)}if(n){q=0}else{n=fH(o)|0;c[f>>2]=(n-(dH(o)|0)|0)/2|0;c[g>>2]=4;q=c[(As(f,g)|0)>>2]|0}g=eH(o)|0;do{if((g|0)==(fH(o)|0)){JQ(dH(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=fH(o)|0;n=dH(o)|0;p=gd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=dH(o)|0;hH(o,n,n+q|0,n+(p+q)|0);r=xs(a[eH(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;JQ(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(As(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=gd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=xd(4)|0;IP(t);tc(t|0,365632,184);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=dH(o)|0;if((Bs(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;hH(o,f,f,c[s>>2]|0);r=xs(a[eH(o)|0]|0)|0;break}s=c[k>>2]|0;f=dH(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}hH(o,f,p,s);r=xs(a[eH(o)|0]|0)|0}else{r=xs(a[g]|0)|0}}while(0);if((dH(o)|0)!=(e|0)){m=r;i=d;return m|0}hH(o,0,0,0);m=r;i=d;return m|0}function qs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=dH(f)|0;h=eH(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(ts(d,-1)|0){gH(f,-1);e=ws(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=us(d)|0;do{if(g){if(ys(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);gH(f,-1);a[eH(f)|0]=b;e=d;return e|0}function rs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}ss(b);l=b|0;m=iH(l)|0;n=kH(l)|0;if(!(ts(d,-1)|0)){if((jH(l)|0)==0){mH(l,f,f+1|0)}f=us(d)|0;a[jH(l)|0]=f;lH(l,1)}f=jH(l)|0;o=iH(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=xd(4)|0;u=t;IP(u);tc(t|0,365632,184);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=iH(l)|0;y=jH(l)|0;z=vs(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=iH(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Xa(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;mH(l,z,jH(l)|0);z=kH(l)|0;lH(l,z-(iH(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=xd(4)|0;u=t;IP(u);tc(t|0,365632,184);return 0}else if((B|0)==14){p=(jH(l)|0)-A|0;if((Xa(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Xa(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);mH(l,m,n)}k=ws(d)|0;i=e;return k|0}function ss(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;hH(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;mH(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;mH(e,g,g+(f-1)|0);break}}else{mH(e,0,0)}}while(0);c[d>>2]=16;return}function ts(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function us(a){a=a|0;return a&255|0}function vs(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return he[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function ws(a){a=a|0;var b=0;b=ts(a,-1)|0;return(b?0:a)|0}function xs(a){a=a|0;return a&255|0}function ys(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function zs(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;mH(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;hH(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;hH(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function As(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=Cs(a,b,c|0)|0;i=c;return d|0}function Bs(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return he[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function Cs(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Ds(0,c,b)|0;i=e;return(f?c:b)|0}function Ds(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function Es(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Td[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function Fs(a){a=a|0;return Sd[c[(c[a>>2]|0)+24>>2]&255](a)|0}function Gs(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Td[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function Hs(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function Is(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function Js(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=Ks(a,b,c|0)|0;i=c;return d|0}function Ks(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Ls(0,b,c)|0;i=e;return(f?c:b)|0}function Ls(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function Ms(a){a=a|0;return IM(a,396328)|0}function Ns(a){a=a|0;return Sd[c[(c[a>>2]|0)+28>>2]&255](a)|0}function Os(a){a=a|0;Ps(a|0);return}function Ps(a){a=a|0;Qs(a);return}function Qs(a){a=a|0;Rs(a,sr(a)|0);return}function Rs(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;zr(d|0);if((b|0)==0){i=d;return}Rs(a,c[b>>2]|0);Rs(a,c[b+4>>2]|0);Ts(Ss(a)|0,b,1);i=d;return}function Ss(a){a=a|0;return Vs(a+4|0)|0}function Ts(a,b,c){a=a|0;b=b|0;c=c|0;Us(0,b,0);return}function Us(a,b,c){a=a|0;b=b|0;c=c|0;jQ(b);return}function Vs(a){a=a|0;return Ws(a|0)|0}function Ws(a){a=a|0;return a|0}function Xs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=Ys(a,e,b)|0;k=c[j>>2]|0;zr(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}_s(h,a,b);$s(g,h);Zs(f,g);at(h);h=c[e>>2]|0;bt(a|0,h,j,ct(f)|0);j=dt(f)|0;at(f);l=j;m=l+20|0;i=d;return m|0}function Ys(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=sr(h)|0;zr(e|0);if((a|0)==0){j=jr(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(wr(0,d,a)|0){m=l|0;j=c[m>>2]|0;zr(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(wr(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;zr(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function Zs(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Rt(a,b);i=d;return}function _s(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Ss(c|0)|0;c=At(k,1)|0;Bt(g,k);zt(f,c,g);Ct(0,vt((Dt(f)|0)+16|0)|0,d);d=Et(f)|0;a[d+4|0]=1;Ft(0,ut((Dt(f)|0)+20|0)|0);a[d+5|0]=1;Gt(j,f);$s(h,j);Zs(b,h);at(j);at(f);i=e;return}function $s(a,b){a=a|0;b=b|0;xt(a,b);return}function at(a){a=a|0;qt(a);return}function bt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;zr(f|0);c[e>>2]=0;zr(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=it(a)|0;b=c[c[e>>2]>>2]|0;zr(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(jr(a)|0)>>2]|0;jt(e,c[d>>2]|0);d=kt(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function ct(a){a=a|0;return c[(gt(a|0)|0)>>2]|0}function dt(a){a=a|0;var b=0;b=et(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function et(a){a=a|0;return ft(a|0)|0}function ft(a){a=a|0;return a|0}function gt(a){a=a|0;return ht(a|0)|0}function ht(a){a=a|0;return a|0}function it(a){a=a|0;return a|0}function jt(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=nt(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;zr(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;zr(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(nt(j)|0){p=j}else{o=c[k>>2]|0;ot(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;pt(p);i=e;return}else if((l|0)==14){if(nt(j)|0){p=c[k>>2]|0;pt(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;ot(q);i=e;return}else if((l|0)==17){i=e;return}}function kt(a){a=a|0;return lt(a+8|0)|0}function lt(a){a=a|0;return mt(a|0)|0}function mt(a){a=a|0;return a|0}function nt(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function ot(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;zr(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=nt(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function pt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;zr(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=nt(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function qt(a){a=a|0;rt(a,0);return}function rt(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=et(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}tt(st(d)|0,e);return}function st(a){a=a|0;return wt(a|0)|0}function tt(a,b){a=a|0;b=b|0;if((b|0)==0){return}Ts(c[a>>2]|0,b,1);return}function ut(a){a=a|0;return a|0}function vt(a){a=a|0;return a|0}function wt(a){a=a|0;return a+4|0}function xt(a,b){a=a|0;b=b|0;yt(a,b);return}function yt(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function zt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Jt(a,b,d);i=e;return}function At(a,b){a=a|0;b=b|0;return It(0,b,0)|0}function Bt(a,b){a=a|0;b=b|0;Ht(a,b);return}function Ct(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function Dt(a){a=a|0;return c[(gt(a|0)|0)>>2]|0}function Et(a){a=a|0;return st(a|0)|0}function Ft(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function Gt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;xt(f,b);Zs(e,f);$s(d,e);Zs(a,d);at(e);i=c;return}function Ht(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function It(a,b,c){a=a|0;b=b|0;c=c|0;return hQ(b*24|0)|0}function Jt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Lt(f)|0)>>2]|0;f=Mt(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Kt(a|0,b,g);i=e;return}function Kt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Nt(a,b,d);i=e;return}function Lt(a){a=a|0;return a|0}function Mt(a){a=a|0;return a|0}function Nt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Pt(f)|0)>>2]|0;f=Qt(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Ot(a|0,b,g);i=e;return}function Ot(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Pt(f)|0)>>2];f=Qt(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Pt(a){a=a|0;return a|0}function Qt(a){a=a|0;return a|0}function Rt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=dt(St(b)|0)|0;g=Qt(Et(St(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Kt(a|0,f,e);i=d;return}function St(a){a=a|0;return c[a>>2]|0}function Tt(a){a=a|0;var b=0;b=i;i=i+48|0;Ut(a|0);Nq(a+184|0,0,0);Nq(a+200|0,0,0);Vt(a+240|0,b|0);Vt(a+252|0,b+8|0);Vt(a+264|0,b+16|0);Vt(a+276|0,b+24|0);Vt(a+288|0,b+32|0);Vt(a+300|0,b+40|0);i=b;return}function Ut(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;VG(b);d=a|0;c[d>>2]=361284;e=b|0;c[e>>2]=361304;b=a+4|0;aI(a,362276,b|0);c[d>>2]=361284;c[e>>2]=361304;gu(b);return}function Vt(a,b){a=a|0;b=b|0;Wt(a,0);return}function Wt(a,b){a=a|0;b=b|0;b=i;i=i+8|0;Xt(a|0,b|0);i=b;return}function Xt(a,b){a=a|0;b=b|0;Yt(a,0);return}function Yt(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;Zt(a+4|0);_t(a+8|0,0,b|0);d=jr(a)|0;c[(it(a)|0)>>2]=d;i=b;return}function Zt(a){a=a|0;cu(a);return}function _t(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;$t(b,c,d);i=e;return}function $t(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;au(b|0,c[(bu(g)|0)>>2]|0,f+8|0);i=f;return}function au(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(bu(g)|0)>>2];i=f;return}function bu(a){a=a|0;return a|0}function cu(a){a=a|0;du(a|0);return}function du(a){a=a|0;eu(a|0);return}function eu(a){a=a|0;fu(a);return}function fu(a){a=a|0;c[a>>2]=0;return}function gu(a){a=a|0;hu(a);return}function hu(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;cH(g);c[b>>2]=361568;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;GQ(b+52|0,0,16)|0;zr(d|0);GQ(h|0,0,31)|0;_G(e,g);j=iu(e)|0;GM(e);if(j){_G(f,g);c[h>>2]=Ms(f)|0;GM(f);a[b+98|0]=(Ns(c[h>>2]|0)|0)&1}Ud[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function iu(a){a=a|0;return HM(a,396328)|0}function ju(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;En(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){ku(a,b,c[e>>2]|0,f);Hn(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=eQ(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;Dm(c[b+536>>2]|0,349120,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}ku(a,b,k,f);Hn(3);i=d;return}function ku(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;Hn(0);i=+zn(0);En(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function lu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=bQ(24)|0;En(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;Cm(c[l>>2]|0,k>>>31^1,354496,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=mu(b,m)|0;n=mu(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=bQ(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;Dm(c[l>>2]|0,344112,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;Hn(3);i=d;return}}function mu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function nu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;En(3);k=b|0;l=xc(c[k>>2]|0,43592)|0;if((l|0)==0){ou(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=Wc(c[(Vc()|0)>>2]|0)|0;Dm(m,37632,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Xa(33720,46,1,l|0)|0;o=g+20|0;kd(l|0,30512,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;kd(l|0,27472,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Xa(24720,40,1,l|0)|0;Xa(23008,11,1,l|0)|0;Xa(357920,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];pu(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Va(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Xa(353200,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;pu(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Va(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){kd(l|0,351456,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;pu(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Va(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){kd(l|0,351456,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;pu(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Va(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){kd(l|0,351456,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;pu(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Va(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){kd(l|0,351456,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;pu(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Va(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){kd(l|0,351456,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;pu(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Va(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){kd(l|0,351456,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;pu(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Va(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}ou(j);if((Oa(l|0)|0)==0){cQ(c[f>>2]|0);c[f>>2]=0;Hn(3);i=e;return}else{Dm(c[d+536>>2]|0,349328,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function ou(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}cQ(a);c[b>>2]=0;return}function pu(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;kd(a|0,348360,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function qu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=hQ(192)|0;GQ(j|0,0,192)|0;ru(j);c[a+12>>2]=j;k=j;l=a|0;Oq(k,c[l>>2]|0,36);if(JG(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Dm(c[b+536>>2]|0,349048,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;mI(a,16560,14)|0;nI(e,a);l=$r(e)|0;e=j+184|0;c[e>>2]=l;mI(a,392672,4)|0;su(k,b+8|0);nI(f,a);b=$r(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;Nq(g,j,(j|0)<0|0?-1:0);oI(a,g)|0;tu(k,-4-j+f|0);f=c[b>>2]|0;Nq(h,f,(f|0)<0|0?-1:0);oI(a,h)|0;Hn(3);i=d;return}function ru(a){a=a|0;Mu(a);return}function su(a,b){a=a|0;b=b|0;vu(a,3);wu(a,341648);vu(a,0);wu(a,340864);vu(a,2);Hu(a,b);Iu(a,b);wu(a,268656);vu(a,0);return}function tu(a,b){a=a|0;b=b|0;c[94864]=ed(b|0)|0;mI(a,379456,4)|0;return}function uu(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;nI(j,o);p=$r(j)|0;tu(b,0);nI(k,o);j=$r(k)|0;k=j;vu(b,1);wu(b,344072);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;xu(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);yu(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{yu(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{zu(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{Au(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{wu(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}nI(l,o);s=$r(l)|0;l=s;s=p;Nq(m,s,(s|0)<0|0?-1:0);oI(o,m)|0;tu(b,l-k|0);Nq(n,l,(l|0)<0|0?-1:0);oI(o,n)|0;i=g;return}function vu(b,d){b=b|0;d=d|0;a[392624]=-33;c[94866]=ed(d|0)|0;d=b;mI(d,392624,1)|0;mI(d,379464,4)|0;return}function wu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=ed(DQ(d|0)|0)|0;a[392632]=-37;g=b;mI(g,392632,1)|0;mI(g,f,4)|0;mI(g,d,DQ(d|0)|0)|0;i=e;return}function xu(b,d){b=b|0;d=d|0;a[392640]=-35;c[94868]=ed(d|0)|0;d=b;mI(d,392640,1)|0;mI(d,379472,4)|0;return}function yu(b,c){b=b|0;c=+c;var d=0;a[392648]=-53;Gu(c);d=b;mI(d,392648,1)|0;mI(d,392544,8)|0;return}function zu(b,d){b=b|0;d=d|0;a[392656]=-46;c[94870]=ed(d|0)|0;d=b;mI(d,392656,1)|0;mI(d,379480,4)|0;return}function Au(b,c){b=b|0;c=c|0;a[392664]=c?-61:-62;mI(b,392664,1)|0;return}function Bu(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;uu(d,+h[e>>3],a,e);uu(d,+h[b+248>>3],a,e);return}function Cu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;nI(f,n);m=$r(f)|0;tu(b,0);nI(g,n);f=$r(g)|0;g=f;vu(b,1);wu(b,43568);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;xu(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;yu(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{yu(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{zu(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{Au(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{wu(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}nI(j,n);q=$r(j)|0;j=q;q=m;Nq(k,q,(q|0)<0|0?-1:0);oI(n,k)|0;tu(b,j-g|0);Nq(l,j,(j|0)<0|0?-1:0);oI(n,l)|0;i=e;return}function Du(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;Iq(a);En(3);if((a|0)==0){c[b>>2]=0;Hn(3);return}Eu(a);jQ(a);c[b>>2]=0;Hn(3);return}function Eu(a){a=a|0;Fu(a);return}function Fu(a){a=a|0;cs(a|0);return}function Gu(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((ed(1)|0)==1){g=e;e=c[g+4>>2]|0;j=392544;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[392544+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function Hu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;wu(a,344072);vu(a,4);wu(a,45648);vu(a,0);wu(a,45144);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;xu(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);wu(a,44552);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{wu(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{wu(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{wu(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{wu(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4120];c[k+4>>2]=c[4121];c[k+8>>2]=c[4122];Ju(a,b,e|0);wu(a,44096);vu(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);Ku(a,44552,42976);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;Ku(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;Ku(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;Ku(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;Ku(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function Iu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;wu(a,43568);vu(a,4);wu(a,45648);vu(a,0);wu(a,45144);o=g+1+j+l+n|0;xu(a,o);wu(a,44552);if((c[f>>2]|0)>0){n=b|0;l=0;do{wu(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{wu(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{wu(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{wu(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4124];c[n+4>>2]=c[4125];c[n+8>>2]=c[4126];Ju(a,b,e|0);wu(a,44096);vu(a,o);Ku(a,44552,42976);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;Ku(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;Ku(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;Ku(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;Ku(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function Ju(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;wu(b,41792);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}vu(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?44552:i;if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}Lu(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;k=a[r+(g*52|0)+8|0]|0;if((c[e+(k<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{h=k<<24>>24==2?44552:f;if((k<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((k<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=h}Lu(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{i=y<<24>>24==2?44552:g;if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=i}Lu(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?44552:g;if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}Lu(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function Ku(a,b,c){a=a|0;b=b|0;c=c|0;wu(a,b);vu(a,1);wu(a,42384);wu(a,c);return}function Lu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;wu(a,b);vu(a,d?2:1);wu(a,41264);wu(a,c);if(!d){return}wu(a,40696);wu(a,40216);return}function Mu(a){a=a|0;Ut(a|0);return}



function Wy(a,b){a=a|0;b=b|0;sz(a,b);return}function Xy(a){a=a|0;gz(a);return}function Yy(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;zr(f|0);c[e>>2]=0;zr(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=Oy(a)|0;b=c[c[e>>2]>>2]|0;zr(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(mx(a)|0)>>2]|0;jt(e,c[d>>2]|0);d=dz(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function Zy(a){a=a|0;return c[(bz(a|0)|0)>>2]|0}function _y(a){a=a|0;var b=0;b=$y(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function $y(a){a=a|0;return az(a|0)|0}function az(a){a=a|0;return a|0}function bz(a){a=a|0;return cz(a|0)|0}function cz(a){a=a|0;return a|0}function dz(a){a=a|0;return ez(a+8|0)|0}function ez(a){a=a|0;return fz(a|0)|0}function fz(a){a=a|0;return a|0}function gz(a){a=a|0;hz(a,0);return}function hz(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=$y(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}jz(iz(d)|0,e);return}function iz(a){a=a|0;return rz(a|0)|0}function jz(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;kz(e,lz(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;mz(e,Gw(d+16|0)|0)}if((d|0)==0){return}nz(c[b>>2]|0,d,1);return}function kz(a,b){a=a|0;b=b|0;a=i;i=i+8|0;qz(a|0,0,b);i=a;return}function lz(a){a=a|0;return a|0}function mz(a,b){a=a|0;b=b|0;a=i;i=i+8|0;pz(a|0,0,b);i=a;return}function nz(a,b,c){a=a|0;b=b|0;c=c|0;oz(0,b,0);return}function oz(a,b,c){a=a|0;b=b|0;c=c|0;jQ(b);return}function pz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;YF(d);i=c;return}function qz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;YF(d);i=c;return}function rz(a){a=a|0;return a+4|0}function sz(a,b){a=a|0;b=b|0;tz(a,b);return}function tz(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function uz(a){a=a|0;return Nz(a+4|0)|0}function vz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Fz(a,b,d);i=e;return}function wz(a,b){a=a|0;b=b|0;return Ez(0,b,0)|0}function xz(a,b){a=a|0;b=b|0;Dz(a,b);return}function yz(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}OF(b,c);return}function zz(a){a=a|0;return c[(bz(a|0)|0)>>2]|0}function Az(a){a=a|0;return iz(a|0)|0}function Bz(a,b){a=a|0;b=b|0;if((b|0)==0){return}MF(b);return}function Cz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;sz(f,b);Uy(e,f);Wy(d,e);Uy(a,d);Xy(e);i=c;return}function Dz(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function Ez(a,b,c){a=a|0;b=b|0;c=c|0;return hQ(b*40|0)|0}function Fz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Hz(f)|0)>>2]|0;f=Iz(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Gz(a|0,b,g);i=e;return}function Gz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Jz(a,b,d);i=e;return}function Hz(a){a=a|0;return a|0}function Iz(a){a=a|0;return a|0}function Jz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Lz(f)|0)>>2]|0;f=Mz(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Kz(a|0,b,g);i=e;return}function Kz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Lz(f)|0)>>2];f=Mz(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Lz(a){a=a|0;return a|0}function Mz(a){a=a|0;return a|0}function Nz(a){a=a|0;return Oz(a|0)|0}function Oz(a){a=a|0;return a|0}function Pz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=_y(Qz(b)|0)|0;g=Mz(Az(Qz(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Gz(a|0,f,e);i=d;return}function Qz(a){a=a|0;return c[a>>2]|0}function Rz(a){a=a|0;Sz(a|0);return}function Sz(a){a=a|0;Tz(a);return}function Tz(a){a=a|0;Uz(a,tx(a)|0);return}function Uz(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;zr(d|0);if((b|0)==0){i=d;return}Uz(a,c[b>>2]|0);Uz(a,c[b+4>>2]|0);e=uz(a)|0;Vz(e,Wz(b+16|0)|0);nz(e,b,1);i=d;return}function Vz(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Xz(a|0,0,b);i=a;return}function Wz(a){a=a|0;return a|0}function Xz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;Yz(d);i=c;return}function Yz(a){a=a|0;Zz(a);return}function Zz(a){a=a|0;_z(a|0);return}function _z(a){a=a|0;$z(a);return}function $z(a){a=a|0;YF(a+12|0);YF(a|0);return}function aA(a){a=a|0;bA(a+180|0);bA(a+168|0);bA(a+156|0);bA(a+144|0);bA(a+132|0);bA(a+120|0);bA(a+108|0);bA(a+96|0);bA(a+84|0);bA(a+72|0);bA(a+60|0);bA(a+48|0);bA(a+36|0);bA(a+24|0);sv(a+12|0);sv(a|0);return}function bA(a){a=a|0;cA(a);return}function cA(a){a=a|0;dA(a|0);return}function dA(a){a=a|0;eA(a);return}function eA(a){a=a|0;fA(a,Iy(a)|0);return}function fA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;zr(d|0);if((b|0)==0){i=d;return}fA(a,c[b>>2]|0);fA(a,c[b+4>>2]|0);e=ly(a)|0;gA(e,hA(b+16|0)|0);fy(e,b,1);i=d;return}function gA(a,b){a=a|0;b=b|0;a=i;i=i+8|0;iA(a|0,0,b);i=a;return}function hA(a){a=a|0;return a|0}function iA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;jA(d);i=c;return}function jA(a){a=a|0;kA(a);return}function kA(a){a=a|0;lA(a|0);return}function lA(a){a=a|0;mA(a);return}function mA(a){a=a|0;sv(a+4|0);return}function nA(a){a=a|0;oA(a|0);return}function oA(a){a=a|0;pA(a);return}function pA(a){a=a|0;qA(a,dw(a)|0);return}function qA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;zr(d|0);if((b|0)==0){i=d;return}qA(a,c[b>>2]|0);qA(a,c[b+4>>2]|0);e=Nw(a)|0;rA(e,Sv(b+16|0)|0);Hw(e,b,1);i=d;return}function rA(a,b){a=a|0;b=b|0;a=i;i=i+8|0;sA(a|0,0,b);i=a;return}function sA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;tA(d);i=c;return}function tA(a){a=a|0;uA(a);return}function uA(a){a=a|0;vA(a|0);return}function vA(a){a=a|0;wA(a);return}function wA(a){a=a|0;YF(a|0);return}function xA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;yA(a|0);AA(d,b);BA(e,b);zA(a,d,e);i=c;return a|0}function yA(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;Uz(a,tx(a)|0);c[(dz(a)|0)>>2]=0;d=mx(a)|0;c[(Oy(a)|0)>>2]=d;zr(b|0);c[d>>2]=0;i=b;return}function zA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;JA(f,a);if(!(KA(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;CA(g,h);LA(j,a,g,MA(b)|0);NA(b)|0;}while(KA(b,d)|0);i=e;return}function AA(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;HA(d,b|0);CA(a,d);i=c;return}function BA(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;DA(d,b|0);CA(a,d);i=c;return}function CA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];GA(a,b);i=d;return}function DA(a,b){a=a|0;b=b|0;EA(a,uv(b)|0);return}function EA(a,b){a=a|0;b=b|0;FA(a,b);return}function FA(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function GA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function HA(a,b){a=a|0;b=b|0;EA(a,c[(IA(b)|0)>>2]|0);return}function IA(a){a=a|0;return a|0}function JA(a,b){a=a|0;b=b|0;BA(a,b);return}function KA(a,b){a=a|0;b=b|0;return TB(a|0,b|0)|0}function LA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];VA(j,e);UA(g,b|0,h,j);jx(a,g);Yz(j);i=f;return}function MA(a){a=a|0;return RA(a|0)|0}function NA(a){a=a|0;OA(a|0)|0;return a|0}function OA(a){a=a|0;var b=0;b=a|0;c[b>>2]=PA(c[b>>2]|0)|0;return a|0}function PA(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;zr(b|0);if((e|0)==0){e=a;while(1){a=nt(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=QA(c[d>>2]|0)|0;i=b;return g|0}return 0}function QA(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;zr(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;zr(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function RA(a){a=a|0;return SA((c[a>>2]|0)+16|0)|0}function SA(a){a=a|0;return TA(a)|0}function TA(a){a=a|0;return a|0}function UA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=ZA(b,h,g,e)|0;h=c[d>>2]|0;zr(f+16|0);if((h|0)!=0){m=h;lx(a,m);i=f;return}$A(l,b,e);aB(k,l);_A(j,k);bB(l);l=c[g>>2]|0;Yy(b,l,d,cB(j)|0);d=dB(j)|0;bB(j);m=d;lx(a,m);i=f;return}function VA(a,b){a=a|0;b=b|0;WA(a,b);return}function WA(a,b){a=a|0;b=b|0;XA(a|0,b);return}function XA(a,b){a=a|0;b=b|0;YA(a,b);return}function YA(a,b){a=a|0;b=b|0;OF(a|0,b|0);OF(a+12|0,b+12|0);return}function ZA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;kx(h,a);HB(g,h);do{if(!(GB(b,g)|0)){h=vx(a)|0;s=JB(b)|0;if(IB(h,e,s)|0){break}t=IB(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;NB(n,o,1,0);kx(q,a);HB(p,q);do{if(!(GB(n,p)|0)){if(IB(h,e,JB(n)|0)|0){break}u=MB(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;zr(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;KB(l,a);HB(k,l);do{if(!(GB(j,k)|0)){l=vx(a)|0;if(IB(l,JB(LB(j)|0)|0,e)|0){break}u=MB(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;zr(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function _A(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];EB(a,b);i=d;return}function $A(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=uz(c)|0;c=wz(k,1)|0;qB(g,k);pB(f,c,g);rB(0,Wz((sB(f)|0)+16|0)|0,d);a[(tB(f)|0)+4|0]=1;uB(j,f);aB(h,j);_A(b,h);bB(j);bB(f);i=e;return}function aB(a,b){a=a|0;b=b|0;nB(a,b);return}function bB(a){a=a|0;iB(a);return}function cB(a){a=a|0;return c[(gB(a|0)|0)>>2]|0}function dB(a){a=a|0;var b=0;b=eB(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function eB(a){a=a|0;return fB(a|0)|0}function fB(a){a=a|0;return a|0}function gB(a){a=a|0;return hB(a|0)|0}function hB(a){a=a|0;return a|0}function iB(a){a=a|0;jB(a,0);return}function jB(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=eB(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}lB(kB(d)|0,e);return}function kB(a){a=a|0;return mB(a|0)|0}function lB(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;Vz(e,Wz(d+16|0)|0)}if((d|0)==0){return}nz(c[b>>2]|0,d,1);return}function mB(a){a=a|0;return a+4|0}function nB(a,b){a=a|0;b=b|0;oB(a,b);return}function oB(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function pB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];yB(a,b,d);i=e;return}function qB(a,b){a=a|0;b=b|0;xB(a,b);return}function rB(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}vB(b,c);return}function sB(a){a=a|0;return c[(gB(a|0)|0)>>2]|0}function tB(a){a=a|0;return kB(a|0)|0}function uB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;nB(f,b);_A(e,f);aB(d,e);_A(a,d);bB(e);i=c;return}function vB(a,b){a=a|0;b=b|0;wB(a,b);return}function wB(a,b){a=a|0;b=b|0;XA(a|0,b|0);return}function xB(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function yB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Hz(f)|0)>>2]|0;f=AB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;zB(a|0,b,g);i=e;return}function zB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];BB(a,b,d);i=e;return}function AB(a){a=a|0;return a|0}function BB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Lz(f)|0)>>2]|0;f=DB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;CB(a|0,b,g);i=e;return}function CB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Lz(f)|0)>>2];f=DB(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function DB(a){a=a|0;return a|0}function EB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=dB(FB(b)|0)|0;g=DB(tB(FB(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;zB(a|0,f,e);i=d;return}function FB(a){a=a|0;return c[a>>2]|0}function GB(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function HB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];SB(a,b);i=d;return}function IB(a,b,c){a=a|0;b=b|0;c=c|0;return zv(0,b|0,c|0)|0}function JB(a){a=a|0;return(c[a>>2]|0)+16|0}function KB(a,b){a=a|0;b=b|0;lx(a,c[(Oy(b)|0)>>2]|0);return}function LB(a){a=a|0;var b=0;b=a|0;c[b>>2]=QB(c[b>>2]|0)|0;return a|0}function MB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=tx(a)|0;zr(e|0);if((h|0)==0){j=mx(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=vx(a)|0;a=h;while(1){h=a+16|0;if(IB(j,d,h)|0){l=a|0;m=c[l>>2]|0;zr(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(IB(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;zr(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function NB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];OB(b,d);c[a>>2]=c[b>>2];i=e;return}function OB(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;PB(a,b,c|0);i=c;return}function PB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{LB(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{OA(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function QB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;zr(b|0);if((e|0)==0){e=a;while(1){a=nt(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=RB(c[d>>2]|0)|0;i=b;return g|0}return 0}function RB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;zr(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;zr(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function SB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function TB(a,b){a=a|0;b=b|0;return(GB(a,b)|0)^1|0}function UB(a){a=a|0;var b=0;b=i;i=i+128|0;kv(a|0,b|0);kv(a+12|0,b+8|0);VB(a+24|0,b+16|0);VB(a+36|0,b+24|0);VB(a+48|0,b+32|0);VB(a+60|0,b+40|0);VB(a+72|0,b+48|0);VB(a+84|0,b+56|0);VB(a+96|0,b+64|0);VB(a+108|0,b+72|0);VB(a+120|0,b+80|0);VB(a+132|0,b+88|0);VB(a+144|0,b+96|0);VB(a+156|0,b+104|0);VB(a+168|0,b+112|0);VB(a+180|0,b+120|0);i=b;return}function VB(a,b){a=a|0;b=b|0;WB(a,0);return}function WB(a,b){a=a|0;b=b|0;b=i;i=i+8|0;XB(a|0,b|0);i=b;return}function XB(a,b){a=a|0;b=b|0;YB(a,0);return}function YB(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;ZB(a+4|0);_B(a+8|0,0,b|0);d=Vx(a)|0;c[(Ux(a)|0)>>2]=d;i=b;return}function ZB(a){a=a|0;bC(a);return}function _B(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;$B(b,c,d);i=e;return}function $B(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;aC(b|0,c[(bu(g)|0)>>2]|0,f+8|0);i=f;return}function aC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(bu(g)|0)>>2];i=f;return}function bC(a){a=a|0;cC(a|0);return}function cC(a){a=a|0;eu(a|0);return}function dC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[92654]|0;if((h|0)==0){j=0}else{k=hQ(12)|0;SF(k,h);j=k}if((c[92695]|0)!=0){c[92570]=1}if((j|0)==0){c[92487]=1;c[92488]=1;i=b;return}do{if((uG(j,347880,0)|0)==-1){OF(a,j);MF(d);k=c[4150]|0;h=(k|0)<28;while(1){l=uG(a,354344,0)|0;m=(l|0)!=-1;if(m){sG(e,a,0,l);ZF(d,e)|0;YF(e);sG(f,a,l+1|0,-1);ZF(a,f)|0;YF(f)}else{ZF(d,a)|0}if(h){n=k;o=1}else{break}while(1){SF(g,c[368584+(n<<2)>>2]|0);l=eC(d,g)|0;YF(g);if(l){c[369944+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){YF(d);YF(a);break}Bm(1,1,344048,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[368696+(r<<2)>>2]|0;Bm(1,0,43528,(l=i,i=i+16|0,c[l>>2]=c[368584+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}Pd[c[3538]&511](1);r=tG(j)|0;Dm(0,37584,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[369944+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[92487]=1;c[92488]=1;if((c[92495]|0)!=0){c[92510]=1}if((c[92509]|0)==1){c[92511]=1}if((c[92504]|0)!=0){c[92503]=1}if((c[92506]|0)!=0){c[92503]=1}if((c[92494]|0)!=0){c[92493]=1}if((c[92505]|0)!=0){c[92503]=1}if((c[92492]|0)!=0){c[92491]=1}YF(j);jQ(j);i=b;return}function eC(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=WF(b)|0;if((d|0)!=(WF(c)|0)){e=0;return e|0}f=XF(b)|0;g=XF(c)|0;if(PF(b)|0){e=(Bv(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function fC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[92656]|0;if((a|0)==0){d=1;i=b;return d|0}e=hQ(12)|0;f=e;SF(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(gC(f,c[367888+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=tG(f)|0;Bm(1,1,33552,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[91979]|0;Bm(1,0,43528,(f=i,i=i+16|0,c[f>>2]=c[91973],c[f+8>>2]=g,f)|0);i=f;g=c[91980]|0;Bm(1,0,43528,(f=i,i=i+16|0,c[f>>2]=c[91974],c[f+8>>2]=g,f)|0);i=f;g=c[91981]|0;Bm(1,0,43528,(f=i,i=i+16|0,c[f>>2]=c[91975],c[f+8>>2]=g,f)|0);i=f;Pd[c[3538]&511](1);Dm(0,30392,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function gC(a,b){a=a|0;b=b|0;return(wG(a,b)|0)==0|0}function hC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[92652]|0;if((e|0)==0){f=1;i=b;return f|0}g=hQ(12)|0;h=g;SF(h,e);if((g|0)==0){f=1;i=b;return f|0}SF(a,27360);g=eC(h,a)|0;YF(a);if(g){f=1;i=b;return f|0}SF(d,24672);g=eC(h,d)|0;YF(d);if(g){f=2;i=b;return f|0}else{f=tG(h)|0;Bm(1,1,22920,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;Bm(1,0,43528,(h=i,i=i+16|0,c[h>>2]=27360,c[h+8>>2]=357800,h)|0);i=h;Bm(1,0,43528,(h=i,i=i+16|0,c[h>>2]=24672,c[h+8>>2]=355264,h)|0);i=h;Pd[c[3538]&511](1);Dm(0,30392,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function iC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;fI(e,a);do{if(iI(e)|0){h=Jv(b)|0;uC(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((Dr(m)|0)&176|0)==32){n=b+h|0}else{n=b}xC(g,f,b,n,b+h|0,m,SG(l)|0);if(!(vC(g)|0)){break}MG(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);gI(e);i=d;return a|0}function jC(a){a=a|0;lI(a,TG(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;UH(a)|0;return a|0}function kC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;SF(h,d);HG(k,351352,h);Qu(j,k,349280);YF(k);k=tG(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((BQ(c[n+4>>2]|0,348336)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((BQ(k,347552)|0)==0){YF(j);YF(h);i=f;return}d=jP(g,k,1)|0;if((d|0)!=0){m=l|0;GQ(m|0,0,2048)|0;wP(d,g,m,2048)|0;jI(iC(iC(iC(iC(iC(396904,346776)|0,k)|0,346184)|0,m)|0,345584)|0,2)|0;YF(j);YF(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(xP(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==0){r=(xP(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==1){r=(xP(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){d=b+4|0;m=0;n=o;while(1){o=c[d>>2]|0;if((a[o+(m*60|0)+56|0]|0)==0){l=(xP(g,c[o+(m*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*60|0)+56|0]=l;s=c[p>>2]|0}else{s=n}l=m+1|0;if((l|0)<(s|0)){m=l;n=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){n=b+36|0;m=b+4|0;p=(e|0)==0;d=b+20|0;l=0;do{o=c[n>>2]|0;k=a[o+(l*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(xP(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0){break}a[(c[m>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(xP(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0|p){break}a[(c[d>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);l=l+1|0;}while((l|0)<(c[s>>2]|0))}s=b+120|0;l=c[s>>2]|0;if((l|0)>0){d=b+8|0;p=0;n=l;while(1){l=c[d>>2]|0;if((a[l+(p*48|0)+44|0]|0)==0){m=(xP(g,c[l+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(p*48|0)+44|0]=m;t=c[s>>2]|0}else{t=n}m=p+1|0;if((m|0)<(t|0)){p=m;n=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){n=b+40|0;p=b+8|0;s=(e|0)==0;d=b+24|0;m=0;do{l=c[n>>2]|0;o=a[l+(m*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(xP(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(xP(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0|s){break}a[(c[d>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[t>>2]|0))}t=b+124|0;m=c[t>>2]|0;if((m|0)>0){d=b+12|0;s=0;n=m;while(1){m=c[d>>2]|0;if((a[m+(s*52|0)+48|0]|0)==0){p=(xP(g,c[m+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=n}p=s+1|0;if((p|0)<(u|0)){s=p;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;p=a[d+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){m=(xP(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){m=(xP(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}nP(g);YF(j);YF(h);i=f;return}function lC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[92680]|0;A=c[92650]|0;B=c[94790]|0;if((c[92511]|0)==0){if(!((c[92668]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[94790]=1}C=d+248|0;D=d+240|0;E=~~+vb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;zm(23,0,345024,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[92637]|0;do{if((E|0)==0){G=0}else{if((BQ(E,344504)|0)==0){G=1;break}if((BQ(E,343536)|0)==0){G=0;break}if((BQ(E,343e3)|0)==0){G=2;break}Bm(1,0,342288,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((Dn(G)|0)!=0){Bm(1,0,341528,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[94790]|0)!=0){sD(d+56|0);In((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);En(0);En(6);Fn(3);Fn(4);Fn(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+xQ(A)}h[C>>3]=H;zm(1,0,340768,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[92694]|0)!=0){C=hQ(12)|0;A=C;SF(A,c[92664]|0);if((C|0)==0){break}C=tG(A)|0;c[d+280>>2]=C;zm(23,0,268568,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[92663]|0;MF(a);if((C|0)==0){SF(g,c[d+88>>2]|0);SF(j,45608);mC(f,g,j);Qu(e,f,c[d+284>>2]|0);ZF(a,e)|0;YF(e);YF(f);YF(j);YF(g)}else{_F(a,C)|0}SF(k,393056);SF(l,393056);SF(m,393056);SF(n,393056);SF(o,393056);SF(p,393056);C=c[92668]|0;if((c[92672]|0)!=0){_F(k,c[92642]|0)|0}if((c[92676]|0)!=0){_F(l,c[92646]|0)|0}if((c[92671]|0)!=0){_F(m,c[92641]|0)|0}if((c[92673]|0)==0){I=0.0}else{_F(n,c[92643]|0)|0;I=+xQ(tG(n)|0)}if((c[92674]|0)==0){J=1}else{_F(o,c[92644]|0)|0;J=Oc(tG(o)|0)|0}if((c[92689]|0)!=0){_F(p,c[92659]|0)|0}OF(q,a);OF(r,k);OF(s,l);OF(t,m);OF(u,p);g=nC(d,q,r,s,t,I,J,u,C)|0;YF(u);YF(t);YF(s);YF(r);YF(q);if((g|0)!=0|E^1){K=g}else{En(5);g=JC(d)|0;Hn(5);zm(1,0,44448,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[94790]=B;if(!((K|0)==0&(B|0)!=0)){L=K;YF(p);YF(o);YF(n);YF(m);YF(l);YF(k);YF(a);i=b;return L|0}K=d+88|0;SF(w,c[K>>2]|0);Qu(v,w,44016);YF(w);SF(y,c[K>>2]|0);Qu(x,y,42872);YF(y);Hn(0);y=c[92655]|0;K=tG(v)|0;w=tG(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;gD(d,K,w,(y|0)!=0?y:42304,B,g,tG(a)|0)|0;YF(x);YF(v);L=0;YF(p);YF(o);YF(n);YF(m);YF(l);YF(k);YF(a);i=b;return L|0}function mC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;NF(a,d|0);e=WF(b)|0;f=WF(c)|0;xG(a,XF(b)|0,e,f+e|0);pG(a,XF(c)|0,f)|0;i=d;return}function nC(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((WF(j)|0)==0){p=0}else{p=tG(j)|0}OF(m,b);b=(oC(a,m,k)|0)==0;YF(m);if(!b){q=-1;i=l;return q|0}SF(n,393056);b=a+280|0;m=gC(n,c[b>>2]|0)|0;YF(n);do{if(m){r=3}else{n=0;k=1;do{SF(o,c[367600+(k<<2)>>2]|0);j=gC(o,c[b>>2]|0)|0;YF(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}Bm(1,0,38192,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;Bm(1,0,344048,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[367680+(k<<2)>>2]|0;Bm(1,0,43528,(s=i,i=i+16|0,c[s>>2]=c[367600+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);Dm(c[a+536>>2]|0,30392,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);zm(23,0,37120,(s=i,i=i+8|0,c[s>>2]=c[367600+(r<<2)>>2],s)|0);i=s;s=tG(d)|0;d=tG(e)|0;e=Tp(a,s,d,tG(f)|0,g,h,r,p)|0;Qd[c[2007]&127](8e3,a);q=e;i=l;return q|0}function oC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Ic(tG(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[92568]|0)==0){f=c[d>>2]|0;if((BQ(41752,f)|0)==0){g=0;break}if((BQ(41216,f)|0)==0){c[2004]=60;c[2005]=18;c[2007]=22;g=0;break}if((BQ(40656,f)|0)==0){c[2004]=26;c[2005]=110;c[2006]=4;c[2007]=6;g=1;break}if((BQ(40168,f)|0)==0){c[2004]=66;c[2005]=24;c[2006]=46;c[2007]=38;g=1;break}if((BQ(39672,f)|0)==0){c[2004]=94;c[2005]=108;c[2007]=78;g=0;break}f=iC(396904,39232)|0;jI(iC(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);kC(a+8|0,c[a+288>>2]|0,g);Qd[c[2004]&127](8e3,a);a=c[2e3]|0;zm(23,0,38712,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function pC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;qm();do{if((AD(a,b)|0)==0){if((CD(a,b)|0)!=0){break}do{if((c[92681]|0)!=0){h=c[92651]|0;if((BQ(h,35288)|0)==0){wm(1);break}if((BQ(h,34976)|0)==0){wm(0);break}else{Bm(1,0,34624,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Sa(0)|0;qc(0);return 0}}}while(0);if((c[92670]|0)==0){dC(0,0);jp(d);if((d|0)==0){jI(iC(396904,32672)|0,2)|0}c[d+300>>2]=fC(0,0)|0;c[d+292>>2]=hC(0,0)|0;Nu(d+8|0,d+240|0);op(d)|0;vp(d)|0;Ep(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}jI(iC(396904,32440)|0,2)|0;k=1;i=e;return k|0}}while(0);c[92568]=c[92687];k=0;i=e;return k|0}SF(f,c[92640]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=369440+(h<<2)|0;SF(g,c[m>>2]|0);n=eC(f,g)|0;YF(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=tG(f)|0;Bm(1,0,33256,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;Bm(1,0,32944,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Sa(0)|0;qc(0);return 0}n=c[369320+(h<<2)>>2]|0;do{if((n|0)==1){o=c[369568+(h<<2)>>2]|0;zm(1,1,34432,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[369568+(h<<2)>>2]|0;zm(1,1,34104,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{Bm(1,1,35704,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==10){n=1;do{o=c[367824+(n<<2)>>2]|0;zm(1,0,43528,(j=i,i=i+16|0,c[j>>2]=c[367760+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[367680+(n<<2)>>2]|0;zm(1,0,43528,(j=i,i=i+16|0,c[j>>2]=c[367600+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}else if((h|0)==6){zm(1,0,43528,(j=i,i=i+16|0,c[j>>2]=23584,c[j+8>>2]=24040,j)|0);i=j;zm(1,0,43528,(j=i,i=i+16|0,c[j>>2]=23384,c[j+8>>2]=23912,j)|0);i=j;zm(1,0,43528,(j=i,i=i+16|0,c[j>>2]=23160,c[j+8>>2]=23720,j)|0);i=j}else if((h|0)==18){n=c[4150]|0;if((n|0)<28){q=n}else{break}do{n=c[368696+(q<<2)>>2]|0;zm(1,0,43528,(j=i,i=i+16|0,c[j>>2]=c[368584+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}}while(0);Pd[c[3538]&511](1);Sa(0)|0;qc(0);return 0}}while(0);zm(1,1,36776,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[369320+(b<<2)>>2]|0;do{if((q|0)==1){m=c[369696+(b<<2)>>2]|0;zm(1,0,36424,(j=i,i=i+16|0,c[j>>2]=c[369440+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[369440+(b<<2)>>2]|0;if((q|0)==2){f=c[369696+(b<<2)>>2]|0;zm(1,0,36096,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{Bm(1,0,35704,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);Pd[c[3538]&511](1);Sa(0)|0;qc(0);return 0}function qC(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[99338]|0;Cc(7896)|0;vc(31888,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Cc(7976)|0;vc(31352,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;vc(31160,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;vc(30936,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;vc(29960,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;vc(29752,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;vc(29456,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Cc(7872)|0;i=a;return}function rC(a,b){a=a|0;b=+b;return}function sC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=HQ(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(10,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[99338]=d;Da(74,10,242)|0;if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(14,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(38,d|0)|0;if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(46,d|0)|0;if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(106,d|0)|0;if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(138,d|0);if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(202,0)|0;if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=IQ(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function tC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Xa(28072,9,1,a|0)|0;Pc(a|0,b|0,f|0)|0;Va(10,a|0)|0;Sa(0)|0;i=e;return}function uC(a,b){a=a|0;b=b|0;wC(a,b);return}function vC(a){a=a|0;return(c[a>>2]|0)==0|0}function wC(a,b){a=a|0;b=b|0;c[a>>2]=RG(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function xC(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;zr(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=yC(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((bH(b,d,r)|0)==(r|0)){break}zr(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){TF(l,s,h);if((bH(b,XF(l)|0,s)|0)==(s|0)){YF(l);break}zr(m);c[o>>2]=0;c[a>>2]=0;YF(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((bH(b,e,l)|0)==(l|0)){break}zr(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);zC(g,0)|0;c[a>>2]=b;i=j;return}function yC(a){a=a|0;return c[a+12>>2]|0}function zC(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function AC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;BC(g,16);CC(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){iC(kI(m,+h[b+(p<<3)>>3])|0,346632)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){kI(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){iC(m,354048)|0}}while((e|0)<(d|0))}DC(a,g);EC(g);i=f;return}function BC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;VG(d);e=a|0;c[e>>2]=360860;f=d|0;c[f>>2]=360880;d=a+4|0;aI(a,362260,d|0);c[e>>2]=360860;c[f>>2]=360880;QC(d,b|16);return}function CC(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function DC(a,b){a=a|0;b=b|0;KC(a,b+4|0);return}function EC(a){a=a|0;UC(a,362256);QG(a+56|0);return}function FC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[92500]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];zm(14,0,43392,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Sd[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];zm(14,0,37480,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[92500]|0)==0){i=d;return 0}zm(14,0,33496,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(30216,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function GC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[92500]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];zm(14,0,43392,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Sd[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];zm(14,0,37480,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[92500]|0)==0){i=d;return 0}zm(14,0,33496,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(30216,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function HC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[92500]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];zm(14,0,43392,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Sd[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];zm(14,0,37480,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[92500]|0)==0){i=d;return 0}zm(14,0,33496,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(30216,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function IC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[92500]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];zm(14,0,43392,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Sd[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];zm(14,0,37480,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[92500]|0)==0){i=d;return 0}zm(14,0,33496,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(30216,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function JC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=dQ(ga(u,u)|0,8)|0;y=x;z=dQ(ga(v,u)|0,8)|0;A=z;B=dQ(ga(w,u)|0,8)|0;C=B;D=dQ(ga(w,v)|0,8)|0;E=D;MF(d);MF(e);MF(f);MF(g);MF(h);MF(j);MF(k);F=a+536|0;Cm(c[F>>2]|0,(x|0)!=0|0,24656,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Cm(c[F>>2]|0,(z|0)!=0|0,24656,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Cm(c[F>>2]|0,(B|0)!=0|0,24656,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Cm(c[F>>2]|0,(D|0)!=0|0,24656,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((Sd[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;FC(a,y)|0;Cm(J,1,22888,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}AC(l,y,u,u);ZF(d,l)|0;YF(l);if((Sd[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;GC(a,A)|0;Cm(l,1,357768,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}AC(m,A,u,v);ZF(e,m)|0;YF(m);if((Sd[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;HC(a,C)|0;Cm(m,1,355136,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}AC(n,C,w,u);ZF(f,n)|0;YF(n);if((Sd[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;IC(a,E)|0;Cm(I,1,353120,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}AC(o,E,w,v);ZF(g,o)|0;YF(o);if((u|0)==0){_F(h,351336)|0}else{AC(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);ZF(h,p)|0;YF(p)}if((v|0)==0){_F(j,351336)|0}else{AC(q,c[a+432>>2]|0,1,v);ZF(j,q)|0;YF(q)}cQ(x);cQ(z);cQ(B);cQ(D);SF(t,c[a+84>>2]|0);HG(s,349272,t);Qu(r,s,348328);ZF(k,r)|0;YF(r);YF(s);YF(t);t=xc(tG(k)|0,347544)|0;s=c[F>>2]|0;F=tG(k)|0;Cm(s,(t|0)!=0|0,346752,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=de[c[(c[H>>2]|0)+176>>2]&15]()|0;s=tG(h)|0;r=tG(j)|0;a=tG(d)|0;D=tG(e)|0;B=tG(f)|0;z=tG(g)|0;kd(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[92511]|0)==0){K=Sa(t|0)|0;L=Oa(t|0)|0;YF(k);YF(j);YF(h);YF(g);YF(f);YF(e);YF(d);i=b;return 0}z=de[c[(c[H>>2]|0)+176>>2]&15]()|0;H=tG(h)|0;B=tG(j)|0;D=tG(d)|0;a=tG(e)|0;r=tG(f)|0;s=tG(g)|0;zm(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Sa(t|0)|0;L=Oa(t|0)|0;YF(k);YF(j);YF(h);YF(g);YF(f);YF(e);YF(d);i=b;return 0}function KC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=jH(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}LC(a,iH(l)|0,n,e);i=d;return}if((h&8|0)==0){NF(a,g);i=d;return}else{g=b|0;b=dH(g)|0;LC(a,b,fH(g)|0,f);i=d;return}}function LC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;MC(a,b,c,0);return}function MC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;NC(a,b,c);return}function NC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=OC(c,d)|0;if(g>>>0>4294967279>>>0){KF(0)}if(g>>>0<11>>>0){cG(b,g);h=bG(b)|0}else{j=jG(g)|0;k=j+1|0;j=Gv(RF(b)|0,k)|0;lG(b,j);kG(b,k);aG(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;Hv(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){Hv(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;Hv(l,f);i=e;return}function OC(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=PC(a,b,c|0)|0;i=c;return d|0}function PC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function QC(a,b){a=a|0;b=b|0;eD(a,b);return}function RC(a){a=a|0;EC(a);jQ(a);return}function SC(a){a=a|0;EC(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function TC(a){a=a|0;RC(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function UC(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];VC(a+4|0);return}function VC(a){a=a|0;WC(a);return}function WC(a){a=a|0;c[a>>2]=361064;YF(a+32|0);ZG(a|0);return}function XC(a){a=a|0;VC(a);jQ(a);return}function YC(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=jH(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==0){Nq(a,-1,-1);return}else if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}Nq(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=jH(j)|0;h=k-(iH(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=eH(j)|0;k=h-(dH(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(XF(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){Nq(a,-1,-1);return}m=NQ(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(XF(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((eH(j)|0)!=0){break}Nq(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((jH(j)|0)!=0){break}Nq(a,-1,-1);return}}while(0);if((n|0)!=0){o=dH(j)|0;hH(j,o,o+m|0,l)}if((g&16|0)!=0){o=iH(j)|0;mH(j,o,kH(j)|0);lH(j,m)}Nq(a,m,e);return}}while(0);Nq(a,-1,-1);return}function ZC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=$r(d)|0;Xd[g&63](a,b,h,K,0,e);i=f;return}function _C(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=jH(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((fH(f)|0)>>>0<h>>>0){b=dH(f)|0;hH(f,b,eH(f)|0,h)}h=eH(f)|0;if(!(h>>>0<(fH(f)|0)>>>0)){i=-1;return i|0}i=xs(a[h]|0)|0;return i|0}function $C(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=jH(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=dH(g)|0;h=eH(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(ts(d,-1)|0){hH(g,f,h-1|0,i);j=ws(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=us(d)|0;do{if(f){if(ys(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=dH(g)|0;hH(g,h,(eH(g)|0)-1|0,i);a[eH(g)|0]=b;j=d;return j|0}function aD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(ts(b,-1)|0){f=ws(b)|0;i=d;return f|0}g=a|0;h=eH(g)|0;j=h-(dH(g)|0)|0;h=jH(g)|0;if((h|0)==(kH(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=iH(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;oG(o,0);hG(o,eG(o)|0);p=XF(o)|0;mH(g,p,p+(WF(o)|0)|0);lH(g,h-l|0);c[m>>2]=(iH(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(jH(g)|0)+1;k=c[(bD(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=XF(a+32|0)|0;hH(g,r,r+j|0,k)}f=aH(g,b&255)|0;i=d;return f|0}function bD(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=cD(a,b,c|0)|0;i=c;return d|0}function cD(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=dD(0,b,c)|0;i=e;return(f?c:b)|0}function dD(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function eD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;cH(a|0);c[a>>2]=361064;MF(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;MF(e);fD(a,e);YF(e);i=d;return}function fD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;ZF(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=XF(d)|0;h=f+(WF(d)|0)|0;c[b>>2]=h;f=XF(d)|0;hH(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=WF(d)|0;c[b>>2]=(XF(d)|0)+g;hG(d,eG(d)|0);b=a|0;a=XF(d)|0;mH(b,a,a+(WF(d)|0)|0);if((c[e>>2]&3|0)==0){return}lH(b,g);return}function gD(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=xc(b|0,346464)|0;l=mc(354024,346464)|0;m=(l|0)!=0;n=Vc()|0;if(m){o=c[a+536>>2]|0;p=Wc(c[n>>2]|0)|0;Cm(o,(k|0)!=0|0,43320,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Xa(37416,17,1,l|0)|0;Xa(33480,10,1,l|0)|0;Xa(30176,18,1,l|0)|0;hD(l,e,27288,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,393024)}else{p=Wc(c[n>>2]|0)|0;Bm(26,0,343920,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=Wc(c[n>>2]|0)|0;Cm(p,(k|0)!=0|0,43320,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Xa(22536,348,1,k|0)|0;if((Kd(f|0)|0)<0){o=Wc(c[n>>2]|0)|0;Bm(26,0,357744,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Oa(k|0)|0;Cb(l|0)|0;r=1;i=g;return r|0}if((rc(370288,250,355112,bb(f|0)|0)|0)==0){Bm(26,0,353096,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Oa(k|0)|0;r=1;i=g;return r|0}Xa(351320,13,1,k|0)|0;Xa(349256,12,1,k|0)|0;iD(k,2);Xa(348320,6,1,k|0)|0;jD(k,c[a+84>>2]|0);Xa(347528,8,1,k|0)|0;iD(k,2);Xa(346736,8,1,k|0)|0;f=a+88|0;jD(k,c[f>>2]|0);Xa(346168,10,1,k|0)|0;iD(k,2);Xa(345576,6,1,k|0)|0;jD(k,370288);Xa(345008,8,1,k|0)|0;iD(k,2);Xa(344432,8,1,k|0)|0;jD(k,c[a+280>>2]|0);Xa(343520,10,1,k|0)|0;iD(k,2);Xa(342984,14,1,k|0)|0;jD(k,c[a+284>>2]|0);Xa(342264,16,1,k|0)|0;iD(k,2);Xa(341504,16,1,k|0)|0;jD(k,j);Xa(340744,18,1,k|0)|0;iD(k,2);o=kD(j)|0;kd(k|0,268528,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;iD(k,2);s=+zn(7);kd(k|0,45568,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);s=+zn(6);kd(k|0,45056,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);s=+zn(1);kd(k|0,44416,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);s=+zn(4);kd(k|0,43888,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);s=+zn(3);kd(k|0,42840,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);s=+zn(5);kd(k|0,42264,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);s=+zn(0);kd(k|0,41672,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);s=+Cn(2);kd(k|0,41144,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);o=xn(2)|0;kd(k|0,40584,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;iD(k,2);s=+Bn(2);kd(k|0,40112,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Xa(39624,13,1,k|0)|0;Xa(39168,16,1,k|0)|0;iD(k,2);s=+zn(8);kd(k|0,38656,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;iD(k,2);o=un(8)|0;kd(k|0,38072,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Xa(37064,17,1,k|0)|0;Xa(36712,22,1,k|0)|0;lD(k,a);Xa(36368,23,1,k|0)|0;Xa(36040,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{mD(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{mD(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{mD(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{mD(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{mD(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{mD(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{mD(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{mD(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Xa(35640,13,1,k|0)|0;Xa(35216,12,1,k|0)|0;nD(k,l,e,c[f>>2]|0,a);Xa(34960,13,1,k|0)|0;Xa(34608,12,1,k|0)|0;oD(k,c[a+68>>2]|0,a+56|0);Xa(34368,13,1,k|0)|0;Xa(34064,16,1,k|0)|0;pD(k,l,e,a);Xa(33232,17,1,k|0)|0;Xa(32928,14,1,k|0)|0;Oa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((DQ(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(DQ(m|0)|0)<<1}else{t=0}k=bQ(a+t|0)|0;if((k|0)==0){fd(32664,32416,404,358424);return 0}if((Cb(l|0)|0)!=0){Bm(26,0,32192,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Ob(k|0,31640,(q=i,i=i+32|0,c[q>>2]=31872,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Gc(k|0)|0)!=0){u=42}}else{FQ(k|0,31320,25)|0;u=42}if((u|0)==42){Bm(1,0,31096,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;zm(1,0,30792,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;cQ(k);r=0;i=g;return r|0}function hD(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=vn(n)|0;p=wn(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+Bn(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Xa(37416,17,1,a|0)|0;Xa(356896,12,1,a|0)|0;Xa(356712,12,1,a|0)|0;Xa(356544,13,1,a|0)|0;kd(a|0,356400,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Xa(356152,10,1,a|0)|0;Xa(355736,11,1,a|0)|0;Xa(355424,11,1,a|0)|0;Xa(354992,10,1,a|0)|0;if(m){kd(a|0,354832,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Xa(354576,17,1,a|0)|0}o=g+3|0;kd(a|0,357368,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Xa(354368,13,1,a|0)|0;if(m){Xa(356712,12,1,a|0)|0;if((t|0)==(w|0)){kd(a|0,354288,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Xa(354576,17,1,a|0)|0}kd(a|0,354088,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;kd(a|0,357080,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Xa(353968,10,1,a|0)|0;Xa(353624,10,1,a|0)|0;Xa(353968,10,1,a|0)|0;Xa(353496,11,1,a|0)|0;kd(a|0,353320,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;kd(a|0,353024,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Xa(352864,33,1,a|0)|0;Xa(352560,32,1,a|0)|0;kd(a|0,352480,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Xa(354992,10,1,a|0)|0;kd(a|0,354832,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Xa(353624,10,1,a|0)|0;Xa(353968,10,1,a|0)|0;Xa(353496,11,1,a|0)|0;kd(a|0,353320,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;kd(a|0,353024,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Xa(352864,33,1,a|0)|0;Xa(352560,32,1,a|0)|0;kd(a|0,352480,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Xa(354992,10,1,a|0)|0;Xa(354576,17,1,a|0)|0}kd(a|0,357368,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Xa(354368,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){kd(a|0,354288,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Xa(354576,17,1,a|0)|0}Xa(352408,32,1,a|0)|0;Xa(352224,29,1,a|0)|0;kd(a|0,352056,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;kd(a|0,357080,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function iD(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Va(32,a|0)|0;}while((c|0)!=0);return}function jD(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==60){Xa(21296,4,1,b|0)|0}else if((d|0)==34){Xa(357568,6,1,b|0)|0}else if((d|0)==62){Xa(358224,4,1,b|0)|0}else if((d|0)==39){Xa(358048,6,1,b|0)|0}else{Va(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function kD(a){a=a|0;var b=0,c=0;b=xc(a|0,21400)|0;if((b|0)==0){c=-1;return c|0}sd(b|0,0,2)|0;a=Mb(b|0)|0;Oa(b|0)|0;c=a;return c|0}function lD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=bQ((DQ(j|0)|0)+15|0)|0;Ob(k|0,24248,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;iD(a,2);Xa(24024,10,1,a|0)|0;jD(a,k);Xa(23896,12,1,a|0)|0;iD(a,2);j=kD(k)|0;kd(a|0,23688,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;cQ(k);iD(a,2);Xa(23568,9,1,a|0)|0;iD(a,4);Xa(23360,22,1,a|0)|0;iD(a,4);Xa(23104,22,1,a|0)|0;iD(a,4);Xa(22320,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){rD(e,k,n);o=c[m>>2]|0;iD(a,4);Xa(22232,8,1,a|0)|0;jD(a,o);Xa(22024,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{wD(f,k,m);e=c[n>>2]|0;iD(a,4);Xa(22232,8,1,a|0)|0;jD(a,e);Xa(22024,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{rD(g,k,b);q=c[s>>2]|0;iD(a,4);Xa(21904,8,1,a|0)|0;jD(a,q);Xa(21824,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){iD(a,2);v=Xa(21632,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{wD(h,k,t);l=c[u>>2]|0;iD(a,4);Xa(21904,8,1,a|0)|0;jD(a,l);Xa(21824,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));iD(a,2);v=Xa(21632,10,1,a|0)|0;i=d;return}function mD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;iD(a,2);kd(a|0,24504,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;jD(a,c[b+4>>2]|0);Xa(24368,11,1,a|0)|0;jD(a,c[b+8>>2]|0);Xa(28040,3,1,a|0)|0;qD(a,4,b+12|0);iD(a,2);Xa(24304,12,1,a|0)|0;i=d;return}function nD(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{rD(j,l,p);hD(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,26344);q=p+9|0;Fn(q);iD(a,2);kd(a|0,25720,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;iD(a,4);Xa(348320,6,1,a|0)|0;jD(a,c[m>>2]|0);Xa(347528,8,1,a|0)|0;iD(a,4);s=xn(q)|0;kd(a|0,29256,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;iD(a,4);t=+Cn(q);kd(a|0,28832,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;iD(a,4);t=+Bn(q);kd(a|0,40112,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;qD(a,6,o);iD(a,2);Xa(25560,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function oD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{iD(a,2);vD(f,d,t);kd(a|0,28320,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;vD(g,d,t);jD(a,c[n>>2]|0);Xa(28040,3,1,a|0)|0;iD(a,4);Xa(27872,7,1,a|0)|0;vD(j,d,t);if((c[o>>2]|0)>0){v=0;do{iD(a,6);kd(a|0,27632,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;vD(j,d,t);}while((v|0)<(c[o>>2]|0))}iD(a,4);Xa(27112,8,1,a|0)|0;iD(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;vD(k,d,t);w=+zn(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;vD(l,d,t);x=un(v+(c[s>>2]|0)|0)|0;kd(a|0,26896,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;iD(a,2);Xa(26664,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function pD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{wD(g,j,p-q|0);hD(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,29952);l=p+9|0;Fn(l);iD(a,2);Xa(29736,15,1,a|0)|0;iD(a,4);kd(a|0,29432,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;iD(a,4);s=xn(l)|0;kd(a|0,29256,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;iD(a,4);t=+Cn(l);kd(a|0,28832,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;iD(a,4);t=+Bn(l);kd(a|0,40112,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;iD(a,2);Xa(28640,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function qD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];iD(a,b);Xa(25304,16,1,a|0)|0;jD(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?25056:24952;kd(a|0,25120,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function rD(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){sD(b)}FQ(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function sD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=xc(c[k>>2]|0,345784)|0;if((l|0)!=0){m=l;break}l=Wc(c[(Vc()|0)>>2]|0)|0;Dm(0,353712,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=Ah(0)|0;if((l|0)==0){Dm(0,343864,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=dQ(c[k>>2]|0,32)|0;o=a+12|0;p=dQ((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=43272;c[p+12>>2]=0;c[p+16>>2]=0;Lh(l,d);Mh(l,14,14);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;GQ(p|0,0,1024)|0;while(1){q=gd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((Nh(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=Vh(Sh(l)|0)|0;r=Th(l)|0;Oa(m|0)|0;Hh(l);q=c[a>>2]|0;Dm(0,37344,(n=i,i=i+32|0,c[n>>2]=33416,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Oa(m|0)|0;break}}else{if((Nh(l,d,DQ(d|0)|0,1)|0)!=0){break}r=Vh(Sh(l)|0)|0;p=Th(l)|0;Hh(l);q=c[j>>2]|0;Dm(0,30096,(n=i,i=i+32|0,c[n>>2]=33416,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){fd(27232,33416,295,358504)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{fd(24600,33416,297,358504)}}function tD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((BQ(346160,b)|0)==0){if((BQ(c[d>>2]|0,345568)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}Cm(0,j,344952,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[92472]|0;a=c[94796]|0;do{if((j|0)==0|(a|0)==0){c[94796]=32;l=bQ(1152)|0;c[92472]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[94796]=a<<1;o=eQ(j,a*72|0)|0;c[92472]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;FQ(m+(n*36|0)|0,zD(c[d+4>>2]|0)|0,36)|0;i=e;return}if((BQ(344424,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((BQ(343512,q)|0)==0){c[94882]=Ic(c[p+4>>2]|0)|0}else{if((BQ(342968,q)|0)==0){c[94883]=Ua(c[p+4>>2]|0,0,10)|0;break}if((BQ(342256,q)|0)==0){c[94885]=Ua(c[p+4>>2]|0,0,10)|0;break}if((BQ(341488,q)|0)==0){c[94884]=Ua(c[p+4>>2]|0,0,10)|0;break}if((BQ(340736,q)|0)==0){c[94886]=Ua(c[p+4>>2]|0,0,10)|0;break}if((BQ(268512,q)|0)!=0){r=23;break a}c[94887]=(BQ(c[p+4>>2]|0,45560)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){Dm(0,45024,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((BQ(353080,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;Dm(0,44352,(k=i,i=i+24|0,c[k>>2]=33416,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((BQ(43880,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;Dm(0,42784,(k=i,i=i+16|0,c[k>>2]=33416,c[k+8>>2]=r,k)|0);i=k}r=Ua(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;Dm(0,42200,(k=i,i=i+32|0,c[k>>2]=33416,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=41616;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((BQ(355096,b)|0)!=0){if((BQ(346720,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=40104;f=Ic(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=39600;i=e;return}c[92477]=0;c[92478]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((BQ(f,345568)|0)==0){c[92477]=Ic(c[b+4>>2]|0)|0}else{if((BQ(f,41136)|0)!=0){break}c[92478]=Ic(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[92477]|0)==0){s=0;break}s=(c[92478]|0)!=0|0}}while(0);Cm(0,s,40544,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[92476]=-1;c[92479]=c[94882];c[92480]=c[94883];c[92481]=c[94884];c[92482]=c[94885];c[92483]=c[94886];c[92484]=c[94887];i=e;return}function uD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((BQ(355096,b)|0)==0){yD(369904);i=d;return}if((BQ(353080,b)|0)==0){l=e+24|0;m=bQ((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=bQ(36)|0;FQ(n|0,(c[92472]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((BQ(351312,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Qb(l+(g*20|0)+8|0,349216,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((BQ(348304,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Qb(e+(g*20|0)+8|0,347480,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((BQ(346720,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function vD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){sD(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function wD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){sD(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){Dm(0,22448,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){Dm(0,357672,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function xD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){cQ(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){cQ(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}cQ(i);c[b>>2]=0;return}function yD(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;FQ(a,e,36)|0;e=bQ(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;FQ(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=DQ(f|0)|0;j=c[92474]|0;do{if((j|0)==0){k=e;c[92474]=k;c[e+44>>2]=0;l=bQ(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Nb(-1|0)}GQ(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=bQ(384)|0;c[l>>2]=n;if((n|0)==0){Nb(-1|0)}else{GQ(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[92474]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[92474]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=DQ(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(DQ(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;A=w;B=12;break};case 10:{A=a;B=12;break};case 9:{C=a;B=13;break};case 8:{D=a;B=14;break};case 7:{E=x;F=a;B=15;break};case 6:{G=x;H=a;B=16;break};case 5:{I=x;J=a;B=17;break};case 4:{K=x;L=a;B=18;break};case 3:{M=y;N=x;O=a;B=19;break};case 2:{P=y;Q=x;R=a;B=20;break};case 1:{S=y;T=x;U=a;B=21;break};default:{V=y;W=x;X=a}}if((B|0)==12){a=((d[v+9|0]|0)<<16)+A|0;c[p>>2]=a;C=a;B=13}if((B|0)==13){a=((d[v+8|0]|0)<<8)+C|0;c[p>>2]=a;D=a;B=14}if((B|0)==14){E=((d[v+7|0]|0)<<24)+x|0;F=D;B=15}if((B|0)==15){G=((d[v+6|0]|0)<<16)+E|0;H=F;B=16}if((B|0)==16){I=((d[v+5|0]|0)<<8)+G|0;J=H;B=17}if((B|0)==17){K=(d[v+4|0]|0)+I|0;L=J;B=18}if((B|0)==18){M=((d[v+3|0]|0)<<24)+y|0;N=K;O=L;B=19}if((B|0)==19){P=((d[v+2|0]|0)<<16)+M|0;Q=N;R=O;B=20}if((B|0)==20){S=((d[v+1|0]|0)<<8)+P|0;T=Q;U=R;B=21}if((B|0)==21){V=(d[v]|0)+S|0;W=T;X=U}U=V-W-X^X>>>13;V=W-X-U^U<<8;W=X-U-V^V>>>13;X=U-V-W^W>>>12;U=V-W-X^X<<16;V=W-X-U^U>>>5;W=X-U-V^V>>>3;X=U-V-W^W<<10;U=V-W-X^X>>>15;c[p>>2]=U;p=c[g>>2]|0;X=U&(c[p+4>>2]|0)-1;U=c[p>>2]|0;p=U+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[U+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[92474]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[92474]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=bQ((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Nb(-1|0)}GQ(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{U=X;X=Y;while(1){p=U+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[U+28>>2];T=g+(V*12|0)+4|0;S=(c[T>>2]|0)+1|0;c[T>>2]=S;v=c[X+24>>2]|0;if(S>>>0>v>>>0){S=X+28|0;c[S>>2]=(c[S>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[T>>2]|0)>>>0)/(v>>>0)|0}c[U+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=U}c[v>>2]=U;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{U=W;X=v}}}X=e+1|0;U=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=U;Y=_}else{Z=U;break}}}cQ(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function zD(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[92474]|0;a:do{if((e|0)==0){f=24}else{g=DQ(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(DQ(a|0)|0)+s|0;switch(v|0){case 11:{x=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 10:{x=m;f=6;break};case 9:{y=m;f=7;break};case 8:{z=m;f=8;break};case 7:{A=u;B=m;f=9;break};case 6:{C=u;D=m;f=10;break};case 5:{E=u;F=m;f=11;break};case 4:{G=u;H=m;f=12;break};case 3:{I=u;J=t;K=m;f=13;break};case 2:{L=u;M=t;N=m;f=14;break};case 1:{O=u;P=t;Q=m;f=15;break};default:{R=u;S=t;T=m}}if((f|0)==6){y=((d[w+9|0]|0)<<16)+x|0;f=7}if((f|0)==7){z=((d[w+8|0]|0)<<8)+y|0;f=8}if((f|0)==8){A=((d[w+7|0]|0)<<24)+u|0;B=z;f=9}if((f|0)==9){C=((d[w+6|0]|0)<<16)+A|0;D=B;f=10}if((f|0)==10){E=((d[w+5|0]|0)<<8)+C|0;F=D;f=11}if((f|0)==11){G=(d[w+4|0]|0)+E|0;H=F;f=12}if((f|0)==12){I=G;J=((d[w+3|0]|0)<<24)+t|0;K=H;f=13}if((f|0)==13){L=I;M=((d[w+2|0]|0)<<16)+J|0;N=K;f=14}if((f|0)==14){O=L;P=((d[w+1|0]|0)<<8)+M|0;Q=N;f=15}if((f|0)==15){R=O;S=(d[w]|0)+P|0;T=Q}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=DQ(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((AQ(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((ib(a|0,39144)|0)==0){V=0;break}else{W=16608}i=b;return W|0}}while(0);Cm(0,(V|0)!=0|0,38016,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function AD(a,b){a=a|0;b=b|0;var c=0;if((BD(345472,a,b)|0)!=0){c=1;return c|0}c=(BD(353616,a,b)|0)!=0|0;return c|0}function BD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((BQ(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function CD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;Cm(0,(BQ(c[92390]|0,343728)|0)==0|0,43176,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Cm(0,(BQ(c[92454]|0,343728)|0)==0|0,37216,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Cm(0,(BQ(c[92422]|0,343728)|0)==0|0,33336,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;GQ(370664,0,120)|0;GQ(370544,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[369320+(k<<2)>>2]|0;if((l|0)==1){if((BD(c[369440+(k<<2)>>2]|0,1,h)|0)!=0){m=5;break}}else if((l|0)==2){n=c[369440+(k<<2)>>2]|0;if(!((BD(n,1,h)|0)==0|(j|0)>=(a|0))){m=9;break}o=c[369440+(k<<2)>>2]|0;if((ED(o,h)|0)!=0){m=13;break}}l=k+1|0;if((l|0)<30){k=l}else{m=17;break a}}if((m|0)==5){m=0;l=370664+(k<<2)|0;if((c[l>>2]|0)!=0){m=6;break}c[l>>2]=1;p=f}else if((m|0)==9){m=0;l=370664+(k<<2)|0;if((c[l>>2]|0)!=0){m=10;break}c[l>>2]=1;c[370544+(k<<2)>>2]=DD(n,h)|0;p=j}else if((m|0)==13){m=0;l=370664+(k<<2)|0;if((c[l>>2]|0)!=0){m=14;break}c[l>>2]=1;c[370544+(k<<2)>>2]=FD(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;m=19;break}}if((m|0)==6){Bm(1,0,30040,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==10){Bm(1,0,30040,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==14){Bm(1,0,30040,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==17){Bm(1,0,27200,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==19){i=d;return g|0}return 0}function DD(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((BQ(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function ED(a,b){a=a|0;b=b|0;return(FD(a,b)|0)!=0|0}function FD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=DQ(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((CQ(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function GD(){return}function HD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Nb(0);return 0}e=c[u>>2]|0;Xa(28824,5,1,e|0)|0;f=b;b=0;while(1){Va(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Xa(346480,20,1,e|0)|0;Nb(0);return 0}function ID(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;kd(d|0,347320,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Nb(1)}else{Sa(d|0)|0;OD();Sa(d|0)|0;ob(6,0)|0;jd()}}function JD(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function KD(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function LD(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function MD(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}GQ(n|0,32,b+(d-n)|0)|0;return}function ND(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=379576+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[379620+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[379616+(d*48|0)>>2]|0)==1){PD(b)|0}i=379580+(d*48|0)|0;if((c[i>>2]|0)==0){break}Oa(c[e>>2]|0)|0;cQ(c[i>>2]|0)}}while(0);do{if((g|0)==10){Oa(f|0)|0;b=379580+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Gd(i|0)|0;cQ(c[b>>2]|0)}}while(0);c[e>>2]=0}c[379612+(d*48|0)>>2]=0;c[379580+(d*48|0)>>2]=0;return 0}function OD(){var a=0;if((c[94888]|0)!=0){return}c[94888]=1;c[94890]=0;a=0;do{c[94889]=a;ND(379552)|0;a=a+1|0;}while((a|0)<100);return}function PD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[379592+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=379576+(b*48|0)|0;f=c[e>>2]|0;g=Mb(f|0)|0;sd(f|0,0,2)|0;if((g|0)>=(Mb(f|0)|0)){d=0;return d|0}if((c[379596+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[379604+(b*48|0)>>2]&2|0)!=0){Sa(c[e>>2]|0)|0}b=bd(jb(c[e>>2]|0)|0,g|0)|0;sd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){RD(111,34552);d=111;return d|0}else{c[(Vc()|0)>>2]=111;d=111;return d|0}return 0}function QD(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if((Xc(jb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==24576){e=1;break}else if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else if((f|0)==8192){e=(Kc(jb(a|0)|0)|0)==0|0;break}else{e=0;break}}}while(0);i=b;return e|0}function RD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){kb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;kd(f|0,43360,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){kd(f|0,42584,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[369192+(a-100<<2)>>2]|0;kd(f|0,42072,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[97356]|0;do{if((b|0)==0){Xa(39880,29,1,e|0)|0}else{kd(e|0,41448,(g=i,i=i+8|0,c[g>>2]=(b-379576|0)/48|0,g)|0)|0;i=g;a=c[(c[97356]|0)+4>>2]|0;if((a|0)==0){Xa(40392,10,1,e|0)|0;break}else{kd(e|0,40936,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[97340]|0;if((b|0)!=0){kd(e|0,39440,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[97296]|0)!=0?36920:36600;a=(c[97338]|0)!=0?36232:35864;f=(c[97342]|0)!=0?35528:35128;kd(e|0,38960,(g=i,i=i+32|0,c[g>>2]=(c[97316]|0)!=0?38512:37440,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;ID(34888,1);i=d;return}function SD(){var a=0;c[97326]=1;a=c[u>>2]|0;c[94894]=a;c[94899]=QD(a)|0;c[94900]=1;c[94904]=1;a=c[s>>2]|0;c[94954]=a;c[94959]=QD(a)|0;c[94960]=1;c[94964]=0;a=c[q>>2]|0;c[94966]=a;c[94971]=QD(a)|0;c[94972]=1;c[94976]=1;return}function TD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=sb(f|0,c[16648+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[97374]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Mb(c[i>>2]|0)|0;j=sb(c[e>>2]|0,c[16648+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[97374]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;sd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(Vc()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}sd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function UD(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){RD(b,d)}d=c[97352]|0;if((d|0)!=0){de[d&15]()|0}c[(Vc()|0)>>2]=b;return b|0}function VD(a){a=a|0;c[97320]=0;c[97302]=0;c[97322]=0;return((WD(a,0)|0)==0)<<31>>31|0}function WD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==32){e=f}else if((b<<24>>24|0)==40){break}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[97322]|0;c[97322]=h+1;if((h|0)==1){c[97302]=d}if(($D(1,d,0,0)|0)<0){g=0;return g|0}d=aE(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function XD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[97320]|0;k=384376+(j<<4)|0;l=c[k>>2]|0;switch(YD(l)|0){case 33:{c[97324]=1;c[97320]=j+1;continue b;break};case 17:case 19:{c[97360]=0;c[97320]=j+1;continue b;break};case 18:{c[97360]=1;c[97320]=j+1;continue b;break};case 2:{c[97362]=0;c[97300]=0;c[97320]=c[384380+(j<<4)>>2];if(b){m=24;break a}if((c[94892]|0)==0){h=0;m=37;break a}n=de[c[97346]&15]()|0;if((n|0)==0){continue b}else{h=n;m=37;break a}break};case 20:{c[97298]=c[384380+(j<<4)>>2];c[97320]=j+1;continue b;break};case 21:{c[97376]=0;c[97320]=j+1;continue b;break};case 22:{c[97376]=1;c[97320]=j+1;continue b;break};case 6:{n=c[384380+(j<<4)>>2]|0;o=(c[97362]|0)+1|0;c[97362]=o;c[389456+(o<<2)>>2]=n;c[97320]=j+1;continue b;break};case 1:{n=c[384380+(j<<4)>>2]|0;o=(c[97300]|0)+1|0;c[97300]=o;c[389216+(o<<2)>>2]=n;c[97320]=j+1;continue b;break};case 9:{n=(Sd[c[97350]&255](k)|0)==0;c[97320]=(c[97320]|0)+1;if(n){break b}else{continue b}break};case 8:{n=c[97362]|0;p=389456+(n<<2)|0;q=c[p>>2]|0;if((q|0)>=1){m=10;break b}c[97362]=n-1;c[97320]=j+1;continue b;break};case 16:{if(b){m=28;break a}c[97320]=j+1;continue b;break};case 3:{n=c[97362]|0;o=389456+(n<<2)|0;r=(c[o>>2]|0)-1|0;c[o>>2]=r;if((r|0)<1){c[97362]=n-1;c[97300]=(c[97300]|0)-1;c[97320]=j+1;continue b}else{j=c[97300]|0;c[97300]=j-1;c[97320]=(c[389216+(j<<2)>>2]|0)+1;continue b}break};default:{m=4;break a}}}if((m|0)==10){m=0;if(b){m=11;break}c[p>>2]=q-1;c[94892]=1;j=Ud[c[97354]&127](k,f,d)|0;if((j|0)>0){m=13;break}if((j|0)<0){m=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;m=37;break}}if((m|0)==4){g=c[97340]|0;kd(c[u>>2]|0,352688,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[97344]>>2]|0)==0){RD(100,354952);h=100;i=e;return h|0}else{c[(Vc()|0)>>2]=100;h=100;i=e;return h|0}}else if((m|0)==11){h=de[c[97352]&15]()|0;i=e;return h|0}else if((m|0)==13){d=c[c[97344]>>2]|0;h=UD(d,c[(Vc()|0)>>2]|0,344376)|0;i=e;return h|0}else if((m|0)==15){if((c[(c[97344]|0)+8>>2]|0)==0){RD(-1,344376);h=-1;i=e;return h|0}else{c[(Vc()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((m|0)==24){h=de[c[97352]&15]()|0;i=e;return h|0}else if((m|0)==28){h=de[c[97352]&15]()|0;i=e;return h|0}else if((m|0)==37){i=e;return h|0}return 0}function YD(a){a=a|0;var b=0;switch(a|0){case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};default:{b=a}}return b|0}function ZD(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=XD(b,0,0)|0;i=a;return d|0}function _D(){c[97358]=0;c[97320]=0;c[97300]=0;c[97362]=0;c[94892]=0;c[97304]=0;c[97364]=0;return}function $D(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[97320]|0;if((f|0)>299){Xa(37856,24,1,c[u>>2]|0)|0;ID(c[97340]|0,1);g=c[97320]|0}else{g=f}c[384376+(f<<4)>>2]=a;c[384380+(f<<4)>>2]=b;c[384384+(f<<4)>>2]=d;c[384388+(f<<4)>>2]=e;c[97320]=g+1;return g|0}function aE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=bE(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[97322]|0)-1|0;c[97322]=g;if((g|0)==0){$D(2,c[97302]|0,0,0)|0;e=i+1|0;return e|0}else{$D(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function bE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((cE(b,e)|0)!=0){g=c[e>>2]|0;break}if((dE(b,e)|0)!=0){g=c[e>>2]|0;break}h=eE(b,f,1)|0;j=$D(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=WD(h,j)|0}}while(0);i=d;return g|0}function cE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 45:{g=1;h=13;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{j=0;k=b;h=14;break};case 2:case 34:case 39:{c[384384+(($D(11,0,0,0)|0)<<4)>>2]=b;l=fE(b)|0;c[d>>2]=l;m=(l|0)!=0|0;i=e;return m|0};case 43:{g=0;h=13;break};case 88:case 120:{$D(4,1,0,0)|0;n=b;h=30;break};case 80:case 112:{$D(20,1,0,0)|0;n=b;h=30;break};case 84:case 116:{l=b+1|0;o=a[l]|0;if((o<<24>>24|0)==108|(o<<24>>24|0)==76){p=13;q=l}else if((o<<24>>24|0)==114|(o<<24>>24|0)==82){p=14;q=l}else{p=15;q=b}l=eE(q+1|0,f,0)|0;if((l|0)==0){h=15;break a}$D(p,c[f>>2]|0,0,0)|0;n=l-1|0;h=30;break};case 47:{$D(5,0,0,0)|0;n=b;h=30;break};case 66:case 98:{l=b+1|0;o=a[l]|0;if((o<<24>>24|0)==122|(o<<24>>24|0)==90){$D(22,0,0,0)|0;n=l;h=30;break a}else{$D(21,0,0,0)|0;n=l;h=30;break a}break};case 58:{$D(16,0,0,0)|0;n=b;h=30;break};case 83:case 115:{l=b+1|0;o=a[l]|0;if((o<<24>>24|0)==112|(o<<24>>24|0)==80){r=18;s=l}else if((o<<24>>24|0)==115|(o<<24>>24|0)==83){r=19;s=l}else{r=17;s=b}$D(r,0,0,0)|0;n=s;h=30;break};case 36:{$D(33,0,0,0)|0;n=b;h=30;break};default:{m=0;i=e;return m|0}}}while(0);if((h|0)==13){j=g;k=b+1|0;h=14}b:do{if((h|0)==14){b=eE(k,f,0)|0;if((b|0)==0){h=15;break}switch(a[b]|0){case 88:case 120:{$D(4,c[f>>2]|0,0,0)|0;n=b;h=30;break b;break};case 80:case 112:{g=c[f>>2]|0;if((j|0)==0){t=g}else{s=-g|0;c[f>>2]=s;t=s}$D(20,t,0,0)|0;n=b;h=30;break b;break};case 72:case 104:{s=c[f>>2]|0;c[384384+(($D(12,s,0,0)|0)<<4)>>2]=b+1;n=b+s|0;h=30;break b;break};default:{m=0;i=e;return m|0}}}}while(0);if((h|0)==15){c[d>>2]=0;m=1;i=e;return m|0}else if((h|0)==30){c[d>>2]=n+1;m=1;i=e;return m|0}return 0}function dE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=eE(b,f,1)|0;$D(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 90:case 122:{l=36;m=35;n=38;break};case 76:case 108:{o=eE(f,g,0)|0;if((o|0)==0){n=4;break a}p=c[g>>2]|0;if((p|0)==0){q=o;n=45;break a}$D(29,p,0,0)|0;q=o;n=45;break};case 65:case 97:{o=f;while(1){r=a[o]|0;if(r<<24>>24==32){o=o+1|0}else{break}}if(!((r-48&255)>>>0<10>>>0)){$D(30,0,0,0)|0;q=o;n=45;break a}p=eE(o,g,1)|0;s=c[g>>2]|0;if((s|0)==0){q=p;n=45;break a}$D(31,s,0,0)|0;q=p;n=45;break};case 70:case 102:{p=eE(f,g,0)|0;if((p|0)==0){n=4;break a}s=c[g>>2]|0;if((s|0)==0){q=p;n=45;break a}if((a[p]|0)==46){t=eE(p+1|0,h,0)|0;if((t|0)==0){n=4;break a}u=t;v=c[h>>2]|0}else{c[h>>2]=0;u=p;v=0}$D(23,s,v,0)|0;q=u;n=45;break};case 68:case 100:{s=eE(f,g,0)|0;if((s|0)==0){n=4;break a}p=c[g>>2]|0;if((p|0)==0){q=s;n=45;break a}if((a[s]|0)==46){t=eE(s+1|0,h,0)|0;if((t|0)==0){n=4;break a}w=t;x=c[h>>2]|0}else{c[h>>2]=0;w=s;x=0}$D(26,p,x,0)|0;q=w;n=45;break};case 71:case 103:{y=0;n=3;break};case 69:case 101:{y=1;n=3;break};case 73:case 105:{l=10;m=7;n=38;break};case 79:case 111:{l=34;m=32;n=38;break};default:{c[97320]=(c[97320]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((n|0)==3){b=eE(f,g,0)|0;if((b|0)==0){n=4;break}w=c[g>>2]|0;if((w|0)==0){q=b;n=45;break}x=a[b]|0;if(x<<24>>24==46){u=eE(b+1|0,h,0)|0;if((u|0)==0){n=4;break}A=u;B=a[u]|0}else{c[h>>2]=0;A=b;B=x}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){$D((y|0)==1?24:27,w,c[h>>2]|0,0)|0;q=A;n=45;break}x=eE(A+1|0,j,0)|0;if((x|0)==0){n=4;break}$D((y|0)==1?25:28,w,c[h>>2]|0,c[j>>2]|0)|0;q=x;n=45}else if((n|0)==38){x=eE(f,g,0)|0;if((x|0)==0){n=4;break}w=c[g>>2]|0;if((w|0)==0){q=x;n=45;break}if((a[x]|0)!=46){$D(m,w,0,0)|0;q=x;n=45;break}b=eE(x+1|0,h,0)|0;if((b|0)==0){n=4;break}$D(l,w,c[h>>2]|0,0)|0;q=b;n=45}}while(0);if((n|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((n|0)==45){c[d>>2]=q;z=1;i=e;return z|0}return 0}function eE(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function fE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[97344]>>2]|0)==0){RD(100,43800);l=0;return l|0}else{c[(Vc()|0)>>2]=100;l=0;return l|0}return 0}function gE(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[389334]=48;i=389334;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=389312+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function hE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[97336]|0;e=c[97314]|0;if((d|0)>(e|0)){c[97314]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4168]|0)){g=f}else{iE(e,f);g=c[97314]|0}f=c[4170]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;Za(f|0,c[97374]|0)|0;g=DQ(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Va(a[k]|0,c[97374]|0)|0;Za(g|0,c[97374]|0)|0;f=DQ(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function iE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4170]|0;if((e|0)==389512){c[4168]=1024;f=1024}else{f=c[4168]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4168]=h;g=h}h=bQ(g)|0;if((h|0)==0){RD(113,351296);i=c[4170]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4170]|0}else{j=i}if((j|0)==389512){c[4170]=h;return}cQ(j);c[4170]=h;return}function jE(b){b=b|0;var d=0,e=0,f=0;d=c[97314]|0;e=c[4168]|0;if((d|0)<(e|0)){f=d}else{iE(d,e);f=c[97314]|0}c[97314]=f+1;a[(c[4170]|0)+f|0]=b;return}function kE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[97342]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){RD(101,30160);k=101;i=d;return k|0}else{c[(Vc()|0)>>2]=101;k=101;i=d;return k|0}}if((c[97326]|0)==0){SD();l=c[h>>2]|0}else{l=j}j=379576+(l*48|0)|0;c[97356]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;pE(j,c[b+12>>2]|0,n);o=qE(n,g)|0;if((o|0)==(c[379584+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[379588+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=ND(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[379608+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=379592+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[379608+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=379600+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[379600+(l*48|0)>>2]=1;r=1;break}else{c[379600+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Ob(e|0,27272,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;pE(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){lE(107,30160,b);k=107;i=d;return k|0}else{c[(Vc()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=379620+(l*48|0)|0;c[q>>2]=0;c[379612+(l*48|0)>>2]=0;h=379616+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=379604+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 115:case 83:{c[q>>2]=1;j=yb()|0;c[m>>2]=j;if((j|0)!=0){c[379580+(l*48|0)>>2]=0;c[379588+(l*48|0)>>2]=-1;c[379584+(l*48|0)>>2]=-1;c[379596+(l*48|0)>>2]=1;k=0;i=d;return k|0}j=(c[b>>2]|0)==0;n=Vc()|0;s=c[n>>2]|0;if(j){lE(s,30160,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 114:case 82:{break};case 110:case 78:{if((Lb(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){lE(128,30160,b);k=128;i=d;return k|0}else{c[(Vc()|0)>>2]=128;k=128;i=d;return k|0}break};case 111:case 79:{if((Lb(e|0,0)|0)==0){break b}s=(c[b>>2]|0)==0;n=Vc()|0;j=c[n>>2]|0;if(s){lE(j,30160,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};default:{break b}}}while(0);j=xc(e|0,c[4162]|0)|0;if((j|0)==0){break}Oa(j|0)|0}}while(0);q=e|0;e=bQ((DQ(q|0)|0)+1|0)|0;c[379580+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){lE(113,24640,b);k=113;i=d;return k|0}else{c[(Vc()|0)>>2]=113;k=113;i=d;return k|0}}MQ(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=xc(q|0,c[16648+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=xc(q|0,c[16664+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=xc(q|0,c[16648+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=Vc()|0;j=c[o>>2]|0;if(g){RD(j,30160);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=379596+(l*48|0)|0;c[r>>2]=QD(u)|0;u=qE(q,379588+(l*48|0)|0)|0;c[379584+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){lE(108,30160,b);k=108;i=d;return k|0}else{c[(Vc()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){wd(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((sd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){lE(129,30160,b);k=129;i=d;return k|0}else{c[(Vc()|0)>>2]=129;k=129;i=d;return k|0}return 0}function lE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){RD(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4168]|0)){h=f;i=d}else{iE(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4170]|0;c[(c[97356]|0)+4>>2]=g;pE(h,i,g);RD(a,b);return}function mE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Ob(g|0,27272,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=DQ(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?22528:357664;c[f+24>>2]=(b|0)==5?355088:353072;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=kE(f)|0;i=e;return a|0}function nE(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=379576+(b*48|0)|0;c[97356]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){RD(101,343456);e=101;return e|0}else{c[(Vc()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((mE(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){RD(114,352992);e=114;return e|0}else{c[(Vc()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[379600+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){RD(102,352992);e=102;return e|0}else{c[(Vc()|0)>>2]=102;e=102;return e|0}return 0}function oE(){var a=0;a=ZD()|0;c[97340]=0;return a|0}function pE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function qE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((zd(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function rE(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[97298]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[97360]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Ob(v|0,342184,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(DQ(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;Pd[c[97318]&511](32);}while((B|0)>0)}if((A|0)!=0){Pd[c[97318]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{Pd[c[97318]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Oc(B|0)|0)+1|0;Ob(B|0,352600,(w=i,i=i+8|0,c[w>>2]=p-(c[97298]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;Pd[c[97318]&511](32);}while((z|0)>0)}if((s|0)!=0){Pd[c[97318]&511]((t|0)!=0?45:43)}z=c[97298]|0;do{if((z|0)<1){Pd[c[97318]&511](46);u=c[97318]|0;if((z|0)<0){F=z;w=u;while(1){Pd[w&511](48);H=F+1|0;I=c[97318]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}Pd[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}Pd[c[97318]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[97318]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){Pd[F&511](a[J]|0);P=O-1|0;Q=c[97318]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}Pd[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;Pd[c[97318]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){Pd[c[97318]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;Pd[c[97318]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){Pd[c[97318]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{Pd[c[97318]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;Pd[c[97318]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;Pd[c[97318]&511](42);}while((Y|0)>0);i=k;return 0}function sE(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[97298]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Ob(b|0,42736,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[97360]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;Pd[c[97318]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;Pd[c[97318]&511](32);}while((r|0)>0)}do{if(o){if((c[97360]|0)==0){break}Pd[c[97318]&511](43)}else{Pd[c[97318]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;Pd[c[97318]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;Pd[c[97318]&511](48);}while((w|0)>0);i=j;return 0}function tE(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==1){g=a[d]|0}else if((f|0)==4){g=c[d>>2]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{Pd[c[97318]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[97318]|0;if((g|0)==0){Pd[d&511](70);return 0}else{Pd[d&511](84);return 0}return 0}function uE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[97358]|0)==0){f=3}else{g=vE()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 10:{xE(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 32:{wE(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 36:{BE(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 7:{break};case 30:{yE(b,d);h=0;break a;break};case 31:{zE(b,c[a+4>>2]|0,d);h=0;break a;break};case 35:{BE(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 23:{h=sE(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 34:{xE(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 27:case 28:{h=AE(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 26:case 24:case 25:{h=rE(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 29:{tE(b,c[a+4>>2]|0,d)|0;h=0;break a;break};default:{kd(c[u>>2]|0,342048,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;ID(c[97340]|0,1)}}wE(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function vE(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[97358]|0;c[97358]=0;if((c[97342]|0)!=0){if((a|0)>0){b=c[97336]|0;d=c[97314]|0;if((b|0)<=(d|0)){e=a;while(1){Pd[c[97318]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[97314]=e;g=0;return g|0}e=a-b+d|0;c[97314]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){Pd[c[97318]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[97314]|0;e=h+a|0;if((e|0)>=0){if((c[97336]|0)<(h|0)){c[97336]=h}c[97314]=e;g=0;return g|0}if((c[c[97344]>>2]|0)==0){RD(110,343384);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[97314]|0;if((c[97336]|0)<(e|0)){c[97336]=e}h=e+a|0;c[97314]=h;c[97334]=(c[97334]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[97344]>>2]|0)==0){RD(110,343384);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[97314]|0;e=h+a|0;if((e|0)>=(c[(c[97294]|0)+16>>2]|0)){if((c[c[97344]>>2]|0)==0){RD(110,42728);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}b=c[97336]|0;if((b|0)<=(h|0)){d=a;while(1){Pd[c[97318]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[97334]=(c[97334]|0)+a;c[97314]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[97334]=(c[97334]|0)+e;c[97314]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){Pd[c[97318]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function wE(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==4){l=c[d>>2]|0}else if((f|0)==1){l=a[d]|0}else{l=b[d>>1]|0}d=gE(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[97360]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{Pd[c[97318]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{Pd[c[97318]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[97360]|0)==0){break}Pd[c[97318]&511](43)}else{Pd[c[97318]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){Pd[c[97318]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function xE(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==4){m=c[d>>2]|0}else if((g|0)==1){m=a[d]|0}else{m=b[d>>1]|0}d=gE(m,k,l,h)|0;h=c[l>>2]|0;g=(c[97360]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{Pd[c[97318]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{Pd[c[97318]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[97360]|0)==0){break}Pd[c[97318]&511](43)}else{Pd[c[97318]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){Pd[c[97318]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){Pd[c[97318]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{Pd[c[97318]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function yE(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;Pd[c[97318]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function zE(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;Pd[c[97318]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;Pd[c[97318]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function AE(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=rE(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=rE(a,b,d,e,f)|0;return l|0}}while(0);m=c[97298]|0;c[97298]=0;n=(e|0)==0?4:e+2|0;e=sE(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{Pd[c[97318]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[97298]=m;l=e;return l|0}function BE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{Pd[c[97318]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{Pd[c[97318]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;Pd[c[97318]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){Pd[c[97318]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){Pd[c[97318]&511](a[344+((d[o]|0)>>>4)|0]|0);Pd[c[97318]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function CE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=c[a>>2]|0;switch(d|0){case 13:{e=(c[97358]|0)-(c[a+4>>2]|0)|0;c[97358]=e;f=-(c[97314]|0)|0;if((e|0)>=(f|0)){g=1;i=b;return g|0}c[97358]=f;g=1;i=b;return g|0};case 11:{g=DE(c[a+8>>2]|0)|0;i=b;return g|0};case 12:{g=EE(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return g|0};case 14:case 4:{c[97358]=(c[97358]|0)+(c[a+4>>2]|0);g=1;i=b;return g|0};case 15:{c[97358]=(c[a+4>>2]|0)-1-(c[97314]|0);g=1;i=b;return g|0};case 5:{break};default:{kd(c[u>>2]|0,352528,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;ID(c[97340]|0,1)}}g=de[c[97348]&15]()|0;i=b;return g|0}function DE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[97358]|0)!=0){d=vE()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}Pd[c[97318]&511](d<<24>>24);l=g}else{Pd[c[97318]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function EE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[97358]|0)!=0){e=vE()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;Pd[c[97318]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function FE(){var a=0;a=hE(10)|0;c[97358]=0;c[97314]=0;c[97336]=0;return(a|0)==0|0}function GE(a){a=a|0;var b=0,d=0,e=0;if((c[97326]|0)==0){SD()}c[97316]=0;c[97296]=1;c[97338]=1;c[97342]=1;b=nE(a)|0;if((b|0)!=0){d=b;return d|0}c[97344]=a;c[97314]=0;c[97358]=0;c[97336]=0;c[97324]=0;c[97298]=0;b=c[a+12>>2]|0;c[97340]=b;c[97374]=c[c[97356]>>2];if((VD(b)|0)<0){if((c[a>>2]|0)==0){RD(100,341264);d=100;return d|0}else{c[(Vc()|0)>>2]=100;d=100;return d|0}}c[97318]=264;c[97354]=28;c[97350]=178;c[97352]=2;c[97346]=4;c[97348]=6;_D();c[97360]=0;b=c[97356]|0;c[97376]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((TD(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=Vc()|0;e=c[a>>2]|0;if(b){RD(e,352464);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function HE(){var a=0;if((c[97324]|0)==0){a=hE(10)|0}else{hE(0)|0;Sa(c[97374]|0)|0;a=0}c[97358]=0;c[97314]=0;c[97336]=0;return a|0}function IE(){var a=0,b=0;if((c[94892]|0)==0){a=0}else{b=hE(10)|0;c[94892]=0;a=b}c[97358]=0;c[97314]=0;c[97336]=0;return a|0}function JE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[s>>2]|0;dF(396e3,h,396128);c[99248]=361524;c[99250]=361544;c[99249]=0;WG(397e3,396e3);c[99268]=0;c[99269]=-1;j=c[q>>2]|0;c[98976]=361208;EM(395908);GQ(395912,0,24)|0;c[98976]=361744;c[98984]=j;FM(g,395908);k=IM(g,396328)|0;l=k;GM(g);c[98985]=l;c[98986]=396136;a[395948]=(Sd[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[99182]=361428;c[99183]=361448;WG(396732,395904);c[99201]=0;c[99202]=-1;l=c[u>>2]|0;c[98988]=361208;EM(395956);GQ(395960,0,24)|0;c[98988]=361744;c[98996]=l;FM(f,395956);k=IM(f,396328)|0;g=k;GM(f);c[98997]=g;c[98998]=396144;a[395996]=(Sd[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[99226]=361428;c[99227]=361448;WG(396908,395952);c[99245]=0;c[99246]=-1;g=c[(c[(c[99226]|0)-12>>2]|0)+396928>>2]|0;c[99204]=361428;c[99205]=361448;WG(396820,g);c[99223]=0;c[99224]=-1;c[(c[(c[99248]|0)-12>>2]|0)+397064>>2]=396728;g=(c[(c[99226]|0)-12>>2]|0)+396908|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[99226]|0)-12>>2]|0)+396976>>2]=396728;RE(395848,h,396152);c[99160]=361476;c[99162]=361496;c[99161]=0;WG(396648,395848);c[99180]=0;c[99181]=-1;c[98938]=361136;EM(395756);GQ(395760,0,24)|0;c[98938]=361672;c[98946]=j;FM(e,395756);j=IM(e,396320)|0;h=j;GM(e);c[98947]=h;c[98948]=396160;a[395796]=(Sd[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[99090]=361380;c[99091]=361400;WG(396364,395752);c[99109]=0;c[99110]=-1;c[98950]=361136;EM(395804);GQ(395808,0,24)|0;c[98950]=361672;c[98958]=l;FM(d,395804);l=IM(d,396320)|0;h=l;GM(d);c[98959]=h;c[98960]=396168;a[395844]=(Sd[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[99134]=361380;c[99135]=361400;WG(396540,395800);c[99153]=0;c[99154]=-1;h=c[(c[(c[99134]|0)-12>>2]|0)+396560>>2]|0;c[99112]=361380;c[99113]=361400;WG(396452,h);c[99131]=0;c[99132]=-1;c[(c[(c[99160]|0)-12>>2]|0)+396712>>2]=396360;h=(c[(c[99134]|0)-12>>2]|0)+396540|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[99134]|0)-12>>2]|0)+396608>>2]=396360;i=b;return}function KE(a){a=a|0;UH(396728)|0;UH(396816)|0;$H(396360)|0;$H(396448)|0;return}function LE(a){a=a|0;c[a>>2]=361136;GM(a+4|0);return}function ME(a){a=a|0;c[a>>2]=361136;GM(a+4|0);jQ(a);return}function NE(b,d){b=b|0;d=d|0;var e=0;Sd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=IM(d,396320)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Sd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function OE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Td[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Xa(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Sa(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function PE(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Xa(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((be[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function QE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Xa(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=he[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Xa(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Xa(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function RE(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=361136;j=b+4|0;EM(j);GQ(b+8|0,0,24)|0;c[h>>2]=362072;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;FM(g,j);j=IM(g,396320)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Sd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Sd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){GM(g);i=f;return}QL(21352);GM(g);i=f;return}function SE(a){a=a|0;c[a>>2]=361136;GM(a+4|0);return}function TE(a){a=a|0;c[a>>2]=361136;GM(a+4|0);jQ(a);return}function UE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=IM(d,396320)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Sd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Sd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}QL(21352);return}function VE(a){a=a|0;return YE(a,0)|0}function WE(a){a=a|0;return YE(a,1)|0}function XE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=he[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}else if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ad(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function YE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Bb(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=he[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==3){y=14;break}else if((x|0)==2){n=-1;y=22;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Bb(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((ad(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function ZE(a){a=a|0;c[a>>2]=361208;GM(a+4|0);return}function _E(a){a=a|0;c[a>>2]=361208;GM(a+4|0);jQ(a);return}function $E(b,d){b=b|0;d=d|0;var e=0;Sd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=IM(d,396328)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Sd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function aF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Td[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Xa(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Sa(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function bF(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Xa(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((be[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function cF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Xa(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=he[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Xa(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Xa(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function dF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=361208;j=b+4|0;EM(j);GQ(b+8|0,0,24)|0;c[h>>2]=362144;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;FM(g,j);j=IM(g,396328)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Sd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Sd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){GM(g);i=f;return}QL(21352);GM(g);i=f;return}function eF(a){a=a|0;c[a>>2]=361208;GM(a+4|0);return}function fF(a){a=a|0;c[a>>2]=361208;GM(a+4|0);jQ(a);return}function gF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=IM(d,396328)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Sd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Sd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}QL(21352);return}function hF(a){a=a|0;return kF(a,0)|0}function iF(a){a=a|0;return kF(a,1)|0}function jF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=he[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ad(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function kF(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Bb(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=he[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==3){z=14;break}else if((y|0)==2){o=-1;z=23;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Bb(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((ad(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function lF(){JE(0);Eb(192,397080,r|0)|0;return}function mF(a){a=a|0;return}function nF(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function oF(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}Pd[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function pF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=359368;d=a+4|0;if((d|0)==0){return}a=DQ(b|0)|0;e=iQ(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;FQ(f|0,b|0,a+1|0)|0;return}function qF(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=359368;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}kQ(e)}}while(0);jQ(a);return}function rF(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=359368;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}kQ(d);e=a|0;return}function sF(a){a=a|0;return c[a+4>>2]|0}function tF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=359272;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=DQ(f|0)|0;b=iQ(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;FQ(g|0,f|0,d+1|0)|0;return}function uF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=359272;d=a+4|0;if((d|0)==0){return}a=DQ(b|0)|0;e=iQ(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;FQ(f|0,b|0,a+1|0)|0;return}function vF(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=359272;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}kQ(e)}}while(0);jQ(a);return}function wF(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=359272;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}kQ(d);e=a|0;return}function xF(a){a=a|0;return c[a+4>>2]|0}function yF(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=359368;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}kQ(e)}}while(0);jQ(a);return}function zF(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=359368;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}kQ(e)}}while(0);jQ(a);return}function AF(a){a=a|0;return}function BF(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function CF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;fe[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function DF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function EF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=Wc(e|0)|0;e=DQ(d|0)|0;if(e>>>0>4294967279>>>0){KF(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;FQ(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=hQ(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;FQ(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function FF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{pG(e,340608,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;fe[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}pG(e,q,p)|0;if((a[l]&1)==0){break}jQ(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];GQ(k|0,0,12)|0;i=f;return}function GF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=DQ(e|0)|0;if(j>>>0>4294967279>>>0){KF(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=hQ(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}FQ(k|0,e|0,j)|0;a[k+j|0]=0;FF(g,d,h);tF(b|0,g);if(!((a[g]&1)==0)){jQ(c[g+8>>2]|0)}if(!((a[h]&1)==0)){jQ(c[h+8>>2]|0)}c[b>>2]=361640;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function HF(a){a=a|0;wF(a|0);jQ(a);return}function IF(a){a=a|0;wF(a|0);return}function JF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{qb(396080,396056)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;Pd[d&511](b);h;c[a>>2]=-1;i;Mc(396080)|0;return}function KF(a){a=a|0;a=xd(8)|0;pF(a,352672);c[a>>2]=359336;tc(a|0,365680,44)}function LF(a){a=a|0;a=xd(8)|0;pF(a,352672);c[a>>2]=359304;tc(a|0,365664,8)}function MF(a){a=a|0;GQ(a|0,0,12)|0;return}function NF(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function OF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){KF(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=hQ(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}FQ(g|0,e|0,f)|0;a[g+f|0]=0;return}function PF(b){b=b|0;return(a[b]&1)!=0|0}function QF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){KF(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;FQ(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=hQ(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;FQ(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function RF(a){a=a|0;return a|0}function SF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=DQ(d|0)|0;if(e>>>0>4294967279>>>0){KF(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;FQ(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=hQ(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;FQ(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function TF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){KF(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=hQ(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}GQ(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function UF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){KF(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=hQ(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}GQ(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function VF(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){LF(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){KF(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;FQ(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=hQ(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;FQ(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function WF(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function XF(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function YF(b){b=b|0;if((a[b]&1)==0){return}jQ(c[b+8>>2]|0);return}function ZF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}qG(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}JQ(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function _F(a,b){a=a|0;b=b|0;return $F(a,b)|0}



function $F(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=DQ(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}qG(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}JQ(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function aG(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function bG(a){a=a|0;return a+1|0}function cG(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function dG(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function eG(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function fG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){gG(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function gG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){rG(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}GQ(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function hG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){gG(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function iG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){KF(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=hQ(f)|0}else{o=hQ(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}FQ(k|0,l|0,p+1|0)|0;if(m){jQ(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function jG(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function kG(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function lG(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function mG(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function nG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return pG(b,g,f)|0}function oG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){rG(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function pG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){qG(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}FQ(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function qG(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){KF(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=hQ(o)|0;if((g|0)!=0){FQ(e|0,k|0,g)|0}if((i|0)!=0){FQ(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){FQ(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}jQ(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function rG(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){KF(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=hQ(n)|0;if((g|0)!=0){FQ(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){FQ(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}jQ(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function sG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;VF(a,b,c,d,0);return}function tG(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function uG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=DQ(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function vG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=AQ(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function wG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=DQ(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){LF(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=AQ(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function xG(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){KF(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;FQ(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=hQ(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;FQ(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function yG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){KF(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=EP(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=hQ(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=EP(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function zG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){KF(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=GP(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=hQ(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=GP(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function AG(b){b=b|0;if((a[b]&1)==0){return}jQ(c[b+8>>2]|0);return}function BG(a,b){a=a|0;b=b|0;return CG(a,b,DP(b)|0)|0}function CG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}FG(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}FP(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function DG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){KF(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=hQ(f)|0}else{o=hQ(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}EP(k,l,p+1|0)|0;if(m){jQ(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function EG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){GG(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function FG(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){KF(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=hQ(o<<2)|0;if((g|0)!=0){EP(e,k,g)|0}if((i|0)!=0){EP(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){EP(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}jQ(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function GG(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){KF(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=hQ(n<<2)|0;if((g|0)!=0){EP(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){EP(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}jQ(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function HG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;GQ(f|0,0,12)|0;g=DQ(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){KF(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=hQ(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}FQ(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}pG(b,l,j)|0;return}function IG(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function JG(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function KG(a,b){a=a|0;b=b|0;LG(a|0,b);return}function LG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=xd(16)|0;do{if((a[397200]|0)==0){if(($b(397200)|0)==0){break}c[98802]=360904;Eb(172,395208,r|0)|0}}while(0);b=PQ(395208,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;GF(e,f,343896);c[e>>2]=360040;tc(e|0,366224,38)}function MG(a,b){a=a|0;b=b|0;LG(a|0,c[a+16>>2]|b);return}function NG(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=360016;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;fe[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}GM(a+28|0);cQ(c[d>>2]|0);cQ(c[e>>2]|0);cQ(c[a+48>>2]|0);cQ(c[a+60>>2]|0);return}function OG(a){a=a|0;NG(a|0);jQ(a);return}function PG(a){a=a|0;NG(a|0);return}function QG(a){a=a|0;NG(a|0);return}function RG(a){a=a|0;return c[a+24>>2]|0}function SG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}FM(d,a+28|0);a=IM(d,396632)|0;f=be[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;GM(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function TG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;FM(e,a+28|0);a=IM(e,396632)|0;f=be[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;GM(e);i=d;return f|0}function UG(a,b){a=a|0;b=b|0;FM(a,b+28|0);return}function VG(a){a=a|0;c[a>>2]=359560;return}function WG(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;GQ(a+32|0,0,40)|0;if((b|0)==0){return}EM(b);return}function XG(a){a=a|0;c[a>>2]=361208;GM(a+4|0);jQ(a);return}function YG(a){a=a|0;c[a>>2]=361208;GM(a+4|0);return}function ZG(a){a=a|0;c[a>>2]=361208;GM(a+4|0);return}function _G(a,b){a=a|0;b=b|0;FM(a,b+4|0);return}function $G(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=Sd[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function aH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=be[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function bH(a,b,d){a=a|0;b=b|0;d=d|0;return Ud[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function cH(a){a=a|0;c[a>>2]=361208;EM(a+4|0);GQ(a+8|0,0,24)|0;return}function dH(a){a=a|0;return c[a+8>>2]|0}function eH(a){a=a|0;return c[a+12>>2]|0}function fH(a){a=a|0;return c[a+16>>2]|0}function gH(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function hH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function iH(a){a=a|0;return c[a+20>>2]|0}function jH(a){a=a|0;return c[a+24>>2]|0}function kH(a){a=a|0;return c[a+28>>2]|0}function lH(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function mH(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function nH(a,b){a=a|0;b=b|0;return}function oH(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function pH(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function qH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function rH(a){a=a|0;return 0}function sH(a){a=a|0;return 0}function tH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=Sd[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function uH(a){a=a|0;return-1|0}function vH(a){a=a|0;var b=0,e=0;if((Sd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function wH(a,b){a=a|0;b=b|0;return-1|0}function xH(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((be[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function yH(a,b){a=a|0;b=b|0;return-1|0}function zH(a){a=a|0;c[a>>2]=361136;GM(a+4|0);jQ(a);return}function AH(a){a=a|0;c[a>>2]=361136;GM(a+4|0);return}function BH(a,b){a=a|0;b=b|0;return}function CH(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function DH(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function EH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function FH(a){a=a|0;return 0}function GH(a){a=a|0;return 0}function HH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=Sd[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function IH(a){a=a|0;return-1|0}function JH(a){a=a|0;var b=0,d=0;if((Sd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function KH(a,b){a=a|0;b=b|0;return-1|0}function LH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((be[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function MH(a,b){a=a|0;b=b|0;return-1|0}function NH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;GQ(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}EM(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function OH(a){a=a|0;NG(a+8|0);jQ(a);return}function PH(a){a=a|0;NG(a+8|0);return}function QH(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;NG(b+(d+8)|0);jQ(b+d|0);return}function RH(a){a=a|0;NG(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function SH(a,b,c){a=a|0;b=b|0;c=c|0;TH(a,b,c);return}function TH(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){LG(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){UH(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}FM(h,l+(e+28)|0);e=IM(h,396632)|0;GM(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(Sd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(Sd[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){Sd[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(Sd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;LG(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function UH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{UH(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Sd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;LG(h+k|0,c[h+(k+16)>>2]|1)}}while(0);hI(e);i=d;return b|0}function VH(b){b=b|0;return(a[b|0]|0)!=0|0}function WH(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{rb()}}function XH(a){a=a|0;NG(a+8|0);jQ(a);return}function YH(a){a=a|0;NG(a+8|0);return}function ZH(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;NG(b+(d+8)|0);jQ(b+d|0);return}function _H(a){a=a|0;NG(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function $H(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{$H(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Sd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;LG(h+k|0,c[h+(k+16)>>2]|1)}}while(0);tI(e);i=d;return b|0}function aI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;GQ(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}EM(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function bI(a){a=a|0;NG(a+4|0);jQ(a);return}function cI(a){a=a|0;NG(a+4|0);return}function dI(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;NG(b+(d+4)|0);jQ(b+d|0);return}function eI(a){a=a|0;NG(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function fI(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){UH(d)|0}a[e]=1;return}function gI(a){a=a|0;hI(a);return}function hI(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(hc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Sd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;LG(d+b|0,c[d+(b+16)>>2]|1);return}function iI(b){b=b|0;return(a[b|0]|0)!=0|0}function jI(a,b){a=a|0;b=b|0;return Sd[b&255](a)|0}function kI(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{UH(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;FM(j,o+(q+28)|0);p=IM(j,396280)|0;GM(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){FM(g,o+(r+28)|0);v=IM(g,396632)|0;w=be[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;GM(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;Vd[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;LG(o+r|0,c[o+(r+16)>>2]|5)}}while(0);hI(h);i=e;return b|0}function lI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{UH(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((be[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;LG(l+p|0,c[l+(p+16)>>2]|1)}}while(0);hI(f);i=e;return b|0}function mI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){UH(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((Ud[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;LG(l+m|0,c[l+(m+16)>>2]|1)}}while(0);hI(g);i=f;return b|0}function nI(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;Xd[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function oI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){hI(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{UH(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];ie[n&31](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){hI(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;LG(m+f|0,c[m+(f+16)>>2]|4);hI(g);i=e;return b|0}function pI(a){a=a|0;NG(a+4|0);jQ(a);return}function qI(a){a=a|0;NG(a+4|0);return}function rI(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;NG(b+(d+4)|0);jQ(b+d|0);return}function sI(a){a=a|0;NG(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function tI(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(hc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Sd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;LG(d+b|0,c[d+(b+16)>>2]|1);return}function uI(a){a=a|0;return 346048}function vI(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){QF(a,353768,35);return}else{EF(a,b|0,c);return}}function wI(a){a=a|0;AF(a|0);return}function xI(a){a=a|0;IF(a|0);jQ(a);return}function yI(a){a=a|0;IF(a|0);return}function zI(a){a=a|0;NG(a);jQ(a);return}function AI(a){a=a|0;AF(a|0);jQ(a);return}function BI(a){a=a|0;mF(a|0);jQ(a);return}function CI(a){a=a|0;mF(a|0);return}function DI(a){a=a|0;mF(a|0);return}function EI(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function FI(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){KF(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=hQ(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function GI(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function HI(a){a=a|0;mF(a|0);jQ(a);return}function II(a){a=a|0;mF(a|0);return}function JI(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function KI(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){KF(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=hQ(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function LI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function MI(a){a=a|0;mF(a|0);jQ(a);return}function NI(a){a=a|0;mF(a|0);return}function OI(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];_d[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}UG(r,g);q=r|0;r=c[q>>2]|0;if(!((c[99158]|0)==-1)){c[m>>2]=396632;c[m+4>>2]=16;c[m+8>>2]=0;JF(396632,m,124)}m=(c[99159]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;oF(c[q>>2]|0)|0;UG(s,g);n=s|0;p=c[n>>2]|0;if(!((c[99062]|0)==-1)){c[l>>2]=396248;c[l+4>>2]=16;c[l+8>>2]=0;JF(396248,l,124)}d=(c[99063]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;oF(c[n>>2]|0)|0;z=t|0;A=x;Qd[c[(c[A>>2]|0)+24>>2]&127](z,y);Qd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(PI(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];YF(t+12|0);YF(t|0);i=k;return}}while(0);o=xd(4)|0;IP(o);tc(o|0,365632,184)}}while(0);k=xd(4)|0;IP(k);tc(k|0,365632,184)}function PI(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=bQ(l)|0;if((n|0)!=0){o=n;p=n;break}oQ();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((Sd[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((Sd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=be[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(be[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){Sd[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((Sd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}cQ(p);i=k;return $|0}function QI(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];RI(a,0,j,k,f,g,h);i=b;return}function RI(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;HJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}fG(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}fG(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((hJ(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Sd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=DO(F,c[o>>2]|0,h,t)|0;UL(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}if((Sd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}function SI(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];TI(a,0,j,k,f,g,h);i=b;return}function TI(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;HJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}fG(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}fG(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((hJ(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Sd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=CO(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;UL(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}if((Sd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}function UI(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];VI(a,0,j,k,f,g,h);i=b;return}function VI(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==64){u=8}else if((t|0)==8){u=16}else if((t|0)==0){u=0}else{u=10}t=l|0;HJ(n,h,t,m);h=o;GQ(h|0,0,12)|0;fG(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((Sd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}fG(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}fG(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((hJ(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){Sd[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=BO(G,c[p>>2]|0,j,u)|0;UL(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;YF(o);YF(n);i=e;return}if((Sd[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;YF(o);YF(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;YF(o);YF(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;YF(o);YF(n);i=e;return}function WI(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];XI(a,0,j,k,f,g,h);i=b;return}function XI(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;HJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}fG(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}fG(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((hJ(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Sd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=AO(F,c[o>>2]|0,h,t)|0;UL(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}if((Sd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}function YI(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];ZI(a,0,j,k,f,g,h);i=b;return}function ZI(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;HJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}fG(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}fG(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((hJ(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Sd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=zO(F,c[o>>2]|0,h,t)|0;UL(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}if((Sd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;YF(n);YF(m);i=d;return}function _I(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];$I(a,0,j,k,f,g,h);i=b;return}function $I(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;HJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}fG(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}fG(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((hJ(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Sd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=yO(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;UL(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}if((Sd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;YF(n);YF(m);i=d;return}function aJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];bJ(a,0,j,k,f,g,h);i=b;return}function bJ(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;IJ(n,h,v,l,m);h=o;GQ(h|0,0,12)|0;fG(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Sd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}fG(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}fG(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((JJ(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Sd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+xO(I,c[p>>2]|0,j);UL(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}if((Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}function cJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];dJ(a,0,j,k,f,g,h);i=b;return}function dJ(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;IJ(n,g,v,l,m);g=o;GQ(g|0,0,12)|0;fG(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Sd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}fG(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}fG(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((JJ(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Sd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+wO(I,c[p>>2]|0,j);UL(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}if((Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}function eJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];fJ(a,0,j,k,f,g,h);i=b;return}function fJ(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;IJ(n,g,v,l,m);g=o;GQ(g|0,0,12)|0;fG(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Sd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}fG(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}fG(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((JJ(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Sd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+vO(I,c[p>>2]|0,j);UL(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}if((Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;YF(o);YF(n);i=d;return}function gJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;GQ(m|0,0,12)|0;UG(n,g);g=n|0;n=c[g>>2]|0;if(!((c[99158]|0)==-1)){c[k>>2]=396632;c[k+4>>2]=16;c[k+8>>2]=0;JF(396632,k,124)}k=(c[99159]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;ee[c[(c[u>>2]|0)+32>>2]&127](u,367392,367418,v)|0;oF(c[g>>2]|0)|0;u=o;GQ(u|0,0,12)|0;fG(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((Sd[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}fG(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}fG(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(Sd[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((hJ(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){Sd[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);F=iJ(K,c[98800]|0,41968,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;YF(o);YF(m);i=d;return}if((Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;YF(o);YF(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;YF(o);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;YF(o);YF(m);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function hJ(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[367392+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}}while(0);e=a[367392+h|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function iJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=cd(b|0)|0;b=zb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}cd(h|0)|0;i=f;return b|0}function jJ(a){a=a|0;mF(a|0);jQ(a);return}function kJ(a){a=a|0;mF(a|0);return}function lJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];_d[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}UG(r,g);q=r|0;r=c[q>>2]|0;if(!((c[99156]|0)==-1)){c[m>>2]=396624;c[m+4>>2]=16;c[m+8>>2]=0;JF(396624,m,124)}m=(c[99157]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;oF(c[q>>2]|0)|0;UG(s,g);n=s|0;p=c[n>>2]|0;if(!((c[99060]|0)==-1)){c[l>>2]=396240;c[l+4>>2]=16;c[l+8>>2]=0;JF(396240,l,124)}d=(c[99061]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;oF(c[n>>2]|0)|0;z=t|0;A=x;Qd[c[(c[A>>2]|0)+24>>2]&127](z,y);Qd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(mJ(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];AG(t+12|0);AG(t|0);i=k;return}}while(0);o=xd(4)|0;IP(o);tc(o|0,365632,184)}}while(0);k=xd(4)|0;IP(k);tc(k|0,365632,184)}function mJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=bQ(l)|0;if((n|0)!=0){o=n;p=n;break}oQ();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=Sd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=Sd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=be[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(be[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){Sd[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}cQ(p);i=k;return ca|0}function nJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];oJ(a,0,j,k,f,g,h);i=b;return}function oJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;KJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}fG(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}fG(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((GJ(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Sd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=DO(I,c[o>>2]|0,h,t)|0;UL(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}function pJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];qJ(a,0,j,k,f,g,h);i=b;return}function qJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==64){t=8}else if((s|0)==8){t=16}else{t=10}s=k|0;KJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}fG(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}fG(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((GJ(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Sd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=CO(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;UL(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;YF(n);YF(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;YF(n);YF(m);i=d;return}function rJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];sJ(a,0,j,k,f,g,h);i=b;return}function sJ(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==0){u=0}else if((t|0)==64){u=8}else{u=10}t=l|0;KJ(n,h,t,m);h=o;GQ(h|0,0,12)|0;fG(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=Sd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=Sd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}fG(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}fG(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((GJ(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){Sd[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=BO(J,c[p>>2]|0,j,u)|0;UL(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=Sd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;YF(o);YF(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;YF(o);YF(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;YF(o);YF(n);i=e;return}function tJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];uJ(a,0,j,k,f,g,h);i=b;return}function uJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;KJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}fG(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}fG(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((GJ(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Sd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=AO(I,c[o>>2]|0,h,t)|0;UL(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}function vJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];wJ(a,0,j,k,f,g,h);i=b;return}function wJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;KJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}fG(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}fG(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((GJ(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Sd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=zO(I,c[o>>2]|0,h,t)|0;UL(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;YF(n);YF(m);i=d;return}function xJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];yJ(a,0,j,k,f,g,h);i=b;return}function yJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;KJ(m,g,s,l);g=n;GQ(g|0,0,12)|0;fG(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Sd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}fG(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}fG(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((GJ(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Sd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=yO(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;UL(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;YF(n);YF(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;YF(n);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;YF(n);YF(m);i=d;return}function zJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];AJ(a,0,j,k,f,g,h);i=b;return}function AJ(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;LJ(n,h,v,l,m);h=o;GQ(h|0,0,12)|0;fG(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Sd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}fG(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}fG(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Sd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((MJ(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Sd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+xO(L,c[p>>2]|0,j);UL(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Sd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Sd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}function BJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];CJ(a,0,j,k,f,g,h);i=b;return}function CJ(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;LJ(n,g,v,l,m);g=o;GQ(g|0,0,12)|0;fG(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Sd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}fG(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}fG(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Sd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((MJ(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Sd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+wO(L,c[p>>2]|0,j);UL(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Sd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Sd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}function DJ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];EJ(a,0,j,k,f,g,h);i=b;return}function EJ(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;LJ(n,g,v,l,m);g=o;GQ(g|0,0,12)|0;fG(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Sd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}fG(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}fG(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Sd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((MJ(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Sd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+vO(L,c[p>>2]|0,j);UL(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Sd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Sd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;YF(o);YF(n);i=d;return}function FJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;GQ(m|0,0,12)|0;UG(n,g);g=n|0;n=c[g>>2]|0;if(!((c[99156]|0)==-1)){c[k>>2]=396624;c[k+4>>2]=16;c[k+8>>2]=0;JF(396624,k,124)}k=(c[99157]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;ee[c[(c[u>>2]|0)+48>>2]&127](u,367392,367418,v)|0;oF(c[g>>2]|0)|0;u=o;GQ(u|0,0,12)|0;fG(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Sd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}fG(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}fG(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=Sd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((GJ(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){Sd[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);F=iJ(N,c[98800]|0,41968,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=Sd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;YF(o);YF(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;YF(o);YF(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;YF(o);YF(m);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function GJ(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[367392+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}}while(0);e=a[367392+l|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function HJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;UG(k,d);d=k|0;k=c[d>>2]|0;if(!((c[99158]|0)==-1)){c[j>>2]=396632;c[j+4>>2]=16;c[j+8>>2]=0;JF(396632,j,124)}j=(c[99159]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}ee[c[(c[m>>2]|0)+32>>2]&127](m,367392,367418,e)|0;m=c[d>>2]|0;if(!((c[99062]|0)==-1)){c[h>>2]=396248;c[h+4>>2]=16;c[h+8>>2]=0;JF(396248,h,124)}n=(c[99063]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=Sd[c[(c[p>>2]|0)+16>>2]&255](q)|0;Qd[c[(c[p>>2]|0)+20>>2]&127](b,q);oF(c[d>>2]|0)|0;i=g;return}}while(0);n=xd(4)|0;IP(n);tc(n|0,365632,184)}}while(0);g=xd(4)|0;IP(g);tc(g|0,365632,184)}function IJ(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;UG(l,d);d=l|0;l=c[d>>2]|0;if(!((c[99158]|0)==-1)){c[k>>2]=396632;c[k+4>>2]=16;c[k+8>>2]=0;JF(396632,k,124)}k=(c[99159]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}ee[c[(c[n>>2]|0)+32>>2]&127](n,367392,367424,e)|0;n=c[d>>2]|0;if(!((c[99062]|0)==-1)){c[j>>2]=396248;c[j+4>>2]=16;c[j+8>>2]=0;JF(396248,j,124)}o=(c[99063]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=Sd[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=Sd[c[(c[s>>2]|0)+16>>2]&255](r)|0;Qd[c[(c[q>>2]|0)+20>>2]&127](b,r);oF(c[d>>2]|0)|0;i=h;return}}while(0);o=xd(4)|0;IP(o);tc(o|0,365632,184)}}while(0);h=xd(4)|0;IP(h);tc(h|0,365632,184)}function JJ(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[367392+i|0]|0;if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function KJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;UG(j,b);b=j|0;j=c[b>>2]|0;if(!((c[99156]|0)==-1)){c[h>>2]=396624;c[h+4>>2]=16;c[h+8>>2]=0;JF(396624,h,124)}h=(c[99157]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}ee[c[(c[l>>2]|0)+48>>2]&127](l,367392,367418,d)|0;l=c[b>>2]|0;if(!((c[99060]|0)==-1)){c[g>>2]=396240;c[g+4>>2]=16;c[g+8>>2]=0;JF(396240,g,124)}m=(c[99061]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=Sd[c[(c[o>>2]|0)+16>>2]&255](p)|0;Qd[c[(c[o>>2]|0)+20>>2]&127](a,p);oF(c[b>>2]|0)|0;i=f;return}}while(0);m=xd(4)|0;IP(m);tc(m|0,365632,184)}}while(0);f=xd(4)|0;IP(f);tc(f|0,365632,184)}function LJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;UG(k,b);b=k|0;k=c[b>>2]|0;if(!((c[99156]|0)==-1)){c[j>>2]=396624;c[j+4>>2]=16;c[j+8>>2]=0;JF(396624,j,124)}j=(c[99157]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}ee[c[(c[m>>2]|0)+48>>2]&127](m,367392,367424,d)|0;m=c[b>>2]|0;if(!((c[99060]|0)==-1)){c[h>>2]=396240;c[h+4>>2]=16;c[h+8>>2]=0;JF(396240,h,124)}n=(c[99061]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=Sd[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=Sd[c[(c[r>>2]|0)+16>>2]&255](q)|0;Qd[c[(c[p>>2]|0)+20>>2]&127](a,q);oF(c[b>>2]|0)|0;i=g;return}}while(0);n=xd(4)|0;IP(n);tc(n|0,365632,184)}}while(0);g=xd(4)|0;IP(g);tc(g|0,365632,184)}function MJ(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[367392+n|0]|0;do{if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else if((n|0)==22|(n|0)==23){a[e]=80}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function NJ(a){a=a|0;mF(a|0);jQ(a);return}function OJ(a){a=a|0;mF(a|0);return}function PJ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];Xd[o&63](b,d,l,f,g,h&1);i=j;return}UG(m,f);f=m|0;m=c[f>>2]|0;if(!((c[99062]|0)==-1)){c[k>>2]=396248;c[k+4>>2]=16;c[k+8>>2]=0;JF(396248,k,124)}k=(c[99063]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;oF(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Qd[c[o+24>>2]&127](n,d)}else{Qd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((be[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];YF(n);i=j;return}}while(0);j=xd(4)|0;IP(j);tc(j|0,365632,184)}function QJ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[359184]|0;a[q+1|0]=a[359185]|0;a[q+2|0]=a[359186]|0;a[q+3|0]=a[359187]|0;a[q+4|0]=a[359188]|0;a[q+5|0]=a[359189]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);v=RJ(u,12,c[98800]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;UG(o,f);SJ(u,w,q,x,m,n,o);oF(c[o>>2]|0)|0;c[p>>2]=c[e>>2];xC(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function RJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=cd(d|0)|0;d=dd(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}cd(j|0)|0;i=g;return d|0}function SJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[99158]|0)==-1)){c[m>>2]=396632;c[m+4>>2]=16;c[m+8>>2]=0;JF(396632,m,124)}m=(c[99159]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}q=j;r=c[o>>2]|0;if(!((c[99062]|0)==-1)){c[l>>2]=396248;c[l+4>>2]=16;c[l+8>>2]=0;JF(396248,l,124)}l=(c[99063]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}s=r;Qd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){ee[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=be[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=be[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=be[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=Sd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=be[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;YF(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;YF(n);i=k;return}}function TJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);t=RJ(u,22,c[98800]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;UG(p,f);SJ(u,w,r,x,n,o,p);oF(c[p>>2]|0)|0;c[q>>2]=c[e>>2];xC(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function UJ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[359184]|0;a[q+1|0]=a[359185]|0;a[q+2|0]=a[359186]|0;a[q+3|0]=a[359187]|0;a[q+4|0]=a[359188]|0;a[q+5|0]=a[359189]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);t=RJ(u,12,c[98800]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;UG(o,f);SJ(u,w,q,x,m,n,o);oF(c[o>>2]|0)|0;c[p>>2]=c[e>>2];xC(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function VJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);t=RJ(u,23,c[98800]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;UG(p,f);SJ(u,w,r,x,n,o,p);oF(c[p>>2]|0)|0;c[q>>2]=c[e>>2];xC(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function WJ(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=c[98800]|0;if(y){w=RJ(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=RJ(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[397192]|0)==0;if(y){do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=XJ(m,c[98800]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);w=XJ(m,c[98800]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}oQ();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=bQ(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}oQ();H=0;I=0;J=c[m>>2]|0}}while(0);UG(q,f);YJ(J,F,A,H,o,p,q);oF(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];xC(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){cQ(I)}if((D|0)==0){i=d;return}cQ(D);i=d;return}function XJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=cd(b|0)|0;b=Ib(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}cd(h|0)|0;i=f;return b|0}function YJ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[99158]|0)==-1)){c[m>>2]=396632;c[m+4>>2]=16;c[m+8>>2]=0;JF(396632,m,124)}m=(c[99159]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}q=j;r=c[o>>2]|0;if(!((c[99062]|0)==-1)){c[l>>2]=396248;c[l+4>>2]=16;c[l+8>>2]=0;JF(396248,l,124)}l=(c[99063]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}s=r;Qd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=be[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=be[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=be[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((hb(t<<24>>24|0,c[98800]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((Hb(p<<24>>24|0,c[98800]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){ee[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=Sd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=be[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=be[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=Sd[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);ee[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;YF(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;YF(n);i=k;return}function ZJ(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=c[98800]|0;if(y){w=RJ(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=RJ(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[397192]|0)==0;if(y){do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=XJ(m,c[98800]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);w=XJ(m,c[98800]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}oQ();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=bQ(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}oQ();H=0;I=0;J=c[m>>2]|0}}while(0);UG(q,f);YJ(J,F,A,H,o,p,q);oF(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];xC(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){cQ(I)}if((D|0)==0){i=d;return}cQ(D);i=d;return}function _J(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[359192]|0;a[o+1|0]=a[359193]|0;a[o+2|0]=a[359194]|0;a[o+3|0]=a[359195]|0;a[o+4|0]=a[359196]|0;a[o+5|0]=a[359197]|0;p=k|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);q=RJ(p,20,c[98800]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}UG(m,f);t=m|0;m=c[t>>2]|0;if(!((c[99158]|0)==-1)){c[j>>2]=396632;c[j+4>>2]=16;c[j+8>>2]=0;JF(396632,j,124)}j=(c[99159]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}oF(c[t>>2]|0)|0;u=l|0;ee[c[(c[r>>2]|0)+32>>2]&127](r,p,o,u)|0;r=l+q|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;xC(b,n,u,v,r,f,g);i=d;return}v=l+(s-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;xC(b,n,u,v,r,f,g);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function $J(a){a=a|0;mF(a|0);jQ(a);return}function aK(a){a=a|0;mF(a|0);return}function bK(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];Xd[o&63](b,d,l,f,g,h&1);i=j;return}UG(m,f);f=m|0;m=c[f>>2]|0;if(!((c[99060]|0)==-1)){c[k>>2]=396240;c[k+4>>2]=16;c[k+8>>2]=0;JF(396240,k,124)}k=(c[99061]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;oF(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Qd[c[o+24>>2]&127](n,d)}else{Qd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=be[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];AG(n);i=j;return}}while(0);j=xd(4)|0;IP(j);tc(j|0,365632,184)}function cK(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[359184]|0;a[q+1|0]=a[359185]|0;a[q+2|0]=a[359186]|0;a[q+3|0]=a[359187]|0;a[q+4|0]=a[359188]|0;a[q+5|0]=a[359189]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);t=RJ(u,12,c[98800]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;UG(o,f);dK(u,w,q,x,m,n,o);oF(c[o>>2]|0)|0;c[p>>2]=c[e>>2];eK(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function dK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[99156]|0)==-1)){c[m>>2]=396624;c[m+4>>2]=16;c[m+8>>2]=0;JF(396624,m,124)}m=(c[99157]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}q=j;r=c[o>>2]|0;if(!((c[99060]|0)==-1)){c[l>>2]=396240;c[l+4>>2]=16;c[l+8>>2]=0;JF(396240,l,124)}l=(c[99061]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}s=r;Qd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){ee[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=be[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=be[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=be[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=Sd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=be[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;YF(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;YF(n);i=k;return}function eK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((Ud[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){zG(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((Ud[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){AG(l);break}c[m>>2]=0;c[b>>2]=0;AG(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((Ud[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}



function fK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);t=RJ(u,22,c[98800]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;UG(p,f);dK(u,w,r,x,n,o,p);oF(c[p>>2]|0)|0;c[q>>2]=c[e>>2];eK(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function gK(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[359184]|0;a[q+1|0]=a[359185]|0;a[q+2|0]=a[359186]|0;a[q+3|0]=a[359187]|0;a[q+4|0]=a[359188]|0;a[q+5|0]=a[359189]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);t=RJ(u,12,c[98800]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;UG(o,f);dK(u,w,q,x,m,n,o);oF(c[o>>2]|0)|0;c[p>>2]=c[e>>2];eK(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function hK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);t=RJ(u,23,c[98800]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;UG(p,f);dK(u,w,r,x,n,o,p);oF(c[p>>2]|0)|0;c[q>>2]=c[e>>2];eK(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function iK(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=c[98800]|0;if(y){w=RJ(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=RJ(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[397192]|0)==0;if(y){do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=XJ(m,c[98800]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);w=XJ(m,c[98800]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}oQ();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=bQ(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}oQ();H=B;I=B;J=c[m>>2]|0}}while(0);UG(q,f);jK(J,F,A,H,o,p,q);oF(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];eK(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){cQ(I)}if((D|0)==0){i=d;return}cQ(D);i=d;return}function jK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[99156]|0)==-1)){c[m>>2]=396624;c[m+4>>2]=16;c[m+8>>2]=0;JF(396624,m,124)}m=(c[99157]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;IP(r);tc(q|0,365632,184)}q=j;r=c[o>>2]|0;if(!((c[99060]|0)==-1)){c[l>>2]=396240;c[l+4>>2]=16;c[l+8>>2]=0;JF(396240,l,124)}l=(c[99061]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;IP(t);tc(s|0,365632,184)}s=r;Qd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=be[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=be[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=be[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((hb(t<<24>>24|0,c[98800]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((Hb(p<<24>>24|0,c[98800]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){ee[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=Sd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=be[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=be[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=Sd[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);ee[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;YF(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;YF(n);i=k;return}function kK(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=c[98800]|0;if(y){w=RJ(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=RJ(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[397192]|0)==0;if(y){do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=XJ(m,c[98800]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);w=XJ(m,c[98800]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}oQ();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=bQ(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}oQ();H=B;I=B;J=c[m>>2]|0}}while(0);UG(q,f);jK(J,F,A,H,o,p,q);oF(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];eK(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){cQ(I)}if((D|0)==0){i=d;return}cQ(D);i=d;return}function lK(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[359192]|0;a[o+1|0]=a[359193]|0;a[o+2|0]=a[359194]|0;a[o+3|0]=a[359195]|0;a[o+4|0]=a[359196]|0;a[o+5|0]=a[359197]|0;p=k|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);q=RJ(p,20,c[98800]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}UG(m,f);t=m|0;m=c[t>>2]|0;if(!((c[99156]|0)==-1)){c[j>>2]=396624;c[j+4>>2]=16;c[j+8>>2]=0;JF(396624,j,124)}j=(c[99157]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}oF(c[t>>2]|0)|0;u=l|0;ee[c[(c[s>>2]|0)+48>>2]&127](s,p,o,u)|0;s=l+(q<<2)|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;eK(b,n,u,v,s,f,g);i=d;return}v=l+(r-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;eK(b,n,u,v,s,f,g);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function mK(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;UG(p,h);t=p|0;p=c[t>>2]|0;if(!((c[99158]|0)==-1)){c[o>>2]=396632;c[o+4>>2]=16;c[o+8>>2]=0;JF(396632,o,124)}o=(c[99159]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;oF(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((Sd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((Sd[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((Ud[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(Sd[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=be[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(be[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=Ud[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=Ud[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;ae[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((Sd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((Sd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(Sd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){Sd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){Sd[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((Sd[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((Sd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=xd(4)|0;IP(n);tc(n|0,365632,184)}function nK(a){a=a|0;mF(a|0);jQ(a);return}function oK(a){a=a|0;mF(a|0);return}function pK(a){a=a|0;return 2}function qK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];mK(a,b,k,l,f,g,h,359176,359184);i=j;return}function rK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Sd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}mK(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function sK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;UG(m,f);f=m|0;m=c[f>>2]|0;if(!((c[99158]|0)==-1)){c[l>>2]=396632;c[l+4>>2]=16;c[l+8>>2]=0;JF(396632,l,124)}l=(c[99159]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}oF(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Sd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(PI(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;IP(j);tc(j|0,365632,184)}function tK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;UG(m,f);f=m|0;m=c[f>>2]|0;if(!((c[99158]|0)==-1)){c[l>>2]=396632;c[l+4>>2]=16;c[l+8>>2]=0;JF(396632,l,124)}l=(c[99159]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}oF(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Sd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(PI(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;IP(j);tc(j|0,365632,184)}function uK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;UG(l,f);f=l|0;l=c[f>>2]|0;if(!((c[99158]|0)==-1)){c[k>>2]=396632;c[k+4>>2]=16;c[k+8>>2]=0;JF(396632,k,124)}k=(c[99159]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}oF(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=zK(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=xd(4)|0;IP(b);tc(b|0,365632,184)}function vK(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;UG(z,g);_=z|0;z=c[_>>2]|0;if(!((c[99158]|0)==-1)){c[y>>2]=396632;c[y+4>>2]=16;c[y+8>>2]=0;JF(396632,y,124)}y=(c[99159]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;oF(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 121:{c[n>>2]=c[f>>2];aa=zK(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((aa|0)<69){ca=aa+2e3|0}else{ca=(aa-69|0)>>>0<31>>>0?aa+1900|0:aa}c[j+20>>2]=ca-1900;break};case 98:case 66:case 104:{aa=c[f>>2]|0;da=d+8|0;ea=Sd[c[(c[da>>2]|0)+4>>2]&255](da)|0;c[w>>2]=aa;aa=(PI(e,w,ea,ea+288|0,ba,h,0)|0)-ea|0;if((aa|0)>=288){break a}c[j+16>>2]=((aa|0)/12|0|0)%12|0;break};case 106:{c[s>>2]=c[f>>2];aa=zK(e,s,h,ba,3)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(aa|0)<366){c[j+28>>2]=aa;break a}else{c[h>>2]=ea|4;break a}break};case 97:case 65:{ea=c[f>>2]|0;aa=d+8|0;da=Sd[c[c[aa>>2]>>2]&255](aa)|0;c[x>>2]=ea;ea=(PI(e,x,da,da+168|0,ba,h,0)|0)-da|0;if((ea|0)>=168){break a}c[j+24>>2]=((ea|0)/12|0|0)%7|0;break};case 73:{ea=j+8|0;c[t>>2]=c[f>>2];da=zK(e,t,h,ba,2)|0;aa=c[h>>2]|0;do{if((aa&4|0)==0){if(!((da-1|0)>>>0<12>>>0)){break}c[ea>>2]=da;break a}}while(0);c[h>>2]=aa|4;break};case 110:case 116:{c[J>>2]=c[f>>2];wK(0,e,J,h,ba);break};case 37:{c[Z>>2]=c[f>>2];yK(0,e,Z,h,ba);break};case 77:{c[q>>2]=c[f>>2];da=zK(e,q,h,ba,2)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(da|0)<60){c[j+4>>2]=da;break a}else{c[h>>2]=ea|4;break a}break};case 119:{c[o>>2]=c[f>>2];ea=zK(e,o,h,ba,1)|0;da=c[h>>2]|0;if((da&4|0)==0&(ea|0)<7){c[j+24>>2]=ea;break a}else{c[h>>2]=da|4;break a}break};case 68:{da=e|0;c[E>>2]=c[da>>2];c[F>>2]=c[f>>2];mK(D,d,E,F,g,h,j,359168,359176);c[da>>2]=c[D>>2];break};case 120:{da=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];_d[da&127](b,d,U,V,g,h,j);i=l;return};case 88:{da=d+8|0;ea=Sd[c[(c[da>>2]|0)+24>>2]&255](da)|0;da=e|0;c[X>>2]=c[da>>2];c[Y>>2]=c[f>>2];fa=a[ea]|0;if((fa&1)==0){ga=(fa&255)>>>1;ha=ea+1|0;ia=ea+1|0}else{fa=c[ea+8>>2]|0;ga=c[ea+4>>2]|0;ha=fa;ia=fa}mK(W,d,X,Y,g,h,j,ha,ia+ga|0);c[da>>2]=c[W>>2];break};case 82:{da=e|0;c[P>>2]=c[da>>2];c[Q>>2]=c[f>>2];mK(O,d,P,Q,g,h,j,359136,359141);c[da>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];da=zK(e,p,h,ba,2)|0;fa=c[h>>2]|0;if((fa&4|0)==0&(da|0)<61){c[j>>2]=da;break a}else{c[h>>2]=fa|4;break a}break};case 112:{c[K>>2]=c[f>>2];xK(d,j+8|0,e,K,h,ba);break};case 114:{fa=e|0;c[M>>2]=c[fa>>2];c[N>>2]=c[f>>2];mK(L,d,M,N,g,h,j,359144,359155);c[fa>>2]=c[L>>2];break};case 72:{c[u>>2]=c[f>>2];fa=zK(e,u,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(fa|0)<24){c[j+8>>2]=fa;break a}else{c[h>>2]=da|4;break a}break};case 109:{c[r>>2]=c[f>>2];da=(zK(e,r,h,ba,2)|0)-1|0;fa=c[h>>2]|0;if((fa&4|0)==0&(da|0)<12){c[j+16>>2]=da;break a}else{c[h>>2]=fa|4;break a}break};case 89:{c[m>>2]=c[f>>2];fa=zK(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=fa-1900;break};case 99:{fa=d+8|0;da=Sd[c[(c[fa>>2]|0)+12>>2]&255](fa)|0;fa=e|0;c[B>>2]=c[fa>>2];c[C>>2]=c[f>>2];ea=a[da]|0;if((ea&1)==0){ja=(ea&255)>>>1;ka=da+1|0;la=da+1|0}else{ea=c[da+8>>2]|0;ja=c[da+4>>2]|0;ka=ea;la=ea}mK(A,d,B,C,g,h,j,ka,la+ja|0);c[fa>>2]=c[A>>2];break};case 84:{fa=e|0;c[S>>2]=c[fa>>2];c[T>>2]=c[f>>2];mK(R,d,S,T,g,h,j,359128,359136);c[fa>>2]=c[R>>2];break};case 70:{fa=e|0;c[H>>2]=c[fa>>2];c[I>>2]=c[f>>2];mK(G,d,H,I,g,h,j,359160,359168);c[fa>>2]=c[G>>2];break};case 100:case 101:{fa=j+12|0;c[v>>2]=c[f>>2];ea=zK(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ea-1|0)>>>0<31>>>0)){break}c[fa>>2]=ea;break a}}while(0);c[h>>2]=da|4;break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=xd(4)|0;IP(l);tc(l|0,365632,184)}function wK(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((Sd[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((Sd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(Sd[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){Sd[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((Sd[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((Sd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function xK(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Sd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=PI(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function yK(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((Sd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Sd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(Sd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((Ud[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){Sd[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((Sd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((Sd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function zK(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((Sd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Sd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(Sd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(Ud[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){Sd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((Sd[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((Sd[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((Ud[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){Sd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function AK(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;UG(n,f);r=n|0;n=c[r>>2]|0;if(!((c[99156]|0)==-1)){c[m>>2]=396624;c[m+4>>2]=16;c[m+8>>2]=0;JF(396624,m,124)}m=(c[99157]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;oF(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Sd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=Sd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((Ud[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(Ud[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=Sd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=be[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(be[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=Ud[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=Ud[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;ae[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(Ud[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=Sd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=Sd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=Sd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(Ud[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){Sd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){Sd[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=Sd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=Sd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=xd(4)|0;IP(l);tc(l|0,365632,184)}function BK(a){a=a|0;mF(a|0);jQ(a);return}function CK(a){a=a|0;mF(a|0);return}function DK(a){a=a|0;return 2}function EK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];AK(a,b,k,l,f,g,h,359096,359128);i=j;return}function FK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Sd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}AK(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function GK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;UG(m,f);f=m|0;m=c[f>>2]|0;if(!((c[99156]|0)==-1)){c[l>>2]=396624;c[l+4>>2]=16;c[l+8>>2]=0;JF(396624,l,124)}l=(c[99157]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}oF(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Sd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(mJ(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;IP(j);tc(j|0,365632,184)}function HK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;UG(m,f);f=m|0;m=c[f>>2]|0;if(!((c[99156]|0)==-1)){c[l>>2]=396624;c[l+4>>2]=16;c[l+8>>2]=0;JF(396624,l,124)}l=(c[99157]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}oF(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Sd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(mJ(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;IP(j);tc(j|0,365632,184)}function IK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;UG(l,f);f=l|0;l=c[f>>2]|0;if(!((c[99156]|0)==-1)){c[k>>2]=396624;c[k+4>>2]=16;c[k+8>>2]=0;JF(396624,k,124)}k=(c[99157]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}oF(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=NK(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=xd(4)|0;IP(b);tc(b|0,365632,184)}function JK(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;UG(z,g);_=z|0;z=c[_>>2]|0;if(!((c[99156]|0)==-1)){c[y>>2]=396624;c[y+4>>2]=16;c[y+8>>2]=0;JF(396624,y,124)}y=(c[99157]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;oF(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 68:{aa=e|0;c[E>>2]=c[aa>>2];c[F>>2]=c[f>>2];AK(D,d,E,F,g,h,j,359064,359096);c[aa>>2]=c[D>>2];break};case 37:{c[Z>>2]=c[f>>2];MK(0,e,Z,h,ba);break};case 109:{c[r>>2]=c[f>>2];aa=(NK(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<12){c[j+16>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 82:{ca=e|0;c[P>>2]=c[ca>>2];c[Q>>2]=c[f>>2];AK(O,d,P,Q,g,h,j,358992,359012);c[ca>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];ca=NK(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<61){c[j>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 84:{aa=e|0;c[S>>2]=c[aa>>2];c[T>>2]=c[f>>2];AK(R,d,S,T,g,h,j,358960,358992);c[aa>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];aa=NK(e,o,h,ba,1)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 89:{c[m>>2]=c[f>>2];ca=NK(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ca-1900;break};case 121:{c[n>>2]=c[f>>2];ca=NK(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ca|0)<69){da=ca+2e3|0}else{da=(ca-69|0)>>>0<31>>>0?ca+1900|0:ca}c[j+20>>2]=da-1900;break};case 70:{ca=e|0;c[H>>2]=c[ca>>2];c[I>>2]=c[f>>2];AK(G,d,H,I,g,h,j,358928,358960);c[ca>>2]=c[G>>2];break};case 99:{ca=d+8|0;aa=Sd[c[(c[ca>>2]|0)+12>>2]&255](ca)|0;ca=e|0;c[B>>2]=c[ca>>2];c[C>>2]=c[f>>2];ea=a[aa]|0;if((ea&1)==0){fa=(ea&255)>>>1;ga=aa+4|0;ha=aa+4|0}else{ea=c[aa+8>>2]|0;fa=c[aa+4>>2]|0;ga=ea;ha=ea}AK(A,d,B,C,g,h,j,ga,ha+(fa<<2)|0);c[ca>>2]=c[A>>2];break};case 106:{c[s>>2]=c[f>>2];ca=NK(e,s,h,ba,3)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=ea|4;break a}break};case 120:{ea=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];_d[ea&127](b,d,U,V,g,h,j);i=l;return};case 88:{ea=d+8|0;ca=Sd[c[(c[ea>>2]|0)+24>>2]&255](ea)|0;ea=e|0;c[X>>2]=c[ea>>2];c[Y>>2]=c[f>>2];aa=a[ca]|0;if((aa&1)==0){ia=(aa&255)>>>1;ja=ca+4|0;ka=ca+4|0}else{aa=c[ca+8>>2]|0;ia=c[ca+4>>2]|0;ja=aa;ka=aa}AK(W,d,X,Y,g,h,j,ja,ka+(ia<<2)|0);c[ea>>2]=c[W>>2];break};case 100:case 101:{ea=j+12|0;c[v>>2]=c[f>>2];aa=NK(e,v,h,ba,2)|0;ca=c[h>>2]|0;do{if((ca&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[ea>>2]=aa;break a}}while(0);c[h>>2]=ca|4;break};case 77:{c[q>>2]=c[f>>2];aa=NK(e,q,h,ba,2)|0;ea=c[h>>2]|0;if((ea&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=ea|4;break a}break};case 110:case 116:{c[J>>2]=c[f>>2];KK(0,e,J,h,ba);break};case 98:case 66:case 104:{ea=c[f>>2]|0;aa=d+8|0;la=Sd[c[(c[aa>>2]|0)+4>>2]&255](aa)|0;c[w>>2]=ea;ea=(mJ(e,w,la,la+288|0,ba,h,0)|0)-la|0;if((ea|0)>=288){break a}c[j+16>>2]=((ea|0)/12|0|0)%12|0;break};case 97:case 65:{ea=c[f>>2]|0;la=d+8|0;aa=Sd[c[c[la>>2]>>2]&255](la)|0;c[x>>2]=ea;ea=(mJ(e,x,aa,aa+168|0,ba,h,0)|0)-aa|0;if((ea|0)>=168){break a}c[j+24>>2]=((ea|0)/12|0|0)%7|0;break};case 72:{c[u>>2]=c[f>>2];ea=NK(e,u,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ea|0)<24){c[j+8>>2]=ea;break a}else{c[h>>2]=aa|4;break a}break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];ea=NK(e,t,h,ba,2)|0;la=c[h>>2]|0;do{if((la&4|0)==0){if(!((ea-1|0)>>>0<12>>>0)){break}c[aa>>2]=ea;break a}}while(0);c[h>>2]=la|4;break};case 112:{c[K>>2]=c[f>>2];LK(d,j+8|0,e,K,h,ba);break};case 114:{ea=e|0;c[M>>2]=c[ea>>2];c[N>>2]=c[f>>2];AK(L,d,M,N,g,h,j,359016,359060);c[ea>>2]=c[L>>2];break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=xd(4)|0;IP(l);tc(l|0,365632,184)}function KK(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=Sd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=Sd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=Sd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(Ud[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){Sd[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=Sd[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=Sd[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function LK(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Sd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=mJ(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function MK(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=Sd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=Sd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=Sd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((Ud[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){Sd[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=Sd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=Sd[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function NK(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=Sd[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=Sd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=Sd[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(Ud[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(Ud[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){Sd[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=Sd[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=Sd[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(Ud[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((Ud[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){Sd[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=Sd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function OK(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((e|0)==(c[98800]|0)){f=b|0;mF(f);g=b;jQ(g);return}Tb(c[d>>2]|0);f=b|0;mF(f);g=b;jQ(g);return}function PK(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((e|0)==(c[98800]|0)){f=b|0;mF(f);return}Tb(c[d>>2]|0);f=b|0;mF(f);return}function QK(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=id(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(be[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function RK(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((e|0)==(c[98800]|0)){f=b|0;mF(f);g=b;jQ(g);return}Tb(c[d>>2]|0);f=b|0;mF(f);g=b;jQ(g);return}function SK(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((e|0)==(c[98800]|0)){f=b|0;mF(f);return}Tb(c[d>>2]|0);f=b|0;mF(f);return}function TK(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;UK(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=be[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function UK(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;id(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=cd(c[g>>2]|0)|0;g=eP(d,m,n,l)|0;if((f|0)!=0){cd(f|0)|0}if((g|0)==-1){QL(39360)}else{c[e>>2]=d+(g<<2);i=j;return}}function VK(a){a=a|0;mF(a|0);jQ(a);return}function WK(a){a=a|0;mF(a|0);return}function XK(a){a=a|0;return 127}function YK(a){a=a|0;return 127}function ZK(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function _K(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function $K(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function aL(a,b){a=a|0;b=b|0;UF(a,1,45);return}function bL(a){a=a|0;return 0}function cL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function dL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function eL(a){a=a|0;mF(a|0);jQ(a);return}function fL(a){a=a|0;mF(a|0);return}function gL(a){a=a|0;return 127}function hL(a){a=a|0;return 127}function iL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function jL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function kL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function lL(a,b){a=a|0;b=b|0;UF(a,1,45);return}function mL(a){a=a|0;return 0}function nL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function oL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function pL(a){a=a|0;mF(a|0);jQ(a);return}function qL(a){a=a|0;mF(a|0);return}function rL(a){a=a|0;return 2147483647}function sL(a){a=a|0;return 2147483647}function tL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function uL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function vL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function wL(a,b){a=a|0;b=b|0;zG(a,1,45);return}function xL(a){a=a|0;return 0}function yL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function zL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function AL(a){a=a|0;mF(a|0);jQ(a);return}function BL(a){a=a|0;mF(a|0);return}function CL(a){a=a|0;return 2147483647}function DL(a){a=a|0;return 2147483647}function EL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function FL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function GL(a,b){a=a|0;b=b|0;GQ(a|0,0,12)|0;return}function HL(a,b){a=a|0;b=b|0;zG(a,1,45);return}function IL(a){a=a|0;return 0}function JL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function KL(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function LL(a){a=a|0;mF(a|0);jQ(a);return}function ML(a){a=a|0;mF(a|0);return}function NL(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=220;w=m+100|0;UG(p,h);m=p|0;x=c[m>>2]|0;if(!((c[99158]|0)==-1)){c[l>>2]=396632;c[l+4>>2]=16;c[l+8>>2]=0;JF(396632,l,124)}l=(c[99159]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(PL(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;ee[c[(c[z>>2]|0)+32>>2]&127](A,358912,358922,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=bQ(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}oQ();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[358912+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=ub(D|0,350312,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}cQ(J);break}M=xd(8)|0;uF(M,349104);tc(M|0,365648,30)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((Sd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((Sd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;oF(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Pd[c[v>>2]&511](B);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function OL(a){a=a|0;return}function PL(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;GQ(D|0,0,12)|0;E=w;GQ(E|0,0,12)|0;F=x;GQ(F|0,0,12)|0;G=y;GQ(G|0,0,12)|0;H=z;GQ(H|0,0,12)|0;TL(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=220;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((Sd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((Sd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 0:{ba=42;break};case 3:{aa=a[F]|0;ha=(aa&1)==0;if(ha){ia=(aa&255)>>>1}else{ia=c[L>>2]|0}ja=a[G]|0;ka=(ja&1)==0;if(ka){la=(ja&255)>>>1}else{la=c[I>>2]|0}if((ia|0)==(-la|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(ha){sa=(aa&255)>>>1}else{sa=c[L>>2]|0}do{if((sa|0)!=0){if(ka){ta=(ja&255)>>>1}else{ta=c[I>>2]|0}if((ta|0)==0){break}ua=c[g>>2]|0;va=c[ua+12>>2]|0;wa=c[ua+16>>2]|0;if((va|0)==(wa|0)){xa=(Sd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255;ya=c[g>>2]|0;za=xa;Aa=a[F]|0;Ba=ya;Ca=c[ya+12>>2]|0;Da=c[ya+16>>2]|0}else{za=a[va]|0;Aa=aa;Ba=ua;Ca=va;Da=wa}wa=Ba+12|0;va=(Ca|0)==(Da|0);if(za<<24>>24==(a[(Aa&1)==0?K:c[M>>2]|0]|0)){if(va){Sd[c[(c[Ba>>2]|0)+40>>2]&255](Ba)|0}else{c[wa>>2]=Ca+1}wa=a[F]|0;if((wa&1)==0){Ea=(wa&255)>>>1}else{Ea=c[L>>2]|0}ma=Ea>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(va){Fa=(Sd[c[(c[Ba>>2]|0)+36>>2]&255](Ba)|0)&255}else{Fa=a[Ca]|0}if(!(Fa<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}va=c[g>>2]|0;wa=va+12|0;ua=c[wa>>2]|0;if((ua|0)==(c[va+16>>2]|0)){Sd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[wa>>2]=ua+1}a[l]=1;ua=a[G]|0;if((ua&1)==0){Ga=(ua&255)>>>1}else{Ga=c[I>>2]|0}ma=Ga>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}while(0);if(ha){Ha=(aa&255)>>>1}else{Ha=c[L>>2]|0}ka=c[g>>2]|0;ua=c[ka+12>>2]|0;wa=(ua|0)==(c[ka+16>>2]|0);if((Ha|0)==0){if(wa){va=(Sd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;Ia=va;Ja=a[G]|0}else{Ia=a[ua]|0;Ja=ja}if(!(Ia<<24>>24==(a[(Ja&1)==0?m:c[J>>2]|0]|0))){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}va=c[g>>2]|0;ya=va+12|0;xa=c[ya>>2]|0;if((xa|0)==(c[va+16>>2]|0)){Sd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[ya>>2]=xa+1}a[l]=1;xa=a[G]|0;if((xa&1)==0){Ka=(xa&255)>>>1}else{Ka=c[I>>2]|0}ma=Ka>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(wa){wa=(Sd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;La=wa;Ma=a[F]|0}else{La=a[ua]|0;Ma=aa}if(!(La<<24>>24==(a[(Ma&1)==0?K:c[M>>2]|0]|0))){a[l]=1;ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}ua=c[g>>2]|0;wa=ua+12|0;ka=c[wa>>2]|0;if((ka|0)==(c[ua+16>>2]|0)){Sd[c[(c[ua>>2]|0)+40>>2]&255](ua)|0}else{c[wa>>2]=ka+1}ka=a[F]|0;if((ka&1)==0){Na=(ka&255)>>>1}else{Na=c[L>>2]|0}ma=Na>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break};case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}ka=c[g>>2]|0;wa=c[ka+12>>2]|0;if((wa|0)==(c[ka+16>>2]|0)){Oa=(Sd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255}else{Oa=a[wa]|0}if(Oa<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(Oa<<24>>24<<1)>>1]&8192)==0){ba=41;break a}wa=c[g>>2]|0;ka=wa+12|0;ua=c[ka>>2]|0;if((ua|0)==(c[wa+16>>2]|0)){Pa=(Sd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0)&255}else{c[ka>>2]=ua+1;Pa=a[ua]|0}oG(z,Pa);ba=42;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){ma=0;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}ua=a[E]|0;ka=(ua&1)==0;wa=ka?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ua;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}xa=wa+(ka?(ua&255)>>>1:c[P>>2]|0)|0;ya=wa;while(1){if((ya|0)==(xa|0)){Va=xa;break}va=a[ya]|0;if(va<<24>>24<0){Va=ya;break}if((b[(c[f>>2]|0)+(va<<24>>24<<1)>>1]&8192)==0){Va=ya;break}else{ya=ya+1|0}}ya=Va-wa|0;xa=a[H]|0;va=(xa&1)==0;if(va){Wa=(xa&255)>>>1}else{Wa=c[T>>2]|0}if(ya>>>0>Wa>>>0){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}if(va){va=(xa&255)>>>1;Xa=va;Ya=R;Za=va-ya+(Q+1)|0}else{va=c[S>>2]|0;xa=c[T>>2]|0;Xa=xa;Ya=va;Za=va+(xa-ya)|0}ya=Ya+Xa|0;if((Za|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break c}xa=_a+1|0;if((xa|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=xa;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ua=c[g>>2]|0;do{if((ua|0)==0){cb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){cb=ua;break}if((Sd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ua=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ua){eb=Ta;fb=Ua;break}else{break d}}if((Sd[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ua^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ua){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ka=c[wa+12>>2]|0;if((ka|0)==(c[wa+16>>2]|0)){gb=(Sd[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ka]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ka=c[g>>2]|0;wa=ka+12|0;aa=c[wa>>2]|0;if((aa|0)==(c[ka+16>>2]|0)){Sd[c[(c[ka>>2]|0)+40>>2]&255](ka)|0}else{c[wa>>2]=aa+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}aa=a[E]|0;if((aa&1)==0){hb=(aa&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}else{ba=189;break a}break};case 4:{aa=0;wa=C;ka=Y;ja=X;ha=p;ya=n;e:while(1){xa=c[g>>2]|0;do{if((xa|0)==0){jb=0}else{if((c[xa+12>>2]|0)!=(c[xa+16>>2]|0)){jb=xa;break}if((Sd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);xa=(jb|0)==0;ua=c[e>>2]|0;do{if((ua|0)==0){ba=202}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){if(xa){break}else{break e}}if((Sd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[e>>2]=0;ba=202;break}else{if(xa){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(xa){break}}ua=c[g>>2]|0;va=c[ua+12>>2]|0;if((va|0)==(c[ua+16>>2]|0)){kb=(Sd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255}else{kb=a[va]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}va=c[o>>2]|0;if((va|0)==(ya|0)){ua=(c[W>>2]|0)!=220;lb=c[h>>2]|0;mb=ya-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=eQ(ua?lb:0,nb)|0;if((ob|0)==0){oQ()}do{if(ua){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}Pd[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=100;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=ya;rb=va}c[o>>2]=rb+1;a[rb]=kb;sb=aa+1|0;tb=wa;ub=ka;vb=ja;wb=ha;xb=qb}}while(0);if((ba|0)==221){ba=0;xa=a[D]|0;if((xa&1)==0){yb=(xa&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(aa|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ka|0)==(wa|0)){xa=ka-ja|0;ob=xa>>>0<2147483647>>>0?xa<<1:-1;if((ha|0)==220){zb=0}else{zb=ja}ua=eQ(zb,ob)|0;lb=ua;if((ua|0)==0){oQ()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(xa>>2<<2)|0;Cb=lb;Db=100}else{Ab=wa;Bb=ka;Cb=ja;Db=ha}c[Bb>>2]=aa;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=ya}lb=c[g>>2]|0;xa=lb+12|0;ob=c[xa>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){Sd[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}else{c[xa>>2]=ob+1;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}}if((ja|0)==(ka|0)|(aa|0)==0){Eb=wa;Fb=ka;Gb=ja;Hb=ha}else{if((ka|0)==(wa|0)){ob=ka-ja|0;xa=ob>>>0<2147483647>>>0?ob<<1:-1;if((ha|0)==220){Ib=0}else{Ib=ja}lb=eQ(Ib,xa)|0;ua=lb;if((lb|0)==0){oQ()}Jb=ua+(xa>>>2<<2)|0;Kb=ua+(ob>>2<<2)|0;Lb=ua;Mb=100}else{Jb=wa;Kb=ka;Lb=ja;Mb=ha}c[Kb>>2]=aa;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ua=c[g>>2]|0;do{if((ua|0)==0){Nb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){Nb=ua;break}if((Sd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ua=(Nb|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=257}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(ua){Ob=aa;break}else{ba=264;break a}}if((Sd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ua){Ob=aa;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ua){ba=264;break a}else{Ob=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Pb=(Sd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Pb=a[ha]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){Sd[c[(c[ha>>2]|0)+40>>2]&255](ha)|0;Qb=ya;Rb=Ob;Sb=Ob}else{c[aa>>2]=ja+1;Qb=ya;Rb=Ob;Sb=Ob}while(1){ja=c[g>>2]|0;do{if((ja|0)==0){Tb=0}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){Tb=ja;break}if((Sd[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ja=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ja){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((Sd[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ja^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ja){ba=288;break a}else{Vb=Ub;Wb=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Xb=(Sd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Xb=a[ha]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}ha=c[o>>2]|0;if((ha|0)==(Qb|0)){aa=(c[W>>2]|0)!=220;ka=c[h>>2]|0;wa=Qb-ka|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;xa=eQ(aa?ka:0,ob)|0;if((xa|0)==0){oQ()}do{if(aa){c[h>>2]=xa;Yb=xa}else{ka=c[h>>2]|0;c[h>>2]=xa;if((ka|0)==0){Yb=xa;break}Pd[c[W>>2]&511](ka);Yb=c[h>>2]|0}}while(0);c[W>>2]=100;xa=Yb+wa|0;c[o>>2]=xa;Zb=(c[h>>2]|0)+ob|0;_b=xa}else{Zb=Qb;_b=ha}xa=c[g>>2]|0;aa=c[xa+12>>2]|0;if((aa|0)==(c[xa+16>>2]|0)){ja=(Sd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)&255;$b=ja;ac=c[o>>2]|0}else{$b=a[aa]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;aa=(c[A>>2]|0)-1|0;c[A>>2]=aa;ja=c[g>>2]|0;xa=ja+12|0;ka=c[xa>>2]|0;if((ka|0)==(c[ja+16>>2]|0)){Sd[c[(c[ja>>2]|0)+40>>2]&255](ja)|0}else{c[xa>>2]=ka+1}if((aa|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=ya}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{ma=Z;na=Eb;oa=Fb;pa=Gb;qa=Hb;ra=bc}break};default:{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((Sd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}if((Sd[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}else{gc=0;hc=fc}}ha=c[g>>2]|0;ob=c[ha+12>>2]|0;if((ob|0)==(c[ha+16>>2]|0)){ic=(Sd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}ob=c[g>>2]|0;ha=ob+12|0;wa=c[ha>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(Sd[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[ha>>2]=wa+1;jc=a[wa]|0}oG(z,jc);cc=gc;dc=hc}}}while(0);ya=r+1|0;if(ya>>>0<4>>>0){n=ra;p=qa;X=pa;Y=oa;C=na;r=ya;Z=ma}else{da=qa;ea=pa;fa=oa;ga=ma;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){ma=ga;oa=ga+1|0;pa=ga+8|0;qa=ga+4|0;Z=1;i:while(1){r=a[ma]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[qa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((Sd[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((Sd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;na=c[_+12>>2]|0;if((na|0)==(c[_+16>>2]|0)){pc=(Sd[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[na]|0}if((a[ma]&1)==0){qc=oa}else{qc=c[pa>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}na=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){Sd[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=na;continue}else{c[C>>2]=Y+1;Z=na;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;UL(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);YF(z);YF(y);YF(x);YF(w);YF(v);if((lc|0)==0){i=q;return kc|0}Pd[mc&511](lc);i=q;return kc|0}function QL(a){a=a|0;var b=0;b=xd(8)|0;uF(b,a);tc(b|0,365648,30)}function RL(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=220;u=m+100|0;UG(p,h);m=p|0;v=c[m>>2]|0;if(!((c[99158]|0)==-1)){c[l>>2]=396632;c[l+4>>2]=16;c[l+8>>2]=0;JF(396632,l,124)}l=(c[99159]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(PL(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){oG(k,be[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=be[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}SL(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;oF(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}Pd[c[t>>2]&511](A);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function SL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){rG(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function TL(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[99276]|0)==-1)){c[p>>2]=397104;c[p+4>>2]=16;c[p+8>>2]=0;JF(397104,p,124)}p=(c[99277]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=xd(4)|0;D=B;IP(D);tc(B|0,365632,184)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=xd(4)|0;D=B;IP(D);tc(B|0,365632,184)}B=b;Qd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Qd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}iG(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];GQ(p|0,0,12)|0;YF(r);Qd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}iG(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];GQ(p|0,0,12)|0;YF(s);s=b;a[f]=Sd[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=Sd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Qd[c[(c[D>>2]|0)+20>>2]&127](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}iG(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];GQ(p|0,0,12)|0;YF(t);Qd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}iG(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];GQ(t|0,0,12)|0;YF(u);E=Sd[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[99278]|0)==-1)){c[o>>2]=397112;c[o+4>>2]=16;c[o+8>>2]=0;JF(397112,o,124)}o=(c[99279]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=xd(4)|0;G=F;IP(G);tc(F|0,365632,184)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=xd(4)|0;G=F;IP(G);tc(F|0,365632,184)}F=B;Qd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Qd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}iG(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];GQ(l|0,0,12)|0;YF(w);Qd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}iG(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];GQ(k|0,0,12)|0;YF(x);x=B;a[f]=Sd[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=Sd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Qd[c[(c[G>>2]|0)+20>>2]&127](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}iG(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];GQ(h|0,0,12)|0;YF(y);Qd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}iG(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];GQ(j|0,0,12)|0;YF(z);E=Sd[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function UL(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function VL(a){a=a|0;mF(a|0);jQ(a);return}function WL(a){a=a|0;mF(a|0);return}function XL(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=220;w=m+400|0;UG(p,h);m=p|0;x=c[m>>2]|0;if(!((c[99156]|0)==-1)){c[l>>2]=396624;c[l+4>>2]=16;c[l+8>>2]=0;JF(396624,l,124)}l=(c[99157]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(YL(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;ee[c[(c[z>>2]|0)+48>>2]&127](A,358896,358906,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=bQ((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}oQ();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[358896+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=ub(D|0,350312,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}cQ(J);break}M=xd(8)|0;uF(M,349104);tc(M|0,365648,30)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=Sd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=Sd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];oF(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Pd[c[v>>2]&511](B);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function YL(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;GQ(C|0,0,12)|0;D=w;GQ(D|0,0,12)|0;E=x;GQ(E|0,0,12)|0;F=y;GQ(F|0,0,12)|0;G=z;GQ(G|0,0,12)|0;$L(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=220;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!(Ud[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=Sd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}EG(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=Sd[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){Sd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=Sd[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){Sd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=Sd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){Sd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=Sd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){Sd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!(Ud[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=Sd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=Sd[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=Sd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){Sd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if(Ud[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){aM(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=220;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=eQ(ub,ta)|0;ra=Da;if((Da|0)==0){oQ()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=100}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){Sd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=220;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=eQ(Db,ra)|0;Da=ta;if((ta|0)==0){oQ()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=100}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){Sd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=Sd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=Sd[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=Sd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!(Ud[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){aM(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=Sd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){Sd[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=Sd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=Sd[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=Sd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!(Ud[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=Sd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}EG(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=Sd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=Sd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=Sd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){Sd[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;UL(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);AG(z);AG(y);AG(x);AG(w);YF(v);if((hc|0)==0){i=p;return gc|0}Pd[ic&511](hc);i=p;return gc|0}function ZL(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=220;u=m+400|0;UG(p,h);m=p|0;v=c[m>>2]|0;if(!((c[99156]|0)==-1)){c[l>>2]=396624;c[l+4>>2]=16;c[l+8>>2]=0;JF(396624,l,124)}l=(c[99157]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(YL(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){EG(k,be[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=be[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}_L(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=Sd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=Sd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];oF(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}Pd[c[t>>2]&511](z);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function _L(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){GG(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function $L(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[99272]|0)==-1)){c[p>>2]=397088;c[p+4>>2]=16;c[p+8>>2]=0;JF(397088,p,124)}p=(c[99273]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=xd(4)|0;D=B;IP(D);tc(B|0,365632,184)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=xd(4)|0;D=B;IP(D);tc(B|0,365632,184)}B=b;Qd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Qd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}DG(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];GQ(p|0,0,12)|0;AG(r);Qd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}DG(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];GQ(p|0,0,12)|0;AG(s);s=b;c[f>>2]=Sd[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=Sd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Qd[c[(c[b>>2]|0)+20>>2]&127](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}iG(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];GQ(p|0,0,12)|0;YF(t);Qd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}DG(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];GQ(t|0,0,12)|0;AG(u);E=Sd[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[99274]|0)==-1)){c[o>>2]=397096;c[o+4>>2]=16;c[o+8>>2]=0;JF(397096,o,124)}o=(c[99275]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=xd(4)|0;G=F;IP(G);tc(F|0,365632,184)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=xd(4)|0;G=F;IP(G);tc(F|0,365632,184)}F=B;Qd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Qd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}DG(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];GQ(l|0,0,12)|0;AG(w);Qd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}DG(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];GQ(k|0,0,12)|0;AG(x);x=B;c[f>>2]=Sd[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=Sd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Qd[c[(c[B>>2]|0)+20>>2]&127](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}iG(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];GQ(h|0,0,12)|0;YF(y);Qd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}DG(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];GQ(j|0,0,12)|0;AG(z);E=Sd[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function aM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=220;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=eQ(k,j)|0;k=a;if((a|0)==0){oQ()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}Pd[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=100;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function bM(a){a=a|0;mF(a|0);jQ(a);return}function cM(a){a=a|0;mF(a|0);return}function dM(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Ab(z|0,100,348216,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);C=XJ(m,c[98800]|0,348216,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){oQ();E=c[m>>2]|0}else{E=D}D=bQ(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}oQ();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);UG(n,g);B=n|0;A=c[B>>2]|0;if(!((c[99158]|0)==-1)){c[l>>2]=396632;c[l+4>>2]=16;c[l+8>>2]=0;JF(396632,l,124)}l=(c[99159]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;ee[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}GQ(r|0,0,12)|0;D=s;GQ(D|0,0,12)|0;z=t;GQ(z|0,0,12)|0;eM(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=bQ(M)|0;if((D|0)!=0){S=D;T=D;break}oQ();S=0;T=0}else{S=K;T=0}}while(0);fM(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];xC(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){cQ(T)}YF(t);YF(s);YF(r);oF(c[B>>2]|0)|0;if((H|0)!=0){cQ(H)}if((I|0)==0){i=d;return}cQ(I);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function eM(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[99276]|0)==-1)){c[p>>2]=397104;c[p+4>>2]=16;c[p+8>>2]=0;JF(397104,p,124)}p=(c[99277]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=xd(4)|0;J=I;IP(J);tc(I|0,365632,184)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=xd(4)|0;J=I;IP(J);tc(I|0,365632,184)}I=e;J=c[e>>2]|0;if(d){Qd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Qd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}iG(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];GQ(q|0,0,12)|0;YF(s)}else{Qd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Qd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}iG(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];GQ(t|0,0,12)|0;YF(v)}v=e;a[g]=Sd[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=Sd[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;Qd[c[(c[v>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}iG(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];GQ(u|0,0,12)|0;YF(w);Qd[c[(c[v>>2]|0)+24>>2]&127](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}iG(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];GQ(w|0,0,12)|0;YF(x);K=Sd[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[99278]|0)==-1)){c[o>>2]=397112;c[o+4>>2]=16;c[o+8>>2]=0;JF(397112,o,124)}o=(c[99279]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=xd(4)|0;M=L;IP(M);tc(L|0,365632,184)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=xd(4)|0;M=L;IP(M);tc(L|0,365632,184)}L=H;M=c[H>>2]|0;if(d){Qd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Qd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}iG(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];GQ(y|0,0,12)|0;YF(A)}else{Qd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Qd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}iG(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];GQ(l|0,0,12)|0;YF(E)}E=H;a[g]=Sd[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=Sd[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;Qd[c[(c[E>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}iG(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];GQ(j|0,0,12)|0;YF(F);Qd[c[(c[E>>2]|0)+24>>2]&127](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}iG(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];GQ(k|0,0,12)|0;YF(G);K=Sd[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function fM(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 0:{c[e>>2]=c[f>>2];I=H;break};case 1:{c[e>>2]=c[f>>2];h=be[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;J=c[f>>2]|0;c[f>>2]=J+1;a[J]=h;I=H;break};case 3:{h=a[t]|0;J=(h&1)==0;if(J){K=(h&255)>>>1}else{K=c[w>>2]|0}if((K|0)==0){I=H;break a}if(J){L=u}else{L=c[v>>2]|0}J=a[L]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=J;I=H;break};case 2:{J=a[q]|0;h=(J&1)==0;if(h){M=(J&255)>>>1}else{M=c[A>>2]|0}if((M|0)==0|x){I=H;break a}if(h){N=(J&255)>>>1;O=y;P=y}else{J=c[z>>2]|0;N=c[A>>2]|0;O=J;P=J}J=O+N|0;h=c[f>>2]|0;if((P|0)==(J|0)){Q=h}else{R=h;h=P;while(1){a[R]=a[h]|0;S=h+1|0;T=R+1|0;if((S|0)==(J|0)){Q=T;break}else{R=T;h=S}}}c[f>>2]=Q;I=H;break};case 4:{h=c[f>>2]|0;R=k?H+1|0:H;J=R;while(1){if(!(J>>>0<i>>>0)){break}S=a[J]|0;if(S<<24>>24<0){break}if((b[(c[p>>2]|0)+(S<<24>>24<<1)>>1]&2048)==0){break}else{J=J+1|0}}S=J;if(B){if(J>>>0>R>>>0){T=R+(-S|0)|0;S=T>>>0<o>>>0?o:T;T=S+r|0;U=J;V=r;W=h;while(1){X=U-1|0;Y=a[X]|0;c[f>>2]=W+1;a[W]=Y;Y=V-1|0;Z=(Y|0)>0;if(!(X>>>0>R>>>0&Z)){break}U=X;V=Y;W=c[f>>2]|0}W=J+S|0;if(Z){_=T;$=W;aa=32}else{ba=0;ca=T;da=W}}else{_=r;$=J;aa=32}if((aa|0)==32){aa=0;ba=be[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;ca=_;da=$}W=c[f>>2]|0;c[f>>2]=W+1;if((ca|0)>0){V=ca;U=W;while(1){a[U]=ba;Y=V-1|0;X=c[f>>2]|0;c[f>>2]=X+1;if((Y|0)>0){V=Y;U=X}else{ea=X;break}}}else{ea=W}a[ea]=m;fa=da}else{fa=J}if((fa|0)==(R|0)){U=be[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;V=c[f>>2]|0;c[f>>2]=V+1;a[V]=U}else{U=a[C]|0;V=(U&1)==0;if(V){ga=(U&255)>>>1}else{ga=c[F>>2]|0}if((ga|0)==0){ha=fa;ia=0;ja=0;ka=-1}else{if(V){la=D}else{la=c[E>>2]|0}ha=fa;ia=0;ja=0;ka=a[la]|0}while(1){do{if((ia|0)==(ka|0)){V=c[f>>2]|0;c[f>>2]=V+1;a[V]=n;V=ja+1|0;U=a[C]|0;T=(U&1)==0;if(T){ma=(U&255)>>>1}else{ma=c[F>>2]|0}if(!(V>>>0<ma>>>0)){na=ka;oa=V;pa=0;break}if(T){qa=D}else{qa=c[E>>2]|0}if((a[qa+V|0]|0)==127){na=-1;oa=V;pa=0;break}if(T){ra=D}else{ra=c[E>>2]|0}na=a[ra+V|0]|0;oa=V;pa=0}else{na=ka;oa=ja;pa=ia}}while(0);V=ha-1|0;T=a[V]|0;U=c[f>>2]|0;c[f>>2]=U+1;a[U]=T;if((V|0)==(R|0)){break}else{ha=V;ia=pa+1|0;ja=oa;ka=na}}}J=c[f>>2]|0;if((h|0)==(J|0)){I=R;break a}W=J-1|0;if(W>>>0>h>>>0){sa=h;ta=W}else{I=R;break a}while(1){W=a[sa]|0;a[sa]=a[ta]|0;a[ta]=W;W=sa+1|0;J=ta-1|0;if(W>>>0<J>>>0){sa=W;ta=J}else{I=R;break}}break};default:{I=H}}}while(0);R=G+1|0;if(R>>>0<4>>>0){G=R;H=I}else{break}}I=a[t]|0;t=(I&1)==0;if(t){ua=(I&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(I&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function gM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;UG(l,g);x=l|0;y=c[x>>2]|0;if(!((c[99158]|0)==-1)){c[k>>2]=396632;c[k+4>>2]=16;c[k+8>>2]=0;JF(396632,k,124)}k=(c[99159]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(be[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}GQ(p|0,0,12)|0;A=q;GQ(A|0,0,12)|0;E=r;GQ(E|0,0,12)|0;eM(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=bQ(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}oQ();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}fM(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];xC(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){YF(r);YF(q);YF(p);X=c[x>>2]|0;Y=X|0;Z=oF(Y)|0;i=d;return}cQ(T);YF(r);YF(q);YF(p);X=c[x>>2]|0;Y=X|0;Z=oF(Y)|0;i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function hM(a){a=a|0;mF(a|0);jQ(a);return}function iM(a){a=a|0;mF(a|0);return}function jM(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Ab(z|0,100,348216,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);C=XJ(m,c[98800]|0,348216,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){oQ();E=c[m>>2]|0}else{E=D}D=bQ(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}oQ();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);UG(n,g);B=n|0;A=c[B>>2]|0;if(!((c[99156]|0)==-1)){c[l>>2]=396624;c[l+4>>2]=16;c[l+8>>2]=0;JF(396624,l,124)}l=(c[99157]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;ee[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}GQ(r|0,0,12)|0;F=s;GQ(F|0,0,12)|0;z=t;GQ(z|0,0,12)|0;kM(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=bQ(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}oQ();S=0;T=0}else{S=D;T=0}}while(0);lM(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];eK(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){cQ(T)}AG(t);AG(s);YF(r);oF(c[B>>2]|0)|0;if((I|0)!=0){cQ(I)}if((J|0)==0){i=d;return}cQ(J);i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function kM(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[99272]|0)==-1)){c[p>>2]=397088;c[p+4>>2]=16;c[p+8>>2]=0;JF(397088,p,124)}p=(c[99273]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=xd(4)|0;J=I;IP(J);tc(I|0,365632,184)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=xd(4)|0;J=I;IP(J);tc(I|0,365632,184)}I=e;J=c[e>>2]|0;if(d){Qd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Qd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}DG(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];GQ(q|0,0,12)|0;AG(s)}else{Qd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Qd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}DG(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];GQ(t|0,0,12)|0;AG(v)}v=e;c[g>>2]=Sd[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=Sd[c[(c[v>>2]|0)+16>>2]&255](I)|0;Qd[c[(c[e>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}iG(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];GQ(u|0,0,12)|0;YF(w);Qd[c[(c[e>>2]|0)+24>>2]&127](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}DG(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];GQ(w|0,0,12)|0;AG(x);K=Sd[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[99274]|0)==-1)){c[o>>2]=397096;c[o+4>>2]=16;c[o+8>>2]=0;JF(397096,o,124)}o=(c[99275]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=xd(4)|0;M=L;IP(M);tc(L|0,365632,184)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=xd(4)|0;M=L;IP(M);tc(L|0,365632,184)}L=H;M=c[H>>2]|0;if(d){Qd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Qd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}DG(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];GQ(y|0,0,12)|0;AG(A)}else{Qd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Qd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}DG(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];GQ(l|0,0,12)|0;AG(E)}E=H;c[g>>2]=Sd[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=Sd[c[(c[E>>2]|0)+16>>2]&255](L)|0;Qd[c[(c[H>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}iG(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];GQ(j|0,0,12)|0;YF(F);Qd[c[(c[H>>2]|0)+24>>2]&127](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}DG(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];GQ(k|0,0,12)|0;AG(G);K=Sd[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function lM(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 0:{c[d>>2]=c[e>>2];E=D;break};case 1:{c[d>>2]=c[e>>2];g=be[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;F=c[e>>2]|0;c[e>>2]=F+4;c[F>>2]=g;E=D;break};case 3:{g=a[s]|0;F=(g&1)==0;if(F){G=(g&255)>>>1}else{G=c[t>>2]|0}if((G|0)==0){E=D;break a}if(F){H=t}else{H=c[u>>2]|0}F=c[H>>2]|0;g=c[e>>2]|0;c[e>>2]=g+4;c[g>>2]=F;E=D;break};case 2:{F=a[p]|0;g=(F&1)==0;if(g){I=(F&255)>>>1}else{I=c[w>>2]|0}if((I|0)==0|v){E=D;break a}if(g){J=(F&255)>>>1;K=w;L=w}else{F=c[x>>2]|0;J=c[w>>2]|0;K=F;L=F}F=K+(J<<2)|0;g=c[e>>2]|0;if((L|0)==(F|0)){M=g}else{N=(K+(J-1<<2)+(-L|0)|0)>>>2;O=g;P=L;while(1){c[O>>2]=c[P>>2];Q=P+4|0;if((Q|0)==(F|0)){break}O=O+4|0;P=Q}M=g+(N+1<<2)|0}c[e>>2]=M;E=D;break};case 4:{P=c[e>>2]|0;O=j?D+4|0:D;F=O;while(1){if(!(F>>>0<h>>>0)){break}if(Ud[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[F>>2]|0)|0){F=F+4|0}else{break}}if(y){do{if(F>>>0>O>>>0){N=F;g=q;Q=c[e>>2]|0;while(1){R=N-4|0;S=Q+4|0;c[Q>>2]=c[R>>2];T=g-1|0;U=(T|0)>0;if(R>>>0>O>>>0&U){N=R;g=T;Q=S}else{break}}c[e>>2]=S;if(U){V=T;W=R;X=34;break}Q=c[e>>2]|0;c[e>>2]=Q+4;Y=Q;Z=R}else{V=q;W=F;X=34}}while(0);do{if((X|0)==34){X=0;Q=be[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;g=c[e>>2]|0;N=g+4|0;c[e>>2]=N;if((V|0)>0){_=V;$=g;aa=N}else{Y=g;Z=W;break}while(1){c[$>>2]=Q;N=_-1|0;if((N|0)>0){_=N;$=aa;aa=aa+4|0}else{break}}c[e>>2]=g+(V+1<<2);Y=g+(V<<2)|0;Z=W}}while(0);c[Y>>2]=l;ba=Z}else{ba=F}if((ba|0)==(O|0)){Q=be[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;N=c[e>>2]|0;ca=N+4|0;c[e>>2]=ca;c[N>>2]=Q;da=ca}else{ca=a[z]|0;Q=(ca&1)==0;if(Q){ea=(ca&255)>>>1}else{ea=c[C>>2]|0}if((ea|0)==0){fa=ba;ga=0;ha=0;ia=-1}else{if(Q){ja=A}else{ja=c[B>>2]|0}fa=ba;ga=0;ha=0;ia=a[ja]|0}while(1){do{if((ga|0)==(ia|0)){Q=c[e>>2]|0;c[e>>2]=Q+4;c[Q>>2]=m;Q=ha+1|0;ca=a[z]|0;N=(ca&1)==0;if(N){ka=(ca&255)>>>1}else{ka=c[C>>2]|0}if(!(Q>>>0<ka>>>0)){la=ia;ma=Q;na=0;break}if(N){oa=A}else{oa=c[B>>2]|0}if((a[oa+Q|0]|0)==127){la=-1;ma=Q;na=0;break}if(N){pa=A}else{pa=c[B>>2]|0}la=a[pa+Q|0]|0;ma=Q;na=0}else{la=ia;ma=ha;na=ga}}while(0);g=fa-4|0;Q=c[g>>2]|0;N=c[e>>2]|0;c[e>>2]=N+4;c[N>>2]=Q;if((g|0)==(O|0)){break}else{fa=g;ga=na+1|0;ha=ma;ia=la}}da=c[e>>2]|0}if((P|0)==(da|0)){E=O;break a}F=da-4|0;if(F>>>0>P>>>0){qa=P;ra=F}else{E=O;break a}while(1){F=c[qa>>2]|0;c[qa>>2]=c[ra>>2];c[ra>>2]=F;F=qa+4|0;g=ra-4|0;if(F>>>0<g>>>0){qa=F;ra=g}else{E=O;break}}break};default:{E=D}}}while(0);O=n+1|0;if(O>>>0<4>>>0){n=O;D=E}else{break}}E=a[s]|0;s=(E&1)==0;if(s){sa=(E&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(E&255)>>>1;ua=t;va=t}else{E=c[u>>2]|0;ta=c[t>>2]|0;ua=E;va=E}E=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((E|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-E|0)|0)>>>2;ta=t;ua=E;while(1){c[ta>>2]=c[ua>>2];E=ua+4|0;if((E|0)==(va|0)){break}else{ta=ta+4|0;ua=E}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==32){c[d>>2]=c[e>>2];return}else if((wa|0)==16){return}else{c[d>>2]=b;return}}function mM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;UG(l,g);x=l|0;y=c[x>>2]|0;if(!((c[99156]|0)==-1)){c[k>>2]=396624;c[k+4>>2]=16;c[k+8>>2]=0;JF(396624,k,124)}k=(c[99157]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(be[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}GQ(p|0,0,12)|0;A=q;GQ(A|0,0,12)|0;E=r;GQ(E|0,0,12)|0;kM(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=bQ(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}oQ();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}lM(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];eK(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){AG(r);AG(q);YF(p);X=c[x>>2]|0;Y=X|0;Z=oF(Y)|0;i=d;return}cQ(T);AG(r);AG(q);YF(p);X=c[x>>2]|0;Y=X|0;Z=oF(Y)|0;i=d;return}}while(0);d=xd(4)|0;IP(d);tc(d|0,365632,184)}function nM(a){a=a|0;mF(a|0);jQ(a);return}function oM(a){a=a|0;mF(a|0);return}function pM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Cd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function qM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;GQ(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{oG(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Ub(s|0,f|0,g|0,r|0)|0;GQ(b|0,0,12)|0;r=DQ(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{YF(j);i=d;return}do{oG(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);YF(j);i=d;return}function rM(a,b){a=a|0;b=b|0;Yc(((b|0)==-1?-1:b<<1)|0)|0;return}function sM(a){a=a|0;mF(a|0);jQ(a);return}function tM(a){a=a|0;mF(a|0);return}function uM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Cd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function vM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;GQ(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=361008;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=361008;while(1){c[m>>2]=A;C=(he[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{oG(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}QL(39360)}}while(0);mF(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Ub(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;GQ(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=360952;F=DQ(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;mF(G);YF(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=360952;while(1){c[q>>2]=o;v=(he[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{EG(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;mF(G);YF(r);i=d;return}QL(39360)}function wM(a,b){a=a|0;b=b|0;Yc(((b|0)==-1?-1:b<<1)|0)|0;return}function xM(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=360424;d=b+8|0;e=c[d>>2]|0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);if((e|0)==(c[98800]|0)){f=b|0;mF(f);return}Tb(c[d>>2]|0);f=b|0;mF(f);return}function yM(a){a=a|0;a=xd(8)|0;pF(a,347432);c[a>>2]=359336;tc(a|0,365680,44)}



function Fi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Ei(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=82;k=Gi(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=ii(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function Gi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=zi(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Hi(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function Hi(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=be[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}FQ(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function Ii(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Wh(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Wh(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=Zh(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function Ji(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(ee[c[b+16>>2]&127](b,f,g,l)|0){case 0:{o=4;break a;break};case-1:{o=7;break a;break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);o=37;break};case 39:case 7:{o=37;break};case-4:{o=3;break a;break};case 6:{if((mi(h,b,f,c[l>>2]|0)|0)==0){o=34;break a}break};case 10:{p=be[c[b+44>>2]&127](b,f)|0;if((p|0)<0){o=11;break a}do{if(!(e<<24>>24!=0)){if((p|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);p=Qi(p,m|0)|0;if((p|0)==0){o=20;break a}q=0;while(1){if((q|0)>=(p|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Wh(h)|0)<<24>>24!=0){o=28;break}if(!0){o=29;break a}}else{o=28}}while(0);if((o|0)==28){o=0;r=a[m+q|0]|0;s=h+12|0;t=c[s>>2]|0;c[s>>2]=t+1;a[t]=r;if(!1){o=29;break a}}q=q+1|0}break};case 9:{q=(Ud[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(q<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Wh(h)|0)<<24>>24!=0){o=51;break}if(!0){o=52;break a}}else{o=51}}while(0);if((o|0)==51){o=0;p=h+12|0;r=c[p>>2]|0;c[p>>2]=r+1;a[r]=q;if(!1){o=52;break a}}break b}r=gi(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){o=55;break a}p=Zh(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){u=((c[n+300>>2]|0)!=0^1)&1}else{u=((a[j+129|0]|0)!=0^1)&1}v=(u|0)!=0}else{v=0}w=v&1}else{if((a[j+129|0]|0)!=0){x=(d[j+130|0]|0)!=0}else{x=1}w=x&1}do{if(w<<24>>24!=0){if((p|0)==0){o=68;break a}if((a[p+34|0]|0)==0){o=70;break a}}else{if((p|0)!=0){break}else{break b}}}while(0);if((a[p+32|0]|0)!=0){o=77;break a}if((c[p+28>>2]|0)!=0){o=81;break a}if((c[p+4>>2]|0)==0){o=85;break a}q=(c[p+4>>2]|0)+(c[p+8>>2]|0)|0;a[p+32|0]=1;y=Ji(n,c[n+228>>2]|0,e,c[p+4>>2]|0,q,h)|0;a[p+32|0]=0;if((y|0)!=0){o=89;break a}break};default:{o=92;break a}}}while(0);c:do{if((o|0)==37){o=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Wh(h)|0)<<24>>24!=0){o=44;break}if(!0){o=45;break a}}else{o=44}}while(0);if((o|0)==44){o=0;p=h+12|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=32;if(!1){o=45;break a}}}}while(0);f=c[l>>2]|0}if((o|0)==3){z=0;A=z;i=k;return A|0}else if((o|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((o|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((o|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==29){z=1;A=z;i=k;return A|0}else if((o|0)==34){z=1;A=z;i=k;return A|0}else if((o|0)==45){z=1;A=z;i=k;return A|0}else if((o|0)==52){z=1;A=z;i=k;return A|0}else if((o|0)==55){z=1;A=z;i=k;return A|0}else if((o|0)==68){z=11;A=z;i=k;return A|0}else if((o|0)==70){z=24;A=z;i=k;return A|0}else if((o|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((o|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((o|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((o|0)==89){z=y;A=z;i=k;return A|0}else if((o|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function Ki(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((Ud[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=Ri()|0;c[g+240>>2]=Sd[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=ee[((a[g+236|0]&255|0)!=0?36:24)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){Pd[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){Pd[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function Li(){var a=0,b=0;a=i;Jc(((Kd(0)|0)>>>0)%4294967295|0|0);b=LQ()|0;i=a;return b|0}function Mi(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=ci(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=74;h=di(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function Ni(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=Sd[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{Oi(b+80|0,e);Oi(b+104|0,e);Pi(b|0,e);Pi(b+20|0,e);Pi(b+40|0,e);Pi(b+60|0,e);a[b+131|0]=0;Pi(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function Oi(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function Pi(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function Qi(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function Ri(){return 1912}function Si(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15288+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[15364+l|0]|0|0)!=28){if((d[15364+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[15364+k|0]|0|0)!=28){if((d[15364+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[15364+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((Ti(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12320+(((d[8704+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12320+(((d[13600+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=Qi(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=14;c[h+336>>2]=14;c[h+340>>2]=14;c[h+344>>2]=34;c[h+348>>2]=34;c[h+352>>2]=34;c[h+356>>2]=58;c[h+360>>2]=58;c[h+364>>2]=58}c[h+60>>2]=14;c[h+64>>2]=16;n=h|0;o=n;i=j;return o|0}return 0}function Ti(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 0:{if((d[15364+c|0]|0|0)==0){e=-1;break a}else{f=10;break a}break};case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{e=-1;break};case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}f=10;break a}}while(0);e=-1;break};default:{f=10}}}while(0);if((f|0)==10){e=c}i=b;return e|0}function Ui(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=be[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12320+(((d[13600+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function Vi(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=be[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12320+(((d[8704+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function Wi(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=be[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(Ti(a)|0)<0;g=f&1;i=d;return g|0}function Xi(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=Qi(be[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function Yi(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(be[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function Zi(){return 16112}function _i(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=$i(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=40;c[g+4>>2]=80;c[g+52>>2]=6;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function $i(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((nj(d,c[16576+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function aj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ll(16720,a,0,b,c,d)|0;i=e;return f|0}function bj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ll(16720,a,1,b,c,d)|0;i=e;return f|0}function cj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;Kk(816,b,c,d);i=a;return}function dj(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=ej(20,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function ej(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((ml(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((ee[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,368816)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((ml(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((ee[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,368848)|0)!=0){m=nl(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=Ud[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((ml(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((ee[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,368824)|0)!=0){if((a|0)!=0){break}if((ee[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,368808)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((ee[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,368840)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((ol(nl(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function fj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Od[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((nj(h|0,368904)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=$i(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16720+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function gj(){return 15744}function hj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=$i(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=14;c[g+4>>2]=92;c[g+52>>2]=6;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function ij(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ll(16688,a,0,b,c,d)|0;i=e;return f|0}function jj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ll(16688,a,1,b,c,d)|0;i=e;return f|0}function kj(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=ej(52,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function lj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Od[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((nj(h|0,368904)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=$i(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16688+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function mj(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=Si(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function nj(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function oj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 16:{k=Sj(j,b+2|0,e,f)|0;break a;break};case 15:{k=Nj(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 22:case 24:{n=18;b=b+2|0;o=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;o=86;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 19:{k=Tj(j,b+2|0,e,f)|0;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 13:{k=Rj(13,j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 30:{k=Hj(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{o=26;break b}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 12:{k=Rj(12,j,b+2|0,e,f)|0;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 21:case 10:{o=26;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 15:{c[f>>2]=b+2;k=35;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=18;o=86;break b}if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=19;o=86;break b}else{o=85;break b}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 20:{c[f>>2]=b+2;k=25;break a;break};default:{o=85}}}while(0);if((o|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){o=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Fj(a[b+1|0]|0,a[b|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){o=36;break}}else{break}}if((o|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((o|0)==85){c[f>>2]=b;k=0;break}else if((o|0)==86){c:while(1){if((b|0)==(e|0)){o=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{o=105;break c;break};case 23:{b=b+2|0;g=n;if((g|0)==18){if((b|0)==(e|0)){o=108;break c}n=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){o=114;break c}o=116;break};case 6:{o=120;break c;break};case 22:case 24:case 25:case 26:case 27:{o=116;break};case 5:{o=117;break c;break};case 7:{o=123;break c;break};default:{n=19}}if((o|0)==116){o=0;b=b+2|0}}else if((g|0)==41){n=19}break};case 7:{o=102;break c;break};case 22:case 24:case 25:case 26:case 27:{o=95;break};case 5:{o=96;break c;break};case 33:{o=133;break c;break};case 6:{o=99;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){o=93;break c}o=95;break};case 15:{o=136;break c;break};case 34:{o=130;break c;break};default:{o=139;break c}}if((o|0)==95){o=0;b=b+2|0}}if((o|0)==93){c[f>>2]=b;k=0;break}else if((o|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==105){c[f>>2]=b;k=n;break}else if((o|0)==108){k=-1;break}else if((o|0)==114){c[f>>2]=b;k=0;break}else if((o|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((o|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((o|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((o|0)==139){c[f>>2]=b;k=0;break}else if((o|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function pj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 2:{k=Kj(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 3:{k=Gj(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Fj(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function qj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function rj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 0:case 1:case 8:{l=18;break a;break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function sj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 3:{l=12;break a;break};case 21:{l=29;break a;break};case 9:{l=19;break a;break};case 7:{b=b+4|0;break};case 2:{l=15;break a;break};case 10:{l=16;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=Gj(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function tj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 6:{b=b+3|0;break};case 9:{m=24;break a;break};case 30:{m=15;break a;break};case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 3:{m=12;break a;break};case 10:{m=21;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=Gj(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=Hj(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function uj(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 6:{k=9;break};case 5:{k=12;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=18;break a}e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=20;break a}break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=Fj(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function vj(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function wj(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 5:{b=b+2|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};default:{break a}}}i=e;return b-c|0}function xj(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Fj(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function yj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 11:case 17:{if((g|0)!=2){break a}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Fj(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};default:{}}b=b+2|0}i=h;return k|0}function zj(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Ti(c)|0;k=j;i=b;return k|0}function Aj(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){f=a[e|0]|0}else{f=-1}if((f|0)==108){g=60;h=g;i=b;return h|0}else if((f|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}else if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((c|0)==4){if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((j|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}g=0;h=g;i=b;return h|0}function Bj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 6:{b=b+3|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function Cj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function Dj(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}n=((l&3)<<2|(k&255)>>6&3)+1|0;m=e;o=c[m>>2]|0;c[m>>2]=o+1;a[o]=n>>2|240;o=e;m=c[o>>2]|0;c[o>>2]=m+1;a[m]=(k&255)>>2&15|(n&3)<<4|128;g=g+2|0;n=a[g|0]|0;m=((k&3)<<4|(a[g+1|0]&3)<<2|(n&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=m;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=n&63|128;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=(l&255)>>4|224;p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(l&15)<<2|(k&255)>>6|128;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(k&255)>>6|(l&255)<<2|192;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function Ej(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function Fj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 220:case 221:case 222:case 223:{c=8;break};case 216:case 217:case 218:case 219:{c=7;break};case 255:{d=b&255;if((d|0)==255|(d|0)==254){c=0;break a}else{e=7;break a}break};default:{e=7}}}while(0);if((e|0)==7){c=29}i=i;return c|0}function Gj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 19:{k=Ij(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};case 7:{m=38;break c;break};case 6:{m=35;break c;break};case 5:{m=32;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Hj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=38;break c;break};case 5:{m=32;break c;break};case 18:{m=41;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 6:{m=35;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Ij(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=Jj(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function Jj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Fj(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Kj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 17:{k=Oj(j,b+2|0,e,f)|0;break a;break};case 22:case 24:{break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){k=Mj(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=Lj(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=Nj(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 7:{n=48;break c;break};case 6:{n=45;break c;break};case 5:{n=42;break c;break};case 11:{n=99;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{n=66;break c;break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};case 7:{n=69;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};default:{n=72;break c}}b=b+2|0;break};case 17:{n=101;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 11:{n=93;break e;break};case 6:{n=87;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 29:{n=80;break e;break};case 7:{n=90;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=Pj(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Lj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Mj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14176+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Nj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 15:{n=67;break c;break};case 7:{n=37;break c;break};case 5:{n=31;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 21:case 9:case 10:{n=40;break c;break};case 6:{n=34;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((Qj(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((Qj(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Oj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 21:case 9:case 10:{m=40;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 7:{m=37;break c;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 23:{b=b+2|0;break};case 11:{m=53;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function Pj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=Fj(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 7:{l=17;break a;break};case 29:{if((c[12320+((d[13600+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 5:{l=11;break a;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 6:{l=14;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=Fj(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(n|0){case 6:{l=35;break a;break};case 7:{l=38;break a;break};case 29:{if((c[12320+((d[8704+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 22:case 24:{break};case 5:{l=32;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 14:{l=56;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){o=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{o=Fj(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=Fj(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=Fj(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 3:{t=Gj(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 0:case 1:case 8:{l=87;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 2:{l=93;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=Fj(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 11:{l=104;break a;break};case 21:case 9:case 10:{break};case 17:{l=103;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=Fj(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 6:{l=120;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 7:{l=123;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12320+((d[8704+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function Qj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)!=109)if((k|0)==77){f=1}else{h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)!=108)if((l|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Rj(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=Fj(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=Fj(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function Sj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Fj(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==27){k=Lj(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 21:case 9:case 10:{break a;break};case 30:{n=17;break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Fj(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function Tj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Fj(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Fj(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{m=31;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=34;break c;break};case 7:{m=37;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function Uj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 12:{k=uk(12,j,b+2|0,e,f)|0;break a;break};case 13:{k=uk(13,j,b+2|0,e,f)|0;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 16:{k=vk(j,b+2|0,e,f)|0;break a;break};case 15:{k=qk(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{n=26;break b}break};case 21:case 10:{n=26;break};case 30:{k=kk(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 19:{k=wk(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{p=18;b=b+2|0;n=86;break};case 25:case 26:case 27:case 23:{p=19;b=b+2|0;n=86;break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=18;n=86;break b}if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=19;n=86;break b}else{n=85;break b}break};default:{n=85}}}while(0);if((n|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){n=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Fj(a[b|0]|0,a[b+1|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){n=36;break}}else{break}}if((n|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((n|0)==85){c[f>>2]=b;k=0;break}else if((n|0)==86){c:while(1){if((b|0)==(e|0)){n=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=93;break c}n=95;break};case 22:case 24:case 25:case 26:case 27:{n=95;break};case 5:{n=96;break c;break};case 6:{n=99;break c;break};case 7:{n=102;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{n=105;break c;break};case 23:{b=b+2|0;g=p;if((g|0)==18){if((b|0)==(e|0)){n=108;break c}p=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=114;break c}n=116;break};case 22:case 24:case 25:case 26:case 27:{n=116;break};case 5:{n=117;break c;break};case 6:{n=120;break c;break};case 7:{n=123;break c;break};default:{p=19}}if((n|0)==116){n=0;b=b+2|0}}else if((g|0)==41){p=19}break};case 34:{n=130;break c;break};case 33:{n=133;break c;break};case 15:{n=136;break c;break};default:{n=139;break c}}if((n|0)==95){n=0;b=b+2|0}}if((n|0)==93){c[f>>2]=b;k=0;break}else if((n|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==105){c[f>>2]=b;k=p;break}else if((n|0)==108){k=-1;break}else if((n|0)==114){c[f>>2]=b;k=0;break}else if((n|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==130){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((n|0)==133){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((n|0)==136){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((n|0)==139){c[f>>2]=b;k=0;break}else if((n|0)==141){k=-p|0;break}}}}while(0);i=h;return k|0}function Vj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 2:{k=nk(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 3:{k=jk(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Fj(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Wj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Xj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Yj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 10:{l=16;break a;break};case 21:{l=29;break a;break};case 5:{b=b+2|0;break};case 3:{l=12;break a;break};case 2:{l=15;break a;break};case 9:{l=19;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=jk(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function Zj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};case 10:{m=21;break a;break};case 9:{m=24;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=jk(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=kk(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function _j(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 6:{k=9;break};case 5:{k=12;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=18;break a}e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=20;break a}break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=Fj(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function $j(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function ak(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function bk(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Fj(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function ck(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Fj(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};default:{}}b=b+2|0}i=h;return k|0}function dk(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Ti(c)|0;k=j;i=b;return k|0}function ek(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e|0]|0)==0){f=a[e+1|0]|0}else{f=-1}if((f|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==108){g=60;h=g;i=b;return h|0}else if((j|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}else if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}g=0;h=g;i=b;return h|0}function fk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 5:{b=b+2|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function gk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function hk(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g+1|0]|0;n=((k&3)<<4|(a[g|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function ik(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function jk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 19:{k=lk(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 7:{m=38;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function kk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 18:{m=41;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=35;break c;break};case 7:{m=38;break c;break};case 5:{m=32;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function lk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=mk(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function mk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Fj(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function nk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=ok(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=pk(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 17:{k=rk(j,b+2|0,e,f)|0;break a;break};case 15:{k=qk(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 5:{n=42;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 7:{n=48;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 6:{n=45;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 7:{n=69;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};case 6:{n=66;break c;break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 29:{n=80;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 6:{n=87;break e;break};case 7:{n=90;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=sk(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function ok(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function pk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[19656+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function qk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 6:{n=34;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{n=31;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 15:{n=67;break c;break};case 7:{n=37;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((tk(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((tk(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function rk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 6:{m=34;break c;break};case 23:{b=b+2|0;break};case 7:{m=37;break c;break};case 11:{m=53;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 21:case 9:case 10:{m=40;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function sk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=Fj(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=Fj(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(n|0){case 29:{if((c[12320+((d[8704+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 6:{l=35;break a;break};case 7:{l=38;break a;break};case 22:case 24:{break};case 5:{l=32;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 14:{l=56;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){o=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{o=Fj(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 29:{if((c[12320+((d[13600+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=Fj(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=Fj(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=jk(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 2:{l=93;break a;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=Fj(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 17:{l=103;break a;break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=Fj(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12320+((d[8704+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function tk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)!=109)if((k|0)==77){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function uk(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=Fj(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=Fj(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function vk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Fj(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=ok(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 21:case 9:case 10:{break a;break};case 30:{n=17;break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Fj(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function wk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Fj(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Fj(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 7:{m=37;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function xk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 12:{k=fl(12,j,b+1|0,e,f)|0;break a;break};case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{l=16;break b}break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 20:{c[f>>2]=b+1;k=25;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((be[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;m=18;l=76;break b}if((be[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 30:{k=Xk(j,b+1|0,e,f)|0;break a;break};case 19:{k=hl(j,b+1|0,e,f)|0;break a;break};case 13:{k=fl(13,j,b+1|0,e,f)|0;break a;break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};case 15:{k=bl(j,b+1|0,e,f)|0;break a;break};case 16:{k=gl(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 7:{if((e-b|0)<4){k=-2;break a}if((be[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;m=18;l=76;break b}if((be[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 15:{c[f>>2]=b+1;k=35;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 33:{c[f>>2]=b+1;k=36;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 25:case 26:case 27:case 23:{m=19;b=b+1|0;l=76;break};case 29:{l=75;break};case 21:case 10:{l=16;break};case 6:{if((e-b|0)<3){k=-2;break a}if((be[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;m=18;l=76;break b}if((be[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 22:case 24:{m=18;b=b+1|0;l=76;break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};default:{l=75}}}while(0);if((l|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){l=18;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==9){if((b+1|0)==(e|0)){l=23;break}}else if(!((g|0)==21|(g|0)==10)){break}}if((l|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((l|0)==75){c[f>>2]=b;k=0;break}else if((l|0)==76){c:while(1){if((b|0)==(e|0)){l=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=79;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=82;break c}if((be[c[j+332>>2]&127](j,b)|0)==0){l=84;break c}b=b+2|0;break};case 23:{b=b+1|0;g=m;if((g|0)==18){if((b|0)==(e|0)){l=99;break c}m=41;switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=101;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=104;break c}if((be[c[j+332>>2]&127](j,b)|0)==0){l=106;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=109;break c}if((be[c[j+336>>2]&127](j,b)|0)==0){l=111;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){l=114;break c}if((be[c[j+340>>2]&127](j,b)|0)==0){l=116;break c}b=b+4|0;break};default:{m=19}}}else if((g|0)==41){m=19}break};case 6:{if((e-b|0)<3){l=87;break c}if((be[c[j+336>>2]&127](j,b)|0)==0){l=89;break c}b=b+3|0;break};case 33:{l=125;break c;break};case 15:{l=128;break c;break};case 7:{if((e-b|0)<4){l=92;break c}if((be[c[j+340>>2]&127](j,b)|0)==0){l=94;break c}b=b+4|0;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{l=96;break c;break};case 34:{l=122;break c;break};default:{l=131;break c}}}if((l|0)==79){c[f>>2]=b;k=0;break}else if((l|0)==82){k=-2;break}else if((l|0)==84){c[f>>2]=b;k=0;break}else if((l|0)==87){k=-2;break}else if((l|0)==89){c[f>>2]=b;k=0;break}else if((l|0)==92){k=-2;break}else if((l|0)==94){c[f>>2]=b;k=0;break}else if((l|0)==96){c[f>>2]=b;k=m;break}else if((l|0)==99){k=-1;break}else if((l|0)==101){c[f>>2]=b;k=0;break}else if((l|0)==104){k=-2;break}else if((l|0)==106){c[f>>2]=b;k=0;break}else if((l|0)==109){k=-2;break}else if((l|0)==111){c[f>>2]=b;k=0;break}else if((l|0)==114){k=-2;break}else if((l|0)==116){c[f>>2]=b;k=0;break}else if((l|0)==122){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((l|0)==125){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((l|0)==128){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((l|0)==131){c[f>>2]=b;k=0;break}else if((l|0)==133){k=-m|0;break}}}}while(0);i=h;return k|0}function yk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((be[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((be[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((be[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 2:{k=_k(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 3:{k=Wk(j,b+1|0,e,f)|0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 6:{if((e-b|0)<3){m=47;break b}if((be[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 5:{if((e-b|0)<2){m=43;break b}if((be[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 7:{if((e-b|0)<4){m=51;break b}if((be[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}



function zM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=360680;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);QF(b+144|0,346624,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[98833]=0;c[98832]=360384;if(!((c[99078]|0)==-1)){c[G>>2]=396312;c[G+4>>2]=16;c[G+8>>2]=0;JF(396312,G,124)}AM(b,395328,(c[99079]|0)-1|0);c[98831]=0;c[98830]=360344;if(!((c[99076]|0)==-1)){c[F>>2]=396304;c[F+4>>2]=16;c[F+8>>2]=0;JF(396304,F,124)}AM(b,395320,(c[99077]|0)-1|0);c[98883]=0;c[98882]=360792;c[98884]=0;a[395540]=0;c[98884]=c[(fb()|0)>>2];if(!((c[99158]|0)==-1)){c[E>>2]=396632;c[E+4>>2]=16;c[E+8>>2]=0;JF(396632,E,124)}AM(b,395528,(c[99159]|0)-1|0);c[98881]=0;c[98880]=360712;if(!((c[99156]|0)==-1)){c[D>>2]=396624;c[D+4>>2]=16;c[D+8>>2]=0;JF(396624,D,124)}AM(b,395520,(c[99157]|0)-1|0);c[98835]=0;c[98834]=360480;if(!((c[99082]|0)==-1)){c[C>>2]=396328;c[C+4>>2]=16;c[C+8>>2]=0;JF(396328,C,124)}AM(b,395336,(c[99083]|0)-1|0);c[89721]=0;c[89720]=360424;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);c[89722]=c[98800];if(!((c[99080]|0)==-1)){c[B>>2]=396320;c[B+4>>2]=16;c[B+8>>2]=0;JF(396320,B,124)}AM(b,358880,(c[99081]|0)-1|0);c[98837]=0;c[98836]=360536;if(!((c[99084]|0)==-1)){c[A>>2]=396336;c[A+4>>2]=16;c[A+8>>2]=0;JF(396336,A,124)}AM(b,395344,(c[99085]|0)-1|0);c[98839]=0;c[98838]=360592;if(!((c[99086]|0)==-1)){c[z>>2]=396344;c[z+4>>2]=16;c[z+8>>2]=0;JF(396344,z,124)}AM(b,395352,(c[99087]|0)-1|0);c[98813]=0;c[98812]=359888;a[395256]=46;a[395257]=44;GQ(395260,0,12)|0;if(!((c[99062]|0)==-1)){c[y>>2]=396248;c[y+4>>2]=16;c[y+8>>2]=0;JF(396248,y,124)}AM(b,395248,(c[99063]|0)-1|0);c[89713]=0;c[89712]=359840;c[89714]=46;c[89715]=44;GQ(358864,0,12)|0;if(!((c[99060]|0)==-1)){c[x>>2]=396240;c[x+4>>2]=16;c[x+8>>2]=0;JF(396240,x,124)}AM(b,358848,(c[99061]|0)-1|0);c[98829]=0;c[98828]=360272;if(!((c[99074]|0)==-1)){c[w>>2]=396296;c[w+4>>2]=16;c[w+8>>2]=0;JF(396296,w,124)}AM(b,395312,(c[99075]|0)-1|0);c[98827]=0;c[98826]=360200;if(!((c[99072]|0)==-1)){c[v>>2]=396288;c[v+4>>2]=16;c[v+8>>2]=0;JF(396288,v,124)}AM(b,395304,(c[99073]|0)-1|0);c[98825]=0;c[98824]=360136;if(!((c[99070]|0)==-1)){c[u>>2]=396280;c[u+4>>2]=16;c[u+8>>2]=0;JF(396280,u,124)}AM(b,395296,(c[99071]|0)-1|0);c[98823]=0;c[98822]=360072;if(!((c[99068]|0)==-1)){c[t>>2]=396272;c[t+4>>2]=16;c[t+8>>2]=0;JF(396272,t,124)}AM(b,395288,(c[99069]|0)-1|0);c[98893]=0;c[98892]=362008;if(!((c[99278]|0)==-1)){c[s>>2]=397112;c[s+4>>2]=16;c[s+8>>2]=0;JF(397112,s,124)}AM(b,395568,(c[99279]|0)-1|0);c[98891]=0;c[98890]=361944;if(!((c[99276]|0)==-1)){c[r>>2]=397104;c[r+4>>2]=16;c[r+8>>2]=0;JF(397104,r,124)}AM(b,395560,(c[99277]|0)-1|0);c[98889]=0;c[98888]=361880;if(!((c[99274]|0)==-1)){c[q>>2]=397096;c[q+4>>2]=16;c[q+8>>2]=0;JF(397096,q,124)}AM(b,395552,(c[99275]|0)-1|0);c[98887]=0;c[98886]=361816;if(!((c[99272]|0)==-1)){c[p>>2]=397088;c[p+4>>2]=16;c[p+8>>2]=0;JF(397088,p,124)}AM(b,395544,(c[99273]|0)-1|0);c[98811]=0;c[98810]=359520;if(!((c[99050]|0)==-1)){c[o>>2]=396200;c[o+4>>2]=16;c[o+8>>2]=0;JF(396200,o,124)}AM(b,395240,(c[99051]|0)-1|0);c[98809]=0;c[98808]=359480;if(!((c[99048]|0)==-1)){c[n>>2]=396192;c[n+4>>2]=16;c[n+8>>2]=0;JF(396192,n,124)}AM(b,395232,(c[99049]|0)-1|0);c[98807]=0;c[98806]=359440;if(!((c[99046]|0)==-1)){c[m>>2]=396184;c[m+4>>2]=16;c[m+8>>2]=0;JF(396184,m,124)}AM(b,395224,(c[99047]|0)-1|0);c[98805]=0;c[98804]=359400;if(!((c[99044]|0)==-1)){c[l>>2]=396176;c[l+4>>2]=16;c[l+8>>2]=0;JF(396176,l,124)}AM(b,395216,(c[99045]|0)-1|0);c[89709]=0;c[89708]=359744;c[89710]=359792;if(!((c[99058]|0)==-1)){c[k>>2]=396232;c[k+4>>2]=16;c[k+8>>2]=0;JF(396232,k,124)}AM(b,358832,(c[99059]|0)-1|0);c[89705]=0;c[89704]=359648;c[89706]=359696;if(!((c[99056]|0)==-1)){c[j>>2]=396224;c[j+4>>2]=16;c[j+8>>2]=0;JF(396224,j,124)}AM(b,358816,(c[99057]|0)-1|0);c[89701]=0;c[89700]=360648;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);c[89702]=c[98800];c[89700]=359616;if(!((c[99054]|0)==-1)){c[h>>2]=396216;c[h+4>>2]=16;c[h+8>>2]=0;JF(396216,h,124)}AM(b,358800,(c[99055]|0)-1|0);c[89697]=0;c[89696]=360648;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);c[89698]=c[98800];c[89696]=359584;if(!((c[99052]|0)==-1)){c[g>>2]=396208;c[g+4>>2]=16;c[g+8>>2]=0;JF(396208,g,124)}AM(b,358784,(c[99053]|0)-1|0);c[98821]=0;c[98820]=359976;if(!((c[99066]|0)==-1)){c[f>>2]=396264;c[f+4>>2]=16;c[f+8>>2]=0;JF(396264,f,124)}AM(b,395280,(c[99067]|0)-1|0);c[98819]=0;c[98818]=359936;if(!((c[99064]|0)==-1)){c[H>>2]=396256;c[H+4>>2]=16;c[H+8>>2]=0;JF(396256,H,124)}AM(b,395272,(c[99065]|0)-1|0);i=e;return}function AM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;nF(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){FO(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}oF(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function BM(a){a=a|0;CM(a);jQ(a);return}function CM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=360680;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{oF(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}YF(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;mF(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;mF(l);return}else{jQ(j);l=b|0;mF(l);return}}function DM(){var b=0,d=0;if((a[397176]|0)!=0){b=c[98792]|0;return b|0}if(($b(397176)|0)==0){b=c[98792]|0;return b|0}do{if((a[397184]|0)==0){if(($b(397184)|0)==0){break}zM(395360,1);c[98796]=395360;c[98794]=395184}}while(0);d=c[c[98794]>>2]|0;c[98798]=d;nF(d|0);c[98792]=395192;b=c[98792]|0;return b|0}function EM(a){a=a|0;var b=0;b=c[(DM()|0)>>2]|0;c[a>>2]=b;nF(b|0);return}function FM(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;nF(d|0);return}function GM(a){a=a|0;oF(c[a>>2]|0)|0;return}function HM(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=16;c[e+8>>2]=0;JF(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function IM(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=16;c[e+8>>2]=0;JF(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=xd(4)|0;h=g;IP(h);tc(g|0,365632,184);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=xd(4)|0;h=g;IP(h);tc(g|0,365632,184);return 0}else{i=d;return f|0}return 0}function JM(a){a=a|0;mF(a|0);jQ(a);return}function KM(a){a=a|0;if((a|0)==0){return}Pd[c[(c[a>>2]|0)+4>>2]&511](a);return}function LM(a){a=a|0;c[a+4>>2]=(I=c[99088]|0,c[99088]=I+1,I)+1;return}function MM(a){a=a|0;mF(a|0);jQ(a);return}function NM(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function OM(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(fb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function PM(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function QM(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function RM(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Dd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function SM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Dd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function TM(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Ed()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function UM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Ed()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function VM(a,b){a=a|0;b=b|0;return b<<24>>24|0}function WM(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function XM(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function YM(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function ZM(b){b=b|0;var d=0;c[b>>2]=360792;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}kQ(d)}}while(0);mF(b|0);jQ(b);return}function _M(b){b=b|0;var d=0;c[b>>2]=360792;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}kQ(d)}}while(0);mF(b|0);return}function $M(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Dd()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function aN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Dd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function bN(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Ed()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function cN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Ed()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function dN(a,b){a=a|0;b=b|0;return b|0}function eN(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function fN(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function gN(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function hN(a){a=a|0;mF(a|0);jQ(a);return}function iN(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function jN(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function kN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function lN(a){a=a|0;return 1}function mN(a){a=a|0;return 1}function nN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function oN(a){a=a|0;return 1}function pN(a){a=a|0;xM(a);jQ(a);return}function qN(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=cd(c[t>>2]|0)|0;z=hP(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){cd(y|0)|0}if((z|0)==(-1|0)){A=15;break}else if((z|0)==0){B=1;A=50;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){A=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=cd(c[t>>2]|0)|0;z=gP(u,0,d)|0;if((y|0)!=0){cd(y|0)|0}if((z|0)==-1){B=2;A=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){B=1;A=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((A|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=cd(c[t>>2]|0)|0;z=gP(u,s,n)|0;if((p|0)!=0){cd(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;B=2;i=l;return B|0}else if((A|0)==48){r=c[g>>2]|0;break}else if((A|0)==50){i=l;return B|0}}}while(0);B=(r|0)!=(f|0)|0;i=l;return B|0}function rN(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=cd(c[s>>2]|0)|0;y=dP(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){cd(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=cd(c[s>>2]|0)|0;F=cP(w,y,1,d)|0;if((E|0)!=0){cd(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=cd(c[s>>2]|0)|0;E=cP(v,r,x-r|0,n)|0;if((o|0)!=0){cd(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-1|0)){z=26;break}else if((E|0)==(-2|0)){z=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function sN(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=cd(c[b+8>>2]|0)|0;b=gP(e,0,d)|0;if((j|0)!=0){cd(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function tN(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=cd(c[b>>2]|0)|0;d=fP(0,0,4)|0;if((a|0)!=0){cd(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=cd(d|0)|0;if((b|0)==0){e=0;return e|0}cd(b|0)|0;e=0;return e|0}function uN(a){a=a|0;return 0}function vN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=cd(c[i>>2]|0)|0;l=bP(a,h-a|0,b)|0;if((k|0)!=0){cd(k|0)|0}if((l|0)==0){m=1;n=a+1|0}else if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;o=15;break}else{m=l;n=a+l|0}l=m+d|0;k=j+1|0;if(k>>>0>=f>>>0|(n|0)==(e|0)){g=l;o=15;break}else{a=n;d=l;j=k}}if((o|0)==15){return g|0}return 0}function wN(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=cd(b|0)|0;if((a|0)==0){d=4;break}cd(a|0)|0;d=4}}while(0);return d|0}function xN(a){a=a|0;mF(a|0);jQ(a);return}function yN(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=zN(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function zN(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function AN(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=BN(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function BN(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function CN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function DN(a){a=a|0;return 0}function EN(a){a=a|0;return 0}function FN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return GN(c,d,e,1114111,0)|0}function GN(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function HN(a){a=a|0;return 4}function IN(a){a=a|0;mF(a|0);jQ(a);return}function JN(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=KN(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function KN(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function LN(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=MN(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function MN(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function NN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function ON(a){a=a|0;return 0}function PN(a){a=a|0;return 0}function QN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return RN(c,d,e,1114111,0)|0}function RN(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function SN(a){a=a|0;return 4}function TN(a){a=a|0;mF(a|0);jQ(a);return}function UN(a){a=a|0;mF(a|0);jQ(a);return}function VN(a){a=a|0;c[a>>2]=359888;YF(a+12|0);mF(a|0);jQ(a);return}function WN(a){a=a|0;c[a>>2]=359888;YF(a+12|0);mF(a|0);return}function XN(a){a=a|0;c[a>>2]=359840;YF(a+16|0);mF(a|0);jQ(a);return}function YN(a){a=a|0;c[a>>2]=359840;YF(a+16|0);mF(a|0);return}function ZN(b){b=b|0;return a[b+8|0]|0}function _N(a){a=a|0;return c[a+8>>2]|0}function $N(b){b=b|0;return a[b+9|0]|0}function aO(a){a=a|0;return c[a+12>>2]|0}function bO(a,b){a=a|0;b=b|0;OF(a,b+12|0);return}function cO(a,b){a=a|0;b=b|0;OF(a,b+16|0);return}function dO(a,b){a=a|0;b=b|0;QF(a,341424,4);return}function eO(a,b){a=a|0;b=b|0;yG(a,340656,DP(340656)|0);return}function fO(a,b){a=a|0;b=b|0;QF(a,268456,5);return}function gO(a,b){a=a|0;b=b|0;yG(a,45376,DP(45376)|0);return}function hO(b){b=b|0;var d=0;if((a[397272]|0)!=0){d=c[98918]|0;return d|0}if(($b(397272)|0)==0){d=c[98918]|0;return d|0}do{if((a[397160]|0)==0){if(($b(397160)|0)==0){break}GQ(394712,0,168)|0;Eb(330,0,r|0)|0}}while(0);$F(394712,353376)|0;$F(394724,353064)|0;$F(394736,352856)|0;$F(394748,352656)|0;$F(394760,352512)|0;$F(394772,352400)|0;$F(394784,352256)|0;$F(394796,352184)|0;$F(394808,352048)|0;$F(394820,351744)|0;$F(394832,351616)|0;$F(394844,351208)|0;$F(394856,350320)|0;$F(394868,350272)|0;c[98918]=394712;d=c[98918]|0;return d|0}function iO(b){b=b|0;var d=0;if((a[397216]|0)!=0){d=c[98896]|0;return d|0}if(($b(397216)|0)==0){d=c[98896]|0;return d|0}do{if((a[397136]|0)==0){if(($b(397136)|0)==0){break}GQ(393968,0,168)|0;Eb(120,0,r|0)|0}}while(0);BG(393968,356760)|0;BG(393980,356600)|0;BG(393992,356296)|0;BG(394004,356216)|0;BG(394016,355776)|0;BG(394028,355488)|0;BG(394040,355048)|0;BG(394052,354864)|0;BG(394064,354608)|0;BG(394076,354384)|0;BG(394088,354312)|0;BG(394100,354136)|0;BG(394112,354e3)|0;BG(394124,353696)|0;c[98896]=393968;d=c[98896]|0;return d|0}function jO(b){b=b|0;var d=0;if((a[397264]|0)!=0){d=c[98916]|0;return d|0}if(($b(397264)|0)==0){d=c[98916]|0;return d|0}do{if((a[397152]|0)==0){if(($b(397152)|0)==0){break}GQ(394424,0,288)|0;Eb(224,0,r|0)|0}}while(0);$F(394424,24592)|0;$F(394436,24472)|0;$F(394448,24360)|0;$F(394460,24288)|0;$F(394472,24168)|0;$F(394484,23968)|0;$F(394496,23880)|0;$F(394508,23672)|0;$F(394520,23448)|0;$F(394532,23240)|0;$F(394544,22432)|0;$F(394556,22264)|0;$F(394568,22224)|0;$F(394580,21960)|0;$F(394592,21864)|0;$F(394604,21720)|0;$F(394616,24168)|0;$F(394628,21520)|0;$F(394640,21344)|0;$F(394652,358272)|0;$F(394664,357984)|0;$F(394676,357616)|0;$F(394688,357528)|0;$F(394700,357208)|0;c[98916]=394424;d=c[98916]|0;return d|0}function kO(b){b=b|0;var d=0;if((a[397208]|0)!=0){d=c[98894]|0;return d|0}if(($b(397208)|0)==0){d=c[98894]|0;return d|0}do{if((a[397128]|0)==0){if(($b(397128)|0)==0){break}GQ(393680,0,288)|0;Eb(170,0,r|0)|0}}while(0);BG(393680,31968)|0;BG(393692,31752)|0;BG(393704,31504)|0;BG(393716,31208)|0;BG(393728,26960)|0;BG(393740,30016)|0;BG(393752,29712)|0;BG(393764,29520)|0;BG(393776,29312)|0;BG(393788,28928)|0;BG(393800,28696)|0;BG(393812,28384)|0;BG(393824,28232)|0;BG(393836,27896)|0;BG(393848,27680)|0;BG(393860,27160)|0;BG(393872,26960)|0;BG(393884,26728)|0;BG(393896,26384)|0;BG(393908,25960)|0;BG(393920,25640)|0;BG(393932,25432)|0;BG(393944,25280)|0;BG(393956,25096)|0;c[98894]=393680;d=c[98894]|0;return d|0}function lO(b){b=b|0;var d=0;if((a[397280]|0)!=0){d=c[98920]|0;return d|0}if(($b(397280)|0)==0){d=c[98920]|0;return d|0}do{if((a[397168]|0)==0){if(($b(397168)|0)==0){break}GQ(394880,0,288)|0;Eb(168,0,r|0)|0}}while(0);$F(394880,32752)|0;$F(394892,32512)|0;c[98920]=394880;d=c[98920]|0;return d|0}function mO(b){b=b|0;var d=0;if((a[397224]|0)!=0){d=c[98898]|0;return d|0}if(($b(397224)|0)==0){d=c[98898]|0;return d|0}do{if((a[397144]|0)==0){if(($b(397144)|0)==0){break}GQ(394136,0,288)|0;Eb(304,0,r|0)|0}}while(0);BG(394136,34200)|0;BG(394148,33320)|0;c[98898]=394136;d=c[98898]|0;return d|0}function nO(b){b=b|0;if((a[397288]|0)!=0){return 395688}if(($b(397288)|0)==0){return 395688}QF(395688,44168,8);Eb(322,395688,r|0)|0;return 395688}function oO(b){b=b|0;if((a[397232]|0)!=0){return 395600}if(($b(397232)|0)==0){return 395600}yG(395600,43136,DP(43136)|0);Eb(88,395600,r|0)|0;return 395600}function pO(b){b=b|0;if((a[397312]|0)!=0){return 395736}if(($b(397312)|0)==0){return 395736}QF(395736,42496,8);Eb(322,395736,r|0)|0;return 395736}function qO(b){b=b|0;if((a[397256]|0)!=0){return 395648}if(($b(397256)|0)==0){return 395648}yG(395648,41976,DP(41976)|0);Eb(88,395648,r|0)|0;return 395648}function rO(b){b=b|0;if((a[397304]|0)!=0){return 395720}if(($b(397304)|0)==0){return 395720}QF(395720,41376,20);Eb(322,395720,r|0)|0;return 395720}function sO(b){b=b|0;if((a[397248]|0)!=0){return 395632}if(($b(397248)|0)==0){return 395632}yG(395632,40752,DP(40752)|0);Eb(88,395632,r|0)|0;return 395632}function tO(b){b=b|0;if((a[397296]|0)!=0){return 395704}if(($b(397296)|0)==0){return 395704}QF(395704,40272,11);Eb(322,395704,r|0)|0;return 395704}function uO(b){b=b|0;if((a[397240]|0)!=0){return 395616}if(($b(397240)|0)==0){return 395616}yG(395616,40032,DP(40032)|0);Eb(88,395616,r|0)|0;return 395616}function vO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=+zQ(b,g,c[98800]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function wO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=+zQ(b,g,c[98800]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function xO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);l=+zQ(b,g,c[98800]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function yO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=Vc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);n=zc(b|0,h|0,f|0,c[98800]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function zO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[98800]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function AO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[98800]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function BO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[98800]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function CO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=Vc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);n=Ec(b|0,h|0,f|0,c[98800]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function DO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[397192]|0)==0){if(($b(397192)|0)==0){break}c[98800]=nb(2147483647,346624,0)|0}}while(0);m=Ec(b|0,h|0,f|0,c[98800]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function EO(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;Pd[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;Pd[f&511](a);return}}function FO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){yM(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=hQ(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;FQ(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{jQ(g);return}}function GO(a){a=a|0;AG(394412);AG(394400);AG(394388);AG(394376);AG(394364);AG(394352);AG(394340);AG(394328);AG(394316);AG(394304);AG(394292);AG(394280);AG(394268);AG(394256);AG(394244);AG(394232);AG(394220);AG(394208);AG(394196);AG(394184);AG(394172);AG(394160);AG(394148);AG(394136);return}function HO(a){a=a|0;YF(395156);YF(395144);YF(395132);YF(395120);YF(395108);YF(395096);YF(395084);YF(395072);YF(395060);YF(395048);YF(395036);YF(395024);YF(395012);YF(395e3);YF(394988);YF(394976);YF(394964);YF(394952);YF(394940);YF(394928);YF(394916);YF(394904);YF(394892);YF(394880);return}function IO(a){a=a|0;AG(393956);AG(393944);AG(393932);AG(393920);AG(393908);AG(393896);AG(393884);AG(393872);AG(393860);AG(393848);AG(393836);AG(393824);AG(393812);AG(393800);AG(393788);AG(393776);AG(393764);AG(393752);AG(393740);AG(393728);AG(393716);AG(393704);AG(393692);AG(393680);return}function JO(a){a=a|0;YF(394700);YF(394688);YF(394676);YF(394664);YF(394652);YF(394640);YF(394628);YF(394616);YF(394604);YF(394592);YF(394580);YF(394568);YF(394556);YF(394544);YF(394532);YF(394520);YF(394508);YF(394496);YF(394484);YF(394472);YF(394460);YF(394448);YF(394436);YF(394424);return}function KO(a){a=a|0;AG(394124);AG(394112);AG(394100);AG(394088);AG(394076);AG(394064);AG(394052);AG(394040);AG(394028);AG(394016);AG(394004);AG(393992);AG(393980);AG(393968);return}function LO(a){a=a|0;YF(394868);YF(394856);YF(394844);YF(394832);YF(394820);YF(394808);YF(394796);YF(394784);YF(394772);YF(394760);YF(394748);YF(394736);YF(394724);YF(394712);return}function MO(a){a=a|0;var b=0;if((SO(a)|0)!=0){b=1;return b|0}b=(NO(a)|0)!=0|0;return b|0}function NO(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function OO(a){a=a|0;return nc(a|0)|0}function PO(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function QO(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 12:{c=ZO(a)|0;break};case 5:{c=SO(a)|0;break};case 3:{c=OO(a)|0;break};case 10:{c=XO(a)|0;break};case 6:{c=TO(a)|0;break};case 11:{c=YO(a)|0;break};case 2:{c=NO(a)|0;break};case 4:{c=PO(a)|0;break};case 9:{c=WO(a)|0;break};case 8:{c=VO(a)|0;break};case 7:{c=UO(a)|0;break};case 1:{c=MO(a)|0;break};default:{c=0}}return c|0}function RO(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 97:{if((BQ(b,368)|0)==0){d=1;break a}if((BQ(b,374)|0)==0){d=2}else{e=16}break};case 112:{if((BQ(b,410)|0)==0){d=8;break a}if((BQ(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==117){e=14}else if((c<<24>>24|0)==120){e=15}else if((c<<24>>24|0)==115){e=13}else{e=16}break};case 117:{e=14;break};case 108:{if((BQ(b,404)|0)==0){d=7}else{e=16}break};case 103:{if((BQ(b,398)|0)==0){d=6}else{e=16}break};case 120:{e=15;break};case 98:{if((BQ(b,380)|0)==0){d=3}else{e=16}break};case 99:{if((BQ(b,386)|0)==0){d=4}else{e=16}break};case 100:{if((BQ(b,392)|0)==0){d=5}else{e=16}break};case 115:{e=13;break};default:{e=16}}}while(0);if((e|0)==13){if((BQ(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if((BQ(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if((BQ(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function SO(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function TO(a){a=a|0;var b=0;if((XO(a)|0)!=0){b=0;return b|0}b=(VO(a)|0)!=0|0;return b|0}function UO(a){a=a|0;var b=0;if((_O(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function VO(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function WO(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function XO(a){a=a|0;return(CP(15656,a)|0)!=0|0}function YO(a){a=a|0;return(aP(a)|0)!=(a|0)|0}function ZO(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function _O(a){a=a|0;return $O(a,0)|0}function $O(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((NO(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[18290+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[18288+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[18291+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8096+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8096+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function aP(a){a=a|0;return $O(a,1)|0}function bP(a,b,c){a=a|0;b=b|0;c=c|0;return cP(0,a,b,(c|0)!=0?c:379176)|0}function cP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?379168:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[358576+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(Vc()|0)>>2]=84;k=-1;i=g;return k|0}function dP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=eP(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=cP(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==(-1|0)){D=-1;break}else if((J|0)==0){c[j>>2]=0;D=G;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function eP(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[358576+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[358576+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(Vc()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function fP(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[358576+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(Vc()|0)>>2]=84;j=-1;i=g;return j|0}function gP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(Vc()|0)>>2]=84;f=-1;return f|0}return 0}function hP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=iP(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=gP(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function iP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=gP(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=gP(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=gP(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}gP(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function jP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=bQ(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=bQ(2048)|0;c[o+16>>2]=r;if((r|0)==0){cQ(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=zP(0,0)|0;if((s|0)==0){cQ(r);cQ(o);q=12;i=e;return q|0}GQ(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=kP(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=dQ(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=lP(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=bQ(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;GQ(x|0,-1|0,u|0)|0;H=G}else{H=0}G=dQ(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=dQ(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=lP(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=rP(p,w)|0;b:do{if((u|0)==0){x=rP(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==0){O=c[R>>2]|0;if((O|0)==2){S=c[R+4>>2]|0;T=rP(p,K)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,R)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,1)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,c[S>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,0)|0;if((T|0)!=0){U=T;V=L;break c}if((c[S+4>>2]|0)>1){E=45}else{if((c[S+8>>2]|0)>1){E=45}else{W=K}}if((E|0)==45){E=0;c[h>>2]=0;W=0}X=M+1|0;Y=L;Z=W;break}else if((O|0)==3){S=c[R+4>>2]|0;T=rP(p,c[S+4>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,0)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,c[S>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}_=rP(p,0)|0}else if((O|0)==0){T=c[R+4>>2]|0;S=c[T>>2]|0;if(!((S|0)>-1|(S|0)==-4)){X=M;Y=L;Z=K;break}S=T+8|0;T=(c[S>>2]|0)+K|0;c[S>>2]=T;if((T|0)<=(c[j>>2]|0)){X=M;Y=L;Z=K;break}c[j>>2]=T;X=M;Y=L;Z=K;break}else if((O|0)==1){O=c[R+4>>2]|0;T=rP(p,c[O+4>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,0)|0;if((T|0)!=0){U=T;V=L;break c}T=rP(p,c[O>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}_=rP(p,0)|0}else{X=M;Y=L;Z=K;break}if((_|0)==0){X=M;Y=L;Z=K}else{U=_;V=L;break c}}else if((Q|0)==1){T=R+4|0;O=c[T>>2]|0;S=N-3|0;c[t>>2]=S;$=c[P+(S<<2)>>2]|0;c[h>>2]=$;S=O+4|0;aa=c[S>>2]|0;do{if((aa|0)>1){c[k>>2]=0;ba=O;E=51}else{if((c[O+8>>2]|0)<=1){ca=$;break}c[k>>2]=0;da=O;if((aa|0)>0){ba=da;E=51}else{ea=aa;fa=0;ga=$;ha=da;E=60}}}while(0);e:do{if((E|0)==51){E=0;da=aa;ia=0;ja=1;ka=$;while(1){la=sP(s,p,c[ba>>2]|0,(ja|0)<(da|0)?1:2,h,F,l,j)|0;if((la|0)!=0){I=la;break b}la=c[l>>2]|0;if((ia|0)==0){ma=la}else{na=BP(s,0,0,1,32)|0;if((na|0)==0){I=12;break b}oa=BP(s,0,0,1,8)|0;pa=na+4|0;c[pa>>2]=oa;if((oa|0)==0){I=12;break b}c[na>>2]=1;c[na+8>>2]=-1;c[na+12>>2]=-1;c[oa>>2]=ia;c[(c[pa>>2]|0)+4>>2]=la;c[na+16>>2]=(c[la+16>>2]|0)+(c[ia+16>>2]|0);ma=na}if((ma|0)==0){I=12;break b}na=c[S>>2]|0;if((ja|0)>=(na|0)){ea=na;fa=ma;ga=ka;ha=ba;E=60;break e}da=na;ia=ma;ja=ja+1|0;ka=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;S=O+8|0;aa=c[S>>2]|0;do{if((aa|0)==-1){ka=c[h>>2]|0;ja=sP(s,p,c[ha>>2]|0,0,h,0,k,j)|0;if((ja|0)!=0){I=ja;break b}ja=c[k>>2]|0;ia=BP(s,0,0,1,32)|0;da=ia;if((ia|0)==0){E=65;break d}na=BP(s,0,0,1,16)|0;c[ia+4>>2]=na;if((na|0)==0){E=65;break d}c[ia>>2]=2;c[ia+8>>2]=-1;c[ia+12>>2]=-1;c[na>>2]=ja;c[na+4>>2]=0;c[na+8>>2]=-1;la=na+12|0;c[la>>2]=c[la>>2]&-2;c[ia+16>>2]=c[ja+16>>2];c[k>>2]=da;qa=ka;ra=da}else{if((ea|0)<(aa|0)){sa=0;ta=ea}else{qa=ga;ra=0;break}while(1){da=c[h>>2]|0;ka=sP(s,p,c[ha>>2]|0,0,h,0,m,j)|0;if((ka|0)!=0){I=ka;break b}ka=c[m>>2]|0;if((sa|0)==0){ua=ka}else{ja=BP(s,0,0,1,32)|0;if((ja|0)==0){E=72;break d}ia=BP(s,0,0,1,8)|0;la=ja+4|0;c[la>>2]=ia;if((ia|0)==0){E=72;break d}c[ja>>2]=1;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ia>>2]=ka;c[(c[la>>2]|0)+4>>2]=sa;c[ja+16>>2]=(c[sa+16>>2]|0)+(c[ka+16>>2]|0);ua=ja}c[k>>2]=ua;if((ua|0)==0){I=12;break b}ja=BP(s,0,0,1,32)|0;if((ja|0)==0){I=12;break b}ka=BP(s,0,0,1,20)|0;c[ja+4>>2]=ka;if((ka|0)==0){I=12;break b}c[ja>>2]=0;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ka>>2]=-1;c[ka+4>>2]=-1;c[ka+8>>2]=-1;ka=BP(s,0,0,1,32)|0;la=ka;if((ka|0)==0){E=78;break d}ia=BP(s,0,0,1,8)|0;na=ka+4|0;c[na>>2]=ia;if((ia|0)==0){E=78;break d}c[ka>>2]=3;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ia>>2]=ja;c[(c[na>>2]|0)+4>>2]=ua;c[ka+16>>2]=(c[ua+16>>2]|0)+(c[ja+16>>2]|0);c[k>>2]=la;ja=ta+1|0;if((ja|0)<(c[S>>2]|0)){sa=la;ta=ja}else{qa=da;ra=la;break}}}}while(0);c[h>>2]=qa;do{if((fa|0)==0){va=ra;E=85}else{if((ra|0)==0){wa=fa;break}S=BP(s,0,0,1,32)|0;if((S|0)==0){I=12;break b}aa=BP(s,0,0,1,8)|0;O=S+4|0;c[O>>2]=aa;if((aa|0)==0){I=12;break b}c[S>>2]=1;c[S+8>>2]=-1;c[S+12>>2]=-1;c[aa>>2]=fa;c[(c[O>>2]|0)+4>>2]=ra;c[S+16>>2]=(c[ra+16>>2]|0)+(c[fa+16>>2]|0);va=S;E=85}}while(0);if((E|0)==85){E=0;if((va|0)==0){I=12;break b}else{wa=va}}c[T>>2]=c[wa+4>>2];c[R>>2]=c[wa>>2];ca=qa}S=M-1|0;O=ca-$+L|0;if((S|0)!=0){X=S;Y=O;Z=ca;break}c[h>>2]=O;X=0;Y=O;Z=O}else{X=M;Y=L;Z=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=Z;L=Y;M=X;N=R}else{U=0;V=Y;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{U=0;V=0}}while(0);x=(c[G>>2]|0)+V|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=U;break}c[G>>2]=J;I=U}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=BP(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=BP(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=BP(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=BP(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=rP(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=rP(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==0){L=c[xa>>2]|0;if((L|0)==0){K=c[xa+4>>2]|0;P=K;Q=c[P>>2]|0;if((Q|0)==-4){c[xa+8>>2]=0;O=K+8|0;S=c[O>>2]|0;aa=BP(s,0,0,1,64)|0;if((aa|0)==0){E=105;break g}c[aa>>2]=S;c[aa+4>>2]=0;c[aa+8>>2]=1114111;c[aa+20>>2]=0;c[aa+24>>2]=0;GQ(aa+28|0,-1|0,16)|0;c[xa+24>>2]=aa;aa=c[O>>2]|0;O=c[K+4>>2]|0;S=BP(s,0,0,1,64)|0;if((S|0)==0){E=107;break g}c[S>>2]=aa;c[S+4>>2]=0;c[S+8>>2]=1114111;c[S+20>>2]=0;c[S+24>>2]=0;c[S+28>>2]=O;c[S+32>>2]=-1;c[S+36>>2]=-1;c[S+40>>2]=-1;c[xa+28>>2]=S;break}S=xa+8|0;if((Q|0)<0){c[S>>2]=1;O=BP(s,0,0,1,32)|0;if((O|0)==0){E=111;break g}c[O>>2]=-1;c[O+4>>2]=-1;c[O+8>>2]=-1;c[xa+24>>2]=O;O=BP(s,0,0,1,32)|0;if((O|0)==0){E=113;break g}c[O>>2]=-1;c[O+4>>2]=-1;c[O+8>>2]=-1;c[xa+28>>2]=O;break}else{c[S>>2]=0;S=K+8|0;O=c[S>>2]|0;aa=K+4|0;la=c[aa>>2]|0;da=BP(s,0,0,1,64)|0;if((da|0)==0){E=116;break g}c[da>>2]=O;c[da+4>>2]=Q;c[da+8>>2]=la;c[da+20>>2]=0;c[da+24>>2]=0;GQ(da+28|0,-1|0,16)|0;c[xa+24>>2]=da;da=c[S>>2]|0;S=c[P>>2]|0;P=c[aa>>2]|0;aa=c[K+12>>2]|0;la=c[K+16>>2]|0;K=BP(s,0,0,1,64)|0;if((K|0)==0){E=118;break g}c[K>>2]=da;c[K+4>>2]=S;c[K+8>>2]=P;c[K+20>>2]=aa;c[K+24>>2]=la;GQ(K+28|0,-1|0,16)|0;c[xa+28>>2]=K;break}}else if((L|0)==1){K=rP(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=rP(p,2)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=xa+4|0;la=rP(p,c[(c[K>>2]|0)+4>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=rP(p,0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=rP(p,c[c[K>>2]>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=rP(p,0)|0;if((la|0)==0){break}else{y=la;z=C;A=0;B=0;break a}}else if((L|0)==3){la=rP(p,xa)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=rP(p,1)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=xa+4|0;K=rP(p,c[(c[la>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=rP(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=rP(p,c[c[la>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=rP(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((L|0)==2){L=rP(p,xa)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=rP(p,3)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=rP(p,c[c[xa+4>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=rP(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else{break}}else if((R|0)==1){L=c[xa+4>>2]|0;K=L;la=c[K>>2]|0;aa=L+4|0;L=c[aa>>2]|0;if((c[la+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;P=pP(s,c[la+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=P;if((P|0)==0){y=12;z=C;A=0;B=0;break a}P=pP(s,c[(c[K>>2]|0)+28>>2]|0,c[(c[aa>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=P;if((P|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==3){P=c[xa+4>>2]|0;aa=P;K=c[aa>>2]|0;do{if((c[P+4>>2]|0)==0){E=142}else{if((c[K+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[K+24>>2];c[xa+28>>2]=c[(c[aa>>2]|0)+28>>2]}else if((R|0)==2){P=c[xa+4>>2]|0;L=P;la=c[L>>2]|0;S=la+8|0;if((c[S>>2]|0)==0){za=0}else{za=(c[(c[P+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[S>>2]|0)==0){c[xa+24>>2]=c[la+24>>2];Aa=P+4|0}else{S=qP(p,la,0,0,f)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}Ba=bQ((c[f>>2]<<2)+4|0)|0;S=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[S>>2]=-1;c[g>>2]=0;Ca=qP(p,c[L>>2]|0,S,g,0)|0;if((Ca|0)!=0){E=151;break g}la=P+4|0;P=xa+24|0;c[P>>2]=pP(s,c[(c[la>>2]|0)+24>>2]|0,c[(c[L>>2]|0)+24>>2]|0,S,c[g>>2]|0)|0;cQ(Ba);if((c[P>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=la}}la=c[Aa>>2]|0;if((c[la+8>>2]|0)==0){c[xa+28>>2]=c[la+28>>2];break}P=qP(p,la,0,0,f)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}Da=bQ((c[f>>2]<<2)+4|0)|0;P=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[P>>2]=-1;c[g>>2]=0;Ea=qP(p,c[Aa>>2]|0,P,g,0)|0;if((Ea|0)!=0){E=158;break g}la=xa+28|0;c[la>>2]=pP(s,c[(c[L>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,P,c[g>>2]|0)|0;cQ(Da);if((c[la>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){cQ(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){cQ(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=bQ(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=bQ(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){GQ(N|0,0,((D|0)>1?D<<2:4)|0)|0}mP(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;la=w+(x<<2)|0;P=R+1+(c[la>>2]|0)|0;c[la>>2]=0;la=x+1|0;if((la|0)<(D|0)){x=la;R=P}else{Fa=P;break}}}else{Fa=0}R=dQ(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=mP(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;P=c[D>>2]|0;if((c[P>>2]|0)>-1){la=1;L=P;while(1){P=L+32|0;S=la+1|0;if((c[P>>2]|0)>-1){la=S;L=P}else{Ga=S;break}}}else{Ga=1}L=dQ(Ga,32)|0;la=L;if((L|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=la;L=c[D>>2]|0;J=c[L>>2]|0;if((J|0)>-1){S=0;P=L;L=J;while(1){c[la+(S<<5)+8>>2]=x+(c[t+(L<<2)>>2]<<5);c[la+(S<<5)+12>>2]=L;J=la+(S<<5)+16|0;c[J>>2]=0;da=P+12|0;Q=c[da>>2]|0;if((Q|0)!=0){O=0;while(1){Ha=O+1|0;if((c[Q+(O<<2)>>2]|0)>-1){O=Ha}else{break}}O=Ha<<2;Q=bQ(O)|0;c[J>>2]=Q;if((Q|0)==0){y=12;z=C;A=w;B=t;break a}FQ(Q|0,c[da>>2]|0,O)|0}c[la+(S<<5)+20>>2]=c[P+16>>2];O=S+1|0;Q=P+32|0;ja=c[Q>>2]|0;if((ja|0)>-1){S=O;P=Q;L=ja}else{Ia=O;break}}}else{Ia=0}c[la+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;AP(s);cQ(c[o+16>>2]|0);cQ(o);cQ(N);cQ(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);AP(s);cQ(c[o+16>>2]|0);cQ(o);if((A|0)!=0){cQ(A)}if((B|0)!=0){cQ(B)}c[a+4>>2]=z;nP(a);q=y;i=e;return q|0}function kP(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;rP(m,c[p>>2]|0)|0;rP(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=rP(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 8:{Q=N-2|0;c[n>>2]=Q;R=c[P+(Q<<2)>>2]|0;Q=c[w>>2]|0;S=BP(Q,0,0,1,32)|0;if((S|0)==0){T=12;U=293;break b}V=BP(Q,0,0,1,8)|0;Q=S+4|0;c[Q>>2]=V;if((V|0)==0){T=12;U=293;break b}c[S>>2]=3;c[S+8>>2]=-1;c[S+12>>2]=-1;c[V>>2]=R;c[(c[Q>>2]|0)+4>>2]=L;c[S+16>>2]=(c[L+16>>2]|0)+(c[R+16>>2]|0);W=0;X=M;Y=S;break};case 3:{S=rP(m,5)|0;if((S|0)!=0){Z=S;_=M;U=6;break b}W=rP(m,4)|0;X=M;Y=L;break};case 6:{S=N-2|0;c[n>>2]=S;R=c[P+(S<<2)>>2]|0;S=c[w>>2]|0;Q=BP(S,0,0,1,32)|0;if((Q|0)==0){T=12;U=293;break b}V=BP(S,0,0,1,8)|0;S=Q+4|0;c[S>>2]=V;if((V|0)==0){T=12;U=293;break b}c[Q>>2]=1;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[V>>2]=R;c[(c[S>>2]|0)+4>>2]=L;c[Q+16>>2]=(c[L+16>>2]|0)+(c[R+16>>2]|0);W=0;X=M;Y=Q;break};case 7:{Q=c[q>>2]|0;R=a[Q]|0;if((R|0)==41){c[q>>2]=Q+1;W=0;X=M;Y=L;break c}else if((R|0)!=124){W=0;X=M;Y=L;break c}R=rP(m,7)|0;if((R|0)!=0){Z=R;_=M;U=6;break b}R=rP(m,L)|0;if((R|0)!=0){Z=R;_=M;U=6;break b}R=rP(m,8)|0;if((R|0)!=0){Z=R;_=M;U=6;break b}R=rP(m,3)|0;if((R|0)!=0){Z=R;_=M;U=6;break b}c[q>>2]=(c[q>>2]|0)+1;W=0;X=M;Y=L;break};case 0:{if((c[v>>2]&1|0)!=0){R=rP(m,7)|0;if((R|0)!=0){Z=R;_=M;U=6;break b}}W=rP(m,3)|0;X=M;Y=L;break};case 2:{R=N-2|0;c[n>>2]=R;Q=c[P+(R<<2)>>2]|0;if((c[L+12>>2]|0)>-1){R=c[w>>2]|0;S=BP(R,0,0,1,32)|0;if((S|0)==0){T=12;U=293;break b}V=BP(R,0,0,1,20)|0;c[S+4>>2]=V;if((V|0)==0){T=12;U=293;break b}c[S>>2]=0;c[S+8>>2]=-1;c[S+12>>2]=-1;c[V>>2]=-1;c[V+4>>2]=-1;c[V+8>>2]=-1;V=c[w>>2]|0;R=BP(V,0,0,1,32)|0;if((R|0)==0){T=12;U=293;break b}$=BP(V,0,0,1,8)|0;V=R+4|0;c[V>>2]=$;if(($|0)==0){T=12;U=293;break b}c[R>>2]=1;c[R+8>>2]=-1;c[R+12>>2]=-1;c[$>>2]=S;c[(c[V>>2]|0)+4>>2]=L;V=L+16|0;$=R+16|0;c[$>>2]=(c[V>>2]|0)+(c[S+16>>2]|0);c[$>>2]=c[V>>2];aa=R}else{aa=L}c[aa+12>>2]=Q;Q=aa+16|0;c[Q>>2]=(c[Q>>2]|0)+1;W=0;X=M;Y=aa;break};case 10:{Q=N-2|0;c[n>>2]=Q;c[v>>2]=c[P+(Q<<2)>>2];W=0;X=M;Y=L;break};case 5:{Q=c[q>>2]|0;R=a[Q]|0;if(R<<24>>24==0){W=0;X=M;Y=L;break c}V=c[v>>2]&1;$=(V|0)!=0;if($&R<<24>>24==124){W=0;X=M;Y=L;break c}do{if(!($&R<<24>>24==41&(M|0)>0)){if((V|0)==0&R<<24>>24==92){if((a[Q+1|0]|0)==41){break}}S=rP(m,5)|0;if((S|0)!=0){Z=S;_=M;U=6;break b}S=rP(m,L)|0;if((S|0)!=0){Z=S;_=M;U=6;break b}S=rP(m,6)|0;if((S|0)!=0){Z=S;_=M;U=6;break b}W=rP(m,4)|0;X=M;Y=L;break c}}while(0);R=(V|M|0)==0?8:0;$=M-1|0;if((V|0)!=0){W=R;X=$;Y=L;break c}c[q>>2]=Q+2;W=R;X=$;Y=L;break};case 9:{$=c[q>>2]|0;R=a[$]|0;switch(R<<24>>24|0){case 92:{S=c[v>>2]|0;if((S&1|0)!=0){W=0;X=M;Y=L;break c}ba=$+1|0;if((a[ba]|0)!=123){W=0;X=M;Y=L;break c}c[q>>2]=ba;ca=ba;da=S;break};case 123:{S=c[v>>2]|0;if((S&1|0)==0){W=0;X=M;Y=L;break c}else{ca=$;da=S}break};case 42:{U=41;break};case 43:case 63:{if((c[v>>2]&1|0)==0){W=0;X=M;Y=L;break c}else{U=41}break};default:{W=0;X=M;Y=L;break c}}if((U|0)==41){U=0;c[q>>2]=$+1;$=c[w>>2]|0;S=BP($,0,0,1,32)|0;if((S|0)==0){T=12;U=293;break b}ba=BP($,0,0,1,16)|0;c[S+4>>2]=ba;if((ba|0)==0){T=12;U=293;break b}c[S>>2]=2;c[S+8>>2]=-1;c[S+12>>2]=-1;c[ba>>2]=L;c[ba+4>>2]=R<<24>>24==43;c[ba+8>>2]=R<<24>>24==63?1:-1;R=ba+12|0;c[R>>2]=c[R>>2]&-2;c[S+16>>2]=c[L+16>>2];W=rP(m,9)|0;X=M;Y=S;break c}S=ca+1|0;c[q>>2]=S;R=a[S]|0;if((R-48&255)>>>0<10>>>0){ba=R<<24>>24;if((ba-48|0)>>>0<10>>>0){ea=-1;fa=S;ga=ba}else{T=10;U=293;break b}while(1){ba=((ea|0)<0?-48:(ea*10|0)-48|0)+ga|0;$=fa+1|0;ha=a[$]|0;ia=ha<<24>>24;if((ia-48|0)>>>0<10>>>0){ea=ba;fa=$;ga=ia}else{ja=ba;ka=$;la=ha;break}}}else{ja=-1;ka=S;la=R}do{if(la<<24>>24==44){Q=ka+1|0;V=a[Q]|0;ha=V<<24>>24;if((ha-48|0)>>>0<10>>>0){ma=-1;na=Q;oa=ha}else{pa=Q;qa=-1;ra=V;break}while(1){V=((ma|0)<0?-48:(ma*10|0)-48|0)+oa|0;Q=na+1|0;ha=a[Q]|0;$=ha<<24>>24;if(($-48|0)>>>0<10>>>0){ma=V;na=Q;oa=$}else{sa=V;ta=Q;ua=ha;U=54;break}}}else{sa=ja;ta=ka;ua=la;U=54}}while(0);do{if((U|0)==54){U=0;if(!((sa|0)>-1)){pa=ta;qa=sa;ra=ua;break}if((ja|0)>(sa|0)|(sa|0)>255){T=10;U=293;break b}else{pa=ta;qa=sa;ra=ua}}}while(0);if(ra<<24>>24==0){T=9;U=293;break b}if((pa|0)==(S|0)){T=10;U=293;break b}if((da&1|0)==0){if(!(ra<<24>>24==92)){T=10;U=293;break b}if((a[pa+1|0]|0)!=125){T=10;U=293;break b}va=pa+2|0}else{if(!(ra<<24>>24==125)){T=10;U=293;break b}va=pa+1|0}if((qa|ja|0)==0){R=c[w>>2]|0;ha=BP(R,0,0,1,32)|0;if((ha|0)==0){T=12;U=293;break b}Q=BP(R,0,0,1,20)|0;c[ha+4>>2]=Q;if((Q|0)==0){T=12;U=293;break b}c[ha>>2]=0;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[Q>>2]=-1;c[Q+4>>2]=-1;c[Q+8>>2]=-1;wa=ha}else{ha=(qa&ja|0)<0;Q=c[w>>2]|0;R=BP(Q,0,0,1,32)|0;if((R|0)==0){T=12;U=293;break b}V=BP(Q,0,0,1,16)|0;c[R+4>>2]=V;if((V|0)==0){T=12;U=293;break b}c[R>>2]=2;c[R+8>>2]=-1;c[R+12>>2]=-1;c[V>>2]=L;c[V+4>>2]=ha?1:ja;c[V+8>>2]=ha?1:qa;ha=V+12|0;c[ha>>2]=c[ha>>2]&-2;c[R+16>>2]=c[L+16>>2];wa=R}c[q>>2]=va;W=rP(m,9)|0;X=M;Y=wa;break};case 1:{R=c[q>>2]|0;d:do{switch(a[R]|0){case 91:{ha=R+1|0;c[q>>2]=ha;V=bQ(128)|0;if((V|0)==0){T=12;U=293;break b}if((a[ha]|0)==94){Q=R+2|0;c[q>>2]=Q;xa=1;ya=Q}else{xa=0;ya=ha}ha=(xa|0)==0;Q=ya;$=32;ba=0;ia=0;za=V;e:while(1){V=a[Q]|0;if((V<<24>>24|0)==93){if(Q>>>0>(c[q>>2]|0)>>>0){U=85;break}}else if((V<<24>>24|0)==0){Aa=Q;Ba=7;Ca=za;U=140;break}V=fP(e,Q,-1)|0;if((V|0)<0){c[e>>2]=-1;Da=1}else{Da=V}V=Q+Da|0;do{if((a[V]|0)==45){Ea=Da+1|0;Fa=Q+Ea|0;if((a[Fa]|0)==93){U=94;break}Ga=c[e>>2]|0;Ha=fP(e,Fa,-1)|0;if((Ha|0)<0){c[e>>2]=-1;Ia=1;Ja=-1}else{Ia=Ha;Ja=c[e>>2]|0}Ka=Q+(Ia+Ea)|0;La=Ja;Ma=Ga;Na=Ga>>>0>Ja>>>0?11:0;Oa=0}else{U=94}}while(0);f:do{if((U|0)==94){U=0;Ga=a[Q]|0;do{if((Ga<<24>>24|0)==45){if((a[Q+1|0]|0)==93){Pa=0;break}Pa=(c[q>>2]|0)==(Q|0)?0:11}else if((Ga<<24>>24|0)==91){Ea=a[Q+1|0]|0;if((Ea<<24>>24|0)==46|(Ea<<24>>24|0)==61){Aa=Q;Ba=3;Ca=za;U=140;break e}else if((Ea<<24>>24|0)!=58){Pa=0;break}Ea=Q+2|0;Ha=Ea;while(1){Fa=a[Ha]|0;Qa=Fa<<24>>24==0;if(Fa<<24>>24!=58&(Qa^1)){Ha=Ha+1|0}else{break}}if(Qa){Aa=Q;Ba=4;Ca=za;U=140;break e}Fa=Ha-Q-2|0;Ra=(Fa|0)>63?63:Fa;EQ(A|0,Ea|0,Ra|0)|0;a[f+Ra|0]=0;Ra=RO(A)|0;Ka=Ha+2|0;La=1114111;Ma=0;Na=(Ra|0)==0?4:0;Oa=Ra;break f}else{Pa=0}}while(0);Ga=c[e>>2]|0;Ka=V;La=Ga;Ma=Ga;Na=Pa;Oa=0}}while(0);if((Na|0)!=0){Aa=Ka;Ba=Na;Ca=za;U=140;break}V=(Oa|0)!=0;do{if(ha|V^1){Ga=c[w>>2]|0;if((ba|0)<($|0)){Sa=$;Ta=za}else{if(($|0)>1024){Aa=Ka;Ba=12;Ca=za;U=140;break e}Ra=eQ(za,$<<3)|0;if((Ra|0)==0){Aa=Ka;Ba=12;Ca=za;U=140;break e}else{Sa=$<<1;Ta=Ra}}Ra=BP(Ga,0,0,1,32)|0;if((Ra|0)==0){U=112;break e}Fa=BP(Ga,0,0,1,20)|0;Ga=Ra+4|0;c[Ga>>2]=Fa;if((Fa|0)==0){U=112;break e}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=Ma;c[Fa+4>>2]=La;c[Fa+8>>2]=-1;c[Ta+(ba<<2)>>2]=Ra;c[(c[Ga>>2]|0)+12>>2]=Oa;Va=0;Wa=Sa;Xa=ba+1|0;Ya=ia;Za=Ta}else{if((ia|0)>63){Va=12;Wa=$;Xa=ba;Ya=ia;Za=za;break}c[g+(ia<<2)>>2]=Oa;Va=0;Wa=$;Xa=ba;Ya=ia+1|0;Za=za}}while(0);Ga=(Va|0)==0;if(Ga&(((c[v>>2]&2|0)==0|V)^1)){_a=Ma;$a=Wa;ab=Xa;bb=Za}else{if(Ga){Q=Ka;$=Wa;ba=Xa;ia=Ya;za=Za;continue}else{Aa=Ka;Ba=Va;Ca=Za;U=140;break}}while(1){Ga=_a;while(1){if(Ga>>>0>La>>>0){Q=Ka;$=$a;ba=ab;ia=Ya;za=bb;continue e}if((UO(Ga)|0)!=0){U=118;break}cb=Ga+1|0;if((YO(Ga)|0)==0){Ga=cb}else{U=129;break}}if((U|0)==118){U=0;Ra=_O(Ga)|0;Fa=Ga+1|0;g:do{if((UO(Fa)|0)==0){db=Ra;eb=Fa}else{fb=Ra;gb=Fa;while(1){if((_O(gb)|0)!=(fb+1|0)|gb>>>0>La>>>0){db=fb;eb=gb;break g}hb=_O(gb)|0;ib=gb+1|0;if((UO(ib)|0)==0){db=hb;eb=ib;break}else{fb=hb;gb=ib}}}}while(0);Fa=c[w>>2]|0;if((ab|0)<($a|0)){jb=$a;kb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;U=140;break e}gb=eQ(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;U=140;break e}else{jb=$a<<1;kb=gb}}gb=BP(Fa,0,0,1,32)|0;fb=gb;do{if((gb|0)==0){lb=0}else{Ha=BP(Fa,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){lb=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=Ra;c[Ha+4>>2]=db;c[Ha+8>>2]=-1;lb=fb}}while(0);c[kb+(ab<<2)>>2]=lb;mb=eb;nb=jb;ob=lb;pb=kb}else if((U|0)==129){U=0;fb=aP(Ga)|0;h:do{if((YO(cb)|0)==0){qb=cb;rb=fb}else{Ra=cb;gb=fb;while(1){if((aP(Ra)|0)!=(gb+1|0)|Ra>>>0>La>>>0){qb=Ra;rb=gb;break h}Fa=Ra+1|0;Ha=aP(Ra)|0;if((YO(Fa)|0)==0){qb=Fa;rb=Ha;break}else{Ra=Fa;gb=Ha}}}}while(0);Ga=c[w>>2]|0;if((ab|0)<($a|0)){sb=$a;tb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;U=140;break e}gb=eQ(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;U=140;break e}else{sb=$a<<1;tb=gb}}gb=BP(Ga,0,0,1,32)|0;Ra=gb;do{if((gb|0)==0){ub=0}else{Ha=BP(Ga,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){ub=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=fb;c[Ha+4>>2]=rb;c[Ha+8>>2]=-1;ub=Ra}}while(0);c[tb+(ab<<2)>>2]=ub;mb=qb;nb=sb;ob=ub;pb=tb}if((ob|0)==0){U=141;break e}else{_a=mb;$a=nb;ab=ab+1|0;bb=pb}}}i:do{if((U|0)==85){U=0;c[q>>2]=Q+1;$=(xa|0)!=0;if($){Fc(za|0,ba|0,4,48)}j:do{if((ba|0)>0){ha=(ia|0)>0;V=ia<<2;Ra=V+4|0;if($){vb=0;wb=0;xb=0;yb=0}else{fb=0;gb=0;while(1){Ga=za+(fb<<2)|0;Ha=c[(c[Ga>>2]|0)+4>>2]|0;do{if((Ha|0)==0){zb=gb;Ab=0}else{c[Ha+8>>2]=c[x>>2];if(ha){Fa=BP(c[w>>2]|0,0,0,0,Ra)|0;Ea=Ha+16|0;c[Ea>>2]=Fa;if((Fa|0)==0){Bb=gb;Cb=12;Db=za;break i}FQ(Fa|0,z|0,V)|0;c[(c[Ea>>2]|0)+(ia<<2)>>2]=0}else{c[Ha+16>>2]=0}if((gb|0)==0){zb=c[Ga>>2]|0;Ab=0;break}Ea=c[w>>2]|0;Fa=c[Ga>>2]|0;ib=BP(Ea,0,0,1,32)|0;hb=ib;do{if((ib|0)==0){Eb=0}else{Fb=BP(Ea,0,0,1,8)|0;Gb=ib+4|0;c[Gb>>2]=Fb;if((Fb|0)==0){Eb=0;break}c[ib>>2]=3;c[ib+8>>2]=-1;c[ib+12>>2]=-1;c[Fb>>2]=gb;c[(c[Gb>>2]|0)+4>>2]=Fa;c[ib+16>>2]=(c[Fa+16>>2]|0)+(c[gb+16>>2]|0);Eb=hb}}while(0);zb=Eb;Ab=(Eb|0)==0?12:0}}while(0);Ga=fb+1|0;if((Ga|0)<(ba|0)&(Ab|0)==0){fb=Ga;gb=zb}else{Hb=Ab;Ib=0;Jb=zb;break j}}}while(1){gb=za+(vb<<2)|0;fb=c[(c[gb>>2]|0)+4>>2]|0;Ga=fb;Ha=c[Ga>>2]|0;hb=fb+4|0;Fa=c[hb>>2]|0;do{if((Ha|0)<(wb|0)){ib=Fa+1|0;Kb=yb;Lb=0;Mb=(ib|0)<(wb|0)?wb:ib;Nb=xb}else{ib=Ha-1|0;if((ib|0)<(xb|0)){Ea=Fa+1|0;Kb=yb;Lb=0;Mb=Ea;Nb=Ea;break}c[Ga>>2]=xb;c[hb>>2]=ib;ib=Fa+1|0;if((fb|0)==0){Kb=yb;Lb=0;Mb=ib;Nb=ib;break}c[fb+8>>2]=c[x>>2];if(ha){Ea=BP(c[w>>2]|0,0,0,0,Ra)|0;Gb=fb+16|0;c[Gb>>2]=Ea;if((Ea|0)==0){Bb=yb;Cb=12;Db=za;break i}FQ(Ea|0,z|0,V)|0;c[(c[Gb>>2]|0)+(ia<<2)>>2]=0}else{c[fb+16>>2]=0}if((yb|0)==0){Kb=c[gb>>2]|0;Lb=0;Mb=ib;Nb=ib;break}Gb=c[w>>2]|0;Ea=c[gb>>2]|0;Fb=BP(Gb,0,0,1,32)|0;Ob=Fb;do{if((Fb|0)==0){Pb=0}else{Qb=BP(Gb,0,0,1,8)|0;Rb=Fb+4|0;c[Rb>>2]=Qb;if((Qb|0)==0){Pb=0;break}c[Fb>>2]=3;c[Fb+8>>2]=-1;c[Fb+12>>2]=-1;c[Qb>>2]=yb;c[(c[Rb>>2]|0)+4>>2]=Ea;c[Fb+16>>2]=(c[Ea+16>>2]|0)+(c[yb+16>>2]|0);Pb=Ob}}while(0);Kb=Pb;Lb=(Pb|0)==0?12:0;Mb=ib;Nb=ib}}while(0);gb=vb+1|0;if((gb|0)<(ba|0)&(Lb|0)==0){vb=gb;wb=Mb;xb=Nb;yb=Kb}else{Hb=Lb;Ib=Nb;Jb=Kb;break}}}else{Hb=0;Ib=0;Jb=0}}while(0);if((Hb|0)!=0|$^1){Bb=Jb;Cb=Hb;Db=za;break}V=c[w>>2]|0;Ra=c[x>>2]|0;ha=BP(V,0,0,1,32)|0;gb=ha;if((ha|0)==0){Bb=Jb;Cb=12;Db=za;break}fb=BP(V,0,0,1,20)|0;c[ha+4>>2]=fb;if((fb|0)==0){Bb=Jb;Cb=12;Db=za;break}c[ha>>2]=0;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[fb>>2]=Ib;c[fb+4>>2]=1114111;c[fb+8>>2]=Ra;if((ia|0)>0){Ra=ia<<2;V=BP(c[w>>2]|0,0,0,0,Ra+4|0)|0;Fa=fb+16|0;c[Fa>>2]=V;if((V|0)==0){Bb=Jb;Cb=12;Db=za;break}FQ(V|0,z|0,Ra)|0;c[(c[Fa>>2]|0)+(ia<<2)>>2]=0}else{c[fb+16>>2]=0}if((Jb|0)==0){Bb=gb;Cb=0;Db=za;break}fb=c[w>>2]|0;Fa=BP(fb,0,0,1,32)|0;Ra=Fa;do{if((Fa|0)==0){Sb=0}else{V=BP(fb,0,0,1,8)|0;hb=Fa+4|0;c[hb>>2]=V;if((V|0)==0){Sb=0;break}c[Fa>>2]=3;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[V>>2]=Jb;c[(c[hb>>2]|0)+4>>2]=gb;c[Fa+16>>2]=(c[ha+16>>2]|0)+(c[Jb+16>>2]|0);Sb=Ra}}while(0);Bb=Sb;Cb=(Sb|0)==0?12:0;Db=za}else if((U|0)==112){U=0;c[Ta+(ba<<2)>>2]=0;Aa=Ka;Ba=12;Ca=Ta;U=140}else if((U|0)==141){U=0;c[q>>2]=Ka;Bb=0;Cb=12;Db=pb}}while(0);if((U|0)==140){U=0;c[q>>2]=Aa;Bb=0;Cb=Ba;Db=Ca}cQ(Db);c[x>>2]=(c[x>>2]|0)+1;if((Cb|0)==0){W=0;X=M;Y=Bb;break c}else{T=Cb;U=293;break b}break};case 40:{if((c[v>>2]&1|0)!=0){Tb=R;U=74}break};case 36:{if((c[v>>2]&1|0)==0){if((a[R+1|0]|0)!=0){break d}}ba=c[w>>2]|0;za=BP(ba,0,0,1,32)|0;if((za|0)==0){T=12;U=293;break b}ia=BP(ba,0,0,1,20)|0;c[za+4>>2]=ia;if((ia|0)==0){T=12;U=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ia>>2]=-2;c[ia+4>>2]=2;c[ia+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;W=0;X=M;Y=za;break c;break};case 41:{if((M|0)!=0){U=263}break};case 42:case 124:case 123:case 43:case 63:{U=263;break};case 0:{U=264;break};case 92:{za=R+1|0;ia=a[za]|0;do{if((c[v>>2]&1|0)==0){if(ia<<24>>24==40){c[q>>2]=za;Tb=za;U=74;break d}else{ba=a[R+1|0]|0;if(ba<<24>>24==41){U=264;break d}else{Ub=ba;break}}}else{Ub=ia}}while(0);ia=R+1|0;za=Ub<<24>>24==0;if(za){T=5;U=293;break b}else{Vb=0}while(1){if((Vb|0)==12){break}if((a[1528+(Vb<<3)|0]|0)==Ub<<24>>24){U=193;break}else{Vb=Vb+1|0}}if((U|0)==193){U=0;ba=c[1532+(Vb<<3)>>2]|0;FQ(F|0,G|0,40)|0;c[H>>2]=ba;c[I>>2]=1;ba=kP(j)|0;if((ba|0)!=0){T=ba;U=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];W=0;X=M;Y=c[K>>2]|0;break c}if(za){T=5;U=293;break b}c[q>>2]=ia;ba=a[ia]|0;k:do{switch(ba|0){case 120:{Q=R+2|0;c[q>>2]=Q;Ra=a[Q]|0;if(Ra<<24>>24==123){Q=R+3|0;c[q>>2]=Q;ha=0;Fa=Q;while(1){Q=a[Fa]|0;if((Q<<24>>24|0)==125|(Q<<24>>24|0)==0){Wb=Fa;Xb=ha;break}if((ZO(Q<<24>>24)|0)==0){T=9;U=293;break b}Q=c[q>>2]|0;a[l+ha|0]=a[Q]|0;gb=ha+1|0;fb=Q+1|0;c[q>>2]=fb;if(gb>>>0>31>>>0){Wb=fb;Xb=gb;break}else{ha=gb;Fa=fb}}c[q>>2]=Wb+1;a[l+Xb|0]=0;Fa=Ua(C|0,0,16)|0;ha=c[w>>2]|0;fb=c[x>>2]|0;gb=BP(ha,0,0,1,32)|0;Q=gb;do{if((gb|0)==0){Yb=0}else{$=BP(ha,0,0,1,20)|0;c[gb+4>>2]=$;if(($|0)==0){Yb=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[$>>2]=Fa;c[$+4>>2]=Fa;c[$+8>>2]=fb;Yb=Q}}while(0);c[x>>2]=(c[x>>2]|0)+1;Zb=Yb;break k}else{GQ(D|0,0,3)|0;Q=(ZO(Ra<<24>>24)|0)==0;fb=c[q>>2]|0;if(Q){_b=fb}else{a[D]=a[fb]|0;Q=fb+1|0;c[q>>2]=Q;_b=Q}if((ZO(a[_b]|0)|0)!=0){Q=c[q>>2]|0;a[E]=a[Q]|0;c[q>>2]=Q+1}Q=Ua(D|0,0,16)|0;fb=c[w>>2]|0;Fa=c[x>>2]|0;gb=BP(fb,0,0,1,32)|0;ha=gb;do{if((gb|0)==0){$b=0}else{$=BP(fb,0,0,1,20)|0;c[gb+4>>2]=$;if(($|0)==0){$b=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[$>>2]=Q;c[$+4>>2]=Q;c[$+8>>2]=Fa;$b=ha}}while(0);c[x>>2]=(c[x>>2]|0)+1;Zb=$b;break k}break};case 98:{ha=c[w>>2]|0;Fa=BP(ha,0,0,1,32)|0;Q=Fa;do{if((Fa|0)==0){ac=0}else{gb=BP(ha,0,0,1,20)|0;c[Fa+4>>2]=gb;if((gb|0)==0){ac=0;break}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[gb>>2]=-2;c[gb+4>>2]=64;c[gb+8>>2]=-1;ac=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Zb=ac;break};case 66:{Q=c[w>>2]|0;Fa=BP(Q,0,0,1,32)|0;ha=Fa;do{if((Fa|0)==0){bc=0}else{gb=BP(Q,0,0,1,20)|0;c[Fa+4>>2]=gb;if((gb|0)==0){bc=0;break}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[gb>>2]=-2;c[gb+4>>2]=128;c[gb+8>>2]=-1;bc=ha}}while(0);c[q>>2]=(c[q>>2]|0)+1;Zb=bc;break};case 60:{ha=c[w>>2]|0;Fa=BP(ha,0,0,1,32)|0;Q=Fa;do{if((Fa|0)==0){cc=0}else{gb=BP(ha,0,0,1,20)|0;c[Fa+4>>2]=gb;if((gb|0)==0){cc=0;break}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[gb>>2]=-2;c[gb+4>>2]=16;c[gb+8>>2]=-1;cc=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Zb=cc;break};case 62:{Q=c[w>>2]|0;Fa=BP(Q,0,0,1,32)|0;ha=Fa;do{if((Fa|0)==0){dc=0}else{gb=BP(Q,0,0,1,20)|0;c[Fa+4>>2]=gb;if((gb|0)==0){dc=0;break}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[gb>>2]=-2;c[gb+4>>2]=32;c[gb+8>>2]=-1;dc=ha}}while(0);c[q>>2]=(c[q>>2]|0)+1;Zb=dc;break};default:{if((SO(ba)|0)!=0){ha=(a[c[q>>2]|0]|0)-48|0;Fa=c[w>>2]|0;Q=c[x>>2]|0;gb=BP(Fa,0,0,1,32)|0;if((gb|0)==0){T=12;U=293;break b}fb=BP(Fa,0,0,1,20)|0;c[gb+4>>2]=fb;if((fb|0)==0){T=12;U=293;break b}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[fb>>2]=-4;c[fb+4>>2]=ha;c[fb+8>>2]=Q;c[x>>2]=(c[x>>2]|0)+1;Q=c[B>>2]|0;c[B>>2]=(ha|0)<(Q|0)?Q:ha;c[q>>2]=(c[q>>2]|0)+1;W=0;X=M;Y=gb;break c}gb=c[w>>2]|0;ha=a[c[q>>2]|0]|0;Q=c[x>>2]|0;fb=BP(gb,0,0,1,32)|0;Fa=fb;do{if((fb|0)==0){ec=0}else{Ra=BP(gb,0,0,1,20)|0;c[fb+4>>2]=Ra;if((Ra|0)==0){ec=0;break}c[fb>>2]=0;c[fb+8>>2]=-1;c[fb+12>>2]=-1;c[Ra>>2]=ha;c[Ra+4>>2]=ha;c[Ra+8>>2]=Q;ec=Fa}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;Zb=ec}}}while(0);if((Zb|0)==0){T=12;U=293;break b}else{W=0;X=M;Y=Zb;break c}break};case 46:{ba=(c[v>>2]&4|0)==0;ia=c[w>>2]|0;za=c[x>>2]|0;Fa=BP(ia,0,0,1,32)|0;Q=Fa;ha=(Fa|0)==0;if(ba){if(ha){T=12;U=293;break b}ba=BP(ia,0,0,1,20)|0;c[Fa+4>>2]=ba;if((ba|0)==0){T=12;U=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ba>>2]=0;c[ba+4>>2]=1114111;c[ba+8>>2]=za;fc=(c[x>>2]|0)+1|0;gc=Q}else{if(ha){T=12;U=293;break b}ha=BP(ia,0,0,1,20)|0;c[Fa+4>>2]=ha;if((ha|0)==0){T=12;U=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ha>>2]=0;c[ha+4>>2]=9;c[ha+8>>2]=za;za=c[w>>2]|0;ha=(c[x>>2]|0)+1|0;ia=BP(za,0,0,1,32)|0;if((ia|0)==0){T=12;U=293;break b}ba=BP(za,0,0,1,20)|0;c[ia+4>>2]=ba;if((ba|0)==0){T=12;U=293;break b}c[ia>>2]=0;c[ia+8>>2]=-1;c[ia+12>>2]=-1;c[ba>>2]=11;c[ba+4>>2]=1114111;c[ba+8>>2]=ha;ha=c[w>>2]|0;ba=BP(ha,0,0,1,32)|0;if((ba|0)==0){T=12;U=293;break b}za=BP(ha,0,0,1,8)|0;ha=ba+4|0;c[ha>>2]=za;if((za|0)==0){T=12;U=293;break b}c[ba>>2]=3;c[ba+8>>2]=-1;c[ba+12>>2]=-1;c[za>>2]=Q;c[(c[ha>>2]|0)+4>>2]=ia;c[ba+16>>2]=(c[ia+16>>2]|0)+(c[Fa+16>>2]|0);fc=(c[x>>2]|0)+2|0;gc=ba}c[x>>2]=fc;c[q>>2]=(c[q>>2]|0)+1;W=0;X=M;Y=gc;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((R|0)!=(c[r>>2]|0)){break d}ba=rP(m,5)|0;if((ba|0)!=0){Z=ba;_=M;U=6;break b}}ba=c[w>>2]|0;Fa=BP(ba,0,0,1,32)|0;if((Fa|0)==0){T=12;U=293;break b}ia=BP(ba,0,0,1,20)|0;c[Fa+4>>2]=ia;if((ia|0)==0){T=12;U=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ia>>2]=-2;c[ia+4>>2]=1;c[ia+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;W=0;X=M;Y=Fa;break c;break};default:{}}}while(0);if((U|0)==74){U=0;S=M+1|0;c[q>>2]=Tb+1;Fa=rP(m,c[y>>2]|0)|0;if((Fa|0)!=0){Z=Fa;_=S;U=6;break b}Fa=rP(m,2)|0;if((Fa|0)!=0){Z=Fa;_=S;U=6;break b}Fa=rP(m,0)|0;if((Fa|0)!=0){Z=Fa;_=S;U=6;break b}c[y>>2]=(c[y>>2]|0)+1;W=0;X=S;Y=L;break c}else if((U|0)==263){U=0;if((c[v>>2]&1|0)!=0){U=264}}if((U|0)==264){U=0;S=c[w>>2]|0;Fa=BP(S,0,0,1,32)|0;if((Fa|0)==0){T=12;U=293;break b}ia=BP(S,0,0,1,20)|0;c[Fa+4>>2]=ia;if((ia|0)==0){T=12;U=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ia>>2]=-1;c[ia+4>>2]=-1;c[ia+8>>2]=-1;W=0;X=M;Y=Fa;break c}Fa=fP(h,R,-1)|0;if((Fa|0)<0){c[h>>2]=-1;hc=1}else{hc=Fa}do{if((c[v>>2]&2|0)==0){U=279}else{if((YO(c[h>>2]|0)|0)==0){if((UO(c[h>>2]|0)|0)==0){U=279;break}}Fa=c[w>>2]|0;ia=_O(c[h>>2]|0)|0;S=_O(c[h>>2]|0)|0;ba=c[x>>2]|0;ha=BP(Fa,0,0,1,32)|0;if((ha|0)==0){T=12;U=293;break b}Q=BP(Fa,0,0,1,20)|0;c[ha+4>>2]=Q;if((Q|0)==0){T=12;U=293;break b}c[ha>>2]=0;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[Q>>2]=ia;c[Q+4>>2]=S;c[Q+8>>2]=ba;ba=c[w>>2]|0;Q=aP(c[h>>2]|0)|0;S=aP(c[h>>2]|0)|0;ia=c[x>>2]|0;Fa=BP(ba,0,0,1,32)|0;if((Fa|0)==0){T=12;U=293;break b}za=BP(ba,0,0,1,20)|0;c[Fa+4>>2]=za;if((za|0)==0){T=12;U=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[za>>2]=Q;c[za+4>>2]=S;c[za+8>>2]=ia;ia=c[w>>2]|0;za=BP(ia,0,0,1,32)|0;if((za|0)==0){T=12;U=293;break b}S=BP(ia,0,0,1,8)|0;ia=za+4|0;c[ia>>2]=S;if((S|0)==0){T=12;U=293;break b}c[za>>2]=3;c[za+8>>2]=-1;c[za+12>>2]=-1;c[S>>2]=ha;c[(c[ia>>2]|0)+4>>2]=Fa;c[za+16>>2]=(c[Fa+16>>2]|0)+(c[ha+16>>2]|0);ic=za}}while(0);if((U|0)==279){U=0;R=c[w>>2]|0;za=c[h>>2]|0;ha=c[x>>2]|0;Fa=BP(R,0,0,1,32)|0;if((Fa|0)==0){T=12;U=293;break b}ia=BP(R,0,0,1,20)|0;c[Fa+4>>2]=ia;if((ia|0)==0){T=12;U=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ia>>2]=za;c[ia+4>>2]=za;c[ia+8>>2]=ha;ic=Fa}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+hc;W=0;X=M;Y=ic;break};case 4:{Fa=rP(m,9)|0;if((Fa|0)!=0){Z=Fa;_=M;U=6;break b}W=rP(m,1)|0;X=M;Y=L;break};default:{W=0;X=M;Y=L}}}while(0);P=c[n>>2]|0;O=(W|0)==0;if((P|0)>(o|0)&O){L=Y;M=X;N=P}else{jc=Y;kc=X;lc=W;mc=O;break a}}if((U|0)==6){jc=L;kc=_;lc=Z;mc=(Z|0)==0;break}else if((U|0)==293){i=d;return T|0}}else{jc=0;kc=0;lc=p;mc=t}}while(0);t=(kc|0)>0;if(t|mc^1){T=t?8:lc;i=d;return T|0}c[b+8>>2]=jc;T=0;i=d;return T|0}function lP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=bQ((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=bQ((i<<2)+4|0)|0;n=m;if((m|0)==0){cQ(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}rP(b,d)|0;d=rP(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 0:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;C=D;E=D+12|0;F=c[E>>2]|0;if((F|0)>-1){G=0;do{H=y+(G<<2)|0;G=G+1|0}while((c[H>>2]|0)>-1);c[H>>2]=F<<1;c[y+(G<<2)>>2]=-1;do{if(!h){I=0;while(1){if((c[n+(I<<2)>>2]|0)>-1){I=I+1|0}else{break}}c[(c[q>>2]|0)+(F*12|0)+8>>2]=0;if((I|0)<=0){break}J=bQ((I<<2)+4|0)|0;K=J;if((J|0)==0){L=t;M=v;N=w;O=x;P=y;Q=12;break a}c[(c[q>>2]|0)+(F*12|0)+8>>2]=K;J=c[n>>2]|0;if((J|0)>-1){R=0;S=J;J=K;while(1){c[J>>2]=S;T=R+1|0;U=c[n+(T<<2)>>2]|0;V=K+(T<<2)|0;if((U|0)>-1){R=T;S=U;J=V}else{W=V;break}}}else{W=K}c[W>>2]=-1}}while(0);F=rP(b,c[E>>2]|0)|0;if((F|0)!=0){L=t;M=v;N=w;O=x;P=y;Q=F;break a}F=rP(b,6)|0;if((F|0)!=0){L=t;M=v;N=w;O=x;P=y;Q=F;break a}}F=c[D>>2]|0;do{if((F|0)==2){G=c[D+4>>2]|0;if(h){if((c[y>>2]|0)>-1){X=1}else{X=c[G+12>>2]&1}J=rP(b,X)|0;if((J|0)!=0){Y=J;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}}else{J=rP(b,v)|0;if((J|0)!=0){Y=J;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}J=rP(b,c[G+12>>2]&1)|0;if((J|0)!=0){Y=J;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}}J=rP(b,D)|0;if((J|0)!=0){Y=J;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}J=rP(b,1)|0;if((J|0)!=0){Y=J;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}J=rP(b,c[G>>2]|0)|0;if((J|0)!=0){Y=J;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}J=rP(b,0)|0;if((J|0)!=0){Y=J;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}if(!((c[y>>2]|0)>-1)){if((c[G+12>>2]&1|0)==0){Y=0;Z=x;_=w;$=v;aa=u;ba=t;ca=0;break}}if(h){da=0;ea=w;fa=t}else{J=tP(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[G+12>>2]&1|0)==0?s:1;if((t|0)>-1){G=c[r>>2]|0;S=0;while(1){ga=G+(S<<2)|0;ha=S+1|0;if((c[ga>>2]|0)>-1){S=ha}else{break}}c[ga>>2]=v;c[G+(ha<<2)>>2]=t;c[G+(S+2<<2)>>2]=-1;ia=w+1|0;ja=-1}else{ia=w;ja=t}K=c[y>>2]|0;if((K|0)>-1){R=c[q>>2]|0;I=0;V=K;do{K=(V|0)/2|0;if((V&1|0)==0){c[R+(K*12|0)>>2]=v}else{c[R+(K*12|0)+4>>2]=v}I=I+1|0;V=c[y+(I<<2)>>2]|0;}while((V|0)>-1)}c[y>>2]=-1;da=J;ea=ia;fa=ja}c[y>>2]=-1;Y=da;Z=x+1|0;_=ea;$=u;aa=u+1|0;ba=fa;ca=0}else if((F|0)==1){V=c[D+4>>2]|0;I=c[V>>2]|0;R=c[V+4>>2]|0;V=rP(b,D)|0;if((V|0)!=0){Y=V;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}V=rP(b,5)|0;if((V|0)!=0){Y=V;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}V=rP(b,R)|0;if((V|0)!=0){Y=V;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}V=rP(b,0)|0;if((V|0)!=0){Y=V;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}V=I+20|0;S=rP(b,(c[V>>2]|0)+u|0)|0;if((S|0)!=0){Y=S;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}if((c[V>>2]|0)>0){V=(c[R+20>>2]|0)>0;ka=(V&1)+u|0;la=V?u:-1}else{ka=u;la=-1}V=rP(b,la)|0;if((V|0)!=0){Y=V;Z=x;_=w;$=v;aa=ka;ba=t;ca=s;break}V=rP(b,4)|0;if((V|0)!=0){Y=V;Z=x;_=w;$=v;aa=ka;ba=t;ca=s;break}V=rP(b,I)|0;if((V|0)!=0){Y=V;Z=x;_=w;$=v;aa=ka;ba=t;ca=s;break}Y=rP(b,0)|0;Z=x;_=w;$=v;aa=ka;ba=t;ca=s}else if((F|0)==0){V=c[c[D+4>>2]>>2]|0;if(!((V|0)>-1|(V|0)==-4)){Y=0;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}if(!((c[y>>2]|0)>-1)){Y=0;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}if(h){c[D+20>>2]=1;ma=0;na=w;oa=t}else{V=tP(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){I=c[r>>2]|0;R=0;while(1){pa=I+(R<<2)|0;qa=R+1|0;if((c[pa>>2]|0)>-1){R=qa}else{break}}c[pa>>2]=v;c[I+(qa<<2)>>2]=t;c[I+(R+2<<2)>>2]=-1;ra=w+1|0;sa=-1}else{ra=w;sa=t}J=c[y>>2]|0;if((J|0)>-1){S=c[q>>2]|0;G=0;K=J;do{J=(K|0)/2|0;if((K&1|0)==0){c[S+(J*12|0)>>2]=v}else{c[S+(J*12|0)+4>>2]=v}G=G+1|0;K=c[y+(G<<2)>>2]|0;}while((K|0)>-1)}c[y>>2]=-1;ma=V;na=ra;oa=sa}c[y>>2]=-1;Y=ma;Z=x+1|0;_=na;$=u;aa=u+1|0;ba=oa;ca=s}else if((F|0)==3){K=c[D+4>>2]|0;G=c[K>>2]|0;S=c[K+4>>2]|0;K=(c[y>>2]|0)>-1;R=u+1|0;I=rP(b,K?R:u)|0;if((I|0)!=0){Y=I;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}I=rP(b,K?u:v)|0;if((I|0)!=0){Y=I;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}I=rP(b,y)|0;if((I|0)!=0){Y=I;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}I=rP(b,(c[y>>2]|0)>>>31^1)|0;if((I|0)!=0){Y=I;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}I=rP(b,D)|0;if((I|0)!=0){Y=I;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}I=S;S=rP(b,I)|0;if((S|0)!=0){Y=S;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}S=G;G=rP(b,S)|0;if((G|0)!=0){Y=G;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}G=rP(b,3)|0;if((G|0)!=0){Y=G;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}G=rP(b,I)|0;if((G|0)!=0){Y=G;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}G=rP(b,0)|0;if((G|0)!=0){Y=G;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}G=rP(b,2)|0;if((G|0)!=0){Y=G;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}G=rP(b,S)|0;if((G|0)!=0){Y=G;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}G=rP(b,0)|0;if((G|0)!=0){Y=G;Z=x;_=w;$=v;aa=u;ba=t;ca=s;break}if((c[y>>2]|0)>-1){if(h){ta=0;ua=w;va=t}else{G=tP(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){S=c[r>>2]|0;I=0;while(1){wa=S+(I<<2)|0;xa=I+1|0;if((c[wa>>2]|0)>-1){I=xa}else{break}}c[wa>>2]=v;c[S+(xa<<2)>>2]=t;c[S+(I+2<<2)>>2]=-1;ya=w+1|0;za=-1}else{ya=w;za=t}V=c[y>>2]|0;if((V|0)>-1){K=c[q>>2]|0;J=0;U=V;do{V=(U|0)/2|0;if((U&1|0)==0){c[K+(V*12|0)>>2]=v}else{c[K+(V*12|0)+4>>2]=v}J=J+1|0;U=c[y+(J<<2)>>2]|0;}while((U|0)>-1)}c[y>>2]=-1;ta=G;ua=ya;va=za}c[y>>2]=-1;Aa=ta;Ba=x+1|0;Ca=ua;Da=u;Ea=R;Fa=va}else{Aa=0;Ba=x;Ca=w;Da=v;Ea=u;Fa=t}if((c[D+16>>2]|0)<=0){Y=Aa;Z=Ba;_=Ca;$=Da;aa=Ea;ba=Fa;ca=s;break}Y=Aa;Z=Ba;_=Ca;$=Ea+1|0;aa=Ea+2|0;ba=Fa;ca=s}else{Y=0;Z=x;_=w;$=v;aa=u;ba=t;ca=s}}while(0);D=c[E>>2]|0;if((D|0)>-1){Ga=0}else{Ha=Y;Ia=y;Ja=Z;Ka=_;La=$;Ma=aa;Na=ba;Oa=ca;break b}do{Pa=n+(Ga<<2)|0;Ga=Ga+1|0}while((c[Pa>>2]|0)>-1);c[Pa>>2]=D;c[n+(Ga<<2)>>2]=-1;Ha=Y;Ia=y;Ja=Z;Ka=_;La=$;Ma=aa;Na=ba;Oa=ca;break};case 1:{E=z-2|0;c[f>>2]=E;C=c[B+(E<<2)>>2]|0;if(h){E=c[(c[c[C+4>>2]>>2]|0)+20>>2]|0;F=z-3|0;c[f>>2]=F;c[C+20>>2]=(c[B+(F<<2)>>2]|0)+E;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=-1;Oa=s;break b}else{E=z-3|0;c[f>>2]=E;F=c[B+(E<<2)>>2]|0;E=z-4|0;c[f>>2]=E;C=(F|0)==0;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=C?t:c[B+(E<<2)>>2]|0;Oa=C&1;break b}break};case 4:{C=z-2|0;c[f>>2]=C;E=c[B+(C<<2)>>2]|0;C=z-3|0;c[f>>2]=C;Ha=0;Ia=y;Ja=x;Ka=w;La=(E|0)>-1?E:v;Ma=c[B+(C<<2)>>2]|0;Na=t;Oa=s;break};case 5:{C=z-2|0;c[f>>2]=C;E=c[B+(C<<2)>>2]|0;if(!h){Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break b}C=c[E+4>>2]|0;c[E+20>>2]=(c[(c[C+4>>2]|0)+20>>2]|0)+(c[(c[C>>2]|0)+20>>2]|0);Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break};case 6:{C=z-2|0;c[f>>2]=C;E=c[B+(C<<2)>>2]|0;C=0;do{Qa=y+(C<<2)|0;C=C+1|0}while((c[Qa>>2]|0)>-1);c[Qa>>2]=E<<1|1;c[y+(C<<2)>>2]=-1;D=0;while(1){if((c[n+(D<<2)>>2]|0)>-1){D=D+1|0}else{break}}c[n+(D-1<<2)>>2]=-1;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break};case 2:{C=y;while(1){if((c[C>>2]|0)>-1){C=C+4|0}else{Ha=0;Ia=C;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break}}break};case 3:{C=c[B+(z-2<<2)>>2]|0;D=c[B+(z-3<<2)>>2]|0;E=c[B+(z-4<<2)>>2]|0;F=z-5|0;c[f>>2]=F;if(h){U=c[E+4>>2]|0;J=E+16|0;c[E+20>>2]=(c[(c[U>>2]|0)+20>>2]|0)+(c[B+(F<<2)>>2]|0)+(c[(c[U+4>>2]|0)+20>>2]|0)+((c[J>>2]|0)>0?2:0);Ra=c[f>>2]|0;Sa=J}else{Ra=F;Sa=E+16|0}E=c[B+(Ra-1<<2)>>2]|0;F=Ra-2|0;c[f>>2]=F;J=c[B+(F<<2)>>2]|0;F=Ra-3|0;c[f>>2]=F;U=c[B+(F<<2)>>2]|0;if((c[Sa>>2]|0)<=0){Ha=0;Ia=E;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=1;break b}if(h){Ta=0}else{uP(a,C,J)|0;c[(c[p>>2]|0)+(J<<2)>>2]=1;J=uP(a,D,U)|0;c[(c[p>>2]|0)+(U<<2)>>2]=1;Ta=J}Ha=Ta;Ia=E;Ja=x+2|0;Ka=w;La=v;Ma=u;Na=t;Oa=1;break};default:{Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(Ha|0)==0){s=Oa;t=Na;u=Ma;v=La;w=Ka;x=Ja;y=Ia;z=B}else{L=Na;M=La;N=Ka;O=Ja;P=Ia;Q=Ha;break a}}}else{L=-1;M=0;N=0;O=0;P=k;Q=d}}while(0);do{if(h){Ua=N}else{d=c[P>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;Ha=0;Ia=d;do{d=(Ia|0)/2|0;if((Ia&1|0)==0){c[k+(d*12|0)>>2]=M}else{c[k+(d*12|0)+4>>2]=M}Ha=Ha+1|0;Ia=c[P+(Ha<<2)>>2]|0;}while((Ia|0)>-1)}c[P>>2]=-1;if(!((L|0)>-1)){Ua=N;break}Ia=c[e+36>>2]|0;Ha=0;while(1){Va=Ia+(Ha<<2)|0;Wa=Ha+1|0;if((c[Va>>2]|0)>-1){Ha=Wa}else{break}}c[Va>>2]=M;c[Ia+(Wa<<2)>>2]=L;c[Ia+(Ha+2<<2)>>2]=-1;Ua=N+1|0}}while(0);c[e+48>>2]=O;c[e+40>>2]=O;c[e+44>>2]=Ua;cQ(j);cQ(m);l=Q;return l|0}function mP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==2){g=c[f+4>>2]|0;h=g;if(!((c[g+8>>2]|0)==-1)){i=h;break}g=c[h>>2]|0;j=oP(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((j|0)==0){i=h}else{k=j;l=10;break a}}else if((a|0)==3){j=c[f+4>>2]|0;h=mP(c[j>>2]|0,b,d,e)|0;if((h|0)!=0){k=h;l=10;break a}i=j+4|0}else if((a|0)==1){j=c[f+4>>2]|0;h=j;g=j+4|0;j=oP(c[(c[h>>2]|0)+28>>2]|0,c[(c[g>>2]|0)+24>>2]|0,b,d,e)|0;if((j|0)!=0){k=j;l=10;break a}j=mP(c[h>>2]|0,b,d,e)|0;if((j|0)==0){i=g}else{k=j;l=10;break a}}else{k=0;l=10;break a}}while(0);f=c[i>>2]|0}if((l|0)==10){return k|0}return 0}function nP(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{cQ(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}cQ(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){cQ(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){cQ(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}cQ(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{cQ(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}cQ(l)}l=c[b+32>>2]|0;if((l|0)!=0){cQ(l)}l=c[b+20>>2]|0;if((l|0)!=0){cQ(l)}l=c[b+36>>2]|0;if((l|0)!=0){cQ(l)}cQ(b);return}function oP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=bQ(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){cQ(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=bQ((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function pP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=BP(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=BP(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=BP(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function qP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=rP(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==3){p=c[m+4>>2]|0;q=c[p>>2]|0;if((c[q+8>>2]|0)!=0){r=rP(a,q)|0;break}q=c[p+4>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=rP(a,q)|0}else if((o|0)==0){q=c[m+4>>2]|0;p=c[q>>2]|0;if((p|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[q+4>>2];continue a}else if((p|0)!=(-3|0)){continue a}p=c[q+4>>2]|0;if(!((p|0)>-1)){continue a}do{if(!b){q=0;while(1){s=d+(q<<2)|0;t=c[s>>2]|0;if(!((t|0)>-1)){n=14;break}u=q+1|0;if((t|0)==(p|0)){n=13;break}else{q=u}}if((n|0)==13){n=0;if((p|0)<0){v=u}else{break}}else if((n|0)==14){n=0;v=q+1|0}c[s>>2]=p;c[d+(v<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else if((o|0)==1){p=c[m+4>>2]|0;t=rP(a,c[p>>2]|0)|0;if((t|0)!=0){k=t;n=28;break a}r=rP(a,c[p+4>>2]|0)|0}else if((o|0)==2){p=c[c[m+4>>2]>>2]|0;if((c[p+8>>2]|0)==0){continue a}r=rP(a,p)|0}else{continue a}}while(0);if((r|0)!=0){k=r;n=28;break}}if((n|0)==28){return k|0}return 0}function rP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=eQ(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;rP(a,b)|0;return 0}return 0}function sP(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;rP(b,d)|0;d=rP(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==3){v=c[r+4>>2]|0;u=v;x=c[u>>2]|0;y=v+4|0;v=c[y>>2]|0;z=BP(a,0,0,1,32)|0;if((z|0)==0){A=20;break b}B=BP(a,0,0,1,8)|0;C=z+4|0;c[C>>2]=B;if((B|0)==0){A=20;break b}c[z>>2]=3;c[z+8>>2]=-1;c[z+12>>2]=-1;c[B>>2]=x;c[(c[C>>2]|0)+4>>2]=v;c[z+16>>2]=(c[v+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=z;z=c[C>>2]|0;C=rP(b,c[y>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}C=rP(b,0)|0;if((C|0)!=0){s=q;t=C;break a}C=rP(b,z+4|0)|0;if((C|0)!=0){s=q;t=C;break a}C=rP(b,1)|0;if((C|0)!=0){s=q;t=C;break a}C=rP(b,c[u>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}D=rP(b,0)|0;E=q;F=p;G=z}else if((w|0)==2){z=c[r+4>>2]|0;C=z;u=rP(b,c[C>>2]|0)|0;if((u|0)!=0){s=q;t=u;break a}u=rP(b,0)|0;if((u|0)!=0){s=q;t=u;break a}u=c[C>>2]|0;C=c[z+4>>2]|0;y=c[z+8>>2]|0;x=c[z+12>>2]&1;z=BP(a,0,0,1,32)|0;if((z|0)==0){A=40;break b}v=BP(a,0,0,1,16)|0;B=z+4|0;c[B>>2]=v;if((v|0)==0){A=40;break b}c[z>>2]=2;c[z+8>>2]=-1;c[z+12>>2]=-1;c[v>>2]=u;c[v+4>>2]=C;c[v+8>>2]=y;y=v+12|0;c[y>>2]=c[y>>2]&-2|x;c[z+16>>2]=c[u+16>>2];c[o>>2]=z;o=c[B>>2]|0;p=p;q=q;continue b}else if((w|0)==0){B=c[r+4>>2]|0;z=c[B+8>>2]|0;u=c[B>>2]|0;x=c[B+4>>2]|0;do{if((u|0)>-1|(u|0)==-4){H=q+1|0;I=p;J=x;K=u;L=(c[f>>2]|0)+z|0}else{if(!((u|0)==-3)){H=q;I=p;J=x;K=u;L=z;break}if(!m){H=q;I=p;J=-1;K=-1;L=-1;break}if(n|(p|0)==0){H=q;I=p;J=x;K=-3;L=z;break}c[g+(x<<2)>>2]=1;H=q;I=0;J=x;K=-3;L=z}}while(0);z=BP(a,0,0,1,32)|0;x=z;do{if((z|0)==0){M=0}else{u=BP(a,0,0,1,20)|0;c[z+4>>2]=u;if((u|0)==0){M=0;break}c[z>>2]=0;c[z+8>>2]=-1;c[z+12>>2]=-1;c[u>>2]=K;c[u+4>>2]=J;c[u+8>>2]=L;M=x}}while(0);c[o>>2]=M;x=(M|0)==0?12:0;if((L|0)<=(c[i>>2]|0)){D=x;E=H;F=I;G=o;break}c[i>>2]=L;D=x;E=H;F=I;G=o}else if((w|0)==1){x=c[r+4>>2]|0;z=x;u=c[z>>2]|0;B=x+4|0;x=c[B>>2]|0;y=BP(a,0,0,1,32)|0;if((y|0)==0){A=29;break b}v=BP(a,0,0,1,8)|0;C=y+4|0;c[C>>2]=v;if((v|0)==0){A=29;break b}c[y>>2]=1;c[y+8>>2]=-1;c[y+12>>2]=-1;c[v>>2]=u;c[(c[C>>2]|0)+4>>2]=x;c[y+16>>2]=(c[x+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=y;y=c[C>>2]|0;C=y;c[C>>2]=0;u=y+4|0;c[u>>2]=0;y=rP(b,c[B>>2]|0)|0;if((y|0)!=0){s=q;t=y;break a}y=rP(b,0)|0;if((y|0)!=0){s=q;t=y;break a}y=rP(b,u)|0;if((y|0)!=0){s=q;t=y;break a}y=rP(b,1)|0;if((y|0)!=0){s=q;t=y;break a}y=rP(b,c[z>>2]|0)|0;if((y|0)!=0){s=q;t=y;break a}D=rP(b,0)|0;E=q;F=p;G=C}else{o=o;p=p;q=q;continue b}}while(0);if((D|0)==0){o=G;p=F;q=E}else{s=E;t=D;break a}}if((A|0)==20){c[o>>2]=0;s=q;t=12;break}else if((A|0)==29){c[o>>2]=0;s=q;t=12;break}else if((A|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function tP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=BP(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=BP(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=BP(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=BP(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function uP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=BP(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=BP(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=BP(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=BP(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function vP(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function wP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=13856}else{h=b;j=13856;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((DQ(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Ab(e|0,f|0,30984,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function je(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function ke(){return i|0}function le(a){a=a|0;i=a}function me(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function ne(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function oe(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function pe(a){a=a|0;K=a}function qe(a){a=a|0;L=a}function re(a){a=a|0;M=a}function se(a){a=a|0;N=a}function te(a){a=a|0;O=a}function ue(a){a=a|0;P=a}function ve(a){a=a|0;Q=a}function we(a){a=a|0;R=a}function xe(a){a=a|0;S=a}function ye(a){a=a|0;T=a}function ze(){c[91400]=p+8;c[91402]=p+8;c[91404]=t+8;c[91408]=t+8;c[91412]=t+8;c[91416]=t+8;c[91420]=t+8;c[91424]=t+8;c[91428]=p+8;c[91462]=t+8;c[91466]=t+8;c[91530]=t+8;c[91534]=t+8;c[91554]=p+8;c[91556]=t+8;c[91592]=t+8;c[91596]=t+8;c[91632]=t+8;c[91636]=t+8;c[91656]=p+8;c[91658]=p+8;c[91660]=t+8;c[91664]=t+8;c[91668]=t+8;c[91672]=t+8;c[91676]=t+8;c[91680]=p+8;c[91682]=p+8;c[91684]=p+8;c[91686]=t+8;c[91690]=t+8;c[91694]=p+8;c[91696]=p+8;c[91698]=p+8;c[91700]=p+8;c[91726]=t+8;c[91730]=t+8;c[91734]=p+8;c[91736]=t+8;c[91740]=t+8;c[91744]=t+8;c[91748]=p+8;c[91750]=p+8;c[91752]=p+8;c[91754]=p+8;c[91788]=p+8;c[91790]=p+8;c[91792]=p+8;c[91794]=t+8;c[91798]=t+8;c[91802]=t+8;c[91806]=t+8;c[91810]=t+8;c[91814]=t+8}function Ae(a){a=a|0;var b=0;b=a+540|0;Sd[c[(c[b>>2]|0)+40>>2]&255](a)|0;Sd[c[(c[b>>2]|0)+28>>2]&255](a)|0;Sd[c[(c[b>>2]|0)+32>>2]&255](a)|0;Sd[c[(c[b>>2]|0)+48>>2]&255](a)|0;Sd[c[(c[b>>2]|0)+52>>2]&255](a)|0;$o(a);return}function Be(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[94790]|0)==0){l=0}else{m=c[a+88>>2]|0;n=DQ(m|0)|0;o=bQ(n+11|0)|0;EQ(o|0,m|0,n|0)|0;FQ(o+n|0,358384,11)|0;n=xc(o|0,358376)|0;if((n|0)==0){m=Wc(c[(Vc()|0)>>2]|0)|0;Bm(23,0,345216,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Oa(0)|0;r=0}else{r=n}cQ(o);l=r}r=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[q>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[r>>3])){I=0;J=H;break}de[c[2173]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[94790]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{Fn(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}Fn(2);En(2)}tn(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){zm(23,0,44808,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[r>>3]-L)/+(c[u>>2]|0)- +h[k>>3];Oo(a,b);L=+h[k>>3];M=+h[v>>3];zm(23,1,38848,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];rC(34528,(+h[k>>3]-M)/(+h[r>>3]-M));N=Lp(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Ae(a);ap(a);if((c[92509]|0)!=0){Pd[c[3538]&511](23)}if((c[94790]|0)!=0){En(4)}l=Qo(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];zm(7,1,31232,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?27912:25112,h[p+8>>3]=M,p)|0);i=p;if((c[92688]|0)==0){Qd[c[2005]&127](8e3,a)}So(a,c[x>>2]|0,k,b);if((c[92493]|0)!=0){Pd[c[3538]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;ep(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[94790]|0)!=0){Hn(4)}if((Xp(a,1,1)|0)!=0){c[s>>2]=1;ep(a)}Sd[c[(c[y>>2]|0)+88>>2]&255](a)|0;$o(a);ip(a);ap(a);do{if((H|0)==0){O=0}else{En(7);Hn(2);l=(Xa(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Xa(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+zn(2);if(!P){Q=0;break}Q=(Xa(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+zn(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=un(R+9|0)|0;if((S|0)==0){T=0}else{T=(Xa(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+zn(S+9|0);if((R|0)==0){_=0}else{_=(Xa(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}Hn(7);if(($|0)!=0){O=H;break}R=Wc(c[(Vc()|0)>>2]|0)|0;Bm(23,0,23464,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Oa(H|0)|0;O=0}}while(0);if((c[92688]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;Qd[c[2005]&127](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[92544]|0)!=0){rm(A,397328);Va(10,A|0)|0;S=c[99330]|0;zm(1,0,358320,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[r>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((Gp(a,0)|0)!=0){aa=58;break}if((zp(a,0)|0)!=0){aa=58;break}if((qp(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){zm(1,0,355816,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((Gp(a,0)|0)!=0){zm(1,0,353528,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((zp(a,0)|0)!=0){zm(1,0,351896,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(qp(a,0)|0)==0;M=+h[k>>3];if(H){zm(1,0,348624,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{zm(1,0,349536,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Oa(J|0)|0;i=d;return I|0}function Ce(a){a=a|0;return 0}function De(a){a=a|0;return 0}function Ee(a){a=a|0;return 0}function Fe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+136>>3]=+h[b+8>>3]+ +h[(c[a+416>>2]|0)+72>>3]*.5;return}function Ge(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+72>>3]=+h[b>>3];return}function He(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+80>>3]=+h[b+24>>3];return}function Ie(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+152>>3]=+h[(c[a+416>>2]|0)+56>>3]*+h[b+24>>3];return}function Je(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+152>>3]*+h[b+24>>3];return}function Ke(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+160>>3]=+h[b+48>>3]*(+h[d+16>>3]- +h[b+64>>3]);return}function Le(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+160>>3]+ +h[b+152>>3];return}function Me(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+80>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+176>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+128|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+128|0;h[m>>3]=k;return}i=j/+Fm(c[b+536>>2]|0,d,345776,368056,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+128|0;h[m>>3]=k;return}function Ne(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+64>>3]=+h[b+128>>3];return}function Oe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+184>>3]=+h[b>>3]- +h[b+24>>3];return}function Pe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+144>>3]=+h[b+8>>3]+ +h[(c[a+416>>2]|0)+72>>3]*-.5;return}function Qe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+208>>3]=+h[b+144>>3]- +h[b+16>>3];return}function Re(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+192>>3]=+h[b+208>>3]+ +h[(c[a+416>>2]|0)+24>>3]*-.5;return}function Se(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+216>>3]=+h[b+192>>3]+ +h[(c[a+416>>2]|0)+24>>3]*-.5;return}function Te(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+232>>3]=+h[b+216>>3]- +h[c[a+416>>2]>>3];return}function Ue(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+224>>3]=+h[b+8>>3]*(+h[d+232>>3]- +h[b+16>>3]);return}function Ve(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+32>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+176>>3]- +h[g+224>>3];if(d!=0.0){j=i/d;k=g;l=k+200|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+200|0;h[l>>3]=j;return}m=i/+Fm(c[b+536>>2]|0,d,345208,368048,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+200|0;h[l>>3]=j;return}function We(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+88>>3]=+h[b+128>>3]- +h[b+200>>3];return}function Xe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+96>>3]=+h[b+40>>3];return}function Ye(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+280>>3]=+h[(c[a+416>>2]|0)+144>>3]*+h[b+40>>3];return}function Ze(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+296>>3]=+h[b+280>>3]*+h[b+40>>3];return}function _e(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+288>>3]=+h[b+136>>3]*(+h[d+32>>3]- +h[b+152>>3]);return}function $e(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+304>>3]=+h[b+288>>3]+ +h[b+280>>3];return}function af(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+168>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+304>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+256|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+256|0;h[m>>3]=k;return}i=j/+Fm(c[b+536>>2]|0,d,344640,368040,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+256|0;h[m>>3]=k;return}function bf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+328>>3]=+h[b+56>>3]+ +h[(c[a+416>>2]|0)+112>>3]*-.5;return}function cf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+344>>3]=+h[b+328>>3]- +h[(c[a+416>>2]|0)+88>>3];return}function df(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+336>>3]=+h[b+96>>3]*(+h[d+344>>3]- +h[b+104>>3]);return}function ef(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+120>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+304>>3]- +h[g+336>>3];if(d!=0.0){j=i/d;k=g;l=k+312|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+312|0;h[l>>3]=j;return}m=i/+Fm(c[b+536>>2]|0,d,343720,368032,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+312|0;h[l>>3]=j;return}function ff(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+112>>3]=+h[b+312>>3];return}function gf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+104>>3]=+h[b+256>>3]- +h[b+312>>3];return}function hf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+120>>3]=+h[b+48>>3];return}function jf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+240>>3]=+h[b+40>>3]+ +h[b+48>>3];return}function kf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+320>>3]=+h[b+56>>3]+ +h[(c[a+416>>2]|0)+112>>3]*.5;return}function lf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+272>>3]=+h[b+32>>3]+ +h[b+320>>3];return}function mf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+248>>3]=+h[b+272>>3]+ +h[(c[a+416>>2]|0)+160>>3]*.5;return}function nf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=+h[b+248>>3]+ +h[(c[a+416>>2]|0)+160>>3]*.5;return}function of(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Fe(b);Ge(b);He(b);Ie(b);Je(b);Ke(b);Le(b);Me(b);Ne(b);Oe(b);Pe(b);Qe(b);Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);return 0}function pf(b){b=b|0;a[b+314|0]=0;qf(b);return 0}function qf(a){a=a|0;Xe(a);Ye(a);_e(a);$e(a);af(a);bf(a);cf(a);df(a);ef(a);ff(a);gf(a);hf(a);Ge(a);He(a);Ie(a);Ke(a);Le(a);Me(a);Ne(a);Pe(a);Qe(a);Re(a);Se(a);Te(a);Ue(a);Ve(a);We(a);return}function rf(a,b){a=a|0;b=+b;return 0}function sf(a){a=a|0;var b=0,d=0;b=i;Cm(c[a+536>>2]|0,(a|0)!=0|0,343104,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=368368;c[a+84>>2]=342496;c[a+88>>2]=342496;c[a+92>>2]=341776;c[a+96>>2]=341e3;c[a+100>>2]=268800;c[a+60>>2]=45712;c[a+112>>2]=8;c[a+116>>2]=46;GQ(a+120|0,0,16)|0;c[a+136>>2]=22;c[a+140>>2]=6;c[a+144>>2]=2;c[a+148>>2]=0;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=38;c[a+220>>2]=0;c[a+224>>2]=0;c[a+228>>2]=0;c[a+160>>2]=0;c[a+104>>2]=0;c[a+164>>2]=0;c[a+168>>2]=0;c[a+176>>2]=3;c[a+180>>2]=0;c[a+184>>2]=3;c[a+188>>2]=0;c[a+56>>2]=45304;c[a+64>>2]=0;c[a+72>>2]=0;c[a+68>>2]=110;c[a+172>>2]=0;GQ(a+192|0,0,24)|0;i=b;return}function tf(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2168]=c[2162];c[2169]=c[2163];c[2170]=c[2164];c[2171]=c[2165];c[2172]=c[2166];c[2173]=c[2167];Ia(c[2168]|0);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;GQ(m|0,0,88)|0;n=sa(194,c[94780]|0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(70,c[94780]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=HQ(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=HQ(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(246,h|0);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(74,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(70,c[94780]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(202,0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(202,0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(164,k|0);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(38,44648,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(202,0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Da(70,c[94780]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=IQ(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function uf(){Sa(0)|0;Xa(44144,18,1,c[u>>2]|0)|0;Sa(0)|0;return}function vf(a){a=a|0;var b=0;a=i;zm(4,0,347736,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;zm(4,0,354200,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function wf(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}cQ(a);c[b>>2]=0;return}function xf(a){a=a|0;return}function yf(a){a=a|0;return}function zf(a,b){a=a|0;b=b|0;return}function Af(a){a=a|0;return}function Bf(a,b){a=a|0;b=b|0;c[b>>2]=0;return 39384}function Cf(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function Df(a){a=a|0;return 39384}function Ef(a,b){a=a|0;b=b|0;return 0}function Ff(a){a=a|0;var b=0;a=i;zm(8,1,349504,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[92494]|0)==0){i=a;return 0}Pd[c[3538]&511](8);i=a;return 0}function Gf(a){a=a|0;return c[367936+(a<<2)>>2]|0}function Hf(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0.0;d=i;zm(21,1,41088,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=a+4|0;g=a+8|0;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+344>>3]- +h[(c[g>>2]|0)+4912>>3];h[b>>3]=j;a=Gf(0)|0;zm(21,0,35928,(e=i,i=i+24|0,c[e>>2]=1,c[e+8>>2]=a,h[e+16>>3]=j,e)|0);i=e;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+192>>3]- +h[(c[g>>2]|0)+2784>>3];h[b+8>>3]=j;a=Gf(1)|0;zm(21,0,35928,(e=i,i=i+24|0,c[e>>2]=2,c[e+8>>2]=a,h[e+16>>3]=j,e)|0);i=e;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+184>>3]- +h[(c[g>>2]|0)+2672>>3];h[b+16>>3]=j;b=Gf(2)|0;zm(21,0,35928,(e=i,i=i+24|0,c[e>>2]=3,c[e+8>>2]=b,h[e+16>>3]=j,e)|0);i=e;if((c[92507]|0)==0){i=d;return 0}Pd[c[3538]&511](21);i=d;return 0}function If(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+360>>3]=0.0;return}function Jf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+352>>3]=0.0;return}function Kf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+344>>3]=1.0;return}function Lf(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+336>>3]=+h[b+96>>3]*(+h[d+344>>3]- +h[b+104>>3]);return}function Mf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+328>>3]=+h[b+344>>3]+ +h[(c[a+416>>2]|0)+88>>3];return}function Nf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+56>>3]=+h[b+328>>3]+ +h[(c[a+416>>2]|0)+112>>3]*.5;return}function Of(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+320>>3]=+h[b+56>>3]+ +h[(c[a+416>>2]|0)+112>>3]*.5;return}function Pf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=0.0;return}function Qf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+120>>3]=+h[b+48>>3];return}function Rf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=0.0;return}function Sf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+96>>3]=+h[b+40>>3];return}function Tf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+280>>3]=+h[(c[a+416>>2]|0)+144>>3]*+h[b+40>>3];return}function Uf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+296>>3]=+h[b+280>>3]*+h[b+40>>3];return}function Vf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+240>>3]=+h[b+40>>3]+ +h[b+48>>3];return}function Wf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=1.0;return}function Xf(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+288>>3]=+h[b+136>>3]*(+h[d+32>>3]- +h[b+152>>3]);return}function Yf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+304>>3]=+h[b+288>>3]+ +h[b+280>>3];return}function Zf(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+168>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+304>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+256|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+256|0;h[m>>3]=k;return}i=j/+Fm(c[b+536>>2]|0,d,32312,368088,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+256|0;h[m>>3]=k;return}function _f(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+120>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+304>>3]- +h[g+336>>3];if(d!=0.0){j=i/d;k=g;l=k+312|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+312|0;h[l>>3]=j;return}m=i/+Fm(c[b+536>>2]|0,d,29056,368080,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+312|0;h[l>>3]=j;return}function $f(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+104>>3]=+h[b+256>>3]- +h[b+312>>3];return}function ag(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+112>>3]=+h[b+312>>3];return}function bg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+272>>3]=+h[b+32>>3]+ +h[b+320>>3];return}function cg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+248>>3]=+h[b+272>>3]+ +h[(c[a+416>>2]|0)+160>>3]*.5;return}function dg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=+h[b+248>>3]+ +h[(c[a+416>>2]|0)+160>>3]*.5;return}function eg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+192>>3]=4.5;return}function fg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+216>>3]=+h[b+192>>3]+ +h[(c[a+416>>2]|0)+24>>3]*-.5;return}function gg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+232>>3]=+h[b+216>>3]- +h[c[a+416>>2]>>3];return}function hg(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+224>>3]=+h[b+8>>3]*(+h[d+232>>3]- +h[b+16>>3]);return}function ig(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+208>>3]=+h[b+192>>3]+ +h[(c[a+416>>2]|0)+24>>3]*.5;return}function jg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+184>>3]=0.0;return}function kg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=12.5;return}function lg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+136>>3]=+h[b+8>>3]+ +h[(c[a+416>>2]|0)+72>>3]*.5;return}function mg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+144>>3]=+h[b+8>>3]+ +h[(c[a+416>>2]|0)+72>>3]*-.5;return}function ng(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+16>>3]=+h[b+144>>3]- +h[b+208>>3];return}function og(a){a=a|0;var b=0,d=0;b=c[a+416>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+160>>3]=+h[b+48>>3]*(+h[d+16>>3]- +h[b+64>>3]);return}function pg(a){a=a|0;h[c[(c[c[a+4>>2]>>2]|0)+8>>2]>>3]=0.0;return}function qg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+72>>3]=+h[b>>3];return}function rg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+24>>3]=+h[b>>3]- +h[b+184>>3];return}function sg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+80>>3]=+h[b+24>>3];return}function tg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+152>>3]=+h[(c[a+416>>2]|0)+56>>3]*+h[b+24>>3];return}function ug(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+152>>3]*+h[b+24>>3];return}function vg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+160>>3]+ +h[b+152>>3];return}function wg(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+80>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+176>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+128|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+128|0;h[m>>3]=k;return}i=j/+Fm(c[b+536>>2]|0,d,25976,368072,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+128|0;h[m>>3]=k;return}function xg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+64>>3]=+h[b+128>>3];return}function yg(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+32>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+176>>3]- +h[g+224>>3];if(d!=0.0){j=i/d;k=g;l=k+200|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+200|0;h[l>>3]=j;return}m=i/+Fm(c[b+536>>2]|0,d,24176,368064,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+200|0;h[l>>3]=j;return}function zg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+88>>3]=+h[b+128>>3]- +h[b+200>>3];return}function Ag(b){b=b|0;var c=0;c=b+314|0;a[c]=1;If(b);Jf(b);Kf(b);Lf(b);Mf(b);Nf(b);Of(b);Pf(b);Qf(b);Rf(b);Sf(b);Tf(b);Uf(b);Vf(b);Wf(b);Xf(b);Yf(b);Zf(b);_f(b);$f(b);ag(b);bg(b);cg(b);dg(b);eg(b);fg(b);gg(b);hg(b);ig(b);jg(b);kg(b);lg(b);mg(b);ng(b);og(b);pg(b);qg(b);rg(b);sg(b);tg(b);ug(b);vg(b);wg(b);xg(b);yg(b);zg(b);a[c]=0;return 0}function Bg(a){a=a|0;return}function Cg(a){a=a|0;return 0}function Dg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=+h[(c[a+416>>2]|0)+128>>3];return}function Eg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+16>>3]=+h[(c[a+416>>2]|0)+40>>3];return}function Fg(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0;b=i;zm(9,1,27176,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[92495]|0)!=0){Pd[c[3538]&511](9)}zm(9,1,346640,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[92495]|0)!=0){Pd[c[3538]&511](9)}Dg(a);Eg(a);zm(9,1,268432,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a+4|0;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3];g=a+8|0;a=c[g>>2]|0;h[a+528>>3]=f;zm(9,0,40016,(d=i,i=i+16|0,c[d>>2]=c[a+452>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3];e=c[g>>2]|0;h[e+304>>3]=f;zm(9,0,40016,(d=i,i=i+16|0,c[d>>2]=c[e+228>>2],h[d+8>>3]=f,d)|0);i=d;if((c[92495]|0)!=0){Pd[c[3538]&511](9)}zm(9,1,35192,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[92495]|0)==0){i=b;return 0}Pd[c[3538]&511](9);i=b;return 0}function Gg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+352>>3]=0.0;return}function Hg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+360>>3]=0.0;return}function Ig(b){b=b|0;var d=0,e=0;d=i;if(a[368024]|0){i=d;return}e=b+420|0;b=np(+(c[(c[e>>2]|0)+20>>2]|0),1.0)|0;if(!(b<<24>>24==0|(mp(+(c[(c[e>>2]|0)+20>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=$m(28432,Zm(c[(c[e>>2]|0)+20>>2]|0,31800)|0)|0;fe[c[2160]&15](368200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368024]=1;i=d;return}function Jg(b){b=b|0;var d=0,e=0;d=i;if(a[368016]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+168>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(21528,Xm(+h[(c[e>>2]|0)+168>>3],23888)|0)|0;fe[c[2160]&15](368168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368016]=1;i=d;return}function Kg(b){b=b|0;var d=0,e=0;d=i;if(a[368008]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+144>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(356328,Xm(+h[(c[e>>2]|0)+144>>3],23888)|0)|0;fe[c[2160]&15](368328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368008]=1;i=d;return}function Lg(b){b=b|0;var d=0,e=0;d=i;if(a[368e3]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+136>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(353848,Xm(+h[(c[e>>2]|0)+136>>3],23888)|0)|0;fe[c[2160]&15](368296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368e3]=1;i=d;return}function Mg(b){b=b|0;var d=0,e=0;d=i;if(a[367992]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+128>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(352096,Xm(+h[(c[e>>2]|0)+128>>3],23888)|0)|0;fe[c[2160]&15](368264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[367992]=1;i=d;return}function Ng(b){b=b|0;var d=0,e=0;d=i;if(a[367984]|0){i=d;return}e=b+420|0;b=np(+(c[(c[e>>2]|0)+16>>2]|0),1.0)|0;if(!(b<<24>>24==0|(mp(+(c[(c[e>>2]|0)+16>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=$m(349760,Zm(c[(c[e>>2]|0)+16>>2]|0,31800)|0)|0;fe[c[2160]&15](368232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[367984]=1;i=d;return}function Og(b){b=b|0;var d=0,e=0;d=i;if(a[367976]|0){i=d;return}e=b+420|0;b=np(+(c[(c[e>>2]|0)+12>>2]|0),1.0)|0;if(!(b<<24>>24==0|(mp(+(c[(c[e>>2]|0)+12>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=$m(348832,Zm(c[(c[e>>2]|0)+12>>2]|0,31800)|0)|0;fe[c[2160]&15](368200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[367976]=1;i=d;return}function Pg(b){b=b|0;var d=0,e=0;d=i;if(a[367968]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+120>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(347888,Xm(+h[(c[e>>2]|0)+120>>3],23888)|0)|0;fe[c[2160]&15](368168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[367968]=1;i=d;return}function Qg(b){b=b|0;var d=0,e=0;d=i;if(a[367960]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+104>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(347168,Xm(+h[(c[e>>2]|0)+104>>3],23888)|0)|0;fe[c[2160]&15](368136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[367960]=1;i=d;return}function Rg(b){b=b|0;var d=0,e=0;d=i;if(a[367952]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+96>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(346992,Xm(+h[(c[e>>2]|0)+96>>3],23888)|0)|0;fe[c[2160]&15](368104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[367952]=1;i=d;return}function Sg(b){b=b|0;var d=0,e=0;d=i;if(a[368360]|0){i=d;return}e=b+420|0;b=np(+(c[(c[e>>2]|0)+8>>2]|0),1.0)|0;if(!(b<<24>>24==0|(mp(+(c[(c[e>>2]|0)+8>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=$m(345824,Zm(c[(c[e>>2]|0)+8>>2]|0,31800)|0)|0;fe[c[2160]&15](368200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368360]=1;i=d;return}function Tg(b){b=b|0;var d=0,e=0;d=i;if(a[368352]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+80>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(345320,Xm(+h[(c[e>>2]|0)+80>>3],23888)|0)|0;fe[c[2160]&15](368168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368352]=1;i=d;return}function Ug(b){b=b|0;var d=0,e=0;d=i;if(a[368320]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+56>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(344704,Xm(+h[(c[e>>2]|0)+56>>3],23888)|0)|0;fe[c[2160]&15](368328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368320]=1;i=d;return}function Vg(b){b=b|0;var d=0,e=0;d=i;if(a[368288]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+48>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(343792,Xm(+h[(c[e>>2]|0)+48>>3],23888)|0)|0;fe[c[2160]&15](368296,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368288]=1;i=d;return}function Wg(b){b=b|0;var d=0,e=0;d=i;if(a[368256]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+40>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(343152,Xm(+h[(c[e>>2]|0)+40>>3],23888)|0)|0;fe[c[2160]&15](368264,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368256]=1;i=d;return}function Xg(b){b=b|0;var d=0,e=0;d=i;if(a[368224]|0){i=d;return}e=b+420|0;b=np(+(c[(c[e>>2]|0)+4>>2]|0),1.0)|0;if(!(b<<24>>24==0|(mp(+(c[(c[e>>2]|0)+4>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=$m(342608,Zm(c[(c[e>>2]|0)+4>>2]|0,31800)|0)|0;fe[c[2160]&15](368232,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368224]=1;i=d;return}function Yg(b){b=b|0;var d=0,e=0;d=i;if(a[368192]|0){i=d;return}e=b+420|0;b=np(+(c[c[e>>2]>>2]|0),1.0)|0;if(!(b<<24>>24==0|(mp(+(c[c[e>>2]>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=$m(341864,Zm(c[c[e>>2]>>2]|0,31800)|0)|0;fe[c[2160]&15](368200,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368192]=1;i=d;return}function Zg(b){b=b|0;var d=0,e=0;d=i;if(a[368160]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+32>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(341080,Xm(+h[(c[e>>2]|0)+32>>3],23888)|0)|0;fe[c[2160]&15](368168,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368160]=1;i=d;return}function _g(b){b=b|0;var d=0,e=0;d=i;if(a[368128]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+16>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(340344,Xm(+h[(c[e>>2]|0)+16>>3],23888)|0)|0;fe[c[2160]&15](368136,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368128]=1;i=d;return}function $g(b){b=b|0;var d=0,e=0;d=i;if(a[368096]|0){i=d;return}e=b+416|0;if(!((np(+h[(c[e>>2]|0)+8>>3],0.0)|0)<<24>>24==0)){i=d;return}b=$m(268200,Xm(+h[(c[e>>2]|0)+8>>3],23888)|0)|0;fe[c[2160]&15](368104,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[368096]=1;i=d;return}function ah(a){a=a|0;Gg(a);Hg(a);Ig(a);Jg(a);Kg(a);Lg(a);Mg(a);Ng(a);Og(a);Pg(a);Qg(a);Rg(a);Sg(a);Tg(a);Ug(a);Vg(a);Wg(a);Xg(a);Yg(a);Zg(a);_g(a);$g(a);return 0}function bh(b){b=b|0;a[b+314|0]=0;ch(b);return 0}function ch(a){a=a|0;Ze(a);jf(a);kf(a);lf(a);mf(a);nf(a);Fe(a);Je(a);Oe(a);return}function dh(a){a=a|0;return 0}function eh(a){a=a|0;return 1}function fh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+464|0;a=c[b>>2]|0;c[a+44>>2]=8;c[a+48>>2]=8;c[a+72>>2]=dQ(8,8)|0;a=dQ(8,8)|0;c[(c[b>>2]|0)+80>>2]=a;a=dQ(0,8)|0;c[(c[b>>2]|0)+76>>2]=a;a=bQ(32)|0;c[(c[b>>2]|0)+52>>2]=a;a=bQ(60)|0;c[(c[b>>2]|0)+56>>2]=a;a=bQ(32)|0;c[(c[b>>2]|0)+64>>2]=a;a=c[b>>2]|0;c[a+68>>2]=3;c[a+84>>2]=0;a=c[b>>2]|0;d=c[a+52>>2]|0;c[d+28>>2]=2;c[d+24>>2]=1;c[d+20>>2]=3;c[d+16>>2]=2;c[d+12>>2]=3;c[d+8>>2]=2;c[d+4>>2]=1;c[d>>2]=1;e=1;f=1;g=1;while(1){h=g+f|0;c[d+(e<<2)>>2]=h;i=e+1|0;if((i|0)>=8){break}e=i;f=h;g=c[d+(i<<2)>>2]|0}gh(d,c[a+56>>2]|0);a=c[b>>2]|0;hh(c[(c[a+52>>2]|0)+24>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;ih(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;jh(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;kh(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;lh(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;mh(c[(c[a+52>>2]|0)+4>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;nh(c[c[a+52>>2]>>2]|0,c[a+56>>2]|0);a=c[(c[b>>2]|0)+64>>2]|0;c[a+28>>2]=1;c[a+24>>2]=1;c[a+12>>2]=1;c[a>>2]=1;c[a+20>>2]=2;c[a+8>>2]=2;c[a+16>>2]=3;c[a+4>>2]=3;return 0}function gh(a,b){a=a|0;b=b|0;var d=0;d=a+28|0;c[b+((c[d>>2]|0)-2<<2)>>2]=5;c[b+((c[d>>2]|0)-1<<2)>>2]=6;return}function hh(a,b){a=a|0;b=b|0;c[b+(a-1<<2)>>2]=7;return}function ih(a,b){a=a|0;b=b|0;var d=0;d=a+20|0;c[b+((c[d>>2]|0)-3<<2)>>2]=4;c[b+((c[d>>2]|0)-2<<2)>>2]=5;c[b+((c[d>>2]|0)-1<<2)>>2]=6;return}function jh(a,b){a=a|0;b=b|0;var d=0;d=a+16|0;c[b+((c[d>>2]|0)-2<<2)>>2]=5;c[b+((c[d>>2]|0)-1<<2)>>2]=6;return}function kh(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[b+((c[d>>2]|0)-3<<2)>>2]=0;c[b+((c[d>>2]|0)-2<<2)>>2]=2;c[b+((c[d>>2]|0)-1<<2)>>2]=3;return}function lh(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;c[b+((c[d>>2]|0)-2<<2)>>2]=0;c[b+((c[d>>2]|0)-1<<2)>>2]=3;return}function mh(a,b){a=a|0;b=b|0;c[b+(a-1<<2)>>2]=3;return}function nh(a,b){a=a|0;b=b|0;c[b+(a-1<<2)>>2]=1;return}function oh(a){a=a|0;return 1}function ph(a){a=a|0;return 1}function qh(a){a=a|0;return 1}function rh(a){a=a|0;return 0}function sh(a){a=a|0;return 0}function th(a){a=a|0;return 0}function uh(a){a=a|0;return 0}function vh(a){a=a|0;return 0}function wh(a,b){a=a|0;b=b|0;return-1|0}function xh(a,b){a=a|0;b=b|0;return-1|0}function yh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function zh(){return 350344}function Ah(a){a=a|0;var b=0,c=0;b=i;c=Bh(a,0,0)|0;i=b;return c|0}function Bh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=Ch(a,b,c,0)|0;i=d;return e|0}function Ch(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=Sd[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=bQ(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=42;c[b+4>>2]=98;c[b+8>>2]=100}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=Sd[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){Pd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=Sd[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){Pd[c[j+20>>2]&511](c[j+392>>2]|0);Pd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=Ni(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}Pd[c[j+20>>2]&511](c[j+44>>2]|0);Pd[c[j+20>>2]&511](c[j+392>>2]|0);Pd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;Oi(j+416|0,j+12|0);Oi(j+440|0,j+12|0);Eh(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}Hh(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=gj()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=Zi()|0}k=j;l=k;i=g;return l|0}function Dh(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function Eh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=10;pl(f+256|0);if((b|0)!=0){g=Fh(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;_i(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;GQ(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function Fh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Wh(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function Gh(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=Zh(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=Fh(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((bi(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=Zh(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function Hh(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;Pd[c[e+20>>2]&511](c[f+36>>2]|0);Ih(c[f+44>>2]|0,e);Pd[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;Pd[c[e+20>>2]&511](f)}Ih(c[e+376>>2]|0,e);Ih(c[e+372>>2]|0,e);Jh(e+416|0);Jh(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}Kh(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);Pd[c[e+20>>2]&511](c[e+392>>2]|0);Pd[c[e+20>>2]&511](c[e+464>>2]|0);Pd[c[e+20>>2]&511](c[e+8>>2]|0);Pd[c[e+20>>2]&511](c[e+44>>2]|0);Pd[c[e+20>>2]&511](c[e+396>>2]|0);Pd[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){Pd[c[e+252>>2]&511](c[e+244>>2]|0)}Pd[c[e+20>>2]&511](e);i=d;return}function Ih(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;Pd[c[a+20>>2]&511](c[b+16>>2]|0);Pd[c[a+20>>2]&511](b)}i=d;return}function Jh(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Pd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Pd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function Kh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;Xh(f,g+20|0);while(1){d=Yh(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){Pd[c[b+8>>2]&511](c[d+20>>2]|0)}}ai(g|0);ai(g+132|0);ai(g+20|0);ai(g+40|0);ai(g+60|0);Jh(g+80|0);Jh(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Pd[k&511](m);i=e;return}Pd[c[b+8>>2]&511](c[g+184>>2]|0);Pd[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Pd[k&511](m);i=e;return}function Lh(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function Mh(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function Nh(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==0){do{if((c[h+476>>2]|0)==0){if((Oh(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}else if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=Qh(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{FQ(f|0,b|0,d)|0;j=Rh(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=ee[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=2;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==3){ie[c[(c[h+144>>2]|0)+52>>2]&31](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}else if((e|0)==0|(e|0)==1){c[h+480>>2]=2}j=1;k=j;i=g;return k|0}function Oh(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=Li()|0}if((a[e+236|0]|0)!=0){f=Gh(e,16512)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function Ph(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function Qh(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;JQ(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=Sd[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}FQ(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;Pd[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function Rh(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}else if((h|0)==0){do{if((c[g+476>>2]|0)==0){if((Oh(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=ee[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=2;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==3){e=2}else if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else{m=16}}while(0);ie[c[(c[g+144>>2]|0)+52>>2]&31](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function Sh(a){a=a|0;i=i;return c[a+284>>2]|0}function Th(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}ie[c[(c[d+144>>2]|0)+52>>2]&31](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function Uh(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){fe[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];Od[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];fe[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function Vh(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[367432+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function Wh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;FQ((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=be[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=Sd[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){FQ(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function Xh(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function Yh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function Zh(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=Sd[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){GQ(c[b>>2]|0,0,g|0)|0;g=_h(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=_h(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(($h(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=Sd[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}GQ(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=_h(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}Pd[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=Sd[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){GQ(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function _h(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function $h(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function ai(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}Pd[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}Pd[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function bi(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[21200+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[21168+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=be[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=Sd[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=Sd[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}Pd[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;FQ(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}fe[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function ci(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((Ud[((a[e+236|0]&255|0)!=0?50:2)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=Ki(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function di(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=ee[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=ei(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function ei(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case-2:{r=12;break a;break};case-1:{r=11;break a;break};case-15:{g=-g|0;break};case-4:{r=14;break a;break};case 0:{r=10;break a;break};default:{g=-g|0;c[n>>2]=f}}}s=Td[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 1:{t=fi(o,0,e,c[n>>2]|0)|0;if((t|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 57:{u=fi(o,1,e,c[n>>2]|0)|0;if((u|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 14:{r=49;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=gi(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 7:{if((c[o+84>>2]|0)!=0){Od[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;Dh(o+416|0);h=0}break};case 8:{if((c[o+320>>2]|0)!=0){Od[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);Dh(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;v=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}w=Zh(o,l+132|0,16856,36)|0;if((w|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[w+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((Td[c[o+112>>2]&127](c[o+116>>2]|0,0,c[w+20>>2]|0,c[w+16>>2]|0,c[w+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Sd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=v}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){Pd[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 6:{a[o+489|0]=0;c[o+316>>2]=Zh(o,l+132|0,16856,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((ee[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}v=gi(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=46;break a}hi(v);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=v;h=0;r=52;break};case 2:{r=86;break a;break};case 34:{c[o+344>>2]=ji(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=ki(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 23:{a[o+352|0]=1;c[o+332>>2]=16952;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=16920;r=117;break};case 25:{c[o+332>>2]=16912;r=117;break};case 26:{c[o+332>>2]=16904;r=117;break};case 27:{c[o+332>>2]=16928;r=117;break};case 28:{c[o+332>>2]=16936;r=117;break};case 29:{c[o+332>>2]=16896;r=117;break};case 30:{c[o+332>>2]=16880;r=117;break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){x=16872}else{x=(s|0)==32?16840:16864}if((li(o+416|0,x)|0)==0){r=127;break a}if((mi(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((ni(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Wh(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;v=o+428|0;w=c[v>>2]|0;c[v>>2]=w+1;a[w]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Wh(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;w=o+428|0;v=c[w>>2]|0;c[w>>2]=v+1;a[v]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;Xd[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);Dh(o+416|0);h=0}}while(0)}break};case 37:case 38:{if((a[l+128|0]|0)!=0){y=oi(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((y|0)!=0){r=155;break a}v=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((ni(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,v,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Wh(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;w=o+428|0;z=c[w>>2]|0;c[w>>2]=z+1;a[z]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Wh(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;z=o+428|0;w=c[z>>2]|0;c[z>>2]=w+1;a[w]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;Xd[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,v,(s|0)==38|0);Dh(o+416|0);h=0}}while(0)}break};case 12:{if((a[l+128|0]|0)!=0){A=pi(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;ae[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((A|0)!=0){r=183;break a}}break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=gi(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=16856}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((Sd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=Zh(o,l+132|0,16856,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 13:{r=201;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;ae[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}v=gi(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=v;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;Xd[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;ae[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 9:{if((Ud[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){v=gi(l+80|0,b,e,c[n>>2]|0)|0;if((v|0)==0){r=229;break a}c[o+316>>2]=Zh(o,l|0,v,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(v|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){B=1}else{B=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(B^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 10:{if((a[l+128|0]|0)!=0){v=gi(l+80|0,b,e,c[n>>2]|0)|0;if((v|0)==0){r=244;break a}c[o+316>>2]=Zh(o,l+132|0,v,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(v|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){C=1}else{C=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(C^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=gi(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 21:{if((ee[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){v=gi(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=266;break a}hi(v);c[o+340>>2]=v;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}v=gi(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=272;break a}c[q>>2]=e;Od[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,v,c[o+340>>2]|0);h=0}}while(0);Dh(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;Od[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);Dh(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){Uh(o,b,e,c[n>>2]|0)}h=0;D=qi(o,b,n,f,j,k)|0;if((D|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){v=c[o+16>>2]|0;w=c[o+464>>2]|0;z=o+468|0;E=c[z>>2]<<1;c[z>>2]=E;z=be[v&127](w,E)|0;if((z|0)==0){r=294;break a}c[o+464>>2]=z;if((c[l+184>>2]|0)!=0){z=be[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((z|0)==0){r=297;break a}c[l+184>>2]=z}}else{z=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=Sd[z&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){z=si(o)|0;if((z|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=z;E=l+180|0;c[E>>2]=(c[E>>2]|0)+1;c[(c[l+164>>2]|0)+(z*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){z=gi(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((z|0)==0){r=329;break a}F=Zh(o,l+132|0,z,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((F|0)==0){r=335;break a}if((a[F+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((F|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}fe[c[o+120>>2]&15](c[o+4>>2]|0,z,1);h=0}}while(0);break b}}while(0);if((a[F+32|0]|0)!=0){r=347;break a}if((c[F+4>>2]|0)!=0){G=ti(o,F,((s|0)==60?1:0)&255)|0;if((G|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[F+32|0]=1;if((Td[c[o+112>>2]&127](c[o+116>>2]|0,0,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){r=354;break a}a[F+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Sd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=ji(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){z=Sd[c[o+12>>2]&255](20)|0;if((z|0)==0){r=373;break a}c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[z>>2]=(s|0)==41?2:1;c[q>>2]=e;fe[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,z);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((vi(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((wi(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((ee[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=gi(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=si(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;z=ji(o,b,e,I)|0;if((z|0)==0){r=393;break}E=c[z>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=E;s=0;do{z=s;s=z+1|0;}while((a[E+z|0]|0)!=0);E=l+168|0;c[E>>2]=(c[E>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}E=l+180|0;c[E>>2]=(c[E>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){E=ui(o)|0;if((E|0)==0){r=411;break}c[q>>2]=e;fe[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,E)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}E=gi(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((E|0)==0){r=55;break a}hi(E);c[(c[o+316>>2]|0)+24>>2]=E;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}Uh(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=ee[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((Td[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=t;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=u;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){u=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}t=Zh(o,l+132|0,16856,36)|0;if((t|0)==0){J=1;K=J;i=m;return K|0}c[t+20>>2]=c[o+360>>2];a[l+131|0]=0;if((Td[c[o+112>>2]&127](c[o+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Sd[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=u}}}while(0)}c[o+280>>2]=4;J=ii(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=y;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=A;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){A=g;if((A|0)==28){J=10;K=J;i=m;return K|0}else if((A|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=D;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=D;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=G;K=J;i=m;return K|0}else if((r|0)==354){a[F+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function fi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((Rd[((a[n+236|0]&255|0)!=0?6:4)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=gi(n+440|0,b,r,s+(be[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=gi(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);ie[c[n+140>>2]&31](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){Uh(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=gi(n+440|0,e,d,m+(be[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=Ki(n,f)|0;Dh(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){Dh(n+440|0)}p=0;q=p;i=g;return q|0}function gi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((mi(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Wh(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function hi(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function ii(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=zi(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Hi(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function ji(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=gi(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=Zh(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((Ii(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function ki(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Wh(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=gi(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=Zh(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=Zh(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Wh(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Wh(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=Zh(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function li(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Wh(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function mi(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((Wh(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){Od[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((Wh(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function ni(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=Sd[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=be[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function oi(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=Ji(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((Wh(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function pi(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((Wh(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(ee[c[b+20>>2]&127](b,e,f,j)|0){case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=gi(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=Zh(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((Td[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=pi(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case 7:{r=36;break};case-1:{r=56;break a;break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case-4:{r=31;break a;break};case 0:{r=59;break a;break};case 9:case 6:{if((mi(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};case 10:{s=be[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=Qi(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Wh(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Wh(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function qi(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=ee[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};case 42:{if((c[k+80>>2]|0)!=0){Uh(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function ri(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=qi(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=74;k=di(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function si(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=Sd[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=be[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=Sd[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function ti(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=Sd[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=ee[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=ei(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=zi(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=64}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function ui(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=Sd[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;yi(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function vi(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){Uh(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(be[c[a+32>>2]&127](a,b)|0)|0;k=gi(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=be[c[a+36>>2]&127](a,e)|0;e=gi(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){xi(e);fe[c[g+64>>2]&15](c[g+4>>2]|0,k,e);Dh(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function wi(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){Uh(g,a,b,d)}h=1;j=h;i=f;return j|0}e=gi(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){xi(e);Qd[c[g+68>>2]&127](c[g+4>>2]|0,e);Dh(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function xi(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function yi(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}yi(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function zi(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=ee[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case 0:{B=25;break a;break};case 6:{C=c[y+60>>2]|0;if((C|0)!=0){if((a[e+72|0]|0)!=0){fe[C&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];Od[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];fe[C&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-2:{B=29;break a;break};case-3:{B=6;break a;break};case-5:{B=182;break a;break};case 2:case 1:{if((c[y+368>>2]|0)!=0){D=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{D=Sd[c[y+12>>2]&255](48)|0;if((D|0)==0){B=86;break a}c[D+36>>2]=Sd[c[y+12>>2]&255](32)|0;if((c[D+36>>2]|0)==0){B=88;break a}c[D+40>>2]=(c[D+36>>2]|0)+32}c[D+44>>2]=0;c[D>>2]=c[y+364>>2];c[y+364>>2]=D;c[D+16>>2]=0;c[D+20>>2]=0;c[D+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[D+8>>2]=be[c[e+32>>2]&127](e,c[D+4>>2]|0)|0;C=y+312|0;c[C>>2]=(c[C>>2]|0)+1;C=(c[D+4>>2]|0)+(c[D+8>>2]|0)|0;c[r>>2]=c[D+4>>2];c[q>>2]=c[D+36>>2];while(1){Od[c[e+60>>2]&31](e,r,C,q,(c[D+40>>2]|0)-1|0);E=(c[q>>2]|0)-(c[D+36>>2]|0)|0;if((c[r>>2]|0)==(C|0)){break}F=(c[D+40>>2]|0)-(c[D+36>>2]|0)<<1;G=be[c[y+16>>2]&127](c[D+36>>2]|0,F)|0;if((G|0)==0){B=94;break a}c[D+36>>2]=G;c[D+40>>2]=G+F;c[q>>2]=G+E}c[D+24>>2]=E;c[D+12>>2]=c[D+36>>2];a[c[q>>2]|0]=0;H=Ci(y,e,c[m>>2]|0,D+12|0,D+44|0)|0;if((H|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){fe[c[y+52>>2]&15](c[y+4>>2]|0,c[D+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}Dh(y+416|0);break};case-4:{B=18;break a;break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}C=c[y+364>>2]|0;c[y+364>>2]=c[C>>2];c[C>>2]=c[y+368>>2];c[y+368>>2]=C;I=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;G=be[c[e+32>>2]&127](e,I)|0;if((G|0)!=(c[C+8>>2]|0)){B=129;break a}if((AQ(c[C+4>>2]|0,I,G)|0)!=0){B=129;break a}G=y+312|0;c[G>>2]=(c[G>>2]|0)-1;if((c[y+56>>2]|0)!=0){G=c[C+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((G|0)==0){break}F=(c[C+12>>2]|0)+(c[C+28>>2]|0)|0;while(1){if((a[G]|0)==0){break}J=G;G=J+1|0;K=F;F=K+1|0;a[K]=a[J]|0}J=c[C+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((J|0)==0){break}K=F;F=K+1|0;a[K]=a[y+472|0]|0;while(1){if((a[J]|0)==0){break}K=J;J=K+1|0;L=F;F=L+1|0;a[L]=a[K]|0}}}while(0);a[F]=0}}while(0);Qd[c[y+56>>2]&127](c[y+4>>2]|0,c[C+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[C+44>>2]|0)==0){break}G=c[C+44>>2]|0;if((c[y+104>>2]|0)!=0){Qd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[G>>2]>>2]|0)}c[C+44>>2]=c[(c[C+44>>2]|0)+4>>2];c[G+4>>2]=c[y+376>>2];c[y+376>>2]=G;c[(c[G>>2]|0)+4>>2]=c[G+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case 10:{C=be[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((C|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){G=c[y+60>>2]|0;J=c[y+4>>2]|0;K=Qi(C,u|0)|0;fe[G&15](J,u|0,K)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-1:{B=26;break a;break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;fe[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 8:{if((c[y+72>>2]|0)!=0){Pd[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}M=Ei(y,e,n,g,h,j)|0;if((M|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};case 4:case 3:{K=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;J=1;c[t>>2]=gi(y+416|0,e,K,K+(be[c[e+32>>2]&127](e,K)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];N=Ci(y,e,c[m>>2]|0,t,s)|0;if((N|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){fe[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);J=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}Qd[c[y+56>>2]&127](c[y+4>>2]|0,c[t>>2]|0);J=0}do{if((J&255|0)!=0){if((c[y+80>>2]|0)==0){break}Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);Dh(y+416|0);while(1){if((c[s>>2]|0)==0){break}J=c[s>>2]|0;if((c[y+104>>2]|0)!=0){Qd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[J>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[J+4>>2]=c[y+376>>2];c[y+376>>2]=J;c[(c[J>>2]|0)+4>>2]=c[J+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};case 9:{a[p]=Ud[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){fe[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}J=gi(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((J|0)==0){B=40;break a}K=Zh(y,k|0,J,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((K|0)!=0){break}if((c[y+120>>2]|0)!=0){fe[c[y+120>>2]&15](c[y+4>>2]|0,J,0)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((K|0)==0){B=44;break a}if((a[K+34|0]|0)==0){B=46;break a}}if((a[K+32|0]|0)!=0){B=58;break a}if((c[K+28>>2]|0)!=0){B=60;break a}do{if((c[K+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){O=ti(y,K,0)|0;if((O|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){fe[c[y+120>>2]&15](c[y+4>>2]|0,c[K>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[K+32|0]=1;J=Bi(y)|0;a[K+32|0]=0;if((J|0)==0){B=74;break a}if((Td[c[y+112>>2]&127](c[y+116>>2]|0,J,c[K+20>>2]|0,c[K+16>>2]|0,c[K+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 11:{if((vi(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if((wi(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};default:{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;fe[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=O;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){Pd[c[y+20>>2]&511](D);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=H;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=N;Q=P;i=l;return Q|0}else if((B|0)==123){P=Di(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=I;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=Di(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=M;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=72;P=M;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){fe[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];Od[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);fe[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){Uh(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function Ai(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=ee[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=ei(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=zi(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=74;m=ee[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=ei(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=zi(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function Bi(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);Xh(e,b+60|0);b:while(1){j=Yh(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){Xh(e,b|0);d:while(1){b=Yh(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Wh(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}function Ci(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=Zh(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=Fh(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=Zh(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((Ii(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=ee[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=be[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){ee[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=ki(k,b,v,w+(be[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=gi(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=oi(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=bi(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=bi(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=be[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(Zh(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Wh(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Wh(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Wh(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=Sd[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;FQ(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}Pd[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;FQ(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;FQ(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function Di(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=66;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=ee[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case-2:{k=22;break a;break};case-4:{k=8;break a;break};case-15:{k=3;break a;break};case-1:{k=19;break a;break};case 11:{if((vi(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case 15:{if((c[j+80>>2]|0)!=0){Uh(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};case 0:{k=18;break a;break};case 13:{if((wi(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==3){k=27;break}else if((f|0)==2){k=28;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){Uh(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function Ei(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=ee[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;fe[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){Uh(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 0:{r=33;break a;break};case-2:{r=34;break a;break};case 40:{r=6;break a;break};case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){fe[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];Od[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];fe[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){Uh(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case-1:case-4:{r=37;break a;break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==2){r=43;break}else if((h|0)==3){r=42;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){Pd[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){Uh(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}



function xP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=bQ(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=bQ(y)|0;if((z|0)==0){A=12;break}GQ(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=fP(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((MO(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((MO(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((MO(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((MO(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(MO(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(MO(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(MO(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(MO(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){GQ(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=fP(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((MO(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((MO(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((MO(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((MO(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(MO(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(MO(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(MO(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(MO(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((QO(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=aP(Y)|0;qb=_a+24|0;if((QO(fb,c[qb>>2]|0)|0)!=0){break}fb=_O(Y)|0;if((QO(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((QO(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=_O(Y)|0;if((QO(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=aP(Y)|0;if((QO(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}cQ(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=zP(0,0)|0;if((S|0)==0){A=12;break}R=BP(S,0,0,0,32)|0;Q=R;if((R|0)==0){AP(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=bQ(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=bQ(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=bQ(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){GQ(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){GQ(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=fP(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((MO(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((MO(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((MO(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((MO(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(MO(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(MO(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(MO(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(MO(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=BP(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=BP(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;yP(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((CQ(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=fP(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=fP(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((MO(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((MO(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((MO(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((MO(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(MO(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(MO(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(MO(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(MO(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((QO(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=aP(qc)|0;aa=$a+24|0;if((QO(qa,c[aa>>2]|0)|0)!=0){break}qa=_O(qc)|0;if((QO(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((QO(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=_O(qc)|0;if((QO(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=aP(qc)|0;if((QO(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=BP(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=BP(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){AP(S);if((Eb|0)!=0){cQ(O)}if((Kb|0)!=0){cQ(Kb)}if((Lb|0)==0){A=12;break a}cQ(N);A=12;break a}else if((sa|0)==67){AP(S);if((Eb|0)!=0){cQ(O)}if((Kb|0)!=0){cQ(Kb)}if((Lb|0)==0){A=12;break a}cQ(N);A=12;break a}else if((sa|0)==169){AP(S);if((Eb|0)!=0){cQ(O)}if((Kb|0)!=0){cQ(Kb)}if((Lb|0)==0){A=12;break a}cQ(N);A=12;break a}else if((sa|0)==176){AP(S);if((Eb|0)!=0){cQ(O)}if((Kb|0)!=0){cQ(Kb)}if((Lb|0)==0){A=12;break a}cQ(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);AP(S);if((Ib|0)!=0){cQ(Ib)}if((Gb|0)!=0){cQ(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}cQ(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}yP(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}cQ(m);p=A;i=g;return p|0}function yP(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function zP(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=dQ(1,24)|0}else{GQ(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function AP(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;cQ(d);return}else{e=b}while(1){cQ(c[e>>2]|0);b=c[e+4>>2]|0;cQ(e);if((b|0)==0){break}else{e=b}}d=a;cQ(d);return}function BP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=bQ(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=bQ(n)|0;q=m;c[q>>2]=p;if((p|0)==0){cQ(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}GQ(l|0,0,g|0)|0;h=l;return h|0}function CP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((DP(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function DP(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function EP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function FP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function GP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function HP(a){a=a|0;return}function IP(a){a=a|0;c[a>>2]=359240;return}function JP(a){a=a|0;jQ(a);return}function KP(a){a=a|0;return}function LP(a){a=a|0;return 348072}function MP(a){a=a|0;HP(a|0);return}function NP(a){a=a|0;return}function OP(a){a=a|0;return}function PP(a){a=a|0;HP(a|0);jQ(a);return}function QP(a){a=a|0;HP(a|0);jQ(a);return}function RP(a){a=a|0;HP(a|0);jQ(a);return}function SP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=WP(b,367256,367240,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}GQ(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;ie[c[(c[h>>2]|0)+28>>2]&31](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function TP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function UP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;ie[c[(c[g>>2]|0)+28>>2]&31](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function VP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;ie[c[(c[j>>2]|0)+28>>2]&31](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;ie[c[(c[j>>2]|0)+28>>2]&31](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function WP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;GQ(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;Xd[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{Od[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function XP(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;Xd[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;Od[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;Od[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;Od[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;Od[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function YP(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;Od[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;Xd[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function ZP(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function _P(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;Xd[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;Xd[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function $P(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;Xd[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function aQ(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function bQ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[98302]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=393248+(h<<2)|0;j=393248+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[98302]=e&~(1<<g)}else{if(l>>>0<(c[98306]|0)>>>0){jd();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{jd();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[98304]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=393248+(p<<2)|0;m=393248+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[98302]=e&~(1<<r)}else{if(l>>>0<(c[98306]|0)>>>0){jd();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{jd();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[98304]|0;if((l|0)!=0){q=c[98307]|0;d=l>>>3;l=d<<1;f=393248+(l<<2)|0;k=c[98302]|0;h=1<<d;do{if((k&h|0)==0){c[98302]=k|h;s=f;t=393248+(l+2<<2)|0}else{d=393248+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[98306]|0)>>>0)){s=g;t=d;break}jd();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[98304]=m;c[98307]=e;n=i;return n|0}l=c[98303]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[393512+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[98306]|0;if(r>>>0<i>>>0){jd();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){jd();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){jd();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){jd();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){jd();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{jd();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=393512+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[98303]=c[98303]&~(1<<f);break a}else{if(e>>>0<(c[98306]|0)>>>0){jd();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[98306]|0)>>>0){jd();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[98304]|0;if((f|0)!=0){e=c[98307]|0;i=f>>>3;f=i<<1;q=393248+(f<<2)|0;k=c[98302]|0;g=1<<i;do{if((k&g|0)==0){c[98302]=k|g;y=q;z=393248+(f+2<<2)|0}else{i=393248+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[98306]|0)>>>0)){y=l;z=i;break}jd();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[98304]=p;c[98307]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[98303]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[393512+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[393512+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[98304]|0)-g|0)>>>0)){o=g;break}q=K;m=c[98306]|0;if(q>>>0<m>>>0){jd();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){jd();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){jd();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){jd();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){jd();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{jd();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=393512+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[98303]=c[98303]&~(1<<i);break c}else{if(e>>>0<(c[98306]|0)>>>0){jd();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[98306]|0)>>>0){jd();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=393248+(e<<2)|0;r=c[98302]|0;j=1<<i;do{if((r&j|0)==0){c[98302]=r|j;O=m;P=393248+(e+2<<2)|0}else{i=393248+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[98306]|0)>>>0)){O=d;P=i;break}jd();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=393512+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[98303]|0;l=1<<Q;if((m&l|0)==0){c[98303]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[98306]|0;if(m>>>0<i>>>0){jd();return 0}if(j>>>0<i>>>0){jd();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[98304]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[98307]|0;if(S>>>0>15>>>0){R=J;c[98307]=R+o;c[98304]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[98304]=0;c[98307]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[98305]|0;if(o>>>0<J>>>0){S=J-o|0;c[98305]=S;J=c[98308]|0;K=J;c[98308]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[94774]|0)==0){J=Bc(30)|0;if((J-1&J|0)==0){c[94776]=J;c[94775]=J;c[94777]=-1;c[94778]=-1;c[94779]=0;c[98413]=0;c[94774]=(Kd(0)|0)&-16^1431655768;break}else{jd();return 0}}}while(0);J=o+48|0;S=c[94776]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[98412]|0;do{if((O|0)!=0){P=c[98410]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[98413]&4|0)==0){O=c[98308]|0;e:do{if((O|0)==0){T=181}else{L=O;P=393656;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[98305]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=Sc(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=Sc(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[94775]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[98410]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[98412]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=Sc($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[94776]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if((Sc(O|0)|0)==-1){Sc(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[98413]=c[98413]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=Sc(S|0)|0;Z=Sc(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[98410]|0)+aa|0;c[98410]=da;if(da>>>0>(c[98411]|0)>>>0){c[98411]=da}da=c[98308]|0;g:do{if((da|0)==0){S=c[98306]|0;if((S|0)==0|ba>>>0<S>>>0){c[98306]=ba}c[98414]=ba;c[98415]=aa;c[98417]=0;c[98311]=c[94774];c[98310]=-1;S=0;do{Y=S<<1;ca=393248+(Y<<2)|0;c[393248+(Y+3<<2)>>2]=ca;c[393248+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[98308]=ba+ea;c[98305]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[98309]=c[94778]}else{S=393656;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[98305]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[98308]=ca+ia;c[98305]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[98309]=c[94778];break g}}while(0);if(ba>>>0<(c[98306]|0)>>>0){c[98306]=ba}S=ba+aa|0;Y=393656;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[98308]|0)){J=(c[98305]|0)+K|0;c[98305]=J;c[98308]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[98307]|0)){J=(c[98304]|0)+K|0;c[98304]=J;c[98307]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=393248+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[98306]|0)>>>0){jd();return 0}if((c[U+12>>2]|0)==(ca|0)){break}jd();return 0}}while(0);if((Q|0)==(U|0)){c[98302]=c[98302]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[98306]|0)>>>0){jd();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}jd();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[98306]|0)>>>0){jd();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){jd();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{jd();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=393512+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[98303]=c[98303]&~(1<<P);break h}else{if(m>>>0<(c[98306]|0)>>>0){jd();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[98306]|0)>>>0){jd();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=393248+(V<<2)|0;P=c[98302]|0;m=1<<J;do{if((P&m|0)==0){c[98302]=P|m;sa=X;ta=393248+(V+2<<2)|0}else{J=393248+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[98306]|0)>>>0)){sa=U;ta=J;break}jd();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=393512+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[98303]|0;Q=1<<ua;if((X&Q|0)==0){c[98303]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[98306]|0;if(X>>>0<$>>>0){jd();return 0}if(m>>>0<$>>>0){jd();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=393656;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[98308]=ba+Ba;c[98305]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[98309]=c[94778];c[W+4>>2]=27;c[Z>>2]=c[98414];c[Z+4>>2]=c[98415];c[Z+8>>2]=c[98416];c[Z+12>>2]=c[98417];c[98414]=ba;c[98415]=aa;c[98417]=0;c[98416]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=393248+(K<<2)|0;S=c[98302]|0;m=1<<Z;do{if((S&m|0)==0){c[98302]=S|m;Ca=ca;Da=393248+(K+2<<2)|0}else{Z=393248+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[98306]|0)>>>0)){Ca=Q;Da=Z;break}jd();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=393512+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[98303]|0;Q=1<<Ea;if((ca&Q|0)==0){c[98303]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[98306]|0;if(ca>>>0<m>>>0){jd();return 0}if(_>>>0<m>>>0){jd();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[98305]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[98305]=_;da=c[98308]|0;Q=da;c[98308]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(Vc()|0)>>2]=12;n=0;return n|0}function cQ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[98306]|0;if(b>>>0<e>>>0){jd()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){jd()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){jd()}if((n|0)==(c[98307]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[98304]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=393248+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){jd()}if((c[k+12>>2]|0)==(n|0)){break}jd()}}while(0);if((s|0)==(k|0)){c[98302]=c[98302]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){jd()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}jd()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){jd()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){jd()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){jd()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{jd()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=393512+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[98303]=c[98303]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[98306]|0)>>>0){jd()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[98306]|0)>>>0){jd()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[98306]|0)>>>0){jd()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[98306]|0)>>>0){jd()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){jd()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){jd()}do{if((e&2|0)==0){if((j|0)==(c[98308]|0)){B=(c[98305]|0)+r|0;c[98305]=B;c[98308]=q;c[q+4>>2]=B|1;if((q|0)!=(c[98307]|0)){return}c[98307]=0;c[98304]=0;return}if((j|0)==(c[98307]|0)){B=(c[98304]|0)+r|0;c[98304]=B;c[98307]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=393248+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[98306]|0)>>>0){jd()}if((c[u+12>>2]|0)==(j|0)){break}jd()}}while(0);if((g|0)==(u|0)){c[98302]=c[98302]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[98306]|0)>>>0){jd()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}jd()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[98306]|0)>>>0){jd()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[98306]|0)>>>0){jd()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){jd()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{jd()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=393512+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[98303]=c[98303]&~(1<<t);break b}else{if(f>>>0<(c[98306]|0)>>>0){jd()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[98306]|0)>>>0){jd()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[98306]|0)>>>0){jd()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[98306]|0)>>>0){jd()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[98307]|0)){H=B;break}c[98304]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=393248+(d<<2)|0;A=c[98302]|0;E=1<<r;do{if((A&E|0)==0){c[98302]=A|E;I=e;J=393248+(d+2<<2)|0}else{r=393248+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[98306]|0)>>>0)){I=h;J=r;break}jd()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=393512+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[98303]|0;d=1<<K;do{if((r&d|0)==0){c[98303]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[98306]|0)>>>0){jd()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[98306]|0;if(J>>>0<E>>>0){jd()}if(B>>>0<E>>>0){jd()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[98310]|0)-1|0;c[98310]=q;if((q|0)==0){O=393664}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[98310]=-1;return}function dQ(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=bQ(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}GQ(b|0,0,d|0)|0;return b|0}function eQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=bQ(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(Vc()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=fQ(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=bQ(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;FQ(f|0,a|0,g>>>0<b>>>0?g:b)|0;cQ(a);d=f;return d|0}function fQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[98306]|0;if(g>>>0<j>>>0){jd();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){jd();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){jd();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[94776]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;gQ(g+b|0,k);n=a;return n|0}if((i|0)==(c[98308]|0)){k=(c[98305]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[98308]=g+b;c[98305]=l;n=a;return n|0}if((i|0)==(c[98307]|0)){l=(c[98304]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[98304]=q;c[98307]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=393248+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){jd();return 0}if((c[l+12>>2]|0)==(i|0)){break}jd();return 0}}while(0);if((k|0)==(l|0)){c[98302]=c[98302]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){jd();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}jd();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){jd();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){jd();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){jd();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{jd();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=393512+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[98303]=c[98303]&~(1<<t);break a}else{if(s>>>0<(c[98306]|0)>>>0){jd();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[98306]|0)>>>0){jd();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[98306]|0)>>>0){jd();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;gQ(g+b|0,q);n=a;return n|0}return 0}function gQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[98306]|0;if(i>>>0<l>>>0){jd()}if((j|0)==(c[98307]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[98304]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=393248+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){jd()}if((c[p+12>>2]|0)==(j|0)){break}jd()}}while(0);if((q|0)==(p|0)){c[98302]=c[98302]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){jd()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}jd()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){jd()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){jd()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){jd()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{jd()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=393512+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[98303]=c[98303]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[98306]|0)>>>0){jd()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[98306]|0)>>>0){jd()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[98306]|0)>>>0){jd()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[98306]|0)>>>0){jd()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[98306]|0;if(e>>>0<a>>>0){jd()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[98308]|0)){A=(c[98305]|0)+o|0;c[98305]=A;c[98308]=n;c[n+4>>2]=A|1;if((n|0)!=(c[98307]|0)){return}c[98307]=0;c[98304]=0;return}if((f|0)==(c[98307]|0)){A=(c[98304]|0)+o|0;c[98304]=A;c[98307]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=393248+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){jd()}if((c[g+12>>2]|0)==(f|0)){break}jd()}}while(0);if((t|0)==(g|0)){c[98302]=c[98302]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){jd()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}jd()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){jd()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){jd()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){jd()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{jd()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=393512+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[98303]=c[98303]&~(1<<l);break b}else{if(m>>>0<(c[98306]|0)>>>0){jd()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[98306]|0)>>>0){jd()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[98306]|0)>>>0){jd()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[98306]|0)>>>0){jd()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[98307]|0)){F=A;break}c[98304]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=393248+(z<<2)|0;C=c[98302]|0;b=1<<o;do{if((C&b|0)==0){c[98302]=C|b;G=y;H=393248+(z+2<<2)|0}else{o=393248+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[98306]|0)>>>0)){G=d;H=o;break}jd()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=393512+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[98303]|0;z=1<<I;if((o&z|0)==0){c[98303]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[98306]|0)>>>0){jd()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[98306]|0;if(J>>>0<I>>>0){jd()}if(L>>>0<I>>>0){jd()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function hQ(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=bQ(b)|0;if((d|0)!=0){e=10;break}a=(I=c[99280]|0,c[99280]=I+0,I);if((a|0)==0){break}ge[a&15]()}if((e|0)==10){return d|0}d=xd(4)|0;c[d>>2]=359208;tc(d|0,365616,204);return 0}function iQ(a){a=a|0;return hQ(a)|0}function jQ(a){a=a|0;if((a|0)==0){return}cQ(a);return}function kQ(a){a=a|0;jQ(a);return}function lQ(a){a=a|0;jQ(a);return}function mQ(a){a=a|0;return}function nQ(a){a=a|0;return 43344}function oQ(){var a=0;a=xd(4)|0;c[a>>2]=359208;tc(a|0,365616,204)}function pQ(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==1){j=-1074;k=53}else if((e|0)==2){j=-1074;k=53}else if((e|0)==0){j=-149;k=24}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=sQ(b)|0}}while((ab(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=sQ(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[30200+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=sQ(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=sQ(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=sQ(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=sQ(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=sQ(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(Vc()|0)>>2]=22;rQ(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=sQ(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=sQ(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=sQ(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=sQ(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=sQ(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=NQ(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=NQ(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=sQ(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){rQ(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=NQ(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=qQ(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){rQ(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=NQ(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=NQ(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=NQ(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=OQ(32,0,j,(j|0)<0|0?-1:0)|0;n=NQ(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+oc(+(+tQ(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(Vc()|0)>>2]=34}l=+uQ(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=sQ(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=sQ(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=sQ(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=NQ(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;bb=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=NQ(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;bb=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;bb=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;bb=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=sQ(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=bb;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=bb;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=qQ(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){rQ(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=NQ(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(Vc()|0)>>2]=22;rQ(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[17688+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[17688+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[17688+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Wb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Xb=Ua&127;Yb=Ya-9|0}else{Xb=Za;Yb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Yb;Za=Xb;Xa=Ua;Wa=Wb}}if((Wb|0)==0){Sb=Nb;Tb=Xb;Ub=Yb;break}c[h+(Nb<<2)>>2]=Wb;Sb=Nb+1|0;Tb=Xb;Ub=Yb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=NQ(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=YQ(Va,Ta,1e9,0)|0;ta=ZQ(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=NQ(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=YQ(Ua,qa,1e9,0)|0;ta=ZQ(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;pc=n;qc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){rc=Xa;break}Ua=Xa+pc&127;if((Ua|0)==(gc|0)){rc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[17680+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){rc=2;break}if(ta>>>0>Ua>>>0){rc=Xa;break}else{Xa=Xa+1|0}}if((rc|0)==2&Wa){break f}sc=Za+qc|0;if((pc|0)==(gc|0)){pc=gc;qc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=pc;Ua=pc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=pc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=pc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=qc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+oc(+(+tQ(1.0,105-zc|0)),+yc);Bc=+Vb(+yc,+(+tQ(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=pc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((pc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((pc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Vb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=qc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=qc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(Vc()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=qc}}while(0);l=+uQ(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(Vc()|0)>>2]=22;rQ(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function qQ(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=sQ(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=sQ(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=sQ(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=XQ(h,l,10,0)|0;b=K;f=NQ(q,(q|0)<0|0?-1:0,-48,-1)|0;i=NQ(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=sQ(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=sQ(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=OQ(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function rQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function sQ(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=wQ(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function tQ(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function uQ(a,b){a=+a;b=b|0;return+(+tQ(a,b))}function vQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){Ud[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function wQ(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((vQ(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((Ud[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function xQ(a){a=a|0;return+(+yQ(a,0))}function yQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;GQ(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;rQ(e,0);h=+pQ(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function zQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;GQ(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;rQ(e,0);h=+pQ(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function AQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function BQ(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function CQ(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function DQ(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function EQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function FQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return uc(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function GQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function HQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}kc(116);kc(111);kc(111);kc(32);kc(109);kc(97);kc(110);kc(121);kc(32);kc(115);kc(101);kc(116);kc(106);kc(109);kc(112);kc(115);kc(32);kc(105);kc(110);kc(32);kc(97);kc(32);kc(102);kc(117);kc(110);kc(99);kc(116);kc(105);kc(111);kc(110);kc(32);kc(99);kc(97);kc(108);kc(108);kc(44);kc(32);kc(98);kc(117);kc(105);kc(108);kc(100);kc(32);kc(119);kc(105);kc(116);kc(104);kc(32);kc(97);kc(32);kc(104);kc(105);kc(103);kc(104);kc(101);kc(114);kc(32);kc(118);kc(97);kc(108);kc(117);kc(101);kc(32);kc(102);kc(111);kc(114);kc(32);kc(77);kc(65);kc(88);kc(95);kc(83);kc(69);kc(84);kc(74);kc(77);kc(80);kc(83);kc(10);ha(0);return 0}function IQ(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function JQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{FQ(b,c,d)|0}return b|0}function KQ(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function LQ(){return KQ(o)|0}function MQ(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function NQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function OQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function PQ(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function QQ(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function RQ(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function SQ(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function TQ(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function UQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function VQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=OQ(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=OQ((_Q(i,b,OQ(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function WQ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=OQ(h^a,j^b,h,j)|0;b=K;_Q(m,b,OQ(k^d,l^e,k,l)|0,K,g)|0;l=OQ(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function XQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=UQ(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function YQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=_Q(a,b,c,d,0)|0;return(K=K,e)|0}function ZQ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;_Q(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function _Q(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((TQ(l|0)|0)>>>0);return(K=n,o)|0}p=(SQ(l|0)|0)-(SQ(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(SQ(l|0)|0)-(SQ(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(SQ(j|0)|0)+33-(SQ(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=TQ(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=NQ(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;OQ(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=OQ(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function $Q(a){a=a|0;qc(a|0)}function aR(a){a=a|0;return Rb(a|0)|0}function bR(a){a=a|0;return Zb(a|0)|0}function cR(a){a=a|0;return Ic(a|0)|0}function dR(a){a=a|0;return Oa(a|0)|0}function eR(a){a=a|0;return od(a|0)|0}function fR(a){a=a|0;return Sa(a|0)|0}function gR(a){a=a|0;return gb(a|0)|0}function hR(a,b){a=a|0;b=b|0;return Pb(a|0,b|0)|0}function iR(a,b){a=a|0;b=b|0;return ob(a|0,b|0)|0}function jR(){return qd()|0}function kR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Xa(a|0,b|0,c|0,d|0)|0}function lR(){db()}function mR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Md[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function nR(a,b){a=a|0;b=+b;Nd[a&3](+b)}function oR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Od[a&31](b|0,c|0,d|0,e|0,f|0)}function pR(a,b){a=a|0;b=b|0;Pd[a&511](b|0)}function qR(a,b,c){a=a|0;b=b|0;c=c|0;Qd[a&127](b|0,c|0)}function rR(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return Rd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function sR(a,b){a=a|0;b=b|0;return Sd[a&255](b|0)|0}function tR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Td[a&127](b|0,c|0,d|0,e|0,f|0)|0}function uR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ud[a&127](b|0,c|0,d|0)|0}function vR(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;Vd[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function wR(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Wd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function xR(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Xd[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function yR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;Yd[a&7](b|0,c|0,+d,e|0,f|0)}function zR(a,b,c){a=a|0;b=b|0;c=+c;return Zd[a&3](b|0,+c)|0}function AR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;_d[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function BR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;$d[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function CR(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ae[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function DR(a,b,c){a=a|0;b=b|0;c=c|0;return be[a&127](b|0,c|0)|0}function ER(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return ce[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function FR(a){a=a|0;return de[a&15]()|0}function GR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ee[a&127](b|0,c|0,d|0,e|0)|0}function HR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;fe[a&15](b|0,c|0,d|0)}function IR(a){a=a|0;ge[a&15]()}function JR(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return he[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function KR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ie[a&31](b|0,c|0,d|0,e|0)}function LR(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function MR(a){a=+a;ha(1)}function NR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function OR(a){a=a|0;ha(3)}function PR(a,b){a=a|0;b=b|0;ha(4)}function QR(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function RR(a){a=a|0;ha(6);return 0}function SR(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function TR(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function UR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function VR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function WR(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function XR(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(12)}function YR(a,b){a=a|0;b=+b;ha(13);return 0}function ZR(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(14)}function _R(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(15)}function $R(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(16)}function aS(a,b){a=a|0;b=b|0;ha(17);return 0}function bS(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(18);return 0}function cS(){ha(19);return 0}function dS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function eS(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function fS(){ha(22)}function gS(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(23);return 0}function hS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function Nu(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;Ou(e|0);MF(e+200|0);Pu(e+216|0,e+232|0);Pu(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[92669]|0)==0){SF(e+296|0,c[b+80>>2]|0);Qu(e+280|0,e+296|0,348816);ZF(e+200|0,e+280|0)|0;YF(e+280|0);YF(e+296|0)}else{_F(e+200|0,c[92639]|0)|0}f=xc(tG(e+200|0)|0,37616)|0;if((f|0)!=0){j=f;break}f=tG(e+200|0)|0;Dm(0,33608,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=Ah(0)|0;if((f|0)==0){Oa(j|0)|0;Dm(0,30416,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}Lh(f,e|0);Mh(f,8,10);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){GQ(e+312|0|0|0,0,1024)|0;while(1){m=gd(e+312|0|0|0,1,1024,j|0)|0;if((Nh(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Oa(j|0)|0;break}Oa(j|0)|0;m=tG(e+200|0)|0;o=Vh(Sh(f)|0)|0;p=Th(f)|0;Bm(1,0,27368,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;Hh(f);Dm(0,24680,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((Nh(f,l,DQ(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=Vh(Sh(f)|0)|0;q=Th(f)|0;kd(p|0,22976,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=Vh(Sh(f)|0)|0;o=Th(f)|0;Bm(1,0,357816,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;Hh(f);Dm(0,24680,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;SF(e+1344|0,355272);Uu(e+1336|0,l,e+1344|0);Vu(e+1360|0,l);j=Tu(e+1336|0,e+1360|0)|0;YF(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=tG(e+200|0)|0;Bm(1,0,353152,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{SF(e+1368|0,355272);o=BQ(n,tG(Wu(l,e+1368|0)|0)|0)|0;YF(e+1368|0);if((o|0)==0){break}Hh(f);SF(e+1384|0,355272);o=tG(Wu(l,e+1384|0)|0)|0;m=tG(e+200|0)|0;q=c[(b+88|0)>>2]|0;Bm(1,0,351360,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;YF(e+1384|0);Dm(0,24680,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);Xu(e|0,b,c[92660]|0,c[92661]|0);zm(23,1,349288,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;SF(e+1416|0,348344);OF(e+1400|0,Wu((e|0)+12|0,e+1416|0)|0);Yu(e+1400|0,d|0,0.0);YF(e+1400|0);YF(e+1416|0);zm(23,0,347560,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;SF(e+1448|0,346816);OF(e+1432|0,Wu((e|0)+12|0,e+1448|0)|0);Yu(e+1432|0,d+8|0,1.0);YF(e+1432|0);YF(e+1448|0);zm(23,0,346200,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;SF(e+1480|0,345632);OF(e+1464|0,Wu((e|0)+12|0,e+1480|0)|0);Yu(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);YF(e+1464|0);YF(e+1480|0);zm(23,0,345048,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;SF(e+1512|0,344512);OF(e+1496|0,Wu((e|0)+12|0,e+1512|0)|0);Yu(e+1496|0,d+32|0,1.0e-5);YF(e+1496|0);YF(e+1512|0);zm(23,0,343560,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;SF(e+1544|0,343024);OF(e+1528|0,Wu((e|0)+12|0,e+1544|0)|0);Zu(e+1528|0,d+40|0);YF(e+1528|0);YF(e+1544|0);zm(23,0,342376,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;SF(e+1576|0,341632);OF(e+1560|0,Wu((e|0)+12|0,e+1576|0)|0);Zu(e+1560|0,d+44|0);YF(e+1560|0);YF(e+1576|0);zm(23,0,340840,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;SF(e+1608|0,268640);OF(e+1592|0,Wu((e|0)+12|0,e+1608|0)|0);Zu(e+1592|0,d+48|0);YF(e+1592|0);YF(e+1608|0);zm(23,0,45624,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;SF(e+1640|0,45120);OF(e+1624|0,Wu(l,e+1640|0)|0);Zu(e+1624|0,d+268|0);YF(e+1624|0);YF(e+1640|0);zm(23,0,44528,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[92509]|0)!=0){Pd[c[3538]&511](23)}SF(e+1744|0,44064);OF(e+1728|0,Wu(l,e+1744|0)|0);_u(e+1728|0,e+1656|0,0);YF(e+1728|0);YF(e+1744|0);SF(e+1776|0,42944);OF(e+1760|0,Wu(l,e+1776|0)|0);_u(e+1760|0,e+1664|0,0);YF(e+1760|0);YF(e+1776|0);SF(e+1808|0,42360);OF(e+1792|0,Wu(l,e+1808|0)|0);_u(e+1792|0,e+1672|0,0);YF(e+1792|0);YF(e+1808|0);SF(e+1840|0,41760);OF(e+1824|0,Wu(l,e+1840|0)|0);_u(e+1824|0,e+1688|0,0);YF(e+1824|0);YF(e+1840|0);SF(e+1872|0,41224);OF(e+1856|0,Wu(l,e+1872|0)|0);_u(e+1856|0,e+1680|0,0);YF(e+1856|0);YF(e+1872|0);SF(e+1904|0,40664);OF(e+1888|0,Wu(l,e+1904|0)|0);_u(e+1888|0,e+1704|0,0);YF(e+1888|0);YF(e+1904|0);SF(e+1936|0,40176);OF(e+1920|0,Wu(l,e+1936|0)|0);_u(e+1920|0,e+1696|0,0);YF(e+1920|0);YF(e+1936|0);SF(e+1968|0,39680);OF(e+1952|0,Wu(l,e+1968|0)|0);_u(e+1952|0,e+1720|0,0);YF(e+1952|0);YF(e+1968|0);SF(e+2e3|0,39256);OF(e+1984|0,Wu(l,e+2e3|0)|0);_u(e+1984|0,e+1712|0,0);YF(e+1984|0);YF(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}zm(4,1,34472,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=$u(d,e+2032|0)|0;SF(e+2040|0,34168);OF(e+2016|0,Wu(j,e+2040|0)|0);Zu(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);YF(e+2016|0);YF(e+2040|0);c[(e+2072|0)>>2]=n;j=$u(d,e+2072|0)|0;SF(e+2080|0,33e3);OF(e+2056|0,Wu(j,e+2080|0)|0);av(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);YF(e+2056|0);YF(e+2080|0);c[(e+2112|0)>>2]=n;j=$u(d,e+2112|0)|0;SF(e+2120|0,32472);OF(e+2096|0,Wu(j,e+2120|0)|0);Zu(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);YF(e+2096|0);YF(e+2120|0);c[(e+2152|0)>>2]=n;j=$u(d,e+2152|0)|0;SF(e+2160|0,31912);OF(e+2136|0,Wu(j,e+2160|0)|0);Zu(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);YF(e+2136|0);YF(e+2160|0);c[(e+2192|0)>>2]=n;j=$u(d,e+2192|0)|0;SF(e+2200|0,31392);OF(e+2176|0,Wu(j,e+2200|0)|0);_u(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);YF(e+2176|0);YF(e+2200|0);c[(e+2232|0)>>2]=n;j=$u(d,e+2232|0)|0;SF(e+2240|0,30968);OF(e+2216|0,Wu(j,e+2240|0)|0);_u(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);YF(e+2216|0);YF(e+2240|0);c[(e+2272|0)>>2]=n;j=$u(d,e+2272|0)|0;SF(e+2280|0,29784);OF(e+2256|0,Wu(j,e+2280|0)|0);_u(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);YF(e+2256|0);YF(e+2280|0);c[(e+2312|0)>>2]=n;j=$u(d,e+2312|0)|0;SF(e+2320|0,29280);OF(e+2296|0,Wu(j,e+2320|0)|0);_u(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);YF(e+2296|0);YF(e+2320|0);c[(e+2352|0)>>2]=n;j=$u(d,e+2352|0)|0;SF(e+2360|0,28664);OF(e+2336|0,Wu(j,e+2360|0)|0);_u(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);YF(e+2336|0);YF(e+2360|0);c[(e+2392|0)>>2]=n;j=$u(d,e+2392|0)|0;SF(e+2400|0,28088);OF(e+2376|0,Wu(j,e+2400|0)|0);bv(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);YF(e+2376|0);YF(e+2400|0);c[(e+2432|0)>>2]=n;j=$u(d,e+2432|0)|0;SF(e+2440|0,27880);OF(e+2416|0,Wu(j,e+2440|0)|0);Yu(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);YF(e+2416|0);YF(e+2440|0);c[(e+2472|0)>>2]=n;j=$u(d,e+2472|0)|0;SF(e+2480|0,27664);OF(e+2456|0,Wu(j,e+2480|0)|0);bv(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);YF(e+2456|0);YF(e+2480|0);c[(e+2512|0)>>2]=n;j=$u(d,e+2512|0)|0;SF(e+2520|0,27128);OF(e+2496|0,Wu(j,e+2520|0)|0);bv(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);YF(e+2496|0);YF(e+2520|0);c[(e+2552|0)>>2]=n;j=$u(d,e+2552|0)|0;SF(e+2560|0,26944);OF(e+2536|0,Wu(j,e+2560|0)|0);Yu(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);YF(e+2536|0);YF(e+2560|0);c[(e+2592|0)>>2]=n;j=$u(d,e+2592|0)|0;SF(e+2600|0,26704);OF(e+2576|0,Wu(j,e+2600|0)|0);Yu(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);YF(e+2576|0);YF(e+2600|0);c[(e+2632|0)>>2]=n;j=$u(d,e+2632|0)|0;SF(e+2640|0,26368);OF(e+2616|0,Wu(j,e+2640|0)|0);Yu(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);YF(e+2616|0);YF(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?25080:25016;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];zm(4,0,25816,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?393032:25360,h[k+16>>3]=r,c[k+24>>2]=q?393032:25232,c[k+32>>2]=m,c[k+40>>2]=o?393032:25360,h[k+48>>3]=s,c[k+56>>2]=o?393032:25232,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}SF(e+2656|0,w);c[(cv(e+216|0,e+2656|0)|0)>>2]=n;YF(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,24392,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=$u(n,e+2688|0)|0;SF(e+2696|0,34168);OF(e+2672|0,Wu(m,e+2696|0)|0);Zu(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);YF(e+2672|0);YF(e+2696|0);c[(e+2728|0)>>2]=d;m=$u(n,e+2728|0)|0;SF(e+2736|0,33e3);OF(e+2712|0,Wu(m,e+2736|0)|0);av(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);YF(e+2712|0);YF(e+2736|0);c[(e+2768|0)>>2]=d;m=$u(n,e+2768|0)|0;SF(e+2776|0,32472);OF(e+2752|0,Wu(m,e+2776|0)|0);Zu(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);YF(e+2752|0);YF(e+2776|0);c[(e+2808|0)>>2]=d;m=$u(n,e+2808|0)|0;SF(e+2816|0,31912);OF(e+2792|0,Wu(m,e+2816|0)|0);Zu(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);YF(e+2792|0);YF(e+2816|0);c[(e+2848|0)>>2]=d;m=$u(n,e+2848|0)|0;SF(e+2856|0,31392);OF(e+2832|0,Wu(m,e+2856|0)|0);_u(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);YF(e+2832|0);YF(e+2856|0);c[(e+2888|0)>>2]=d;m=$u(n,e+2888|0)|0;SF(e+2896|0,30968);OF(e+2872|0,Wu(m,e+2896|0)|0);_u(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);YF(e+2872|0);YF(e+2896|0);c[(e+2928|0)>>2]=d;m=$u(n,e+2928|0)|0;SF(e+2936|0,29784);OF(e+2912|0,Wu(m,e+2936|0)|0);_u(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);YF(e+2912|0);YF(e+2936|0);c[(e+2968|0)>>2]=d;m=$u(n,e+2968|0)|0;SF(e+2976|0,29280);OF(e+2952|0,Wu(m,e+2976|0)|0);_u(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);YF(e+2952|0);YF(e+2976|0);c[(e+3008|0)>>2]=d;m=$u(n,e+3008|0)|0;SF(e+3016|0,28664);OF(e+2992|0,Wu(m,e+3016|0)|0);_u(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);YF(e+2992|0);YF(e+3016|0);c[(e+3048|0)>>2]=d;m=$u(n,e+3048|0)|0;SF(e+3056|0,28088);OF(e+3032|0,Wu(m,e+3056|0)|0);bv(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);YF(e+3032|0);YF(e+3056|0);c[(e+3088|0)>>2]=d;m=$u(n,e+3088|0)|0;SF(e+3096|0,27880);OF(e+3072|0,Wu(m,e+3096|0)|0);Yu(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);YF(e+3072|0);YF(e+3096|0);c[(e+3128|0)>>2]=d;m=$u(n,e+3128|0)|0;SF(e+3136|0,27664);OF(e+3112|0,Wu(m,e+3136|0)|0);bv(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);YF(e+3112|0);YF(e+3136|0);c[(e+3168|0)>>2]=d;m=$u(n,e+3168|0)|0;SF(e+3176|0,27128);OF(e+3152|0,Wu(m,e+3176|0)|0);bv(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);YF(e+3152|0);YF(e+3176|0);c[(e+3208|0)>>2]=d;m=$u(n,e+3208|0)|0;SF(e+3216|0,26944);OF(e+3192|0,Wu(m,e+3216|0)|0);Yu(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);YF(e+3192|0);YF(e+3216|0);c[(e+3248|0)>>2]=d;m=$u(n,e+3248|0)|0;SF(e+3256|0,26704);OF(e+3232|0,Wu(m,e+3256|0)|0);Yu(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);YF(e+3232|0);YF(e+3256|0);c[(e+3288|0)>>2]=d;m=$u(n,e+3288|0)|0;SF(e+3296|0,26368);OF(e+3272|0,Wu(m,e+3296|0)|0);Yu(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);YF(e+3272|0);YF(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?25080:25016;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];zm(4,0,25816,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?393032:25360,h[k+16>>3]=v,c[k+24>>2]=q?393032:25232,c[k+32>>2]=j,c[k+40>>2]=p?393032:25360,h[k+48>>3]=t,c[k+56>>2]=p?393032:25232,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;SF(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(cv(e+216|0,e+3312|0)|0)>>2]=q;YF(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,24120,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=$u(n,e+3344|0)|0;SF(e+3352|0,34168);OF(e+3328|0,Wu(j,e+3352|0)|0);Zu(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);YF(e+3328|0);YF(e+3352|0);c[(e+3384|0)>>2]=q;j=$u(n,e+3384|0)|0;SF(e+3392|0,33e3);OF(e+3368|0,Wu(j,e+3392|0)|0);av(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);YF(e+3368|0);YF(e+3392|0);c[(e+3424|0)>>2]=q;j=$u(n,e+3424|0)|0;SF(e+3432|0,32472);OF(e+3408|0,Wu(j,e+3432|0)|0);Zu(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);YF(e+3408|0);YF(e+3432|0);c[(e+3464|0)>>2]=q;j=$u(n,e+3464|0)|0;SF(e+3472|0,31912);OF(e+3448|0,Wu(j,e+3472|0)|0);Zu(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);YF(e+3448|0);YF(e+3472|0);c[(e+3504|0)>>2]=q;j=$u(n,e+3504|0)|0;SF(e+3512|0,31392);OF(e+3488|0,Wu(j,e+3512|0)|0);_u(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);YF(e+3488|0);YF(e+3512|0);c[(e+3544|0)>>2]=q;j=$u(n,e+3544|0)|0;SF(e+3552|0,30968);OF(e+3528|0,Wu(j,e+3552|0)|0);_u(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);YF(e+3528|0);YF(e+3552|0);c[(e+3584|0)>>2]=q;j=$u(n,e+3584|0)|0;SF(e+3592|0,29784);OF(e+3568|0,Wu(j,e+3592|0)|0);_u(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);YF(e+3568|0);YF(e+3592|0);c[(e+3624|0)>>2]=q;j=$u(n,e+3624|0)|0;SF(e+3632|0,29280);OF(e+3608|0,Wu(j,e+3632|0)|0);_u(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);YF(e+3608|0);YF(e+3632|0);c[(e+3664|0)>>2]=q;j=$u(n,e+3664|0)|0;SF(e+3672|0,28664);OF(e+3648|0,Wu(j,e+3672|0)|0);_u(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);YF(e+3648|0);YF(e+3672|0);c[(e+3704|0)>>2]=q;j=$u(n,e+3704|0)|0;SF(e+3712|0,28088);OF(e+3688|0,Wu(j,e+3712|0)|0);bv(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);YF(e+3688|0);YF(e+3712|0);c[(e+3744|0)>>2]=q;j=$u(n,e+3744|0)|0;SF(e+3752|0,27880);OF(e+3728|0,Wu(j,e+3752|0)|0);Yu(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);YF(e+3728|0);YF(e+3752|0);c[(e+3784|0)>>2]=q;j=$u(n,e+3784|0)|0;SF(e+3792|0,27664);OF(e+3768|0,Wu(j,e+3792|0)|0);bv(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);YF(e+3768|0);YF(e+3792|0);c[(e+3824|0)>>2]=q;j=$u(n,e+3824|0)|0;SF(e+3832|0,27128);OF(e+3808|0,Wu(j,e+3832|0)|0);bv(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);YF(e+3808|0);YF(e+3832|0);c[(e+3864|0)>>2]=q;j=$u(n,e+3864|0)|0;SF(e+3872|0,26944);OF(e+3848|0,Wu(j,e+3872|0)|0);Yu(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);YF(e+3848|0);YF(e+3872|0);c[(e+3904|0)>>2]=q;j=$u(n,e+3904|0)|0;SF(e+3912|0,26704);OF(e+3888|0,Wu(j,e+3912|0)|0);Yu(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);YF(e+3888|0);YF(e+3912|0);c[(e+3944|0)>>2]=q;j=$u(n,e+3944|0)|0;SF(e+3952|0,26368);OF(e+3928|0,Wu(j,e+3952|0)|0);Yu(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);YF(e+3928|0);YF(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?25080:25016;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];zm(4,0,25816,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?393032:25360,h[k+16>>3]=r,c[k+24>>2]=m?393032:25232,c[k+32>>2]=o,c[k+40>>2]=z?393032:25360,h[k+48>>3]=s,c[k+56>>2]=z?393032:25232,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}SF(e+3968|0,A);c[(cv(e+216|0,e+3968|0)|0)>>2]=d;YF(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,23784,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=$u(p,e+4e3|0)|0;SF(e+4008|0,34168);OF(e+3984|0,Wu(n,e+4008|0)|0);Zu(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);YF(e+3984|0);YF(e+4008|0);c[(e+4040|0)>>2]=q;n=$u(p,e+4040|0)|0;SF(e+4048|0,33e3);OF(e+4024|0,Wu(n,e+4048|0)|0);av(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);YF(e+4024|0);YF(e+4048|0);c[(e+4080|0)>>2]=q;n=$u(p,e+4080|0)|0;SF(e+4088|0,32472);OF(e+4064|0,Wu(n,e+4088|0)|0);Zu(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);YF(e+4064|0);YF(e+4088|0);c[(e+4120|0)>>2]=q;n=$u(p,e+4120|0)|0;SF(e+4128|0,31912);OF(e+4104|0,Wu(n,e+4128|0)|0);Zu(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);YF(e+4104|0);YF(e+4128|0);c[(e+4160|0)>>2]=q;n=$u(p,e+4160|0)|0;SF(e+4168|0,31392);OF(e+4144|0,Wu(n,e+4168|0)|0);_u(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);YF(e+4144|0);YF(e+4168|0);c[(e+4200|0)>>2]=q;n=$u(p,e+4200|0)|0;SF(e+4208|0,30968);OF(e+4184|0,Wu(n,e+4208|0)|0);_u(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);YF(e+4184|0);YF(e+4208|0);c[(e+4240|0)>>2]=q;n=$u(p,e+4240|0)|0;SF(e+4248|0,29784);OF(e+4224|0,Wu(n,e+4248|0)|0);_u(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);YF(e+4224|0);YF(e+4248|0);c[(e+4280|0)>>2]=q;n=$u(p,e+4280|0)|0;SF(e+4288|0,29280);OF(e+4264|0,Wu(n,e+4288|0)|0);_u(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);YF(e+4264|0);YF(e+4288|0);c[(e+4320|0)>>2]=q;n=$u(p,e+4320|0)|0;SF(e+4328|0,28664);OF(e+4304|0,Wu(n,e+4328|0)|0);_u(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);YF(e+4304|0);YF(e+4328|0);c[(e+4360|0)>>2]=q;n=$u(p,e+4360|0)|0;SF(e+4368|0,28088);OF(e+4344|0,Wu(n,e+4368|0)|0);bv(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);YF(e+4344|0);YF(e+4368|0);c[(e+4400|0)>>2]=q;n=$u(p,e+4400|0)|0;SF(e+4408|0,27880);OF(e+4384|0,Wu(n,e+4408|0)|0);_u(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);YF(e+4384|0);YF(e+4408|0);c[(e+4440|0)>>2]=q;n=$u(p,e+4440|0)|0;SF(e+4448|0,27664);OF(e+4424|0,Wu(n,e+4448|0)|0);bv(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);YF(e+4424|0);YF(e+4448|0);c[(e+4480|0)>>2]=q;n=$u(p,e+4480|0)|0;SF(e+4488|0,26704);OF(e+4464|0,Wu(n,e+4488|0)|0);_u(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);YF(e+4464|0);YF(e+4488|0);c[(e+4520|0)>>2]=q;n=$u(p,e+4520|0)|0;SF(e+4528|0,26368);OF(e+4504|0,Wu(n,e+4528|0)|0);_u(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);YF(e+4504|0);YF(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?25080:25016;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;zm(4,0,23592,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?393032:25360,c[k+16>>2]=o,c[k+24>>2]=d?393032:25232,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}SF(e+4544|0,C);c[(cv(e+216|0,e+4544|0)|0)>>2]=q;YF(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,23176,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[92508]|c[92570]|0)!=0){Bm(22,1,38784,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;Bm(22,0,38224,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;Bm(22,0,37144,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;Bm(22,0,36792,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;Bm(22,0,36440,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;Bm(22,0,36128,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;Bm(22,0,35736,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;Bm(22,0,35296,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;Bm(22,0,34984,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;Bm(22,0,34696,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;Pd[c[3538]&511](22)}Hh(f);Sa(0)|0;qc(-1|0)}function Ou(a){a=a|0;UB(a);return}function Pu(a,b){a=a|0;b=b|0;zx(a,0);return}function Qu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;NF(a,d|0);e=WF(b)|0;f=Jv(c)|0;xG(a,XF(b)|0,e,f+e|0);pG(a,c,f)|0;i=d;return}function Ru(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((BQ(b,348264)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{SF(f,v);s=Wu(t,f)|0;_F(s,c[d+((u|1)<<2)>>2]|0)|0;YF(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((BQ(b,348192)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{SF(g,t);v=Wu(u,g)|0;_F(v,c[d+((f|1)<<2)>>2]|0)|0;YF(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((BQ(b,348128)|0)!=0){do{if((BQ(b,346712)|0)!=0){if((BQ(b,346616)|0)==0){break}if((BQ(b,346568)|0)==0){break}if((BQ(b,346560)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=$u(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){SF(q,c[v>>2]|0);u=Wu(s,q)|0;_F(u,c[d+((t|1)<<2)>>2]|0)|0;YF(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=$u(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}SF(r,346504);_F(Wu(w,r)|0,b)|0;YF(r);i=e;return}kv(h,j);MF(k);MF(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{SF(m,s);b=Wu(h,m)|0;_F(b,c[d+((w|1)<<2)>>2]|0)|0;YF(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}SF(n,348088);ZF(k,Wu(h,n)|0)|0;YF(n);SF(o,348016);ZF(l,Wu(h,o)|0)|0;YF(o);c[j>>2]=Oc(tG(k)|0)|0;if((wG(l,347968)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((wG(l,347960)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((wG(l,347824)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((wG(l,347728)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((wG(l,347720)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((wG(l,347472)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((wG(l,347424)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((wG(l,347416)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((wG(l,347368)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((wG(l,347328)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((wG(l,347312)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((wG(l,347248)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((wG(l,347088)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((wG(l,346984)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=tG(l)|0;SF(p,34168);M=tG(Wu(h,p)|0)|0;Cm(0,(N|0)!=0|0,346888,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;YF(p);xA($u(c[r>>2]|0,j)|0,h)|0;YF(l);YF(k);sv(h);i=e;return}function Su(a,b){a=a|0;b=b|0;return}function Tu(a,b){a=a|0;b=b|0;return ix(a|0,b|0)|0}function Uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;rx(e,b|0,c);jx(a,e);i=d;return}function Vu(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;kx(d,b|0);jx(a,d);i=c;return}function Wu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=Ty(a,e,b)|0;k=c[j>>2]|0;zr(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}Vy(h,a,b);Wy(g,h);Uy(f,g);Xy(h);h=c[e>>2]|0;Yy(a|0,h,j,Zy(f)|0);j=_y(f)|0;Xy(f);l=j;m=l+28|0;i=d;return m|0}function Xu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Xa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;kv(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){Dm(0,351752,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Ic(d|0)|0}else{_b=0}if(Yb){$b=_b}else{zm(23,0,351704,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;lv(h);mv(h,e,8);if(!(nv(h)|0)){Dm(0,351216,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}MF(j);e=h;ov(e,j)|0;OF(k,j);while(1){_b=ov(e,j)|0;if(!(IG(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}HG(l,350304,j);nG(k,l)|0;YF(l)}l=Ic(tG(k)|0)|0;pv(h);YF(k);YF(j);qv(h);$b=l}if(($b|0)==0){zm(23,0,349904,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;sv(g);i=f;return}MF(m);MF(n);zm(23,0,350216,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Wa($b|0,350304)|0;if((l|0)!=0){h=l;do{l=hQ(12)|0;SF(l,h);j=uG(l,350136,0)|0;sG(o,l,0,j);ZF(m,o)|0;YF(o);sG(p,l,j+1|0,(dG(l)|0)+~j|0);ZF(n,p)|0;YF(p);ZF(Wu(g,m)|0,n)|0;j=tG(m)|0;l=tG(n)|0;zm(23,0,350064,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Wa(0,350304)|0;}while((h|0)!=0)}cQ($b);$b=a+12|0;SF(q,343024);h=Wu($b,q)|0;SF(r,343024);if((rv(g,r)|0)==0){SF(t,343024);ac=Wu($b,t)|0;bc=1;cc=0}else{SF(s,343024);ac=Wu(g,s)|0;bc=0;cc=1}ZF(h,ac)|0;if(bc){YF(t)}if(cc){YF(s)}YF(r);YF(q);SF(u,348344);q=Wu($b,u)|0;SF(v,348344);if((rv(g,v)|0)==0){SF(x,348344);dc=Wu($b,x)|0;ec=1;fc=0}else{SF(w,348344);dc=Wu(g,w)|0;ec=0;fc=1}ZF(q,dc)|0;if(ec){YF(x)}if(fc){YF(w)}YF(v);YF(u);SF(y,346816);u=Wu($b,y)|0;SF(z,346816);if((rv(g,z)|0)==0){SF(B,346816);gc=Wu($b,B)|0;hc=1;ic=0}else{SF(A,346816);gc=Wu(g,A)|0;hc=0;ic=1}ZF(u,gc)|0;if(hc){YF(B)}if(ic){YF(A)}YF(z);YF(y);SF(C,345632);y=Wu($b,C)|0;SF(D,345632);if((rv(g,D)|0)==0){SF(F,345632);jc=Wu($b,F)|0;kc=1;lc=0}else{SF(E,345632);jc=Wu(g,E)|0;kc=0;lc=1}ZF(y,jc)|0;if(kc){YF(F)}if(lc){YF(E)}YF(D);YF(C);SF(G,344512);C=Wu($b,G)|0;SF(H,344512);if((rv(g,H)|0)==0){SF(J,344512);mc=Wu($b,J)|0;nc=1;oc=0}else{SF(I,344512);mc=Wu(g,I)|0;nc=0;oc=1}ZF(C,mc)|0;if(nc){YF(J)}if(oc){YF(I)}YF(H);YF(G);SF(K,341632);G=Wu($b,K)|0;SF(L,341632);if((rv(g,L)|0)==0){SF(N,341632);pc=Wu($b,N)|0;qc=1;rc=0}else{SF(M,341632);pc=Wu(g,M)|0;qc=0;rc=1}ZF(G,pc)|0;if(qc){YF(N)}if(rc){YF(M)}YF(L);YF(K);SF(O,268640);K=Wu($b,O)|0;SF(P,268640);if((rv(g,P)|0)==0){SF(R,268640);sc=Wu($b,R)|0;tc=1;uc=0}else{SF(Q,268640);sc=Wu(g,Q)|0;tc=0;uc=1}ZF(K,sc)|0;if(tc){YF(R)}if(uc){YF(Q)}YF(P);YF(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=$u(Q,S)|0;SF(T,27880);sc=Wu(tc,T)|0;c[U>>2]=R;tc=$u(Q,U)|0;SF(V,34168);if((rv(g,Wu(tc,V)|0)|0)==0){c[Y>>2]=R;tc=$u(Q,Y)|0;SF(Z,27880);vc=Wu(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=$u(Q,W)|0;SF(X,34168);vc=Wu(g,Wu(tc,X)|0)|0;wc=0;xc=1}ZF(sc,vc)|0;if(wc){YF(Z)}if(xc){YF(X)}YF(V);YF(T);c[_>>2]=R;sc=$u(uc,_)|0;SF($,27880);tc=Wu(sc,$)|0;c[aa>>2]=R;sc=$u(uc,aa)|0;SF(ba,34168);if((rv(g,Wu(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=$u(uc,ea)|0;SF(fa,27880);yc=Wu(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=$u(uc,ca)|0;SF(da,34168);yc=Wu(g,Wu(sc,da)|0)|0;zc=0;Ac=1}ZF(tc,yc)|0;if(zc){YF(fa)}if(Ac){YF(da)}YF(ba);YF($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=$u(Bc,ga)|0;SF(ha,27880);ba=Wu($,ha)|0;c[ia>>2]=R;$=$u(Bc,ia)|0;SF(ja,34168);if((rv(g,Wu($,ja)|0)|0)==0){c[ma>>2]=R;$=$u(Bc,ma)|0;SF(na,27880);Cc=Wu($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=$u(Bc,ka)|0;SF(la,34168);Cc=Wu(g,Wu($,la)|0)|0;Dc=0;Ec=1}ZF(ba,Cc)|0;if(Dc){YF(na)}if(Ec){YF(la)}YF(ja);YF(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=$u(P,oa)|0;SF(pa,27880);ja=Wu(ha,pa)|0;c[qa>>2]=R;ha=$u(P,qa)|0;SF(ra,34168);if((rv(g,Wu(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=$u(P,ua)|0;SF(va,27880);Fc=Wu(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=$u(P,sa)|0;SF(ta,34168);Fc=Wu(g,Wu(ha,ta)|0)|0;Gc=0;Hc=1}ZF(ja,Fc)|0;if(Gc){YF(va)}if(Hc){YF(ta)}YF(ra);YF(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=$u(R,wa)|0;SF(xa,27880);ta=Wu(ra,xa)|0;c[ya>>2]=pa;ra=$u(R,ya)|0;SF(za,34168);if((rv(g,Wu(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=$u(R,Ca)|0;SF(Da,27880);Jc=Wu(ra,Da)|0;Kc=1;Lc=0}else{c[Aa>>2]=pa;ra=$u(R,Aa)|0;SF(Ba,34168);Jc=Wu(g,Wu(ra,Ba)|0)|0;Kc=0;Lc=1}ZF(ta,Jc)|0;if(Kc){YF(Da)}if(Lc){YF(Ba)}YF(za);YF(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=$u(pa,Ea)|0;SF(Fa,27880);Ba=Wu(za,Fa)|0;c[Ga>>2]=xa;za=$u(pa,Ga)|0;SF(Ha,34168);if((rv(g,Wu(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=$u(pa,Ka)|0;SF(La,27880);Mc=Wu(za,La)|0;Nc=1;Oc=0}else{c[Ia>>2]=xa;za=$u(pa,Ia)|0;SF(Ja,34168);Mc=Wu(g,Wu(za,Ja)|0)|0;Nc=0;Oc=1}ZF(Ba,Mc)|0;if(Nc){YF(La)}if(Oc){YF(Ja)}YF(Ha);YF(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=$u(xa,Ma)|0;SF(Na,27880);Ja=Wu(Ha,Na)|0;c[Oa>>2]=Fa;Ha=$u(xa,Oa)|0;SF(Pa,34168);if((rv(g,Wu(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=$u(xa,Sa)|0;SF(Ta,27880);Pc=Wu(Ha,Ta)|0;Qc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=$u(xa,Qa)|0;SF(Ra,34168);Pc=Wu(g,Wu(Ha,Ra)|0)|0;Qc=0;Rc=1}ZF(Ja,Pc)|0;if(Qc){YF(Ta)}if(Rc){YF(Ra)}YF(Pa);YF(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=$u(Fa,Ua)|0;SF(Va,27880);Ra=Wu(Pa,Va)|0;c[Xa>>2]=Na;Pa=$u(Fa,Xa)|0;SF(Ya,34168);if((rv(g,Wu(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=$u(Fa,$a)|0;SF(ab,27880);Sc=Wu(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=$u(Fa,Za)|0;SF(_a,34168);Sc=Wu(g,Wu(Pa,_a)|0)|0;Tc=0;Uc=1}ZF(Ra,Sc)|0;if(Tc){YF(ab)}if(Uc){YF(_a)}YF(Ya);YF(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=$u(Na,bb)|0;SF(cb,27880);_a=Wu(Ya,cb)|0;c[db>>2]=Va;Ya=$u(Na,db)|0;SF(eb,34168);if((rv(g,Wu(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=$u(Na,hb)|0;SF(ib,27880);Vc=Wu(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=$u(Na,fb)|0;SF(gb,34168);Vc=Wu(g,Wu(Ya,gb)|0)|0;Wc=0;Xc=1}ZF(_a,Vc)|0;if(Wc){YF(ib)}if(Xc){YF(gb)}YF(eb);YF(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=$u(Va,jb)|0;SF(kb,27880);gb=Wu(eb,kb)|0;c[lb>>2]=cb;eb=$u(Va,lb)|0;SF(mb,34168);if((rv(g,Wu(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=$u(Va,pb)|0;SF(qb,27880);Yc=Wu(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=$u(Va,nb)|0;SF(ob,34168);Yc=Wu(g,Wu(eb,ob)|0)|0;Zc=0;_c=1}ZF(gb,Yc)|0;if(Zc){YF(qb)}if(_c){YF(ob)}YF(mb);YF(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=$u(cb,rb)|0;SF(sb,27880);ob=Wu(mb,sb)|0;c[tb>>2]=kb;mb=$u(cb,tb)|0;SF(ub,34168);if((rv(g,Wu(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=$u(cb,xb)|0;SF(yb,27880);$c=Wu(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=$u(cb,vb)|0;SF(wb,34168);$c=Wu(g,Wu(mb,wb)|0)|0;ad=0;bd=1}ZF(ob,$c)|0;if(ad){YF(yb)}if(bd){YF(wb)}YF(ub);YF(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=$u(kb,zb)|0;SF(Ab,27880);wb=Wu(ub,Ab)|0;c[Bb>>2]=sb;ub=$u(kb,Bb)|0;SF(Cb,34168);if((rv(g,Wu(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=$u(kb,Fb)|0;SF(Gb,27880);cd=Wu(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=$u(kb,Db)|0;SF(Eb,34168);cd=Wu(g,Wu(ub,Eb)|0)|0;dd=0;ed=1}ZF(wb,cd)|0;if(dd){YF(Gb)}if(ed){YF(Eb)}YF(Cb);YF(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=$u(sb,Hb)|0;SF(Ib,27880);Eb=Wu(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=$u(sb,Jb)|0;SF(Kb,34168);if((rv(g,Wu(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=$u(sb,Nb)|0;SF(Ob,27880);fd=Wu(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=$u(sb,Lb)|0;SF(Mb,34168);fd=Wu(g,Wu(Cb,Mb)|0)|0;gd=0;hd=1}ZF(Eb,fd)|0;if(gd){YF(Ob)}if(hd){YF(Mb)}YF(Kb);YF(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=$u(b,Pb)|0;SF(Qb,27880);Ib=Wu(Ab,Qb)|0;c[Rb>>2]=a;Ab=$u(b,Rb)|0;SF(Sb,34168);if((rv(g,Wu(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=$u(b,Vb)|0;SF(Wb,27880);id=Wu(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=$u(b,Tb)|0;SF(Ub,34168);id=Wu(g,Wu(Ab,Ub)|0)|0;jd=0;kd=1}ZF(Ib,id)|0;if(jd){YF(Wb)}if(kd){YF(Ub)}YF(Sb);YF(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}zm(23,0,350048,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;YF(n);YF(m);sv(g);i=f;return}function Yu(a,b,c){a=a|0;b=b|0;c=+c;if((wG(a,393032)|0)==0){h[b>>3]=c;return}if((wG(a,25080)|0)==0){h[b>>3]=1.0;return}if((wG(a,25016)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+xQ(tG(a)|0);return}}function Zu(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){Bm(22,0,348568,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Ic(tG(a)|0)|0;i=d;return}}function _u(a,b,d){a=a|0;b=b|0;d=d|0;if((wG(a,393032)|0)==0){c[b>>2]=d}if((wG(a,25080)|0)==0){c[b>>2]=1;return}if((wG(a,25016)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Oc(tG(a)|0)|0;return}}function $u(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=Ix(a,e,b)|0;k=c[j>>2]|0;zr(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}Kx(h,a,b);Lx(g,h);Jx(f,g);Mx(h);h=c[e>>2]|0;Nx(a|0,h,j,Ox(f)|0);j=Px(f)|0;Mx(f);l=j;m=l+20|0;i=d;return m|0}function av(a,b){a=a|0;b=b|0;if((wG(a,25080)|0)==0){c[b>>2]=1;return}if((wG(a,25016)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Oc(tG(a)|0)|0;return}}function bv(b,c){b=b|0;c=c|0;a[c]=(wG(b,25080)|0)==0|0;return}function cv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=kw(a,e,b)|0;k=c[j>>2]|0;zr(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}mw(h,a,b);nw(g,h);lw(f,g);ow(h);h=c[e>>2]|0;pw(a|0,h,j,qw(f)|0);j=rw(f)|0;ow(f);l=j;m=l+28|0;i=d;return m|0}function dv(a,b){a=a|0;b=b|0;ZF(b,a)|0;return}function ev(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;bw(e,b|0,c);Vv(a,e);i=d;return}function fv(a,b){a=a|0;b=b|0;return Tv(a|0,b|0)|0}function gv(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;Wv(d,b|0);Vv(a,d);i=c;return}function hv(a){a=a|0;return Qv(a|0)|0}function iv(a){a=a|0;nA(a);return}function jv(a){a=a|0;aA(a);return}function kv(a,b){a=a|0;b=b|0;Jy(a,0);return}function lv(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;VG(b);d=a|0;c[d>>2]=361332;e=b|0;c[e>>2]=361352;b=a+8|0;NH(a,362292,b|0);c[d>>2]=361332;c[e>>2]=361352;gu(b);return}function mv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Hr(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){MG(d,4);return}else{KG(d,0);return}}function nv(a){a=a|0;return Lv(a+8|0)|0}function ov(a,b){a=a|0;b=b|0;return Kv(a,b,TG(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function pv(a){a=a|0;if((Jr(a+8|0)|0)!=0){return}MG(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function qv(a){a=a|0;Pv(a,362288);QG(a+108|0);return}function rv(a,b){a=a|0;b=b|0;return tv(a|0,b)|0}function sv(a){a=a|0;Rz(a);return}function tv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=vv(a)|0;zr(e);if((f|0)==0){g=0;i=d;return g|0}h=wv(a)|0;a=f;while(1){f=a+16|0;if(xv(h,b,f)|0){j=a|0}else{if(!(yv(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;zr(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function uv(a){a=a|0;return kr(Ev(a+4|0)|0)|0}function vv(a){a=a|0;return c[(uv(a)|0)>>2]|0}function wv(a){a=a|0;return Cv(a+8|0)|0}function xv(a,b,c){a=a|0;b=b|0;c=c|0;return zv(0,b,c|0)|0}function yv(a,b,c){a=a|0;b=b|0;c=c|0;return zv(0,b|0,c)|0}function zv(a,b,c){a=a|0;b=b|0;c=c|0;return Av(b,c)|0}function Av(a,b){a=a|0;b=b|0;return(vG(a,b)|0)<0|0}function Bv(a,b,c){a=a|0;b=b|0;c=c|0;return AQ(a,b,c)|0}function Cv(a){a=a|0;return Dv(a|0)|0}function Dv(a){a=a|0;return a|0}function Ev(a){a=a|0;return Fv(a|0)|0}function Fv(a){a=a|0;return a|0}function Gv(a,b){a=a|0;b=b|0;return Iv(0,b,0)|0}function Hv(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function Iv(a,b,c){a=a|0;b=b|0;c=c|0;return hQ(b)|0}function Jv(a){a=a|0;return DQ(a|0)|0}function Kv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;SH(f,a,1);if(!(VH(f)|0)){i=e;return a|0}mG(b);f=a;g=a;h=0;while(1){j=$G(RG(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(ts(j,-1)|0){k=h;l=2;break}m=h+1|0;n=us(j)|0;if(ys(n,d)|0){k=m;l=0;break}oG(b,n);if((WF(b)|0)==-17){k=m;l=4;break}else{h=m}}MG(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function Lv(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function Mv(a){a=a|0;qv(a);jQ(a);return}function Nv(a){a=a|0;qv(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Ov(a){a=a|0;Mv(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Pv(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];hs(a+8|0);return}function Qv(a){a=a|0;return Rv((c[a>>2]|0)+16|0)|0}function Rv(a){a=a|0;return Sv(a)|0}function Sv(a){a=a|0;return a|0}function Tv(a,b){a=a|0;b=b|0;return(Uv(a,b)|0)^1|0}function Uv(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function Vv(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];aw(a,b);i=d;return}function Wv(a,b){a=a|0;b=b|0;Xv(a,Yv(b)|0);return}function Xv(a,b){a=a|0;b=b|0;$v(a,b);return}function Yv(a){a=a|0;return kr(Zv(a+4|0)|0)|0}function Zv(a){a=a|0;return _v(a|0)|0}function _v(a){a=a|0;return a|0}function $v(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function aw(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function bw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=dw(b)|0;cw(f,b,d,h,Yv(b)|0);Wv(g,b);do{if(Tv(f,g)|0){h=ew(b)|0;if(fw(h,d,gw(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);Wv(a,b);i=e;return}function cw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;zr(h);a:do{if((e|0)==0){j=f}else{k=ew(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(jw(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;zr(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;zr(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);Xv(a,j);i=g;return}function dw(a){a=a|0;return c[(Yv(a)|0)>>2]|0}function ew(a){a=a|0;return hw(a+8|0)|0}function fw(a,b,c){a=a|0;b=b|0;c=c|0;return zv(0,b,c|0)|0}function gw(a){a=a|0;return(c[a>>2]|0)+16|0}function hw(a){a=a|0;return iw(a|0)|0}function iw(a){a=a|0;return a|0}function jw(a,b,c){a=a|0;b=b|0;c=c|0;return zv(0,b|0,c)|0}function kw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=dw(h)|0;zr(e|0);if((a|0)==0){j=Yv(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(zv(0,d,a)|0){m=l|0;j=c[m>>2]|0;zr(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(zv(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;zr(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function lw(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];gx(a,b);i=d;return}function mw(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Nw(c|0)|0;c=Pw(k,1)|0;Qw(g,k);Ow(f,c,g);Rw(0,Gw((Sw(f)|0)+16|0)|0,d);d=Tw(f)|0;a[d+4|0]=1;Uw(0,Ew((Sw(f)|0)+28|0)|0);a[d+5|0]=1;Vw(j,f);nw(h,j);lw(b,h);ow(j);ow(f);i=e;return}function nw(a,b){a=a|0;b=b|0;Lw(a,b);return}function ow(a){a=a|0;Aw(a);return}function pw(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;zr(f|0);c[e>>2]=0;zr(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=ww(a)|0;b=c[c[e>>2]>>2]|0;zr(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(Yv(a)|0)>>2]|0;jt(e,c[d>>2]|0);d=xw(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function qw(a){a=a|0;return c[(uw(a|0)|0)>>2]|0}function rw(a){a=a|0;var b=0;b=sw(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function sw(a){a=a|0;return tw(a|0)|0}function tw(a){a=a|0;return a|0}function uw(a){a=a|0;return vw(a|0)|0}function vw(a){a=a|0;return a|0}function ww(a){a=a|0;return a|0}function xw(a){a=a|0;return yw(a+8|0)|0}function yw(a){a=a|0;return zw(a|0)|0}function zw(a){a=a|0;return a|0}function Aw(a){a=a|0;Bw(a,0);return}function Bw(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=sw(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Dw(Cw(d)|0,e);return}function Cw(a){a=a|0;return Kw(a|0)|0}function Dw(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;Fw(e,Gw(d+16|0)|0)}if((d|0)==0){return}Hw(c[b>>2]|0,d,1);return}function Ew(a){a=a|0;return a|0}function Fw(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Jw(a|0,0,b);i=a;return}function Gw(a){a=a|0;return a|0}function Hw(a,b,c){a=a|0;b=b|0;c=c|0;Iw(0,b,0);return}function Iw(a,b,c){a=a|0;b=b|0;c=c|0;jQ(b);return}function Jw(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;YF(d);i=c;return}function Kw(a){a=a|0;return a+4|0}function Lw(a,b){a=a|0;b=b|0;Mw(a,b);return}function Mw(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Nw(a){a=a|0;return ex(a+4|0)|0}function Ow(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Yw(a,b,d);i=e;return}function Pw(a,b){a=a|0;b=b|0;return Xw(0,b,0)|0}function Qw(a,b){a=a|0;b=b|0;Ww(a,b);return}function Rw(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}OF(b,c);return}function Sw(a){a=a|0;return c[(uw(a|0)|0)>>2]|0}function Tw(a){a=a|0;return Cw(a|0)|0}function Uw(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function Vw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Lw(f,b);lw(e,f);nw(d,e);lw(a,d);ow(e);i=c;return}function Ww(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function Xw(a,b,c){a=a|0;b=b|0;c=c|0;return hQ(b<<5)|0}function Yw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(_w(f)|0)>>2]|0;f=$w(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Zw(a|0,b,g);i=e;return}function Zw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];ax(a,b,d);i=e;return}function _w(a){a=a|0;return a|0}function $w(a){a=a|0;return a|0}function ax(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(cx(f)|0)>>2]|0;f=dx(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;bx(a|0,b,g);i=e;return}function bx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(cx(f)|0)>>2];f=dx(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function cx(a){a=a|0;return a|0}function dx(a){a=a|0;return a|0}function ex(a){a=a|0;return fx(a|0)|0}function fx(a){a=a|0;return a|0}function gx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=rw(hx(b)|0)|0;g=dx(Tw(hx(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Zw(a|0,f,e);i=d;return}function hx(a){a=a|0;return c[a>>2]|0}function ix(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function jx(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];qx(a,b);i=d;return}function kx(a,b){a=a|0;b=b|0;lx(a,mx(b)|0);return}function lx(a,b){a=a|0;b=b|0;px(a,b);return}function mx(a){a=a|0;return kr(nx(a+4|0)|0)|0}function nx(a){a=a|0;return ox(a|0)|0}function ox(a){a=a|0;return a|0}function px(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function qx(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function rx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=tx(b)|0;sx(f,b,d,h,mx(b)|0);kx(g,b);do{if(ux(f,g)|0){h=vx(b)|0;if(xv(h,d,wx(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);kx(a,b);i=e;return}function sx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;zr(h);a:do{if((e|0)==0){j=f}else{k=vx(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(yv(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;zr(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;zr(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);lx(a,j);i=g;return}function tx(a){a=a|0;return c[(mx(a)|0)>>2]|0}function ux(a,b){a=a|0;b=b|0;return(ix(a,b)|0)^1|0}function vx(a){a=a|0;return xx(a+8|0)|0}function wx(a){a=a|0;return(c[a>>2]|0)+16|0}function xx(a){a=a|0;return yx(a|0)|0}function yx(a){a=a|0;return a|0}function zx(a,b){a=a|0;b=b|0;b=i;i=i+8|0;Ax(a|0,b|0);i=b;return}function Ax(a,b){a=a|0;b=b|0;Bx(a,0);return}function Bx(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;Cx(a+4|0);Dx(a+8|0,0,b|0);d=Yv(a)|0;c[(ww(a)|0)>>2]=d;i=b;return}function Cx(a){a=a|0;Gx(a);return}function Dx(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;Ex(b,c,d);i=e;return}function Ex(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;Fx(b|0,c[(bu(g)|0)>>2]|0,f+8|0);i=f;return}function Fx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(bu(g)|0)>>2];i=f;return}function Gx(a){a=a|0;Hx(a|0);return}function Hx(a){a=a|0;eu(a|0);return}function Ix(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=Iy(h)|0;zr(e|0);if((a|0)==0){j=Vx(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(wr(0,d,a)|0){m=l|0;j=c[m>>2]|0;zr(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(wr(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;zr(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function Jx(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Gy(a,b);i=d;return}function Kx(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=ly(c|0)|0;c=ny(k,1)|0;oy(g,k);my(f,c,g);py(0,vt((qy(f)|0)+16|0)|0,d);d=ry(f)|0;a[d+4|0]=1;sy(0,ey((qy(f)|0)+20|0)|0);a[d+5|0]=1;ty(j,f);Lx(h,j);Jx(b,h);Mx(j);Mx(f);i=e;return}function Lx(a,b){a=a|0;b=b|0;jy(a,b);return}function Mx(a){a=a|0;$x(a);return}function Nx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;zr(f|0);c[e>>2]=0;zr(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=Ux(a)|0;b=c[c[e>>2]>>2]|0;zr(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(Vx(a)|0)>>2]|0;jt(e,c[d>>2]|0);d=Wx(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function Ox(a){a=a|0;return c[(Sx(a|0)|0)>>2]|0}function Px(a){a=a|0;var b=0;b=Qx(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Qx(a){a=a|0;return Rx(a|0)|0}function Rx(a){a=a|0;return a|0}function Sx(a){a=a|0;return Tx(a|0)|0}function Tx(a){a=a|0;return a|0}function Ux(a){a=a|0;return a|0}function Vx(a){a=a|0;return kr(Zx(a+4|0)|0)|0}function Wx(a){a=a|0;return Xx(a+8|0)|0}function Xx(a){a=a|0;return Yx(a|0)|0}function Yx(a){a=a|0;return a|0}function Zx(a){a=a|0;return _x(a|0)|0}function _x(a){a=a|0;return a|0}function $x(a){a=a|0;ay(a,0);return}function ay(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Qx(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}cy(by(d)|0,e);return}function by(a){a=a|0;return iy(a|0)|0}function cy(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;dy(e,ey(d+20|0)|0)}if((d|0)==0){return}fy(c[b>>2]|0,d,1);return}function dy(a,b){a=a|0;b=b|0;a=i;i=i+8|0;hy(a|0,0,b);i=a;return}function ey(a){a=a|0;return a|0}function fy(a,b,c){a=a|0;b=b|0;c=c|0;gy(0,b,0);return}function gy(a,b,c){a=a|0;b=b|0;c=c|0;jQ(b);return}function hy(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;sv(d);i=c;return}function iy(a){a=a|0;return a+4|0}function jy(a,b){a=a|0;b=b|0;ky(a,b);return}function ky(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function ly(a){a=a|0;return Ey(a+4|0)|0}function my(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];wy(a,b,d);i=e;return}function ny(a,b){a=a|0;b=b|0;return vy(0,b,0)|0}function oy(a,b){a=a|0;b=b|0;uy(a,b);return}function py(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function qy(a){a=a|0;return c[(Sx(a|0)|0)>>2]|0}function ry(a){a=a|0;return by(a|0)|0}function sy(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}kv(b,a|0);i=a;return}function ty(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;jy(f,b);Jx(e,f);Lx(d,e);Jx(a,d);Mx(e);i=c;return}function uy(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function vy(a,b,c){a=a|0;b=b|0;c=c|0;return hQ(b<<5)|0}function wy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(yy(f)|0)>>2]|0;f=zy(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;xy(a|0,b,g);i=e;return}function xy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Ay(a,b,d);i=e;return}function yy(a){a=a|0;return a|0}function zy(a){a=a|0;return a|0}function Ay(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Cy(f)|0)>>2]|0;f=Dy(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;By(a|0,b,g);i=e;return}function By(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Cy(f)|0)>>2];f=Dy(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Cy(a){a=a|0;return a|0}function Dy(a){a=a|0;return a|0}function Ey(a){a=a|0;return Fy(a|0)|0}function Fy(a){a=a|0;return a|0}function Gy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=Px(Hy(b)|0)|0;g=Dy(ry(Hy(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;xy(a|0,f,e);i=d;return}function Hy(a){a=a|0;return c[a>>2]|0}function Iy(a){a=a|0;return c[(Vx(a)|0)>>2]|0}function Jy(a,b){a=a|0;b=b|0;b=i;i=i+8|0;Ky(a|0,b|0);i=b;return}function Ky(a,b){a=a|0;b=b|0;Ly(a,0);return}function Ly(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;My(a+4|0);Ny(a+8|0,0,b|0);d=mx(a)|0;c[(Oy(a)|0)>>2]=d;i=b;return}function My(a){a=a|0;Ry(a);return}function Ny(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;Py(b,c,d);i=e;return}function Oy(a){a=a|0;return a|0}function Py(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;Qy(b|0,c[(bu(g)|0)>>2]|0,f+8|0);i=f;return}function Qy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(bu(g)|0)>>2];i=f;return}function Ry(a){a=a|0;Sy(a|0);return}function Sy(a){a=a|0;eu(a|0);return}function Ty(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=tx(h)|0;zr(e|0);if((a|0)==0){j=mx(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(zv(0,d,a)|0){m=l|0;j=c[m>>2]|0;zr(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(zv(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;zr(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function Uy(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Pz(a,b);i=d;return}function Vy(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=uz(c|0)|0;c=wz(k,1)|0;xz(g,k);vz(f,c,g);yz(0,Gw((zz(f)|0)+16|0)|0,d);d=Az(f)|0;a[d+4|0]=1;Bz(0,lz((zz(f)|0)+28|0)|0);a[d+5|0]=1;Cz(j,f);Wy(h,j);Uy(b,h);Xy(j);Xy(f);i=e;return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=$u(g,b+4576|0)|0;SF(b+4584|0,34168);OF(b+4560|0,Wu(k,b+4584|0)|0);Zu(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);YF(b+4560|0);YF(b+4584|0);c[(b+4616|0)>>2]=j;k=$u(g,b+4616|0)|0;SF(b+4624|0,33e3);OF(b+4600|0,Wu(k,b+4624|0)|0);av(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);YF(b+4600|0);YF(b+4624|0);c[(b+4656|0)>>2]=j;k=$u(g,b+4656|0)|0;SF(b+4664|0,32472);OF(b+4640|0,Wu(k,b+4664|0)|0);Zu(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);YF(b+4640|0);YF(b+4664|0);c[(b+4696|0)>>2]=j;k=$u(g,b+4696|0)|0;SF(b+4704|0,31912);OF(b+4680|0,Wu(k,b+4704|0)|0);Zu(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);YF(b+4680|0);YF(b+4704|0);c[(b+4736|0)>>2]=j;k=$u(g,b+4736|0)|0;SF(b+4744|0,31392);OF(b+4720|0,Wu(k,b+4744|0)|0);_u(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);YF(b+4720|0);YF(b+4744|0);c[(b+4776|0)>>2]=j;k=$u(g,b+4776|0)|0;SF(b+4784|0,30968);OF(b+4760|0,Wu(k,b+4784|0)|0);_u(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);YF(b+4760|0);YF(b+4784|0);c[(b+4816|0)>>2]=j;k=$u(g,b+4816|0)|0;SF(b+4824|0,29784);OF(b+4800|0,Wu(k,b+4824|0)|0);_u(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);YF(b+4800|0);YF(b+4824|0);c[(b+4856|0)>>2]=j;k=$u(g,b+4856|0)|0;SF(b+4864|0,29280);OF(b+4840|0,Wu(k,b+4864|0)|0);_u(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);YF(b+4840|0);YF(b+4864|0);c[(b+4896|0)>>2]=j;k=$u(g,b+4896|0)|0;SF(b+4904|0,28664);OF(b+4880|0,Wu(k,b+4904|0)|0);_u(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);YF(b+4880|0);YF(b+4904|0);c[(b+4936|0)>>2]=j;k=$u(g,b+4936|0)|0;SF(b+4944|0,28088);OF(b+4920|0,Wu(k,b+4944|0)|0);bv(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);YF(b+4920|0);YF(b+4944|0);c[(b+4976|0)>>2]=j;k=$u(g,b+4976|0)|0;SF(b+4984|0,27880);OF(b+4960|0,Wu(k,b+4984|0)|0);bv(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);YF(b+4960|0);YF(b+4984|0);c[(b+5016|0)>>2]=j;k=$u(g,b+5016|0)|0;SF(b+5024|0,27664);OF(b+5e3|0,Wu(k,b+5024|0)|0);bv(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);YF(b+5e3|0);YF(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?25080:25016;n=(a[k+(j*48|0)+40|0]|0)!=0?25080:25016;zm(4,0,22360,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?393032:25360,c[f+16>>2]=m,c[f+24>>2]=l?393032:25232,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}SF(b+5040|0,o);c[(cv(b+216|0,b+5040|0)|0)>>2]=j;YF(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,22128,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=$u(j,b+5072|0)|0;SF(b+5080|0,34168);OF(b+5056|0,Wu(l,b+5080|0)|0);Zu(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);YF(b+5056|0);YF(b+5080|0);c[(b+5112|0)>>2]=g;l=$u(j,b+5112|0)|0;SF(b+5120|0,33e3);OF(b+5096|0,Wu(l,b+5120|0)|0);av(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);YF(b+5096|0);YF(b+5120|0);c[(b+5152|0)>>2]=g;l=$u(j,b+5152|0)|0;SF(b+5160|0,32472);OF(b+5136|0,Wu(l,b+5160|0)|0);Zu(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);YF(b+5136|0);YF(b+5160|0);c[(b+5192|0)>>2]=g;l=$u(j,b+5192|0)|0;SF(b+5200|0,31912);OF(b+5176|0,Wu(l,b+5200|0)|0);Zu(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);YF(b+5176|0);YF(b+5200|0);c[(b+5232|0)>>2]=g;l=$u(j,b+5232|0)|0;SF(b+5240|0,31392);OF(b+5216|0,Wu(l,b+5240|0)|0);_u(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);YF(b+5216|0);YF(b+5240|0);c[(b+5272|0)>>2]=g;l=$u(j,b+5272|0)|0;SF(b+5280|0,30968);OF(b+5256|0,Wu(l,b+5280|0)|0);_u(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);YF(b+5256|0);YF(b+5280|0);c[(b+5312|0)>>2]=g;l=$u(j,b+5312|0)|0;SF(b+5320|0,29784);OF(b+5296|0,Wu(l,b+5320|0)|0);_u(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);YF(b+5296|0);YF(b+5320|0);c[(b+5352|0)>>2]=g;l=$u(j,b+5352|0)|0;SF(b+5360|0,29280);OF(b+5336|0,Wu(l,b+5360|0)|0);_u(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);YF(b+5336|0);YF(b+5360|0);c[(b+5392|0)>>2]=g;l=$u(j,b+5392|0)|0;SF(b+5400|0,28664);OF(b+5376|0,Wu(l,b+5400|0)|0);_u(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);YF(b+5376|0);YF(b+5400|0);c[(b+5432|0)>>2]=g;l=$u(j,b+5432|0)|0;SF(b+5440|0,28088);OF(b+5416|0,Wu(l,b+5440|0)|0);bv(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);YF(b+5416|0);YF(b+5440|0);c[(b+5472|0)>>2]=g;l=$u(j,b+5472|0)|0;SF(b+5480|0,27880);OF(b+5456|0,Wu(l,b+5480|0)|0);Zu(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);YF(b+5456|0);YF(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;zm(4,0,21936,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?393032:25360,c[f+16>>2]=m,c[f+24>>2]=n?393032:25232,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}SF(b+5496|0,p);c[(cv(b+216|0,b+5496|0)|0)>>2]=g;YF(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,21680,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=$u(g,b+5528|0)|0;SF(b+5536|0,34168);OF(b+5512|0,Wu(m,b+5536|0)|0);Zu(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);YF(b+5512|0);YF(b+5536|0);c[(b+5568|0)>>2]=j;m=$u(g,b+5568|0)|0;SF(b+5576|0,33e3);OF(b+5552|0,Wu(m,b+5576|0)|0);av(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);YF(b+5552|0);YF(b+5576|0);c[(b+5608|0)>>2]=j;m=$u(g,b+5608|0)|0;SF(b+5616|0,32472);OF(b+5592|0,Wu(m,b+5616|0)|0);Zu(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);YF(b+5592|0);YF(b+5616|0);c[(b+5648|0)>>2]=j;m=$u(g,b+5648|0)|0;SF(b+5656|0,31912);OF(b+5632|0,Wu(m,b+5656|0)|0);Zu(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);YF(b+5632|0);YF(b+5656|0);c[(b+5688|0)>>2]=j;m=$u(g,b+5688|0)|0;SF(b+5696|0,31392);OF(b+5672|0,Wu(m,b+5696|0)|0);_u(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);YF(b+5672|0);YF(b+5696|0);c[(b+5728|0)>>2]=j;m=$u(g,b+5728|0)|0;SF(b+5736|0,30968);OF(b+5712|0,Wu(m,b+5736|0)|0);_u(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);YF(b+5712|0);YF(b+5736|0);c[(b+5768|0)>>2]=j;m=$u(g,b+5768|0)|0;SF(b+5776|0,29784);OF(b+5752|0,Wu(m,b+5776|0)|0);_u(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);YF(b+5752|0);YF(b+5776|0);c[(b+5808|0)>>2]=j;m=$u(g,b+5808|0)|0;SF(b+5816|0,29280);OF(b+5792|0,Wu(m,b+5816|0)|0);_u(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);YF(b+5792|0);YF(b+5816|0);c[(b+5848|0)>>2]=j;m=$u(g,b+5848|0)|0;SF(b+5856|0,28664);OF(b+5832|0,Wu(m,b+5856|0)|0);_u(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);YF(b+5832|0);YF(b+5856|0);c[(b+5888|0)>>2]=j;m=$u(g,b+5888|0)|0;SF(b+5896|0,28088);OF(b+5872|0,Wu(m,b+5896|0)|0);bv(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);YF(b+5872|0);YF(b+5896|0);c[(b+5928|0)>>2]=j;m=$u(g,b+5928|0)|0;SF(b+5936|0,27880);OF(b+5912|0,Wu(m,b+5936|0)|0);Yu(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);YF(b+5912|0);YF(b+5936|0);c[(b+5968|0)>>2]=j;m=$u(g,b+5968|0)|0;SF(b+5976|0,27664);OF(b+5952|0,Wu(m,b+5976|0)|0);bv(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);YF(b+5952|0);YF(b+5976|0);c[(b+6008|0)>>2]=j;m=$u(g,b+6008|0)|0;SF(b+6016|0,27128);OF(b+5992|0,Wu(m,b+6016|0)|0);bv(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);YF(b+5992|0);YF(b+6016|0);c[(b+6048|0)>>2]=j;m=$u(g,b+6048|0)|0;SF(b+6056|0,26944);OF(b+6032|0,Wu(m,b+6056|0)|0);Yu(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);YF(b+6032|0);YF(b+6056|0);c[(b+6088|0)>>2]=j;m=$u(g,b+6088|0)|0;SF(b+6096|0,26704);OF(b+6072|0,Wu(m,b+6096|0)|0);Yu(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);YF(b+6072|0);YF(b+6096|0);c[(b+6128|0)>>2]=j;m=$u(g,b+6128|0)|0;SF(b+6136|0,26368);OF(b+6112|0,Wu(m,b+6136|0)|0);Yu(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);YF(b+6112|0);YF(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?25080:25016;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];zm(4,0,21440,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?393032:25360,h[f+16>>3]=q,c[f+24>>2]=n?393032:25232,c[f+32>>2]=l,c[f+40>>2]=k?393032:25360,h[f+48>>3]=r,c[f+56>>2]=k?393032:25232,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}SF(b+6152|0,u);c[(cv(b+240|0,b+6152|0)|0)>>2]=j;YF(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,358280,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=$u(j,b+6184|0)|0;SF(b+6192|0,34168);OF(b+6168|0,Wu(l,b+6192|0)|0);Zu(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);YF(b+6168|0);YF(b+6192|0);c[(b+6224|0)>>2]=g;l=$u(j,b+6224|0)|0;SF(b+6232|0,33e3);OF(b+6208|0,Wu(l,b+6232|0)|0);av(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);YF(b+6208|0);YF(b+6232|0);c[(b+6264|0)>>2]=g;l=$u(j,b+6264|0)|0;SF(b+6272|0,32472);OF(b+6248|0,Wu(l,b+6272|0)|0);Zu(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);YF(b+6248|0);YF(b+6272|0);c[(b+6304|0)>>2]=g;l=$u(j,b+6304|0)|0;SF(b+6312|0,31912);OF(b+6288|0,Wu(l,b+6312|0)|0);Zu(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);YF(b+6288|0);YF(b+6312|0);c[(b+6344|0)>>2]=g;l=$u(j,b+6344|0)|0;SF(b+6352|0,31392);OF(b+6328|0,Wu(l,b+6352|0)|0);_u(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);YF(b+6328|0);YF(b+6352|0);c[(b+6384|0)>>2]=g;l=$u(j,b+6384|0)|0;SF(b+6392|0,30968);OF(b+6368|0,Wu(l,b+6392|0)|0);_u(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);YF(b+6368|0);YF(b+6392|0);c[(b+6424|0)>>2]=g;l=$u(j,b+6424|0)|0;SF(b+6432|0,29784);OF(b+6408|0,Wu(l,b+6432|0)|0);_u(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);YF(b+6408|0);YF(b+6432|0);c[(b+6464|0)>>2]=g;l=$u(j,b+6464|0)|0;SF(b+6472|0,29280);OF(b+6448|0,Wu(l,b+6472|0)|0);_u(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);YF(b+6448|0);YF(b+6472|0);c[(b+6504|0)>>2]=g;l=$u(j,b+6504|0)|0;SF(b+6512|0,28664);OF(b+6488|0,Wu(l,b+6512|0)|0);_u(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);YF(b+6488|0);YF(b+6512|0);c[(b+6544|0)>>2]=g;l=$u(j,b+6544|0)|0;SF(b+6552|0,28088);OF(b+6528|0,Wu(l,b+6552|0)|0);bv(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);YF(b+6528|0);YF(b+6552|0);c[(b+6584|0)>>2]=g;l=$u(j,b+6584|0)|0;SF(b+6592|0,27880);OF(b+6568|0,Wu(l,b+6592|0)|0);_u(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);YF(b+6568|0);YF(b+6592|0);c[(b+6624|0)>>2]=g;l=$u(j,b+6624|0)|0;SF(b+6632|0,27664);OF(b+6608|0,Wu(l,b+6632|0)|0);bv(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);YF(b+6608|0);YF(b+6632|0);c[(b+6664|0)>>2]=g;l=$u(j,b+6664|0)|0;SF(b+6672|0,26704);OF(b+6648|0,Wu(l,b+6672|0)|0);_u(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);YF(b+6648|0);YF(b+6672|0);c[(b+6704|0)>>2]=g;l=$u(j,b+6704|0)|0;SF(b+6712|0,26368);OF(b+6688|0,Wu(l,b+6712|0)|0);_u(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);YF(b+6688|0);YF(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?25080:25016;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;zm(4,0,358160,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?393032:25360,c[f+16>>2]=n,c[f+24>>2]=k?393032:25232,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}SF(b+6728|0,x);c[(cv(b+240|0,b+6728|0)|0)>>2]=g;YF(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,357624,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=$u(g,b+6760|0)|0;SF(b+6768|0,34168);OF(b+6744|0,Wu(v,b+6768|0)|0);Zu(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);YF(b+6744|0);YF(b+6768|0);c[(b+6800|0)>>2]=j;v=$u(g,b+6800|0)|0;SF(b+6808|0,33e3);OF(b+6784|0,Wu(v,b+6808|0)|0);av(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);YF(b+6784|0);YF(b+6808|0);c[(b+6840|0)>>2]=j;v=$u(g,b+6840|0)|0;SF(b+6848|0,32472);OF(b+6824|0,Wu(v,b+6848|0)|0);Zu(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);YF(b+6824|0);YF(b+6848|0);c[(b+6880|0)>>2]=j;v=$u(g,b+6880|0)|0;SF(b+6888|0,31912);OF(b+6864|0,Wu(v,b+6888|0)|0);Zu(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);YF(b+6864|0);YF(b+6888|0);c[(b+6920|0)>>2]=j;v=$u(g,b+6920|0)|0;SF(b+6928|0,31392);OF(b+6904|0,Wu(v,b+6928|0)|0);_u(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);YF(b+6904|0);YF(b+6928|0);c[(b+6960|0)>>2]=j;v=$u(g,b+6960|0)|0;SF(b+6968|0,30968);OF(b+6944|0,Wu(v,b+6968|0)|0);_u(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);YF(b+6944|0);YF(b+6968|0);c[(b+7e3|0)>>2]=j;v=$u(g,b+7e3|0)|0;SF(b+7008|0,29784);OF(b+6984|0,Wu(v,b+7008|0)|0);_u(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);YF(b+6984|0);YF(b+7008|0);c[(b+7040|0)>>2]=j;v=$u(g,b+7040|0)|0;SF(b+7048|0,29280);OF(b+7024|0,Wu(v,b+7048|0)|0);_u(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);YF(b+7024|0);YF(b+7048|0);c[(b+7080|0)>>2]=j;v=$u(g,b+7080|0)|0;SF(b+7088|0,28664);OF(b+7064|0,Wu(v,b+7088|0)|0);_u(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);YF(b+7064|0);YF(b+7088|0);c[(b+7120|0)>>2]=j;v=$u(g,b+7120|0)|0;SF(b+7128|0,28088);OF(b+7104|0,Wu(v,b+7128|0)|0);bv(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);YF(b+7104|0);YF(b+7128|0);c[(b+7160|0)>>2]=j;v=$u(g,b+7160|0)|0;SF(b+7168|0,27880);OF(b+7144|0,Wu(v,b+7168|0)|0);bv(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);YF(b+7144|0);YF(b+7168|0);c[(b+7200|0)>>2]=j;v=$u(g,b+7200|0)|0;SF(b+7208|0,27664);OF(b+7184|0,Wu(v,b+7208|0)|0);bv(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);YF(b+7184|0);YF(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?25080:25016;k=(a[v+(j*48|0)+40|0]|0)!=0?25080:25016;zm(4,0,357320,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?393032:25360,c[f+16>>2]=m,c[f+24>>2]=w?393032:25232,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}SF(b+7224|0,y);c[(cv(b+240|0,b+7224|0)|0)>>2]=j;YF(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,357248,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=$u(j,b+7256|0)|0;SF(b+7264|0,34168);OF(b+7240|0,Wu(w,b+7264|0)|0);Zu(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);YF(b+7240|0);YF(b+7264|0);c[(b+7296|0)>>2]=g;w=$u(j,b+7296|0)|0;SF(b+7304|0,33e3);OF(b+7280|0,Wu(w,b+7304|0)|0);av(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);YF(b+7280|0);YF(b+7304|0);c[(b+7336|0)>>2]=g;w=$u(j,b+7336|0)|0;SF(b+7344|0,32472);OF(b+7320|0,Wu(w,b+7344|0)|0);Zu(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);YF(b+7320|0);YF(b+7344|0);c[(b+7376|0)>>2]=g;w=$u(j,b+7376|0)|0;SF(b+7384|0,31912);OF(b+7360|0,Wu(w,b+7384|0)|0);Zu(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);YF(b+7360|0);YF(b+7384|0);c[(b+7416|0)>>2]=g;w=$u(j,b+7416|0)|0;SF(b+7424|0,31392);OF(b+7400|0,Wu(w,b+7424|0)|0);_u(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);YF(b+7400|0);YF(b+7424|0);c[(b+7456|0)>>2]=g;w=$u(j,b+7456|0)|0;SF(b+7464|0,30968);OF(b+7440|0,Wu(w,b+7464|0)|0);_u(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);YF(b+7440|0);YF(b+7464|0);c[(b+7496|0)>>2]=g;w=$u(j,b+7496|0)|0;SF(b+7504|0,29784);OF(b+7480|0,Wu(w,b+7504|0)|0);_u(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);YF(b+7480|0);YF(b+7504|0);c[(b+7536|0)>>2]=g;w=$u(j,b+7536|0)|0;SF(b+7544|0,29280);OF(b+7520|0,Wu(w,b+7544|0)|0);_u(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);YF(b+7520|0);YF(b+7544|0);c[(b+7576|0)>>2]=g;w=$u(j,b+7576|0)|0;SF(b+7584|0,28664);OF(b+7560|0,Wu(w,b+7584|0)|0);_u(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);YF(b+7560|0);YF(b+7584|0);c[(b+7616|0)>>2]=g;w=$u(j,b+7616|0)|0;SF(b+7624|0,28088);OF(b+7600|0,Wu(w,b+7624|0)|0);bv(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);YF(b+7600|0);YF(b+7624|0);c[(b+7656|0)>>2]=g;w=$u(j,b+7656|0)|0;SF(b+7664|0,27880);OF(b+7640|0,Wu(w,b+7664|0)|0);Zu(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);YF(b+7640|0);YF(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;zm(4,0,357016,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?393032:25360,c[f+16>>2]=m,c[f+24>>2]=k?393032:25232,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}SF(b+7680|0,z);c[(cv(b+240|0,b+7680|0)|0)>>2]=g;YF(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,356792,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=$u(g,b+7712|0)|0;SF(b+7720|0,34168);OF(b+7696|0,Wu(m,b+7720|0)|0);Zu(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);YF(b+7696|0);YF(b+7720|0);c[(b+7752|0)>>2]=j;m=$u(g,b+7752|0)|0;SF(b+7760|0,33e3);OF(b+7736|0,Wu(m,b+7760|0)|0);av(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);YF(b+7736|0);YF(b+7760|0);c[(b+7792|0)>>2]=j;m=$u(g,b+7792|0)|0;SF(b+7800|0,32472);OF(b+7776|0,Wu(m,b+7800|0)|0);Zu(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);YF(b+7776|0);YF(b+7800|0);c[(b+7832|0)>>2]=j;m=$u(g,b+7832|0)|0;SF(b+7840|0,31912);OF(b+7816|0,Wu(m,b+7840|0)|0);Zu(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);YF(b+7816|0);YF(b+7840|0);c[(b+7872|0)>>2]=j;m=$u(g,b+7872|0)|0;SF(b+7880|0,31392);OF(b+7856|0,Wu(m,b+7880|0)|0);_u(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);YF(b+7856|0);YF(b+7880|0);c[(b+7912|0)>>2]=j;m=$u(g,b+7912|0)|0;SF(b+7920|0,30968);OF(b+7896|0,Wu(m,b+7920|0)|0);_u(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);YF(b+7896|0);YF(b+7920|0);c[(b+7952|0)>>2]=j;m=$u(g,b+7952|0)|0;SF(b+7960|0,29784);OF(b+7936|0,Wu(m,b+7960|0)|0);_u(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);YF(b+7936|0);YF(b+7960|0);c[(b+7992|0)>>2]=j;m=$u(g,b+7992|0)|0;SF(b+8e3|0,29280);OF(b+7976|0,Wu(m,b+8e3|0)|0);_u(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);YF(b+7976|0);YF(b+8e3|0);c[(b+8032|0)>>2]=j;m=$u(g,b+8032|0)|0;SF(b+8040|0,28664);OF(b+8016|0,Wu(m,b+8040|0)|0);_u(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);YF(b+8016|0);YF(b+8040|0);MF(b+8056|0);c[(b+8088|0)>>2]=j;m=$u(g,b+8088|0)|0;SF(b+8096|0,356512);OF(b+8072|0,Wu(m,b+8096|0)|0);dv(b+8072|0,b+8056|0);YF(b+8072|0);YF(b+8096|0);m=(wG(b+8056|0,356480)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;zm(4,0,356256,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=$u(g,b+8128|0)|0;SF(b+8136|0,355760);OF(b+8112|0,Wu(k,b+8136|0)|0);dv(b+8112|0,b+8056|0);YF(b+8112|0);YF(b+8136|0);ev(b+264|0,b+216|0,b+8056|0);ev(b+272|0,b+240|0,b+8056|0);gv(b+8152|0,b+216|0);do{if(fv(b+264|0,b+8152|0)|0){k=c[(hv(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{gv(b+8160|0,b+240|0);if(fv(b+272|0,b+8160|0)|0){m=c[(hv(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((wG(b+8056|0,355552)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);YF(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}HG(b+8184|0,354928,b+8056|0);Qu(b+8168|0,b+8184|0,354792);YF(b+8184|0);j=tG(b+8168|0)|0;Dm(0,354656,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,353808,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=$u(j,b+8216|0)|0;SF(b+8224|0,34168);OF(b+8200|0,Wu(k,b+8224|0)|0);Zu(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);YF(b+8200|0);YF(b+8224|0);c[(b+8256|0)>>2]=g;k=$u(j,b+8256|0)|0;SF(b+8264|0,33e3);OF(b+8240|0,Wu(k,b+8264|0)|0);av(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);YF(b+8240|0);YF(b+8264|0);c[(b+8296|0)>>2]=g;k=$u(j,b+8296|0)|0;SF(b+8304|0,32472);OF(b+8280|0,Wu(k,b+8304|0)|0);Zu(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);YF(b+8280|0);YF(b+8304|0);c[(b+8336|0)>>2]=g;k=$u(j,b+8336|0)|0;SF(b+8344|0,31912);OF(b+8320|0,Wu(k,b+8344|0)|0);Zu(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);YF(b+8320|0);YF(b+8344|0);c[(b+8376|0)>>2]=g;k=$u(j,b+8376|0)|0;SF(b+8384|0,31392);OF(b+8360|0,Wu(k,b+8384|0)|0);_u(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);YF(b+8360|0);YF(b+8384|0);c[(b+8416|0)>>2]=g;k=$u(j,b+8416|0)|0;SF(b+8424|0,30968);OF(b+8400|0,Wu(k,b+8424|0)|0);_u(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);YF(b+8400|0);YF(b+8424|0);c[(b+8456|0)>>2]=g;k=$u(j,b+8456|0)|0;SF(b+8464|0,29784);OF(b+8440|0,Wu(k,b+8464|0)|0);_u(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);YF(b+8440|0);YF(b+8464|0);c[(b+8496|0)>>2]=g;k=$u(j,b+8496|0)|0;SF(b+8504|0,29280);OF(b+8480|0,Wu(k,b+8504|0)|0);_u(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);YF(b+8480|0);YF(b+8504|0);c[(b+8536|0)>>2]=g;k=$u(j,b+8536|0)|0;SF(b+8544|0,28664);OF(b+8520|0,Wu(k,b+8544|0)|0);_u(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);YF(b+8520|0);YF(b+8544|0);MF(b+8560|0);c[(b+8592|0)>>2]=g;k=$u(j,b+8592|0)|0;SF(b+8600|0,356512);OF(b+8576|0,Wu(k,b+8600|0)|0);dv(b+8576|0,b+8560|0);YF(b+8576|0);YF(b+8600|0);k=(wG(b+8560|0,356480)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;zm(4,0,356256,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=$u(j,b+8632|0)|0;SF(b+8640|0,355760);OF(b+8616|0,Wu(m,b+8640|0)|0);dv(b+8616|0,b+8560|0);YF(b+8616|0);YF(b+8640|0);ev(b+264|0,b+216|0,b+8560|0);ev(b+272|0,b+240|0,b+8560|0);gv(b+8656|0,b+216|0);if(fv(b+264|0,b+8656|0)|0){m=c[(hv(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{gv(b+8664|0,b+240|0);if(!(fv(b+272|0,b+8664|0)|0)){break}k=c[(hv(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}YF(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}HG(b+8688|0,353744,b+8560|0);Qu(b+8672|0,b+8688|0,354792);YF(b+8688|0);g=tG(b+8672|0)|0;Dm(0,354656,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,352952,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=$u(g,b+8720|0)|0;SF(b+8728|0,34168);OF(b+8704|0,Wu(m,b+8728|0)|0);Zu(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);YF(b+8704|0);YF(b+8728|0);c[(b+8760|0)>>2]=j;m=$u(g,b+8760|0)|0;SF(b+8768|0,33e3);OF(b+8744|0,Wu(m,b+8768|0)|0);av(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);YF(b+8744|0);YF(b+8768|0);c[(b+8800|0)>>2]=j;m=$u(g,b+8800|0)|0;SF(b+8808|0,32472);OF(b+8784|0,Wu(m,b+8808|0)|0);Zu(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);YF(b+8784|0);YF(b+8808|0);c[(b+8840|0)>>2]=j;m=$u(g,b+8840|0)|0;SF(b+8848|0,31912);OF(b+8824|0,Wu(m,b+8848|0)|0);Zu(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);YF(b+8824|0);YF(b+8848|0);c[(b+8880|0)>>2]=j;m=$u(g,b+8880|0)|0;SF(b+8888|0,31392);OF(b+8864|0,Wu(m,b+8888|0)|0);bv(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);YF(b+8864|0);YF(b+8888|0);c[(b+8920|0)>>2]=j;m=$u(g,b+8920|0)|0;SF(b+8928|0,30968);OF(b+8904|0,Wu(m,b+8928|0)|0);bv(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);YF(b+8904|0);YF(b+8928|0);c[(b+8960|0)>>2]=j;m=$u(g,b+8960|0)|0;SF(b+8968|0,29784);OF(b+8944|0,Wu(m,b+8968|0)|0);bv(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);YF(b+8944|0);YF(b+8968|0);c[(b+9e3|0)>>2]=j;m=$u(g,b+9e3|0)|0;SF(b+9008|0,29280);OF(b+8984|0,Wu(m,b+9008|0)|0);bv(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);YF(b+8984|0);YF(b+9008|0);c[(b+9040|0)>>2]=j;m=$u(g,b+9040|0)|0;SF(b+9048|0,28664);OF(b+9024|0,Wu(m,b+9048|0)|0);bv(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);YF(b+9024|0);YF(b+9048|0);MF(b+9064|0);c[(b+9096|0)>>2]=j;m=$u(g,b+9096|0)|0;SF(b+9104|0,356512);OF(b+9080|0,Wu(m,b+9104|0)|0);dv(b+9080|0,b+9064|0);YF(b+9080|0);YF(b+9104|0);m=(wG(b+9064|0,356480)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;zm(4,0,356256,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=$u(g,b+9136|0)|0;SF(b+9144|0,355760);OF(b+9120|0,Wu(k,b+9144|0)|0);dv(b+9120|0,b+9064|0);YF(b+9120|0);YF(b+9144|0);ev(b+264|0,b+216|0,b+9064|0);ev(b+272|0,b+240|0,b+9064|0);gv(b+9160|0,b+216|0);if(fv(b+264|0,b+9160|0)|0){k=c[(hv(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{gv(b+9168|0,b+240|0);if(!(fv(b+272|0,b+9168|0)|0)){break}m=c[(hv(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}YF(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}HG(b+9192|0,352832,b+9064|0);Qu(b+9176|0,b+9192|0,354792);YF(b+9192|0);j=tG(b+9176|0)|0;Dm(0,354656,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[92490]|0)!=0){Pd[c[3538]&511](4)}zm(4,1,352360,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=$u(j,b+9224|0)|0;SF(b+9232|0,34168);OF(b+9208|0,Wu(k,b+9232|0)|0);Zu(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);YF(b+9208|0);YF(b+9232|0);c[(b+9264|0)>>2]=g;k=$u(j,b+9264|0)|0;SF(b+9272|0,33e3);OF(b+9248|0,Wu(k,b+9272|0)|0);av(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);YF(b+9248|0);YF(b+9272|0);c[(b+9304|0)>>2]=g;k=$u(j,b+9304|0)|0;SF(b+9312|0,32472);OF(b+9288|0,Wu(k,b+9312|0)|0);Zu(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);YF(b+9288|0);YF(b+9312|0);c[(b+9344|0)>>2]=g;k=$u(j,b+9344|0)|0;SF(b+9352|0,31912);OF(b+9328|0,Wu(k,b+9352|0)|0);Zu(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);YF(b+9328|0);YF(b+9352|0);c[(b+9384|0)>>2]=g;k=$u(j,b+9384|0)|0;SF(b+9392|0,31392);OF(b+9368|0,Wu(k,b+9392|0)|0);Zu(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);YF(b+9368|0);YF(b+9392|0);c[(b+9424|0)>>2]=g;k=$u(j,b+9424|0)|0;SF(b+9432|0,30968);OF(b+9408|0,Wu(k,b+9432|0)|0);Zu(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);YF(b+9408|0);YF(b+9432|0);c[(b+9464|0)>>2]=g;k=$u(j,b+9464|0)|0;SF(b+9472|0,29784);OF(b+9448|0,Wu(k,b+9472|0)|0);Zu(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);YF(b+9448|0);YF(b+9472|0);c[(b+9504|0)>>2]=g;k=$u(j,b+9504|0)|0;SF(b+9512|0,29280);OF(b+9488|0,Wu(k,b+9512|0)|0);Zu(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);YF(b+9488|0);YF(b+9512|0);c[(b+9544|0)>>2]=g;k=$u(j,b+9544|0)|0;SF(b+9552|0,28664);OF(b+9528|0,Wu(k,b+9552|0)|0);Zu(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);YF(b+9528|0);YF(b+9552|0);MF(b+9568|0);c[(b+9600|0)>>2]=g;k=$u(j,b+9600|0)|0;SF(b+9608|0,356512);OF(b+9584|0,Wu(k,b+9608|0)|0);dv(b+9584|0,b+9568|0);YF(b+9584|0);YF(b+9608|0);k=(wG(b+9568|0,356480)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;zm(4,0,356256,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=$u(j,b+9640|0)|0;SF(b+9648|0,355760);OF(b+9624|0,Wu(m,b+9648|0)|0);dv(b+9624|0,b+9568|0);YF(b+9624|0);YF(b+9648|0);ev(b+264|0,b+216|0,b+9568|0);ev(b+272|0,b+240|0,b+9568|0);gv(b+9664|0,b+216|0);if(fv(b+264|0,b+9664|0)|0){m=c[(hv(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{gv(b+9672|0,b+240|0);if(!(fv(b+272|0,b+9672|0)|0)){break}k=c[(hv(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}YF(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}HG(b+9696|0,352336,b+9568|0);Qu(b+9680|0,b+9696|0,354792);YF(b+9696|0);g=tG(b+9680|0)|0;Dm(0,354656,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[92490]|0)!=0){Pd[c[3538]&511](4)}Hh(e);iv(b+240|0);iv(b+216|0);YF(b+200|0);jv(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}




// EMSCRIPTEN_END_FUNCS
var Md=[LR,LR,zo,LR,Bo,LR,yh,LR,Go,LR,LR,LR,LR,LR,LR,LR];var Nd=[MR,MR,lp,MR];var Od=[NR,NR,hk,NR,Dj,NR,ZP,NR,kl,NR,il,NR,YP,NR,Xi,NR,Yi,NR,Mk,NR,Ej,NR,jl,NR,Nk,NR,XP,NR,ik,NR,NR,NR];var Pd=[OR,OR,sM,OR,MI,OR,nM,OR,rF,OR,yF,OR,YG,OR,xM,OR,LM,OR,eF,OR,TE,OR,GM,OR,NJ,OR,qF,OR,xN,OR,wF,OR,jJ,OR,zF,OR,CI,OR,yI,OR,Ov,OR,SC,OR,rF,OR,JM,OR,ZM,OR,CK,OR,kJ,OR,IP,OR,qI,OR,bp,OR,oM,OR,KM,OR,VC,OR,aK,OR,QH,OR,NI,OR,pL,OR,CM,OR,Up,OR,NP,OR,js,OR,xf,OR,BL,OR,VN,OR,AG,OR,wF,OR,II,OR,WK,OR,YN,OR,MM,OR,cQ,OR,hM,OR,UN,OR,wf,OR,AI,OR,es,OR,YH,OR,SE,OR,HI,OR,RK,OR,KO,OR,rF,OR,EO,OR,OJ,OR,WN,OR,IN,OR,TC,OR,fs,OR,Nv,OR,kp,OR,xm,OR,qL,OR,PH,OR,eI,OR,OK,OR,BK,OR,eL,OR,lQ,OR,cs,OR,vf,OR,XG,OR,yf,OR,$Q,OR,OG,OR,HO,OR,IO,OR,wI,OR,qv,OR,rI,OR,AH,OR,QP,OR,hN,OR,KP,OR,RH,OR,xI,OR,LL,OR,KE,OR,AL,OR,sI,OR,Bg,OR,vm,OR,Af,OR,mQ,OR,OP,OR,ZE,OR,BM,OR,PK,OR,WL,OR,JP,OR,TN,OR,OL,OR,iM,OR,JO,OR,VK,OR,$J,OR,BI,OR,Mv,OR,gs,OR,zI,OR,DI,OR,_H,OR,qC,OR,pN,OR,sf,OR,bM,OR,VL,OR,XN,OR,oK,OR,RC,OR,KP,OR,RP,OR,dI,OR,jE,OR,IF,OR,OH,OR,EC,OR,_E,OR,PG,OR,pI,OR,hs,OR,XC,OR,NG,OR,cI,OR,HF,OR,fF,OR,EM,OR,nK,OR,fL,OR,ME,OR,ZH,OR,zH,OR,bI,OR,GO,OR,PP,OR,tM,OR,Hn,OR,LE,OR,MP,OR,SK,OR,cM,OR,ML,OR,YF,OR,_M,OR,vF,OR,XH,OR,LO,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR,OR];var Qd=[PR,PR,fO,PR,Fq,PR,Tq,PR,GL,PR,Su,PR,iL,PR,uD,PR,cO,PR,Cq,PR,zL,PR,Eq,PR,Cu,PR,Jq,PR,Bq,PR,bO,PR,oL,PR,NE,PR,rM,PR,Du,PR,BH,PR,aL,PR,JL,PR,Bu,PR,zf,PR,wL,PR,$K,PR,ZK,PR,HL,PR,FM,PR,Dq,PR,$E,PR,KL,PR,qu,PR,eO,PR,ks,PR,jL,PR,uF,PR,EL,PR,nu,PR,gO,PR,yL,PR,lL,PR,dO,PR,nL,PR,UE,PR,nH,PR,lu,PR,wM,PR,gF,PR,tL,PR,dL,PR,cL,PR,_K,PR,ju,PR,Vq,PR,uL,PR,vL,PR,FL,PR,kL,PR,PR,PR,PR,PR,PR,PR,PR,PR];var Rd=[QR,QR,Fo,QR,dj,QR,kj,QR,Ao,QR,Co,QR,Do,QR,Eo,QR];var Sd=[RR,RR,jC,RR,uO,RR,of,RR,uH,RR,Ee,RR,mN,RR,kO,RR,Ff,RR,vH,RR,PN,RR,uh,RR,sO,RR,gL,RR,aR,RR,pK,RR,iO,RR,Gf,RR,iF,RR,pp,RR,JH,RR,bQ,RR,IH,RR,yp,RR,ON,RR,oO,RR,mO,RR,ah,RR,vh,RR,rh,RR,xF,RR,th,RR,ZN,RR,nO,RR,Ag,RR,os,RR,_N,RR,rH,RR,pf,RR,Df,RR,lN,RR,IL,RR,pO,RR,OE,RR,bR,RR,hL,RR,Rm,RR,EN,RR,cR,RR,uN,RR,CL,RR,hO,RR,VE,RR,Fp,RR,uI,RR,bL,RR,GH,RR,WE,RR,dR,RR,$N,RR,sH,RR,LP,RR,FH,RR,aF,RR,ps,RR,oN,RR,mL,RR,tO,RR,hF,RR,DN,RR,nQ,RR,De,RR,XK,RR,jO,RR,YK,RR,Ce,RR,sF,RR,rL,RR,wN,RR,xL,RR,sL,RR,lO,RR,DL,RR,sh,RR,tN,RR,DK,RR,aO,RR,_C,RR,rO,RR,CE,RR,qO,RR,eh,RR,qh,RR,ph,RR,oh,RR,fh,RR,HN,RR,eR,RR,bh,RR,Fg,RR,Cg,RR,fR,RR,SN,RR,dh,RR,gR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR,RR];var Td=[SR,SR,ql,SR,Cl,SR,zl,SR,Dl,SR,El,SR,Fl,SR,Ul,SR,wl,SR,bm,SR,YM,SR,sl,SR,fm,SR,gm,SR,CN,SR,rl,SR,dm,SR,cm,SR,Yl,SR,_l,SR,Xl,SR,am,SR,em,SR,gN,SR,JI,SR,QN,SR,Gl,SR,FN,SR,Ll,SR,Ml,SR,Nl,SR,Il,SR,Jl,SR,yl,SR,Hl,SR,Kl,SR,$l,SR,Bl,SR,hm,SR,Wl,SR,Ql,SR,Rl,SR,Tl,SR,Vl,SR,Ol,SR,xl,SR,Sl,SR,Pl,SR,im,SR,EI,SR,lm,SR,kN,SR,nN,SR,tl,SR,sN,SR,vl,SR,Zl,SR,NN,SR,vN,SR,mm,SR,Al,SR,jm,SR,km,SR,SR,SR];var Ud=[TR,TR,_i,TR,GI,TR,UM,TR,Cf,TR,pC,TR,fN,TR,lC,TR,SP,TR,pM,TR,fj,TR,aN,TR,XM,TR,uj,TR,uE,TR,_j,TR,LI,TR,Aj,TR,CF,TR,Dk,TR,xH,TR,tH,TR,NM,TR,CH,TR,uM,TR,hj,TR,lj,TR,ls,TR,SM,TR,PE,TR,HH,TR,DF,TR,cN,TR,ek,TR,oH,TR,Jk,TR,bF,TR,sC,TR,LH,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR,TR];var Vd=[UR,UR,kK,UR,iK,UR,ZJ,UR,WJ,UR,UR,UR,UR,UR,UR,UR];var Wd=[VR,VR,TK,VR,QK,VR,NL,VR,XL,VR,RL,VR,ZL,VR,VR,VR];var Xd=[WR,WR,_P,WR,gK,WR,cK,WR,bK,WR,$P,WR,tm,WR,lK,WR,ms,WR,qM,WR,DH,WR,_J,WR,PJ,WR,UJ,WR,QJ,WR,YC,WR,aQ,WR,pH,WR,sm,WR,vM,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR,WR];var Yd=[XR,XR,wp,XR,xp,XR,XR,XR];var Zd=[YR,YR,rf,YR];var _d=[ZR,ZR,qK,ZR,uK,ZR,EK,ZR,GK,ZR,mM,ZR,hK,ZR,fK,ZR,gM,ZR,tK,ZR,HK,ZR,FJ,ZR,SI,ZR,sK,ZR,tJ,ZR,YI,ZR,FK,ZR,VJ,ZR,TJ,ZR,xJ,ZR,pJ,ZR,rJ,ZR,gJ,ZR,vJ,ZR,nJ,ZR,lJ,ZR,DJ,ZR,BJ,ZR,zJ,ZR,IK,ZR,WI,ZR,rK,ZR,_I,ZR,UI,ZR,QI,ZR,eJ,ZR,cJ,ZR,aJ,ZR,OI,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR,ZR];var $d=[_R,_R,jM,_R,dM,_R,_R,_R];var ae=[$R,$R,JK,$R,vK,$R,$R,$R];var be=[aS,aS,Tk,aS,jF,aS,Rk,aS,Sk,aS,Bf,aS,Ef,aS,Ui,aS,VM,aS,KH,aS,dN,aS,Gk,aS,$M,aS,XE,aS,cF,aS,RM,aS,ak,aS,Vi,aS,aD,aS,Vk,aS,Uk,aS,Qk,aS,Be,aS,qs,aS,vP,aS,bN,aS,wh,aS,Ik,aS,bk,aS,Wi,aS,Hf,aS,yH,aS,an,aS,MH,aS,TM,aS,hR,aS,dk,aS,iR,aS,Fk,aS,$C,aS,zj,aS,xh,aS,rs,aS,wH,aS,QE,aS,wj,aS,Pk,aS,Ok,aS,xj,aS,eQ,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS,aS];var ce=[bS,bS,gq,bS];var de=[cS,cS,HE,cS,IE,cS,FE,cS,jR,cS,Sm,cS,zh,cS,cS,cS];var ee=[dS,dS,Ph,dS,ii,dS,Cj,dS,Vj,dS,Mi,dS,gk,dS,ij,dS,Hk,dS,vj,dS,Ak,dS,Ek,dS,Si,dS,pj,dS,Wj,dS,OM,dS,zk,dS,xk,dS,mj,dS,kR,dS,aj,dS,Xj,dS,oj,dS,PM,dS,Yj,dS,tj,dS,rj,dS,Ck,dS,eN,dS,Lk,dS,qj,dS,yj,dS,Ai,dS,Di,dS,$j,dS,sj,dS,Fi,dS,di,dS,yk,dS,Bk,dS,bj,dS,Gi,dS,Zj,dS,WM,dS,ck,dS,ri,dS,jj,dS,QM,dS,Uj,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS,dS];var fe=[eS,eS,tC,eS,wq,eS,yq,eS,Ru,eS,BF,eS,vI,eS,tD,eS];var ge=[fS,fS,uf,fS,GD,fS,nm,fS,lR,fS,Qm,fS,pm,fS,fS,fS];var he=[gS,gS,qN,gS,AN,gS,yN,gS,JN,gS,LN,gS,rN,gS,iN,gS,jN,gS,gS,gS,gS,gS,gS,gS,gS,gS,gS,gS,gS,gS,gS,gS];var ie=[hS,hS,ZC,hS,UP,hS,cj,hS,Bj,hS,TP,hS,Bm,hS,Kk,hS,ns,hS,qH,hS,KI,hS,EH,hS,VP,hS,zm,hS,FI,hS,fk,hS];return{_testSetjmp:IQ,_strlen:DQ,_free:cQ,_main:tf,_rand_r:KQ,_realloc:eQ,_strncpy:EQ,_memmove:JQ,__GLOBAL__I_a:lF,_saveSetjmp:HQ,_memset:GQ,_malloc:bQ,_memcpy:FQ,_strcpy:MQ,_calloc:dQ,_rand:LQ,runPostSets:ze,stackAlloc:je,stackSave:ke,stackRestore:le,setThrew:me,setTempRet0:pe,setTempRet1:qe,setTempRet2:re,setTempRet3:se,setTempRet4:te,setTempRet5:ue,setTempRet6:ve,setTempRet7:we,setTempRet8:xe,setTempRet9:ye,dynCall_iiiiiiii:mR,dynCall_vd:nR,dynCall_viiiii:oR,dynCall_vi:pR,dynCall_vii:qR,dynCall_iiiiiiiiiii:rR,dynCall_ii:sR,dynCall_iiiiii:tR,dynCall_iiii:uR,dynCall_viiiiid:vR,dynCall_viiiiiiii:wR,dynCall_viiiiii:xR,dynCall_viidii:yR,dynCall_iid:zR,dynCall_viiiiiii:AR,dynCall_viiiiiid:BR,dynCall_viiiiiiiii:CR,dynCall_iii:DR,dynCall_iiiiidi:ER,dynCall_i:FR,dynCall_iiiii:GR,dynCall_viii:HR,dynCall_v:IR,dynCall_iiiiiiiii:JR,dynCall_viiii:KR}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_viidii": invoke_viidii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_lis_vector_create": _lis_vector_create, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "__exit": __exit, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_emscripten_memcpy_big": _emscripten_memcpy_big, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_sysconf": _sysconf, "_puts": _puts, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_pthread_cond_broadcast": _pthread_cond_broadcast, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_catclose": _catclose, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_GC_collect_a_little": _GC_collect_a_little, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_lis_solver_set_option": _lis_solver_set_option, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "_stdin": _stdin, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






