var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 480280;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);









































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });









































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,248,215,6,0,58,1,0,0,168,0,0,0,78,0,0,0,190,0,0,0,12,0,0,0,10,0,0,0,10,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,8,216,6,0,58,1,0,0,50,1,0,0,78,0,0,0,190,0,0,0,12,0,0,0,32,0,0,0,6,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,240,129,0,0,110,0,0,0,80,136,6,0,114,0,0,0,128,101,6,0,102,0,0,0,72,83,6,0,97,0,0,0,136,156,0,0,101,0,0,0,184,137,0,0,119,0,0,0,224,123,0,0,87,0,0,0,24,111,0,0,115,0,0,0,144,99,0,0,83,0,0,0,0,91,0,0,100,0,0,0,160,178,6,0,68,0,0,0,80,167,6,0,0,0,0,0,0,0,0,0,192,56,7,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,208,91,6,0,56,89,6,0,72,67,7,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,200,57,7,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,30,0,0,0,30,0,0,0,30,0,0,0,24,67,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,71,0,0,0,1,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,208,58,7,0,0,0,0,0,88,59,7,0,0,0,0,0,224,59,7,0,0,0,0,0,104,60,7,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,152,109,6,0,40,72,6,0,160,150,0,0,224,133,0,0,240,118,0,0,136,107,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,10,0,0,0,88,0,0,0,88,0,0,0,40,0,0,0,94,0,0,0,4,0,0,0,8,0,0,0,84,0,0,0,208,0,0,0,208,0,0,0,24,0,0,0,10,0,0,0,88,67,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,88,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,160,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,168,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,88,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,80,39,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,42], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([240,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,240,60,7,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,44,0,0,0,24,0,0,0,60,0,0,0,52,0,0,0,68,0,0,0,50,0,0,0,26,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,82,0,0,0,36,0,0,0,10,0,0,0,6,0,0,0,4,0,0,0,16,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,24,0,0,0,60,0,0,0,52,0,0,0,68,0,0,0,50,0,0,0,26,0,0,0,18,0,0,0,90,0,0,0,96,0,0,0,26,0,0,0,82,0,0,0,36,0,0,0,10,0,0,0,6,0,0,0,4,0,0,0,16,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,20,0,0,0,18,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,20,0,0,0,18,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,14,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,38,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,64,229,6,0,216,228,6,0,168,228,6,0,208,228,6,0,192,228,6,0,176,228,6,0,3,0,0,0,0,0,0,0,255,255,255,255,56,67,7,0,56,67,7,0,56,67,7,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,64,117,6,0,160,82,6,0,224,155,0,0,104,137,0,0,16,130,6,0,8,161,6,0,144,1,0,0,0,0,0,0,80,53,7,0,0,0,0,0,144,58,0,0,208,80,0,0,192,1,0,0,208,77,0,0,208,77,0,0,176,55,0,0,192,1,0,0,0,0,0,0,0,60,0,0,64,82,0,0,48,3,0,0,64,79,0,0,64,79,0,0,32,57,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,76,0,0,0,0,176,60,49,101,0,0,0,0,16,0,244,14,255,255,255,255,239,127,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,232,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,161,0,0,80,155,0,0,16,153,0,0,176,151,0,0,8,150,0,0,72,148,0,0,8,147,0,0,120,145,0,0,144,161,0,0,112,144,0,0,176,142,0,0,160,141,0,0,32,137,0,0,112,135,0,0,112,134,0,0,72,133,0,0,0,0,0,0,192,100,6,0,88,97,6,0,72,67,7,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,80,67,7,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,128,63,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,6,0,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,160,153,0,0,0,0,0,0,232,141,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,96,0,0,0,8,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,32,0,0,0,66,0,0,0,32,0,0,0,54,0,0,0,88,0,0,0,72,0,0,0,66,0,0,0,34,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,8,0,0,0,28,0,0,0,42,0,0,0,48,0,0,0,84,0,0,0,32,0,0,0,66,0,0,0,32,0,0,0,54,0,0,0,88,0,0,0,72,0,0,0,66,0,0,0,34,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10244);
/* memory initializer */ allocate([28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,229,6,0,120,229,6,0,112,229,6,0,104,229,6,0,136,229,6,0,144,229,6,0,48,229,6,0,32,229,6,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,8,0,0,0,18,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,20,0,0,0,78,0,0,0,54,0,0,0,40,0,0,0,22,0,0,0,78,0,0,0,20,0,0,0,16,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,58,0,0,0,8,0,0,0,18,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,248,61,7,0,0,0,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,38,108,116,59,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,74,117,108,0,0,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,79,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,74,117,110,0,0,0,0,0,100,101,114,40,0,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,65,112,114,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,77,97,114,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,70,101,98,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,74,97,110,0,0,0,0,0,78,111,110,45,117,110,105,116,0,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,118,111,108,117,109,101,46,109,0,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,80,79,0,0,0,0,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,79,99,116,111,98,101,114,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,65,117,103,117,115,116,0,0,76,0,0,0,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,74,117,108,121,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,36,112,68,69,82,46,0,0,74,117,110,101,0,0,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,36,90,69,82,79,46,0,0,77,97,121,0,0,0,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,105,108,115,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,65,112,114,105,108,0,0,0,114,98,0,0,0,0,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,77,97,114,99,104,0,0,0,85,112,112,101,114,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,74,97,110,117,97,114,121,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,108,105,115,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,84,82,73,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,46,0,0,0,0,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,32,40,115,99,97,108,101,100,41,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,37,115,37,49,48,103,32,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,110,117,109,101,114,105,99,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,115,116,97,116,101,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,85,0,0,0,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,123,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,100,101,98,117,103,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,101,114,114,111,114,0,0,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,119,97,114,110,105,110,103,0,105,105,116,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,105,110,102,111,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,109,97,120,0,0,0,0,0,105,112,111,112,116,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,100,97,116,97,95,50,0,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,109,105,110,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,38,103,116,59,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,38,108,116,59,0,0,0,0,85,110,105,116,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,110,111,109,105,110,97,108,0,107,105,110,115,111,108,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,85,110,104,97,110,100,108,101,100,32,65,115,115,101,114,116,105,111,110,45,69,114,114,111,114,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,38,97,109,112,59,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,108,97,112,97,99,107,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,118,111,108,117,109,101,46,86,0,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,66,82,68,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,69,114,114,111,114,58,32,0,102,105,120,101,100,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,10,9,114,101,115,105,100,117,97,108,32,61,32,37,101,0,0,0,0,110,101,119,117,111,97,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,34,32,47,62,10,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,60,114,101,102,115,62,10,0,115,116,97,114,116,0,0,0,115,105,109,112,108,101,120,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,83,84,79,80,32,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,124,32,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,37,45,55,115,32,124,32,0,100,97,116,97,95,49,0,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20484);
/* memory initializer */ allocate([45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,37,115,0,0,0,0,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,68,84,82,83,77,32,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,37,32,46,53,101,32,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,62,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,72,82,68,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,37,115,0,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,102,117,110,99,32,61,32,37,100,32,43,43,43,32,101,114,114,111,114,32,61,32,37,46,49,53,101,32,43,43,43,32,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,49,53,101,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,70,97,105,108,101,100,32,116,111,32,115,111,108,118,101,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,40,110,111,46,32,37,100,41,32,97,116,32,116,105,109,101,32,37,102,44,32,115,121,115,116,101,109,32,105,115,32,115,105,110,103,117,108,97,114,32,102,111,114,32,85,91,37,100,44,32,37,100,93,46,0,0,0,0,0,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,116,97,116,101,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,105,105,102,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,80,77,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,65,77,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,63,63,63,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,76,111,119,101,114,0,0,0,85,110,105,116,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,114,43,0,0,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,27,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,81,76,70,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,110,97,109,101,0,0,0,0,42,42,42,32,83,121,115,116,101,109,32,115,111,108,118,101,100,32,42,42,42,10,37,100,32,114,101,115,116,97,114,116,115,0,0,0,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,87,101,108,108,44,32,116,104,105,115,32,105,115,32,101,109,98,97,114,114,97,115,105,110,103,46,32,84,104,101,32,110,111,110,45,108,105,110,101,97,114,32,115,111,108,118,101,114,32,115,104,111,117,108,100,32,110,101,118,101,114,32,99,97,108,108,32,116,104,105,115,32,99,97,115,101,46,37,100,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,40,110,111,46,32,37,100,41,32,97,116,32,116,105,109,101,32,37,102,46,32,65,114,103,117,109,101,110,116,32,37,100,32,105,108,108,101,103,97,108,46,0,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,101,110,100,102,105,108,101,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,0,0,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,45,45,32,101,110,100,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,100,97,115,115,108,0,0,0,32,73,79,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,78,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,45,45,32,98,101,103,105,110,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,45,45,32,101,110,100,32,111,102,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,37,46,49,54,103,44,0,0,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,104,101,108,112,0,0,0,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,85,110,107,110,111,119,110,32,101,113,117,97,116,105,111,110,32,115,121,115,116,101,109,32,101,114,114,111,114,58,32,37,100,32,37,115,32,37,103,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,45,45,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,91,37,50,100,93,32,37,50,48,46,49,50,103,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,108,97,109,98,100,97,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,110,102,117,110,99,32,61,32,37,100,10,101,114,114,111,114,32,61,32,37,46,50,48,101,10,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,50,48,101,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,84,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,119,114,105,116,105,110,103,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,7,0,0,0,0,0,0,0,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,114,0,0,0,0,0,0,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,76,81,70,0,0,0,0,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,32,43,43,43,32,111,108,100,32,61,32,37,101,32,43,43,43,32,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,101,0,37,115,44,0,0,0,0,0,44,37,115,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30724);
/* memory initializer */ allocate([34,37,115,34,0,0,0,0,0,0,0,0,115,116,97,116,105,115,116,105,99,115,0,0,0,0,0,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,10,111,108,100,32,61,32,37,102,10,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,102,0,78,76,83,95,77,65,88,0,98,32,118,101,99,116,111,114,32,91,37,100,93,0,0,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,114,101,97,100,105,110,103,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,114,101,115,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,95,105,110,102,111,46,120,109,108,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,102,117,110,99,116,105,111,110,115,0,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+40964);
/* memory initializer */ allocate([116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,114,111,112,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,56,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,114,111,112,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,56,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,32,40,109,95,102,108,111,119,32,38,103,116,59,32,48,32,105,115,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,54,34,32,108,105,110,101,69,110,100,61,34,51,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,32,40,109,95,102,108,111,119,32,38,103,116,59,32,48,32,105,115,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,54,34,32,108,105,110,101,69,110,100,61,34,51,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,45,51,51,51,46,51,51,51,51,51,51,51,51,51,51,51,51,51,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51204);
/* memory initializer */ allocate([112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,45,51,51,51,46,51,51,51,51,51,51,51,51,51,51,51,51,51,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,85,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61444);
/* memory initializer */ allocate([114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,85,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71684);
/* memory initializer */ allocate([115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+81924);
/* memory initializer */ allocate([101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92164);
/* memory initializer */ allocate([101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102404);
/* memory initializer */ allocate([83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,111,114,116,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112644);
/* memory initializer */ allocate([101,46,112,111,114,116,95,98,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,111,114,116,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+122884);
/* memory initializer */ allocate([116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133124);
/* memory initializer */ allocate([108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143364);
/* memory initializer */ allocate([32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,85,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,85,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153604);
/* memory initializer */ allocate([68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,56,34,32,108,105,110,101,69,110,100,61,34,51,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,56,34,32,108,105,110,101,69,110,100,61,34,51,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,56,34,32,108,105,110,101,69,110,100,61,34,51,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,50,34,32,108,105,110,101,69,110,100,61,34,51,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+163844);
/* memory initializer */ allocate([56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,50,34,32,108,105,110,101,69,110,100,61,34,51,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,52,34,32,108,105,110,101,69,110,100,61,34,51,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,52,34,32,108,105,110,101,69,110,100,61,34,51,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,52,48,53,48,51,46,48,48,50,53,56,55,55,52,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,54,34,32,108,105,110,101,69,110,100,61,34,51,53,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,52,48,53,48,51,46,48,48,50,53,56,55,55,52,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,54,34,32,108,105,110,101,69,110,100,61,34,51,53,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,115,105,122,101,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,54,34,32,108,105,110,101,69,110,100,61,34,51,49,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,86,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,115,105,122,101,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,54,34,32,108,105,110,101,69,110,100,61,34,51,49,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,100,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,52,34,32,108,105,110,101,69,110,100,61,34,51,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,100,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,52,34,32,108,105,110,101,69,110,100,61,34,51,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174084);
/* memory initializer */ allocate([32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,97,110,32,105,110,102,105,110,105,116,101,32,114,101,115,101,114,118,111,105,114,32,116,111,32,116,104,101,32,102,108,117,105,100,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,51,34,32,108,105,110,101,69,110,100,61,34,51,50,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,97,110,32,105,110,102,105,110,105,116,101,32,114,101,115,101,114,118,111,105,114,32,116,111,32,116,104,101,32,102,108,117,105,100,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,51,34,32,108,105,110,101,69,110,100,61,34,51,50,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,51,34,32,108,105,110,101,69,110,100,61,34,51,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,51,34,32,108,105,110,101,69,110,100,61,34,51,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184324);
/* memory initializer */ allocate([46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,51,34,32,108,105,110,101,69,110,100,61,34,51,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,51,34,32,108,105,110,101,69,110,100,61,34,51,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,97,116,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,53,34,32,108,105,110,101,69,110,100,61,34,51,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,97,116,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,53,34,32,108,105,110,101,69,110,100,61,34,51,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,117,115,101,95,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,115,116,97,114,116,32,111,114,32,100,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,117,115,101,95,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,115,116,97,114,116,32,111,114,32,100,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,115,116,97,114,116,32,111,114,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,55,34,32,108,105,110,101,69,110,100,61,34,51,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,115,116,97,114,116,32,111,114,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,55,34,32,108,105,110,101,69,110,100,61,34,51,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194564);
/* memory initializer */ allocate([32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,54,34,32,108,105,110,101,69,110,100,61,34,51,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,54,34,32,108,105,110,101,69,110,100,61,34,51,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,117,115,101,95,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,97,109,98,105,101,110,116,32,111,114,32,100,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,117,115,101,95,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,97,109,98,105,101,110,116,32,111,114,32,100,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,51,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,51,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+204804);
/* memory initializer */ allocate([60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,53,48,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,32,42,32,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,70,117,110,99,116,105,111,110,115,46,104,95,84,40,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,68,97,116,97,82,101,99,111,114,100,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,55,40,83,116,114,105,110,103,41,35,44,32,48,46,48,49,56,48,49,53,50,56,44,32,45,49,51,52,50,51,51,56,50,46,56,49,55,50,53,50,57,49,44,32,53,52,57,55,54,48,46,54,52,55,54,50,56,48,49,51,53,44,32,49,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,56,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,57,40,82,101,97,108,91,50,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,48,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,49,40,82,101,97,108,91,50,93,41,35,44,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,44,32,116,114,117,101,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,67,104,111,105,99,101,115,46,82,101,102,101,114,101,110,99,101,69,110,116,104,97,108,112,121,46,90,101,114,111,65,116,48,75,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,70,117,110,99,116,105,111,110,115,46,104,95,84,40,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,68,97,116,97,82,101,99,111,114,100,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,55,40,83,116,114,105,110,103,41,35,44,32,48,46,48,49,56,48,49,53,50,56,44,32,45,49,51,52,50,51,51,56,50,46,56,49,55,50,53,50,57,49,44,32,53,52,57,55,54,48,46,54,52,55,54,50,56,48,49,51,53,44,32,49,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,56,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,57,40,82,101,97,108,91,50,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,48,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,49,40,82,101,97,108,91,50,93,41,35,44,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,44,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,44,32,116,114,117,101,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,67,104,111,105,99,101,115,46,82,101,102,101,114,101,110,99,101,69,110,116,104,97,108,112,121,46,90,101,114,111,65,116,48,75,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215044);
/* memory initializer */ allocate([83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,32,43,32,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,32,43,32,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,70,117,110,99,116,105,111,110,115,46,104,95,84,40,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,68,97,116,97,82,101,99,111,114,100,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,55,40,83,116,114,105,110,103,41,35,44,32,48,46,48,49,56,48,49,53,50,56,44,32,45,49,51,52,50,51,51,56,50,46,56,49,55,50,53,50,57,49,44,32,53,52,57,55,54,48,46,54,52,55,54,50,56,48,49,51,53,44,32,49,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,56,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,57,40,82,101,97,108,91,50,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,48,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,49,40,82,101,97,108,91,50,93,41,35,44,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,116,114,117,101,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,67,104,111,105,99,101,115,46,82,101,102,101,114,101,110,99,101,69,110,116,104,97,108,112,121,46,90,101,114,111,65,116,48,75,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,48,49,34,32,108,105,110,101,69,110,100,61,34,51,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,43,32,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,52,34,32,108,105,110,101,69,110,100,61,34,51,50,48,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,34,32,108,105,110,101,69,110,100,61,34,57,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,54,57,34,32,108,105,110,101,69,110,100,61,34,51,52,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,115,104,111,114,116,80,105,112,101,46,100,112,44,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,48,34,32,108,105,110,101,69,110,100,61,34,51,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,45,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,86,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,50,34,32,108,105,110,101,69,110,100,61,34,51,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,45,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225284);
/* memory initializer */ allocate([109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,41,32,116,104,101,110,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,101,108,115,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,34,32,108,105,110,101,69,110,100,61,34,57,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,86,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,45,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,44,32,118,111,108,117,109,101,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,34,32,110,110,122,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,110,111,69,118,101,110,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,32,49,48,48,48,46,48,41,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,40,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,68,73,86,73,83,73,79,78,40,53,55,53,46,53,55,51,49,48,49,57,57,57,57,57,57,57,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,43,32,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,32,43,32,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,32,43,32,48,46,57,51,49,55,56,50,54,53,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,32,43,32,45,51,51,48,51,57,46,55,52,51,49,32,43,32,53,55,53,46,53,55,51,49,48,49,57,57,57,57,57,57,57,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,57,51,49,55,56,50,54,53,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,51,51,48,51,57,46,55,52,51,49,32,43,32,53,55,53,46,53,55,51,49,48,49,57,57,57,57,57,57,57,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,57,51,49,55,56,50,54,53,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,45,32,45,51,57,52,55,57,46,54,48,56,51,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,101,108,115,101,32,68,73,86,73,83,73,79,78,40,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,40,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,68,73,86,73,83,73,79,78,40,45,50,52,49,50,46,54,57,56,53,54,50,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,43,32,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,32,43,32,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,32,43,32,52,46,54,52,54,49,49,48,55,56,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,32,43,32,45,49,51,56,52,50,46,56,54,53,48,57,32,43,32,45,50,52,49,50,46,54,57,56,53,54,50,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,52,46,54,52,54,49,49,48,55,56,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,49,51,56,52,50,46,56,54,53,48,57,32,43,32,45,50,52,49,50,46,54,57,56,53,54,50,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,52,46,54,52,54,49,49,48,55,56,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,45,32,49,48,51,52,57,55,50,46,48,57,54,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,94,32,50,46,48,32,42,32,50,49,51,48,48,51,46,55,56,51,50,56,57,55,56,50,51,41,32,45,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,52,53,51,55,48,54,49,49,54,57,53,46,55,54,48,53,51,32,47,32,45,57,56,51,48,54,50,49,53,46,49,55,49,54,49,56,57,49,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,34,32,108,105,110,101,69,110,100,61,34,57,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,60,47,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235524);
/* memory initializer */ allocate([104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,32,42,32,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+245764);
/* memory initializer */ allocate([62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,52,34,32,108,105,110,101,69,110,100,61,34,51,50,48,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,34,32,108,105,110,101,69,110,100,61,34,57,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,54,57,34,32,108,105,110,101,69,110,100,61,34,51,52,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,115,104,111,114,116,80,105,112,101,46,100,112,44,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,48,34,32,108,105,110,101,69,110,100,61,34,51,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,45,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,86,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,70,117,110,99,116,105,111,110,115,46,104,95,84,40,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,68,97,116,97,82,101,99,111,114,100,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,55,40,83,116,114,105,110,103,41,35,44,32,48,46,48,49,56,48,49,53,50,56,44,32,45,49,51,52,50,51,51,56,50,46,56,49,55,50,53,50,57,49,44,32,53,52,57,55,54,48,46,54,52,55,54,50,56,48,49,51,53,44,32,49,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,56,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,57,40,82,101,97,108,91,50,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,48,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,49,40,82,101,97,108,91,50,93,41,35,44,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,116,114,117,101,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,67,104,111,105,99,101,115,46,82,101,102,101,114,101,110,99,101,69,110,116,104,97,108,112,121,46,90,101,114,111,65,116,48,75,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,43,32,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,41,32,116,104,101,110,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,101,108,115,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,48,49,34,32,108,105,110,101,69,110,100,61,34,51,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,50,34,32,108,105,110,101,69,110,100,61,34,51,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,45,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256004);
/* memory initializer */ allocate([55,56,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,34,32,108,105,110,101,69,110,100,61,34,57,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,86,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,45,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,44,32,118,111,108,117,109,101,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,34,32,110,110,122,61,34,52,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,40,105,102,32,110,111,69,118,101,110,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,32,49,48,48,48,46,48,41,32,116,104,101,110,32,68,73,86,73,83,73,79,78,40,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,40,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,68,73,86,73,83,73,79,78,40,53,55,53,46,53,55,51,49,48,49,57,57,57,57,57,57,57,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,43,32,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,32,43,32,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,32,43,32,48,46,57,51,49,55,56,50,54,53,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,32,43,32,45,51,51,48,51,57,46,55,52,51,49,32,43,32,53,55,53,46,53,55,51,49,48,49,57,57,57,57,57,57,57,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,57,51,49,55,56,50,54,53,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,51,51,48,51,57,46,55,52,51,49,32,43,32,53,55,53,46,53,55,51,49,48,49,57,57,57,57,57,57,57,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,57,51,49,55,56,50,54,53,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,51,54,49,49,51,53,54,52,51,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,52,52,55,53,49,57,49,50,51,51,51,51,51,51,51,101,45,48,54,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,49,46,50,51,56,55,54,48,56,55,50,53,101,45,48,57,32,43,32,45,50,46,54,55,51,56,54,54,52,57,50,101,45,49,51,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,45,32,45,51,57,52,55,57,46,54,48,56,51,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,101,108,115,101,32,68,73,86,73,83,73,79,78,40,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,40,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,68,73,86,73,83,73,79,78,40,45,50,52,49,50,46,54,57,56,53,54,50,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,43,32,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,32,43,32,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,32,43,32,52,46,54,52,54,49,49,48,55,56,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,32,43,32,45,49,51,56,52,50,46,56,54,53,48,57,32,43,32,45,50,52,49,50,46,54,57,56,53,54,50,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,52,46,54,52,54,49,49,48,55,56,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,49,51,56,52,50,46,56,54,53,48,57,32,43,32,45,50,52,49,50,46,54,57,56,53,54,50,32,42,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,52,46,54,52,54,49,49,48,55,56,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,48,46,48,48,49,49,52,53,57,57,57,49,53,51,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,45,50,46,50,55,56,57,52,51,52,57,51,51,51,51,51,51,51,101,45,48,55,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,40,50,46,51,53,54,54,49,55,50,51,50,53,101,45,49,49,32,43,32,45,57,46,54,52,52,55,54,49,48,54,48,48,48,48,48,48,49,101,45,49,54,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,41,41,41,32,45,32,49,48,51,52,57,55,50,46,48,57,54,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,56,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,50,49,51,48,48,51,46,55,56,51,50,56,57,55,56,50,51,32,42,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,94,32,50,46,48,32,43,32,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,43,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,42,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,55,34,32,108,105,110,101,69,110,100,61,34,57,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,55,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,73,100,101,97,108,71,97,115,83,116,101,97,109,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,50,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,54,48,48,48,46,48,44,32,38,113,117,111,116,59,10,32,32,32,32,32,32,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,10,32,32,32,32,32,32,50,48,48,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,54,48,48,48,32,75,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,73,100,101,97,108,71,97,115,83,116,101,97,109,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,10,32,32,32,32,32,32,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,34,32,108,105,110,101,69,110,100,61,34,56,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,73,100,101,97,108,71,97,115,83,116,101,97,109,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,50,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,54,48,48,48,46,48,44,32,38,113,117,111,116,59,10,32,32,32,32,32,32,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,10,32,32,32,32,32,32,50,48,48,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,54,48,48,48,32,75,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,73,100,101,97,108,71,97,115,83,116,101,97,109,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,10,32,32,32,32,32,32,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266244);
/* memory initializer */ allocate([114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,34,32,108,105,110,101,69,110,100,61,34,56,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,73,100,101,97,108,71,97,115,83,116,101,97,109,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,50,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,54,48,48,48,46,48,44,32,38,113,117,111,116,59,10,32,32,32,32,32,32,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,10,32,32,32,32,32,32,50,48,48,32,75,32,38,108,116,59,61,32,84,32,38,108,116,59,61,32,54,48,48,48,32,75,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,73,100,101,97,108,71,97,115,83,116,101,97,109,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,46,10,32,32,32,32,32,32,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,50,34,32,108,105,110,101,69,110,100,61,34,56,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,53,56,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276484);
/* memory initializer */ allocate([110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,32,42,32,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,70,117,110,99,116,105,111,110,115,46,104,95,84,40,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,68,97,116,97,82,101,99,111,114,100,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,55,40,83,116,114,105,110,103,41,35,44,32,48,46,48,49,56,48,49,53,50,56,44,32,45,49,51,52,50,51,51,56,50,46,56,49,55,50,53,50,57,49,44,32,53,52,57,55,54,48,46,54,52,55,54,50,56,48,49,51,53,44,32,49,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,56,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,57,40,82,101,97,108,91,50,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,48,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,49,40,82,101,97,108,91,50,93,41,35,44,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,44,32,116,114,117,101,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,67,104,111,105,99,101,115,46,82,101,102,101,114,101,110,99,101,69,110,116,104,97,108,112,121,46,90,101,114,111,65,116,48,75,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,32,43,32,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,32,42,32,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,70,117,110,99,116,105,111,110,115,46,104,95,84,40,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,68,97,116,97,82,101,99,111,114,100,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,55,40,83,116,114,105,110,103,41,35,44,32,48,46,48,49,56,48,49,53,50,56,44,32,45,49,51,52,50,51,51,56,50,46,56,49,55,50,53,50,57,49,44,32,53,52,57,55,54,48,46,54,52,55,54,50,56,48,49,51,53,44,32,49,48,48,48,46,48,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,56,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,57,40,82,101,97,108,91,50,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,48,40,82,101,97,108,91,55,93,41,35,44,32,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,49,40,82,101,97,108,91,50,93,41,35,44,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,44,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,44,32,116,114,117,101,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,67,104,111,105,99,101,115,46,82,101,102,101,114,101,110,99,101,69,110,116,104,97,108,112,121,46,90,101,114,111,65,116,48,75,44,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286724);
/* memory initializer */ allocate([99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,32,43,32,45,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,32,42,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,53,34,32,108,105,110,101,69,110,100,61,34,51,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,51,34,32,108,105,110,101,69,110,100,61,34,51,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,51,34,32,108,105,110,101,69,110,100,61,34,51,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+296964);
/* memory initializer */ allocate([101,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,51,34,32,108,105,110,101,69,110,100,61,34,51,50,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,100,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,52,34,32,108,105,110,101,69,110,100,61,34,51,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,52,34,32,108,105,110,101,69,110,100,61,34,51,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,50,34,32,108,105,110,101,69,110,100,61,34,51,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307204);
/* memory initializer */ allocate([111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,49,51,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317444);
/* memory initializer */ allocate([97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,112,111,114,116,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327684);
/* memory initializer */ allocate([100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,54,34,32,108,105,110,101,69,110,100,61,34,51,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,49,50,34,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,104,101,114,109,111,100,121,110,97,109,105,99,84,101,109,112,101,114,97,116,117,114,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,100,101,103,67,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,69,110,101,114,103,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,74,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,72,50,79,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,51,57,52,55,57,46,54,48,56,51,44,32,53,55,53,46,53,55,51,49,48,49,57,57,57,57,57,57,57,44,32,48,46,57,51,49,55,56,50,54,53,51,44,32,48,46,48,48,55,50,50,50,55,49,50,56,54,44,32,45,55,46,51,52,50,53,53,55,51,55,101,45,48,54,44,32,52,46,57,53,53,48,52,51,52,57,101,45,48,57,44,32,45,49,46,51,51,54,57,51,51,50,52,54,101,45,49,50,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,51,51,48,51,57,46,55,52,51,49,44,32,49,55,46,50,52,50,48,53,55,55,53,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,49,48,51,52,57,55,50,46,48,57,54,44,32,45,50,52,49,50,46,54,57,56,53,54,50,44,32,52,46,54,52,54,49,49,48,55,56,44,32,48,46,48,48,50,50,57,49,57,57,56,51,48,55,44,32,45,54,46,56,51,54,56,51,48,52,55,57,57,57,57,57,57,57,101,45,48,55,44,32,57,46,52,50,54,52,54,56,57,51,48,48,48,48,48,48,49,101,45,49,49,44,32,45,52,46,56,50,50,51,56,48,53,51,101,45,49,53,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,51,56,52,50,46,56,54,53,48,57,44,32,45,55,46,57,55,56,49,52,56,53,49,125,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,49,55,34,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,84,121,112,101,115,46,73,100,101,97,108,71,97,115,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,68,97,116,97,82,101,99,111,114,100,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,100,101,97,108,71,97,115,101,115,46,67,111,109,109,111,110,46,70,117,110,99,116,105,111,110,115,46,104,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,70,117,110,99,116,105,111,110,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,54,34,32,108,105,110,101,69,110,100,61,34,56,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,0,0,0,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,80,0,0,0,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,120,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,77,101,100,105,97,95,69,120,97,109,112,108,101,115,95,84,101,115,116,115,95,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,95,87,97,116,101,114,95,73,100,101,97,108,83,116,101,97,109,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,84,101,115,116,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,53,48,58,48,49,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,55,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,51,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,50,55,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,49,46,48,49,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,48,48,50,48,50,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,54,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+337924);
/* memory initializer */ allocate([116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,100,114,111,112,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,32,40,109,95,102,108,111,119,32,38,103,116,59,32,48,32,105,115,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,45,51,51,51,46,51,51,51,51,51,51,51,51,51,51,51,51,51,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,85,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348164);
/* memory initializer */ allocate([114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,112,117,116,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358404);
/* memory initializer */ allocate([114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,52,48,53,48,51,46,48,48,50,53,56,55,55,52,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,115,105,122,101,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,100,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368644);
/* memory initializer */ allocate([100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,97,110,32,105,110,102,105,110,105,116,101,32,114,101,115,101,114,118,111,105,114,32,116,111,32,116,104,101,32,102,108,117,105,100,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,97,116,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+378884);
/* memory initializer */ allocate([97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389124);
/* memory initializer */ allocate([10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,85,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,117,115,101,95,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,112,95,115,116,97,114,116,32,111,114,32,100,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,84,95,115,116,97,114,116,32,111,114,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,117,115,101,95,112,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,112,95,97,109,98,105,101,110,116,32,111,114,32,100,95,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399364);
/* memory initializer */ allocate([83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,110,108,115,32,115,116,97,116,117,115,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,105,109,112,114,111,112,101,114,32,105,110,112,117,116,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,110,111,110,108,105,110,101,97,114,32,101,113,46,32,115,121,115,116,58,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,99,111,109,109,101,110,116,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,73,100,101,97,108,83,116,101,97,109,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,114,101,100,117,99,101,32,116,104,101,32,116,111,108,101,114,97,110,99,101,32,115,108,105,103,104,116,108,121,32,116,111,32,37,101,46,0,0,37,112,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,37,115,58,32,37,115,10,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,37,100,46,37,100,103,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,68,71,69,84,82,83,0,0,76,111,119,101,114,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,105,115,97,98,108,101,32,115,111,108,118,101,114,32,105,110,116,101,114,110,97,108,32,115,99,97,108,105,110,103,46,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,78,0,0,0,0,0,0,0,114,101,99,101,110,100,0,0,37,35,46,42,102,0,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,68,71,69,84,82,70,0,0,68,71,69,84,70,50,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,32,111,119,110,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,32,75,41,0,0,0,0,0,82,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,68,71,69,83,86,32,0,0,119,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,68,71,69,77,77,32,0,0,12,0,0,0,0,0,0,0,117,110,107,110,111,119,110,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,119,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,82,81,70,0,0,0,0,0,37,115,0,0,0,0,0,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,105,110,100,101,120,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,0,0,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,97,115,32,105,110,105,116,105,97,108,32,112,111,105,110,116,46,0,0,120,91,37,100,93,32,61,32,37,102,0,0,0,0,0,0,110,101,119,116,111,110,0,0,37,115,0,0,0,0,0,0,34,32,105,115,32,110,101,103,97,116,105,118,101,10,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,45,49,37,37,46,0,0,0,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,119,0,0,0,0,0,0,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,97,100,100,105,110,103,32,49,37,37,46,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,80,114,101,115,115,117,114,101,32,40,61,32,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,115,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,116,109,101,116,97,0,0,0,69,66,90,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,117,115,101,32,111,108,100,32,118,97,108,117,101,115,32,105,110,115,116,101,97,100,32,101,120,116,114,97,112,111,108,97,116,101,100,46,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,73,100,101,97,108,71,97,115,101,115,47,67,111,109,109,111,110,47,112,97,99,107,97,103,101,46,109,111,0,0,0,0,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,102,97,108,115,101,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,83,84,0,0,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,116,111,32,115,111,108,118,101,32,97,32,100,105,115,99,111,110,116,105,110,117,111,117,115,32,115,121,115,116,101,109,46,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,34,46,10,0,0,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,112,111,114,116,0,0,0,0,58,32,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,99,111,108,69,110,100,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,85,85,77,0,0,0,0,0,115,111,108,118,101,114,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,111,117,116,32,115,99,97,108,105,110,103,32,97,116,32,97,108,108,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,13,0,0,0,0,0,0,0,73,100,101,97,108,71,97,115,83,116,101,97,109,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,99,112,117,0,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,116,111,32,100,101,99,114,101,97,115,101,32,102,97,99,116,111,114,32,116,111,32,37,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,115,116,97,114,116,105,111,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,116,114,117,101,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409604);
/* memory initializer */ allocate([45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,76,65,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,32,97,115,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,0,0,0,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,101,100,105,97,95,69,120,97,109,112,108,101,115,95,84,101,115,116,115,95,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,95,87,97,116,101,114,95,73,100,101,97,108,83,116,101,97,109,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,50,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,50,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,50,44,50,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,50,44,48,93,32,61,32,122,101,114,111,115,40,50,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,50,93,32,61,32,122,101,114,111,115,40,48,44,50,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,50,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,118,111,108,117,109,101,80,109,101,100,105,117,109,80,84,32,61,32,120,91,49,93,59,10,32,32,82,101,97,108,32,120,95,80,118,111,108,117,109,101,80,109,101,100,105,117,109,80,112,32,61,32,120,91,50,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,101,100,105,97,95,69,120,97,109,112,108,101,115,95,84,101,115,116,115,95,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,95,87,97,116,101,114,95,73,100,101,97,108,83,116,101,97,109,59,10,0,0,32,75,41,32,105,115,32,110,111,116,32,105,110,32,116,104,101,32,97,108,108,111,119,101,100,32,114,97,110,103,101,10,50,48,48,32,75,32,60,61,32,84,32,60,61,32,54,48,48,48,32,75,32,114,101,113,117,105,114,101,100,32,102,114,111,109,32,109,101,100,105,117,109,32,109,111,100,101,108,32,34,0,0,0,0,0,0,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,105,109,101,110,115,105,111,110,32,37,100,32,104,97,115,32,98,111,117,110,100,115,32,49,46,46,37,100,44,32,103,111,116,32,97,114,114,97,121,32,115,117,98,115,99,114,105,112,116,32,37,100,0,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,37,35,46,42,69,0,0,0,65,99,108,97,115,115,0,0,108,105,110,101,69,110,100,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,102,97,108,115,101,0,0,0,80,66,0,0,0,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,105,108,108,101,103,97,108,32,32,105,110,112,117,116,32,105,110,32,97,114,103,117,109,101,110,116,32,37,100,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,10,84,101,109,112,101,114,97,116,117,114,101,32,84,32,40,61,32,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,117,116,112,117,116,0,0,45,37,100,46,37,100,103,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,67,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,71,66,0,0,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,74,97,99,111,98,105,97,110,32,77,97,116,114,105,120,32,115,105,110,103,117,108,97,114,33,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,101,99,114,101,97,115,105,110,103,32,105,110,105,116,105,97,108,32,115,116,101,112,32,98,111,117,110,100,32,116,111,32,37,102,46,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,118,111,108,117,109,101,46,109,0,0,0,0,0,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,115,116,97,114,116,105,111,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,82,84,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,85,78,0,0,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,0,0,0,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,119,98,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,84,0,0,0,0,0,0,0,110,111,101,109,105,116,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,65,99,108,97,115,115,0,0,34,37,115,34,44,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,97,115,115,101,114,116,0,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,81,82,70,0,0,0,0,0,37,115,37,46,53,101,32,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,105,110,102,111,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,83,116,97,114,116,32,115,111,108,118,105,110,103,32,78,111,110,45,76,105,110,101,97,114,32,83,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,32,119,105,116,104,32,78,101,119,116,111,110,32,83,111,108,118,101,114,0,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,66,82,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,37,100,32,114,101,116,114,105,101,115,10,37,100,32,114,101,115,116,97,114,116,115,0,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,115,116,97,114,116,32,115,111,108,118,105,110,103,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,62,62,37,115,60,60,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,107,105,110,115,111,108,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,118,111,108,117,109,101,46,86,0,0,0,0,0,0,0,0,37,108,100,32,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,103,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,110,108,115,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,84,82,0,0,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,115,121,115,116,101,109,32,115,111,108,118,101,100,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,63,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,60,100,97,116,101,62,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,72,82,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,42,32,52,54,49,46,53,50,51,51,50,57,48,56,53,48,56,55,56,0,114,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,108,118,0,0,0,0,0,0,83,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,100,101,102,105,110,101,115,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,81,76,0,0,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,37,115,37,49,48,103,32,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,119,105,108,108,32,116,114,121,32,116,111,32,104,97,110,100,108,101,32,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,58,32,37,115,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,83,116,114,105,110,103,0,0,66,111,111,108,101,97,110,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,73,110,116,101,103,101,114,0,67,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,82,101,97,108,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,76,81,0,0,0,0,0,0,101,118,101,110,116,115,0,0,37,115,37,49,48,103,32,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,115,65,108,105,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,115,80,97,114,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,37,115,10,0,0,0,0,0,115,65,108,103,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,98,65,108,105,0,0,0,0,98,80,97,114,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,108,115,0,0,0,0,0,0,98,65,108,103,0,0,0,0,78,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,105,65,108,105,0,0,0,0,105,80,97,114,0,0,0,0,118,101,99,116,111,114,0,0,105,65,108,103,0,0,0,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,62,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,82,81,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,102,97,108,115,101,0,0,0,114,65,108,105,0,0,0,0,114,80,97,114,0,0,0,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,114,65,108,103,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,99,108,111,99,107,0,0,0,114,68,101,114,0,0,0,0,76,79,71,95,65,76,76,0,114,83,116,97,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,119,105,116,104,32,100,105,102,102,101,114,101,110,116,32,115,116,97,114,116,105,110,103,32,112,111,105,110,116,115,32,40,43,37,103,41,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,37,46,48,76,102,0,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,68,71,69,82,32,32,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,81,82,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,115,99,97,108,101,100,32,114,101,115,105,100,117,97,108,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,108,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,79,82,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+419844);
/* memory initializer */ allocate([37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,102,111,114,32,114,101,115,105,100,117,97,108,32,118,101,99,116,111,114,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,83,97,116,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,108,105,110,101,97,114,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,72,69,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,120,91,37,100,93,58,32,37,101,32,0,0,0,0,0,0,87,101,100,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,77,111,110,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,83,117,110,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,115,102,101,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,71,69,0,0,0,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,71,83,84,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,35,35,35,35,35,35,35,35,35,32,83,116,97,114,116,32,78,101,119,116,111,110,32,109,97,120,102,101,118,58,32,37,100,32,35,35,35,35,35,35,35,35,35,0,0,0,0,0,83,117,110,100,97,121,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,104,101,108,112,0,0,0,0,78,0,0,0,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,44,32,100,105,118,105,115,111,114,58,32,37,115,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,103,110,117,112,108,111,116,0,59,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,84,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,44,0,0,0,0,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,37,115,0,0,0,0,0,0,37,105,44,0,0,0,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,115,116,100,111,117,116,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,84,82,70,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,0,0,0,0,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,62,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,84,82,68,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,116,105,109,101,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,65,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,0,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,97,108,105,97,115,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,105,111,109,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,68,101,99,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,84,114,97,110,115,112,111,115,101,0,0,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,78,111,118,0,0,0,0,0,101,109,112,116,121,0,0,0,38,113,117,111,116,59,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,79,99,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,94,32,50,46,48,32,42,32,50,49,51,48,48,51,46,55,56,51,50,56,57,55,56,50,51,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,83,89,0,0,0,0,0,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,32,97,115,32,105,110,105,116,105,97,108,32,115,111,108,117,116,105,111,110,46,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,65,117,103,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430084);
/* memory initializer */ allocate([37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,176,209,6,0,188,0,0,0,146,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,209,6,0,250,0,0,0,200,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,209,6,0,86,0,0,0,70,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,209,6,0,116,0,0,0,40,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,209,6,0,116,0,0,0,14,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,6,0,116,0,0,0,32,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,210,6,0,206,0,0,0,100,0,0,0,64,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,210,6,0,62,1,0,0,232,0,0,0,64,0,0,0,4,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,210,6,0,198,0,0,0,234,0,0,0,64,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,210,6,0,64,1,0,0,178,0,0,0,64,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,210,6,0,10,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,211,6,0,60,1,0,0,112,0,0,0,64,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,211,6,0,196,0,0,0,140,0,0,0,64,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,211,6,0,56,0,0,0,142,0,0,0,64,0,0,0,184,0,0,0,4,0,0,0,32,0,0,0,6,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,88,211,6,0,30,0,0,0,12,0,0,0,56,0,0,0,20,0,0,0,4,0,0,0,54,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,211,6,0,240,0,0,0,34,1,0,0,64,0,0,0,28,0,0,0,16,0,0,0,62,0,0,0,26,0,0,0,18,0,0,0,2,0,0,0,4,0,0,0,248,255,255,255,128,211,6,0,104,0,0,0,158,0,0,0,176,0,0,0,190,0,0,0,148,0,0,0,66,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,211,6,0,92,0,0,0,238,0,0,0,64,0,0,0,70,0,0,0,186,0,0,0,18,0,0,0,76,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,211,6,0,122,0,0,0,82,0,0,0,64,0,0,0,64,0,0,0,124,0,0,0,34,0,0,0,100,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,211,6,0,52,1,0,0,4,0,0,0,64,0,0,0,50,0,0,0,38,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,211,6,0,62,0,0,0,8,0,0,0,64,0,0,0,14,0,0,0,20,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,212,6,0,22,1,0,0,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,212,6,0,44,0,0,0,176,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,212,6,0,12,0,0,0,212,0,0,0,64,0,0,0,8,0,0,0,6,0,0,0,12,0,0,0,4,0,0,0,10,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,212,6,0,120,0,0,0,28,0,0,0,64,0,0,0,24,0,0,0,28,0,0,0,36,0,0,0,26,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,212,6,0,58,0,0,0,38,0,0,0,64,0,0,0,50,0,0,0,48,0,0,0,40,0,0,0,42,0,0,0,28,0,0,0,46,0,0,0,38,0,0,0,56,0,0,0,54,0,0,0,52,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,212,6,0,70,0,0,0,6,0,0,0,64,0,0,0,76,0,0,0,68,0,0,0,24,0,0,0,66,0,0,0,60,0,0,0,30,0,0,0,64,0,0,0,74,0,0,0,72,0,0,0,70,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,212,6,0,88,0,0,0,110,0,0,0,64,0,0,0,48,0,0,0,22,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,212,6,0,42,0,0,0,214,0,0,0,64,0,0,0,98,0,0,0,30,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,212,6,0,18,0,0,0,230,0,0,0,64,0,0,0,2,0,0,0,10,0,0,0,108,0,0,0,182,0,0,0,100,0,0,0,116,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,212,6,0,224,0,0,0,170,0,0,0,64,0,0,0,18,0,0,0,14,0,0,0,102,0,0,0,74,0,0,0,10,0,0,0,104,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,6,0,224,0,0,0,34,0,0,0,64,0,0,0,6,0,0,0,4,0,0,0,26,0,0,0,152,0,0,0,90,0,0,0,54,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,213,6,0,224,0,0,0,124,0,0,0,64,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,48,0,0,0,16,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,213,6,0,224,0,0,0,52,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,213,6,0,74,0,0,0,194,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,213,6,0,224,0,0,0,94,0,0,0,64,0,0,0,46,0,0,0,30,0,0,0,46,0,0,0,94,0,0,0,30,0,0,0,56,0,0,0,68,0,0,0,6,0,0,0,12,0,0,0,86,0,0,0,24,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,213,6,0,68,1,0,0,54,0,0,0,64,0,0,0,22,0,0,0,22,0,0,0,50,0,0,0,64,0,0,0,18,0,0,0,56,0,0,0,52,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,176,213,6,0,6,1,0,0,248,0,0,0,200,255,255,255,200,255,255,255,176,213,6,0,48,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,213,6,0,160,0,0,0,104,0,0,0,110,0,0,0,10,0,0,0,38,0,0,0,62,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,213,6,0,224,0,0,0,102,0,0,0,64,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,48,0,0,0,16,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,213,6,0,224,0,0,0,202,0,0,0,64,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,48,0,0,0,16,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,213,6,0,66,0,0,0,20,1,0,0,106,0,0,0,68,0,0,0,30,0,0,0,4,0,0,0,72,0,0,0,126,0,0,0,44,0,0,0,188,0,0,0,14,0,0,0,80,0,0,0,42,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,6,0,166,0,0,0,42,1,0,0,46,0,0,0,48,0,0,0,18,0,0,0,24,0,0,0,50,0,0,0,118,0,0,0,60,0,0,0,42,0,0,0,36,0,0,0,14,0,0,0,76,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,214,6,0,16,0,0,0,150,0,0,0,106,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,72,0,0,0,126,0,0,0,44,0,0,0,8,0,0,0,14,0,0,0,86,0,0,0,42,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,24,214,6,0,148,0,0,0,128,0,0,0,152,255,255,255,152,255,255,255,24,214,6,0,106,0,0,0,220,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,40,214,6,0,162,0,0,0,218,0,0,0,148,255,255,255,148,255,255,255,40,214,6,0,130,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,88,214,6,0,60,0,0,0,14,1,0,0,252,255,255,255,252,255,255,255,88,214,6,0,184,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,112,214,6,0,24,1,0,0,44,1,0,0,252,255,255,255,252,255,255,255,112,214,6,0,138,0,0,0,254,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,136,214,6,0,108,0,0,0,72,1,0,0,248,255,255,255,248,255,255,255,136,214,6,0,226,0,0,0,40,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,160,214,6,0,136,0,0,0,4,1,0,0,248,255,255,255,248,255,255,255,160,214,6,0,174,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,214,6,0,18,1,0,0,80,0,0,0,80,0,0,0,16,0,0,0,16,0,0,0,18,0,0,0,68,0,0,0,126,0,0,0,44,0,0,0,142,0,0,0,14,0,0,0,46,0,0,0,42,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,214,6,0,2,1,0,0,26,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,214,6,0,56,1,0,0,38,1,0,0,38,0,0,0,48,0,0,0,18,0,0,0,24,0,0,0,82,0,0,0,118,0,0,0,60,0,0,0,42,0,0,0,36,0,0,0,14,0,0,0,58,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,6,0,192,0,0,0,8,1,0,0,70,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,128,0,0,0,126,0,0,0,44,0,0,0,8,0,0,0,14,0,0,0,86,0,0,0,72,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,215,6,0,32,1,0,0,182,0,0,0,64,0,0,0,102,0,0,0,178,0,0,0,86,0,0,0,126,0,0,0,8,0,0,0,60,0,0,0,78,0,0,0,50,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,215,6,0,134,0,0,0,72,0,0,0,64,0,0,0,168,0,0,0,174,0,0,0,112,0,0,0,122,0,0,0,124,0,0,0,54,0,0,0,172,0,0,0,94,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,215,6,0,36,1,0,0,144,0,0,0,64,0,0,0,22,0,0,0,86,0,0,0,12,0,0,0,82,0,0,0,128,0,0,0,96,0,0,0,146,0,0,0,102,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,215,6,0,90,0,0,0,210,0,0,0,64,0,0,0,156,0,0,0,160,0,0,0,58,0,0,0,118,0,0,0,56,0,0,0,48,0,0,0,112,0,0,0,116,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,215,6,0,246,0,0,0,24,0,0,0,104,0,0,0,48,0,0,0,18,0,0,0,24,0,0,0,50,0,0,0,118,0,0,0,60,0,0,0,106,0,0,0,120,0,0,0,24,0,0,0,76,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,215,6,0,22,0,0,0,28,1,0,0,110,0,0,0,68,0,0,0,34,0,0,0,20,0,0,0,72,0,0,0,126,0,0,0,44,0,0,0,150,0,0,0,32,0,0,0,4,0,0,0,42,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,215,6,0,58,1,0,0,252,0,0,0,78,0,0,0,190,0,0,0,12,0,0,0,2,0,0,0,24,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,28,191,6,0,52,216,6,0,72,216,6,0,48,191,6,0,196,192,6,0,92,216,6,0,112,216,6,0,216,192,6,0,244,192,6,0,132,216,6,0,152,216,6,0,8,193,6,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,192,196,6,0,0,0,0,0,208,196,6,0,0,0,0,0,224,196,6,0,168,209,6,0,0,0,0,0,0,0,0,0,240,196,6,0,168,209,6,0,0,0,0,0,0,0,0,0,0,197,6,0,168,209,6,0,0,0,0,0,0,0,0,0,24,197,6,0,0,210,6,0,0,0,0,0,0,0,0,0,48,197,6,0,0,210,6,0,0,0,0,0,0,0,0,0,72,197,6,0,168,209,6,0,0,0,0,0,0,0,0,0,88,197,6,0,104,196,6,0,112,197,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,16,215,6,0,0,0,0,0,104,196,6,0,184,197,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,24,215,6,0,0,0,0,0,104,196,6,0,0,198,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,32,215,6,0,0,0,0,0,104,196,6,0,72,198,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,40,215,6,0,0,0,0,0,0,0,0,0,144,198,6,0,8,212,6,0,0,0,0,0,0,0,0,0,192,198,6,0,8,212,6,0,0,0,0,0,104,196,6,0,240,198,6,0,0,0,0,0,1,0,0,0,64,214,6,0,0,0,0,0,104,196,6,0,8,199,6,0,0,0,0,0,1,0,0,0,64,214,6,0,0,0,0,0,104,196,6,0,32,199,6,0,0,0,0,0,1,0,0,0,72,214,6,0,0,0,0,0,104,196,6,0,56,199,6,0,0,0,0,0,1,0,0,0,72,214,6,0,0,0,0,0,104,196,6,0,80,199,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,192,215,6,0,0,8,0,0,104,196,6,0,152,199,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,192,215,6,0,0,8,0,0,104,196,6,0,224,199,6,0,0,0,0,0,3,0,0,0,64,213,6,0,2,0,0,0,16,210,6,0,2,0,0,0,160,213,6,0,0,8,0,0,104,196,6,0,40,200,6,0,0,0,0,0,3,0,0,0,64,213,6,0,2,0,0,0,16,210,6,0,2,0,0,0,168,213,6,0,0,8,0,0,0,0,0,0,112,200,6,0,64,213,6,0,0,0,0,0,0,0,0,0,136,200,6,0,64,213,6,0,0,0,0,0,104,196,6,0,160,200,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,80,214,6,0,2,0,0,0,104,196,6,0,184,200,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,80,214,6,0,2,0,0,0,0,0,0,0,208,200,6,0,0,0,0,0,232,200,6,0,200,214,6,0,0,0,0,0,104,196,6,0,8,201,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,184,210,6,0,0,0,0,0,104,196,6,0,80,201,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,208,210,6,0,0,0,0,0,104,196,6,0,152,201,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,232,210,6,0,0,0,0,0,104,196,6,0,224,201,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,0,211,6,0,0,0,0,0,0,0,0,0,40,202,6,0,64,213,6,0,0,0,0,0,0,0,0,0,64,202,6,0,64,213,6,0,0,0,0,0,104,196,6,0,88,202,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,216,214,6,0,2,0,0,0,104,196,6,0,128,202,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,216,214,6,0,2,0,0,0,104,196,6,0,168,202,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,216,214,6,0,2,0,0,0,104,196,6,0,208,202,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,216,214,6,0,2,0,0,0,0,0,0,0,248,202,6,0,56,214,6,0,0,0,0,0,0,0,0,0,16,203,6,0,64,213,6,0,0,0,0,0,104,196,6,0,40,203,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,184,215,6,0,2,0,0,0,104,196,6,0,64,203,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,184,215,6,0,2,0,0,0,0,0,0,0,88,203,6,0,0,0,0,0,128,203,6,0,0,0,0,0,168,203,6,0,112,214,6,0,0,0,0,0,0,0,0,0,240,203,6,0,224,214,6,0,0,0,0,0,0,0,0,0,16,204,6,0,32,213,6,0,0,0,0,0,0,0,0,0,56,204,6,0,32,213,6,0,0,0,0,0,0,0,0,0,96,204,6,0,8,214,6,0,0,0,0,0,0,0,0,0,168,204,6,0,0,0,0,0,224,204,6,0,0,0,0,0,24,205,6,0,0,0,0,0,56,205,6,0,112,214,6,0,0,0,0,0,0,0,0,0,104,205,6,0,160,214,6,0,0,0,0,0,0,0,0,0,152,205,6,0,0,0,0,0,184,205,6,0,0,0,0,0,216,205,6,0,0,0,0,0,248,205,6,0,104,196,6,0,16,206,6,0,0,0,0,0,1,0,0,0,152,210,6,0,3,244,255,255,104,196,6,0,64,206,6,0,0,0,0,0,1,0,0,0,168,210,6,0,3,244,255,255,104,196,6,0,112,206,6,0,0,0,0,0,1,0,0,0,152,210,6,0,3,244,255,255,104,196,6,0,160,206,6,0,0,0,0,0,1,0,0,0,168,210,6,0,3,244,255,255,0,0,0,0,208,206,6,0,8,214,6,0,0,0,0,0,0,0,0,0,0,207,6,0,208,209,6,0,0,0,0,0,0,0,0,0,24,207,6,0,0,0,0,0,48,207,6,0,16,214,6,0,0,0,0,0,0,0,0,0,72,207,6,0,0,214,6,0,0,0,0,0,0,0,0,0,104,207,6,0,8,214,6,0,0,0,0,0,0,0,0,0,136,207,6,0,0,0,0,0,168,207,6,0,0,0,0,0,200,207,6,0,0,0,0,0,232,207,6,0,104,196,6,0,8,208,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,176,215,6,0,2,0,0,0,104,196,6,0,40,208,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,176,215,6,0,2,0,0,0,104,196,6,0,72,208,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,176,215,6,0,2,0,0,0,104,196,6,0,104,208,6,0,0,0,0,0,2,0,0,0,64,213,6,0,2,0,0,0,176,215,6,0,2,0,0,0,0,0,0,0,136,208,6,0,0,0,0,0,160,208,6,0,0,0,0,0,184,208,6,0,0,0,0,0,208,208,6,0,0,214,6,0,0,0,0,0,0,0,0,0,232,208,6,0,8,214,6,0,0,0,0,0,0,0,0,0,0,209,6,0,8,216,6,0,0,0,0,0,0,0,0,0,40,209,6,0,8,216,6,0,0,0,0,0,0,0,0,0,80,209,6,0,24,216,6,0,0,0,0,0,0,0,0,0,120,209,6,0,160,209,6,0,0,0,0,0,56,0,0,0,0,0,0,0,112,214,6,0,24,1,0,0,44,1,0,0,200,255,255,255,200,255,255,255,112,214,6,0,138,0,0,0,254,0,0,0,104,0,0,0,0,0,0,0,112,214,6,0,24,1,0,0,44,1,0,0,152,255,255,255,152,255,255,255,112,214,6,0,138,0,0,0,254,0,0,0,108,0,0,0,0,0,0,0,160,214,6,0,136,0,0,0,4,1,0,0,148,255,255,255,148,255,255,255,160,214,6,0,174,0,0,0,68,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,181,166,121,199,247,33,224,192,76,254,39,127,247,61,49,64,181,166,121,199,247,33,224,192,76,254,39,127,247,61,49,64,181,166,121,199,247,33,224,192,76,254,39,127,247,61,49,64,1,0,0,0,200,216,6,0,224,216,6,0,0,0,0,0,1,0,0,0,208,216,6,0,240,216,6,0,0,0,0,0,1,0,0,0,216,216,6,0,0,217,6,0,0,0,0,0,7,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,197,143,49,119,243,70,227,192,45,90,128,182,149,252,129,64,8,175,179,218,41,209,237,63,23,132,90,56,144,149,125,63,249,233,45,205,2,204,222,190,111,33,62,192,32,72,53,62,140,233,235,22,3,133,119,189,197,143,49,119,243,70,227,192,45,90,128,182,149,252,129,64,8,175,179,218,41,209,237,63,23,132,90,56,144,149,125,63,249,233,45,205,2,204,222,190,111,33,62,192,32,72,53,62,140,233,235,22,3,133,119,189,197,143,49,119,243,70,227,192,45,90,128,182,149,252,129,64,8,175,179,218,41,209,237,63,23,132,90,56,144,149,125,63,249,233,45,205,2,204,222,190,111,33,62,192,32,72,53,62,140,233,235,22,3,133,119,189,1,0,0,0,64,217,6,0,88,217,6,0,0,0,0,0,1,0,0,0,72,217,6,0,144,217,6,0,0,0,0,0,1,0,0,0,80,217,6,0,200,217,6,0,0,0,0,0,72,50,79,0,0,0,0,0,72,50,79,0,0,0,0,0,72,50,79,0,0,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,12,229,68,187,110,9,203,192,19,83,84,195,159,233,31,192,12,229,68,187,110,9,203,192,19,83,84,195,159,233,31,192,12,229,68,187,110,9,203,192,19,83,84,195,159,233,31,192,1,0,0,0,72,218,6,0,96,218,6,0,0,0,0,0,1,0,0,0,80,218,6,0,112,218,6,0,0,0,0,0,1,0,0,0,88,218,6,0,128,218,6,0,0,0,0,0,7,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,121,233,38,49,184,149,47,65,117,32,235,169,101,217,162,192,175,197,118,16,158,149,18,64,4,118,172,56,171,198,98,63,93,203,6,236,202,240,166,190,56,28,173,173,73,233,217,61,3,149,235,130,211,183,245,188,121,233,38,49,184,149,47,65,117,32,235,169,101,217,162,192,175,197,118,16,158,149,18,64,4,118,172,56,171,198,98,63,93,203,6,236,202,240,166,190,56,28,173,173,73,233,217,61,3,149,235,130,211,183,245,188,121,233,38,49,184,149,47,65,117,32,235,169,101,217,162,192,175,197,118,16,158,149,18,64,4,118,172,56,171,198,98,63,93,203,6,236,202,240,166,190,56,28,173,173,73,233,217,61,3,149,235,130,211,183,245,188,1,0,0,0,192,218,6,0,216,218,6,0,0,0,0,0,1,0,0,0,200,218,6,0,16,219,6,0,0,0,0,0,1,0,0,0,208,218,6,0,72,219,6,0,0,0,0,0,0,0,0,0,168,109,6,0,48,72,6,0,176,150,0,0,240,133,0,0,248,118,0,0,144,107,0,0,0,97,0,0,152,86,0,0,136,174,6,0,64,163,6,0,224,153,6,0,192,146,6,0,136,141,6,0,144,137,6,0,216,133,6,0,136,130,6,0,248,127,6,0,88,125,6,0,48,122,6,0,8,118,6,0,176,114,6,0,72,112,6,0,88,109,6,0,24,103,6,0,72,99,6,0,8,96,6,0,80,93,6,0,176,90,6,0,192,87,6,0,152,83,6,0,184,78,6,0,72,75,6,0,16,72,6,0,240,68,6,0,0,66,6,0,216,63,6,0,248,58,5,0,64,164,0,0,232,161,0,0,224,156,0,0,0,0,0,0,192,108,0,0,240,87,0,0,160,87,0,0,48,168,6,0,80,86,0,0,232,85,0,0,160,165,6,0,128,164,6,0,128,163,6,0,72,162,6,0,240,161,6,0,16,161,6,0,192,160,6,0,184,159,6,0,8,159,6,0,96,158,6,0,232,155,6,0,224,154,6,0,64,171,6,0,160,169,6,0,192,108,0,0,240,87,0,0,160,87,0,0,200,86,0,0,80,86,0,0,232,85,0,0,32,85,0,0,144,84,0,0,16,84,0,0,216,180,6,0,240,179,6,0,48,177,6,0,80,176,6,0,16,175,6,0,224,173,6,0,40,173,6,0,128,172,6,0,32,172,6,0,64,171,6,0,160,169,6,0,192,108,0,0,184,101,0,0,16,101,0,0,240,97,0,0,104,97,0,0,32,97,0,0,216,96,0,0,0,0,0,0,136,120,0,0,136,113,0,0,144,112,0,0,8,110,0,0,208,108,0,0,216,107,0,0,112,106,0,0,0,0,0,0,192,108,0,0,184,107,0,0,88,106,0,0,0,104,0,0,88,103,0,0,200,102,0,0,56,102,0,0,0,0,0,0,136,120,0,0,72,119,0,0,112,118,0,0,0,117,0,0,64,116,0,0,104,115,0,0,192,114,0,0,0,0,0,0,96,172,6,0,208,168,6,0,64,121,6,0,16,87,6,0,136,160,0,0,0,0,0,0,64,141,0,0,200,126,0,0,200,112,0,0,144,101,0,0,136,160,0,0,0,0,0,0,224,160,6,0,16,166,6,0,224,94,6,0,82,0,0,0,5,0,0,0,85,0,0,0,3,0,0,0,0,0,0,0,144,77,6,0,82,17,0,0,7,0,0,0,83,17,0,0,76,0,0,0,0,0,0,0,1,0,0,0,70,0,0,0,1,0,0,0,67,0,0,0,1,0,0,0,57,0,0,0,1,0,0,0,55,0,0,0,1,0,0,0,53,0,0,0,1,0,0,0,36,0,0,0,1,0,0,0,34,0,0,0,1,0,0,0,32,0,0,0,1,0,0,0,26,0,0,0,1,0,0,0,24,0,0,0,1,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,118,13,0,0,9,0,0,0,119,13,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,1,12,0,0,9,0,0,0,2,12,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,255,11,0,0,9,0,0,0,0,12,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,34,17,0,0,7,0,0,0,34,17,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,125,12,0,0,9,0,0,0,125,12,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,35,17,0,0,7,0,0,0,35,17,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,33,17,0,0,7,0,0,0,33,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,30,17,0,0,7,0,0,0,30,17,0,0,60,0,0,0,0,0,0,0,1,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,116,6,0,252,11,0,0,9,0,0,0,253,11,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,40,17,0,0,7,0,0,0,40,17,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,36,17,0,0,7,0,0,0,37,17,0,0,64], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440324);
/* memory initializer */ allocate([208,110,0,0,34,17,0,0,7,0,0,0,34,17,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,39,17,0,0,7,0,0,0,39,17,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,174,13,0,0,9,0,0,0,175,13,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,176,13,0,0,9,0,0,0,177,13,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,99,12,0,0,9,0,0,0,101,12,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,102,12,0,0,9,0,0,0,104,12,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,108,12,0,0,9,0,0,0,112,12,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,113,12,0,0,9,0,0,0,116,12,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,117,12,0,0,9,0,0,0,119,12,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,191,12,0,0,9,0,0,0,192,12,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,197,12,0,0,9,0,0,0,201,12,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,202,12,0,0,9,0,0,0,205,12,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,206,12,0,0,9,0,0,0,207,12,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,22,13,0,0,9,0,0,0,24,13,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,25,13,0,0,9,0,0,0,27,13,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,31,13,0,0,9,0,0,0,35,13,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,36,13,0,0,9,0,0,0,39,13,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,40,13,0,0,9,0,0,0,42,13,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,105,13,0,0,9,0,0,0,106,13,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,110,0,0,107,13,0,0,9,0,0,0,108,13,0,0,60,0,0,0,0,0,0,0,1,0,0,0,104,0,0,0,66,0,0,0,16,1,0,0,96,0,0,0,242,0,0,0,46,1,0,0,2,0,0,0,78,0,0,0,76,0,0,0,116,0,0,0,198,0,0,0,196,0,0,0,58,0,0,0,26,0,0,0,18,0,0,0,2,0,0,0,6,0,0,0,38,0,0,0,74,0,0,0,1,0,0,0,0,0,0,0,180,0,0,0,140,0,0,0,114,0,0,0,30,0,0,0,16,0,0,0,98,0,0,0,62,0,0,0,52,0,0,0,216,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,130,0,0,0,138,0,0,0,134,0,0,0,136,0,0,0,132,0,0,0,204,0,0,0,46,0,0,0,162,0,0,0,96,0,0,0,166,0,0,0,12,0,0,0,28,0,0,0,40,0,0,0,6,0,0,0,24,94,6,0,48,106,0,0,232,104,0,0,224,103,0,0,8,119,6,0,64,103,0,0,168,151,6,0,152,164,6,0,8,119,6,0,104,84,6,0,240,157,0,0,88,139,0,0,200,124,0,0,216,111,0,0,16,100,0,0,136,91,0,0,64,179,6,0,176,167,6,0,48,157,6,0,128,149,6,0,192,143,6,0,24,139,6,0,24,135,6,0,248,131,6,0,224,128,6,0,80,126,6,0,80,123,6,0,72,120,6,0,128,115,6,0,248,112,6,0,96,110,6,0,88,104,6,0,144,100,6,0,40,97,6,0,24,94,6,0,144,91,6,0,144,91,6,0,232,88,6,0,24,86,6,0,248,79,6,0,144,76,6,0,24,73,6,0,240,69,6,0,216,66,6,0,72,64,6,0,80,59,5,0,192,164,0,0,64,162,0,0,80,159,0,0,200,153,0,0,112,152,0,0,224,150,0,0,104,149,0,0,176,147,0,0,224,145,0,0,192,144,0,0,64,143,0,0,8,142,0,0,0,138,0,0,184,135,0,0,200,134,0,0,176,133,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,136,120,0,0,128,102,0,0,200,101,0,0,88,101,0,0,136,120,0,0,136,104,0,0,104,103,0,0,240,102,0,0,136,134,0,0,80,137,6,0,168,102,6,0,208,68,6,0,136,148,0,0,72,132,0,0,112,117,0,0,152,102,0,0,96,96,0,0,104,84,0,0,152,171,6,0,216,159,6,0,216,151,6,0,80,145,6,0,104,84,0,0,248,140,6,0,24,137,6,0,128,133,6,0,40,130,6,0,56,127,6,0,160,124,6,0,232,121,6,0,240,116,6,0,16,114,6,0,248,111,6,0,16,109,6,0,240,101,6,0,184,98,6,0,200,95,6,0,224,92,6,0,56,90,6,0,112,87,6,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,64,129,0,0,88,136,6,0,0,102,6,0,16,68,6,0,128,148,0,0,40,132,0,0,104,117,0,0,240,104,0,0,152,96,0,0,16,86,0,0,144,173,6,0,48,162,6,0,16,153,6,0,0,146,6,0,72,141,6,0,48,137,6,0,152,133,6,0,64,130,6,0,200,127,6,0,176,124,6,0,8,122,6,0,168,117,6,0,88,114,6,0,16,112,6,0,40,109,6,0,152,102,6,0,16,99,6,0,224,95,6,0,32,93,6,0,128,90,6,0,128,87,6,0,0,0,0,0,80,83,6,0,160,122,0,0,152,120,0,0,200,71,6,0,152,119,0,0,184,65,6,0,168,63,6,0,168,118,0,0,136,117,0,0,200,161,0,0,80,156,0,0,168,116,0,0,176,115,0,0,248,114,0,0,248,148,0,0,64,147,0,0,176,113,0,0,224,112,0,0,168,110,0,0,232,108,0,0,144,137,0,0,136,135,0,0,152,134,0,0,0,108,0,0,136,106,0,0,248,104,0,0,64,130,0,0,80,129,0,0,64,128,0,0,64,127,0,0,128,87,6,0,0,0,0,0,80,83,6,0,88,78,6,0,16,75,6,0,200,71,6,0,144,68,6,0,184,65,6,0,168,63,6,0,168,58,5,0,40,164,0,0,200,161,0,0,80,156,0,0,120,153,0,0,0,152,0,0,104,150,0,0,248,148,0,0,64,147,0,0,160,145,0,0,128,144,0,0,16,143,0,0,176,141,0,0,144,137,0,0,136,135,0,0,152,134,0,0,88,133,0,0,104,132,0,0,112,131,0,0,64,130,0,0,80,129,0,0,64,128,0,0,64,127,0,0,128,87,6,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450592);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _llvm_memset_p0i8_i64=_memset;

  var _log=Math_log;

  var _sqrt=Math_sqrt;

  function _xerbla_() {
  Module['printErr']('missing function: xerbla_'); abort(-1);
  }

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  var _llvm_pow_f64=Math_pow;

  var _fabs=Math_abs;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  var _floor=Math_floor;

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  function _lis_matrix_destroy() {
  Module['printErr']('missing function: lis_matrix_destroy'); abort(-1);
  }

  function _lis_matrix_create() {
  Module['printErr']('missing function: lis_matrix_create'); abort(-1);
  }

  function _lis_matrix_set_size() {
  Module['printErr']('missing function: lis_matrix_set_size'); abort(-1);
  }

  function _lis_matrix_set_type() {
  Module['printErr']('missing function: lis_matrix_set_type'); abort(-1);
  }

  function _lis_matrix_assemble() {
  Module['printErr']('missing function: lis_matrix_assemble'); abort(-1);
  }

  function _lis_vector_set_value() {
  Module['printErr']('missing function: lis_vector_set_value'); abort(-1);
  }

  function _lis_solve() {
  Module['printErr']('missing function: lis_solve'); abort(-1);
  }

  function _lis_vector_get_values() {
  Module['printErr']('missing function: lis_vector_get_values'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env._stdin|0;var q=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_iid;var za=env.invoke_viiiiiii;var Aa=env.invoke_viiiiiid;var Ba=env.invoke_viiiiiiiii;var Ca=env.invoke_iii;var Da=env.invoke_iiiiidi;var Ea=env.invoke_iiiiiiiii;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_viidii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env._sysconf;var Oa=env.__scanString;var Pa=env._fclose;var Qa=env._pthread_mutex_lock;var Ra=env.___cxa_end_catch;var Sa=env._strtoull;var Ta=env._fflush;var Ua=env._lis_solver_create;var Va=env._strtol;var Wa=env._fputc;var Xa=env._strtok;var Ya=env._fwrite;var Za=env._send;var _a=env._fputs;var $a=env._emscripten_get_now;var ab=env._tmpnam;var bb=env._isspace;var cb=env._localtime;var db=env._read;var eb=env._GC_init;var fb=env._ceil;var gb=env.___ctype_b_loc;var hb=env._GC_malloc_atomic;var ib=env._pthread_cond_broadcast;var jb=env._isxdigit_l;var kb=env._strstr;var lb=env._fileno;var mb=env._perror;var nb=env._fsync;var ob=env.___cxa_guard_abort;var pb=env._newlocale;var qb=env._signal;var rb=env.___gxx_personality_v0;var sb=env._pthread_cond_wait;var tb=env.___cxa_rethrow;var ub=env._freopen;var vb=env.___resumeException;var wb=env._sscanf;var xb=env._round;var yb=env._llvm_va_end;var zb=env._clock_gettime;var Ab=env._tmpfile;var Bb=env._vsscanf;var Cb=env._snprintf;var Db=env._fgetc;var Eb=env._pclose;var Fb=env.__getFloat;var Gb=env._atexit;var Hb=env.___cxa_free_exception;var Ib=env._close;var Jb=env._catclose;var Kb=env._isdigit_l;var Lb=env._vasprintf;var Mb=env.___setErrNo;var Nb=env._isxdigit;var Ob=env._access;var Pb=env._ftell;var Qb=env._exit;var Rb=env._sprintf;var Sb=env._pthread_setspecific;var Tb=env._asprintf;var Ub=env._GC_strdup;var Vb=env._strrchr;var Wb=env._freelocale;var Xb=env._catgets;var Yb=env._fmod;var Zb=env.__isLeapYear;var _b=env._fmax;var $b=env.___cxa_is_number_type;var ac=env._GC_malloc;var bc=env.___cxa_does_inherit;var cc=env.___cxa_guard_acquire;var dc=env._lis_vector_destroy;var ec=env._localtime_r;var fc=env.___cxa_begin_catch;var gc=env._lis_vector_create;var hc=env.__ZNSt9exceptionD2Ev;var ic=env._recv;var jc=env.__parseInt64;var kc=env.__ZSt18uncaught_exceptionv;var lc=env._cos;var mc=env._lis_matrix_set_value;var nc=env._putchar;var oc=env.___cxa_call_unexpected;var pc=env._popen;var qc=env._isblank;var rc=env._copysign;var sc=env._bsearch;var tc=env._lis_vector_get_values;var uc=env.__exit;var vc=env._strftime;var wc=env._tzset;var xc=env.___cxa_throw;var yc=env._lis_vector_set_value;var zc=env._emscripten_memcpy_big;var Ac=env._printf;var Bc=env._pread;var Cc=env._fopen;var Dc=env._open;var Ec=env._lis_solve;var Fc=env._strtoull_l;var Gc=env.__arraySum;var Hc=env._log;var Ic=env._puts;var Jc=env._xerbla_;var Kc=env._pthread_key_create;var Lc=env._strtoll_l;var Mc=env._qsort;var Nc=env._system;var Oc=env._lis_matrix_create;var Pc=env.___cxa_find_matching_catch;var Qc=env._strdup;var Rc=env._srand;var Sc=env._isatty;var Tc=env.__formatString;var Uc=env._lis_matrix_destroy;var Vc=env.__ZSt9terminatev;var Wc=env._atoi;var Xc=env._lis_matrix_set_size;var Yc=env._vfprintf;var Zc=env._pthread_mutex_unlock;var _c=env._llvm_pow_f64;var $c=env._sbrk;var ad=env._fscanf;var bd=env._lis_solver_destroy;var cd=env.___errno_location;var dd=env._strerror;var ed=env._fstat;var fd=env._lis_matrix_assemble;var gd=env._llvm_lifetime_start;var hd=env.__parseInt;var id=env.___cxa_guard_release;var jd=env._ungetc;var kd=env._ftruncate;var ld=env._uselocale;var md=env._vsnprintf;var nd=env._htonl;var od=env.___assert_fail;var pd=env._fread;var qd=env._strtok_r;var rd=env._strftime_l;var sd=env._abort;var td=env._fprintf;var ud=env._isdigit;var vd=env._strtoll;var wd=env.__addDays;var xd=env._pthread_getspecific;var yd=env._fabs;var zd=env._floor;var Ad=env.__reallyNegative;var Bd=env._fseek;var Cd=env._sqrt;var Dd=env._write;var Ed=env._mkport;var Fd=env._rewind;var Gd=env.___cxa_allocate_exception;var Hd=env._sin;var Id=env._stat;var Jd=env._longjmp;var Kd=env._truncate;var Ld=env._catopen;var Md=env.___ctype_toupper_loc;var Nd=env._lis_matrix_set_type;var Od=env.___ctype_tolower_loc;var Pd=env._lis_vector_set_size;var Qd=env._unlink;var Rd=env._pwrite;var Sd=env._strerror_r;var Td=env._GC_collect_a_little;var Ud=env._lis_solver_set_option;var Vd=env._time;var Wd=0.0;
// EMSCRIPTEN_START_FUNCS
function Nn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[452832+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;md(j|0,2048,e|0,h|0)|0;ge[c[3554]&63](1,a,b,j,0,d);i=g;return}function On(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[452832+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;md(h|0,2048,d|0,g|0)|0;ge[c[3554]&63](1,a,b,h,0,0);i=f;return}function Pn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[113292]|0)==0){if((c[452832+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;md(k|0,2048,e|0,j|0)|0;ge[c[3554]&63](2,a,b,k,0,d);i=g;return}function Qn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[113292]|0)==0){if((c[452832+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;md(j|0,2048,d|0,h|0)|0;ge[c[3554]&63](2,a,b,j,0,0);i=f;return}function Rn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;md(b|0,2048,d|0,g|0)|0;ge[c[3554]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}h=xd(c[115502]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}function Sn(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;md(g|0,2048,b|0,f|0)|0;ge[c[3554]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}h=xd(c[115502]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}function Tn(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+2064|0;g=f+2048|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;md(h|0,2048,d|0,g|0)|0;ge[c[3554]&63](5,2,0,h,0,b);if((a|0)!=0){j=a;k=j+76|0;l=c[k>>2]|0;m=l|0;Jd(m|0,1)}j=xd(c[115502]|0)|0;k=j+76|0;l=c[k>>2]|0;m=l|0;Jd(m|0,1)}function Un(a,b,d,e,f,g){a=a|0;b=+b;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0;j=i;if(g<<24>>24==0){Tn(a,e,434304,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;return 0.0}else{Pn(26,0,e,426328,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;i=j;return+b}return 0.0}function Vn(a){a=a|0;var b=0,d=0,e=0;b=i;d=VR(16)|0;Rn(0,(d|0)!=0|0,412376,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function Wn(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;WR(c[e>>2]|0);WR(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function Xn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Rn(0,(a|0)!=0|0,430824,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=VR(8)|0;g=f;Rn(0,(f|0)!=0|0,412376,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=VR(c[h>>2]|0)|0;c[f>>2]=j;Rn(0,(j|0)!=0|0,412376,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;xS(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function Yn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Rn(0,(a|0)!=0|0,430824,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=VR(8)|0;g=f;Rn(0,(f|0)!=0|0,412376,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=VR(c[h>>2]|0)|0;c[f>>2]=j;Rn(0,(j|0)!=0|0,412376,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;xS(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function Zn(a){a=a|0;var b=0,d=0;b=i;Rn(0,(a|0)!=0|0,430824,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function _n(a){a=a|0;var b=0,d=0,e=0;b=i;Rn(0,(a|0)!=0|0,430824,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Rn(0,(c[e>>2]|0)!=0|0,421992,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function $n(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;WR(c[d>>2]|0);WR(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function ao(a){a=a|0;var b=0,d=0,e=0;b=i;Rn(0,(a|0)!=0|0,430824,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Rn(0,(c[e>>2]|0)!=0|0,412528,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function bo(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;Rn(0,d&1,38952,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function co(a){a=a|0;var b=0,d=0,e=0;b=i;Rn(0,(a|0)!=0|0,38952,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Rn(0,(c[e>>2]|0)!=0|0,34512,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function eo(){var a=0;a=VR(16)|0;c[115504]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=VR(2097152)|0;c[a+12>>2]=0;return}function fo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=ho(a)|0;d;io(b);d=c[115504]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;yS(f|0,0,b|0)|0;return f|0}function go(){var a=0,b=0,d=0;a=c[115504]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;WR(c[a>>2]|0);WR(a);if((b|0)==0){break}else{a=b}}d=c[115504]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function ho(a){a=a|0;return a+7&-8|0}function io(a){a=a|0;var b=0,d=0,e=0;b=c[115504]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=VR(16)|0;c[e+12>>2]=b;c[115504]=e;c[e+4>>2]=0;b=jo((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=VR(b)|0;return}function jo(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function ko(a){a=a|0;return vS(a|0)|0}function lo(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;ES(e+1|0,c|0)|0;c=d+40|0;Rb(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=mo(c)|0;i=d;return f|0}function mo(a){a=a|0;var b=0,c=0;b=vS(a|0)|0;c=oo(b)|0;xS(c|0,a|0,b)|0;return c|0}function no(b,d,e,f){b=+b;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0;g=i;i=i+440|0;j=g|0;k=j|0;a[k]=37;l=j+1|0;if(e<<24>>24==0){Rb(l|0,412480,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}else{Rb(l|0,421912,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}f=g+40|0;Rb(f|0,k|0,(m=i,i=i+8|0,h[m>>3]=b,m)|0)|0;i=m;m=mo(f)|0;i=g;return m|0}function oo(b){b=b|0;var d=0;d=be[c[2183]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function po(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=ko(a)|0;d=ko(b)|0;e=oo(d+c|0)|0;xS(e|0,a|0,c)|0;xS(e+c|0,b|0,d)|0;return e|0}function qo(a,b){a=a|0;b=b|0;return tS(c[a>>2]|0,c[b>>2]|0)|0}function ro(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==2){e=-1;break}else if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}switch(c|0){case 0:{e=8;break a;break};case 3:{e=2;break a;break};case 1:{e=4;break a;break};case 2:{e=4;break a;break};case 4:{e=2;break a;break};case 5:{e=1;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function so(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Pa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){WR(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{WR(c[(c[e>>2]|0)+(f<<4)>>2]|0);WR(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;WR(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){WR(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{WR(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}WR(b);c[f>>2]=0;return}function to(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(vS(b|0)|0)>>>0){break}else{c=e;d=f}}return}function uo(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;yS(d|0,0,48)|0;l=Cc(b|0,24824)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=dd(c[(cd()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Qc(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=pd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=22144;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8632+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=437872;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=434896;E=131;break}G=ro(D)|0;if((G|0)==-1){n=432560;E=131;break}D=c[q>>2]|0;H=VR(D)|0;if((pd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=430760;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=429424;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((tS(H,c[8656+(C<<2)>>2]|0)|0)!=0){n=428408;E=131;break}WR(H);b:do{switch(C|0){case 0:{if((D|0)!=4){n=427440;E=131;break a}if((I|0)!=11){n=426592;E=131;break a}if((pd(f|0,44,1,c[m>>2]|0)|0)==1){K=0}else{n=425944;E=131;break a}while(1){H=0;do{a[k+H|0]=a[j+((H<<2)+K)|0]|0;H=H+1|0;}while(H>>>0<11>>>0);a[k+11|0]=0;if((K|0)==3){break}H=K+1|0;if(H>>>0<4>>>0){K=H}else{L=d;E=130;break b}}if((uS(t,c[4856]|0,8)|0)==0){L=1;E=130;break b}if((uS(t,c[4858]|0,9)|0)==0){L=0;E=130}else{n=425240;E=131;break a}break};case 1:{H=d<<24>>24==0;F=H?D:I;c[u>>2]=F;G=VR(F<<4)|0;c[v>>2]=G;c:do{if(d<<24>>24==1){if((I|0)==0){M=0;break}F=D+1|0;N=0;O=G;while(1){c[O+(N<<4)>>2]=VR(F)|0;if((pd(c[(c[v>>2]|0)+(N<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=424464;E=131;break a}a[(c[(c[v>>2]|0)+(N<<4)>>2]|0)+D|0]=0;P=c[v>>2]|0;c[P+(N<<4)+8>>2]=-1;c[P+(N<<4)+12>>2]=-1;to(c[P+(N<<4)>>2]|0);P=N+1|0;if(!(P>>>0<I>>>0)){M=I;break c}N=P;O=c[v>>2]|0}}else{M=I}}while(0);if(!H){L=d;E=130;break b}G=ga(D,M)|0;Q=VR(G+1|0)|0;if((pd(Q|0,G|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){G=M+1|0;O=(M|0)==0;N=0;do{F=VR(G)|0;c[(c[v>>2]|0)+(N<<4)>>2]=F;if(!O){F=0;do{P=a[Q+((ga(D,F)|0)+N)|0]|0;a[(c[(c[v>>2]|0)+(N<<4)>>2]|0)+F|0]=P;F=F+1|0;}while(F>>>0<M>>>0)}a[(c[(c[v>>2]|0)+(N<<4)>>2]|0)+M|0]=0;F=c[v>>2]|0;c[F+(N<<4)+8>>2]=-1;c[F+(N<<4)+12>>2]=-1;to(c[F+(N<<4)>>2]|0);N=N+1|0;}while(N>>>0<D>>>0)}WR(Q);L=0;E=130;break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){R=1;E=129;break b}N=D+1|0;O=0;while(1){G=VR(N)|0;c[(c[v>>2]|0)+(O<<4)+4>>2]=G;if((pd(c[(c[v>>2]|0)+(O<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=424464;E=131;break a}a[(c[(c[v>>2]|0)+(O<<4)+4>>2]|0)+D|0]=0;G=O+1|0;if(G>>>0<I>>>0){O=G}else{L=1;E=130;break b}}}else if((d<<24>>24|0)!=0){R=d;E=129;break b}O=ga(D,I)|0;S=VR(O+1|0)|0;if((pd(S|0,O|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){O=I+1|0;N=(I|0)==0;G=0;do{H=VR(O)|0;c[(c[v>>2]|0)+(G<<4)+4>>2]=H;if(!N){H=0;do{F=a[S+((ga(D,H)|0)+G)|0]|0;a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+H|0]=F;H=H+1|0;}while(H>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+I|0]=0;G=G+1|0;}while(G>>>0<D>>>0)}WR(S);L=0;E=130;break};case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=422520;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=421920;E=131;break a}c[w>>2]=D;G=ga(I,D)|0;if((a[l]|0)==1){N=VR(G<<3)|0;c[x>>2]=N;if((pd(N|0,J|0,1,c[m>>2]|0)|0)!=1){n=421176;E=131;break a}}else{N=VR(G<<2)|0;O=N;c[x>>2]=VR(ga(D<<3,I)|0)|0;if((pd(N|0,J|0,1,c[m>>2]|0)|0)!=1){n=421176;E=131;break a}if((G|0)!=0){H=c[x>>2]|0;F=0;do{h[H+(F<<3)>>3]=+g[O+(F<<2)>>2];F=F+1|0;}while(F>>>0<G>>>0)}WR(N)}G=c[w>>2]|0;if(!(G>>>0>1>>>0)){L=1;E=130;break b}F=(I|0)==2;O=1;while(1){if(F){H=c[x>>2]|0;if(+h[H+(O<<3)>>3]!=+h[H+(G+O<<3)>>3]){n=419528;E=131;break a}}H=O+1|0;if(H>>>0<G>>>0){O=H}else{L=1;E=130;break b}}}else if((d<<24>>24|0)!=0){R=d;E=129;break b}if((I|0)==0){n=422520;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=418592;E=131;break a}c[w>>2]=I;O=ga(I,D)|0;if((a[l]|0)==1){G=VR(O<<3)|0;F=G;c[x>>2]=VR(ga(D<<3,I)|0)|0;if((pd(G|0,J|0,1,c[m>>2]|0)|0)!=1){n=421176;E=131;break a}if((D|0)!=0){N=0;do{H=c[x>>2]|0;P=0;do{h[H+((ga(I,N)|0)+P<<3)>>3]=+h[F+((ga(D,P)|0)+N<<3)>>3];P=P+1|0;}while(P>>>0<I>>>0);N=N+1|0;}while(N>>>0<D>>>0)}WR(G)}else{N=VR(O<<2)|0;F=N;c[x>>2]=VR(ga(D<<3,I)|0)|0;if((pd(N|0,J|0,1,c[m>>2]|0)|0)!=1){n=421176;E=131;break a}if((D|0)!=0){P=0;do{H=c[x>>2]|0;T=0;do{h[H+((ga(I,P)|0)+T<<3)>>3]=+g[F+((ga(D,T)|0)+P<<2)>>2];T=T+1|0;}while(T>>>0<I>>>0);P=P+1|0;}while(P>>>0<D>>>0)}WR(N)}P=c[w>>2]|0;if(!(P>>>0>1>>>0)){L=d;E=130;break b}F=(D|0)==2;O=1;while(1){if(F){G=c[x>>2]|0;if(+h[G+(O<<3)>>3]!=+h[G+(P+O<<3)>>3]){n=419528;E=131;break a}}G=O+1|0;if(G>>>0<P>>>0){O=G}else{L=d;E=130;break}}break};case 3:{O=ga(I<<2,D)|0;U=VR(O)|0;P=U;if((pd(U|0,O|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==0){if((D|0)==0){break}O=c[v>>2]|0;F=0;do{c[O+(F<<4)+8>>2]=(c[P+(F<<2)>>2]|0)==1;c[O+(F<<4)+12>>2]=c[P+(D+F<<2)>>2];F=F+1|0;}while(F>>>0<D>>>0)}else if((d<<24>>24|0)==1){if((I|0)==0){break}F=c[v>>2]|0;O=0;do{N=ga(D,O)|0;c[F+(O<<4)+8>>2]=(c[P+(N<<2)>>2]|0)==1;c[F+(O<<4)+12>>2]=c[P+(N+1<<2)>>2];O=O+1|0;}while(O>>>0<I>>>0)}}while(0);WR(U);Mc(c[v>>2]|0,c[u>>2]|0,16,60);L=d;E=130;break};case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=417768;E=131;break a}c[z>>2]=D;c[A>>2]=Pb(c[m>>2]|0)|0;c[B>>2]=XR(c[z>>2]<<1,4)|0;if((Bd(c[m>>2]|0,J|0,1)|0)==-1){n=417072;E=131;break a}else{L=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=417768;E=131;break a}c[z>>2]=I;c[A>>2]=Pb(c[m>>2]|0)|0;c[B>>2]=XR(c[z>>2]<<1,4)|0;P=ga(I,D)|0;if((a[l]|0)==1){O=VR(P<<3)|0;if((pd(O|0,J|0,1,c[m>>2]|0)|0)!=1){n=417072;E=131;break a}if((I|0)!=0){F=D<<3;N=(D|0)==0;G=D<<3;T=0;do{H=VR(F)|0;c[(c[B>>2]|0)+(T<<2)>>2]=H;if(!N){H=O+(ga(G,T)|0)|0;xS(c[(c[B>>2]|0)+(T<<2)>>2]|0,H|0,G)|0}T=T+1|0;}while(T>>>0<I>>>0)}T=c[z>>2]|0;G=T<<1;if(T>>>0<G>>>0){N=D<<3;F=(D|0)==0;H=T;do{V=VR(N)|0;c[(c[B>>2]|0)+(H<<2)>>2]=V;if(!F){V=c[B>>2]|0;W=c[V+(H-T<<2)>>2]|0;X=c[V+(H<<2)>>2]|0;V=0;do{h[X+(V<<3)>>3]=-0.0- +h[W+(V<<3)>>3];V=V+1|0;}while(V>>>0<D>>>0)}H=H+1|0;}while(H>>>0<G>>>0)}WR(O)}else{G=VR(P<<2)|0;H=G;if((pd(G|0,J|0,1,c[m>>2]|0)|0)!=1){n=417072;E=131;break a}if((I|0)!=0){T=D<<3;F=(D|0)==0;N=0;do{V=VR(T)|0;c[(c[B>>2]|0)+(N<<2)>>2]=V;if(!F){V=c[(c[B>>2]|0)+(N<<2)>>2]|0;W=0;do{h[V+(W<<3)>>3]=+g[H+((ga(D,N)|0)+W<<2)>>2];W=W+1|0;}while(W>>>0<D>>>0)}N=N+1|0;}while(N>>>0<I>>>0)}N=c[z>>2]|0;H=N<<1;if(N>>>0<H>>>0){F=D<<3;T=(D|0)==0;P=N;do{O=VR(F)|0;c[(c[B>>2]|0)+(P<<2)>>2]=O;if(!T){O=c[B>>2]|0;W=c[O+(P-N<<2)>>2]|0;V=c[O+(P<<2)>>2]|0;O=0;do{h[V+(O<<3)>>3]=-0.0- +h[W+(O<<3)>>3];O=O+1|0;}while(O>>>0<D>>>0)}P=P+1|0;}while(P>>>0<H>>>0)}WR(G)}if((Bd(c[m>>2]|0,J|0,1)|0)==-1){n=417072;E=131;break a}else{L=d;E=130}break};default:{n=416392;E=131;break a}}}while(0);if((E|0)==129){E=0;d=R;C=C+1|0;continue}else if((E|0)==130){E=0;J=C+1|0;if((J|0)<6){d=L;C=J;continue}else{n=0;E=131;break}}}if((E|0)==33){WR(Q);n=424464;i=e;return n|0}else if((E|0)==46){WR(S);n=424464;i=e;return n|0}else if((E|0)==52){WR(U);n=423400;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function vo(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=sc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,60)|0;i=d;return b|0}function wo(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){od(415632,414592,399,439728);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){od(415632,414592,399,439728);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=VR(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){Bd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((pd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}WR(o);m=0;return m|0}else{t=VR(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}Bd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((pd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){WR(t);WR(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);WR(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function xo(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){od(415632,414592,519,439752);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){od(415632,414592,519,439752);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){Bd(n|0,q+(r<<3)|0,0)|0;f=(pd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{Bd(n|0,q+(r<<2)|0,0)|0;if((pd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function yo(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function zo(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function Ao(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function Bo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+Ao(b)<e){q=1;i=f;return q|0}if(+zo(b)>e){q=1;i=f;return q|0}if((wo(b,1)|0)==0){q=1;i=f;return q|0}yo(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+xo(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+xo(a,b,d,o);i=f;return q|0}if(+xo(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+xo(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function Co(a,b){a=a|0;b=b|0;return a+(b<<3)|0}function Do(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=En(a,b,f|0)|0;f=Co(c[a+8>>2]|0,g)|0;i=e;return f|0}function Eo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=VR(20)|0;Rn(0,(e|0)!=0|0,36144,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=XR(g,b)|0;c[e>>2]=a;Rn(0,(a|0)!=0|0,36144,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function Fo(a){a=a|0;WR(c[a>>2]|0);WR(a);return}function Go(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;Rn(0,(c[e>>2]|0)>0|0,428920,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;Rn(0,(g|0)>(b|0)|0,419976,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;Rn(0,(-g|0)<(b|0)|0,419976,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function Ho(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=XR(c[d>>2]<<1,c[e>>2]|0)|0;Rn(0,(f|0)!=0|0,36144,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=Go(a,h)|0;j=c[e>>2]|0;xS(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;WR(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function Io(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){Ho(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;xS((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function Jo(a){a=a|0;return c[a+12>>2]|0}function Ko(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;Rn(0,(c[f>>2]|0)>0|0,428920,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;Rn(0,(h|0)>(b|0)|0,419976,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;Rn(0,b>>>31^1,419976,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=Go(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function Lo(a){a=a|0;return c[(c[2032]|0)+(a<<2)>>2]|0}function Mo(a){a=a|0;return c[(c[2028]|0)+(a<<2)>>2]|0}function No(a){a=a|0;return c[(c[2030]|0)+(a<<2)>>2]|0}function Oo(a){a=a|0;return c[(c[2026]|0)+(a<<2)>>2]|0}function Po(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2028]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2030]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2032]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function Qo(a){a=a|0;var b=0;b=c[5374]|0;return+(+Ro(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Ro(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function So(a){a=a|0;var b=0;b=c[3558]|0;return+(+Ro(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function To(a){a=a|0;var b=0;b=c[408]|0;return+(+Ro(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Uo(a){a=a|0;return 0}function Vo(a){a=a|0;var b=0;zb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2032]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function Wo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5374]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2026]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2032]|0)+(a<<2)>>2]|0);e=c[3558]|0;g=e+(a<<3)|0;Xo(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;Po(a);g=c[5374]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2032]|0)+(a<<2)>>2]=0;i=b;return}function Xo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((_o(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function Yo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;zb(4,e|0)|0;f=c[422]|0;g=c[5374]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function Zo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=XR(a,8)|0;c[5374]=b;d=XR(a,8)|0;c[3558]=d;e=XR(a,8)|0;c[408]=e;f=XR(a,8)|0;c[422]=f;g=XR(a,4)|0;c[2032]=g;h=XR(a,4)|0;c[2026]=h;i=a<<2;j=VR(i)|0;c[2028]=j;k=XR(a,4)|0;c[2030]=k;yS(j|0,-1|0,i|0)|0;if((b|0)==0){od(35160,428536,393,439696)}if((d|0)==0){od(419656,428536,394,439696)}if((e|0)==0){od(410888,428536,395,439696)}if((f|0)==0){od(38216,428536,396,439696)}if((g|0)==0){od(33992,428536,397,439696)}if((j|0)==0){od(30256,428536,398,439696)}if((k|0)==0){od(27192,428536,399,439696)}if((h|0)==0){od(24744,428536,400,439696)}else{return}}function _o(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function $o(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0;e=i;i=i+8|0;f=b;b=i;i=i+20|0;i=i+7&-8;c[b>>2]=c[f>>2];c[b+4>>2]=c[f+4>>2];c[b+8>>2]=c[f+8>>2];c[b+12>>2]=c[f+12>>2];c[b+16>>2]=c[f+16>>2];f=e|0;g=f|0;c[g>>2]=1;c[f+4>>2]=c[b>>2];if((a|0)==0){Pn(17,0,g,33536,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==1){Pn(17,0,g,428152,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==3){Pn(17,0,g,410664,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==2){Pn(17,0,g,419336,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else{f=c[b+8>>2]|0;Pn(17,0,g,38048,(j=i,i=i+24|0,c[j>>2]=a,c[j+8>>2]=f,h[j+16>>3]=d,j)|0);i=j;i=e;return}}function ap(a){a=a|0;WR(c[a+12>>2]|0);WR(c[a+4>>2]|0);WR(c[a+8>>2]|0);return}function bp(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2478]=.5;h[2476]=1.0;h[2475]=.25;h[2463]=2.0;h[2462]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[118928]=y;z=c[d>>2]|0;c[118932]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[118932]=A;}while((A|0)<=(z|0))}c[118936]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2467]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2467]=D;E=D}else{E=C}F=c[d>>2]|0;c[118932]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[118932]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2467]}}}while(0);A=A+1|0;c[118936]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2488]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2486]=0.0;h[2481]=0.0;h[2474]=0.0;h[2459]=0.0;c[118944]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2486]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2481]+ +h[G>>3]*D;h[2481]=C;D=+h[L>>3];M=+h[2474]+D*D;h[2474]=M;D=+h[H>>3];h[2459]=+h[2459]+D*D;H=F+1|0;c[118944]=H;D=+h[2486];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[118930]=F;D=E/K;h[2479]=D;A=c[d>>2]|0;c[118932]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2480]=0.0;h[2472]=0.0;F=c[b>>2]|0;c[118944]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2482]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2480]=X;_=_+aa*aa;h[2472]=_;G=G+1|0;}while((G|0)<=(F|0));c[118944]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[118930]=H;h[2479]=aa;h[2481]=U;h[2474]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[118932]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[118944]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[118944]=ea;ba=+h[2486];ca=+h[2474];da=+h[2481]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2473]=I;c[118938]=0;h[2483]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[118938]=H;da=+h[2476]/+W(ca);h[2467]=da;h[2461]=0.0;h[2460]=0.0;A=c[b>>2]|0;c[118944]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2461]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2461]=la;ma=+h[2460]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2460]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2467];da=+h[2486];J=+h[2481]}c[118944]=na;fa=la;ha=ma;ia=+h[2486]}J=+h[2478];da=fa*J*fa;h[2466]=da;K=ha*J*ha;h[2465]=K;h[59482]=K+(da+ia*(+h[2459]+ia*J));J=+h[2463];h[59483]=J*fa*ia;h[59484]=J*ha*ia;h[59485]=da-K;h[59486]=fa*ha;yS(475896,0,32)|0;c[118944]=10;B=c[d>>2]|0;c[118932]=1;if((B|0)>=1){F=1;do{h[2466]=0.0;h[2465]=0.0;h[2464]=0.0;A=c[b>>2]|0;c[118944]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2466]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2465]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2464]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[118944]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2475]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2466]*+h[2464];h[s+(Q+F<<3)>>3]=+h[2465]*+h[2464];J=+h[2466];P=+h[2465];h[s+(N+F<<3)>>3]=+h[2475]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2478]*+h[2466]*+h[2465];F=F+1|0;c[118932]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[118944]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[118942]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[118944]=F;}while((F|0)<=(B|0))}c[118934]=1;B=1;do{F=c[d>>2]|0;c[118926]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[118926]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[118932]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[118932]=ja}c[118936]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2470]=0.0;ka=c[d>>2]|0;c[118932]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2470]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[118932]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2470]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[118932]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2470]}c[118932]=ya}xa=A+1|0;c[118936]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[118932]=1;if((A|0)<1){break}else{Aa=1}do{h[2470]=0.0;F=c[b>>2]|0;c[118936]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2470]=X;ka=ja+1|0;c[118936]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[118932]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[118936]=1;if((A|0)>=1){ya=1;do{h[2470]=0.0;c[118944]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2470]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[118944]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[118936]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[118934]=B;}while((B|0)<6);B=c[k>>2]|0;c[118932]=1;h[2470]=0.0;c[118944]=1;X=+h[2478];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[475632+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[475632+(ya-1<<3)>>3]+da;h[2470]=da;ya=ya+1|0;}while((ya|0)<6);h[59482]=+h[59482]- +h[59454]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2466]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2465]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2464]=J;h[59483]=+h[59483]-K-X*(J+P);h[59487]=+h[59487]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2466]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2465]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2464]=K;h[59484]=+h[59484]-J-X*(P-K);h[59488]=+h[59488]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2466]=K;h[59485]=+h[59456]+(+h[59485]-K- +h[59455]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2466]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2465]=P;h[59486]=+h[59486]-K-P*X;h[59489]=+h[59489]- +h[59457]+ +h[59458];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2466]=P;h[59490]=+h[59490]-X*P;A=A+1|0;h[2470]=0.0}while((A|0)<=(B|0));c[118932]=A;c[118944]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[475632+(B-1<<3)>>3]=X*K*K;P=+h[475632+(B-1<<3)>>3]+P;h[2470]=P;B=B+1|0;c[118944]=B;}while((B|0)<6);K=+h[2488];J=K*+h[59482]+ +h[59454]+P;h[59473]=J;O=+h[2463];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2466]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2465]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2464]=R;U=R+(K*+h[59483]+T+S);h[59474]=U;T=K*+h[59487]+S-R;h[59478]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2466]=R;S=+h[qa>>3]*+h[za>>3];h[2465]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2464]=V;h[59475]=K*+h[59484]+R+S-V;h[59479]=K*+h[59488]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2466]=V;R=+h[59455]+(V+K*+h[59485])- +h[59456];h[59476]=R;V=O*+h[A>>3]*+h[za>>3];h[2466]=V;h[59477]=V+K*+h[59486]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[59489]+ +h[59457]- +h[59458];h[59480]=O;h[59481]=K*+h[59490]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2470]=K;h[2484]=K;h[2485]=K;c[118940]=0;O=+h[2462]/50.0;h[2467]=O;h[59454]=+h[2476];c[118944]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[59455]=U;J=+Z(Ja);h[59456]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[475632+(Ha-1<<3)>>3]=J;M=+h[59455]*C+ +h[59456]*E;h[475632+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[59455];U=+h[59456]}do{Ha=La-1|0;Ka=Ka+ +h[475784+(Ha<<3)>>3]*+h[475632+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2485]=Ka;c[118940]=za;h[2466]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2465]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[118936]=10;h[2470]=Ka;h[2487]=Ja;h[2469]=T;c[118944]=50;if((Oa|0)==0){h[2466]=Ka;Sa=Qa;Ta=Ka}else if((Oa|0)==49){h[2465]=K;Sa=K;Ta=Pa}else{Sa=Qa;Ta=Pa}h[2471]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2466]=S;V=Sa-Ra;h[2465]=V;R=X*(S-V)/(S+V);h[2471]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2487]=R;V=+Y(R);h[59455]=V;S=+Z(R);h[59456]=S;c[118936]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[475632+(Ia-1<<3)>>3]=S;D=+h[59455]*P+ +h[59456]*R;h[475632+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[59455];V=+h[59456]}h[q>>3]=0.0;h[2485]=0.0;c[118936]=1;Ia=1;do{za=Ia-1|0;Ha=475632+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[475856+(za<<3)>>3]*+h[Ha>>3];h[2485]=+h[2485]+ +h[475784+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[118936]=10;Ia=c[k>>2]|0;c[118932]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[475632+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[118936]=6;c[118932]=Ha}h[2468]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2486]=0.0;h[2466]=0.0;h[2465]=0.0;Ia=c[b>>2]|0;c[118944]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[59455]*+h[A>>3]+ +h[59456]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2486]=+h[2486]+V*V;Xa=+h[2466]+ +h[A>>3]*+h[B>>3];h[2466]=Xa;V=+h[B>>3];Ya=+h[2465]+V*V;h[2465]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[118944]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2483];U=+h[2484];h[2483]=V>=U?V:U}U=+h[2485];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2483];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2483]=U;c[118944]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2467]=P;R=+h[2468]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2488];B=Ha+1|0;c[118944]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2466];V=+h[2465]}}}while(0);Ia=c[d>>2]|0;c[118932]=1;if((Ia|0)>=1){za=1;do{h[2470]=0.0;Ha=c[b>>2]|0;c[118936]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2470]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[118936]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2468]*+h[o+(Ha-1+za<<3)>>3]- +h[2488]*+h[p+(za-1<<3)>>3]);h[2467]=U;c[118944]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2467]}c[118944]=qa}za=za+1|0;c[118932]=za;}while((za|0)<=(Ia|0))}h[2474]=0.0;h[2481]=0.0;Ia=c[b>>2]|0;c[118944]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2474]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2481]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[118944]=za;ab=P;bb=V}U=+h[2486];R=U*ab-bb*bb;h[2473]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[19816]=1;H=c[k>>2]|0;c[118932]=1;if((H|0)<1){cb=+h[2476];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[475632+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[118936]=6;c[118932]=ib;cb=+h[2476];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function cp(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2446]=.5;h[2444]=1.0;h[2430]=6.283185307179586;x=+h[m>>3];h[2450]=x*x;y=u-1-(c[b>>2]|0)|0;c[118896]=y;c[118902]=0;z=c[d>>2]|0;c[118898]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[118898]=A}c[118900]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2433]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2433]=D;E=D}else{E=x}F=c[d>>2]|0;c[118898]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2433]}c[118898]=H}G=z+1|0;c[118900]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2451]=0.0;B=c[b>>2]|0;c[118906]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2451]=+h[2451]+E*E;o=o+1|0;c[118906]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[118898]=1;if((B|0)>=1){o=1;do{h[2433]=0.0;h[2438]=0.0;w=c[b>>2]|0;c[118900]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2433]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2438]=x;g=g+1|0;}while((g|0)<=(w|0));c[118900]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2433]=D;h[2438]=+h[w>>3]*K;w=c[b>>2]|0;c[118906]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2438]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2433]}c[118906]=M}o=o+1|0;c[118898]=o;}while((o|0)<=(B|0))}h[2447]=0.0;h[2442]=0.0;h[2448]=0.0;B=c[b>>2]|0;c[118906]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2447]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2442]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2448]=L;o=o+1|0;}while((o|0)<=(B|0));c[118906]=o;N=J;O=L;P=K}K=+h[2451];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2443]=Q;h[2433]=0.0;if(N*N>K*.99*P){h[2433]=+h[2444]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2446]*Q*S);h[2437]=O;if(P*+h[2450]<O*O*.01){h[2433]=+h[2444]}m=c[b>>2]|0;c[118906]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2443]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2433]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2443]}c[118906]=U;T=0}while(1){U=T+1|0;c[118902]=U;h[2451]=0.0;h[2442]=0.0;h[2441]=0.0;B=c[b>>2]|0;c[118906]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2451]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2442]=Q;S=+h[M>>3];P=P+S*S;h[2441]=P;o=o+1|0;}while((o|0)<=(B|0));c[118906]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2433]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2449]=R;B=c[b>>2]|0;c[118906]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2451];N=+h[2442];K=+h[2449]}c[118906]=aa}m=c[d>>2]|0;c[118898]=1;if((m|0)>=1){M=1;do{h[2438]=0.0;B=c[b>>2]|0;c[118900]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2438]=K;o=o+1|0;}while((o|0)<=(B|0));c[118900]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2438]=N;B=c[b>>2]|0;c[118906]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2438]}c[118906]=H}M=M+1|0;c[118898]=M;}while((M|0)<=(m|0))}h[2457]=0.0;h[2456]=0.0;h[2455]=0.0;h[2454]=0.0;h[2453]=0.0;m=c[b>>2]|0;c[118906]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2457]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2456]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2455]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2454]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2453]=P;M=M+1|0;}while((M|0)<=(m|0));c[118906]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2446];R=O*ca;h[2457]=R;L=O*da-R;h[2454]=L;J=R+ea+L;h[2436]=J;h[2435]=J;h[2434]=J;c[118904]=0;a[19560]=1;x=+h[2430]/50.0;h[2433]=x;c[118906]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2435]=la;c[118904]=m;h[2432]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2431]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2458]=ia;h[2452]=ja;h[2439]=ka;h[2437]=la;c[118906]=50;h[2434]=la;if((pa|0)==49){h[2431]=J;qa=J}else if((pa|0)==0){h[2432]=la;$=74}else{$=74}if(($|0)==74){$=0;qa=+h[2431]}h[2440]=0.0;D=+h[2432];if(D!=qa){E=D-oa;h[2432]=E;D=qa-oa;h[2431]=D;P=O*(E-D)/(E+D);h[2440]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2458]=P;D=+Y(P);h[2452]=D;E=+Z(P);h[2439]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2437]=P;o=c[b>>2]|0;c[118906]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2452]*+h[w>>3]+ +h[2439]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2452];D=+h[2439]}c[118906]=ta;sa=+h[2437]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2436];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function dp(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;yG(96)|0;m=c[d>>2]|0;c[113190]=1;if((m|0)>=1){d=1;do{PF(19336,b+(d-1)|0,1)|0;d=(c[113190]|0)+1|0;c[113190]=d;}while((d|0)<=(m|0))}gG()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;yG(72)|0;PF(19336,h,4)|0;gG()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;yG(48)|0;PF(19336,h,4)|0;PF(19336,i,4)|0;gG()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;yG(24)|0;PF(19336,k,8)|0;gG()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;yG(120)|0;PF(19336,k,8)|0;PF(19336,l,8)|0;gG()|0}if((c[f>>2]|0)!=2){return 0}xF(475952,0)|0;return 0}function ep(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==0){B=2;while(1){c[118806]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){EF(475048,421104,80,25);dp(475048,19208,19200,475512,19328,d,475512,475512,18704,18704,80)|0;break}c[118760]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[118760]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}EF(475048,419432,80,34);dp(475048,19160,19144,475512,19328,475040,475512,475512,18704,18704,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[118796]=F;c[118794]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){EF(475048,41952,80,52);dp(475048,19032,19312,475512,19328,G,475512,475512,18704,18704,80)|0;break a}c[118796]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[118794]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[118796]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[118794]=E+(c[118796]|0);break b}}}while(0);EF(475048,342640,80,52);dp(475048,19032,19320,475512,19328,q,475512,475512,18704,18704,80)|0;break a}}while(0);c[118798]=(c[d>>2]|0)+20;c[q+64>>2]=c[118796];if((c[p>>2]|0)<(c[118794]|0)){EF(475048,418512,80,60);dp(475048,18992,19064,475512,19200,475176,p,475512,18704,18704,80)|0;break}if((c[r>>2]|0)<(c[118798]|0)){EF(475048,417672,80,60);dp(475048,18992,19008,475512,19200,475192,r,475512,18704,18704,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){EF(475048,39936,80,24);dp(475048,19216,19176,19328,19328,w,475512,475512,18704,18704,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2262]=J;if(J>0.0){break}EF(475048,413240,80,28);dp(475048,19192,19416,475512,475512,475512,475512,19328,18096,18704,80)|0;break a}}while(0);c[q+60>>2]=0;yS(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==(-1|0)){EF(475048,29160,80,49);dp(475048,19040,19240,475512,475512,475512,475512,475512,18704,18704,80)|0;EF(475048,427232,80,47);dp(475048,19056,19232,475512,19328,n,475512,475512,18704,18704,80)|0;EF(475048,418400,80,41);dp(475048,19096,19224,19328,475512,475512,475512,475512,18704,18704,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[18072]=0;J=+h[l>>3];h[2257]=J;K=+h[m>>3];h[2265]=K;A=c[d>>2]|0;c[118806]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2257]=N;O=+h[m+(B<<3)>>3];h[2265]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[18072]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[118806]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[118792]=p;r=p+(c[w>>2]|0)|0;c[118790]=r;p=r+(c[w>>2]|0)|0;c[118788]=p;B=p+(c[w>>2]|0)|0;c[118800]=B;F=B+(c[d>>2]|0)|0;c[118782]=F;E=F+(c[d>>2]|0)|0;c[118786]=E;c[118784]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[118758]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2254]=+h[F>>3];a[18112]=0;h[2256]=+h[o+24>>3];I=o+16|0;h[2263]=+h[I>>3];do{if((c[w>>2]|0)!=0){fp(19200,v,w,d,18048,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,475216,F,0,o,q,s,t)|0;if((c[115584]|0)>0){i=y;return 0}if((c[118804]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];Cp(d,o+((c[118800]|0)-1<<3)|0,19328,g,19328)|0;a[18112]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2263];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2263]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2263];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2255]=N;T=+h[2256];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[118786]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){kp(18048,j,f,g,d,H,W,X)|0;if((c[115584]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18112]=1;C=195;break d}}else{kp(18048,18048,f,g,d,H,W,X)|0;if((c[115584]|0)>0){i=y;return 0}else{h[e>>3]=+h[2256];c[n>>2]=1;a[18112]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}kp(18048,j,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18112]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2254]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2263]=V;h[I>>3]=V;break}kp(18048,18040,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2255];a[18112]=1;C=195;break d}}else{V=+h[2256];if(!F){if(O*(V-M)<0.0){break}kp(18048,j,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18112]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[118786]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){kp(18048,j,f,g,d,G,X,W)|0;if((c[115584]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18112]=1;C=195;break d}}else{kp(18048,18048,f,g,d,G,X,W)|0;if((c[115584]|0)>0){i=y;return 0}else{h[e>>3]=+h[2256];c[n>>2]=1;a[18112]=1;C=195;break d}}}}while(0);if(a[18112]|0){C=195}else{C=126}}else{h[2256]=+h[e>>3];c[n>>2]=1;hp(d,k+4|0,l,m,f,o+((c[118782]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[118782]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[118806]=W;EF(475048,410728,80,39);dp(475048,19112,19360,475512,475512,475512,475512,475512,18704,18704,80)|0;break c}c[118806]=W;M=+op(409856,1);h[2254]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2254]*4.0*($>=aa?$:aa);h[2261]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){EF(475048,409976,80,60);dp(475048,18992,19352,475512,475512,475512,475512,19200,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2260]=ba*.001;M=+ip(d,g,o+((c[118782]|0)-1<<3)|0,s,t);if(M>.5/+h[2260]){h[2260]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+BF(18080,z);h[2260]=M;ca=M}else{M=+h[o+16>>3];h[2260]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}EF(475048,411560,80,29);dp(475048,19184,19392,475512,475512,475512,475512,475512,18704,18704,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2260]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2255]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2260]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{jp(18048,f,g,d,b,u,18080,o+((c[118782]|0)-1<<3)|0,n,s,t,o+((c[118786]|0)-1<<3)|0,o+400|0,o+((c[118800]|0)-1<<3)|0,o+((c[118784]|0)-1<<3)|0,q,18088,I,k+36|0,475032)|0;if((c[115584]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2260]}h[2263]=ia;h[o+16>>3]=ia;F=c[118786]|0;X=(c[d>>2]|0)+F|0;c[118802]=X;G=c[d>>2]|0;c[118806]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2263]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[118806]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2263];h[o+232>>3]=+h[2263]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}fp(19328,v,w,d,e,j,f,o+((c[118800]|0)-1<<3)|0,o+((c[118786]|0)-1<<3)|0,F,ka,o+((c[118792]|0)-1<<3)|0,o+((c[118790]|0)-1<<3)|0,o+((c[118788]|0)-1<<3)|0,x,475216,I,0,o,q,s,t)|0;if((c[115584]|0)>0){i=y;return 0}if((c[118804]|0)!=0){EF(475048,39240,80,47);dp(475048,19056,19168,19328,475512,475512,475512,475512,18704,18704,80)|0;EF(475048,38872,80,38);dp(475048,19128,19168,19328,475512,475512,475512,475512,18704,18704,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}fp(19144,v,w,d,18048,j,f,o+((c[118800]|0)-1<<3)|0,o+((c[118786]|0)-1<<3)|0,F,ka,o+((c[118792]|0)-1<<3)|0,o+((c[118790]|0)-1<<3)|0,o+((c[118788]|0)-1<<3)|0,x,475216,I,0,o,q,s,t)|0;if((c[115584]|0)>0){i=y;return 0}if((c[118804]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];Cp(d,o+((c[118800]|0)-1<<3)|0,19328,g,19328)|0;C=195}}while(0);if((C|0)==216){EF(475048,414472,80,54);dp(475048,19024,18752,475512,475512,475512,475512,19200,18040,j,80)|0;break c}else if((C|0)==218){EF(475048,412392,80,34);dp(475048,19160,19400,475512,475512,475512,475512,19200,j,e,80)|0;break c}else if((C|0)==222){EF(475048,409456,80,49);dp(475048,19040,19344,475512,475512,475512,475512,19200,18040,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;hp(d,ma,l,m,o+((c[118786]|0)-1<<3)|0,o+((c[118782]|0)-1<<3)|0,s,t)|0;if((c[115584]|0)>0){C=231;break}p=c[d>>2]|0;r=c[118782]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[118806]=na;O=+ip(d,o+((c[118786]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2254];oa=O*L;h[2258]=oa;if(oa>1.0){C=136;break}O=+h[2256];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2261]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2263];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2263]=L/O}}while(0);lp(18048,f,g,d,b,u,18104,o+((c[118782]|0)-1<<3)|0,k,n,s,t,o+((c[118786]|0)-1<<3)|0,o+400|0,o+((c[118800]|0)-1<<3)|0,o+((c[118784]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,18088,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,475032)|0;if((c[115584]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){fp(19144,v,w,d,18048,j,f,o+((c[118800]|0)-1<<3)|0,o+((c[118786]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[118792]|0)-1<<3)|0,o+((c[118790]|0)-1<<3)|0,o+((c[118788]|0)-1<<3)|0,x,475216,o+64|0,0,o,q,s,t)|0;if((c[115584]|0)>0){C=231;break e}if((c[118804]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];Cp(d,o+((c[118800]|0)-1<<3)|0,19328,g,19328)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2256];L=+h[2263];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}kp(18048,j,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}kp(18048,j,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){kp(18048,j,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2255];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2254]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}kp(18048,18040,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2255];C=195;continue}if(!(M<0.0)){kp(18048,j,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2255];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2254]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2263]=M-O;C=126;continue}else{kp(18048,18040,f,g,d,q+28|0,o+((c[118786]|0)-1<<3)|0,o+224|0)|0;if((c[115584]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2255];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2256];h[o+16>>3]=+h[2263];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[118806]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2258]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[118806]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2258]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2258]}c[118806]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[118802]=I;switch(I|0){case 2:{EF(475048,29816,80,47);dp(475048,19056,18968,475512,475512,475512,475512,19328,18048,18704,80)|0;EF(475048,26536,80,48);dp(475048,19048,18960,475512,475512,475512,475512,475512,18704,18704,80)|0;EF(475048,24472,80,45);dp(475048,19080,18952,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 3:{EF(475048,21872,80,38);dp(475048,19128,18944,475512,475512,475512,475512,19328,18048,18704,80)|0;EF(475048,437448,80,28);dp(475048,19192,18936,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 6:{EF(475048,434544,80,44);dp(475048,19088,18928,475512,475512,475512,475512,19200,18048,18104,80)|0;EF(475048,432224,80,57);dp(475048,19e3,18920,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 7:{EF(475048,434544,80,44);dp(475048,19088,18912,475512,475512,475512,475512,19200,18048,18104,80)|0;EF(475048,430504,80,48);dp(475048,19048,18904,475512,475512,475512,475512,475512,18704,18704,80)|0;EF(475048,429352,80,28);dp(475048,19192,18896,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 8:{EF(475048,434544,80,44);dp(475048,19088,18888,475512,475512,475512,475512,19200,18048,18104,80)|0;EF(475048,428256,80,37);dp(475048,19136,18880,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 9:{EF(475048,434544,80,44);dp(475048,19088,18864,475512,475512,475512,475512,19200,18048,18104,80)|0;EF(475048,427320,80,49);dp(475048,19040,18856,475512,475512,475512,475512,475512,18704,18704,80)|0;EF(475048,426464,80,38);dp(475048,19128,18848,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 10:{EF(475048,434544,80,44);dp(475048,19088,18840,475512,475512,475512,475512,19200,18048,18104,80)|0;EF(475048,425816,80,45);dp(475048,19080,18832,475512,475512,475512,475512,475512,18704,18704,80)|0;EF(475048,425080,80,36);dp(475048,19152,18824,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 11:{EF(475048,424376,80,40);dp(475048,19104,18816,475512,475512,475512,475512,19200,18048,18104,80)|0;EF(475048,423288,80,36);dp(475048,19152,18808,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 12:{EF(475048,434544,80,44);dp(475048,19088,18800,475512,475512,475512,475512,19200,18048,18080,80)|0;EF(475048,422440,80,45);dp(475048,19080,18792,475512,475512,475512,475512,475512,18704,18704,80)|0;break};case 4:case 5:{break};default:{EF(475048,37600,80,38);dp(475048,19128,18984,475512,475512,475512,475512,19328,18048,18704,80)|0;EF(475048,33584,80,48);dp(475048,19048,18976,475512,475512,475512,475512,475512,18704,18704,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2256];h[o+24>>3]=+h[2256];h[o+16>>3]=+h[2263];i=y;return 0}else if((C|0)==213){EF(475048,417016,80,39);dp(475048,19112,18872,475512,475512,475512,475512,475512,18704,18704,80)|0;break c}else if((C|0)==214){EF(475048,416344,80,39);dp(475048,19112,18784,475512,475512,475512,475512,475512,18704,18704,80)|0;break c}}}while(0);EF(475048,415552,80,47);dp(475048,19056,18760,475512,475512,475512,475512,475512,18704,18704,80)|0}else if((C|0)==208){EF(475048,421824,80,55);dp(475048,19016,19328,475512,475512,475512,475512,475512,18704,18704,80)|0}}while(0);if((C|0)==225){EF(475048,41376,80,39);dp(475048,19112,19248,475512,475512,475512,475512,19200,j,e,80)|0}if((c[k>>2]|0)==-1){EF(475048,38456,80,46);dp(475048,19072,18776,475512,475512,475512,475512,475512,18704,18704,80)|0;EF(475048,38088,80,47);dp(475048,19056,18768,19328,475512,475512,475512,475512,18704,18704,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function fp(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2113]=A;c[s>>2]=0;B=c[e>>2]|0;c[118208]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[118208]|0)+1|0;c[118208]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2112]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==3){G=+h[g>>3];H=A}else if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;kp(g,b,j,k,f,n,l,m)|0;if((c[115584]|0)>0){return 0}B=d;Xd[B&15](f,b,j,e,o,x,y)|0;if((c[115584]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[16856]=0;I=c[e>>2]|0;c[118208]=1;if((I|0)<1){break}else{J=1;K=0}while(1){F=+h[o+(J-1<<3)>>3];if(F<0.0){L=-0.0-F}else{L=F}if(L>0.0){M=K}else{a[16856]=1;M=1}N=J+1|0;if((N|0)>(I|0)){break}else{J=N;K=M}}c[118208]=N;if(!M){break}F=+BF(16896,16904);h[2110]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2113];do{if((E- +h[g>>3])*F<0.0){kp(g,b,j,k,f,n,l,m)|0;if((c[115584]|0)<=0){break}return 0}else{D=+h[2110]/F;h[2109]=D;I=c[f>>2]|0;c[118208]=1;if((I|0)<1){break}O=(u<<1)+z|0;P=1;Q=2;R=D;while(1){S=j+(P-1<<3)|0;h[S>>3]=+h[S>>3]+R*+h[l+(O+P<<3)>>3];if((Q|0)>(I|0)){break}P=Q;Q=Q+1|0;R=+h[2109]}c[118208]=Q}}while(0);Xd[B&15](f,b,j,e,o,x,y)|0;if((c[115584]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[16856]=0;P=c[e>>2]|0;c[118208]=1;if((P|0)<1){break}else{T=1;U=0}while(1){I=T-1|0;F=+h[o+(I<<3)>>3];if(F<0.0){V=-0.0-F}else{V=F}if(V>0.0){W=U;X=T}else{c[r+(I<<2)>>2]=1;a[16856]=1;W=1;X=c[118208]|0}I=X+1|0;c[118208]=I;if((I|0)>(P|0)){break}else{T=I;U=W}}if(!W){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{G=F;H=+h[2113];break}}else{P=v+320|0;kp(g,P,j,k,f,n,l,m)|0;if((c[115584]|0)>0){return 0}C=d;Xd[C&15](f,P,j,e,o,x,y)|0;if((c[115584]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[16856]=0;B=c[e>>2]|0;c[118208]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[16856]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[118208]=aa;if(!$){return 0}F=+BF(16896,16904);h[2110]=F;h[P>>3]=F+ +h[P>>3];F=+h[2110]/+h[2113];h[2109]=F;B=c[f>>2]|0;c[118208]=1;if((B|0)>=1){I=(u<<1)+z|0;O=1;S=2;E=F;while(1){ba=j+(O-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(I+O<<3)>>3];if((S|0)>(B|0)){break}O=S;S=S+1|0;E=+h[2109]}c[118208]=S}Xd[C&15](f,P,j,e,o,x,y)|0;if((c[115584]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[16856]=0;O=c[e>>2]|0;c[118208]=1;if((O|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[16856]=1;fa=1}ga=ca+1|0;if((ga|0)>(O|0)){break}else{ca=ga;da=fa}}c[118208]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-G)*H<0.0){h[2111]=ea;if(!((ea- +h[v+320>>3])*H>0.0)){return 0}kp(g,16888,j,k,f,n,l,m)|0;if((c[115584]|0)<=0){break}return 0}else{h[2111]=G;i=c[f>>2]|0;c[118208]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[118208]=ha}}while(0);ha=d;Xd[ha&15](f,16888,j,e,p,x,y)|0;if((c[115584]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[118206]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){gp(e,16896,472824,i,16888,o,p,q,16864,r,fa,ga,w,da)|0;if((c[115584]|0)>0){ia=76;break}if((c[118206]|0)>1){ia=73;break}kp(g,16864,j,k,f,n,l,m)|0;if((c[115584]|0)>0){ia=76;break}Xd[ha&15](f,16864,j,e,q,x,y)|0;if((c[115584]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2108];Cp(e,q,19328,o,19328)|0;if((c[118206]|0)==4){return 0}kp(g,16864,j,k,f,n,l,m)|0;if((c[115584]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function gp(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[118202]=c[n>>2];c[n>>2]=0;h[2105]=0.0;a[16824]=0;r=c[b>>2]|0;c[118204]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+BF(18688,i+(t<<3)|0);if(u==+BF(18688,k+((c[118204]|0)-1<<3)|0)){break}w=c[118204]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2105])){break}h[2105]=z;c[n>>2]=w}else{a[16824]=1}}while(0);s=(c[118204]|0)+1|0;c[118204]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[16848]=1;c[118200]=c[o>>2];h[g>>3]=+h[q>>3];Cp(b,k,19328,j,19328)|0;c[o>>2]=1;a[16832]=0;A=0}else{a[16848]=0;c[n>>2]=c[118202];c[118200]=c[o>>2];if(a[16824]|0){h[g>>3]=+h[q>>3];Cp(b,k,19328,j,19328)|0;a[16832]=1;A=1;break}else{Cp(b,k,19328,i,19328)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[16832]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[16832]=1;C=y}c[e>>2]=2;h[l>>3]=C;Cp(b,j,19328,k,19328)|0;r=c[b>>2]|0;c[118204]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[118204]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+BF(18688,i+(s<<3)|0);if(!(y!=+BF(18688,j+((c[118204]|0)-1<<3)|0))){break}c[m+((c[118204]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[118204]|0)+1|0;c[118204]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2105]=0.0;a[16824]=0;r=c[b>>2]|0;c[118204]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+BF(18688,i+(t<<3)|0);if(y==+BF(18688,j+((c[118204]|0)-1<<3)|0)){break}w=c[118204]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2105])){break}h[2105]=G;c[n>>2]=w}else{a[16824]=1}}while(0);s=(c[118204]|0)+1|0;c[118204]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[16848]=r;if(r){a[16832]=0;c[118200]=0;c[o>>2]=1;break}if(!(a[16824]|0)){Cp(b,j,19328,k,19328)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];Cp(b,j,19328,k,19328)|0;r=c[b>>2]|0;c[118204]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[118204]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[118204]|0}s=I+1|0;c[118204]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[118200]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function hp(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2228]=+h[d>>3];h[2229]=+h[e>>3];j=c[a>>2]|0;c[118720]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2228];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2228]=n;h[2229]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2229];k=k+1|0;c[118720]=k;}while((k|0)<=(j|0));return 0}function ip(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2266]=0.0;f=c[a>>2]|0;c[118810]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2266]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[118810]=o;if(!(n>0.0)){g=0.0;return+g}h[2267]=0.0;o=c[a>>2]|0;c[118810]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2267]=j;i=i+1|0;}while((i|0)<=(o|0));c[118810]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function jp(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[118846]=0;c[118848]=0;c[118844]=0;h[2274]=+h[b>>3];h[2273]=+ip(f,d,l,0,0);C=c[f>>2]|0;c[118856]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[118856]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2282]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[118856]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[118856]=H}a[18224]=1;c[118850]=0;a[18248]=1;c[B>>2]=(c[B>>2]|0)+1;c[118852]=0;Xd[C&15](b,d,e,q,475408,n,o)|0;b:do{if((c[118852]|0)<0){K=35}else{while(1){if(a[18224]|0){c[E>>2]=(c[E>>2]|0)+1;a[18224]=0;mp(f,b,d,e,q,18256,k,475416,l,r,s,t,g,475408,v,j,n,o,x)|0;h[2275]=1.0e6;if((c[118852]|0)<0|(c[118854]|0)!=0){K=35;break b}c[118844]=0}G=c[f>>2]|0;c[118856]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[118856]=I}np(f,q,s,t)|0;G=c[f>>2]|0;c[118856]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2282]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[118856]=J}N=+ip(f,q,l,0,0);h[2280]=N;if(!(N>+h[v>>3]*100.0*+h[2273])){break}G=c[118850]|0;if((G|0)>0){h[z>>3]=N/+h[2277];h[A>>3]=1.0/+(G|0);O=+zF(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2275]=P;Q=P;R=+h[2280]}else{h[2277]=N;Q=+h[2275];R=N}if(!(Q*R>.33)){break}G=(c[118850]|0)+1|0;c[118850]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[18224]=1}c[B>>2]=(c[B>>2]|0)+1;c[118852]=0;Xd[C&15](b,d,e,q,475408,n,o)|0;if((c[118852]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[118856]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[118856]=I}N=+ip(f,q,l,0,0);h[2280]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[118856]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2282]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[118856]=T}}while(0);if(!(a[18248]|0)){break}G=c[f>>2]|0;c[118856]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[118856]=I}N=+ip(f,r,l,0,0);h[2279]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[18248]=0}h[b>>3]=+h[2274];H=c[f>>2]|0;c[118856]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[118856]=G}if(a[18248]|0){H=(c[118846]|0)+1|0;c[118846]=H;N=.9/(+h[2279]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2276]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[118854]|0)!=0){H=(c[118844]|0)+1|0;c[118844]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[118852]|0)>-2)){K=53;break}H=(c[118848]|0)+1|0;c[118848]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function kp(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[118722]=m;n=+h[b>>3]- +h[a>>3];h[2230]=n;a=c[f>>2]|0;c[118726]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[118726]=b;o=+h[2230]}h[2233]=1.0;h[2232]=0.0;n=o/+h[j>>3];h[2231]=n;c[118724]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2232]=q*r+s/+h[b>>3];o=r*s;h[2233]=o;h[2231]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[118726]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2232]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2233]}c[118726]=v}g=p+1|0;c[118724]=g;if((g|0)>(m|0)){break}p=g;q=+h[2232];r=+h[2231];s=+h[2233];t=+h[2230]}return 0}function lp(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2234]=+h[b>>3];c[118734]=0;c[118730]=0;c[118732]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2248]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[118740]=(c[I>>2]|0)+1;c[118738]=(c[I>>2]|0)+2;c[118744]=(c[I>>2]|0)-1;h[2234]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[118728]=$+1;$=c[118740]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2238]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[118756]=2;if(($|0)>=2){Y=2;do{h[2237]=+h[y+(Y-2<<3)>>3];U=+h[2238];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2237];U=+h[2237]+ +h[k>>3];h[2238]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[118756]=Y}h[y+($-1<<3)>>3]=+h[2238]}h[2252]=0.0;h[2253]=0.0;aa=c[I>>2]|0;c[118756]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2252]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2253]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[118756]=ba;da=ca}h[2251]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2252]- +h[2253];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2250]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2250]=ea>=U?ea:U;h[2238]=.6;h[2237]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2251]){h[D>>3]=100.0}aa=c[118740]|0;Y=c[118728]|0;if((aa|0)>=(Y|0)){c[118750]=Y;ha=Y;do{Y=c[f>>2]|0;c[118756]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[118756]=ia}ha=ha+1|0;c[118750]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[118756]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[118756]=ha}aa=c[118740]|0;c[118750]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[118756]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[118756]=ka}ia=ia+1|0;c[118750]=ia;}while((ia|0)<=(aa|0))}h[2240]=+ip(f,d,l,0,0);a[17992]=1;c[118736]=0;c[T>>2]=(c[T>>2]|0)+1;c[118752]=0;Xd[m&15](b,d,e,r,475008,o,p)|0;if((c[118752]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;mp(f,b,d,e,r,A,k,475016,l,s,t,u,g,475008,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[118752]|0)<0|(c[118754]|0)!=0){X=70;break}c[118730]=0}aa=c[f>>2]|0;c[118756]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[118756]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2238]=ca;aa=c[f>>2]|0;c[118756]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2238]}c[118756]=ma}np(f,r,t,u)|0;$=c[f>>2]|0;c[118756]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[118756]=ha}U=+ip(f,r,l,0,0);h[2248]=U;if(!(U>+h[F>>3]*100.0*+h[2240])){X=63;break a}$=c[118736]|0;if(($|0)>0){h[O>>3]=U/+h[2241];h[P>>3]=1.0/+($|0);ca=+zF(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2248]}else{h[2241]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[118736]|0)+1|0;c[118736]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[118752]=0;Xd[m&15](b,d,e,r,475008,o,p)|0;if((c[118752]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[118756]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[118756]=$}U=+ip(f,r,l,0,0);h[2248]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[118756]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[118756]=qa}}while(0);if((X|0)==70){X=0;a[17992]=0}c[H>>2]=1;if(a[17992]|0){U=+ip(f,s,l,0,0);h[2247]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2246]=fa;h[2236]=fa*+(ia+1|0);h[2243]=fa;c[118742]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[118756]=1;if((ia|0)>=1){$=ga(c[118740]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[118756]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+ip(f,r,l,0,0);h[2245]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2235]=fa;if((ia|0)>2){$=c[f>>2]|0;c[118756]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[118756]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+ip(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2235];if((sa>=ca?sa:ca)>+h[2236]){break}ta=ba;ua=+h[2245]}else{if(fa>+h[2236]*.5){break}else{ta=ia;ua=U}}c[118742]=ta-1;h[2243]=ua}}while(0);if(!(+h[2250]*+h[2247]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2234];ba=c[118740]|0;aa=c[118728]|0;if((ba|0)>=(aa|0)){c[118750]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2238]=ca;aa=c[f>>2]|0;c[118756]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2238]}c[118756]=ja}$=$+1|0;c[118750]=$;}while(($|0)<=(ba|0))}c[118756]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[118756]=$}if(!(a[17992]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[118754]|0)!=0){ba=(c[118730]|0)+1|0;c[118730]=ba;h[2239]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[118752]|0)>-2)){X=146;break}ba=(c[118734]|0)+1|0;c[118734]=ba;h[2239]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[118732]=(c[118732]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[118732]|0;if((ba|0)<=1){Y=c[118742]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2237]=sa;h[O>>3]=+h[2243]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+zF(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2239]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[118742];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[118746]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[118742]|0;S=c[118744]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[118740];za=+h[k>>3]*2.0;h[2242]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[118742]|0;Ba=c[118744]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[118740]|0)>=(c[K>>2]|0)|(c[118746]|0)==1){Fa=S;break}S=c[f>>2]|0;c[118756]=1;if((S|0)>=1){$=ga(c[118738]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[118756]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+ip(f,r,l,0,0);h[2244]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2236];$=xa<=za;if(!(+h[2235]>($?xa:za))){Ea=c[118744]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2236]*.5)){Fa=S;break}}S=c[118740]|0;c[I>>2]=S;h[2243]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2243]=+h[2245];Fa=Ea}h[2242]=+h[k>>3];ya=+(Fa+1|0);h[2237]=ya;h[O>>3]=+h[2243]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+zF(O,P);h[2239]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2242];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2239]=xa;za=+h[k>>3]*xa;h[2242]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2242]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[118756]=1;if((S|0)<1){break}$=ga(c[118738]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[118756]=ja}}while(0);S=c[f>>2]|0;c[118756]=1;$=c[118740]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[118756]=V}c[118748]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[118750]=S;E=c[f>>2]|0;c[118756]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[118756]=S}Ha=Ha+1|0;c[118748]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[118752]|0)<0){c[n>>2]=-10}if((c[118732]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);kp(b,b,d,e,f,I,q,y)|0;i=N;return 0}function mp(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==2){c[r>>2]=0;c[118812]=0;h[2270]=+W(+h[s>>3]);A=c[b>>2]|0;c[118838]=1;b:do{if((A|0)>=1){B=q;C=1;while(1){D=C-1|0;E=+h[e+(D<<3)>>3];h[y>>3]=E;if(E<0.0){F=-0.0-E}else{F=E}G=f+(D<<3)|0;E=+h[k>>3]*+h[G>>3];if(E<0.0){H=-0.0-E}else{H=E}E=F>=H?F:H;I=+h[m+(D<<3)>>3];if(I<0.0){J=-0.0-I}else{J=I}h[2272]=+h[2270]*(E>=J?E:J);h[y>>3]=+h[k>>3]*+h[G>>3];E=+BF(18176,y);h[2272]=E;G=(c[118838]|0)-1|0;D=e+(G<<3)|0;I=+h[D>>3];K=E+I-I;h[2272]=K;h[2268]=+h[D>>3];L=f+(G<<3)|0;h[2269]=+h[L>>3];h[D>>3]=K+ +h[D>>3];h[L>>3]=+h[j>>3]*+h[2272]+ +h[L>>3];Xd[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}K=1.0/+h[2272];h[2271]=K;L=c[b>>2]|0;c[118826]=1;D=c[118812]|0;if((L|0)>=1){G=0;M=1;I=K;while(1){h[o+(G+D<<3)>>3]=(+h[n+(G<<3)>>3]- +h[g+(G<<3)>>3])*I;N=M+1|0;if((N|0)>(L|0)){break}G=M;M=N;I=+h[2271]}c[118826]=N}c[118812]=D+(c[b>>2]|0);M=c[118838]|0;G=M-1|0;h[e+(G<<3)>>3]=+h[2268];h[f+(G<<3)>>3]=+h[2269];C=M+1|0;c[118838]=C;if((C|0)>(A|0)){break b}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){O=41;break}c[118812]=0;A=c[b>>2]|0;if((c[113222]|0)==0){O=41;break}C=VR(A*20|0)|0;On(14,1,33840,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;On(14,0,33640,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;On(14,1,33336,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[118828]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];On(14,0,33072,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[118828]|0)+1|0;c[118828]=B;}while((B|0)<(c[b>>2]|0))}_d[c[3556]&511](14);On(14,1,30592,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[118838]=1;if((A|0)>=1){B=C+1|0;M=1;G=c[118812]|0;do{L=o+(M-1+G<<3)|0;h[L>>3]=+h[j>>3]+ +h[L>>3];a[C]=0;a[B]=0;c[118826]=1;L=0;Q=G;while(1){I=+h[o+(L+Q<<3)>>3];Rb(C|0,31352,(P=i,i=i+16|0,c[P>>2]=C,h[P+8>>3]=I,P)|0)|0;i=P;R=c[118826]|0;S=R+1|0;c[118826]=S;if((S|0)>(A|0)){break}L=R;Q=c[118812]|0}On(14,0,30864,(P=i,i=i+8|0,c[P>>2]=C,P)|0);i=P;Q=c[118812]|0;L=c[118838]|0;R=o+(Q-1+L<<3)|0;h[R>>3]=+h[R>>3]- +h[j>>3];G=Q+(c[b>>2]|0)|0;c[118812]=G;M=L+1|0;c[118838]=M;}while((M|0)<=(A|0))}_d[c[3556]&511](14);_d[c[3556]&511](14);WR(C);O=41}else if((z|0)==4){A=p+4|0;M=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[118838]=1;if((M|0)>=1){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(M|0));c[118838]=G}ae[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[118818]=(c[A>>2]|0)+1+(c[p>>2]<<1);O=72}else if((z|0)==5){M=p+4|0;C=(c[M>>2]|0)+(c[p>>2]|0)|0;B=C+1|0;c[118822]=B;L=c[b>>2]|0;c[118824]=(B|0)>(L|0)?L:B;L=c[p>>2]|0;c[118818]=B+L;c[118820]=L+C;C=(c[b>>2]|0)/(B|0)|0;c[118816]=C+1;B=c[w>>2]|0;c[118832]=B-1;c[118834]=B+C;c[r>>2]=0;h[2270]=+W(+h[s>>3]);C=c[118824]|0;c[118830]=1;if((C|0)<1){O=72;break}B=q;L=1;while(1){Q=c[b>>2]|0;R=c[118822]|0;c[118814]=L;S=(R|0)<0;c:do{if(S?(L|0)>=(Q|0):(L|0)<=(Q|0)){T=L;U=L;V=R;while(1){X=(T-U|0)/(V|0)|0;c[118828]=X+1;Y=T-1|0;Z=e+(Y<<3)|0;h[o+((c[118832]|0)+X<<3)>>3]=+h[Z>>3];_=f+(Y<<3)|0;h[o+((c[118834]|0)+X<<3)>>3]=+h[_>>3];I=+h[Z>>3];h[y>>3]=I;if(I<0.0){$=-0.0-I}else{$=I}I=+h[k>>3]*+h[_>>3];if(I<0.0){aa=-0.0-I}else{aa=I}I=$>=aa?$:aa;K=+h[m+(Y<<3)>>3];if(K<0.0){ba=-0.0-K}else{ba=K}h[2272]=+h[2270]*(I>=ba?I:ba);h[y>>3]=+h[k>>3]*+h[_>>3];I=+BF(18176,y);h[2272]=I;_=c[118814]|0;Y=_-1|0;Z=e+(Y<<3)|0;K=+h[Z>>3];E=I+K-K;h[2272]=E;h[Z>>3]=+h[Z>>3]+E;Z=f+(Y<<3)|0;h[Z>>3]=+h[j>>3]*+h[2272]+ +h[Z>>3];Z=_+R|0;c[118814]=Z;if(!(S?(Z|0)>=(Q|0):(Z|0)<=(Q|0))){break c}T=Z;U=c[118830]|0;V=c[118822]|0}}}while(0);Xd[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}Q=c[b>>2]|0;S=c[118822]|0;R=c[118830]|0;c[118814]=R;V=(S|0)<0;d:do{if(V?(R|0)>=(Q|0):(R|0)<=(Q|0)){U=R;T=R;D=S;while(1){Z=(U-T|0)/(D|0)|0;c[118828]=Z+1;_=U-1|0;Y=e+(_<<3)|0;h[Y>>3]=+h[o+((c[118832]|0)+Z<<3)>>3];E=+h[o+((c[118834]|0)+Z<<3)>>3];Z=f+(_<<3)|0;h[Z>>3]=E;K=+h[Y>>3];h[y>>3]=K;if(K<0.0){ca=-0.0-K}else{ca=K}K=+h[k>>3]*E;if(K<0.0){da=-0.0-K}else{da=K}K=ca>=da?ca:da;E=+h[m+(_<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}h[2272]=+h[2270]*(K>=ea?K:ea);h[y>>3]=+h[k>>3]*+h[Z>>3];K=+BF(18176,y);h[2272]=K;Z=c[118814]|0;E=+h[e+(Z-1<<3)>>3];I=K+E-E;h[2272]=I;E=1.0/I;h[2271]=E;_=Z-(c[M>>2]|0)|0;Y=(_|0)>1?_:1;c[118842]=Y;_=c[b>>2]|0;X=(c[p>>2]|0)+Z|0;fa=(_|0)<=(X|0)?_:X;c[118840]=fa;X=ga(c[118820]|0,Z)|0;_=X-(c[p>>2]|0)|0;c[118836]=_;c[118838]=Y;if((Y|0)<=(fa|0)){X=Y;I=E;while(1){Y=X-1|0;h[o+(Y+_<<3)>>3]=(+h[n+(Y<<3)>>3]- +h[g+(Y<<3)>>3])*I;ha=X+1|0;if((ha|0)>(fa|0)){break}X=ha;I=+h[2271]}c[118838]=ha}X=Z+S|0;c[118814]=X;fa=c[118830]|0;if(!(V?(X|0)>=(Q|0):(X|0)<=(Q|0))){ia=fa;break d}U=X;T=fa;D=c[118822]|0}}else{ia=R}}while(0);R=ia+1|0;c[118830]=R;if((R|0)>(C|0)){O=72;break a}else{L=R}}i=x;return 0}else if((z|0)==3){i=x;return 0}else{L=c[b>>2]|0;C=ga(L,L)|0;c[118838]=1;if((C|0)!=0){L=1;do{h[o+(L-1<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(C|0));c[118838]=L}ae[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){O=41;break}c[118812]=0;C=c[b>>2]|0;if((c[113222]|0)==0){O=41;break}M=VR(C*20|0)|0;On(14,1,33840,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;On(14,0,33640,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;On(14,1,33336,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[118828]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];On(14,0,33072,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[118828]|0)+1|0;c[118828]=B;}while((B|0)<(c[b>>2]|0))}_d[c[3556]&511](14);On(14,1,32808,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[118838]=1;if((C|0)>=1){B=M+1|0;L=1;A=c[118812]|0;do{G=o+(L-1+A<<3)|0;h[G>>3]=+h[j>>3]+ +h[G>>3];a[M]=0;a[B]=0;c[118826]=1;G=0;R=A;while(1){I=+h[o+(G+R<<3)>>3];Rb(M|0,31352,(P=i,i=i+16|0,c[P>>2]=M,h[P+8>>3]=I,P)|0)|0;i=P;Q=c[118826]|0;V=Q+1|0;c[118826]=V;if((V|0)>(C|0)){break}G=Q;R=c[118812]|0}On(14,0,30864,(P=i,i=i+8|0,c[P>>2]=M,P)|0);i=P;R=c[118812]|0;G=c[118838]|0;Q=o+(R-1+G<<3)|0;h[Q>>3]=+h[Q>>3]- +h[j>>3];A=R+(c[b>>2]|0)|0;c[118812]=A;L=G+1|0;c[118838]=L;}while((L|0)<=(C|0))}_d[c[3556]&511](14);_d[c[3556]&511](14);WR(M);O=41}}while(0);if((O|0)==41){up(o,b,b,p+80|0,l)|0;i=x;return 0}else if((O|0)==72){Ap(o,475272,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function np(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[e+12>>2]|0;if((f|0)==5|(f|0)==4){g=e+4|0;c[118808]=(c[g>>2]|0)+1+(c[e>>2]<<1);Bp(d,475232,a,e,g,e+80|0,b,475504)|0;return 0}else if((f|0)==3){return 0}else{yp(d,a,a,e+80|0,b,475504)|0;return 0}return 0}function op(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[17120]|0)){a[17120]=1;pp(472872,472848,472840,17128,472856,17088,472864,17096)|0;h[2144]=+(c[118218]|0);f=c[118212]|0;h[2133]=+(f|0);if((c[118210]|0)==0){h[2135]=0.0;c[e>>2]=1-f;g=+AF(17152,e)}else{h[2135]=1.0;c[e>>2]=1-f;g=+AF(17152,e)*.5}h[2141]=g;h[2139]=g*+h[2144];h[2142]=+(c[118214]|0);h[2143]=+(c[118216]|0);j=+h[2136];h[2134]=j;k=1.0/+h[2137];if(k<j){break}h[2134]=k*(g+1.0)}}while(0);if((Hp(b,24736,1,1)|0)!=0){g=+h[2141];h[2138]=g;l=g;i=d;return+l}if((Hp(b,425936,1,1)|0)!=0){g=+h[2134];h[2138]=g;l=g;i=d;return+l}if((Hp(b,417064,1,1)|0)!=0){g=+h[2144];h[2138]=g;l=g;i=d;return+l}if((Hp(b,342768,1,1)|0)!=0){g=+h[2139];h[2138]=g;l=g;i=d;return+l}if((Hp(b,37048,1,1)|0)!=0){g=+h[2133];h[2138]=g;l=g;i=d;return+l}if((Hp(b,33176,1,1)|0)!=0){g=+h[2135];h[2138]=g;l=g;i=d;return+l}if((Hp(b,29496,1,1)|0)!=0){g=+h[2142];h[2138]=g;l=g;i=d;return+l}if((Hp(b,26280,1,1)|0)!=0){g=+h[2136];h[2138]=g;l=g;i=d;return+l}if((Hp(b,24184,1,1)|0)!=0){g=+h[2143];h[2138]=g;l=g;i=d;return+l}if((Hp(b,21632,1,1)|0)==0){l=+h[2138];i=d;return+l}else{g=+h[2137];h[2138]=g;l=g;i=d;return+l}return 0.0}function pp(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[17640]|0){q=c[118246]|0;c[b>>2]=q;r=c[118236]|0;c[d>>2]=r;s=c[118238]|0;c[e>>2]=s;t=+h[2167];h[f>>3]=t;u=c[118242]|0;c[g>>2]=u;v=+h[2165];h[j>>3]=v;w=c[118244]|0;c[k>>2]=w;x=+h[2166];h[l>>3]=x;i=m;return 0}a[17640]=1;h[2158]=0.0;h[2164]=1.0;h[2159]=2.0;qp(472984,472944,472952,472960)|0;h[2207]=+(c[118246]|0);c[n>>2]=-(c[118236]|0);y=+AF(17656,n);h[2208]=y;h[2167]=y;z=+h[2159];h[2207]=z/3.0;A=+h[2164];B=A*.5;h[2172]=B;C=-0.0-B;h[o>>3]=C;h[2162]=+rp(17656,o);h[2160]=+rp(17296,17296);h[o>>3]=C;h[2207]=+rp(17280,o);C=+rp(17656,17296);h[2207]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2207]=C;h[2167]=1.0;D=+h[2158];if(C<1.0&C>D){E=C;while(1){h[2167]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+rp(o,p);h[2206]=C;h[o>>3]=-0.0-C;h[2206]=+rp(17376,o);C=+rp(17376,17648);h[2207]=C;h[o>>3]=-0.0-C;h[2206]=+rp(17376,o);C=+rp(17376,17648);h[2207]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2167]=y}y=A/+(c[118246]|0);h[2163]=y;h[2161]=A;c[118250]=1;F=A;p=1;do{h[o>>3]=F*y;F=+rp(o,17264);h[2161]=F;p=p+1|0;c[118250]=p;}while((p|0)<4);h[2208]=+rp(17312,17288);sp(472928,17312,472984)|0;h[o>>3]=-0.0- +h[2164];sp(472936,o,472984)|0;sp(473008,17664,472984)|0;h[o>>3]=-0.0- +h[2208];sp(473016,o,472984)|0;c[118248]=0;p=c[118232]|0;G=c[118234]|0;H=c[118252]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[118254]|0)){if(I){c[118242]=p;J=0;K=25;break}if((H-p|0)==3){c[118242]=p-1+(c[118236]|0);c[118248]=1;J=1;K=25;break}else{c[118242]=(p|0)<=(H|0)?p:H;a[17344]=1;K=26;break}}else{L=I&(G|0)==(c[118254]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[118242]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[118242]=(p|0)<=(G|0)?p:G;a[17344]=1;K=26;break}}L=c[118254]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[118242]=(N|0)<=(L|0)?N:L;a[17344]=1;K=26;break}if((H-M|0)==3){c[118242]=((p|0)>=(G|0)?p:G)-1+(c[118236]|0);J=0;K=25;break}else{c[118242]=M;a[17344]=1;K=26;break}}}while(0);if((K|0)==25){if(a[17344]|0){K=26}else{O=J}}if((K|0)==26){a[17640]=0;yG(17352)|0;PF(19304,472968,4)|0;gG()|0;O=c[118248]|0}if((O|0)==0){P=(c[118240]|0)!=0|0}else{P=1}c[118248]=P;h[2165]=1.0;P=c[118242]|0;O=1-P|0;c[n>>2]=O;c[118250]=1;if((P|0)<=0){F=+h[2163];y=1.0;P=1;do{h[o>>3]=y*F;y=+rp(o,17264);h[2165]=y;P=P+1|0;c[118250]=P;}while((P|0)<=(O|0))}tp(472984,472944,472968,472992,472976,17328)|0;q=c[118246]|0;c[b>>2]=q;r=c[118236]|0;c[d>>2]=r;s=c[118238]|0;c[e>>2]=s;t=+h[2167];h[f>>3]=t;u=c[118242]|0;c[g>>2]=u;v=+h[2165];h[j>>3]=v;w=c[118244]|0;c[k>>2]=w;x=+h[2166];h[l>>3]=x;i=m;return 0}function qp(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[17712]|0){l=c[118260]|0;m=a[17704]|0;c[b>>2]=l;n=c[118256]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[118258]|0;c[f>>2]=p;i=g;return 0}a[17712]=1;h[2212]=1.0;h[2218]=1.0;h[2216]=1.0;q=1.0;do{q=q*2.0;h[2218]=q;h[2216]=+rp(17744,17696);h[j>>3]=-0.0-q;r=+rp(17728,j);h[2216]=r;}while(r==1.0);h[2217]=1.0;r=+rp(17744,17736);h[2216]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2217]=t;u=+rp(17744,17736);h[2216]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2211]=.25;h[2210]=v;h[j>>3]=-0.0-q;r=+rp(17728,j);h[2216]=r;w=~~(r+.25);c[118260]=w;r=+(w|0);h[2217]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2215]=+rp(j,k);u=+rp(17720,17744);h[2216]=u;x=u==q;a[17704]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2215]=+rp(j,k);u=+rp(17720,17744);h[2216]=u;if(x&u==q){a[17704]=0;y=0}else{y=x}h[j>>3]=s;u=+rp(j,17744);h[2209]=u;h[j>>3]=s;x=u==q&+rp(j,17680)>v;c[118258]=x?y&1:0;c[118256]=0;h[2218]=1.0;h[2216]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[118256]=k;q=v*r;h[2218]=q;h[2216]=+rp(17744,17696);h[j>>3]=-0.0-q;u=+rp(17728,j);h[2216]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[118256]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[118258]|0;c[f>>2]=p;i=g;return 0}function rp(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function sp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2157]=g;j=1.0/+(c[d>>2]|0);h[2150]=j;h[2149]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+rp(f,17192);h[2156]=k;h[2154]=g;h[2153]=g;h[2152]=g;h[2151]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2157]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+rp(f,17192);h[2156]=g;h[f>>3]=g*k;k=+rp(f,17192);h[2154]=k;h[2152]=0.0;c[118230]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2152]=o;c[118230]=p;n=o}h[f>>3]=l*j;q=+rp(f,17192);h[2155]=q;h[f>>3]=q/j;r=+rp(f,17192);h[2153]=r;h[2151]=0.0;b=c[d>>2]|0;c[118230]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2151]=t;c[118230]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function tp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[118222]=1;c[118228]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[118222]=l;r=q+1|0;c[118228]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[118220]=n;u=n}else{c[118220]=m;c[118228]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[118226]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[118228]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2147]=x;y=w+-1.0;h[2145]=y;h[2146]=0.0;v=c[b>>2]|0;c[118224]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2145]=w;if(A<1.0){h[2148]=A}A=+rp(17168,17160);h[2146]=A;b=b+1|0;c[118224]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2148];h[2146]=w;z=w}}while(0);v=c[f>>2]|0;c[118224]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+rp(k,18696);h[2146]=z;f=D+1|0;c[118224]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function up(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[118274]=1;m=1;do{c[118272]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=vp(j,a+(m+b+(ga(m,l)|0)<<3)|0,19296)|0;q=c[118274]|0;r=p-1+q|0;c[118270]=r;c[e+(q-1<<2)>>2]=r;r=c[118270]|0;q=c[118274]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2220]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2220];t=q}u=ga(t,l)|0;h[2220]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;wp(j,17760,a+(t-l+u<<3)|0,19296)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[118272]|0;c[118276]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[118270]|0;x=ga(w,l)|0;h[2220]=+h[a+(x+b+v<<3)>>3];y=c[118274]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2220];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;xp(k,17760,a+((ga(z,l)|0)+b+y<<3)|0,19296,a+(y+b+x<<3)|0,19296)|0;w=(c[118276]|0)+1|0;c[118276]=w;}while((w|0)<=(u|0))}}while(0);m=(c[118274]|0)+1|0;c[118274]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function vp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[119e3]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[54960]=i;j=(c[d>>2]|0)+1|0;c[119e3]=j;k=c[a>>2]|0;c[119002]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[54960]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[119e3]=j;a=o+1|0;c[119002]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[54960]=t;c[119002]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[54960]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[119002]=B;f=z;return f|0}function wp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[119006]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[119006]=j;return 0}j=(f|0)%5|0;c[119004]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[119006]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[119006]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[119006]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[119006]=m;return 0}function xp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[119016]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[119022]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[119022]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[119022]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[119022]=r;return 0}}while(0);c[119020]=1;c[119018]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[119020]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[119018]=r;t=r}else{t=1}r=c[a>>2]|0;c[119022]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[119020]=t;s=v+(c[g>>2]|0)|0;c[119018]=s;c[119022]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function yp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[118262]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[118268]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[118264]=o;p=f+(o-1<<3)|0;h[2219]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2219]}c[k>>2]=(c[d>>2]|0)-g;xp(k,17752,a+(g-l+(ga(g,l)|0)<<3)|0,19296,f+(g<<3)|0,19296)|0;g=(c[118268]|0)+1|0;c[118268]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[118266]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[118268]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2219]=-0.0-s;c[k>>2]=n;xp(k,17752,a+(p-l<<3)|0,19296,f,19296)|0;q=(c[118266]|0)+1|0;c[118266]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[118268]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+zp(k,a+((ga(m,l)|0)-l<<3)|0,19296,f,19296);h[2219]=s;q=c[118268]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[118268]=m;}while((m|0)<=(g|0));t=c[118262]|0}if((t|0)<1){i=j;return 0}c[118266]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[118268]=m;c[k>>2]=(c[d>>2]|0)-m;s=+zp(k,a+(m-l+(ga(m,l)|0)<<3)|0,19296,f+(m<<3)|0,19296);m=c[118268]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[118264]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2219]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2219]}g=(c[118266]|0)+1|0;c[118266]=g;}while((g|0)<=(t|0));i=j;return 0}function zp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[54961]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[119008]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[119014]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[54961]=o;n=n+1|0;}while((n|0)<=(j|0));c[119014]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[119014]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[54961]=r;q=q+5|0;}while((q|0)<=(l|0));c[119014]=q;i=r;return+i}}while(0);c[119012]=1;c[119010]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[119012]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[119010]=q;w=q}else{w=1}q=c[a>>2]|0;c[119014]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[54961]=r;w=x+(c[d>>2]|0)|0;c[119012]=w;v=y+(c[f>>2]|0)|0;c[119010]=v;a=A+1|0;c[119014]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function Ap(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[118296]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[118312]=n;o=c[d>>2]|0;p=c[118296]|0;q=((o|0)>(p|0)?p:o)-1|0;c[118310]=q;if((q|0)>=(n|0)){c[118306]=n;o=n;do{n=1-o+p|0;c[118318]=n;r=c[e>>2]|0;c[118316]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[118316]=s}o=o+1|0;c[118306]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[118306]=q;c[118308]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[118304]=1;r=1;p=q;while(1){c[118302]=r+1;q=p+1|0;c[118306]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[118316]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[118316]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[118298]=s;c[l>>2]=s+1;s=vp(l,a+((c[118296]|0)+b+(ga(r,m)|0)<<3)|0,19296)|0;n=s-1|0;c[118300]=n+(c[118296]|0);s=c[118304]|0;c[g+(s-1<<2)>>2]=n+s;s=c[118300]|0;n=c[118304]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[118296]|0;if((s|0)==(v|0)){z=s}else{h[2222]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2222];z=v}h[2222]=-1.0/+h[a+(z+b+q<<3)>>3];wp(473192,17776,a+(z-m+q<<3)|0,19296)|0;v=c[118308]|0;w=(c[g+((c[118304]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[118308]=v;A=c[118296]|0;c[118294]=A;w=c[118302]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[118314]=w;B=w;w=A;while(1){A=(c[118300]|0)-1|0;c[118300]=A;C=w-1|0;c[118294]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2222]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2222];F=C}xp(473192,17776,a+((c[118296]|0)-m+(ga(c[118304]|0,m)|0)<<3)|0,19296,a+(F-m+D<<3)|0,19296)|0;D=(c[118314]|0)+1|0;c[118314]=D;if((D|0)>(v|0)){break a}B=D;w=c[118294]|0}}}while(0);q=(c[118304]|0)+1|0;c[118304]=q;if((q|0)>(o|0)){break}r=q;p=c[118306]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[118296]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function Bp(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[118280]=l;f=(c[d>>2]|0)-1|0;c[118278]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[118292]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[118282]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[118288]=m;o=i+(m-1<<3)|0;h[2221]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2221]}xp(473128,17768,a+((c[118280]|0)-k+(ga(j,k)|0)<<3)|0,19296,i+(j<<3)|0,19296)|0;j=(c[118292]|0)+1|0;c[118292]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[118290]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[118292]=m;o=c[118280]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[118282]=q;s=o-q|0;c[118286]=s;o=m-q|0;c[118284]=o;h[2221]=-0.0-r;xp(473128,17768,a+(s+b+n<<3)|0,19296,i+(o-1<<3)|0,19296)|0;p=(c[118290]|0)+1|0;c[118290]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[118292]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[118282]=l;o=p-l|0;c[118286]=o;n=f-l|0;c[118284]=n;r=+zp(473128,a+((ga(f,k)|0)+b+o<<3)|0,19296,i+(n-1<<3)|0,19296);h[2221]=r;n=c[118292]|0;o=i+(n-1<<3)|0;p=c[118280]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[118292]=f;}while((f|0)<=(j|0));t=c[118278]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[118290]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[118292]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[118282]=(f|0)<=(b|0)?f:b;r=+zp(473128,a+(j-k+(ga(u,k)|0)<<3)|0,19296,i+(u<<3)|0,19296);u=c[118292]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[118288]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2221]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2221]}f=(c[118290]|0)+1|0;c[118290]=f;if((f|0)>(t|0)){break}p=f;j=c[118280]|0}return 0}function Cp(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[119026]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[119032]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[119032]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[119032]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[119032]=m;return 0}}while(0);c[119030]=1;c[119028]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[119030]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[119028]=m;o=m}else{o=1}m=c[a>>2]|0;c[119032]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[119030]=p;q=q+(c[f>>2]|0)|0;c[119028]=q;r=r+1|0;c[119032]=r;}while((r|0)<=(m|0));return 0}function Dp(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0;l=+Ep(19288);d=c[a>>2]|0;m=(d|0)<1;do{if(!m){n=1;o=((ga(d+1|0,d)|0)/2|0)+1|0;do{p=d-n|0;q=p+1|0;r=p+2|0;o=o-n|0;if((d|0)<(r|0)){s=0.0}else{t=r;r=o;u=0.0;while(1){v=u+ +h[b+(r<<3)>>3]*+h[i+(t-1<<3)>>3];w=t+1|0;if((w|0)>(d|0)){s=v;break}else{t=w;r=r+1|0;u=v}}}u=+h[b+(o-1<<3)>>3];do{if(u!=0.0){x=u}else{if((p|0)<0){y=u}else{r=1;t=q;v=u;while(1){z=+h[b+(t-1<<3)>>3];if(z<0.0){A=-0.0-z}else{A=z}z=v>=A?v:A;w=t-r+d|0;B=r+1|0;if((B|0)>(q|0)){y=z;break}else{r=B;t=w;v=z}}}v=l*y;if(!(v==0.0)){x=v;break}x=l}}while(0);h[i+(p<<3)>>3]=(+h[f+(p<<3)>>3]-s)/x;n=n+1|0;}while((n|0)<=(d|0));if(m){break}else{C=1}do{n=C-1|0;h[j+(n<<3)>>3]=0.0;h[k+(n<<3)>>3]=+h[e+(n<<3)>>3]*+h[i+(n<<3)>>3];C=C+1|0;}while((C|0)<=(d|0))}}while(0);x=+Fp(a,k);if(!(x>+h[g>>3])){return 0}d=c[a>>2]|0;if((d|0)>=1){C=1;m=1;n=d;while(1){o=C-1|0;s=+h[f+(o<<3)>>3];if((C|0)>(d|0)){D=m}else{q=C;t=m;while(1){r=j+(q-1<<3)|0;h[r>>3]=+h[r>>3]+s*+h[b+(t-1<<3)>>3];r=q+1|0;if((r|0)>(d|0)){break}else{q=r;t=t+1|0}}D=m+n|0}t=j+(o<<3)|0;h[t>>3]=+h[t>>3]/+h[e+(o<<3)>>3];t=C+1|0;if((t|0)>(d|0)){break}else{C=t;m=D;n=n-1|0}}}s=+Fp(a,j);l=+h[g>>3];do{if(s==0.0){E=0.0;F=l/x;G=l}else{n=c[a>>2]|0;D=(n|0)<1;do{if(!D){m=1;do{C=m-1|0;d=j+(C<<3)|0;h[d>>3]=+h[d>>3]/s/+h[e+(C<<3)>>3];m=m+1|0;}while((m|0)<=(n|0));if(D){break}else{H=1;I=1;J=n}while(1){if((H|0)>(n|0)){K=I;L=0.0}else{m=H;p=I;y=0.0;while(1){M=y+ +h[b+(p-1<<3)>>3]*+h[j+(m-1<<3)>>3];C=m+1|0;if((C|0)>(n|0)){break}else{m=C;p=p+1|0;y=M}}K=I+J|0;L=M}h[k+(H-1<<3)>>3]=L;p=H+1|0;if((p|0)>(n|0)){break}else{H=p;I=K;J=J-1|0}}}}while(0);y=+Fp(a,k);A=s/y/y;y=+h[g>>3];if(!(A<y)){E=A;F=0.0;G=y;break}y=+Fp(a,f);u=+h[g>>3];v=A/u;z=y/s*(y/x)*v;y=u/x;N=z-y;O=v*v;v=1.0-O;E=A;F=y*v/(+W(N*N+v*(1.0-y*y))+(z-y*O));G=u}}while(0);x=(1.0-F)*(E>G?G:E);g=c[a>>2]|0;if((g|0)<1){return 0}else{P=1}do{a=P-1|0;f=i+(a<<3)|0;h[f>>3]=x*+h[j+(a<<3)>>3]+F*+h[f>>3];P=P+1|0;}while((P|0)<=(g|0));return 0}function Ep(a){a=a|0;return+(+h[16912+((((c[a>>2]<<3)-8|0)/8|0)<<3)>>3])}function Fp(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0;d=c[a>>2]|0;e=1304.0e16/+(d|0);do{if((d|0)<1){f=0.0;g=0.0}else{a=1;i=0.0;j=0.0;k=0.0;l=0.0;m=0.0;while(1){n=+h[b+(a-1<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}do{if(o>3.834e-20&o<e){p=m;q=l;r=k;s=j+o*o;t=i}else{if(o>3.834e-20){if(o>l){n=l/o;p=m;q=o;r=k;s=j;t=i*n*n+1.0;break}else{n=o/l;p=m;q=l;r=k;s=j;t=i+n*n;break}}if(o>m){n=m/o;p=o;q=l;r=k*n*n+1.0;s=j;t=i;break}if(!(o!=0.0)){p=m;q=l;r=k;s=j;t=i;break}n=o/m;p=m;q=l;r=k+n*n;s=j;t=i}}while(0);u=a+1|0;if((u|0)>(d|0)){break}else{a=u;i=t;j=s;k=r;l=q;m=p}}if(!(t==0.0)){v=q*+W(t+s/q/q);return+v}if(s==0.0){f=r;g=p;break}if(s<p){w=0.0}else{w=+W(s*(r*p*(p/s)+1.0))}if(!(s<p)){v=w;return+v}v=+W(p*(r*p+s/p));return+v}}while(0);v=g*+W(f);return+v}function Gp(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;var B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;B=i;i=i+32|0;C=B|0;D=B+8|0;E=B+16|0;F=B+24|0;G=c[g>>2]|0;H=~G;I=+Ep(19280);c[p>>2]=0;c[E>>2]=0;c[q>>2]=0;c[r>>2]=0;J=c[b>>2]|0;a:do{if((J|0)<1){L=97}else{if((c[g>>2]|0)<(J|0)){L=97;break}if(+h[j>>3]<0.0){L=97;break}if((c[k>>2]|0)<1){L=97;break}if(!(+h[n>>3]>0.0)){L=97;break}if((c[t>>2]|0)<((ga(J+1|0,J)|0)/2|0|0)){L=97;break}b:do{if((c[m>>2]|0)==2){M=1;while(1){if((M|0)>(J|0)){break b}if(+h[l+(M-1<<3)>>3]>0.0){M=M+1|0}else{L=97;break a}}}}while(0);c[E>>2]=1;M=a;ne[M&31](b,d,e,f,g,E,z,A)|0;c[q>>2]=1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}P=+Fp(b,e);c[E>>2]=2;ne[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}N=C|0;Q=1;R=0;S=P;P=0.0;T=0;U=0;V=0;c:while(1){Op(b,b,f,g,475496,N,19280,v,w,x)|0;do{if((Q|0)==1){W=c[b>>2]|0;do{if((c[m>>2]|0)==2){L=20}else{if((W|0)<1){break}else{X=1}while(1){Y=X-1|0;Z=w+(Y<<3)|0;_=l+(Y<<3)|0;h[_>>3]=+h[Z>>3];if(+h[Z>>3]==0.0){h[_>>3]=1.0}_=X+1|0;if((_|0)>(W|0)){L=20;break}else{X=_}}}}while(0);do{if((L|0)==20){L=0;if((W|0)<1){break}else{$=1}do{_=$-1|0;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[d+(_<<3)>>3];$=$+1|0;}while(($|0)<=(W|0))}}while(0);aa=+Fp(b,x);ba=+h[n>>3];ca=aa*ba;h[F>>3]=ca;if(!(ca==0.0)){da=aa;break}h[F>>3]=ba;da=aa}else{da=P}}while(0);W=c[b>>2]|0;_=(W|0)<1;do{if(_){L=35}else{Z=1;do{Y=Z-1|0;h[u+(Y<<3)>>3]=+h[e+(Y<<3)>>3];Z=Z+1|0;}while((Z|0)<=(W|0));if(_){L=35;break}else{ea=1}do{Z=ga(ea,G)|0;aa=+h[f+(ea+H+Z<<3)>>3];do{if(!(aa==0.0)){Y=(ea|0)>(W|0);if(Y){break}fa=Z+H|0;ha=ea;ba=0.0;do{ba=ba+ +h[f+(fa+ha<<3)>>3]*+h[u+(ha-1<<3)>>3];ha=ha+1|0;}while((ha|0)<=(W|0));ca=(-0.0-ba)/aa;if(Y){break}ha=Z+H|0;fa=ea;do{ia=u+(fa-1<<3)|0;h[ia>>3]=+h[ia>>3]+ca*+h[f+(ha+fa<<3)>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}}while(0);ea=ea+1|0;}while((ea|0)<=(W|0));c[D>>2]=0;if(_){break}else{ja=0;ka=1}while(1){Z=(ka|0)>2?ka:2;fa=Z-2|0;ha=PS(fa,0,Z-3|0,0)|0;Z=ha>>>1|K<<31;ha=ka-1|0;if((ha|0)<1){la=ka}else{Y=(ga(ka,G)|0)+H|0;ia=W+ja+(ga(W-2|0,fa)|0)|0;fa=1;ma=ka;do{h[s+(ma-1<<3)>>3]=+h[f+(Y+fa<<3)>>3];ma=ma-fa+W|0;fa=fa+1|0;}while((fa|0)<=(ha|0));la=ia-Z|0}fa=v+(ha<<3)|0;h[s+(la-1<<3)>>3]=+h[fa>>3];if(+h[fa>>3]==0.0){c[D>>2]=1}fa=ka+1|0;if((fa|0)>(W|0)){break}else{ja=ja+1|0;ka=fa}}}}while(0);if((L|0)==35){L=0;c[D>>2]=0}Np(b,b,f,g,v)|0;do{if((c[m>>2]|0)==2){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q}else{W=c[b>>2]|0;if((W|0)<1){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=1}while(1){_=va-1|0;fa=l+(_<<3)|0;aa=+h[fa>>3];ca=+h[w+(_<<3)>>3];h[fa>>3]=aa>=ca?aa:ca;fa=va+1|0;if((fa|0)>(W|0)){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=fa}}}}while(0);while(1){W=c[o>>2]|0;do{if((W|0)>=1){c[E>>2]=0;if(((ua-1|0)%(W|0)|0|0)!=0){break}ne[M&31](b,d,e,f,g,E,z,A)|0;fa=c[E>>2]|0;if((fa|0)<0){O=fa;L=98;break a}}}while(0);Dp(b,s,t,l,u,F,v,w,x)|0;W=c[b>>2]|0;if((W|0)>=1){fa=1;do{_=fa-1|0;ma=v+(_<<3)|0;ca=+h[ma>>3];h[ma>>3]=-0.0-ca;h[w+(_<<3)>>3]=+h[d+(_<<3)>>3]-ca;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[ma>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}ca=+Fp(b,x);if((ua|0)==1){aa=+h[F>>3];h[F>>3]=aa<=ca?aa:ca}c[E>>2]=1;ne[M&31](b,w,y,f,g,E,z,A)|0;c[q>>2]=(c[q>>2]|0)+1;W=c[E>>2]|0;if((W|0)<0){O=W;L=98;break a}aa=+Fp(b,y);if(aa<ra){ba=aa/ra;wa=1.0-ba*ba}else{wa=-1.0}W=c[b>>2]|0;if((W|0)>=1){fa=1;ma=1;_=W;while(1){if((fa|0)>(W|0)){xa=ma;ya=0.0}else{Y=fa;za=ma;ba=0.0;while(1){Aa=ba+ +h[s+(za-1<<3)>>3]*+h[v+(Y-1<<3)>>3];Ba=Y+1|0;if((Ba|0)>(W|0)){break}else{Y=Ba;za=za+1|0;ba=Aa}}xa=ma+_|0;ya=Aa}za=fa-1|0;h[x+(za<<3)>>3]=ya+ +h[u+(za<<3)>>3];za=fa+1|0;if((za|0)>(W|0)){break}else{fa=za;ma=xa;_=_-1|0}}}ba=+Fp(b,x);do{if(ba<ra){Ca=ba/ra;Da=1.0-Ca*Ca;if(!(Da>0.0)){Ea=0.0;L=65;break}Ca=wa/Da;if(Ca<.1){Ea=Ca;L=65;break}_=sa+1|0;if(Ca>=.5|(sa|0)>0){Da=+h[F>>3];Fa=ca*2.0;h[F>>3]=Da>=Fa?Da:Fa}Fa=Ca+-1.0;if(Fa<0.0){Ga=-0.0-Fa}else{Ga=Fa}if(Ga>.1){Ha=0;Ia=_;Ja=Ca;break}h[F>>3]=ca*2.0;Ha=0;Ia=_;Ja=Ca}else{Ea=0.0;L=65}}while(0);if((L|0)==65){L=0;h[F>>3]=+h[F>>3]*.5;Ha=na+1|0;Ia=0;Ja=Ea}if(Ja<1.0e-4){Ka=qa;La=ra;Ma=ua}else{_=c[b>>2]|0;if((_|0)>=1){ma=1;do{fa=ma-1|0;W=w+(fa<<3)|0;ba=+h[W>>3];h[d+(fa<<3)>>3]=ba;h[W>>3]=ba*+h[l+(fa<<3)>>3];h[e+(fa<<3)>>3]=+h[y+(fa<<3)>>3];ma=ma+1|0;}while((ma|0)<=(_|0))}Ka=+Fp(b,w);La=aa;Ma=ua+1|0}Na=wa<.001?pa+1|0:0;Oa=wa<.1?oa+ta|0:0;ba=+h[F>>3];if(ba<=Ka*+h[j>>3]|La==0.0){L=77;break c}if((c[p>>2]|0)!=0){L=97;break a}if((c[q>>2]|0)<(c[k>>2]|0)){Pa=0}else{c[p>>2]=2;Pa=2}Ca=ba*.1;if((Ca>=ca?Ca:ca)*.1>I*Ka){Qa=Pa}else{c[p>>2]=3;Qa=3}if((Oa|0)==5){c[p>>2]=4;Ra=4}else{Ra=Qa}if((Na|0)==10){L=86;break c}if((Ra|0)!=0){L=97;break a}if((Ha|0)==2){break}_=c[b>>2]|0;if((_|0)>=1){ma=Ja<1.0e-4;fa=1;do{W=(ga(fa,G)|0)+H|0;za=1;Ca=0.0;do{Ca=Ca+ +h[f+(W+za<<3)>>3]*+h[y+(za-1<<3)>>3];za=za+1|0;}while((za|0)<=(_|0));za=fa-1|0;h[w+(za<<3)>>3]=(Ca- +h[x+(za<<3)>>3])/ca;ba=+h[l+(za<<3)>>3];W=v+(za<<3)|0;h[W>>3]=ba*(ba*+h[W>>3]/ca);if(!ma){h[u+(za<<3)>>3]=Ca}fa=fa+1|0;}while((fa|0)<=(_|0))}Qp(b,b,s,t,v,w,x,D)|0;Pp(b,b,f,g,w,x)|0;Pp(19280,b,u,19280,w,x)|0;na=Ha;oa=Oa;pa=Na;qa=Ka;ra=La;sa=Ia;ta=0;ua=Ma}c[E>>2]=2;ne[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;_=c[E>>2]|0;if((_|0)<0){O=_;L=98;break a}else{Q=Ma;R=Ia;S=La;P=Ka;T=Na;U=Oa;V=2}}if((L|0)==77){c[p>>2]=1;L=97;break}else if((L|0)==86){c[p>>2]=5;L=97;break}}}while(0);if((L|0)==97){Oa=c[E>>2]|0;if((Oa|0)<0){O=Oa;L=98}}if((L|0)==98){c[p>>2]=O}c[E>>2]=0;if((c[o>>2]|0)<=0){i=B;return 0}ne[a&31](b,d,e,f,g,E,z,A)|0;i=B;return 0}function Hp(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14240]=1;g=d[b]|0;c[115522]=g;b=d[e]|0;c[115520]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[115522]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[115520]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}function Ip(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2615]=6;yG(10456)|0;PF(19272,i,4)|0;gG()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[114120]=0;c[114118]=0;c[114122]=0;a[10912]=0;q=c[e>>2]|0;c[114148]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[114120]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[114148]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[114148]=1;if((t|0)>=1){w=1;do{h[456784+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[114148]=w}c[114134]=2;t=c[e>>2]|0;c[114148]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[114132]=1;if((D|0)<1){E=B}else{F=1;do{h[456784+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[114132]=F;E=+h[A>>3]}h[456784+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[114134]=D;C=D}D=x+1|0;c[114148]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[114120]|0;x=y+1|0;c[114114]=x;c[114148]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[114132]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[456784+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[114132]=w}de[s&127](e,b,456616+(y-1<<3)|0)|0;c[114118]=(c[114118]|0)+1;if((c[i>>2]|0)>=1){c[2723]=6;yG(10888)|0;PF(19272,456472,4)|0;PF(19272,456616+((c[114148]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[114132]=1;if((t|0)>=1){z=1;do{PF(19272,b+(z-1<<3)|0,8)|0;z=(c[114132]|0)+1|0;c[114132]=z;}while((z|0)<=(t|0))}gG()|0}y=(c[114148]|0)+1|0;c[114148]=y;}while((y|0)<=(x|0))}x=c[114122]|0;b:while(1){c[114122]=x+1;c[114140]=1;c[114138]=1;B=+h[57077];h[1370]=B;h[1368]=B;y=c[114114]|0;c[114148]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[456616+(t-1<<3)>>3];do{if(B>H){c[114140]=t;J=+h[456616+(t-1<<3)>>3];h[1370]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[114138]=t;J=+h[456616+(t-1<<3)>>3];h[1368]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[114148]=O;G=L}z=c[e>>2]|0;c[114148]=1;if((z|0)>=1){t=1;do{h[456288+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[114148]=t}c[114148]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[114132]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=456288+(Q-1<<3)|0;h[A>>3]=+h[456784+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[114132]=Q;P=z}}while(0);z=P+1|0;c[114148]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[114132]=1;if((y|0)>=1){I=+(c[114120]|0);z=1;do{t=456288+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[114132]=z}y=c[e>>2]|0;c[114148]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[456288+(w<<3)>>3];h[455968+(w<<3)>>3]=I+(I- +h[456784+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[114148]=t}de[s&127](e,455968,10936)|0;y=(c[114118]|0)+1|0;c[114118]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2717]=6;yG(10864)|0;PF(19272,456472,4)|0;PF(19272,10936,8)|0;w=c[e>>2]|0;c[114132]=1;if((w|0)>=1){A=1;do{PF(19272,455968+(A-1<<3)|0,8)|0;A=(c[114132]|0)+1|0;c[114132]=A;}while((A|0)<=(w|0))}gG()|0}}while(0);I=+h[1367];c:do{if(I<+h[1368]){z=c[e>>2]|0;c[114148]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[456288+(t<<3)>>3];h[455808+(t<<3)>>3]=H+(+h[455968+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[114148]=y}de[s&127](e,455808,10920)|0;z=(c[114118]|0)+1|0;c[114118]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2711]=6;yG(10840)|0;PF(19272,456472,4)|0;PF(19272,10920,8)|0;w=c[e>>2]|0;c[114132]=1;if((w|0)>=1){A=1;do{PF(19272,455808+(A-1<<3)|0,8)|0;A=(c[114132]|0)+1|0;c[114132]=A;}while((A|0)<=(w|0))}gG()|0}}while(0);H=+h[1365];if(!(H<+h[1368])){R=122;break}t=c[e>>2]|0;c[114148]=1;z=c[114140]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[456784+((y*21|0)-22+z<<3)>>3]=+h[455808+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[114148]=y}h[456616+(z-1<<3)>>3]=H}else{t=c[114114]|0;c[114148]=1;if((t|0)>=1){w=c[114140]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[456616+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[114148]=A;}while((A|0)<=(t|0))}if(!(I>+h[1370])){t=c[e>>2]|0;c[114148]=1;A=c[114140]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[456784+((w*21|0)-22+A<<3)>>3]=+h[455968+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[114148]=w}h[1370]=I;h[456616+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[114148]=1;if((t|0)>=1){z=c[114140]|0;y=1;do{F=y-1|0;h[455808+(F<<3)>>3]=+h[456784+((y*21|0)-22+z<<3)>>3]*.5+ +h[456288+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[114148]=y}de[s&127](e,455808,10920)|0;t=(c[114118]|0)+1|0;c[114118]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2705]=6;yG(10816)|0;PF(19272,456472,4)|0;PF(19272,10920,8)|0;A=c[e>>2]|0;c[114132]=1;if((A|0)>=1){w=1;do{PF(19272,455808+(w-1<<3)|0,8)|0;w=(c[114132]|0)+1|0;c[114132]=w;}while((w|0)<=(A|0))}gG()|0}}while(0);H=+h[1365];if(!(H>+h[1370])){z=c[e>>2]|0;c[114148]=1;t=c[114140]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[456784+((y*21|0)-22+t<<3)>>3]=+h[455808+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[114148]=y}h[456616+(t-1<<3)>>3]=H;break}z=c[114114]|0;c[114148]=1;if((z|0)<1){break}else{S=1}do{A=c[114138]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[114132]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=456784+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[456784+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[456784+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[114132]=D}de[s&127](e,b,456616+(S-1<<3)|0)|0;w=(c[114118]|0)+1|0;c[114118]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2699]=6;yG(10792)|0;PF(19272,456472,4)|0;PF(19272,456616+((c[114148]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[114132]=1;if((F|0)>=1){w=1;do{PF(19272,b+(w-1<<3)|0,8)|0;w=(c[114132]|0)+1|0;c[114132]=w;}while((w|0)<=(F|0))}gG()|0}}while(0);S=(c[114148]|0)+1|0;c[114148]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[114148]=1;t=c[114140]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[456784+((y*21|0)-22+t<<3)>>3]=+h[455968+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[114148]=y}h[456616+(t-1<<3)>>3]=+h[1367]}z=c[114122]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1366]=0.0;h[1369]=0.0;z=c[114114]|0;c[114148]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1369]=0.0/I;c[114148]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[456616+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1369]=B;c[114148]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[456616+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1366]=Y;c[114148]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1366]=B;do{if(B>+h[j>>3]){if((c[114118]|0)>(c[g>>2]|0)){break}a[10912]=0;c[114122]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[114148]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[114132]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[456784+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[114132]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[114148]=y}de[s&127](e,b,f)|0;t=(c[114118]|0)+1|0;c[114118]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2693]=6;yG(10768)|0;PF(19272,456472,4)|0;PF(19272,r,8)|0;A=c[e>>2]|0;c[114132]=1;if((A|0)>=1){F=1;do{PF(19272,b+(F-1<<3)|0,8)|0;F=(c[114132]|0)+1|0;c[114132]=F;}while((F|0)<=(A|0))}gG()|0;$=c[114118]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2663]=6;yG(10648)|0;gG()|0;c[2657]=6;yG(10624)|0;t=c[e>>2]|0;c[114148]=1;if((t|0)>=1){z=1;do{PF(19272,b+(z-1<<3)|0,8)|0;z=(c[114148]|0)+1|0;c[114148]=z;}while((z|0)<=(t|0))}gG()|0;c[2651]=6;yG(10600)|0;PF(19272,r,8)|0;gG()|0}if(a[10912]|0){B=+h[1369];H=+h[1269]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[10912]=1;ba=+h[1369]}h[1269]=ba;c[114122]=0;x=0}if((c[i>>2]|0)>=0){c[2645]=6;yG(10576)|0;PF(19272,456472,4)|0;gG()|0;c[2639]=6;yG(10552)|0;x=c[e>>2]|0;c[114148]=1;if((x|0)>=1){t=1;do{PF(19272,b+(t-1<<3)|0,8)|0;t=(c[114148]|0)+1|0;c[114148]=t;}while((t|0)<=(x|0))}gG()|0;c[2633]=6;yG(10528)|0;PF(19272,r,8)|0;gG()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2627]=6;yG(10504)|0;gG()|0}h[1368]=+h[f>>3];c[114116]=0;x=c[114114]|0;c[114148]=1;if((x|0)>=1){t=1;while(1){z=456616+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[114148]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[114132]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=456784+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[455808+(F-1<<3)>>3]=+h[456784+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[114132]=F}de[s&127](e,455808,z)|0;c[114116]=(c[114116]|0)+1;c[114118]=(c[114118]|0)+1;y=c[114148]|0;B=+h[456616+(y-1<<3)>>3];if(!(B<+h[1368])){t=y;continue}h[1368]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2621]=6;yG(10480)|0;PF(19272,456472,4)|0;PF(19272,10944,8)|0;y=c[e>>2]|0;c[114132]=1;if((y|0)>=1){A=1;do{PF(19272,455808+(A-1<<3)|0,8)|0;A=(c[114132]|0)+1|0;c[114132]=A;}while((A|0)<=(y|0))}gG()|0;t=c[114148]|0}}t=c[114120]|0;c[114148]=1;do{if((t|0)<1){h[1548]=+h[57077];c[114148]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[114152]=y;A=c[e>>2]|0;c[114132]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[455968+(z-1<<3)>>3]=(+h[456784+(F-21<<3)>>3]+ +h[456784+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[114132]=z}de[s&127](e,455968,461824+(x-1<<3)|0)|0;c[114116]=(c[114116]|0)+1;c[114118]=(c[114118]|0)+1;x=(c[114148]|0)+1|0;c[114148]=x;}while((x|0)<=(t|0));x=c[114120]|0;B=+h[57077];h[1548]=B;c[114148]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[114152]=A;c[114150]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[114132]=1;y=1;while(1){F=y+1|0;c[114130]=F;w=c[e>>2]|0;c[114126]=1;if((w|0)>=1){D=c[114150]|0;T=1;do{U=(T*21|0)-22|0;h[455808+(T-1<<3)>>3]=(+h[456784+(U+D<<3)>>3]+ +h[456784+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[114126]=T}de[s&127](e,455808,10920)|0;c[114116]=(c[114116]|0)+1;c[114118]=(c[114118]|0)+1;w=c[114148]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[114132]|0;ja=U+D|0;c[114124]=ja;B=+h[1548];h[460144+(ja-1<<3)>>3]=(+h[1365]+B- +h[461824+(F<<3)>>3]- +h[461824+(U-1<<3)>>3])*2.0;F=U+1|0;c[114132]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[114148]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[114120]|0;c[114124]=0;c[114148]=1;y=(x|0)<1;if(y){c[114148]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[460144+(oa-1<<3)>>3]=(+h[456616+(ma<<3)>>3]+ha- +h[461824+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[114152]=ma+1;c[114124]=oa;c[114148]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=461824+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[456616+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[114152]=A+1;c[114148]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[114124]=0;c[114148]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[114148]=1;if((t|0)>=1){z=1;do{h[456128+(z-1<<3)>>3]=+h[456784+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[114148]=z}c[114148]=1;do{if(la){c[114148]=1}else{t=1;do{t=t+1|0;c[114152]=t;F=c[e>>2]|0;c[114132]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=456784+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[456784+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[114132]=w}c[114148]=t;}while((t|0)<=(ka|0));c[114148]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[114152]=t;y=c[e>>2]|0;c[114132]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[456784+(A+qa<<3)>>3]=+h[456784+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[114132]=x}c[114148]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);Jp(460144,456480,460144,455648,456448,p,10160)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2609]=6;yG(10432)|0;gG()|0}c[p>>2]=2;if((c[114118]|0)>(c[g>>2]|0)){R=315;break}c[2603]=6;yG(10408)|0;gG()|0;z=c[e>>2]|0;c[114148]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[114148]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2687]=6;yG(10744)|0;PF(19272,g,4)|0;gG()|0;c[2681]=6;yG(10720)|0;PF(19272,10928,8)|0;gG()|0;c[2675]=6;yG(10696)|0;s=c[e>>2]|0;c[114148]=1;if((s|0)>=1){z=1;do{PF(19272,b+(z-1<<3)|0,8)|0;z=(c[114148]|0)+1|0;c[114148]=z;}while((z|0)<=(s|0))}gG()|0;c[2669]=6;yG(10672)|0;PF(19272,r,8)|0;gG()|0;return 0}else if((R|0)==229){s=c[114120]|0;c[114136]=s-(c[114112]|0);c[114148]=1;z=(s|0)<1;do{if(z){h[1268]=0.0;c[114148]=1;sa=0.0}else{y=s+1|0;w=1;do{h[456616+(w-1<<3)>>3]=0.0;A=w-1|0;F=456616+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[460144+(ta-1<<3)>>3]*+h[461824+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[114124]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[114132]=y;h[1268]=0.0;c[114148]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[456616+(w<<3)>>3]*+h[461824+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1268]=va;c[114148]=wa;sa=va}}while(0);h[1268]=+h[1548]-sa;r=c[e>>2]|0;c[114148]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[455808+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=455808+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[456616+(ja-1<<3)>>3]*+h[456784+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[114148]=w;c[114132]=xa}r=c[e>>2]|0;c[114148]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=456128+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[455808+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[114148]=y}if((c[i>>2]|0)>=0){c[2597]=6;yG(10384)|0;PF(19272,10144,8)|0;r=c[e>>2]|0;c[114148]=1;if((r|0)>=1){w=1;do{PF(19272,456128+(w-1<<3)|0,8)|0;w=(c[114148]|0)+1|0;c[114148]=w;}while((w|0)<=(r|0))}gG()|0;c[2591]=6;yG(10360)|0;gG()|0}r=c[e>>2]|0;c[114148]=1;if((r|0)>=1){w=c[114120]|0;y=1;do{c[114132]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[456616+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=456616+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[460144+(za-1<<3)>>3]*+h[456784+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[114124]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[114126]=z;c[114132]=ja}s=c[e>>2]|0;c[114132]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=453968+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[456616+(Da-1<<3)>>3]*+h[456784+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[114132]=U;c[114124]=Aa;c[114126]=Ba}y=y+1|0;c[114148]=y;}while((y|0)<=(r|0))}c[114132]=0;r=c[e>>2]|0;c[114148]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[453968+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[114132]=y;c[114148]=w}if((c[i>>2]|0)<0){return 0}c[2585]=6;yG(10336)|0;PF(19272,456544,4)|0;gG()|0;c[114142]=1;r=1;d:while(1){c[114124]=r;do{if((r|0)>(c[e>>2]|0)){s=c[114142]|0;if((s|0)==1){c[2579]=6;yG(10312)|0;gG()|0;Jp(453968,456480,460144,455648,456448,p,10160)|0;c[2573]=6;yG(10288)|0;gG()|0;c[114142]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[114142]=2;c[114146]=0;c[114144]=0;s=c[e>>2]|0;c[114148]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=PS(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=453968+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=453968+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[453968+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[114128]=Ja;c[114144]=Ra;c[114146]=Ga;c[114132]=La;c[114148]=Sa}c[2567]=6;yG(10264)|0;gG()|0;c[114146]=0;D=c[e>>2]|0;c[114148]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=453968+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[114146]=Ta;c[114148]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[114146]=U;D=c[e>>2]|0;c[114148]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[114152]=ja;A=Ca+Da|0;c[114146]=A;ya=ja+5|0;c[114150]=(A|0)<=(ya|0)?A:ya;if((c[114142]|0)==3){c[2549]=6;yG(10192)|0;ya=c[114150]|0;A=c[114152]|0;c[114132]=A;if((A|0)<=(ya|0)){ja=A;do{PF(19272,460144+(ja-1<<3)|0,8)|0;ja=(c[114132]|0)+1|0;c[114132]=ja;}while((ja|0)<=(ya|0))}gG()|0}else{c[2555]=6;yG(10216)|0;ya=c[114150]|0;ja=c[114152]|0;c[114132]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{PF(19272,453968+(Fa-1<<3)|0,8)|0;Fa=(c[114132]|0)+1|0;c[114132]=Fa;}while((Fa|0)<=(ya|0))}gG()|0}ya=(c[114148]|0)+1|0;c[114148]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[114146]|0;z=c[114124]|0}}}while(0);c[2543]=6;yG(10168)|0;gG()|0;r=(c[114124]|0)+6|0}c[2561]=6;yG(10240)|0;PF(19272,456464,4)|0;gG()|0;return 0}else if((R|0)==315){return 0}}}while(0);de[o&127](e,b,f)|0;return 0}



function Jp(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[113268]=c[b>>2];c[g>>2]=1;if((c[113268]|0)<1){return 0}c[g>>2]=0;Kp(a,453072,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[113268]|0;i=(ga(g+1|0,g)|0)/2|0;c[113270]=i;c[113284]=g;c[113272]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=PS(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[113282]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[113282]=l;j=k}m=j;n=a-1|0}else{c[113288]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[113288]=q}c[113286]=g;c[113280]=i;c[113274]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[113274]=A;z=r-1|0;c[113286]=z;B=l-1|0;c[113280]=B;l=B;r=z;s=A}c[113278]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[113276]=m;c[113284]=0;c[113272]=f-g;return 0}function Kp(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2298]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2298]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2298];c[118866]=1;c[118864]=0;l=c[b>>2]|0;c[118870]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[118862]=0;c[118868]=1;do{if((b|0)>=1){n=c[118864]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2296]=k;s=(o|0)==(b|0);if(s){j=k*+h[2298];h[2297]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2296]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2297]=+h[2297]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[118862]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[118862]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2296];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[118868]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[118872]=t;c[118860]=u;c[118864]=q;break}else if((B|0)==26){B=0;c[118872]=t;c[118860]=u;c[118864]=q;break}}}while(0);k=+W(+h[2297]);h[2297]=k;F=+h[2296];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[118864]|0)-1<<3)>>3]=E;E=+h[2297]/+h[2296];h[i+((c[118872]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[118864]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[118870]|0;M=c[118866]|0}}while(0);m=M+L|0;c[118866]=m;b=L+1|0;c[118870]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[118872]=t;c[118860]=u;c[118864]=q;return 0}}while(0);c[f>>2]=0;return 0}function Lp(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[113466]=l;m=(c[d>>2]|0)-l|0;c[113464]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[113468]=q;a[10032]=1;r=c[b>>2]|0;s=r+1|0;c[113474]=s;t=c[b>>2]|0;u=s+t|0;c[113476]=u;s=u+(c[b>>2]|0)|0;c[113472]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[113486]=u;v=u+(c[d>>2]|0)|0;c[113484]=v;w=v+(c[b>>2]|0)|0;c[113482]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[113480]=x;y=x+(c[d>>2]|0)|0;c[113490]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[113470]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[113488]=A;B=A+(c[b>>2]|0)|0;c[113478]=B;Mp(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,453872,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);yG(10040)|0;gG()|0;return 0}function Mp(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1171]=.5;h[1145]=1.0;h[1133]=.1;F=(c[a>>2]|0)+1|0;c[113420]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[113422]=H;I=(c[b>>2]|0)-F|0;c[113418]=I;F=c[j>>2]|0;c[113424]=(F|0)<1?1:F;F=c[a>>2]|0;c[113448]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[113442]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[113442]=L}J=c[u>>2]|0;c[113462]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[113462]=K}j=j+1|0;c[113448]=j;}while((j|0)<=(F|0))}c[113458]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[113458]=G}G=c[b>>2]|0;c[113442]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[113448]=M;c[113442]=j}N=+h[e>>3];O=N*N;h[1140]=O;h[1143]=+h[1145]/O;h[1142]=+W(+h[1171])/O;c[113432]=0;j=y;y=A;M=0;a:while(1){c[113430]=M;G=M-(c[a>>2]|0)|0;c[113428]=G;F=M+1|0;c[113432]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[113452]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[113444]=K;J=K+H|0;c[113454]=J;if((J|0)>(c[a>>2]|0)){c[113452]=K;H=J-(c[a>>2]|0)|0;c[113444]=H;c[113454]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1131]=O;K=c[113420]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1131]=N;R=N}else{R=O}O=+h[e>>3];h[1130]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1130]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1130];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[113448]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[113448]=I}if((F|0)>(c[113424]|0)){T=F;U=158;break}while(1){de[j&127](a,d,9904)|0;if((c[g>>2]|0)==3){yG(9312)|0;PF(19264,453728,4)|0;PF(19264,9904,8)|0;G=c[a>>2]|0;c[113462]=1;if((G|0)>=1){K=1;do{PF(19264,d+(K-1<<3)|0,8)|0;K=(c[113462]|0)+1|0;c[113462]=K;}while((K|0)<=(G|0))}gG()|0}G=c[113432]|0;do{if((G|0)>(c[b>>2]|0)){K=c[113440]|0;if((K|0)==-1){break a}h[1132]=0.0;c[113458]=0;J=c[a>>2]|0;c[113448]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1132]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1135]=N;if((ca|0)==(L|0)){fa=N*+h[1171];h[1135]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1132]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[113458]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[113462]=Z;c[113448]=ja;V=_}X=c[b>>2]|0;c[113442]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1132]=O;L=L+1|0;}while((L|0)<=(X|0));c[113442]=L;ka=O}da=+h[1238];N=+h[1175];fa=da-N-ka;h[1247]=fa;h[1244]=+h[1245];h[1245]=+h[1246];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1246]=la;if(+h[1242]>+h[1141]){c[113426]=G}h[1174]=N;do{if(da<N){h[1175]=da;h[1129]=0.0;X=c[a>>2]|0;c[113462]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1129]=+h[1129]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[113462]=ma;h[A>>3]=na}}while(0);c[113436]=K;if((K|0)<=0){da=+h[1132];if(!(da<0.0)){U=189;break a}N=+h[1238];O=+h[1174];fa=(N-O)/da;h[1144]=fa;da=+h[1133];do{if(fa>da){oa=+h[1171]*+h[1249];h[A>>3]=oa;pa=+h[1242];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1249]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1249]=ra;sa=ra;break}}else{ra=+h[1171]*+h[1242];h[1249]=ra;sa=ra}}while(0);fa=+h[1141];if(sa>fa*1.5){ta=sa}else{h[1249]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1140]=fa;c[113434]=0;h[1248]=0.0;if(N<O){ua=0.0;va=0}else{L=c[113438]|0;c[113434]=L;pa=+h[1145];h[1248]=pa;ua=pa;va=L}L=c[b>>2]|0;c[113442]=1;if((L|0)<1){wa=K}else{X=c[113418]|0;H=K;J=1;pa=ua;while(1){h[1170]=0.0;c[113448]=1;if((X|0)<1){xa=0.0}else{ca=c[113460]|0;Y=J+C|0;ra=+h[1145];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1135]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1170]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[113448]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1252]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1135]=za;h[1243]=0.0;Y=c[a>>2]|0;c[113448]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1243]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[113448]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1135]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1248]=Ea;c[113440]=J;Fa=J;Ga=Ea}Y=J+1|0;c[113442]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}Sp(a,b,s,t,453840,u,w,10016,453760,x)|0;J=c[113440]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1238];c[113458]=0;L=c[a>>2]|0;c[113462]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1135]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1135]}ea=ba+Y|0;c[113458]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[113448]=Ka;c[113462]=Na}h[X>>3]=0.0;ba=c[113418]|0;c[113448]=1;Y=(ba|0)<1;if(!Y){K=c[113460]|0;L=1;do{H=ga(L,B)|0;da=+h[1247]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1135]=Oa;ea=c[b>>2]|0;c[113442]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1135]}c[113442]=ca}L=L+1|0;c[113448]=L;}while((L|0)<=(ba|0))}h[1172]=0.0;L=c[a>>2]|0;c[113462]=1;if((L|0)>=1){K=1;do{da=+h[1247]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1172]=+h[1172]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[113462]=K;h[A>>3]=Pa}L=c[113436]|0;do{if((L|0)==0){if(!(+h[1249]==+h[1141])){break}da=+h[1144];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[113450]=0;break}X=c[b>>2]|0;c[113442]=1;if((X|0)>=1){aa=o+((c[113438]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[113442]=ea}h[1173]=0.0;X=c[a>>2]|0;c[113462]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1139]=0.0;ca=c[b>>2]|0;c[113442]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1139]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[113442]=Ma;Sa=da}h[1173]=+h[1173]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[113462]=aa;}while((aa|0)<=(X|0));Ra=+h[1173]*100.0}X=(c[113450]|0)+1|0;c[113450]=X;if(+h[1172]<Ra){c[113450]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[113462]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[113462]=aa}X=c[113422]|0;c[113458]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[113458]=ea}c[113448]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[113442]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[113442]=Ua;Ta=fa}if((X|0)<(c[113460]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[113448]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[113442]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[113448]=Va;c[113442]=ca}c[113450]=0}}while(0);fa=+h[1238];da=+h[1174];if(fa<da){c[113438]=J}qa=+h[1133];if(fa<=da+qa*+h[1132]|(L|0)>0){U=54;break}c[113440]=0;Ha=qa;Ia=+h[1249];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1238];qa=+h[1238];do{if((G|0)==1){h[1237]=qa;h[1175]=qa;c[113438]=1;Wa=1}else{if(!(qa<+h[1175])){Wa=G;break}h[1175]=qa;c[113438]=G;Wa=G}}while(0);L=c[113430]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[113454]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[113444]|0;X=K+Y|0;c[113458]=X;if(+h[1131]<0.0){Y=ba+(c[a>>2]|0)|0;c[113454]=Y;Xa=Y}else{Xa=ba}if(+h[1130]<0.0){ba=K+(c[a>>2]|0)|0;c[113444]=ba;Ya=ba}else{Ya=K}K=ga(c[113428]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1143];h[t+(Wa+C+K<<3)>>3]=+h[1143];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1143];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1143];h[q+(X-1<<3)>>3]=(+h[1237]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1238])/(+h[1131]*+h[1130])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[113428]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1171]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1171])/+h[e>>3];da=+h[1142];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1142];h[t+(ba+K<<3)>>3]=+h[1142];K=(ga(X+1|0,X)|0)/2|0;c[113458]=K;da=(+h[1237]- +h[1238])/+h[e>>3];h[1135]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1171]*(+h[ba>>3]+ +h[1135]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1237])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1145])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1145]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1140]*(-0.0- +h[1171]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1141]=qa;h[1249]=qa;c[113460]=1;h[1246]=0.0;h[1245]=0.0;c[113450]=0;h[1129]=0.0;L=c[a>>2]|0;c[113462]=1;if((L|0)<1){U=53;break}J=c[113438]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1129]=+h[1129]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[113462]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[113426]=c[113432];U=54;continue}else if((U|0)==54){U=0;c[113440]=0;G=(c[113420]|0)-1|0;L=c[a>>2]|0;Rp(a,b,l,n,p,q,r,9992,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,1e4)|0;h[1241]=0.0;L=c[a>>2]|0;c[113462]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1241]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[113462]=G;_a=qa}da=+h[1249];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1242]=pa;fa=+h[1141];if(!(pa<+h[1171]*fa)){ab=_a;U=62;break}c[113440]=-1;pa=+h[1133];O=pa*da;h[1249]=O;h[1144]=-1.0;if(O>fa*1.5){bb=O}else{h[1249]=fa;bb=fa}if((c[113432]|0)<=((c[113426]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1250]*.125*fa;h[1135]=O;da=+h[1246];N=+h[1245];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1244];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1243]=pa;L=c[b>>2]|0;c[113442]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1139]=0.0;ba=c[a>>2]|0;c[113448]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1139]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[113448]=X;gb=pa}if(gb>fa){c[113440]=J;h[1243]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[113442]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1144]>0.0){U=54;continue}fa=+h[1242];qa=+h[1141];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1171];h[1249]=qa;fa=cb/+h[f>>3];h[1144]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1141]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1141]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1141]=ra;kb=ra}}while(0);h[1249]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){yG(9264)|0;gG()|0}yG(9240)|0;PF(19264,9128,8)|0;PF(19264,453728,4)|0;gG()|0;yG(9216)|0;PF(19264,9400,8)|0;J=c[a>>2]|0;c[113462]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];PF(19264,y,8)|0;K=(c[113462]|0)+1|0;c[113462]=K;}while((K|0)<=(J|0))}gG()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1171]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1141];qa=ra>=fa?ra:fa;h[1240]=qa;fa=qa*qa;h[1241]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1129];if(!(ab>fa*.001)){h[1134]=fa*.25;J=c[b>>2]|0;c[113442]=1;if((J|0)>=1){K=1;do{h[1139]=0.0;L=c[a>>2]|0;c[113462]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1139]=fa;G=G+1|0;}while((G|0)<=(L|0));c[113462]=G;lb=fa}h[1135]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1171]*+h[1129];h[1139]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[113462]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1135]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1171]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1139]*+h[n+(K+C+ba<<3)>>3]+ +h[1134]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[113456]=Y;c[113448]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[113448]=H}X=X+1|0;c[113462]=X;}while((X|0)<=(L|0))}K=K+1|0;c[113442]=K;}while((K|0)<=(J|0))}J=c[113418]|0;c[113442]=1;if((J|0)>=1){K=1;do{h[1136]=0.0;L=c[b>>2]|0;c[113462]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1136]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[113462]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1136]}}}while(0);L=c[a>>2]|0;c[113448]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1134]*+h[1136]*+h[l+(H<<3)>>3];h[1139]=fa;G=c[b>>2]|0;c[113462]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1139]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[113462]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[113460]|0)){h[1139]=-0.0- +h[1139]}G=c[b>>2]|0;c[113462]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1139]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[113462]=Ua}X=X+1|0;c[113448]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[113462]=1;if((L|0)>=1){X=c[113460]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[113456]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1135]=nb;c[113448]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1135]}c[113448]=ca}Y=Y+1|0;c[113462]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[113442]=K;}while((K|0)<=(J|0))}c[113458]=0;J=c[a>>2]|0;c[113448]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[113442]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1171]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[113442]=ob}c[113462]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[113458]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[113462]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[113448]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[113448]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[113448]=K}h[1129]=0.0}if((c[113440]|0)>0){L=(c[113420]|0)-1|0;cp(a,b,l,n,s,t,453840,u,453760,9920,v,10024,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[113442]=1;if((L|0)>=1){ea=1;do{h[1138]=0.0;h[1137]=0.0;h[1139]=0.0;J=c[a>>2]|0;c[113448]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1138]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1137]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1139]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[113448]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1171]+tb);h[w+(J<<3)>>3]=+h[1139];ea=ea+1|0;c[113442]=ea;}while((ea|0)<=(L|0))}h[1252]=0.0;L=c[113418]|0;c[113442]=1;if((L|0)>=1){ea=1;do{h[1139]=0.0;K=c[b>>2]|0;c[113462]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1139]=pa;J=J+1|0;}while((J|0)<=(K|0));c[113462]=J;ub=pa}fa=ub*ub;qa=+h[1252];if((ea|0)<(c[113460]|0)){h[1252]=qa+fa;ra=-0.0-ub;h[1139]=ra;vb=ra}else{h[1252]=qa-fa;vb=ub}K=c[b>>2]|0;c[113462]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1139]}c[113462]=ba}ea=ea+1|0;c[113442]=ea;}while((ea|0)<=(L|0))}h[1251]=0.0;h[1239]=0.0;L=c[a>>2]|0;c[113448]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1139]=0.0;X=c[b>>2]|0;c[113462]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1139]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[113462]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1251]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[113446]=ba;J=c[a>>2]|0;c[113442]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1139]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[113442]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1251]+ +h[1139]*+h[K>>3];h[1251]=pa;ra=+h[1239]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1239]=ra;J=ea+1|0;c[113448]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1241];h[1252]=+h[1252]+(wb*wb+fa*(wb+(wb+ +h[1129])+fa*+h[1171]))-xb;ea=w+((c[113438]|0)-1<<3)|0;h[ea>>3]=+h[1145]+ +h[ea>>3];ea=c[113440]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1145]+ +h[1253]*+h[1252]/(fa*fa);h[1135]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;bp(a,b,l,n,s,t,453840,u,453752,453760,v,x,w,10016,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[113462]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[113462]=L}ea=(c[113432]|0)+1|0;c[113432]=ea;if((ea|0)>(c[113424]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[113432]=T-1;if((c[g>>2]|0)<=0){break}yG(9336)|0;gG()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}yG(9288)|0;gG()|0}}while(0);Ab=+h[1175];if(!(Ab>+h[1238])){U=c[a>>2]|0;c[113462]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[113462]=T;Bb=+h[1175]}h[1238]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}yG(9192)|0;PF(19264,453728,4)|0;gG()|0;yG(9168)|0;PF(19264,9904,8)|0;g=c[a>>2]|0;c[113462]=1;if((g|0)>=1){a=1;do{PF(19264,d+(a-1<<3)|0,8)|0;a=(c[113462]|0)+1|0;c[113462]=a;}while((a|0)<=(g|0))}gG()|0;i=z;return 0}function Np(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;g=c[e>>2]|0;e=~g;i=c[a>>2]|0;j=c[b>>2]|0;k=(i|0)>(j|0)?j:i;if((k|0)<2){l=j;m=i}else{i=2;j=0;while(1){n=j+2|0;o=d+(g+(ga(g,j)|0)<<3)|0;yS(o|0,0,((n|0)>2?(n<<3)-8|0:8)|0)|0;n=i+1|0;if((n|0)>(k|0)){break}else{i=n;j=j+1|0}}l=c[b>>2]|0;m=c[a>>2]|0}b=l+1|0;if((m|0)>=(b|0)){j=(m|0)<1;i=m<<3;n=b;b=0;while(1){o=ga(n,g)|0;if(!j){yS(d+((ga(l+b|0,g)|0)<<3)|0,0,i|0)|0}h[d+(n+e+o<<3)>>3]=1.0;o=n+1|0;if((o|0)>(m|0)){break}else{n=o;b=b+1|0}}}if((k|0)<1){return 0}b=c[a>>2]|0;a=1;do{n=k-a|0;m=n+1|0;i=(m|0)>(b|0);l=ga(m,g)|0;if(!i){j=l+e|0;o=m;do{p=d+(j+o<<3)|0;h[f+(o-1<<3)>>3]=+h[p>>3];h[p>>3]=0.0;o=o+1|0;}while((o|0)<=(b|0))}h[d+(m+e+l<<3)>>3]=1.0;o=f+(n<<3)|0;if(!(+h[o>>3]==0.0|i)){j=m;do{p=(ga(j,g)|0)+e|0;q=m;r=0.0;do{r=r+ +h[d+(p+q<<3)>>3]*+h[f+(q-1<<3)>>3];q=q+1|0;}while((q|0)<=(b|0));s=+h[o>>3];t=r/s;q=(ga(j,g)|0)+e|0;p=m;u=s;while(1){v=d+(q+p<<3)|0;h[v>>3]=+h[v>>3]-t*u;v=p+1|0;if((v|0)>(b|0)){break}s=+h[f+(p<<3)>>3];p=v;u=s}j=j+1|0;}while((j|0)<=(b|0))}a=a+1|0;}while((a|0)<=(k|0));return 0}function Op(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0.0;j=i;i=i+16|0;n=j|0;o=j+8|0;p=c[e>>2]|0;e=~p;q=+Ep(19256);r=c[b>>2]|0;if((r|0)<1){s=r}else{t=1;do{u=+Fp(a,d+((ga(t,p)|0)-p<<3)|0);v=t-1|0;h[l+(v<<3)>>3]=u;h[k+(v<<3)>>3]=u;h[m+(v<<3)>>3]=u;if((c[f>>2]|0)!=0){c[g+(v<<2)>>2]=t}t=t+1|0;}while((t|0)<=(r|0));s=c[b>>2]|0}r=c[a>>2]|0;t=(r|0)>(s|0)?s:r;if((t|0)<1){i=j;return 0}else{w=1}while(1){do{if((c[f>>2]|0)!=0){r=c[b>>2]|0;c[n>>2]=r;if((w|0)>(r|0)){break}else{x=w;y=w}do{y=+h[k+(x-1<<3)>>3]>+h[k+(y-1<<3)>>3]?x:y;x=x+1|0;}while((x|0)<=(r|0));if((y|0)==(w|0)){break}r=c[a>>2]|0;c[n>>2]=r;if((r|0)>=1){s=(ga(w,p)|0)+e|0;l=(ga(y,p)|0)+e|0;v=1;do{z=d+(s+v<<3)|0;u=+h[z>>3];A=d+(l+v<<3)|0;h[z>>3]=+h[A>>3];h[A>>3]=u;v=v+1|0;}while((v|0)<=(r|0))}r=w-1|0;v=y-1|0;h[k+(v<<3)>>3]=+h[k+(r<<3)>>3];h[m+(v<<3)>>3]=+h[m+(r<<3)>>3];l=g+(r<<2)|0;r=c[l>>2]|0;s=g+(v<<2)|0;c[l>>2]=c[s>>2];c[s>>2]=r}}while(0);c[n>>2]=1-w+(c[a>>2]|0);r=ga(w,p)|0;s=w+e|0;l=d+(s+r<<3)|0;u=+Fp(n,l);a:do{if(u==0.0){B=u;C=w+1|0}else{D=+h[l>>3];if(D<0.0){E=-0.0-u}else{E=u}v=c[a>>2]|0;c[n>>2]=v;if((w|0)>(v|0)){F=D}else{A=r+e|0;z=w;do{G=d+(A+z<<3)|0;h[G>>3]=+h[G>>3]/E;z=z+1|0;}while((z|0)<=(v|0));F=+h[l>>3]}h[l>>3]=F+1.0;z=w+1|0;A=c[b>>2]|0;if((A|0)<(z|0)){B=E;C=z;break}c[n>>2]=A;G=z+e|0;H=r+e|0;I=z;J=A;A=v;while(1){c[o>>2]=A;K=(w|0)>(A|0);do{if(K){c[o>>2]=A}else{L=(ga(I,p)|0)+e|0;M=w;D=0.0;do{D=D+ +h[d+(H+M<<3)>>3]*+h[d+(L+M<<3)>>3];M=M+1|0;}while((M|0)<=(A|0));N=D/+h[l>>3];c[o>>2]=A;if(K){break}M=(ga(I,p)|0)+e|0;L=w;do{O=d+(M+L<<3)|0;h[O>>3]=+h[O>>3]-N*+h[d+(H+L<<3)>>3];L=L+1|0;}while((L|0)<=(A|0))}}while(0);do{if((c[f>>2]|0)==0){P=J}else{K=I-1|0;L=k+(K<<3)|0;N=+h[L>>3];if(N==0.0){P=J;break}M=ga(I,p)|0;D=+h[d+(s+M<<3)>>3]/N;Q=1.0-D*D;D=N*+W(Q<=0.0?0.0:Q);h[L>>3]=D;O=m+(K<<3)|0;Q=D/+h[O>>3];if(Q*Q*.05>q){P=J;break}c[o>>2]=A-w;Q=+Fp(o,d+(G+M<<3)|0);h[L>>3]=Q;h[O>>3]=Q;P=c[n>>2]|0}}while(0);O=I+1|0;if((O|0)>(P|0)){B=E;C=z;break a}I=O;J=P;A=c[a>>2]|0}}}while(0);h[k+(w-1<<3)>>3]=-0.0-B;if((C|0)>(t|0)){break}else{w=C}}i=j;return 0}function Pp(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;i=c[e>>2]|0;e=~i;j=c[b>>2]|0;b=j-1|0;if((b|0)<1){return 0}k=c[a>>2]|0;l=(k|0)<1;m=1;n=0.0;o=0.0;while(1){p=j-m|0;q=+h[f+(p-1<<3)>>3];r=q<0.0;if(r){s=-0.0-q}else{s=q}if(s>1.0){t=1.0/q}else{t=n}if(r){u=-0.0-q}else{u=q}if(u>1.0){v=+W(1.0-t*t)}else{v=o}if(r){w=-0.0-q;x=q<-1.0?v:q}else{w=q;x=q>1.0?v:q}if(w>1.0){y=t}else{y=+W(1.0-x*x)}if(!l){r=(ga(p,i)|0)+e|0;p=ga(j,i)|0;z=1;do{A=d+(r+z<<3)|0;q=+h[A>>3];B=d+(z+e+p<<3)|0;C=+h[B>>3];h[B>>3]=x*q+y*C;h[A>>3]=y*q-x*C;z=z+1|0;}while((z|0)<=(k|0))}z=m+1|0;if((z|0)>(b|0)){break}else{m=z;n=y;o=x}}m=c[a>>2]|0;a=(m|0)<1;k=1;o=y;y=x;while(1){x=+h[g+(k-1<<3)>>3];l=x<0.0;if(l){D=-0.0-x}else{D=x}if(D>1.0){E=1.0/x}else{E=o}if(l){F=-0.0-x}else{F=x}if(F>1.0){G=+W(1.0-E*E)}else{G=y}if(l){H=-0.0-x;I=x<-1.0?G:x}else{H=x;I=x>1.0?G:x}if(H>1.0){J=E}else{J=+W(1.0-I*I)}if(!a){l=(ga(k,i)|0)+e|0;f=ga(j,i)|0;x=-0.0-I;z=1;do{p=d+(l+z<<3)|0;n=+h[p>>3];r=d+(z+e+f<<3)|0;t=+h[r>>3];h[r>>3]=n*x+J*t;h[p>>3]=J*n+I*t;z=z+1|0;}while((z|0)<=(m|0))}z=k+1|0;if((z|0)>(b|0)){break}else{k=z;o=J;y=I}}return 0}function Qp(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0;k=+Ep(19120);e=c[b>>2]|0;l=c[a>>2]|0;m=(ga(1-e+(l<<1)|0,e)|0)/2|0;n=m+(e-l)|0;if((e|0)<=(l|0)){o=e;p=n;while(1){h[i+(o-1<<3)>>3]=+h[d+(p-1<<3)>>3];q=o+1|0;if((q|0)>(l|0)){break}else{o=q;p=p+1|0}}}p=e-1|0;o=(p|0)<1;if(o){r=n}else{q=e-2|0;s=e-3|0;t=(e<<1)+m+(ga(q,s-l|0)|0)-2-l|0;m=PS(q,0,s,0)|0;s=m>>>1|K<<31;m=n;n=1;do{q=e-n|0;m=m-1+q-l|0;u=q-1|0;h[i+(u<<3)>>3]=0.0;v=g+(u<<3)|0;w=+h[v>>3];do{if(!(w==0.0)){u=g+(p<<3)|0;x=+h[u>>3];if(x<0.0){y=-0.0-x}else{y=x}if(w<0.0){z=-0.0-w}else{z=w}do{if(y<z){A=x/w;B=.5/+W(A*A*.25+.25);C=A*B;if(C<0.0){D=-0.0-C}else{D=C}if(!(k*D>1.0)){E=1.0;F=B;G=C;break}E=1.0/C;F=B;G=C}else{C=w/x;B=.5/+W(C*C*.25+.25);A=C*B;E=A;F=A;G=B}}while(0);h[u>>3]=F*w+G*x;h[v>>3]=E;if((q|0)>(l|0)){break}else{H=q;I=m}while(1){J=d+(I-1<<3)|0;B=+h[J>>3];L=i+(H-1<<3)|0;A=+h[L>>3];h[L>>3]=F*B+G*A;h[J>>3]=G*B-F*A;J=H+1|0;if((J|0)>(l|0)){break}else{H=J;I=I+1|0}}}}while(0);n=n+1|0;}while((n|0)<=(p|0));r=t-l-s|0}if((l|0)>=1){s=g+(p<<3)|0;g=1;do{t=g-1|0;n=i+(t<<3)|0;h[n>>3]=+h[n>>3]+ +h[s>>3]*+h[f+(t<<3)>>3];g=g+1|0;}while((g|0)<=(l|0))}c[j>>2]=0;if(o){M=r}else{o=1;l=r;while(1){r=i+(o-1<<3)|0;F=+h[r>>3];g=d+(l-1<<3)|0;if(!(F==0.0)){G=+h[g>>3];if(G<0.0){N=-0.0-G}else{N=G}if(F<0.0){O=-0.0-F}else{O=F}do{if(N<O){E=G/F;D=.5/+W(E*E*.25+.25);z=E*D;if(z<0.0){P=-0.0-z}else{P=z}if(!(k*P>1.0)){Q=1.0;R=D;S=z;break}Q=1.0/z;R=D;S=z}else{z=F/G;D=.5/+W(z*z*.25+.25);E=z*D;Q=E;R=E;S=D}}while(0);f=c[a>>2]|0;a:do{if((o|0)<=(f|0)){D=-0.0-R;s=o;t=l;E=G;z=F;while(1){h[i+(s-1<<3)>>3]=E*D+S*z;h[d+(t-1<<3)>>3]=S*E+R*z;n=s+1|0;if((n|0)>(f|0)){break a}y=+h[d+(t<<3)>>3];w=+h[i+(s<<3)>>3];s=n;t=t+1|0;E=y;z=w}}}while(0);h[r>>3]=Q}if(+h[g>>3]==0.0){c[j>>2]=1}f=1-o+l+(c[a>>2]|0)|0;t=o+1|0;if((t|0)>(p|0)){M=f;break}else{o=t;l=f}}}l=c[a>>2]|0;a=c[b>>2]|0;if((a|0)<=(l|0)){b=a;a=M;while(1){h[d+(a-1<<3)>>3]=+h[i+(b-1<<3)>>3];o=b+1|0;if((o|0)>(l|0)){break}else{b=o;a=a+1|0}}}if(!(+h[d+(M-1<<3)>>3]==0.0)){return 0}c[j>>2]=1;return 0}function Rp(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[113258]=0;k=c[b>>2]|0;c[113256]=k;c[113254]=k;u=c[b>>2]|0;c[113264]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[113264]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[113264]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[113264]=u}x=c[d>>2]|0;c[113250]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[113252]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[113252]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[113264]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[113264]=D}e=e+1|0;c[113250]=e;}while((e|0)<=(x|0))}c[113262]=0;x=c[b>>2]|0;c[113252]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[113262]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[113264]=G;c[113252]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[113264]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[113264]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[113264]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[113264]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[113260]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[113264]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[113260]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[113264]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[113264]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[113264]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[113252]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[113252]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[113264]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[113264]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[113264]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[113264]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[113254]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[113264]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[113264]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[113258]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[113264]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[113264]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[113258]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function Sp(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[113236]=q;c[113240]=1;c[113246]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[113240]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[113248]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[113248]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[113246]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[113248]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[113248]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[113248]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[113248]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[113244]=1;if(+h[k>>3]<0.0){N=1}else{c[113244]=r;N=r}q=r+1-N|0;c[113242]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[113248]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[113248]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[113248]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[113248]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[113246]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[113238]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[113248]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[113248]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[113246]=T;}while((T|0)<=(S|0));return 0}function Tp(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function Up(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((Tp(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){od(23848,425672,116,439720);return 0}else if((s|0)==14){i=g;return o|0}return 0}function Vp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((tS(c[j>>2]|0,c[18296+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[18264+(k<<2)>>2]|0;On(23,0,42328,(n=i,i=i+16|0,c[n>>2]=c[18296+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=XR(r,8)|0;c[e+40>>2]=p;r=b+536|0;Rn(c[r>>2]|0,(p|0)!=0|0,36928,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=XR(c[o>>2]|0,4)|0;c[e+36>>2]=p;Rn(c[r>>2]|0,(p|0)!=0|0,36928,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=XR(c[q>>2]|0,4)|0;c[e+24>>2]=VR(8)|0;q=VR(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[113222];Rn(c[r>>2]|0,(q|0)!=0|0,36928,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=VR(q)|0;o=e+44|0;c[o>>2]=VR(q)|0;q=XR(15,4)|0;s=e+12|0;c[s>>2]=q;Rn(c[r>>2]|0,(q|0)!=0|0,36928,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=XR(5,4)|0;c[e+4>>2]=q;Rn(c[r>>2]|0,(q|0)!=0|0,36928,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=XR(5,4)|0;c[e+8>>2]=q;Rn(c[r>>2]|0,(q|0)!=0|0,36928,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=VR(q)|0;c[e+76>>2]=VR(q)|0;c[e+80>>2]=VR(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((be[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){On(23,0,32952,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{On(1,0,29280,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[113231]|c[113292]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Sn(B,416904,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}Qn(23,1,23792,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[18264+(f<<2)>>2]|0;Qn(23,0,425656,(n=i,i=i+16|0,c[n>>2]=c[18296+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);_d[c[3556]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Sn(B,416904,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function Wp(a){a=a|0;WR(c[a+40>>2]|0);WR(c[a+36>>2]|0);WR(c[a+20>>2]|0);WR(c[a+12>>2]|0);WR(c[a+4>>2]|0);WR(c[a+8>>2]|0);WR(a);return 0}function Xp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;Rn(c[s>>2]|0,(c[q>>2]|0)!=0|0,26208,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){On(3,0,21560,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;On(3,0,437080,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];be[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}On(3,0,434064,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){On(23,0,432056,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){Ko(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){Sr(b)|0}be[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 3:{ep(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,4,I,c[J>>2]|0);break};case 4:{ep(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,4,I,c[J>>2]|0);break};case 6:{ep(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,14,4,I,c[J>>2]|0);break};case 7:{ep(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,2,8,H,0);break};case 5:{ep(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,4,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){ep(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,8,H,0);break b}else{ep(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,4,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Ta(K|0)|0;Ta(L|0)|0;Qn(3,0,430320,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;On(3,0,429280,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Ta(K|0)|0;Ta(L|0)|0;L=eq(c[z>>2]|0)|0;be[c[(c[O>>2]|0)+28>>2]&255](b)|0;Qn(1,0,428080,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[113211]|0)!=0){On(3,1,427280,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;On(3,0,426416,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;On(3,0,425752,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;On(3,0,425040,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;On(3,0,424320,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;On(3,0,423104,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;On(3,0,422376,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;On(3,0,421784,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;On(3,0,420976,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;On(3,0,419264,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;On(3,0,418448,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;_d[c[3556]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){od(417640,416960,406,439824);return 0}On(3,0,416288,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function Yp(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;be[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function Zp(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;be[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;gq(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function _p(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;be[c[(c[a>>2]|0)+28>>2]&255](g)|0;be[c[(c[a>>2]|0)+32>>2]&255](g)|0;de[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function $p(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;hq(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function aq(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;be[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;fq(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function bq(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function cq(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;iq(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function dq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function eq(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-6:{Qn(1,0,413144,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-6;break};case-10:{Qn(1,0,409864,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-10;break};case-11:{Qn(1,0,409336,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-11;break};case-2:{Qn(1,0,414232,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-2;break};case-12:{Qn(1,0,342568,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-12;break};case-8:{Qn(1,0,411480,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-8;break};case-3:{e=-3;break};case-1:{Qn(3,0,430320,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=1;break};case-33:{Qn(1,0,41864,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-33;break};case-7:{Qn(1,0,412328,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-7;break};case-9:{Qn(1,0,410552,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-9;break};default:{e=-1}}i=b;return e|0}function fq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}be[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function gq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;be[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function hq(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+_b(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+_b(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;Yp(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function iq(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+_b(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+_b(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}Yp(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function jq(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function kq(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;_d[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function lq(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function mq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=Zn(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{le[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;Xn(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=Zn(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function nq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((mq(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}oq(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(Zn(d)|0)>0;g=b?2:0;return g|0}function oq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=VR(l)|0;n=m;o=VR(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[115602]=Vn(4)|0;if((m|0)==0){od(432024,430288,308,439808)}if((o|0)==0){od(429264,430288,309,439808)}q=ao(b)|0;if((q|0)!=0){r=q;do{q=c[(co(r)|0)>>2]|0;On(27,0,428024,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=bo(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;xS(o|0,c[a+384>>2]|0,t)|0;xS(m|0,q|0,t)|0}h[d>>3]=+rq(a,g,j,l,n,c[115602]|0,b);do{if((Zn(c[115602]|0)|0)==0){n=c[(_n(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=ao(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(co(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=bo(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}On(27,0,427200,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=ao(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(co(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[115602]|0;Yn(t,co(y)|0);t=c[(co(y)|0)>>2]|0;On(27,0,426392,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=bo(y)|0;}while((y|0)!=0)}}while(0);Wn(b);if((c[113215]|0)!=0){Zn(c[115602]|0)|0}if((Zn(c[115602]|0)|0)>0){y=f;do{l=c[(_n(c[115602]|0)|0)>>2]|0;c[f>>2]=l;$n(c[115602]|0);On(7,0,424312,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;Xn(b,y);}while((Zn(c[115602]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){xS(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Le(a);uq(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){WR(o);WR(m);i=e;return}xS(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;WR(o);WR(m);i=e;return}function pq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){yq(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];On(7,0,24048,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((Zn(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[113215]|0)!=0){e=ao(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(co(t)|0)>>2]|0;s=le[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;Nn(7,0,c[j>>2]|0,21504,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=bo(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(co(ao(d)|0)|0)>>2]|0;p=le[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];Nn(1,0,c[k>>2]|0,436776,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);Wn(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;tq(b);qq(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function qq(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;On(27,0,417600,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;de[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function rq(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=VR(m<<3)|0;o=n;if((n|0)==0){od(422360,430288,409,439840);return 0.0}if((m|0)>0){xS(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];On(27,0,421736,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;On(27,0,420952,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){WR(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}be[c[(c[w>>2]|0)+28>>2]&255](a)|0;be[c[(c[w>>2]|0)+32>>2]&255](a)|0;de[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(sq(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}xS(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}WR(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function sq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;Wn(b);On(27,0,419224,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=ao(d)|0;if((g|0)==0){j=Zn(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(co(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(co(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(co(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(co(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(co(a)|0)>>2]|0;o=c[(co(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?32800:29096;o=c[(co(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?32800:29096;On(27,0,418360,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;Xn(b,co(a)|0)}a=bo(a)|0;}while((a|0)!=0);j=Zn(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function tq(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;le[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;uq(b);vq(b);be[c[(c[f>>2]|0)+36>>2]&255](b)|0;wq(b,8);g=xq(b)|0;h=be[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{vq(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}yq(b);uq(b);wq(b,8);be[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=xq(b)|0;h=be[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){Sn(c[b+536>>2]|0,41120,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){vq(b);i=d;return}}function uq(a){a=a|0;xS(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function vq(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function wq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[452832+(d<<2)>>2]|0)==0){i=e;return}On(d,1,418328,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=be[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=be[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;On(d,0,417472,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}_d[c[3556]&511](d);i=e;return}function xq(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function yq(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;xS(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;xS(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;xS(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;xS(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function zq(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}de[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function Aq(a){a=a|0;Bq(a);Cq(a);yq(a);Dq(a);return}function Bq(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function Cq(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function Dq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((Jo(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];xS(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;xS(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;xS(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;xS(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(Jo(c[b>>2]|0)|0));return}function Eq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[452832+(d<<2)>>2]|0)==0){i=e;return}On(d,1,426304,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){On(d,1,425640,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?429048:428e3;r=+h[(c[k>>2]|0)+(l<<3)>>3];On(d,0,424896,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}_d[c[3556]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){On(d,1,424176,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?429048:428e3;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;On(d,0,422912,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}_d[c[3556]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){On(d,1,422320,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?429048:428e3;o=(a[q+(g*48|0)+40|0]|0)!=0?429048:428e3;q=(a[(c[k>>2]|0)+g|0]|0)!=0?429048:428e3;On(d,0,421656,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}_d[c[3556]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){On(d,1,420144,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;On(d,0,419152,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}_d[c[3556]&511](d)}_d[c[3556]&511](d);i=e;return}function Fq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((Jo(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];xS(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;xS(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;xS(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;xS(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(Jo(c[b>>2]|0)|0));return}function Gq(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function Hq(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];xS(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;xS(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;xS(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;xS(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function Iq(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=Eo(3,32)|0;c[f>>2]=g;if((g|0)==0){Sn(c[b+536>>2]|0,41e3,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=XR(c[k>>2]|0,8)|0;c[l>>2]=u;Rn(c[m>>2]|0,(u|0)!=0|0,39656,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=XR(c[n>>2]|0,4)|0;c[o>>2]=u;Rn(c[m>>2]|0,(u|0)!=0|0,39656,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=XR(c[p>>2]|0,1)|0;c[q>>2]=u;Rn(c[m>>2]|0,(u|0)!=0|0,39656,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=XR(c[r>>2]|0,4)|0;c[s>>2]=u;Rn(c[m>>2]|0,(u|0)!=0|0,39656,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Io(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=XR(3,4)|0;c[b+4>>2]=e;Ko(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=XR(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=XR(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=XR(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=XR(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=XR(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=XR(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=XR(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=XR(s,52)|0;c[b+40>>2]=XR(c[b+216>>2]|0,52)|0;c[b+44>>2]=XR(c[b+220>>2]|0,52)|0;c[b+48>>2]=XR(c[b+224>>2]|0,52)|0;c[b+52>>2]=XR(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=XR(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=XR(q,8)|0;c[b+340>>2]=XR(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=XR(q,8)|0;c[b+348>>2]=XR(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=XR(o,1)|0;c[b+356>>2]=XR(o,1)|0;c[b+360>>2]=XR(o,1)|0;o=VR(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=VR(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=XR(e,8)|0;c[b+388>>2]=XR(k,4)|0;c[b+392>>2]=XR(n,1)|0;c[b+396>>2]=XR(p,4)|0;c[b+400>>2]=XR(e,8)|0;c[b+404>>2]=XR(k,4)|0;c[b+408>>2]=XR(n,1)|0;c[b+412>>2]=XR(p,4)|0;c[b+416>>2]=XR(r,8)|0;c[b+420>>2]=XR(f,4)|0;c[b+424>>2]=XR(t,1)|0;c[b+428>>2]=XR(s,4)|0;c[b+432>>2]=XR(c[b+152>>2]|0,8)|0;c[b+436>>2]=XR(c[b+156>>2]|0,8)|0;s=VR((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;_d[c[(c[t>>2]|0)+20>>2]&511](s);s=VR((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;_d[c[(c[t>>2]|0)+16>>2]&511](s);s=VR((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;_d[c[(c[t>>2]|0)+12>>2]&511](s);s=VR((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;$d[c[(c[t>>2]|0)+24>>2]&255](s,b);c[b+464>>2]=VR((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=XR(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;Rn(c[m>>2]|0,(s|0)!=0|0,39144,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=XR(100,4)|0;c[b+520>>2]=XR(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=VR(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;Rn(c[m>>2]|0,(t|0)!=0|0,39656,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=Eo(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function Jq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;WR(c[f+8>>2]|0);WR(c[f+12>>2]|0);WR(c[f+16>>2]|0);WR(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);WR(e);Fo(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){ap(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}WR(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){ap(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}WR(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){ap(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}WR(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){ap(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}WR(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){ap(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}WR(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){ap(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}WR(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){ap(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}WR(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){ap(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}WR(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){ap(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}WR(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){ap(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}WR(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){ap(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}WR(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){ap(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}WR(t);WR(c[a+108>>2]|0);WR(c[a+336>>2]|0);WR(c[a+340>>2]|0);WR(c[a+344>>2]|0);WR(c[a+348>>2]|0);WR(c[a+352>>2]|0);WR(c[a+356>>2]|0);WR(c[a+360>>2]|0);WR(c[a+368>>2]|0);WR(c[a+384>>2]|0);WR(c[a+388>>2]|0);WR(c[a+392>>2]|0);WR(c[a+396>>2]|0);WR(c[a+400>>2]|0);WR(c[a+404>>2]|0);WR(c[a+408>>2]|0);WR(c[a+412>>2]|0);WR(c[a+416>>2]|0);WR(c[a+420>>2]|0);WR(c[a+424>>2]|0);WR(c[a+428>>2]|0);WR(c[a+488>>2]|0);WR(c[a+484>>2]|0);WR(c[a+476>>2]|0);WR(c[a+468>>2]|0);WR(c[a+464>>2]|0);WR(c[a+432>>2]|0);WR(c[a+436>>2]|0);WR(c[a+320>>2]|0);WR(c[a+516>>2]|0);WR(c[a+520>>2]|0);nF(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;WR(v);return}else{w=0;x=a}while(1){Fo(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;WR(v);return}function Kq(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;On(8,0,38776,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function Lq(a,b){a=+a;b=+b;return a<b|0}function Mq(a,b){a=+a;b=+b;return a<=b|0}function Nq(a,b){a=+a;b=+b;return a>=b|0}function Oq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=VR(j)|0;c[d+(g*40|0)+24>>2]=VR(j)|0;if((c[f>>2]|0)!=1){k=5;break}Rq(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){Sn(c[a+536>>2]|0,438136,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function Pq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){WR(c[d+(g*40|0)+20>>2]|0);WR(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;Sq(j)|0;WR(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){Sn(c[a+536>>2]|0,438136,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function Qq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[113225]|c[113292]|0)==0){w=1;x=v;break}lF(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Qn(17,1,436592,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;lF(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;lF(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Qn(17,0,424288,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;lF(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}_d[c[3556]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function Rq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=VR(20)|0;c[b>>2]=e;Rn(0,(e|0)!=0|0,438064,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=VR(a)|0;c[e+4>>2]=VR(a)|0;c[e+8>>2]=VR(a)|0;c[e+16>>2]=VR(a)|0;Rn(0,(c[b>>2]|0)!=0|0,436512,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Sq(a){a=a|0;var b=0;b=c[a>>2]|0;WR(c[b>>2]|0);WR(c[b+4>>2]|0);WR(c[b+8>>2]|0);WR(c[b+16>>2]|0);return 0}function Tq(a,b){a=a|0;b=b|0;Sn(c[a+536>>2]|0,437792,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Uq(a){a=a|0;Sn(0,437792,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Vq(a,b){a=a|0;b=b|0;Sn(c[a+536>>2]|0,437792,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Wq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=VR(k)|0;c[d+(g<<6)+36>>2]=VR(k)|0;l=c[f>>2]|0;if((l|0)==1){c[d+(g<<6)+32>>2]=VR(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;ar(h,d+(g<<6)+24|0)|0}else if((l|0)==2){c[d+(g<<6)+8>>2]=4;dr(h,h,j,d+(g<<6)+24|0)|0}else{m=6;break}j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{m=8;break}}if((m|0)==6){Sn(c[a+536>>2]|0,437760,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function Xq(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function Yq(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;mc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function Zq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){WR(c[d+(g<<6)+28>>2]|0);WR(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==1){br(d+(g<<6)+24|0)|0;WR(c[d+(g<<6)+32>>2]|0)}else if((h|0)==2){er(d+(g<<6)+24|0)|0}else{j=6;break}WR(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){Sn(c[a+536>>2]|0,437760,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function _q(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=c[b+476>>2]|0;g=c[b+292>>2]|0;if((g|0)==1){h=(cr(b,d)|0)&255;j=f+(d<<6)+56|0;a[j]=h;i=e;return 0}else if((g|0)==2){h=(fr(b,d)|0)&255;j=f+(d<<6)+56|0;a[j]=h;i=e;return 0}else{Sn(c[b+536>>2]|0,437760,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;return 0}return 0}function $q(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[113223]|c[113292]|0)==0){w=1;x=v;break}lF(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Qn(15,1,436480,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;lF(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;lF(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Qn(15,0,424280,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;lF(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}_d[c[3556]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function ar(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=VR(12)|0;f=VR(a<<2)|0;c[e>>2]=f;Rn(0,(f|0)!=0|0,437656,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function br(a){a=a|0;WR(c[c[a>>2]>>2]|0);return 0}function cr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=i;i=i+20480|0;f=e|0;g=e+16384|0;j=c[b+476>>2]|0;k=j+(d<<6)|0;l=c[j+(d<<6)+24>>2]|0;m=j+(d<<6)+16|0;n=c[m>>2]|0;o=j+(d<<6)+32|0;yS(c[o>>2]|0,0,ga(n<<3,n)|0)|0;p=b;q=k;$d[c[k>>2]&255](p,q);$d[c[j+(d<<6)+4>>2]&255](p,q);if((c[113224]|0)!=0){On(16,1,436456,(r=i,i=i+16|0,c[r>>2]=n,c[r+8>>2]=n,r)|0);i=r;q=(n|0)>0;do{if(q){p=f|0;k=0;do{a[p]=0;s=0;do{t=(ga(s,n)|0)+k|0;u=+h[(c[o>>2]|0)+(t<<3)>>3];Rb(p|0,424264,(r=i,i=i+16|0,c[r>>2]=p,h[r+8>>3]=u,r)|0)|0;i=r;s=s+1|0;}while((s|0)<(n|0));On(16,0,415512,(r=i,i=i+8|0,c[r>>2]=p,r)|0);i=r;k=k+1|0;}while((k|0)<(n|0));On(16,1,41104,(r=i,i=i+8|0,c[r>>2]=n,r)|0);i=r;if(!q){break}k=f|0;p=j+(d<<6)+36|0;s=0;do{a[k]=0;u=+h[(c[p>>2]|0)+(s<<3)>>3];Rb(k|0,424264,(r=i,i=i+16|0,c[r>>2]=k,h[r+8>>3]=u,r)|0)|0;i=r;On(16,0,415512,(r=i,i=i+8|0,c[r>>2]=k,r)|0);i=r;s=s+1|0;}while((s|0)<(n|0))}else{On(16,1,41104,(r=i,i=i+8|0,c[r>>2]=n,r)|0);i=r}}while(0);_d[c[3556]&511](16)}n=j+(d<<6)+36|0;f=l+8|0;Fi(m,l+4|0,c[o>>2]|0,m,c[l>>2]|0,c[n>>2]|0,m,f)|0;l=c[f>>2]|0;if((l|0)<0){u=+h[c[c[b+4>>2]>>2]>>3];Qn(1,0,36168,(r=i,i=i+24|0,c[r>>2]=c[j+(d<<6)+20>>2],h[r+8>>3]=u,c[r+16>>2]=l,r)|0);i=r;v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;xS(y|0,A|0,C)|0;i=e;return v|0}if((l|0)<=0){v=1;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;xS(y|0,A|0,C)|0;i=e;return v|0}u=+h[c[c[b+4>>2]>>2]>>3];b=l+1|0;Qn(1,0,32472,(r=i,i=i+32|0,c[r>>2]=c[j+(d<<6)+20>>2],h[r+8>>3]=u,c[r+16>>2]=b,c[r+24>>2]=b,r)|0);i=r;if((c[113223]|0)==0){v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;xS(y|0,A|0,C)|0;i=e;return v|0}b=(c[m>>2]|0)>0;l=g|0;a[l]=0;if(b){b=0;do{g=c[m>>2]|0;if((g|0)>0){f=0;q=g;while(1){s=(ga(q,f)|0)+b|0;u=+h[(c[o>>2]|0)+(s<<3)>>3];Rb(l|0,26016,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;s=f+1|0;k=c[m>>2]|0;if((s|0)<(k|0)){f=s;q=k}else{D=k;break}}}else{D=g}b=b+1|0;a[l]=0}while((b|0)<(D|0))}if((c[m>>2]|0)>0){D=0;do{u=+h[(c[n>>2]|0)+(D<<3)>>3];Rb(l|0,26016,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;D=D+1|0;}while((D|0)<(c[m>>2]|0))}a[l]=0;if((c[m>>2]|0)>0){E=0}else{v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;xS(y|0,A|0,C)|0;i=e;return v|0}while(1){u=+h[(c[n>>2]|0)+(E<<3)>>3];Rb(l|0,26016,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;D=E+1|0;if((D|0)<(c[m>>2]|0)){E=D}else{v=0;break}}w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;xS(y|0,A|0,C)|0;i=e;return v|0}function dr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=VR(32)|0;Rn(0,(g|0)!=0|0,437480,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;gc(0,d|0)|0;Pd(c[d>>2]|0,c[b>>2]|0,0)|0;gc(0,g+4|0)|0;Pd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ua(b|0)|0;Ud(436440,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function er(a){a=a|0;var b=0;b=c[a>>2]|0;bd(c[b+12>>2]|0)|0;dc(c[b+8>>2]|0)|0;dc(c[b+4>>2]|0)|0;return 0}function fr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0;d=c[a+476>>2]|0;e=d+(b<<6)|0;f=c[d+(b<<6)+24>>2]|0;g=f;Uc(c[g>>2]|0)|0;Oc(0,g|0)|0;i=f+24|0;Xc(c[g>>2]|0,c[i>>2]|0,0)|0;j=a;a=e;$d[c[e>>2]&255](j,a);Nd(c[g>>2]|0,1)|0;fd(c[g>>2]|0)|0;$d[c[d+(b<<6)+4>>2]&255](j,a);if((c[i>>2]|0)>0){a=d+(b<<6)+36|0;j=f+8|0;e=0;while(1){yc(0,e|0,+(+h[(c[a>>2]|0)+(e<<3)>>3]),c[j>>2]|0)|0;k=e+1|0;if((k|0)<(c[i>>2]|0)){e=k}else{l=j;break}}}else{l=f+8|0}j=f+4|0;e=(Ec(c[g>>2]|0,c[l>>2]|0,c[j>>2]|0,c[f+12>>2]|0)|0)==0|0;tc(c[j>>2]|0,0,c[f+20>>2]|0,c[d+(b<<6)+28>>2]|0)|0;Uc(c[g>>2]|0)|0;return e|0}function gr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;Rn(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,23712,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){Rn(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,439400,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((be[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=VR(n)|0;c[d+(j*80|0)+52>>2]=VR(n)|0;c[d+(j*80|0)+48>>2]=VR(n)|0;c[d+(j*80|0)+16>>2]=VR(n)|0;c[d+(j*80|0)+8>>2]=VR(n)|0;c[d+(j*80|0)+12>>2]=VR(n)|0;$d[c[d+(j*80|0)+36>>2]&255](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){tr(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==3){tr(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==1){lr(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==2){Tq(a,k)|0;break}else{o=12;break a}}}while(0);k=j+1|0;if((k|0)<(c[e>>2]|0)){j=k}else{o=14;break}}if((o|0)==12){Sn(c[f>>2]|0,436352,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function hr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;WR(c[d+(g*80|0)+44>>2]|0);WR(c[d+(g*80|0)+52>>2]|0);WR(c[d+(g*80|0)+48>>2]|0);WR(c[d+(g*80|0)+16>>2]|0);WR(c[d+(g*80|0)+8>>2]|0);WR(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;ur(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==3){l=d+(g*80|0)+40|0;ur(l)|0;k=l;break}else if((j|0)==2){Uq(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==1){j=d+(g*80|0)+40|0;mr(j)|0;k=j;break}else{m=9;break a}}}while(0);WR(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){Sn(c[a+536>>2]|0,436352,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function ir(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;f=c[b+468>>2]|0;c[b+472>>2]=d;g=b+319|0;a[g]=1;do{if((c[f+(d*80|0)+56>>2]|0)==1){h=(wr(b,d)|0)&255}else{j=c[b+300>>2]|0;if((j|0)==3){h=(wr(b,d)|0)&255;break}else if((j|0)==1){k=b+536|0;l=(c[k>>2]|0)+84|0;m=c[l>>2]|0;c[l>>2]=3;l=nr(b,d)|0;c[(c[k>>2]|0)+84>>2]=m;h=l&255;break}else if((j|0)==2){h=(Vq(b,d)|0)&255;break}else{Sn(c[b+536>>2]|0,436352,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;return 0}}}while(0);a[f+(d*80|0)+72|0]=h;a[g]=0;i=e;return 0}function jr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;lF(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];Pn(17,1,o,433720,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){lF(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;lF(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;Qn(17,0,427984,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;lF(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{Qn(17,1,431664,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;lF(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;lF(k,d,c[p>>2]|0);if((tS(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];Qn(17,0,430152,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;lF(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;Qn(17,0,429008,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}lF(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[113225]|c[113292]|0)==0){break}_d[c[3556]&511](17)}}while(0);if((c[113225]|c[113292]|0)==0){r=1;i=e;return r|0}_d[c[3556]&511](17);r=1;i=e;return r|0}function kr(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0.0,g=0.0,i=0.0;e=c[a+4>>2]|0;f=+h[c[e+4>>2]>>3];g=+h[c[e+8>>2]>>3];if(f==g){i=b;return+i}i=(b-d)*((+h[c[e>>2]>>3]-g)/(f-g))+d;return+i}function lr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=VR(144)|0;c[b>>2]=e;Rn(0,(e|0)!=0|0,437008,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=VR(g)|0;c[e+16>>2]=VR(g)|0;c[e+8>>2]=1;c[e+12>>2]=VR(g)|0;c[e+20>>2]=a;c[e+24>>2]=VR(g)|0;c[e+28>>2]=XR(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=VR(g)|0;c[e+68>>2]=VR(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=XR(j,8)|0;c[e+108>>2]=XR(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=VR(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=VR(g)|0;c[e+128>>2]=VR(g)|0;c[e+132>>2]=VR(g)|0;c[e+136>>2]=VR(g)|0;c[e+140>>2]=VR(g)|0;Rn(0,(c[b>>2]|0)!=0|0,436392,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function mr(a){a=a|0;var b=0;b=c[a>>2]|0;WR(c[b+4>>2]|0);WR(c[b+16>>2]|0);WR(c[b+12>>2]|0);WR(c[b+24>>2]|0);WR(c[b+28>>2]|0);WR(c[b+64>>2]|0);WR(c[b+68>>2]|0);WR(c[b+104>>2]|0);WR(c[b+108>>2]|0);WR(c[b+116>>2]|0);WR(c[b+124>>2]|0);WR(c[b+128>>2]|0);WR(c[b+132>>2]|0);WR(c[b+136>>2]|0);WR(c[b+140>>2]|0);return 0}function nr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0.0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;e=i;i=i+4200|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+32|0;m=e+56|0;n=e+80|0;o=e+4176|0;p=c[b+468>>2]|0;q=c[p+(d*80|0)+40>>2]|0;r=q;s=c[p+(d*80|0)+4>>2]|0;c[f>>2]=1;t=q+80|0;u=+h[t>>3];c[k>>2]=0;v=b+164|0;w=VR(c[v>>2]|0)|0;if((c[113225]|0)!=0){lF(l,b+56|0,s);x=+h[c[c[b+4>>2]>>2]>>3];On(17,1,424200,(y=i,i=i+16|0,c[y>>2]=c[l+8>>2],h[y+8>>3]=x,y)|0);i=y;l=q+20|0;if((c[l>>2]|0)>0){z=p+(d*80|0)+44|0;A=p+(d*80|0)+16|0;B=p+(d*80|0)+48|0;C=p+(d*80|0)+52|0;D=0;do{x=+h[(c[z>>2]|0)+(D<<3)>>3];On(17,1,415488,(y=i,i=i+16|0,c[y>>2]=D,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[B>>2]|0)+(D<<3)>>3];E=+h[(c[C>>2]|0)+(D<<3)>>3];On(17,0,41056,(y=i,i=i+24|0,h[y>>3]=+h[(c[A>>2]|0)+(D<<3)>>3],h[y+8>>3]=x,h[y+16>>3]=E,y)|0);i=y;_d[c[3556]&511](17);D=D+1|0;}while((D|0)<(c[l>>2]|0))}_d[c[3556]&511](17)}l=b+314|0;D=q+24|0;A=c[D>>2]|0;if((a[l]|0)==0){xS(A|0,c[p+(d*80|0)+52>>2]|0,c[q+20>>2]<<3)|0}else{xS(A|0,c[p+(d*80|0)+44>>2]|0,c[q+20>>2]<<3)|0}A=q+20|0;C=c[A>>2]|0;if((C|0)>0){B=c[D>>2]|0;z=c[p+(d*80|0)+16>>2]|0;F=c[q+12>>2]|0;G=0;do{E=+V(+(+h[B+(G<<3)>>3]));h[F+(G<<3)>>3]=+_b(+E,+(+h[z+(G<<3)>>3]));G=G+1|0;}while((G|0)<(C|0))}C=q+8|0;G=(c[C>>2]|0)!=0;if(G){c[C>>2]=0}z=q+28|0;F=q+104|0;B=q+112|0;H=b;or(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(G){c[C>>2]=1}G=b+318|0;I=q+32|0;J=q+40|0;K=q+64|0;L=q+72|0;M=q+88|0;N=q+92|0;O=q+96|0;P=q+100|0;Q=q+116|0;R=q+120|0;S=q+124|0;T=q+128|0;U=q+132|0;W=q+136|0;X=q+140|0;Y=b+56|0;Z=b+4|0;_=p+(d*80|0)+52|0;$=p+(d*80|0)+44|0;aa=p+(d*80|0)+48|0;ba=p+(d*80|0)+16|0;p=q+12|0;ca=b+356|0;da=q+4|0;ea=b+312|0;fa=q+16|0;ha=n|0;n=q+108|0;q=0;ia=0;ja=0;ka=0;la=1;E=1.0e-12;a:while(1){ma=c[A>>2]|0;if((ma|0)>0){na=c[D>>2]|0;oa=c[ba>>2]|0;pa=c[p>>2]|0;qa=0;do{x=+V(+(+h[na+(qa<<3)>>3]));h[pa+(qa<<3)>>3]=+_b(+x,+(+h[oa+(qa<<3)>>3]));qa=qa+1|0;}while((qa|0)<(ma|0))}if((c[113226]|0)!=0){pr(c[p>>2]|0,A,18,32424);pr(c[D>>2]|0,A,18,28840)}do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}qa=c[p>>2]|0;oa=c[D>>2]|0;pa=0;do{na=oa+(pa<<3)|0;h[na>>3]=1.0/+h[qa+(pa<<3)>>3]*+h[na>>3];pa=pa+1|0;}while((pa|0)<(ma|0))}}while(0);if((c[113226]|0)!=0){pr(c[D>>2]|0,A,18,25960)}a[G]=la;Gp(16,A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,I,J,c[K>>2]|0,L,t,M,N,O,P,c[Q>>2]|0,R,c[S>>2]|0,c[T>>2]|0,c[U>>2]|0,c[W>>2]|0,c[X>>2]|0,H,d)|0;a[G]=la^1;do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}pa=c[D>>2]|0;qa=c[p>>2]|0;oa=0;do{na=pa+(oa<<3)|0;h[na>>3]=+h[na>>3]*+h[qa+(oa<<3)>>3];oa=oa+1|0;}while((oa|0)<(ma|0))}}while(0);ma=c[N>>2]|0;if((ma|0)==0){lF(m,Y,s);$o(3,m,+h[c[c[Z>>2]>>2]>>3]);ra=c[N>>2]|0}else{ra=ma}do{if(!((ra|0)==-1)){if((a[l]|0)==0){sa=ra}else{if((c[C>>2]|0)==0){a[G]=0;or(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0}else{c[C>>2]=0;a[G]=0;or(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;c[C>>2]=1}uq(b);sa=c[N>>2]|0}if((sa|0)==-1){break}ma=c[A>>2]|0;if((ma|0)>0){oa=c[da>>2]|0;qa=c[z>>2]|0;pa=c[fa>>2]|0;na=0;ta=0;while(1){ua=oa+(ta<<3)|0;h[ua>>3]=1.0e-16;va=c[n>>2]|0;wa=(ma|0)>1?ma:1;xa=na;ya=0;x=1.0e-16;while(1){za=+V(+(+h[va+(xa<<3)>>3]));Aa=za>x?za:x;h[ua>>3]=Aa;Ba=ya+1|0;if((Ba|0)<(ma|0)){xa=xa+1|0;ya=Ba;x=Aa}else{break}}h[pa+(ta<<3)>>3]=+h[qa+(ta<<3)>>3]*(1.0/Aa);ya=ta+1|0;if((ya|0)<(ma|0)){na=na+wa|0;ta=ya}else{break}}}if((c[113226]|0)!=0){On(18,1,430112,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{x=+h[(c[fa>>2]|0)+(ta<<3)>>3];On(18,1,428976,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[da>>2]|0)+(ta<<3)>>3];On(18,0,427952,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;_d[c[3556]&511](18);ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}_d[c[3556]&511](18)}if((c[113227]|0)!=0){ta=c[A>>2]|0;On(19,1,427072,(y=i,i=i+16|0,c[y>>2]=ta,c[y+8>>2]=ta,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{a[ha]=0;na=c[A>>2]|0;if((na|0)>0){ma=0;qa=na;do{na=(ga(qa,ta)|0)+ma|0;x=+h[(c[n>>2]|0)+(na<<3)>>3];Rb(ha|0,426296,(y=i,i=i+16|0,c[y>>2]=ha,h[y+8>>3]=x,y)|0)|0;i=y;ma=ma+1|0;qa=c[A>>2]|0;}while((ma|0)<(qa|0))}On(19,0,425632,(y=i,i=i+8|0,c[y>>2]=ha,y)|0);i=y;ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}_d[c[3556]&511](19)}h[j>>3]=+Fp(A,c[fa>>2]|0);h[g>>3]=+Fp(A,c[z>>2]|0)}}while(0);do{if((ka|0)==0){Ca=0}else{if(!(+h[g>>3]>E)){Ca=ka;break}if(!(+h[j>>3]>E)){Ca=ka;break}xS(c[ca>>2]|0,w|0,c[v>>2]|0)|0;Ca=0}}while(0);ta=c[N>>2]|0;x=+h[g>>3];b:do{if((ta|0)<4){do{if(x>E){if(!(+h[j>>3]>E)){break}c[N>>2]=4;Da=4;break b}}while(0);if((ta|0)==1){Ea=68;break a}else{Da=ta}}else{Da=ta}}while(0);if(!(x>E)){Ea=68;break}if(!(+h[j>>3]>E)){Ea=68;break}ta=(Da-4|0)>>>0<2>>>0;c:do{if(ta&(q|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=+h[t>>3]/10.0;h[t>>3]=za;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}On(17,0,422248,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa}else{if(ta&(q|0)<4){qa=c[A>>2]|0;if((qa|0)>0){ma=c[ba>>2]|0;wa=c[D>>2]|0;na=0;do{pa=wa+(na<<3)|0;h[pa>>3]=+h[ma+(na<<3)>>3]*.1+ +h[pa>>3];na=na+1|0;}while((na|0)<(qa|0))}h[t>>3]=u;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}On(17,0,421592,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[aa>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;pa=0;do{za=+V(+(+h[na+(pa<<3)>>3]));h[wa+(pa<<3)>>3]=+_b(+za,+(+h[ma+(pa<<3)>>3]));pa=pa+1|0;}while((pa|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}On(17,0,420072,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<6){qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}if((c[C>>2]|0)!=0){c[C>>2]=0}qa=c[A>>2]|0;if((qa|0)>0){pa=c[D>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;na=0;do{za=+V(+(+h[pa+(na<<3)>>3]));h[wa+(na<<3)>>3]=+_b(+za,+(+h[ma+(na<<3)>>3]));na=na+1|0;}while((na|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}On(17,0,419088,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}do{if(ta&(q|0)<7){if((a[l]|0)==0){break}xS(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;qa=q+1|0;xS(w|0,c[ca>>2]|0,c[v>>2]|0)|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}On(17,0,418256,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}}while(0);if(ta&(ia|0)<1){xS(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;if((c[C>>2]|0)==0){c[C>>2]=1}h[t>>3]=u;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}On(17,0,417400,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<2){qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[D>>2]|0;ma=0;do{wa=na+(ma<<3)|0;h[wa>>3]=+h[wa>>3]*1.01;ma=ma+1|0;}while((ma|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}On(17,0,416832,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){ma=c[D>>2]|0;na=0;do{wa=ma+(na<<3)|0;h[wa>>3]=+h[wa>>3]*.99;na=na+1|0;}while((na|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}On(17,0,416160,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<4){xS(c[D>>2]|0,c[ba>>2]|0,c[A>>2]<<3)|0;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}On(17,0,415416,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[da>>2]|0;ma=c[K>>2]|0;wa=0;do{za=+V(+(+h[na+(wa<<3)>>3]));h[ma+(wa<<3)>>3]=za>1.0e-16?za:1.0e-16;wa=wa+1|0;}while((wa|0)<(qa|0))}qa=ia+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}On(17,0,413952,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(!(ta&(ja|0)<1)){if(!(ta&(ja|0)<6)){Ea=161;break a}qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=E*10.0;h[t>>3]=u;c[L>>2]=1;qa=ja+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}On(17,0,412216,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;qr(r,k,g,j,18);Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}qa=c[D>>2]|0;if((a[l]|0)==0){xS(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{xS(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){wa=c[K>>2]|0;ma=0;do{h[wa+(ma<<3)>>3]=1.0;ma=ma+1|0;}while((ma|0)<(qa|0))}c[C>>2]=1;qa=ja+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}On(17,0,413e3,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;qr(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0}}while(0);if(1){q=Ka;ia=Ja;ja=Ia;ka=Ha;la=Ga;E=Fa}else{La=0;Ea=167;break}}if((Ea|0)==68){c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[113225]|0)!=0){On(17,1,424880,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;On(17,0,424152,(y=i,i=i+16|0,c[y>>2]=q,c[y+8>>2]=ja+ia,y)|0);i=y;_d[c[3556]&511](17);qr(r,k,g,j,17)}O=(c[C>>2]|0)!=0;if(O){c[C>>2]=0;Ma=O}else{Ma=0}xS(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;or(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(!Ma){La=1;h[t>>3]=u;c[L>>2]=1;WR(w);i=e;return La|0}c[C>>2]=1;La=1;h[t>>3]=u;c[L>>2]=1;WR(w);i=e;return La|0}else if((Ea|0)==161){if(!((Da-2|0)>>>0<4>>>0)){La=0;h[t>>3]=u;c[L>>2]=1;WR(w);i=e;return La|0}if((a[ea]|0)==0){lF(o,Y,s);$o(0,o,+h[c[c[Z>>2]>>2]>>3])}if((c[113225]|0)!=0){Z=ga(ga(ia,q)|0,ja)|0;On(17,0,411376,(y=i,i=i+8|0,c[y>>2]=Z,y)|0);i=y;qr(r,k,g,j,17)}xS(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;La=0;h[t>>3]=u;c[L>>2]=1;WR(w);i=e;return La|0}else if((Ea|0)==167){h[t>>3]=u;c[L>>2]=1;WR(w);i=e;return La|0}return 0}function or(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;g=i;i=i+16384|0;m=g|0;n=k;o=c[k+468>>2]|0;p=c[o+(l*80|0)+40>>2]|0;q=k+318|0;r=c[j>>2]|0;if((r|0)==2){s=(a[q]|0)!=0;if(s){a[q]=0}if((c[113228]|0)!=0){On(20,0,37200,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t}if((c[o+(l*80|0)+28>>2]|0)==-1){sr(n,f,d,e,l)}else{rr(n,f,l)}do{if((c[113228]|0)!=0){On(20,0,36944,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[113227]|0)==0){break}n=c[b>>2]|0;On(19,1,427072,(t=i,i=i+16|0,c[t>>2]=n,c[t+8>>2]=n,t)|0);i=t;n=c[b>>2]|0;if((n|0)>0){u=m|0;v=p+20|0;w=0;x=n;do{a[u]=0;if((x|0)>0){n=0;do{y=+h[f+((ga(c[v>>2]|0,w)|0)+n<<3)>>3];Rb(u|0,36504,(t=i,i=i+16|0,c[t>>2]=u,h[t+8>>3]=y,t)|0)|0;i=t;n=n+1|0;}while((n|0)<(c[b>>2]|0))}On(19,0,425632,(t=i,i=i+8|0,c[t>>2]=u,t)|0);i=t;w=w+1|0;x=c[b>>2]|0;}while((w|0)<(x|0))}_d[c[3556]&511](19)}}while(0);if(!s){i=g;return 0}a[q]=1;i=g;return 0}else if((r|0)==1){q=p+8|0;do{if((c[q>>2]|0)!=0){s=c[b>>2]|0;if((s|0)<=0){break}f=c[p+12>>2]|0;m=0;do{x=d+(m<<3)|0;h[x>>3]=+h[x>>3]*+h[f+(m<<3)>>3];m=m+1|0;}while((m|0)<(s|0))}}while(0);if((c[113228]|0)!=0){On(20,0,38744,(t=i,i=i+8|0,c[t>>2]=c[p+96>>2],t)|0);i=t;pr(d,b,20,38392)}te[c[o+(l*80|0)+32>>2]&63](k,d,e,j);if((c[113228]|0)!=0){pr(e,b,20,37944);On(20,0,37560,(t=i,i=i+8|0,c[t>>2]=c[p+96>>2],t)|0);i=t}if((c[q>>2]|0)==0){i=g;return 0}q=c[b>>2]|0;if((q|0)<=0){i=g;return 0}b=c[p+12>>2]|0;p=0;do{e=d+(p<<3)|0;h[e>>3]=1.0/+h[b+(p<<3)>>3]*+h[e>>3];p=p+1|0;}while((p|0)<(q|0));i=g;return 0}else{Sn(c[k+536>>2]|0,36064,(t=i,i=i+8|0,c[t>>2]=r,t)|0);i=t;return 0}return 0}function pr(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0;f=i;if((c[452832+(d<<2)>>2]|0)==0){i=f;return}On(d,1,425632,(g=i,i=i+8|0,c[g>>2]=e,g)|0);i=g;if((c[b>>2]|0)>0){e=0;do{j=+h[a+(e<<3)>>3];On(d,0,39128,(g=i,i=i+16|0,c[g>>2]=e,h[g+8>>3]=j,g)|0);i=g;e=e+1|0;}while((e|0)<(c[b>>2]|0))}_d[c[3556]&511](d);i=f;return}function qr(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0;g=i;if((c[452832+(f<<2)>>2]|0)==0){i=g;return}On(f,1,410472,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;On(f,1,409800,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;k=a+20|0;if((c[k>>2]|0)>0){l=a+24|0;m=a+64|0;n=0;do{o=+h[(c[l>>2]|0)+(n<<3)>>3];p=+h[(c[m>>2]|0)+(n<<3)>>3];On(f,0,342968,(j=i,i=i+24|0,c[j>>2]=n,h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;n=n+1|0;}while((n|0)<(c[k>>2]|0))}_d[c[3556]&511](f);On(f,1,42368,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[k>>2]|0)>0){n=a+28|0;m=a+4|0;a=0;do{p=+h[(c[n>>2]|0)+(a<<3)>>3];o=+h[(c[m>>2]|0)+(a<<3)>>3];On(f,0,41704,(j=i,i=i+24|0,c[j>>2]=a,h[j+8>>3]=p,h[j+16>>3]=o,j)|0);i=j;a=a+1|0;}while((a|0)<(c[k>>2]|0))}_d[c[3556]&511](f);On(f,1,40984,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;o=+h[d>>3];p=+h[e>>3];On(f,0,39608,(j=i,i=i+24|0,c[j>>2]=c[b>>2],h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;_d[c[3556]&511](f);_d[c[3556]&511](f);i=g;return}function rr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+40>>2]|0;g=c[e+(d*80|0)+28>>2]|0;i=f+20|0;j=c[i>>2]|0;yS(b|0,0,ga(j<<3,j)|0)|0;j=f+108|0;f=c[i>>2]|0;yS(c[j>>2]|0,0,ga(f<<3,f)|0)|0;f=a+464|0;i=c[f>>2]|0;if((c[i+(g*44|0)+24>>2]|0)==0){return}k=e+(d*80|0)+20|0;d=a;a=0;e=i;l=c[i+(g*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[e+(g*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(g*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}be[c[k>>2]&255](d)|0;e=c[f>>2]|0;l=c[e+(g*44|0)>>2]|0;if((l|0)!=0){i=c[e+(g*44|0)+20>>2]|0;m=c[e+(g*44|0)+28>>2]|0;n=0;do{o=m+(n<<3)|0;do{if(+h[o>>3]==1.0){if((n|0)==0){p=0;q=e+(g*44|0)+8|0}else{r=e+(g*44|0)+8|0;p=c[(c[r>>2]|0)+(n-1<<2)>>2]|0;q=r}r=c[(c[q>>2]|0)+(n<<2)>>2]|0;if(!(p>>>0<r>>>0)){break}s=c[j>>2]|0;t=c[e+(g*44|0)+12>>2]|0;u=c[e+(g*44|0)+4>>2]|0;v=c[e+(g*44|0)+36>>2]|0;w=p;do{x=c[t+(w<<2)>>2]|0;y=(ga(u,n)|0)+x|0;z=+h[v+(x<<3)>>3];h[b+(y<<3)>>3]=z;h[s+(y<<3)>>3]=z;w=w+1|0;}while(w>>>0<r>>>0)}}while(0);if(((c[i+(n<<2)>>2]|0)-1|0)==(a|0)){h[o>>3]=0.0}n=n+1|0;}while(n>>>0<l>>>0)}a=a+1|0;}while(a>>>0<(c[e+(g*44|0)+24>>2]|0)>>>0);return}function sr(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0;g=i;i=i+8|0;j=g|0;k=c[(c[a+468>>2]|0)+(f*80|0)+40>>2]|0;l=k+56|0;m=+h[l>>3];n=+W(m);c[j>>2]=1;o=k+20|0;if((c[o>>2]|0)<=0){i=g;return}p=k+128|0;q=k+108|0;r=k+112|0;k=a;a=0;s=m;while(1){m=+h[e+(a<<3)>>3];t=s*m;u=d+(a<<3)|0;v=+h[u>>3];if(v<0.0){w=-0.0-v}else{w=v}if(t<0.0){x=-0.0-t}else{x=t}t=+_b(+(n*+_b(+w,+x)),+n);if(m<0.0){y=-0.0-t}else{y=t}t=y+v-v;m=1.0/t;h[u>>3]=v+t;or(o,d,c[p>>2]|0,c[q>>2]|0,r,j,k,f)|0;z=c[o>>2]|0;if((z|0)>0){A=c[p>>2]|0;B=c[q>>2]|0;C=0;do{D=(ga(z,a)|0)+C|0;t=m*(+h[A+(C<<3)>>3]- +h[e+(C<<3)>>3]);h[b+(D<<3)>>3]=t;h[B+(D<<3)>>3]=t;C=C+1|0;}while((C|0)<(z|0))}h[u>>3]=v;C=a+1|0;if((C|0)>=(z|0)){break}a=C;s=+h[l>>3]}i=g;return}function tr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=VR(80)|0;c[b>>2]=e;Rn(0,(e|0)!=0|0,434832,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=VR(g)|0;c[e+8>>2]=VR(g)|0;c[e+12>>2]=a;c[e+16>>2]=VR(g)|0;c[e+20>>2]=XR(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=VR(ga(g,a)|0)|0;c[e+68>>2]=VR(g)|0;c[e+72>>2]=VR(a<<2)|0;Rn(0,(c[b>>2]|0)!=0|0,436080,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function ur(a){a=a|0;var b=0;b=c[a>>2]|0;WR(c[b+4>>2]|0);WR(c[b+8>>2]|0);WR(c[b+16>>2]|0);WR(c[b+20>>2]|0);WR(c[b+64>>2]|0);WR(c[b+68>>2]|0);WR(c[b+72>>2]|0);return 0}function vr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+28>>2]|0;g=c[(c[e+(d*80|0)+40>>2]|0)+12>>2]|0;yS(b|0,0,ga(g<<3,g)|0)|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return 0}j=e+(d*80|0)+20|0;d=a;a=0;e=i;k=c[i+(f*44|0)>>2]|0;do{if((k|0)!=0){i=0;do{if(((c[(c[e+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<k>>>0)}be[c[j>>2]&255](d)|0;e=c[g>>2]|0;k=c[e+(f*44|0)>>2]|0;if((k|0)!=0){i=c[e+(f*44|0)+20>>2]|0;l=c[e+(f*44|0)+28>>2]|0;m=0;do{n=l+(m<<3)|0;do{if(+h[n>>3]==1.0){if((m|0)==0){o=0;p=e+(f*44|0)+8|0}else{q=e+(f*44|0)+8|0;o=c[(c[q>>2]|0)+(m-1<<2)>>2]|0;p=q}q=c[(c[p>>2]|0)+(m<<2)>>2]|0;if(!(o>>>0<q>>>0)){break}r=c[e+(f*44|0)+12>>2]|0;s=c[e+(f*44|0)+4>>2]|0;t=c[e+(f*44|0)+36>>2]|0;u=o;do{v=c[r+(u<<2)>>2]|0;w=(ga(s,m)|0)+v|0;h[b+(w<<3)>>3]=+h[t+(v<<3)>>3];u=u+1|0;}while(u>>>0<q>>>0)}}while(0);if(((c[i+(m<<2)>>2]|0)-1|0)==(a|0)){h[n>>3]=0.0}m=m+1|0;}while(m>>>0<k>>>0)}a=a+1|0;}while(a>>>0<(c[e+(f*44|0)+24>>2]|0)>>>0);return 0}function wr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;l=c[b+468>>2]|0;m=c[l+(d*80|0)+40>>2]|0;n=c[l+(d*80|0)+4>>2]|0;o=m+40|0;c[o>>2]=0;p=m+16|0;q=l+(d*80|0)+52|0;r=m+12|0;xS(c[p>>2]|0,c[q>>2]|0,c[r>>2]<<3)|0;s=b+56|0;if((c[113225]|0)==0){t=b+4|0}else{lF(f,s,n);u=b+4|0;v=+h[c[c[u>>2]>>2]>>3];On(17,1,424024,(w=i,i=i+16|0,c[w>>2]=c[f+8>>2],h[w+8>>3]=v,w)|0);i=w;if((c[r>>2]|0)>0){f=l+(d*80|0)+44|0;x=l+(d*80|0)+16|0;y=l+(d*80|0)+48|0;z=0;do{v=+h[(c[f>>2]|0)+(z<<3)>>3];On(17,1,415328,(w=i,i=i+16|0,c[w>>2]=z,h[w+8>>3]=v,w)|0);i=w;v=+h[(c[y>>2]|0)+(z<<3)>>3];A=+h[(c[q>>2]|0)+(z<<3)>>3];On(17,0,40912,(w=i,i=i+24|0,h[w>>3]=+h[(c[x>>2]|0)+(z<<3)>>3],h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;_d[c[3556]&511](17);z=z+1|0;}while((z|0)<(c[r>>2]|0))}_d[c[3556]&511](17);t=u}u=b+318|0;z=m+20|0;x=m+24|0;q=m+56|0;y=m+44|0;f=m+64|0;B=m+68|0;C=m+72|0;D=m+48|0;E=b;b=m+4|0;F=m+32|0;m=l+(d*80|0)+48|0;G=l+(d*80|0)+16|0;H=0;I=0;a:while(1){a[u]=1;J=c[p>>2]|0;K=c[z>>2]|0;L=c[f>>2]|0;M=c[B>>2]|0;N=c[C>>2]|0;xr(r,J,K,(c[k>>2]=c[x>>2],c[k+4>>2]=c[x+4>>2],+h[k>>3]),q,c[y>>2]|0,o,L,M,N,D,E,d);a[u]=0;if((c[D>>2]|0)==0){lF(g,s,n);$o(3,g,+h[c[c[t>>2]>>2]>>3])}O=+Fp(r,c[b>>2]|0);P=+Fp(r,c[z>>2]|0);A=+h[F>>3];if(!(P>A&O>A)){if((c[D>>2]|0)>0){Q=12;break}}do{if((I|0)<1){xS(c[p>>2]|0,c[m>>2]|0,c[r>>2]<<3)|0;N=c[o>>2]|0;On(17,0,25888,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}else{if((I|0)<2){N=c[r>>2]|0;if((N|0)>0){M=c[G>>2]|0;L=c[p>>2]|0;K=0;do{J=L+(K<<3)|0;h[J>>3]=+h[M+(K<<3)>>3]*.01+ +h[J>>3];K=K+1|0;}while((K|0)<(N|0))}N=c[o>>2]|0;On(17,0,23616,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N;break}if((I|0)>=3){Q=28;break a}N=c[r>>2]|0;if((N|0)>0){K=c[G>>2]|0;M=c[p>>2]|0;L=0;do{h[M+(L<<3)>>3]=+h[K+(L<<3)>>3];L=L+1|0;}while((L|0)<(N|0))}N=c[o>>2]|0;On(17,0,439320,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}}while(0);if(1){H=R+H|0;I=I+1|0}else{S=0;break}}do{if((Q|0)==12){if((c[113225]|0)==0){S=1;break}R=(c[o>>2]|0)+H|0;On(17,0,35984,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;On(17,0,32344,(w=i,i=i+24|0,c[w>>2]=R,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[r>>2]|0)>0){T=0}else{S=1;break}while(1){A=+h[(c[p>>2]|0)+(T<<3)>>3];v=+h[(c[z>>2]|0)+(T<<3)>>3];On(17,0,28784,(w=i,i=i+24|0,c[w>>2]=T,h[w+8>>3]=A,h[w+16>>3]=v,w)|0);i=w;R=T+1|0;if((R|0)<(c[r>>2]|0)){T=R}else{S=1;break}}}else if((Q|0)==28){lF(j,s,n);$o(0,j,+h[c[c[t>>2]>>2]>>3]);if((c[113225]|0)==0){S=0;break}On(17,0,436280,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;On(17,0,32344,(w=i,i=i+24|0,c[w>>2]=H,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[113225]|0)==0){S=0;break}if((c[r>>2]|0)>0){U=0}else{S=0;break}while(1){v=+h[(c[p>>2]|0)+(U<<3)>>3];A=+h[(c[z>>2]|0)+(U<<3)>>3];On(17,0,28784,(w=i,i=i+24|0,c[w>>2]=U,h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;R=U+1|0;if((R|0)<(c[r>>2]|0)){U=R}else{S=0;break}}}}while(0);if((c[113225]|0)==0){V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;xS(X|0,Z|0,$)|0;i=e;return S|0}_d[c[3556]&511](17);V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;xS(X|0,Z|0,$)|0;i=e;return S|0}function xr(b,d,e,f,g,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=+f;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0;r=i;i=i+4120|0;s=r|0;t=r+8|0;u=r+16|0;v=r+24|0;w=p;x=c[p+468>>2]|0;y=c[x+(q*80|0)+40>>2]|0;z=+h[y+32>>3];c[t>>2]=1;c[u>>2]=1;do{if((c[113226]|0)!=0){On(18,0,433608,(A=i,i=i+8|0,c[A>>2]=j,A)|0);i=A;if((c[b>>2]|0)>0){B=0}else{break}do{C=+h[d+(B<<3)>>3];On(18,0,431640,(A=i,i=i+16|0,c[A>>2]=B,h[A+8>>3]=C,A)|0);i=A;B=B+1|0;}while((B|0)<(c[b>>2]|0))}}while(0);c[o>>2]=1;B=x+(q*80|0)+28|0;x=y+12|0;D=v|0;v=y+8|0;E=y+4|0;F=y+20|0;G=y+64|0;y=j;a:while(1){yr(d,e,s,p,q)|0;c[k>>2]=(c[k>>2]|0)+1;if((c[B>>2]|0)==-1){zr(b,d,e,l,+h[g>>3],s,m,p,q);c[k>>2]=(c[b>>2]|0)+(c[k>>2]|0)}else{vr(w,l,q)|0}if((c[113227]|0)!=0){j=c[b>>2]|0;On(19,1,427928,(A=i,i=i+16|0,c[A>>2]=j,c[A+8>>2]=j,A)|0);i=A;if((c[x>>2]|0)>0){j=0;do{a[D]=0;if((c[x>>2]|0)>0){H=0;do{C=+h[l+((ga(c[b>>2]|0,j)|0)+H<<3)>>3];Rb(D|0,427064,(A=i,i=i+16|0,c[A>>2]=D,h[A+8>>3]=C,A)|0)|0;i=A;H=H+1|0;}while((H|0)<(c[x>>2]|0))}On(19,0,426288,(A=i,i=i+8|0,c[A>>2]=D,A)|0);i=A;j=j+1|0;}while((j|0)<(c[x>>2]|0))}_d[c[3556]&511](19)}j=c[x>>2]|0;if((j|0)>0){H=c[E>>2]|0;I=c[F>>2]|0;J=c[v>>2]|0;K=0;L=0;while(1){M=H+(K<<3)|0;h[M>>3]=1.0e-16;N=c[G>>2]|0;O=(j|0)>1?j:1;P=0;Q=L;C=1.0e-16;while(1){R=+V(+(+h[N+(Q<<3)>>3]));S=R>C?R:C;h[M>>3]=S;T=P+1|0;if((T|0)<(j|0)){P=T;Q=Q+1|0;C=S}else{break}}h[J+(K<<3)>>3]=+h[I+(K<<3)>>3]*(1.0/S);Q=K+1|0;if((Q|0)<(j|0)){K=Q;L=L+O|0}else{U=J;break}}}else{U=c[v>>2]|0}C=+Fp(b,U);if(!(C>z&+Fp(b,e)>z)){W=31;break}Fi(b,t,l,b,n,e,b,u)|0;J=c[u>>2]|0;do{if((J|0)>0){c[o>>2]=-1;Qn(17,0,422216,(A=i,i=i+1|0,i=i+7&-8,c[A>>2]=0,A)|0);i=A}else{if((J|0)<0){c[o>>2]=-1;Qn(17,0,421560,(A=i,i=i+8|0,c[A>>2]=J,A)|0);i=A;break}L=c[b>>2]|0;if((L|0)>0){K=0;do{j=d+(K<<3)|0;h[j>>3]=+h[j>>3]- +h[e+(K<<3)>>3];K=K+1|0;}while((K|0)<(L|0))}if(!(+Fp(b,e)>f)){W=31;break a}}}while(0);J=y-1|0;if((J|0)<0){W=30;break}if((c[o>>2]|0)>-1){y=J}else{W=31;break}}if((W|0)==30){c[o>>2]=-1;i=r;return}else if((W|0)==31){i=r;return}}function yr(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;te[c[(c[e+468>>2]|0)+(f*80|0)+32>>2]&63](e,a,b,d);return 0}function zr(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0;l=+W(f);if((c[a>>2]|0)<=0){return}m=(c[(c[j+468>>2]|0)+(k*80|0)+56>>2]|0)==0;n=0;do{f=+h[b+(n<<3)>>3];if(m){if(f<0.0){o=-0.0-f}else{o=f}p=l*+_b(+1.0,+o);if(+h[d+(n<<3)>>3]<0.0){q=-0.0-p}else{q=p}r=q+f-f}else{r=1.0}s=b+(n<<3)|0;h[s>>3]=r+f;p=1.0/r;yr(b,i,g,j,k)|0;t=c[a>>2]|0;if((t|0)>0){u=0;do{v=(ga(t,n)|0)+u|0;h[e+(v<<3)>>3]=p*(+h[i+(u<<3)>>3]- +h[d+(u<<3)>>3]);u=u+1|0;}while((u|0)<(t|0))}h[s>>3]=f;n=n+1|0;}while((n|0)<(t|0));return}function Ar(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+24>>2]|0;if((d|0)==1){e=c[a+4>>2]|0;f=c[e+4>>2]|0;Cr(c[e>>2]|0,+h[f>>3],c[f+8>>2]|0,c[a+112>>2]|0,b);g=0;return g|0}else if((d|0)==3){g=Xp(a,b)|0;return g|0}else if((d|0)==2){Br(a,b);g=0;return g|0}else if((d|0)==4){he[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];g=0;return g|0}else{g=1;return g|0}return 0}function Br(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8072+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8072+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];be[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function Cr(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function Dr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=Vn(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==4){g=c[115582]|0;j=VR(g<<2)|0;c[113192]=j;if((g|0)<=0){k=0;break}l=c[b+116>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=XR(l,8)|0;j=m+1|0;if((j|0)>=(g|0)){k=0;break a}m=j;n=c[113192]|0}}else if((f|0)==2){n=VR(8)|0;c[n+4>>2]=4;m=VR(20)|0;g=n;c[g>>2]=m;l=c[b+112>>2]|0;j=0;o=m;while(1){c[o+(j<<2)>>2]=XR(l,8)|0;m=j+1|0;if((m|0)>=5){break}j=m;o=c[g>>2]|0}c[d+48>>2]=n;k=0}else if((f|0)==3){g=VR(88)|0;On(23,0,434648,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;o=Vp(b,d,g)|0;c[d+48>>2]=g;k=o}else{k=0}}while(0);Qr(b)|0;if((c[115512]|0)==0){i=e;return k|0}Yo(6);Vo(1);i=e;return k|0}function Er(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=c[b+24>>2]|0;if((d|0)==2){e=b+48|0;f=c[e>>2]|0;g=c[f>>2]|0;if(((c[f+4>>2]|0)+1|0)>0){f=0;h=g;while(1){WR(c[h+(f<<2)>>2]|0);i=f+1|0;j=c[e>>2]|0;k=c[j>>2]|0;if((i|0)<((c[j+4>>2]|0)+1|0)){f=i;h=k}else{l=k;break}}}else{l=g}WR(l);WR(c[e>>2]|0)}else if((d|0)==4){e=c[115582]|0;l=c[113192]|0;if((e|0)>0){g=0;h=l;while(1){WR(c[h+(g<<2)>>2]|0);f=g+1|0;k=c[113192]|0;if((f|0)<(e|0)){g=f;h=k}else{m=k;break}}}else{m=l}WR(m)}else if((d|0)==3){Wp(c[b+48>>2]|0)|0}Rr(a)|0;Lr(a);return 0}function Fr(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(268,a|0);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(76,a|0);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=zS(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Da(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(14,1,0,435824,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(28,2,0,423928,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(28,23,0,415144,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[115512]|0)==0){k=8;break}else{k=7;break};case 7:pa(310,1);if((x|0)!=0&(y|0)!=0){l=AS(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function Gr(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}On(8,0,40752,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;tq(b);if((c[113410]|0)==0){$d[c[2005]&255](8e3,b)}a[k]=0}}while(0);gE(35896,1.0);if((e|0)!=0){Hr(Qc(e|0)|0,b)}if((c[113233]|0)==0){i=f;return 0}Yo(0);On(25,0,32264,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;On(25,1,28760,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+Qo(6);l=+Qo(6);m=l/+Qo(0)*100.0;On(25,0,25832,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Qo(1);g=+Qo(1);l=g/+Qo(0)*100.0;On(25,0,23528,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Qo(2);m=+Qo(2);g=m/+Qo(0)*100.0;On(25,0,439256,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+Qo(3);l=+Qo(3);m=l/+Qo(0)*100.0;On(25,0,436232,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Qo(4);g=+Qo(4);l=g/+Qo(0)*100.0;On(25,0,433576,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Qo(7);m=+Qo(7);g=m/+Qo(0)*100.0;On(25,0,431608,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+Qo(0);l=g- +Qo(7);g=l- +Qo(4);l=g- +Qo(3);g=l- +Qo(2);l=g- +Qo(1);g=l- +Qo(6);l=+Qo(0);m=l- +Qo(7);l=m- +Qo(4);m=l- +Qo(3);l=m- +Qo(2);m=l- +Qo(1);l=m- +Qo(6);m=l/+Qo(0)*100.0;if(e){On(25,0,428944,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{On(25,0,430080,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+Qo(0);g=+Qo(0);l=g/+Qo(0)*100.0;On(25,0,427904,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;_d[c[3556]&511](25);On(25,1,427056,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;On(25,0,426264,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;On(25,0,425608,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;_d[c[3556]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);On(25,1,424864,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;On(25,0,424136,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;On(25,0,422880,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;On(25,0,422184,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;On(25,0,421536,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;On(25,0,420040,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;_d[c[3556]&511](25)}else if((e|0)!=5){On(25,1,419080,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;On(25,0,418192,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;_d[c[3556]&511](25)}On(25,0,417352,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Vo(0);i=f;return 0}function Hr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Xa(b|0,410448)|0;b=c[r>>2]|0;g=d+4|0;td(b|0,409784,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((tS(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];td(b|0,342952,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((tS(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;td(b|0,42296,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((tS(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;td(b|0,41696,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((tS(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;td(b|0,40968,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((tS(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){td(b|0,342952,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{td(b|0,342952,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((tS(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){td(b|0,42296,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{td(b|0,42296,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((tS(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){td(b|0,41696,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{td(b|0,41696,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((tS(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;td(b|0,40968,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((tS(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];td(b|0,342952,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((tS(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;td(b|0,42296,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((tS(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;td(b|0,41696,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((tS(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;td(b|0,40968,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Xa(0,410448)|0;}while((d|0)!=0);k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}function Ir(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 18:{p=c[119024]|0;do{if((p|0)!=0){if((tS(p,412936)|0)!=0){break}c[o>>2]=4;break a}}while(0);On(23,0,412064,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 4:{p=c[119024]|0;if((p|0)!=0){if((tS(p,415360)|0)==0){break a}}On(23,0,413808,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 5:{Qn(1,0,416104,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 8:case 7:case 6:case 9:case 10:case 11:{Qn(1,0,416760,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};default:{}}}while(0);k=Dr(b,n)|0;oe[c[2185]&15]()|0;if((a[b+440|0]|0)!=0){Sr(b)|0;be[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){p=Fr(b,d,e,f,g,j)|0;oe[c[2185]&15]()|0;if((p|0)!=0){s=p;break}if((c[o>>2]|0)!=5){$d[c[2005]&255](8e3,b);Dq(b)}t=+h[b+248>>3];On(23,0,411248,(q=i,i=i+16|0,h[q>>3]=+h[b+240>>3],h[q+8>>3]=t,q)|0);i=q;p=le[c[c[b+540>>2]>>2]&127](b,n)|0;oe[c[2185]&15]()|0;Gr(b,n,l)|0;oe[c[2185]&15]()|0;s=p}else{oe[c[2185]&15]()|0;s=k}}while(0);Er(b,n)|0;r=s;i=m;return r|0}function Jr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((be[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){Sn(c[a+536>>2]|0,433664,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){Kr(a);i=b;return}}function Kr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;yS(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function Lr(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;WR(c[e+(a*48|0)+28>>2]|0);WR(c[e+(a*48|0)+32>>2]|0);WR(c[e+(a*48|0)+16>>2]|0);WR(c[e+(a*48|0)+20>>2]|0);WR(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}



function LA(a,b){a=a|0;b=b|0;hB(a,b);return}function MA(a){a=a|0;XA(a);return}function NA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;ot(f|0);c[e>>2]=0;ot(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=DA(a)|0;b=c[c[e>>2]>>2]|0;ot(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(bz(a)|0)>>2]|0;_u(e,c[d>>2]|0);d=UA(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function OA(a){a=a|0;return c[(SA(a|0)|0)>>2]|0}function PA(a){a=a|0;var b=0;b=QA(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function QA(a){a=a|0;return RA(a|0)|0}function RA(a){a=a|0;return a|0}function SA(a){a=a|0;return TA(a|0)|0}function TA(a){a=a|0;return a|0}function UA(a){a=a|0;return VA(a+8|0)|0}function VA(a){a=a|0;return WA(a|0)|0}function WA(a){a=a|0;return a|0}function XA(a){a=a|0;YA(a,0);return}function YA(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=QA(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}_A(ZA(d)|0,e);return}function ZA(a){a=a|0;return gB(a|0)|0}function _A(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;$A(e,aB(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;bB(e,vy(d+16|0)|0)}if((d|0)==0){return}cB(c[b>>2]|0,d,1);return}function $A(a,b){a=a|0;b=b|0;a=i;i=i+8|0;fB(a|0,0,b);i=a;return}function aB(a){a=a|0;return a|0}function bB(a,b){a=a|0;b=b|0;a=i;i=i+8|0;eB(a|0,0,b);i=a;return}function cB(a,b,c){a=a|0;b=b|0;c=c|0;dB(0,b,0);return}function dB(a,b,c){a=a|0;b=b|0;c=c|0;bS(b);return}function eB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;QH(d);i=c;return}function fB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;QH(d);i=c;return}function gB(a){a=a|0;return a+4|0}function hB(a,b){a=a|0;b=b|0;iB(a,b);return}function iB(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function jB(a){a=a|0;return CB(a+4|0)|0}function kB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];uB(a,b,d);i=e;return}function lB(a,b){a=a|0;b=b|0;return tB(0,b,0)|0}function mB(a,b){a=a|0;b=b|0;sB(a,b);return}function nB(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}GH(b,c);return}function oB(a){a=a|0;return c[(SA(a|0)|0)>>2]|0}function pB(a){a=a|0;return ZA(a|0)|0}function qB(a,b){a=a|0;b=b|0;if((b|0)==0){return}EH(b);return}function rB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;hB(f,b);JA(e,f);LA(d,e);JA(a,d);MA(e);i=c;return}function sB(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function tB(a,b,c){a=a|0;b=b|0;c=c|0;return $R(b*40|0)|0}function uB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(wB(f)|0)>>2]|0;f=xB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;vB(a|0,b,g);i=e;return}function vB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];yB(a,b,d);i=e;return}function wB(a){a=a|0;return a|0}function xB(a){a=a|0;return a|0}function yB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(AB(f)|0)>>2]|0;f=BB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;zB(a|0,b,g);i=e;return}function zB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(AB(f)|0)>>2];f=BB(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function AB(a){a=a|0;return a|0}function BB(a){a=a|0;return a|0}function CB(a){a=a|0;return DB(a|0)|0}function DB(a){a=a|0;return a|0}function EB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=PA(FB(b)|0)|0;g=BB(pB(FB(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;vB(a|0,f,e);i=d;return}function FB(a){a=a|0;return c[a>>2]|0}function GB(a){a=a|0;HB(a|0);return}function HB(a){a=a|0;IB(a);return}function IB(a){a=a|0;JB(a,iz(a)|0);return}function JB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;ot(d|0);if((b|0)==0){i=d;return}JB(a,c[b>>2]|0);JB(a,c[b+4>>2]|0);e=jB(a)|0;KB(e,LB(b+16|0)|0);cB(e,b,1);i=d;return}function KB(a,b){a=a|0;b=b|0;a=i;i=i+8|0;MB(a|0,0,b);i=a;return}function LB(a){a=a|0;return a|0}function MB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;NB(d);i=c;return}function NB(a){a=a|0;OB(a);return}function OB(a){a=a|0;PB(a|0);return}function PB(a){a=a|0;QB(a);return}function QB(a){a=a|0;QH(a+12|0);QH(a|0);return}function RB(a){a=a|0;SB(a+180|0);SB(a+168|0);SB(a+156|0);SB(a+144|0);SB(a+132|0);SB(a+120|0);SB(a+108|0);SB(a+96|0);SB(a+84|0);SB(a+72|0);SB(a+60|0);SB(a+48|0);SB(a+36|0);SB(a+24|0);hx(a+12|0);hx(a|0);return}function SB(a){a=a|0;TB(a);return}function TB(a){a=a|0;UB(a|0);return}function UB(a){a=a|0;VB(a);return}function VB(a){a=a|0;WB(a,xA(a)|0);return}function WB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;ot(d|0);if((b|0)==0){i=d;return}WB(a,c[b>>2]|0);WB(a,c[b+4>>2]|0);e=aA(a)|0;XB(e,YB(b+16|0)|0);Wz(e,b,1);i=d;return}function XB(a,b){a=a|0;b=b|0;a=i;i=i+8|0;ZB(a|0,0,b);i=a;return}function YB(a){a=a|0;return a|0}function ZB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;_B(d);i=c;return}function _B(a){a=a|0;$B(a);return}function $B(a){a=a|0;aC(a|0);return}function aC(a){a=a|0;bC(a);return}function bC(a){a=a|0;hx(a+4|0);return}function cC(a){a=a|0;dC(a|0);return}function dC(a){a=a|0;eC(a);return}function eC(a){a=a|0;fC(a,Ux(a)|0);return}function fC(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;ot(d|0);if((b|0)==0){i=d;return}fC(a,c[b>>2]|0);fC(a,c[b+4>>2]|0);e=Cy(a)|0;gC(e,Hx(b+16|0)|0);wy(e,b,1);i=d;return}function gC(a,b){a=a|0;b=b|0;a=i;i=i+8|0;hC(a|0,0,b);i=a;return}function hC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;iC(d);i=c;return}function iC(a){a=a|0;jC(a);return}function jC(a){a=a|0;kC(a|0);return}function kC(a){a=a|0;lC(a);return}function lC(a){a=a|0;QH(a|0);return}function mC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;nC(a|0);pC(d,b);qC(e,b);oC(a,d,e);i=c;return a|0}function nC(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;JB(a,iz(a)|0);c[(UA(a)|0)>>2]=0;d=bz(a)|0;c[(DA(a)|0)>>2]=d;ot(b|0);c[d>>2]=0;i=b;return}function oC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;yC(f,a);if(!(zC(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;rC(g,h);AC(j,a,g,BC(b)|0);CC(b)|0;}while(zC(b,d)|0);i=e;return}function pC(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;wC(d,b|0);rC(a,d);i=c;return}function qC(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;sC(d,b|0);rC(a,d);i=c;return}function rC(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];vC(a,b);i=d;return}function sC(a,b){a=a|0;b=b|0;tC(a,jx(b)|0);return}function tC(a,b){a=a|0;b=b|0;uC(a,b);return}function uC(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function vC(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function wC(a,b){a=a|0;b=b|0;tC(a,c[(xC(b)|0)>>2]|0);return}function xC(a){a=a|0;return a|0}function yC(a,b){a=a|0;b=b|0;qC(a,b);return}function zC(a,b){a=a|0;b=b|0;return ID(a|0,b|0)|0}function AC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];KC(j,e);JC(g,b|0,h,j);_y(a,g);NB(j);i=f;return}function BC(a){a=a|0;return GC(a|0)|0}function CC(a){a=a|0;DC(a|0)|0;return a|0}function DC(a){a=a|0;var b=0;b=a|0;c[b>>2]=EC(c[b>>2]|0)|0;return a|0}function EC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;ot(b|0);if((e|0)==0){e=a;while(1){a=cv(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=FC(c[d>>2]|0)|0;i=b;return g|0}return 0}function FC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;ot(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;ot(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function GC(a){a=a|0;return HC((c[a>>2]|0)+16|0)|0}function HC(a){a=a|0;return IC(a)|0}function IC(a){a=a|0;return a|0}function JC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=OC(b,h,g,e)|0;h=c[d>>2]|0;ot(f+16|0);if((h|0)!=0){m=h;az(a,m);i=f;return}QC(l,b,e);RC(k,l);PC(j,k);SC(l);l=c[g>>2]|0;NA(b,l,d,TC(j)|0);d=UC(j)|0;SC(j);m=d;az(a,m);i=f;return}function KC(a,b){a=a|0;b=b|0;LC(a,b);return}function LC(a,b){a=a|0;b=b|0;MC(a|0,b);return}function MC(a,b){a=a|0;b=b|0;NC(a,b);return}function NC(a,b){a=a|0;b=b|0;GH(a|0,b|0);GH(a+12|0,b+12|0);return}function OC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;$y(h,a);wD(g,h);do{if(!(vD(b,g)|0)){h=kz(a)|0;s=yD(b)|0;if(xD(h,e,s)|0){break}t=xD(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;CD(n,o,1,0);$y(q,a);wD(p,q);do{if(!(vD(n,p)|0)){if(xD(h,e,yD(n)|0)|0){break}u=BD(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;ot(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;zD(l,a);wD(k,l);do{if(!(vD(j,k)|0)){l=kz(a)|0;if(xD(l,yD(AD(j)|0)|0,e)|0){break}u=BD(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;ot(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function PC(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];tD(a,b);i=d;return}function QC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=jB(c)|0;c=lB(k,1)|0;fD(g,k);eD(f,c,g);gD(0,LB((hD(f)|0)+16|0)|0,d);a[(iD(f)|0)+4|0]=1;jD(j,f);RC(h,j);PC(b,h);SC(j);SC(f);i=e;return}function RC(a,b){a=a|0;b=b|0;cD(a,b);return}function SC(a){a=a|0;ZC(a);return}function TC(a){a=a|0;return c[(XC(a|0)|0)>>2]|0}function UC(a){a=a|0;var b=0;b=VC(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function VC(a){a=a|0;return WC(a|0)|0}function WC(a){a=a|0;return a|0}function XC(a){a=a|0;return YC(a|0)|0}function YC(a){a=a|0;return a|0}function ZC(a){a=a|0;_C(a,0);return}function _C(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=VC(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}aD($C(d)|0,e);return}function $C(a){a=a|0;return bD(a|0)|0}function aD(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;KB(e,LB(d+16|0)|0)}if((d|0)==0){return}cB(c[b>>2]|0,d,1);return}function bD(a){a=a|0;return a+4|0}function cD(a,b){a=a|0;b=b|0;dD(a,b);return}function dD(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function eD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];nD(a,b,d);i=e;return}function fD(a,b){a=a|0;b=b|0;mD(a,b);return}function gD(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}kD(b,c);return}function hD(a){a=a|0;return c[(XC(a|0)|0)>>2]|0}function iD(a){a=a|0;return $C(a|0)|0}function jD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;cD(f,b);PC(e,f);RC(d,e);PC(a,d);SC(e);i=c;return}function kD(a,b){a=a|0;b=b|0;lD(a,b);return}function lD(a,b){a=a|0;b=b|0;MC(a|0,b|0);return}function mD(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function nD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(wB(f)|0)>>2]|0;f=pD(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;oD(a|0,b,g);i=e;return}function oD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];qD(a,b,d);i=e;return}function pD(a){a=a|0;return a|0}function qD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(AB(f)|0)>>2]|0;f=sD(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;rD(a|0,b,g);i=e;return}function rD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(AB(f)|0)>>2];f=sD(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function sD(a){a=a|0;return a|0}function tD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=UC(uD(b)|0)|0;g=sD(iD(uD(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;oD(a|0,f,e);i=d;return}function uD(a){a=a|0;return c[a>>2]|0}function vD(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function wD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];HD(a,b);i=d;return}function xD(a,b,c){a=a|0;b=b|0;c=c|0;return ox(0,b|0,c|0)|0}function yD(a){a=a|0;return(c[a>>2]|0)+16|0}function zD(a,b){a=a|0;b=b|0;az(a,c[(DA(b)|0)>>2]|0);return}function AD(a){a=a|0;var b=0;b=a|0;c[b>>2]=FD(c[b>>2]|0)|0;return a|0}function BD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=iz(a)|0;ot(e|0);if((h|0)==0){j=bz(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=kz(a)|0;a=h;while(1){h=a+16|0;if(xD(j,d,h)|0){l=a|0;m=c[l>>2]|0;ot(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(xD(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;ot(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function CD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];DD(b,d);c[a>>2]=c[b>>2];i=e;return}function DD(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;ED(a,b,c|0);i=c;return}function ED(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{AD(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{DC(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function FD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;ot(b|0);if((e|0)==0){e=a;while(1){a=cv(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=GD(c[d>>2]|0)|0;i=b;return g|0}return 0}function GD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;ot(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;ot(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function HD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function ID(a,b){a=a|0;b=b|0;return(vD(a,b)|0)^1|0}function JD(a){a=a|0;var b=0;b=i;i=i+128|0;$w(a|0,b|0);$w(a+12|0,b+8|0);KD(a+24|0,b+16|0);KD(a+36|0,b+24|0);KD(a+48|0,b+32|0);KD(a+60|0,b+40|0);KD(a+72|0,b+48|0);KD(a+84|0,b+56|0);KD(a+96|0,b+64|0);KD(a+108|0,b+72|0);KD(a+120|0,b+80|0);KD(a+132|0,b+88|0);KD(a+144|0,b+96|0);KD(a+156|0,b+104|0);KD(a+168|0,b+112|0);KD(a+180|0,b+120|0);i=b;return}function KD(a,b){a=a|0;b=b|0;LD(a,0);return}function LD(a,b){a=a|0;b=b|0;b=i;i=i+8|0;MD(a|0,b|0);i=b;return}function MD(a,b){a=a|0;b=b|0;ND(a,0);return}function ND(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;OD(a+4|0);PD(a+8|0,0,b|0);d=Kz(a)|0;c[(Jz(a)|0)>>2]=d;i=b;return}function OD(a){a=a|0;SD(a);return}function PD(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;QD(b,c,d);i=e;return}function QD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;RD(b|0,c[(Sv(g)|0)>>2]|0,f+8|0);i=f;return}function RD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Sv(g)|0)>>2];i=f;return}function SD(a){a=a|0;TD(a|0);return}function TD(a){a=a|0;Vv(a|0);return}function UD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[113376]|0;if((h|0)==0){j=0}else{k=$R(12)|0;KH(k,h);j=k}if((c[113417]|0)!=0){c[113292]=1}if((j|0)==0){c[113209]=1;c[113210]=1;i=b;return}do{if((mI(j,428136,0)|0)==-1){GH(a,j);EH(d);k=c[4168]|0;h=(k|0)<28;while(1){l=mI(a,434752,0)|0;m=(l|0)!=-1;if(m){kI(e,a,0,l);RH(d,e)|0;QH(e);kI(f,a,l+1|0,-1);RH(a,f)|0;QH(f)}else{RH(d,a)|0}if(h){n=k;o=1}else{break}while(1){KH(g,c[451472+(n<<2)>>2]|0);l=VD(d,g)|0;QH(g);if(l){c[452832+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){QH(d);QH(a);break}Qn(1,1,423344,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[451584+(r<<2)>>2]|0;Qn(1,0,414552,(l=i,i=i+16|0,c[l>>2]=c[451472+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}_d[c[3556]&511](1);r=lI(j)|0;Sn(0,40120,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[452832+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[113209]=1;c[113210]=1;if((c[113217]|0)!=0){c[113232]=1}if((c[113231]|0)==1){c[113233]=1}if((c[113226]|0)!=0){c[113225]=1}if((c[113228]|0)!=0){c[113225]=1}if((c[113216]|0)!=0){c[113215]=1}if((c[113227]|0)!=0){c[113225]=1}if((c[113214]|0)!=0){c[113213]=1}QH(j);bS(j);i=b;return}function VD(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=OH(b)|0;if((d|0)!=(OH(c)|0)){e=0;return e|0}f=PH(b)|0;g=PH(c)|0;if(HH(b)|0){e=(qx(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function WD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[113378]|0;if((a|0)==0){d=1;i=b;return d|0}e=$R(12)|0;f=e;KH(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(XD(f,c[449912+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=lI(f)|0;Qn(1,1,35272,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[112485]|0;Qn(1,0,414552,(f=i,i=i+16|0,c[f>>2]=c[112479],c[f+8>>2]=g,f)|0);i=f;g=c[112486]|0;Qn(1,0,414552,(f=i,i=i+16|0,c[f>>2]=c[112480],c[f+8>>2]=g,f)|0);i=f;g=c[112487]|0;Qn(1,0,414552,(f=i,i=i+16|0,c[f>>2]=c[112481],c[f+8>>2]=g,f)|0);i=f;_d[c[3556]&511](1);Sn(0,31728,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function XD(a,b){a=a|0;b=b|0;return(oI(a,b)|0)==0|0}function YD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[113374]|0;if((e|0)==0){f=1;i=b;return f|0}g=$R(12)|0;h=g;KH(h,e);if((g|0)==0){f=1;i=b;return f|0}KH(a,28456);g=VD(h,a)|0;QH(a);if(g){f=1;i=b;return f|0}KH(d,25504);g=VD(h,d)|0;QH(d);if(g){f=2;i=b;return f|0}else{f=lI(h)|0;Qn(1,1,23312,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;Qn(1,0,414552,(h=i,i=i+16|0,c[h>>2]=28456,c[h+8>>2]=438960,h)|0);i=h;Qn(1,0,414552,(h=i,i=i+16|0,c[h>>2]=25504,c[h+8>>2]=436064,h)|0);i=h;_d[c[3556]&511](1);Sn(0,31728,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function ZD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;ZJ(e,a);do{if(aK(e)|0){h=yx(b)|0;kE(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((st(m)|0)&176|0)==32){n=b+h|0}else{n=b}nE(g,f,b,n,b+h|0,m,KI(l)|0);if(!(lE(g)|0)){break}EI(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);_J(e);i=d;return a|0}function _D(a){a=a|0;dK(a,LI(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;MJ(a)|0;return a|0}function $D(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;KH(h,d);zI(k,431368,h);Fw(j,k,429920);QH(k);k=lI(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((tS(c[n+4>>2]|0,428784)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((tS(k,427776)|0)==0){QH(j);QH(h);i=f;return}d=bR(g,k,1)|0;if((d|0)!=0){m=l|0;yS(m|0,0,2048)|0;oR(d,g,m,2048)|0;bK(ZD(ZD(ZD(ZD(ZD(479832,426944)|0,k)|0,426176)|0,m)|0,425488)|0,2)|0;QH(j);QH(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(pR(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==0){r=(pR(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==1){r=(pR(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){d=b+4|0;m=0;n=o;while(1){o=c[d>>2]|0;if((a[o+(m*60|0)+56|0]|0)==0){l=(pR(g,c[o+(m*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*60|0)+56|0]=l;s=c[p>>2]|0}else{s=n}l=m+1|0;if((l|0)<(s|0)){m=l;n=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){n=b+36|0;m=b+4|0;p=(e|0)==0;d=b+20|0;l=0;do{o=c[n>>2]|0;k=a[o+(l*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(pR(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0){break}a[(c[m>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(pR(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0|p){break}a[(c[d>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);l=l+1|0;}while((l|0)<(c[s>>2]|0))}s=b+120|0;l=c[s>>2]|0;if((l|0)>0){d=b+8|0;p=0;n=l;while(1){l=c[d>>2]|0;if((a[l+(p*48|0)+44|0]|0)==0){m=(pR(g,c[l+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(p*48|0)+44|0]=m;t=c[s>>2]|0}else{t=n}m=p+1|0;if((m|0)<(t|0)){p=m;n=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){n=b+40|0;p=b+8|0;s=(e|0)==0;d=b+24|0;m=0;do{l=c[n>>2]|0;o=a[l+(m*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(pR(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(pR(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0|s){break}a[(c[d>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[t>>2]|0))}t=b+124|0;m=c[t>>2]|0;if((m|0)>0){d=b+12|0;s=0;n=m;while(1){m=c[d>>2]|0;if((a[m+(s*52|0)+48|0]|0)==0){p=(pR(g,c[m+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=n}p=s+1|0;if((p|0)<(u|0)){s=p;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;p=a[d+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){m=(pR(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){m=(pR(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}fR(g);QH(j);QH(h);i=f;return}function aE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[113402]|0;A=c[113372]|0;B=c[115512]|0;if((c[113233]|0)==0){if(!((c[113390]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[115512]=1}C=d+248|0;D=d+240|0;E=~~+xb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;On(23,0,424744,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[113359]|0;do{if((E|0)==0){G=0}else{if((tS(E,423984)|0)==0){G=1;break}if((tS(E,422776)|0)==0){G=0;break}if((tS(E,422128)|0)==0){G=2;break}Qn(1,0,421400,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((Uo(G)|0)!=0){Qn(1,0,419840,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[115512]|0)!=0){iF(d+56|0);Zo((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);Vo(0);Vo(6);Wo(3);Wo(4);Wo(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+pS(A)}h[C>>3]=H;On(1,0,418904,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[113416]|0)!=0){C=$R(12)|0;A=C;KH(A,c[113386]|0);if((C|0)==0){break}C=lI(A)|0;c[d+280>>2]=C;On(23,0,418040,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[113385]|0;EH(a);if((C|0)==0){KH(g,c[d+88>>2]|0);KH(j,417296);bE(f,g,j);Fw(e,f,c[d+284>>2]|0);RH(a,e)|0;QH(e);QH(f);QH(j);QH(g)}else{SH(a,C)|0}KH(k,475968);KH(l,475968);KH(m,475968);KH(n,475968);KH(o,475968);KH(p,475968);C=c[113390]|0;if((c[113394]|0)!=0){SH(k,c[113364]|0)|0}if((c[113398]|0)!=0){SH(l,c[113368]|0)|0}if((c[113393]|0)!=0){SH(m,c[113363]|0)|0}if((c[113395]|0)==0){I=0.0}else{SH(n,c[113365]|0)|0;I=+pS(lI(n)|0)}if((c[113396]|0)==0){J=1}else{SH(o,c[113366]|0)|0;J=Wc(lI(o)|0)|0}if((c[113411]|0)!=0){SH(p,c[113381]|0)|0}GH(q,a);GH(r,k);GH(s,l);GH(t,m);GH(u,p);g=cE(d,q,r,s,t,I,J,u,C)|0;QH(u);QH(t);QH(s);QH(r);QH(q);if((g|0)!=0|E^1){K=g}else{Vo(5);g=zE(d)|0;Yo(5);On(1,0,415944,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[115512]=B;if(!((K|0)==0&(B|0)!=0)){L=K;QH(p);QH(o);QH(n);QH(m);QH(l);QH(k);QH(a);i=b;return L|0}K=d+88|0;KH(w,c[K>>2]|0);Fw(v,w,415240);QH(w);KH(y,c[K>>2]|0);Fw(x,y,413672);QH(y);Yo(0);y=c[113377]|0;K=lI(v)|0;w=lI(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;YE(d,K,w,(y|0)!=0?y:412808,B,g,lI(a)|0)|0;QH(x);QH(v);L=0;QH(p);QH(o);QH(n);QH(m);QH(l);QH(k);QH(a);i=b;return L|0}function bE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;FH(a,d|0);e=OH(b)|0;f=OH(c)|0;pI(a,PH(b)|0,e,f+e|0);hI(a,PH(c)|0,f)|0;i=d;return}function cE(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((OH(j)|0)==0){p=0}else{p=lI(j)|0}GH(m,b);b=(dE(a,m,k)|0)==0;QH(m);if(!b){q=-1;i=l;return q|0}KH(n,475968);b=a+280|0;m=XD(n,c[b>>2]|0)|0;QH(n);do{if(m){r=3}else{n=0;k=1;do{KH(o,c[449624+(k<<2)>>2]|0);j=XD(o,c[b>>2]|0)|0;QH(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}Qn(1,0,40832,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;Qn(1,0,423344,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[449704+(k<<2)>>2]|0;Qn(1,0,414552,(s=i,i=i+16|0,c[s>>2]=c[449624+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);Sn(c[a+536>>2]|0,31728,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);On(23,0,39400,(s=i,i=i+8|0,c[s>>2]=c[449624+(r<<2)>>2],s)|0);i=s;s=lI(d)|0;d=lI(e)|0;e=Ir(a,s,d,lI(f)|0,g,h,r,p)|0;$d[c[2007]&255](8e3,a);q=e;i=l;return q|0}function dE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Qc(lI(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[113290]|0)==0){f=c[d>>2]|0;if((tS(411976,f)|0)==0){g=0;break}if((tS(411152,f)|0)==0){c[2004]=66;c[2005]=20;c[2007]=24;g=0;break}if((tS(410376,f)|0)==0){c[2004]=28;c[2005]=120;c[2006]=68;c[2007]=6;g=1;break}if((tS(409696,f)|0)==0){c[2004]=74;c[2005]=26;c[2006]=52;c[2007]=44;g=1;break}if((tS(342896,f)|0)==0){c[2004]=98;c[2005]=32;c[2007]=90;g=0;break}f=ZD(479832,42216)|0;bK(ZD(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);$D(a+8|0,c[a+288>>2]|0,g);$d[c[2004]&255](8e3,a);a=c[2e3]|0;On(23,0,41568,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function eE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;Fn();do{if((qF(a,b)|0)==0){if((sF(a,b)|0)!=0){break}do{if((c[113403]|0)!=0){h=c[113373]|0;if((tS(h,37400)|0)==0){Ln(1);break}if((tS(h,37112)|0)==0){Ln(0);break}else{Qn(1,0,36736,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Ta(0)|0;uc(0);return 0}}}while(0);if((c[113392]|0)==0){UD(0,0);Iq(d);if((d|0)==0){bK(ZD(479832,34328)|0,2)|0}c[d+300>>2]=WD(0,0)|0;c[d+292>>2]=YD(0,0)|0;Cw(d+8|0,d+240|0);Oq(d)|0;Wq(d)|0;gr(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}bK(ZD(479832,34040)|0,2)|0;k=1;i=e;return k|0}}while(0);c[113290]=c[113409];k=0;i=e;return k|0}KH(f,c[113362]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=452328+(h<<2)|0;KH(g,c[m>>2]|0);n=VD(f,g)|0;QH(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=lI(f)|0;Qn(1,0,34816,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;Qn(1,0,34568,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Ta(0)|0;uc(0);return 0}n=c[452208+(h<<2)>>2]|0;do{if((n|0)==1){o=c[452456+(h<<2)>>2]|0;On(1,1,36408,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[452456+(h<<2)>>2]|0;On(1,1,35912,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{Qn(1,1,37856,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==6){On(1,0,414552,(j=i,i=i+16|0,c[j>>2]=24088,c[j+8>>2]=24536,j)|0);i=j;On(1,0,414552,(j=i,i=i+16|0,c[j>>2]=23888,c[j+8>>2]=24408,j)|0);i=j;On(1,0,414552,(j=i,i=i+16|0,c[j>>2]=23560,c[j+8>>2]=24224,j)|0);i=j}else if((h|0)==18){n=c[4168]|0;if((n|0)<28){q=n}else{break}do{n=c[451584+(q<<2)>>2]|0;On(1,0,414552,(j=i,i=i+16|0,c[j>>2]=c[451472+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==10){n=1;do{o=c[449848+(n<<2)>>2]|0;On(1,0,414552,(j=i,i=i+16|0,c[j>>2]=c[449784+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[449704+(n<<2)>>2]|0;On(1,0,414552,(j=i,i=i+16|0,c[j>>2]=c[449624+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);_d[c[3556]&511](1);Ta(0)|0;uc(0);return 0}}while(0);On(1,1,39064,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[452208+(b<<2)>>2]|0;do{if((q|0)==1){m=c[452584+(b<<2)>>2]|0;On(1,0,38656,(j=i,i=i+16|0,c[j>>2]=c[452328+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[452328+(b<<2)>>2]|0;if((q|0)==2){f=c[452584+(b<<2)>>2]|0;On(1,0,38288,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{Qn(1,0,37856,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);_d[c[3556]&511](1);Ta(0)|0;uc(0);return 0}function fE(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[120070]|0;Ic(7896)|0;Ac(33424,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Ic(7976)|0;Ac(32896,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;Ac(32704,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;Ac(32288,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;Ac(31e3,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;Ac(30816,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;Ac(30496,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Ic(7872)|0;i=a;return}function gE(a,b){a=a|0;b=+b;return}function hE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=zS(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(8,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[120070]=d;Ca(76,10,228)|0;if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(10,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(34,d|0)|0;if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(44,d|0)|0;if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(108,d|0)|0;if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(30,d|0);if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=AS(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function iE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;g=b;b=i;i=i+24|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];g=f|0;if((a|0)==0){h=xd(c[115502]|0)|0}else{h=a}switch(c[h+84>>2]|0){case 2:{if((c[113211]|0)==0){j=h+80|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1)}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(28768,7,1,a|0)|0;Yc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;j=h+80|0;k=c[j>>2]|0;l=k|0;Jd(l|0,1);break};case 1:{l=g;c[l>>2]=e;c[l+4>>2]=0;l=c[u>>2]|0;Ya(28768,7,1,l|0)|0;Yc(l|0,d|0,g|0)|0;Wa(10,l|0)|0;Ta(0)|0;Jd(c[h+80>>2]|0,1);break};case 3:{if((c[113225]|0)==0){i=f;return}l=g;c[l>>2]=e;c[l+4>>2]=0;l=c[u>>2]|0;Ya(28768,7,1,l|0)|0;Yc(l|0,d|0,g|0)|0;Wa(10,l|0)|0;Ta(0)|0;i=f;return};case 4:case 5:{i=f;return};default:{Sn(h,28e3,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}}function jE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Ya(29248,9,1,a|0)|0;Yc(a|0,b|0,f|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=e;return}function kE(a,b){a=a|0;b=b|0;mE(a,b);return}function lE(a){a=a|0;return(c[a>>2]|0)==0|0}function mE(a,b){a=a|0;b=b|0;c[a>>2]=JI(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function nE(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;ot(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=oE(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((VI(b,d,r)|0)==(r|0)){break}ot(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){LH(l,s,h);if((VI(b,PH(l)|0,s)|0)==(s|0)){QH(l);break}ot(m);c[o>>2]=0;c[a>>2]=0;QH(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((VI(b,e,l)|0)==(l|0)){break}ot(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);pE(g,0)|0;c[a>>2]=b;i=j;return}function oE(a){a=a|0;return c[a+12>>2]|0}function pE(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function qE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;rE(g,16);sE(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){ZD(cK(m,+h[b+(p<<3)>>3])|0,426696)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){cK(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){ZD(m,434472)|0}}while((e|0)<(d|0))}tE(a,g);uE(g);i=f;return}function rE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;NI(d);e=a|0;c[e>>2]=442140;f=d|0;c[f>>2]=442160;d=a+4|0;UJ(a,443540,d|0);c[e>>2]=442140;c[f>>2]=442160;GE(d,b|16);return}function sE(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function tE(a,b){a=a|0;b=b|0;AE(a,b+4|0);return}function uE(a){a=a|0;KE(a,443536);II(a+56|0);return}function vE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[113222]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];On(14,0,414400,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);be[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];On(14,0,39968,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[113222]|0)==0){i=d;return 0}On(14,0,35200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(31384,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function wE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[113222]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];On(14,0,414400,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);be[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];On(14,0,39968,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[113222]|0)==0){i=d;return 0}On(14,0,35200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(31384,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function xE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[113222]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];On(14,0,414400,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);be[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];On(14,0,39968,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[113222]|0)==0){i=d;return 0}On(14,0,35200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(31384,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function yE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[113222]|0)!=0){Ic(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];On(14,0,414400,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);be[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];On(14,0,39968,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[113222]|0)==0){i=d;return 0}On(14,0,35200,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Ac(31384,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}nc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function zE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=XR(ga(u,u)|0,8)|0;y=x;z=XR(ga(v,u)|0,8)|0;A=z;B=XR(ga(w,u)|0,8)|0;C=B;D=XR(ga(w,v)|0,8)|0;E=D;EH(d);EH(e);EH(f);EH(g);EH(h);EH(j);EH(k);F=a+536|0;Rn(c[F>>2]|0,(x|0)!=0|0,25328,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Rn(c[F>>2]|0,(z|0)!=0|0,25328,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Rn(c[F>>2]|0,(B|0)!=0|0,25328,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Rn(c[F>>2]|0,(D|0)!=0|0,25328,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((be[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;vE(a,y)|0;Rn(J,1,23128,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}qE(l,y,u,u);RH(d,l)|0;QH(l);if((be[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;wE(a,A)|0;Rn(l,1,438768,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}qE(m,A,u,v);RH(e,m)|0;QH(m);if((be[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;xE(a,C)|0;Rn(m,1,435792,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}qE(n,C,w,u);RH(f,n)|0;QH(n);if((be[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;yE(a,E)|0;Rn(I,1,433208,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}qE(o,E,w,v);RH(g,o)|0;QH(o);if((u|0)==0){SH(h,431216)|0}else{qE(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);RH(h,p)|0;QH(p)}if((v|0)==0){SH(j,431216)|0}else{qE(q,c[a+432>>2]|0,1,v);RH(j,q)|0;QH(q)}WR(x);WR(z);WR(B);WR(D);KH(t,c[a+84>>2]|0);zI(s,429752,t);Fw(r,s,428600);RH(k,r)|0;QH(r);QH(s);QH(t);t=Cc(lI(k)|0,427608)|0;s=c[F>>2]|0;F=lI(k)|0;Rn(s,(t|0)!=0|0,426760,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=oe[c[(c[H>>2]|0)+176>>2]&15]()|0;s=lI(h)|0;r=lI(j)|0;a=lI(d)|0;D=lI(e)|0;B=lI(f)|0;z=lI(g)|0;td(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[113233]|0)==0){K=Ta(t|0)|0;L=Pa(t|0)|0;QH(k);QH(j);QH(h);QH(g);QH(f);QH(e);QH(d);i=b;return 0}z=oe[c[(c[H>>2]|0)+176>>2]&15]()|0;H=lI(h)|0;B=lI(j)|0;D=lI(d)|0;a=lI(e)|0;r=lI(f)|0;s=lI(g)|0;On(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Ta(t|0)|0;L=Pa(t|0)|0;QH(k);QH(j);QH(h);QH(g);QH(f);QH(e);QH(d);i=b;return 0}function AE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=bJ(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}BE(a,aJ(l)|0,n,e);i=d;return}if((h&8|0)==0){FH(a,g);i=d;return}else{g=b|0;b=XI(g)|0;BE(a,b,ZI(g)|0,f);i=d;return}}function BE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;CE(a,b,c,0);return}function CE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;DE(a,b,c);return}function DE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=EE(c,d)|0;if(g>>>0>4294967279>>>0){CH(0)}if(g>>>0<11>>>0){WH(b,g);h=VH(b)|0}else{j=bI(g)|0;k=j+1|0;j=vx(JH(b)|0,k)|0;dI(b,j);cI(b,k);UH(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;wx(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){wx(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;wx(l,f);i=e;return}function EE(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=FE(a,b,c|0)|0;i=c;return d|0}function FE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function GE(a,b){a=a|0;b=b|0;WE(a,b);return}function HE(a){a=a|0;uE(a);bS(a);return}function IE(a){a=a|0;uE(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function JE(a){a=a|0;HE(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function KE(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];LE(a+4|0);return}function LE(a){a=a|0;ME(a);return}function ME(a){a=a|0;c[a>>2]=442344;QH(a+32|0);RI(a|0);return}function NE(a){a=a|0;LE(a);bS(a);return}function OE(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=bJ(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}Cs(a,-1,-1);return}else if((i|0)==0){Cs(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=bJ(j)|0;h=k-(aJ(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=YI(j)|0;k=h-(XI(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(PH(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){Cs(a,-1,-1);return}m=FS(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(PH(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((YI(j)|0)!=0){break}Cs(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((bJ(j)|0)!=0){break}Cs(a,-1,-1);return}}while(0);if((n|0)!=0){o=XI(j)|0;$I(j,o,o+m|0,l)}if((g&16|0)!=0){o=aJ(j)|0;eJ(j,o,cJ(j)|0);dJ(j,m)}Cs(a,m,e);return}}while(0);Cs(a,-1,-1);return}function PE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=Qt(d)|0;ge[g&63](a,b,h,K,0,e);i=f;return}function QE(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=bJ(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((ZI(f)|0)>>>0<h>>>0){b=XI(f)|0;$I(f,b,YI(f)|0,h)}h=YI(f)|0;if(!(h>>>0<(ZI(f)|0)>>>0)){i=-1;return i|0}i=mu(a[h]|0)|0;return i|0}function RE(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=bJ(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=XI(g)|0;h=YI(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(iu(d,-1)|0){$I(g,f,h-1|0,i);j=lu(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=ju(d)|0;do{if(f){if(nu(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=XI(g)|0;$I(g,h,(YI(g)|0)-1|0,i);a[YI(g)|0]=b;j=d;return j|0}function SE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(iu(b,-1)|0){f=lu(b)|0;i=d;return f|0}g=a|0;h=YI(g)|0;j=h-(XI(g)|0)|0;h=bJ(g)|0;if((h|0)==(cJ(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=aJ(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;gI(o,0);$H(o,YH(o)|0);p=PH(o)|0;eJ(g,p,p+(OH(o)|0)|0);dJ(g,h-l|0);c[m>>2]=(aJ(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(bJ(g)|0)+1;k=c[(TE(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=PH(a+32|0)|0;$I(g,r,r+j|0,k)}f=UI(g,b&255)|0;i=d;return f|0}function TE(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=UE(a,b,c|0)|0;i=c;return d|0}function UE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=VE(0,b,c)|0;i=e;return(f?c:b)|0}function VE(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function WE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;WI(a|0);c[a>>2]=442344;EH(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;EH(e);XE(a,e);QH(e);i=d;return}function XE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;RH(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=PH(d)|0;h=f+(OH(d)|0)|0;c[b>>2]=h;f=PH(d)|0;$I(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=OH(d)|0;c[b>>2]=(PH(d)|0)+g;$H(d,YH(d)|0);b=a|0;a=PH(d)|0;eJ(b,a,a+(OH(d)|0)|0);if((c[e>>2]&3|0)==0){return}dJ(b,g);return}function YE(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=Cc(b|0,426504)|0;l=pc(434464,426504)|0;m=(l|0)!=0;n=cd()|0;if(m){o=c[a+536>>2]|0;p=dd(c[n>>2]|0)|0;Rn(o,(k|0)!=0|0,414376,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Ya(39912,17,1,l|0)|0;Ya(35184,10,1,l|0)|0;Ya(31360,18,1,l|0)|0;ZE(l,e,28296,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,475936)}else{p=dd(c[n>>2]|0)|0;Qn(26,0,423240,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=dd(c[n>>2]|0)|0;Rn(p,(k|0)!=0|0,414376,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Ya(22776,348,1,k|0)|0;if((Vd(f|0)|0)<0){o=dd(c[n>>2]|0)|0;Qn(26,0,438744,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Pa(k|0)|0;Eb(l|0)|0;r=1;i=g;return r|0}if((vc(453176,250,435768,cb(f|0)|0)|0)==0){Qn(26,0,433184,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Pa(k|0)|0;r=1;i=g;return r|0}Ya(431200,13,1,k|0)|0;Ya(429736,12,1,k|0)|0;_E(k,2);Ya(428592,6,1,k|0)|0;$E(k,c[a+84>>2]|0);Ya(427592,8,1,k|0)|0;_E(k,2);Ya(426744,8,1,k|0)|0;f=a+88|0;$E(k,c[f>>2]|0);Ya(426032,10,1,k|0)|0;_E(k,2);Ya(425344,6,1,k|0)|0;$E(k,453176);Ya(424608,8,1,k|0)|0;_E(k,2);Ya(423792,8,1,k|0)|0;$E(k,c[a+280>>2]|0);Ya(422640,10,1,k|0)|0;_E(k,2);Ya(422112,14,1,k|0)|0;$E(k,c[a+284>>2]|0);Ya(421376,16,1,k|0)|0;_E(k,2);Ya(419816,16,1,k|0)|0;$E(k,j);Ya(418880,18,1,k|0)|0;_E(k,2);o=aF(j)|0;td(k|0,418e3,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;_E(k,2);s=+Qo(7);td(k|0,417256,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);s=+Qo(6);td(k|0,416624,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);s=+Qo(1);td(k|0,415912,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);s=+Qo(4);td(k|0,415112,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);s=+Qo(3);td(k|0,413640,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);s=+Qo(5);td(k|0,412768,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);s=+Qo(0);td(k|0,411896,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);s=+To(2);td(k|0,411080,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);o=Oo(2)|0;td(k|0,410304,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;_E(k,2);s=+So(2);td(k|0,409640,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Ya(342848,13,1,k|0)|0;Ya(42152,16,1,k|0)|0;_E(k,2);s=+Qo(8);td(k|0,41512,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;_E(k,2);o=Lo(8)|0;td(k|0,40712,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Ya(39344,17,1,k|0)|0;Ya(39e3,22,1,k|0)|0;bF(k,a);Ya(38600,23,1,k|0)|0;Ya(38232,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{cF(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{cF(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{cF(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{cF(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{cF(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{cF(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{cF(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{cF(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Ya(37792,13,1,k|0)|0;Ya(37328,12,1,k|0)|0;dF(k,l,e,c[f>>2]|0,a);Ya(37096,13,1,k|0)|0;Ya(36720,12,1,k|0)|0;eF(k,c[a+68>>2]|0,a+56|0);Ya(36344,13,1,k|0)|0;Ya(35872,16,1,k|0)|0;fF(k,l,e,a);Ya(34792,17,1,k|0)|0;Ya(34552,14,1,k|0)|0;Pa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((vS(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(vS(m|0)|0)<<1}else{t=0}k=VR(a+t|0)|0;if((k|0)==0){od(34320,34016,404,439704);return 0}if((Eb(l|0)|0)!=0){Qn(26,0,33776,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Rb(k|0,33184,(q=i,i=i+32|0,c[q>>2]=33408,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Nc(k|0)|0)!=0){u=42}}else{xS(k|0,32864,25)|0;u=42}if((u|0)==42){Qn(1,0,32640,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;On(1,0,32144,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;WR(k);r=0;i=g;return r|0}function ZE(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=Mo(n)|0;p=No(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+So(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Ya(39912,17,1,a|0)|0;Ya(437712,12,1,a|0)|0;Ya(437528,12,1,a|0)|0;Ya(437360,13,1,a|0)|0;td(a|0,437240,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Ya(437040,10,1,a|0)|0;Ya(436624,11,1,a|0)|0;Ya(436216,11,1,a|0)|0;Ya(435600,10,1,a|0)|0;if(m){td(a|0,435304,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(435048,17,1,a|0)|0}o=g+3|0;td(a|0,438232,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Ya(434800,13,1,a|0)|0;if(m){Ya(437528,12,1,a|0)|0;if((t|0)==(w|0)){td(a|0,434696,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(435048,17,1,a|0)|0}td(a|0,434480,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;td(a|0,437928,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Ya(434352,10,1,a|0)|0;Ya(434048,10,1,a|0)|0;Ya(434352,10,1,a|0)|0;Ya(433912,11,1,a|0)|0;td(a|0,433552,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;td(a|0,433112,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(432824,33,1,a|0)|0;Ya(432512,32,1,a|0)|0;td(a|0,432432,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(435600,10,1,a|0)|0;td(a|0,435304,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(434048,10,1,a|0)|0;Ya(434352,10,1,a|0)|0;Ya(433912,11,1,a|0)|0;td(a|0,433552,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;td(a|0,433112,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(432824,33,1,a|0)|0;Ya(432512,32,1,a|0)|0;td(a|0,432432,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(435600,10,1,a|0)|0;Ya(435048,17,1,a|0)|0}td(a|0,438232,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Ya(434800,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){td(a|0,434696,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(435048,17,1,a|0)|0}Ya(432360,32,1,a|0)|0;Ya(432176,29,1,a|0)|0;td(a|0,432128,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;td(a|0,437928,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function _E(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Wa(32,a|0)|0;}while((c|0)!=0);return}function $E(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==62){Ya(439504,4,1,b|0)|0}else if((d|0)==39){Ya(439248,6,1,b|0)|0}else if((d|0)==60){Ya(21552,4,1,b|0)|0}else if((d|0)==34){Ya(438408,6,1,b|0)|0}else{Wa(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function aF(a){a=a|0;var b=0,c=0;b=Cc(a|0,21640)|0;if((b|0)==0){c=-1;return c|0}Bd(b|0,0,2)|0;a=Pb(b|0)|0;Pa(b|0)|0;c=a;return c|0}function bF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=VR((vS(j|0)|0)+15|0)|0;Rb(k|0,24776,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;_E(a,2);Ya(24520,10,1,a|0)|0;$E(a,k);Ya(24392,12,1,a|0)|0;_E(a,2);j=aF(k)|0;td(a|0,24192,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;WR(k);_E(a,2);Ya(24072,9,1,a|0)|0;_E(a,4);Ya(23864,22,1,a|0)|0;_E(a,4);Ya(23504,22,1,a|0)|0;_E(a,4);Ya(22480,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){hF(e,k,n);o=c[m>>2]|0;_E(a,4);Ya(22416,8,1,a|0)|0;$E(a,o);Ya(22192,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{mF(f,k,m);e=c[n>>2]|0;_E(a,4);Ya(22416,8,1,a|0)|0;$E(a,e);Ya(22192,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{hF(g,k,b);q=c[s>>2]|0;_E(a,4);Ya(22080,8,1,a|0)|0;$E(a,q);Ya(21968,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){_E(a,2);v=Ya(21776,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{mF(h,k,t);l=c[u>>2]|0;_E(a,4);Ya(22080,8,1,a|0)|0;$E(a,l);Ya(21968,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));_E(a,2);v=Ya(21776,10,1,a|0)|0;i=d;return}function cF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;_E(a,2);td(a|0,25040,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;$E(a,c[b+4>>2]|0);Ya(24920,11,1,a|0)|0;$E(a,c[b+8>>2]|0);Ya(29216,3,1,a|0)|0;gF(a,4,b+12|0);_E(a,2);Ya(24848,12,1,a|0)|0;i=d;return}function dF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{hF(j,l,p);ZE(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,27216);q=p+9|0;Wo(q);_E(a,2);td(a|0,26600,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;_E(a,4);Ya(428592,6,1,a|0)|0;$E(a,c[m>>2]|0);Ya(427592,8,1,a|0)|0;_E(a,4);s=Oo(q)|0;td(a|0,30280,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;_E(a,4);t=+To(q);td(a|0,29928,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;_E(a,4);t=+So(q);td(a|0,409640,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;gF(a,6,o);_E(a,2);Ya(26440,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function eF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{_E(a,2);lF(f,d,t);td(a|0,29512,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;lF(g,d,t);$E(a,c[n>>2]|0);Ya(29216,3,1,a|0)|0;_E(a,4);Ya(29048,7,1,a|0)|0;lF(j,d,t);if((c[o>>2]|0)>0){v=0;do{_E(a,6);td(a|0,28736,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;lF(j,d,t);}while((v|0)<(c[o>>2]|0))}_E(a,4);Ya(27984,8,1,a|0)|0;_E(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;lF(k,d,t);w=+Qo(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;lF(l,d,t);x=Lo(v+(c[s>>2]|0)|0)|0;td(a|0,27800,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;_E(a,2);Ya(27560,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function fF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{mF(g,j,p-q|0);ZE(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,30992);l=p+9|0;Wo(l);_E(a,2);Ya(30800,15,1,a|0)|0;_E(a,4);td(a|0,30472,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;_E(a,4);s=Oo(l)|0;td(a|0,30280,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;_E(a,4);t=+To(l);td(a|0,29928,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;_E(a,4);t=+So(l);td(a|0,409640,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;_E(a,2);Ya(29720,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function gF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];_E(a,b);Ya(26288,16,1,a|0)|0;$E(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?26024:25816;td(a|0,26088,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function hF(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){iF(b)}xS(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function iF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=Cc(c[k>>2]|0,425744)|0;if((l|0)!=0){m=l;break}l=dd(c[(cd()|0)>>2]|0)|0;Sn(0,434168,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=Ni(0)|0;if((l|0)==0){Sn(0,423184,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=XR(c[k>>2]|0,32)|0;o=a+12|0;p=XR((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=414320;c[p+12>>2]=0;c[p+16>>2]=0;Yi(l,d);Zi(l,14,16);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;yS(p|0,0,1024)|0;while(1){q=pd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((_i(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=gj(dj(l)|0)|0;r=ej(l)|0;Pa(m|0)|0;Ui(l);q=c[a>>2]|0;Sn(0,39840,(n=i,i=i+32|0,c[n>>2]=35120,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Pa(m|0)|0;break}}else{if((_i(l,d,vS(d|0)|0,1)|0)!=0){break}r=gj(dj(l)|0)|0;p=ej(l)|0;Ui(l);q=c[j>>2]|0;Sn(0,31280,(n=i,i=i+32|0,c[n>>2]=35120,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){od(28240,35120,295,439784)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{od(25272,35120,297,439784)}}function jF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((tS(426024,b)|0)==0){if((tS(c[d>>2]|0,425336)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}Rn(0,j,424552,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[113194]|0;a=c[115518]|0;do{if((j|0)==0|(a|0)==0){c[115518]=32;l=VR(1152)|0;c[113194]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[115518]=a<<1;o=YR(j,a*72|0)|0;c[113194]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;xS(m+(n*36|0)|0,pF(c[d+4>>2]|0)|0,36)|0;i=e;return}if((tS(423784,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((tS(422632,q)|0)==0){c[115604]=Qc(c[p+4>>2]|0)|0}else{if((tS(422024,q)|0)==0){c[115605]=Va(c[p+4>>2]|0,0,10)|0;break}if((tS(421280,q)|0)==0){c[115607]=Va(c[p+4>>2]|0,0,10)|0;break}if((tS(419672,q)|0)==0){c[115606]=Va(c[p+4>>2]|0,0,10)|0;break}if((tS(418712,q)|0)==0){c[115608]=Va(c[p+4>>2]|0,0,10)|0;break}if((tS(417856,q)|0)!=0){r=23;break a}c[115609]=(tS(c[p+4>>2]|0,417120)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){Sn(0,416464,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((tS(433168,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;Sn(0,415720,(k=i,i=i+24|0,c[k>>2]=35120,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((tS(414944,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;Sn(0,413424,(k=i,i=i+16|0,c[k>>2]=35120,c[k+8>>2]=r,k)|0);i=k}r=Va(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;Sn(0,412576,(k=i,i=i+32|0,c[k>>2]=35120,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=411712;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((tS(435712,b)|0)!=0){if((tS(426728,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=409632;f=Qc(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=342824;i=e;return}c[113199]=0;c[113200]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((tS(f,425336)|0)==0){c[113199]=Qc(c[b+4>>2]|0)|0}else{if((tS(f,410904)|0)!=0){break}c[113200]=Qc(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[113199]|0)==0){s=0;break}s=(c[113200]|0)!=0|0}}while(0);Rn(0,s,410128,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[113198]=-1;c[113201]=c[115604];c[113202]=c[115605];c[113203]=c[115606];c[113204]=c[115607];c[113205]=c[115608];c[113206]=c[115609];i=e;return}function kF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((tS(435712,b)|0)==0){oF(452792);i=d;return}if((tS(433168,b)|0)==0){l=e+24|0;m=VR((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=VR(36)|0;xS(n|0,(c[113194]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((tS(431176,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Tb(l+(g*20|0)+8|0,429696,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((tS(428576,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Tb(e+(g*20|0)+8|0,427544,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((tS(426728,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function lF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){iF(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function mF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){iF(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){Sn(0,22688,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){Sn(0,438672,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function nF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){WR(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){WR(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}WR(i);c[b>>2]=0;return}function oF(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;xS(a,e,36)|0;e=VR(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;xS(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=vS(f|0)|0;j=c[113196]|0;do{if((j|0)==0){k=e;c[113196]=k;c[e+44>>2]=0;l=VR(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Qb(-1|0)}yS(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=VR(384)|0;c[l>>2]=n;if((n|0)==0){Qb(-1|0)}else{yS(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[113196]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[113196]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=vS(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(vS(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 5:{A=x;B=a;C=17;break};case 1:{D=y;E=x;F=a;C=21;break};case 8:{G=a;C=14;break};case 3:{H=y;I=x;J=a;C=19;break};case 2:{K=y;L=x;M=a;C=20;break};case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;N=w;C=12;break};case 10:{N=a;C=12;break};case 9:{O=a;C=13;break};case 7:{P=x;Q=a;C=15;break};case 4:{R=x;S=a;C=18;break};case 6:{T=x;U=a;C=16;break};default:{V=y;W=x;X=a}}if((C|0)==12){a=((d[v+9|0]|0)<<16)+N|0;c[p>>2]=a;O=a;C=13}if((C|0)==13){a=((d[v+8|0]|0)<<8)+O|0;c[p>>2]=a;G=a;C=14}if((C|0)==14){P=((d[v+7|0]|0)<<24)+x|0;Q=G;C=15}if((C|0)==15){T=((d[v+6|0]|0)<<16)+P|0;U=Q;C=16}if((C|0)==16){A=((d[v+5|0]|0)<<8)+T|0;B=U;C=17}if((C|0)==17){R=(d[v+4|0]|0)+A|0;S=B;C=18}if((C|0)==18){H=((d[v+3|0]|0)<<24)+y|0;I=R;J=S;C=19}if((C|0)==19){K=((d[v+2|0]|0)<<16)+H|0;L=I;M=J;C=20}if((C|0)==20){D=((d[v+1|0]|0)<<8)+K|0;E=L;F=M;C=21}if((C|0)==21){V=(d[v]|0)+D|0;W=E;X=F}F=V-W-X^X>>>13;V=W-X-F^F<<8;W=X-F-V^V>>>13;X=F-V-W^W>>>12;F=V-W-X^X<<16;V=W-X-F^F>>>5;W=X-F-V^V>>>3;X=F-V-W^W<<10;F=V-W-X^X>>>15;c[p>>2]=F;p=c[g>>2]|0;X=F&(c[p+4>>2]|0)-1;F=c[p>>2]|0;p=F+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[F+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[113196]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[113196]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=VR((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Qb(-1|0)}yS(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{F=X;X=Y;while(1){p=F+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[F+28>>2];E=g+(V*12|0)+4|0;D=(c[E>>2]|0)+1|0;c[E>>2]=D;v=c[X+24>>2]|0;if(D>>>0>v>>>0){D=X+28|0;c[D>>2]=(c[D>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[E>>2]|0)>>>0)/(v>>>0)|0}c[F+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=F}c[v>>2]=F;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{F=W;X=v}}}X=e+1|0;F=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=F;Y=_}else{Z=F;break}}}WR(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function pF(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[113196]|0;a:do{if((e|0)==0){f=24}else{g=vS(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(vS(a|0)|0)+s|0;switch(v|0){case 1:{x=u;y=t;z=m;f=15;break};case 10:{A=m;f=6;break};case 8:{B=m;f=8;break};case 11:{A=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 6:{C=u;D=m;f=10;break};case 5:{E=u;F=m;f=11;break};case 4:{G=u;H=m;f=12;break};case 3:{I=u;J=t;K=m;f=13;break};case 7:{L=u;M=m;f=9;break};case 2:{N=u;O=t;P=m;f=14;break};case 9:{Q=m;f=7;break};default:{R=u;S=t;T=m}}if((f|0)==6){Q=((d[w+9|0]|0)<<16)+A|0;f=7}if((f|0)==7){B=((d[w+8|0]|0)<<8)+Q|0;f=8}if((f|0)==8){L=((d[w+7|0]|0)<<24)+u|0;M=B;f=9}if((f|0)==9){C=((d[w+6|0]|0)<<16)+L|0;D=M;f=10}if((f|0)==10){E=((d[w+5|0]|0)<<8)+C|0;F=D;f=11}if((f|0)==11){G=(d[w+4|0]|0)+E|0;H=F;f=12}if((f|0)==12){I=G;J=((d[w+3|0]|0)<<24)+t|0;K=H;f=13}if((f|0)==13){N=I;O=((d[w+2|0]|0)<<16)+J|0;P=K;f=14}if((f|0)==14){x=N;y=((d[w+1|0]|0)<<8)+O|0;z=P;f=15}if((f|0)==15){R=x;S=(d[w]|0)+y|0;T=z}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=vS(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((sS(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((kb(a|0,42128)|0)==0){V=0;break}else{W=16680}i=b;return W|0}}while(0);Rn(0,(V|0)!=0|0,40656,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function qF(a,b){a=a|0;b=b|0;var c=0;if((rF(425232,a,b)|0)!=0){c=1;return c|0}c=(rF(434032,a,b)|0)!=0|0;return c|0}function rF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((tS(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function sF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;Rn(0,(tS(c[113112]|0,423080)|0)==0|0,414176,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Rn(0,(tS(c[113176]|0,423080)|0)==0|0,39704,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Rn(0,(tS(c[113144]|0,423080)|0)==0|0,35040,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;yS(453552,0,120)|0;yS(453432,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[452208+(k<<2)>>2]|0;if((l|0)==1){if((rF(c[452328+(k<<2)>>2]|0,1,h)|0)!=0){m=5;break}}else if((l|0)==2){n=c[452328+(k<<2)>>2]|0;if(!((rF(n,1,h)|0)==0|(j|0)>=(a|0))){m=9;break}o=c[452328+(k<<2)>>2]|0;if((uF(o,h)|0)!=0){m=13;break}}l=k+1|0;if((l|0)<30){k=l}else{m=17;break a}}if((m|0)==5){m=0;l=453552+(k<<2)|0;if((c[l>>2]|0)!=0){m=6;break}c[l>>2]=1;p=f}else if((m|0)==9){m=0;l=453552+(k<<2)|0;if((c[l>>2]|0)!=0){m=10;break}c[l>>2]=1;c[453432+(k<<2)>>2]=tF(n,h)|0;p=j}else if((m|0)==13){m=0;l=453552+(k<<2)|0;if((c[l>>2]|0)!=0){m=14;break}c[l>>2]=1;c[453432+(k<<2)>>2]=vF(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;m=19;break}}if((m|0)==6){Qn(1,0,31208,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==10){Qn(1,0,31208,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==14){Qn(1,0,31208,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==17){Qn(1,0,28208,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==19){i=d;return g|0}return 0}function tF(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((tS(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function uF(a,b){a=a|0;b=b|0;return(vF(a,b)|0)!=0|0}function vF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=vS(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((uS(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function wF(){return}function xF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Qb(0);return 0}e=c[u>>2]|0;Ya(29424,5,1,e|0)|0;f=b;b=0;while(1){Wa(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Ya(426440,20,1,e|0)|0;Qb(0);return 0}function yF(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;td(d|0,427304,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Qb(1)}else{Ta(d|0)|0;GF();Ta(d|0)|0;qb(6,0)|0;sd()}}function zF(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function AF(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function BF(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function CF(a){a=a|0;var b=0.0,c=0.0,d=0.0,e=0;b=+g[a>>2];c=b;if(b<0.0){d=-0.0- +U(.5-c);e=~~d;return e|0}else{d=+U(c+.5);e=~~d;return e|0}return 0}function DF(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=b+d|0;g=c+e|0;if((d|0)>(e|0)){a:do{if((e|0)>0){h=b;i=c;while(1){j=a[h]|0;k=a[i]|0;if(!(j<<24>>24==k<<24>>24)){break}l=h+1|0;m=i+1|0;if(m>>>0<g>>>0){h=l;i=m}else{n=l;break a}}o=(j&255)-(k&255)|0;return o|0}else{n=b}}while(0);while(1){if(!(n>>>0<f>>>0)){o=0;p=16;break}q=a[n]|0;if(q<<24>>24==32){n=n+1|0}else{break}}if((p|0)==16){return o|0}o=(q&255)-32|0;return o|0}else{b:do{if((d|0)>0){q=b;n=c;while(1){r=a[q]|0;s=a[n]|0;if(!(r<<24>>24==s<<24>>24)){break}k=q+1|0;j=n+1|0;if(k>>>0<f>>>0){q=k;n=j}else{t=j;break b}}o=(r&255)-(s&255)|0;return o|0}else{t=c}}while(0);while(1){if(!(t>>>0<g>>>0)){o=0;p=16;break}u=a[t]|0;if(u<<24>>24==32){t=t+1|0}else{break}}if((p|0)==16){return o|0}o=32-(u&255)|0;return o|0}return 0}function EF(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}yS(n|0,32,b+(d-n)|0)|0;return}function FF(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=462464+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[462508+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[462504+(d*48|0)>>2]|0)==1){HF(b)|0}i=462468+(d*48|0)|0;if((c[i>>2]|0)==0){break}Pa(c[e>>2]|0)|0;WR(c[i>>2]|0)}}while(0);do{if((g|0)==10){Pa(f|0)|0;b=462468+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Qd(i|0)|0;WR(c[b>>2]|0)}}while(0);c[e>>2]=0}c[462500+(d*48|0)>>2]=0;c[462468+(d*48|0)>>2]=0;return 0}function GF(){var a=0;if((c[115610]|0)!=0){return}c[115610]=1;c[115612]=0;a=0;do{c[115611]=a;FF(462440)|0;a=a+1|0;}while((a|0)<100);return}function HF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[462480+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=462464+(b*48|0)|0;f=c[e>>2]|0;g=Pb(f|0)|0;Bd(f|0,0,2)|0;if((g|0)>=(Pb(f|0)|0)){d=0;return d|0}if((c[462484+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[462492+(b*48|0)>>2]&2|0)!=0){Ta(c[e>>2]|0)|0}b=kd(lb(c[e>>2]|0)|0,g|0)|0;Bd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){JF(111,36544);d=111;return d|0}else{c[(cd()|0)>>2]=111;d=111;return d|0}return 0}function IF(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if((ed(lb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else if((f|0)==8192){e=(Sc(lb(a|0)|0)|0)==0|0;break}else if((f|0)==24576){e=1;break}else{e=0;break}}}while(0);i=b;return e|0}function JF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){mb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;td(f|0,414272,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){td(f|0,413216,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[452080+(a-100<<2)>>2]|0;td(f|0,412368,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[118078]|0;do{if((b|0)==0){Ya(409424,29,1,e|0)|0}else{td(e|0,411528,(g=i,i=i+8|0,c[g>>2]=(b-462464|0)/48|0,g)|0)|0;i=g;a=c[(c[118078]|0)+4>>2]|0;if((a|0)==0){Ya(409960,10,1,e|0)|0;break}else{td(e|0,410648,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[118062]|0;if((b|0)!=0){td(e|0,342616,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[118018]|0)!=0?39224:38864;a=(c[118060]|0)!=0?38440:38e3;f=(c[118064]|0)!=0?37680:37264;td(e|0,41928,(g=i,i=i+32|0,c[g>>2]=(c[118038]|0)!=0?41368:39832,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;yF(36984,1);i=d;return}function KF(){var a=0;c[118048]=1;a=c[u>>2]|0;c[115616]=a;c[115621]=IF(a)|0;c[115622]=1;c[115626]=1;a=c[p>>2]|0;c[115676]=a;c[115681]=IF(a)|0;c[115682]=1;c[115686]=0;a=c[r>>2]|0;c[115688]=a;c[115693]=IF(a)|0;c[115694]=1;c[115698]=1;return}function LF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=ub(f|0,c[16720+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[118096]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Pb(c[i>>2]|0)|0;j=ub(c[e>>2]|0,c[16720+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[118096]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;Bd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(cd()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}Bd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function MF(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){JF(b,d)}d=c[118074]|0;if((d|0)!=0){oe[d&15]()|0}c[(cd()|0)>>2]=b;return b|0}function NF(a){a=a|0;c[118042]=0;c[118024]=0;c[118044]=0;return((OF(a,0)|0)==0)<<31>>31|0}function OF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==32){e=f}else if((b<<24>>24|0)==40){break}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[118044]|0;c[118044]=h+1;if((h|0)==1){c[118024]=d}if((TF(1,d,0,0)|0)<0){g=0;return g|0}d=UF(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function PF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[118042]|0;k=467264+(j<<4)|0;l=c[k>>2]|0;switch(QF(l)|0){case 9:{m=(be[c[118072]&255](k)|0)==0;c[118042]=(c[118042]|0)+1;if(m){break b}else{continue b}break};case 2:{c[118084]=0;c[118022]=0;c[118042]=c[467268+(j<<4)>>2];if(b){n=24;break a}if((c[115614]|0)==0){h=0;n=37;break a}m=oe[c[118068]&15]()|0;if((m|0)==0){continue b}else{h=m;n=37;break a}break};case 18:{c[118082]=1;c[118042]=j+1;continue b;break};case 20:{c[118020]=c[467268+(j<<4)>>2];c[118042]=j+1;continue b;break};case 1:{m=c[467268+(j<<4)>>2]|0;o=(c[118022]|0)+1|0;c[118022]=o;c[472104+(o<<2)>>2]=m;c[118042]=j+1;continue b;break};case 21:{c[118098]=0;c[118042]=j+1;continue b;break};case 22:{c[118098]=1;c[118042]=j+1;continue b;break};case 16:{if(b){n=28;break a}c[118042]=j+1;continue b;break};case 33:{c[118046]=1;c[118042]=j+1;continue b;break};case 17:case 19:{c[118082]=0;c[118042]=j+1;continue b;break};case 6:{m=c[467268+(j<<4)>>2]|0;o=(c[118084]|0)+1|0;c[118084]=o;c[472344+(o<<2)>>2]=m;c[118042]=j+1;continue b;break};case 8:{m=c[118084]|0;p=472344+(m<<2)|0;q=c[p>>2]|0;if((q|0)>=1){n=10;break b}c[118084]=m-1;c[118042]=j+1;continue b;break};case 3:{m=c[118084]|0;o=472344+(m<<2)|0;r=(c[o>>2]|0)-1|0;c[o>>2]=r;if((r|0)<1){c[118084]=m-1;c[118022]=(c[118022]|0)-1;c[118042]=j+1;continue b}else{j=c[118022]|0;c[118022]=j-1;c[118042]=(c[472104+(j<<2)>>2]|0)+1;continue b}break};default:{n=4;break a}}}if((n|0)==10){n=0;if(b){n=11;break}c[p>>2]=q-1;c[115614]=1;j=de[c[118076]&127](k,f,d)|0;if((j|0)>0){n=13;break}if((j|0)<0){n=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;n=37;break}}if((n|0)==4){g=c[118062]|0;td(c[u>>2]|0,432648,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[118066]>>2]|0)==0){JF(100,435384);h=100;i=e;return h|0}else{c[(cd()|0)>>2]=100;h=100;i=e;return h|0}}else if((n|0)==11){h=oe[c[118074]&15]()|0;i=e;return h|0}else if((n|0)==13){d=c[c[118066]>>2]|0;h=MF(d,c[(cd()|0)>>2]|0,423696)|0;i=e;return h|0}else if((n|0)==15){if((c[(c[118066]|0)+8>>2]|0)==0){JF(-1,423696);h=-1;i=e;return h|0}else{c[(cd()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((n|0)==24){h=oe[c[118074]&15]()|0;i=e;return h|0}else if((n|0)==28){h=oe[c[118074]&15]()|0;i=e;return h|0}else if((n|0)==37){i=e;return h|0}return 0}function QF(a){a=a|0;var b=0;switch(a|0){case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};default:{b=a}}return b|0}function RF(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=PF(b,0,0)|0;i=a;return d|0}function SF(){c[118080]=0;c[118042]=0;c[118022]=0;c[118084]=0;c[115614]=0;c[118026]=0;c[118086]=0;return}function TF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[118042]|0;if((f|0)>299){Ya(40448,24,1,c[u>>2]|0)|0;yF(c[118062]|0,1);g=c[118042]|0}else{g=f}c[467264+(f<<4)>>2]=a;c[467268+(f<<4)>>2]=b;c[467272+(f<<4)>>2]=d;c[467276+(f<<4)>>2]=e;c[118042]=g+1;return g|0}function UF(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=VF(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[118044]|0)-1|0;c[118044]=g;if((g|0)==0){TF(2,c[118024]|0,0,0)|0;e=i+1|0;return e|0}else{TF(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function VF(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((WF(b,e)|0)!=0){g=c[e>>2]|0;break}if((XF(b,e)|0)!=0){g=c[e>>2]|0;break}h=YF(b,f,1)|0;j=TF(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=OF(h,j)|0}}while(0);i=d;return g|0}function WF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 66:case 98:{g=b+1|0;h=a[g]|0;if((h<<24>>24|0)==122|(h<<24>>24|0)==90){TF(22,0,0,0)|0;j=g;k=30;break a}else{TF(21,0,0,0)|0;j=g;k=30;break a}break};case 36:{TF(33,0,0,0)|0;j=b;k=30;break};case 84:case 116:{g=b+1|0;h=a[g]|0;if((h<<24>>24|0)==114|(h<<24>>24|0)==82){l=14;m=g}else if((h<<24>>24|0)==108|(h<<24>>24|0)==76){l=13;m=g}else{l=15;m=b}g=YF(m+1|0,f,0)|0;if((g|0)==0){k=15;break a}TF(l,c[f>>2]|0,0,0)|0;j=g-1|0;k=30;break};case 2:case 34:case 39:{c[467272+((TF(11,0,0,0)|0)<<4)>>2]=b;g=ZF(b)|0;c[d>>2]=g;n=(g|0)!=0|0;i=e;return n|0};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{o=0;p=b;k=14;break};case 80:case 112:{TF(20,1,0,0)|0;j=b;k=30;break};case 58:{TF(16,0,0,0)|0;j=b;k=30;break};case 45:{q=1;k=13;break};case 88:case 120:{TF(4,1,0,0)|0;j=b;k=30;break};case 83:case 115:{g=b+1|0;h=a[g]|0;if((h<<24>>24|0)==115|(h<<24>>24|0)==83){r=19;s=g}else if((h<<24>>24|0)==112|(h<<24>>24|0)==80){r=18;s=g}else{r=17;s=b}TF(r,0,0,0)|0;j=s;k=30;break};case 47:{TF(5,0,0,0)|0;j=b;k=30;break};case 43:{q=0;k=13;break};default:{n=0;i=e;return n|0}}}while(0);if((k|0)==13){o=q;p=b+1|0;k=14}b:do{if((k|0)==14){b=YF(p,f,0)|0;if((b|0)==0){k=15;break}switch(a[b]|0){case 80:case 112:{q=c[f>>2]|0;if((o|0)==0){t=q}else{s=-q|0;c[f>>2]=s;t=s}TF(20,t,0,0)|0;j=b;k=30;break b;break};case 72:case 104:{s=c[f>>2]|0;c[467272+((TF(12,s,0,0)|0)<<4)>>2]=b+1;j=b+s|0;k=30;break b;break};case 88:case 120:{TF(4,c[f>>2]|0,0,0)|0;j=b;k=30;break b;break};default:{n=0;i=e;return n|0}}}}while(0);if((k|0)==15){c[d>>2]=0;n=1;i=e;return n|0}else if((k|0)==30){c[d>>2]=j+1;n=1;i=e;return n|0}return 0}function XF(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=YF(b,f,1)|0;TF(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 71:case 103:{l=0;m=3;break};case 65:case 97:{n=f;while(1){o=a[n]|0;if(o<<24>>24==32){n=n+1|0}else{break}}if(!((o-48&255)>>>0<10>>>0)){TF(30,0,0,0)|0;p=n;m=45;break a}q=YF(n,g,1)|0;r=c[g>>2]|0;if((r|0)==0){p=q;m=45;break a}TF(31,r,0,0)|0;p=q;m=45;break};case 73:case 105:{s=10;t=7;m=38;break};case 79:case 111:{s=34;t=32;m=38;break};case 90:case 122:{s=36;t=35;m=38;break};case 70:case 102:{q=YF(f,g,0)|0;if((q|0)==0){m=4;break a}r=c[g>>2]|0;if((r|0)==0){p=q;m=45;break a}if((a[q]|0)==46){u=YF(q+1|0,h,0)|0;if((u|0)==0){m=4;break a}v=u;w=c[h>>2]|0}else{c[h>>2]=0;v=q;w=0}TF(23,r,w,0)|0;p=v;m=45;break};case 69:case 101:{l=1;m=3;break};case 76:case 108:{r=YF(f,g,0)|0;if((r|0)==0){m=4;break a}q=c[g>>2]|0;if((q|0)==0){p=r;m=45;break a}TF(29,q,0,0)|0;p=r;m=45;break};case 68:case 100:{r=YF(f,g,0)|0;if((r|0)==0){m=4;break a}q=c[g>>2]|0;if((q|0)==0){p=r;m=45;break a}if((a[r]|0)==46){u=YF(r+1|0,h,0)|0;if((u|0)==0){m=4;break a}x=u;y=c[h>>2]|0}else{c[h>>2]=0;x=r;y=0}TF(26,q,y,0)|0;p=x;m=45;break};default:{c[118042]=(c[118042]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((m|0)==3){b=YF(f,g,0)|0;if((b|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){p=b;m=45;break}y=a[b]|0;if(y<<24>>24==46){v=YF(b+1|0,h,0)|0;if((v|0)==0){m=4;break}A=v;B=a[v]|0}else{c[h>>2]=0;A=b;B=y}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){TF((l|0)==1?24:27,x,c[h>>2]|0,0)|0;p=A;m=45;break}y=YF(A+1|0,j,0)|0;if((y|0)==0){m=4;break}TF((l|0)==1?25:28,x,c[h>>2]|0,c[j>>2]|0)|0;p=y;m=45}else if((m|0)==38){y=YF(f,g,0)|0;if((y|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){p=y;m=45;break}if((a[y]|0)!=46){TF(t,x,0,0)|0;p=y;m=45;break}b=YF(y+1|0,h,0)|0;if((b|0)==0){m=4;break}TF(s,x,c[h>>2]|0,0)|0;p=b;m=45}}while(0);if((m|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((m|0)==45){c[d>>2]=p;z=1;i=e;return z|0}return 0}function YF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function ZF(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[118066]>>2]|0)==0){JF(100,414840);l=0;return l|0}else{c[(cd()|0)>>2]=100;l=0;return l|0}return 0}function _F(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[472222]=48;i=472222;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=472200+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function $F(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[118058]|0;e=c[118036]|0;if((d|0)>(e|0)){c[118036]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4186]|0)){g=f}else{aG(e,f);g=c[118036]|0}f=c[4188]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;_a(f|0,c[118096]|0)|0;g=vS(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Wa(a[k]|0,c[118096]|0)|0;_a(g|0,c[118096]|0)|0;f=vS(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function aG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4188]|0;if((e|0)==472400){c[4186]=1024;f=1024}else{f=c[4186]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4186]=h;g=h}h=VR(g)|0;if((h|0)==0){JF(113,431160);i=c[4188]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4188]|0}else{j=i}if((j|0)==472400){c[4188]=h;return}WR(j);c[4188]=h;return}function bG(b){b=b|0;var d=0,e=0,f=0;d=c[118036]|0;e=c[4186]|0;if((d|0)<(e|0)){f=d}else{aG(d,e);f=c[118036]|0}c[118036]=f+1;a[(c[4188]|0)+f|0]=b;return}function cG(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[118064]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){JF(101,31344);k=101;i=d;return k|0}else{c[(cd()|0)>>2]=101;k=101;i=d;return k|0}}if((c[118048]|0)==0){KF();l=c[h>>2]|0}else{l=j}j=462464+(l*48|0)|0;c[118078]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;hG(j,c[b+12>>2]|0,n);o=iG(n,g)|0;if((o|0)==(c[462472+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[462476+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=FF(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[462496+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=462480+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[462496+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=462488+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[462488+(l*48|0)>>2]=1;r=1;break}else{c[462488+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Rb(e|0,28280,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;hG(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){dG(107,31344,b);k=107;i=d;return k|0}else{c[(cd()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=462508+(l*48|0)|0;c[q>>2]=0;c[462500+(l*48|0)>>2]=0;h=462504+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=462492+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 115:case 83:{c[q>>2]=1;j=Ab()|0;c[m>>2]=j;if((j|0)!=0){c[462468+(l*48|0)>>2]=0;c[462476+(l*48|0)>>2]=-1;c[462472+(l*48|0)>>2]=-1;c[462484+(l*48|0)>>2]=1;k=0;i=d;return k|0}j=(c[b>>2]|0)==0;n=cd()|0;s=c[n>>2]|0;if(j){dG(s,31344,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 111:case 79:{if((Ob(e|0,0)|0)==0){break b}s=(c[b>>2]|0)==0;n=cd()|0;j=c[n>>2]|0;if(s){dG(j,31344,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};case 114:case 82:{break};case 110:case 78:{if((Ob(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){dG(128,31344,b);k=128;i=d;return k|0}else{c[(cd()|0)>>2]=128;k=128;i=d;return k|0}break};default:{break b}}}while(0);j=Cc(e|0,c[4180]|0)|0;if((j|0)==0){break}Pa(j|0)|0}}while(0);q=e|0;e=VR((vS(q|0)|0)+1|0)|0;c[462468+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){dG(113,25312,b);k=113;i=d;return k|0}else{c[(cd()|0)>>2]=113;k=113;i=d;return k|0}}ES(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=Cc(q|0,c[16720+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=Cc(q|0,c[16736+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=Cc(q|0,c[16720+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=cd()|0;j=c[o>>2]|0;if(g){JF(j,31344);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=462484+(l*48|0)|0;c[r>>2]=IF(u)|0;u=iG(q,462476+(l*48|0)|0)|0;c[462472+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){dG(108,31344,b);k=108;i=d;return k|0}else{c[(cd()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){Fd(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((Bd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){dG(129,31344,b);k=129;i=d;return k|0}else{c[(cd()|0)>>2]=129;k=129;i=d;return k|0}return 0}function dG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){JF(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4186]|0)){h=f;i=d}else{aG(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4188]|0;c[(c[118078]|0)+4>>2]=g;hG(h,i,g);JF(a,b);return}function eG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Rb(g|0,28280,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=vS(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?22768:438664;c[f+24>>2]=(b|0)==5?435704:433160;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=cG(f)|0;i=e;return a|0}function fG(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=462464+(b*48|0)|0;c[118078]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){JF(101,422624);e=101;return e|0}else{c[(cd()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((eG(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){JF(114,432944);e=114;return e|0}else{c[(cd()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[462488+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){JF(102,432944);e=102;return e|0}else{c[(cd()|0)>>2]=102;e=102;return e|0}return 0}function gG(){var a=0;a=RF()|0;c[118062]=0;return a|0}function hG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function iG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((Id(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function jG(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[118020]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[118082]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Rb(v|0,421264,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(vS(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;_d[c[118040]&511](32);}while((B|0)>0)}if((A|0)!=0){_d[c[118040]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{_d[c[118040]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Wc(B|0)|0)+1|0;Rb(B|0,432552,(w=i,i=i+8|0,c[w>>2]=p-(c[118020]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;_d[c[118040]&511](32);}while((z|0)>0)}if((s|0)!=0){_d[c[118040]&511]((t|0)!=0?45:43)}z=c[118020]|0;do{if((z|0)<1){_d[c[118040]&511](46);u=c[118040]|0;if((z|0)<0){F=z;w=u;while(1){_d[w&511](48);H=F+1|0;I=c[118040]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}_d[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}_d[c[118040]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[118040]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){_d[F&511](a[J]|0);P=O-1|0;Q=c[118040]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}_d[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;_d[c[118040]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){_d[c[118040]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;_d[c[118040]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){_d[c[118040]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{_d[c[118040]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;_d[c[118040]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;_d[c[118040]&511](42);}while((Y|0)>0);i=k;return 0}function kG(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[118020]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Rb(b|0,413360,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[118082]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;_d[c[118040]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;_d[c[118040]&511](32);}while((r|0)>0)}do{if(o){if((c[118082]|0)==0){break}_d[c[118040]&511](43)}else{_d[c[118040]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;_d[c[118040]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;_d[c[118040]&511](48);}while((w|0)>0);i=j;return 0}function lG(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==4){g=c[d>>2]|0}else if((f|0)==1){g=a[d]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{_d[c[118040]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[118040]|0;if((g|0)==0){_d[d&511](70);return 0}else{_d[d&511](84);return 0}return 0}function mG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[118080]|0)==0){f=3}else{g=nG()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 29:{lG(b,c[a+4>>2]|0,d)|0;h=0;break a;break};case 32:{oG(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 34:{pG(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 10:{pG(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 27:case 28:{h=sG(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 31:{rG(b,c[a+4>>2]|0,d);h=0;break a;break};case 7:{break};case 23:{h=kG(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 36:{tG(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 30:{qG(b,d);h=0;break a;break};case 26:case 24:case 25:{h=jG(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 35:{tG(b,c[a+4>>2]|0,0,d);h=0;break a;break};default:{td(c[u>>2]|0,421072,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;yF(c[118062]|0,1)}}oG(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function nG(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[118080]|0;c[118080]=0;if((c[118064]|0)!=0){if((a|0)>0){b=c[118058]|0;d=c[118036]|0;if((b|0)<=(d|0)){e=a;while(1){_d[c[118040]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[118036]=e;g=0;return g|0}e=a-b+d|0;c[118036]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){_d[c[118040]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[118036]|0;e=h+a|0;if((e|0)>=0){if((c[118058]|0)<(h|0)){c[118058]=h}c[118036]=e;g=0;return g|0}if((c[c[118066]>>2]|0)==0){JF(110,422504);g=110;return g|0}else{c[(cd()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[118036]|0;if((c[118058]|0)<(e|0)){c[118058]=e}h=e+a|0;c[118036]=h;c[118056]=(c[118056]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[118066]>>2]|0)==0){JF(110,422504);g=110;return g|0}else{c[(cd()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[118036]|0;e=h+a|0;if((e|0)>=(c[(c[118016]|0)+16>>2]|0)){if((c[c[118066]>>2]|0)==0){JF(110,413352);g=110;return g|0}else{c[(cd()|0)>>2]=110;g=110;return g|0}}b=c[118058]|0;if((b|0)<=(h|0)){d=a;while(1){_d[c[118040]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[118056]=(c[118056]|0)+a;c[118036]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[118056]=(c[118056]|0)+e;c[118036]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){_d[c[118040]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function oG(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==4){l=c[d>>2]|0}else if((f|0)==1){l=a[d]|0}else{l=b[d>>1]|0}d=_F(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[118082]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{_d[c[118040]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{_d[c[118040]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[118082]|0)==0){break}_d[c[118040]&511](43)}else{_d[c[118040]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){_d[c[118040]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function pG(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==4){m=c[d>>2]|0}else if((g|0)==1){m=a[d]|0}else{m=b[d>>1]|0}d=_F(m,k,l,h)|0;h=c[l>>2]|0;g=(c[118082]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{_d[c[118040]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{_d[c[118040]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[118082]|0)==0){break}_d[c[118040]&511](43)}else{_d[c[118040]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){_d[c[118040]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){_d[c[118040]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{_d[c[118040]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function qG(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;_d[c[118040]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function rG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;_d[c[118040]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;_d[c[118040]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function sG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=jG(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=jG(a,b,d,e,f)|0;return l|0}}while(0);m=c[118020]|0;c[118020]=0;n=(e|0)==0?4:e+2|0;e=kG(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{_d[c[118040]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[118020]=m;l=e;return l|0}function tG(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{_d[c[118040]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{_d[c[118040]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;_d[c[118040]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){_d[c[118040]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){_d[c[118040]&511](a[344+((d[o]|0)>>>4)|0]|0);_d[c[118040]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function uG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=c[a>>2]|0;switch(d|0){case 5:{break};case 14:case 4:{c[118080]=(c[118080]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 15:{c[118080]=(c[a+4>>2]|0)-1-(c[118036]|0);e=1;i=b;return e|0};case 12:{e=wG(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};case 13:{f=(c[118080]|0)-(c[a+4>>2]|0)|0;c[118080]=f;g=-(c[118036]|0)|0;if((f|0)>=(g|0)){e=1;i=b;return e|0}c[118080]=g;e=1;i=b;return e|0};case 11:{e=vG(c[a+8>>2]|0)|0;i=b;return e|0};default:{td(c[u>>2]|0,432480,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;yF(c[118062]|0,1)}}e=oe[c[118070]&15]()|0;i=b;return e|0}function vG(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[118080]|0)!=0){d=nG()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}_d[c[118040]&511](d<<24>>24);l=g}else{_d[c[118040]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function wG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[118080]|0)!=0){e=nG()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;_d[c[118040]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function xG(){var a=0;a=$F(10)|0;c[118080]=0;c[118036]=0;c[118058]=0;return(a|0)==0|0}function yG(a){a=a|0;var b=0,d=0,e=0;if((c[118048]|0)==0){KF()}c[118038]=0;c[118018]=1;c[118060]=1;c[118064]=1;b=fG(a)|0;if((b|0)!=0){d=b;return d|0}c[118066]=a;c[118036]=0;c[118080]=0;c[118058]=0;c[118046]=0;c[118020]=0;b=c[a+12>>2]|0;c[118062]=b;c[118096]=c[c[118078]>>2];if((NF(b)|0)<0){if((c[a>>2]|0)==0){JF(100,419472);d=100;return d|0}else{c[(cd()|0)>>2]=100;d=100;return d|0}}c[118040]=256;c[118076]=28;c[118072]=192;c[118074]=2;c[118068]=6;c[118070]=8;SF();c[118082]=0;b=c[118078]|0;c[118098]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((LF(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=cd()|0;e=c[a>>2]|0;if(b){JF(e,432416);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function zG(){var a=0;if((c[118046]|0)==0){a=$F(10)|0}else{$F(0)|0;Ta(c[118096]|0)|0;a=0}c[118080]=0;c[118036]=0;c[118058]=0;return a|0}function AG(){var a=0,b=0;if((c[115614]|0)==0){a=0}else{b=$F(10)|0;c[115614]=0;a=b}c[118080]=0;c[118036]=0;c[118058]=0;return a|0}function BG(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[p>>2]|0;XG(478928,h,479056);c[119980]=442804;c[119982]=442824;c[119981]=0;OI(479928,478928);c[12e4]=0;c[120001]=-1;j=c[r>>2]|0;c[119708]=442488;wO(478836);yS(478840,0,24)|0;c[119708]=443024;c[119716]=j;xO(g,478836);k=AO(g,479256)|0;l=k;yO(g);c[119717]=l;c[119718]=479064;a[478876]=(be[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[119914]=442708;c[119915]=442728;OI(479660,478832);c[119933]=0;c[119934]=-1;l=c[u>>2]|0;c[119720]=442488;wO(478884);yS(478888,0,24)|0;c[119720]=443024;c[119728]=l;xO(f,478884);k=AO(f,479256)|0;g=k;yO(f);c[119729]=g;c[119730]=479072;a[478924]=(be[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[119958]=442708;c[119959]=442728;OI(479836,478880);c[119977]=0;c[119978]=-1;g=c[(c[(c[119958]|0)-12>>2]|0)+479856>>2]|0;c[119936]=442708;c[119937]=442728;OI(479748,g);c[119955]=0;c[119956]=-1;c[(c[(c[119980]|0)-12>>2]|0)+479992>>2]=479656;g=(c[(c[119958]|0)-12>>2]|0)+479836|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[119958]|0)-12>>2]|0)+479904>>2]=479656;JG(478776,h,479080);c[119892]=442756;c[119894]=442776;c[119893]=0;OI(479576,478776);c[119912]=0;c[119913]=-1;c[119670]=442416;wO(478684);yS(478688,0,24)|0;c[119670]=442952;c[119678]=j;xO(e,478684);j=AO(e,479248)|0;h=j;yO(e);c[119679]=h;c[119680]=479088;a[478724]=(be[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[119822]=442660;c[119823]=442680;OI(479292,478680);c[119841]=0;c[119842]=-1;c[119682]=442416;wO(478732);yS(478736,0,24)|0;c[119682]=442952;c[119690]=l;xO(d,478732);l=AO(d,479248)|0;h=l;yO(d);c[119691]=h;c[119692]=479096;a[478772]=(be[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[119866]=442660;c[119867]=442680;OI(479468,478728);c[119885]=0;c[119886]=-1;h=c[(c[(c[119866]|0)-12>>2]|0)+479488>>2]|0;c[119844]=442660;c[119845]=442680;OI(479380,h);c[119863]=0;c[119864]=-1;c[(c[(c[119892]|0)-12>>2]|0)+479640>>2]=479288;h=(c[(c[119866]|0)-12>>2]|0)+479468|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[119866]|0)-12>>2]|0)+479536>>2]=479288;i=b;return}function CG(a){a=a|0;MJ(479656)|0;MJ(479744)|0;TJ(479288)|0;TJ(479376)|0;return}function DG(a){a=a|0;c[a>>2]=442416;yO(a+4|0);return}function EG(a){a=a|0;c[a>>2]=442416;yO(a+4|0);bS(a);return}function FG(b,d){b=b|0;d=d|0;var e=0;be[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=AO(d,479248)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(be[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function GG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=ce[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function HG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Ya(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((le[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function IG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ne[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function JG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=442416;j=b+4|0;wO(j);yS(b+8|0,0,24)|0;c[h>>2]=443352;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;xO(g,j);j=AO(g,479248)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=be[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(be[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){yO(g);i=f;return}IN(23752);yO(g);i=f;return}function KG(a){a=a|0;c[a>>2]=442416;yO(a+4|0);return}function LG(a){a=a|0;c[a>>2]=442416;yO(a+4|0);bS(a);return}function MG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=AO(d,479248)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=be[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(be[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}IN(23752);return}function NG(a){a=a|0;return QG(a,0)|0}function OG(a){a=a|0;return QG(a,1)|0}function PG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ne[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((jd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function QG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Db(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=ne[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==2){n=-1;y=22;break}else if((x|0)==3){y=14;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Db(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((jd(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function RG(a){a=a|0;c[a>>2]=442488;yO(a+4|0);return}function SG(a){a=a|0;c[a>>2]=442488;yO(a+4|0);bS(a);return}function TG(b,d){b=b|0;d=d|0;var e=0;be[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=AO(d,479256)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(be[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function UG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=ce[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function VG(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Ya(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((le[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function WG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ne[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function XG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=442488;j=b+4|0;wO(j);yS(b+8|0,0,24)|0;c[h>>2]=443424;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;xO(g,j);j=AO(g,479256)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=be[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(be[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){yO(g);i=f;return}IN(23752);yO(g);i=f;return}function YG(a){a=a|0;c[a>>2]=442488;yO(a+4|0);return}function ZG(a){a=a|0;c[a>>2]=442488;yO(a+4|0);bS(a);return}function _G(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=AO(d,479256)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=be[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(be[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}IN(23752);return}function $G(a){a=a|0;return cH(a,0)|0}function aH(a){a=a|0;return cH(a,1)|0}function bH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ne[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((jd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function cH(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Db(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=ne[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==3){z=14;break}else if((y|0)==2){o=-1;z=23;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Db(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((jd(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function dH(){BG(0);Gb(180,480008,s|0)|0;return}function eH(a){a=a|0;return}function fH(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function gH(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}_d[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function hH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=440648;d=a+4|0;if((d|0)==0){return}a=vS(b|0)|0;e=aS(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;xS(f|0,b|0,a+1|0)|0;return}function iH(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=440648;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}cS(e)}}while(0);bS(a);return}function jH(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=440648;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}cS(d);e=a|0;return}function kH(a){a=a|0;return c[a+4>>2]|0}function lH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=440552;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=vS(f|0)|0;b=aS(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;xS(g|0,f|0,d+1|0)|0;return}function mH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=440552;d=a+4|0;if((d|0)==0){return}a=vS(b|0)|0;e=aS(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;xS(f|0,b|0,a+1|0)|0;return}function nH(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=440552;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}cS(e)}}while(0);bS(a);return}function oH(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=440552;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}cS(d);e=a|0;return}function pH(a){a=a|0;return c[a+4>>2]|0}function qH(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=440648;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}cS(e)}}while(0);bS(a);return}function rH(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=440648;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}cS(e)}}while(0);bS(a);return}function sH(a){a=a|0;return}function tH(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function uH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;qe[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function vH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function wH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=dd(e|0)|0;e=vS(d|0)|0;if(e>>>0>4294967279>>>0){CH(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;xS(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=$R(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;xS(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function xH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{hI(e,418584,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;qe[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}hI(e,q,p)|0;if((a[l]&1)==0){break}bS(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];yS(k|0,0,12)|0;i=f;return}function yH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=vS(e|0)|0;if(j>>>0>4294967279>>>0){CH(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=$R(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}xS(k|0,e|0,j)|0;a[k+j|0]=0;xH(g,d,h);lH(b|0,g);if(!((a[g]&1)==0)){bS(c[g+8>>2]|0)}if(!((a[h]&1)==0)){bS(c[h+8>>2]|0)}c[b>>2]=442920;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function zH(a){a=a|0;oH(a|0);bS(a);return}function AH(a){a=a|0;oH(a|0);return}function BH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{sb(479008,478984)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;_d[d&511](b);h;c[a>>2]=-1;i;ib(479008)|0;return}function CH(a){a=a|0;a=Gd(8)|0;hH(a,432888);c[a>>2]=440616;xc(a|0,446960,50)}function DH(a){a=a|0;a=Gd(8)|0;hH(a,432888);c[a>>2]=440584;xc(a|0,446944,10)}function EH(a){a=a|0;yS(a|0,0,12)|0;return}function FH(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function GH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){CH(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=$R(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}xS(g|0,e|0,f)|0;a[g+f|0]=0;return}function HH(b){b=b|0;return(a[b]&1)!=0|0}function IH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){CH(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;xS(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=$R(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;xS(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function JH(a){a=a|0;return a|0}function KH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=vS(d|0)|0;if(e>>>0>4294967279>>>0){CH(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;xS(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=$R(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;xS(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function LH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){CH(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=$R(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}yS(f|0,e|0,d|0)|0;a[f+d|0]=0;return}



function $k(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{m=31;break c;break};case 7:{m=37;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 23:{b=b+2|0;break};case 11:{m=53;break c;break};case 6:{m=34;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 21:case 9:case 10:{m=40;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function al(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=Sk(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=Sk(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(n|0){case 22:case 24:{break};case 7:{l=38;break a;break};case 29:{if((c[12392+((d[8776+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 6:{l=35;break a;break};case 5:{l=32;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{l=17;break a;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};case 6:{l=14;break a;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){o=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{o=Sk(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 29:{if((c[12392+((d[13672+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 14:{l=56;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=Sk(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=Sk(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=Tk(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 2:{l=93;break a;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=Sk(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 17:{l=103;break a;break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=Sk(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12392+((d[8776+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function bl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function cl(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=Sk(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=Sk(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function dl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Sk(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=Yk(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function el(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};case 5:{m=31;break c;break};case 7:{m=37;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function fl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{m=18;b=b+2|0;n=86;break};case 25:case 26:case 27:case 23:{m=19;b=b+2|0;n=86;break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;m=18;n=86;break b}if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;m=19;n=86;break b}else{n=85;break b}break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 16:{k=Il(j,b+2|0,e,f)|0;break a;break};case 15:{k=Dl(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{n=26;break b}break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 30:{k=xl(j,b+2|0,e,f)|0;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 12:{k=Hl(12,j,b+2|0,e,f)|0;break a;break};case 13:{k=Hl(13,j,b+2|0,e,f)|0;break a;break};case 19:{k=Jl(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 21:case 10:{n=26;break};default:{n=85}}}while(0);if((n|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){n=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((q|0)==9){if((b+2|0)==(e|0)){n=36;break}}else if(!((q|0)==21|(q|0)==10)){break}}if((n|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((n|0)==85){c[f>>2]=b;k=0;break}else if((n|0)==86){c:while(1){if((b|0)==(e|0)){n=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 34:{n=130;break c;break};case 33:{n=133;break c;break};case 6:{n=99;break c;break};case 7:{n=102;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{n=105;break c;break};case 15:{n=136;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=93;break c}n=95;break};case 22:case 24:case 25:case 26:case 27:{n=95;break};case 5:{n=96;break c;break};case 23:{b=b+2|0;g=m;if((g|0)==41){m=19}else if((g|0)==18){if((b|0)==(e|0)){n=108;break c}m=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=114;break c}n=116;break};case 22:case 24:case 25:case 26:case 27:{n=116;break};case 5:{n=117;break c;break};case 6:{n=120;break c;break};case 7:{n=123;break c;break};default:{m=19}}if((n|0)==116){n=0;b=b+2|0}}break};default:{n=139;break c}}if((n|0)==95){n=0;b=b+2|0}}if((n|0)==93){c[f>>2]=b;k=0;break}else if((n|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==105){c[f>>2]=b;k=m;break}else if((n|0)==108){k=-1;break}else if((n|0)==114){c[f>>2]=b;k=0;break}else if((n|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==130){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((n|0)==133){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((n|0)==136){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((n|0)==139){c[f>>2]=b;k=0;break}else if((n|0)==141){k=-m|0;break}}}}while(0);i=h;return k|0}function gl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 2:{k=Al(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 3:{k=wl(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sk(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function hl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function il(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 0:case 1:case 8:{l=18;break a;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function jl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 9:{l=19;break a;break};case 6:{b=b+3|0;break};case 21:{l=29;break a;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 2:{l=15;break a;break};case 3:{l=12;break a;break};case 10:{l=16;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=wl(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function kl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 7:{b=b+4|0;break};case 30:{m=15;break a;break};case 9:{m=24;break a;break};case 10:{m=21;break a;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 3:{m=12;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=wl(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=xl(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function ll(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=18;break a}e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=20;break a}break};case 6:{k=9;break};case 5:{k=12;break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=Sk(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function ml(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function nl(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 5:{b=b+2|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};default:{break a}}}i=e;return b-c|0}function ol(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Sk(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function pl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 11:case 17:{if((g|0)!=2){break a}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Sk(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};default:{}}b=b+2|0}i=h;return k|0}function ql(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=ek(c)|0;k=j;i=b;return k|0}function rl(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){h=a[e+1|0]|0}else{h=-1}if((h|0)==108){f=60;g=f;i=b;return g|0}else if((h|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==4){if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((j|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}}f=0;g=f;i=b;return g|0}function sl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function tl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function ul(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g+1|0]|0;n=((k&3)<<4|(a[g|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function vl(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function wl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 19:{k=yl(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};case 7:{m=38;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function xl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 5:{m=32;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function yl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=zl(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function zl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Sk(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Al(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=Bl(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=Cl(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 15:{k=Dl(j,b+2|0,e,f)|0;break a;break};case 17:{k=El(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};case 7:{n=48;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 5:{n=42;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};case 5:{n=63;break c;break};case 6:{n=66;break c;break};case 22:case 24:{break};case 7:{n=69;break c;break};default:{n=72;break c}}b=b+2|0;break};case 6:{n=45;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 7:{n=90;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 29:{n=80;break e;break};case 6:{n=87;break e;break};case 21:case 9:case 10:{break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=Fl(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Bl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};case 0:case 1:case 8:{k=20;break b;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Cl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[19912+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Dl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 22:case 24:{break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:case 25:case 26:case 27:{break};case 7:{n=37;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 21:case 9:case 10:{n=40;break c;break};case 6:{n=34;break c;break};case 5:{n=31;break c;break};case 15:{n=67;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((Gl(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 0:case 1:case 8:{n=57;break d;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((Gl(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function El(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 7:{m=37;break c;break};case 21:case 9:case 10:{m=40;break c;break};case 11:{m=53;break c;break};case 23:{b=b+2|0;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function Fl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=Sk(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 29:{if((c[12392+((d[13672+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=Sk(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=n;if((b|0)==14){break}o=b;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=53;break a}}l=56;break};case 5:{l=11;break a;break};case 6:{l=14;break a;break};case 14:{l=56;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){p=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{p=Sk(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(p|0){case 22:case 24:{break};case 7:{l=38;break a;break};case 29:{if((c[12392+((d[8776+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 5:{l=32;break a;break};case 6:{l=35;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 7:{l=17;break a;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=Sk(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}o=r;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=Sk(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}o=s;if((o|0)==(r|0)){break}switch(o|0){case 0:case 1:case 8:{l=87;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 2:{l=93;break a;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 3:{t=wl(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=Sk(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 11:{l=104;break a;break};case 21:case 9:case 10:{break};case 17:{l=103;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=Sk(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 5:{l=117;break a;break};case 29:{l=113;break b;break};case 22:case 24:{break b;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12392+((d[8776+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function Gl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Hl(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=Sk(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 0:case 1:case 8:{l=16;break a;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=Sk(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function Il(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sk(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:{break};case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Sk(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=Bl(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function Jl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sk(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sk(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 7:{m=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=31;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function Kl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 15:{k=om(j,b+1|0,e,f)|0;break a;break};case 16:{k=tm(j,b+1|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 30:{k=im(j,b+1|0,e,f)|0;break a;break};case 25:case 26:case 27:case 23:{l=19;b=b+1|0;m=76;break};case 29:{m=75;break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((le[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;l=18;m=76;break b}if((le[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 12:{k=sm(12,j,b+1|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}if((le[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;l=18;m=76;break b}if((le[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=16;break b}break};case 22:case 24:{l=18;b=b+1|0;m=76;break};case 20:{c[f>>2]=b+1;k=25;break a;break};case 21:case 10:{m=16;break};case 13:{k=sm(13,j,b+1|0,e,f)|0;break a;break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 19:{k=um(j,b+1|0,e,f)|0;break a;break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 34:{c[f>>2]=b+1;k=37;break a;break};case 15:{c[f>>2]=b+1;k=35;break a;break};case 33:{c[f>>2]=b+1;k=36;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 7:{if((e-b|0)<4){k=-2;break a}if((le[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;l=18;m=76;break b}if((le[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};default:{m=75}}}while(0);if((m|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){m=18;break}g=d[j+76+(d[b]|0)|0]|0;if(!((g|0)==21|(g|0)==10))if((g|0)==9){if((b+1|0)==(e|0)){m=23;break}}else{break}}if((m|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==75){c[f>>2]=b;k=0;break}else if((m|0)==76){c:while(1){if((b|0)==(e|0)){m=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 15:{m=128;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=96;break c;break};case 23:{b=b+1|0;g=l;if((g|0)==18){if((b|0)==(e|0)){m=99;break c}l=41;switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=114;break c}if((le[c[j+340>>2]&127](j,b)|0)==0){m=116;break c}b=b+4|0;break};case 29:{m=101;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=104;break c}if((le[c[j+332>>2]&127](j,b)|0)==0){m=106;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){m=109;break c}if((le[c[j+336>>2]&127](j,b)|0)==0){m=111;break c}b=b+3|0;break};default:{l=19}}}else if((g|0)==41){l=19}break};case 29:{m=79;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=82;break c}if((le[c[j+332>>2]&127](j,b)|0)==0){m=84;break c}b=b+2|0;break};case 34:{m=122;break c;break};case 33:{m=125;break c;break};case 6:{if((e-b|0)<3){m=87;break c}if((le[c[j+336>>2]&127](j,b)|0)==0){m=89;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){m=92;break c}if((le[c[j+340>>2]&127](j,b)|0)==0){m=94;break c}b=b+4|0;break};default:{m=131;break c}}}if((m|0)==79){c[f>>2]=b;k=0;break}else if((m|0)==82){k=-2;break}else if((m|0)==84){c[f>>2]=b;k=0;break}else if((m|0)==87){k=-2;break}else if((m|0)==89){c[f>>2]=b;k=0;break}else if((m|0)==92){k=-2;break}else if((m|0)==94){c[f>>2]=b;k=0;break}else if((m|0)==96){c[f>>2]=b;k=l;break}else if((m|0)==99){k=-1;break}else if((m|0)==101){c[f>>2]=b;k=0;break}else if((m|0)==104){k=-2;break}else if((m|0)==106){c[f>>2]=b;k=0;break}else if((m|0)==109){k=-2;break}else if((m|0)==111){c[f>>2]=b;k=0;break}else if((m|0)==114){k=-2;break}else if((m|0)==116){c[f>>2]=b;k=0;break}else if((m|0)==122){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((m|0)==125){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((m|0)==128){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((m|0)==131){c[f>>2]=b;k=0;break}else if((m|0)==133){k=-l|0;break}}}}while(0);i=h;return k|0}function Ll(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((le[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((le[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((le[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 3:{k=hm(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 2:{k=lm(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){m=47;break b}if((le[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 7:{if((e-b|0)<4){m=51;break b}if((le[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){m=43;break b}if((le[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Ml(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((le[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((le[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((le[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=41;break b}if((le[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((le[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};case 7:{if((e-b|0)<4){m=49;break b}if((le[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Nl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 0:case 1:case 8:{k=19;break a;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 6:{if((e-b|0)<3){k=10;break a}if((le[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){k=15;break a}if((le[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((le[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function Ol(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 3:{k=9;break a;break};case 2:{k=12;break a;break};case 10:{k=13;break a;break};case 7:{a=a+4|0;break};case 9:{k=16;break a;break};case 21:{k=23;break a;break};case 5:{a=a+2|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=hm(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Pl(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{a=a+4|0;break};case 10:{k=18;break a;break};case 30:{k=12;break a;break};case 3:{k=9;break a;break};case 5:{a=a+2|0;break};case 9:{k=21;break a;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=hm(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=im(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Ql(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 5:{h=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){h=15;break a}break};case 7:{j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){h=4;break a}h=6;break};case 6:{h=6;break};default:{h=17;break a}}if((h|0)==6){h=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){h=7;break}h=9}if((h|0)==9){h=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){h=10;break}e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){h=12;break}}}if((h|0)==4){k=0;l=k;i=f;return l|0}else if((h|0)==7){k=0;l=k;i=f;return l|0}else if((h|0)==10){k=0;l=k;i=f;return l|0}else if((h|0)==12){k=0;l=k;i=f;return l|0}else if((h|0)==15){k=0;l=k;i=f;return l|0}else if((h|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function Rl(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Sl(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 7:{a=a+4|0;break};default:{break a}}}i=c;return a-b|0}function Tl(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function Ul(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 11:case 17:{if((g|0)!=2){break a}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};default:{}}b=b+1|0}i=h;return k|0}function Vl(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=ek(c)|0;h=g;i=b;return h|0}function Wl(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}else if((c|0)==2){do{if((a[e+1|0]|0)==116){d=a[e]|0;if((d|0)==103){f=62;g=f;i=b;return g|0}else if((d|0)==108){f=60;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==4){c=a[e]|0;if((c|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}else if((c|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}}f=0;g=f;i=b;return g|0}function Xl(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function Yl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};case 21:{if((a[b]|0)==9){k=6;break a}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function Zl(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function _l(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}q=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;q=q-65536|0;b[j>>1]=q>>>10|55296;b[j+2>>1]=q&1023|56320;j=j+4|0;m=m+4|0}else if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==6){p=j;j=p+2|0;b[p>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function $l(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[13672+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function am(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[13672+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function bm(a,b){a=a|0;b=b|0;i=i;return 0}function cm(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[8776+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function dm(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[8776+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function em(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function fm(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function gm(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function hm(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 19:{j=jm(h,a+1|0,b,e)|0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((le[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((le[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((le[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((le[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 18:{k=43;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((le[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((le[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function im(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((le[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((le[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((le[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 7:{if((b-a|0)<4){k=39;break c}if((le[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((le[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 18:{k=43;break c;break};case 5:{if((b-a|0)<2){k=29;break c}if((le[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function jm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=km(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function km(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function lm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){k=-2;break a}if((le[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};case 15:{k=om(j,b+1|0,e,f)|0;break a;break};case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==20){k=nm(j,b+1|0,e,f)|0;break a}else if((g|0)==27){k=mm(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}if((le[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{b=b+1|0;break};case 17:{k=pm(j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((le[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};case 29:{c[f>>2]=b;k=0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 17:{l=102;break c;break};case 21:case 9:case 10:{l=74;break c;break};case 29:{l=33;break c;break};case 5:{if((e-b|0)<2){l=36;break c}if((le[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){l=46;break c}if((le[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 11:{l=100;break c;break};case 6:{if((e-b|0)<3){l=41;break c}if((le[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=58;break c}if((le[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((le[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};case 7:{if((e-b|0)<4){l=68;break c}if((le[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 29:{l=55;break c;break};default:{l=72;break c}}break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:{l=78;break e;break};case 5:{l=79;break e;break};case 7:{l=89;break e;break};case 11:{l=94;break e;break};case 17:{l=95;break e;break};case 21:case 9:case 10:{break};case 29:{l=77;break e;break};case 6:{l=84;break e;break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((le[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((le[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((le[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=qm(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function mm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){l=13;break a}if((le[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 0:case 1:case 8:{l=22;break a;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};case 5:{if((e-b|0)<2){l=8;break a}if((le[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){l=18;break a}if((le[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function nm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[8768+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function om(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 29:{c[f>>2]=b;l=0;break a;break};case 7:{if((e-b|0)<4){l=-2;break a}if((le[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}if((le[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=-2;break a}if((le[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 29:{m=25;break c;break};case 6:{if((e-b|0)<3){m=33;break c}if((le[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 5:{if((e-b|0)<2){m=28;break c}if((le[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){m=38;break c}if((le[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};case 15:{m=71;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 21:case 9:case 10:{m=42;break c;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((rm(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=58;break d}if((le[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};case 0:case 1:case 8:{m=62;break d;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 5:{if((e-b|0)<2){m=48;break d}if((le[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){m=53;break d}if((le[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((rm(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function pm(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((le[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((le[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((le[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 23:{a=a+1|0;break};case 29:{k=25;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((le[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=33;break c}if((le[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 21:case 9:case 10:{k=42;break c;break};case 11:{k=52;break c;break};case 7:{if((b-a|0)<4){k=38;break c}if((le[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function qm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((le[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 29:{l=4;break a;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((le[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((le[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((le[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((le[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 29:{l=26;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((le[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=43;break a}}break};case 14:{l=55;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 0:case 1:case 8:{l=86;break a;break};case 3:{o=hm(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((le[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 2:{l=92;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((le[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((le[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=106;break a;break};case 22:case 24:{l=107;break b;break};case 6:{l=113;break b;break};case 17:{l=126;break a;break};case 7:{l=118;break b;break};case 5:{l=108;break b;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((le[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((le[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((le[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function rm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)==76){f=1}else if((j|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function sm(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 7:{if((e-b|0)<4){k=15;break a}if((le[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((le[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 6:{if((e-b|0)<3){k=10;break a}if((le[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};case 0:case 1:case 8:{k=19;break a;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function tm(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:{break};case 30:{k=11;break b;break};case 21:case 9:case 10:{break b;break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}l=d[h+76+(d[a+1|0]|0)|0]|0;if((l|0)==21|(l|0)==9|(l|0)==10|(l|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else if((f|0)==27){j=mm(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function um(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((le[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((le[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((le[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){k=38;break c}if((le[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 6:{if((b-a|0)<3){k=33;break c}if((le[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 29:{k=25;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};case 5:{if((b-a|0)<2){k=28;break c}if((le[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function vm(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function wm(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function xm(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function ym(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};case 0:case 60:{break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=pe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=pe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=pe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=pe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function zm(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((Bm(Am(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((Bm(Am(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=Am(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((Bm(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=Am(k,a,b)|0;n=h;}while((Bm(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=Am(k,a,b)|0;while(1){if((Bm(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=Am(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=Am(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function Am(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;Zd[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function Bm(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function Cm(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function Dm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 15:{c[h>>2]=76;j=0;break};case 11:{c[h>>2]=76;j=55;break};case 14:{j=0;break};case 12:{c[h>>2]=76;j=1;break};case 16:{if((pe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,452016)|0)!=0){c[h>>2]=96;j=3;break a}else{k=11;break a}break};case 13:{c[h>>2]=76;j=56;break};case 29:{c[h>>2]=110;j=2;break};default:{k=11}}}while(0);if((k|0)==11){j=Hm(h,a)|0}i=g;return j|0}function Em(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case-4:{if((c[h+12>>2]|0)!=0){j=12;break a}else{k=0;break a}break};case 15:{k=0;break};case 33:{c[h>>2]=20;k=0;break};case 26:{j=12;break};case 34:{if((c[h+12>>2]|0)==0){j=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;k=0;break a}break};default:{k=Gm(h,a,d,e,f)|0}}}while(0);if((j|0)==12){k=Hm(h,a)|0}i=g;return k|0}function Fm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=0;l=k;i=g;return l|0}do{if((j|0)==3){if((pe[c[e+28>>2]&127](e,b,d,451920)|0)!=0){c[h>>2]=22;k=0;l=k;i=g;return l|0}if((pe[c[e+28>>2]&127](e,b,d,451936)|0)==0){break}c[h>>2]=24;k=0;l=k;i=g;return l|0}}while(0);k=Hm(h,a)|0;l=k;i=g;return l|0}function Gm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case 26:{c[h>>2]=120;j=3;break};case 11:{j=55;break};case 28:{j=60;break};case 15:{j=0;break};case 16:{if((pe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,451976)|0)!=0){c[h>>2]=38;j=11;break a}if((pe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,452032)|0)!=0){c[h>>2]=90;j=33;break a}if((pe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,452008)|0)!=0){c[h>>2]=66;j=39;break a}if((pe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,451856)|0)!=0){c[h>>2]=6;j=17;break a}else{k=17;break a}break};case-4:{j=0;break};case 13:{j=56;break};default:{k=17}}}while(0);if((k|0)==17){j=Hm(h,a)|0}i=g;return j|0}function Hm(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function Im(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function Jm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=34;g=9}else if((b|0)==22){c[e>>2]=40;g=11}else{g=Hm(e,a)|0}i=f;return g|0}function Km(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=88;g=34}else if((b|0)==15){g=33}else{g=Hm(e,a)|0}i=f;return g|0}function Lm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=68;g=40}else if((b|0)==15){g=39}else{g=Hm(e,a)|0}i=f;return g|0}function Mm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=4;g=18}else if((b|0)==15){g=17}else{g=Hm(e,a)|0}i=f;return g|0}function Nm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else{g=Hm(e,a)|0}i=f;return g|0}function Om(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==29){c[e>>2]=110;g=2}else if((b|0)==11){g=55}else if((b|0)==13){g=56}else if((b|0)==15){g=0}else{g=Hm(e,a)|0}i=f;return g|0}function Pm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=17;l=k;i=g;return l|0}do{if((j|0)==3){if((pe[c[e+28>>2]&127](e,b,d,451816)|0)!=0){c[h>>2]=8;k=17;l=k;i=g;return l|0}if((pe[c[e+28>>2]&127](e,b,d,451840)|0)==0){break}c[h>>2]=14;k=17;l=k;i=g;return l|0}}while(0);k=Hm(h,a)|0;l=k;i=g;return l|0}function Qm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else if((b|0)==15){g=17}else{g=Hm(e,a)|0}i=f;return g|0}function Rm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=10;g=21}else if((b|0)==15){g=17}else{g=Hm(e,a)|0}i=f;return g|0}function Sm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=20}else if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else if((b|0)==15){g=17}else{g=Hm(e,a)|0}i=f;return g|0}function Tm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=Hm(e,a)|0;h=g;i=f;return h|0}return 0}function Um(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((pe[c[e+28>>2]&127](e,b,d,452e3)|0)!=0){c[h>>2]=52;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((pe[c[e+28>>2]&127](e,b,d,452040)|0)==0){break}c[h>>2]=52;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}else if((f|0)==15){j=39;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=62;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}}while(0);j=Hm(h,a)|0;k=j;i=g;return k|0}function Vm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 15:{j=39;break};case 32:{c[h>>2]=56;j=54;break};case 18:case 41:{c[h>>2]=56;j=51;break};case 30:{c[h>>2]=56;j=53;break};case 23:{c[h+4>>2]=2;c[h>>2]=70;j=44;break};case 31:{c[h>>2]=56;j=52;break};case 20:{if((pe[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,451848)|0)!=0){c[h>>2]=64;j=43;break a}else{k=11;break a}break};default:{k=11}}}while(0);if((k|0)==11){j=Hm(h,a)|0}i=g;return j|0}function Wm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else if((b|0)==24){c[e>>2]=52;c[e+8>>2]=39;g=45}else{g=Hm(e,a)|0}i=f;return g|0}function Xm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 31:{c[e>>2]=56;g=52;break};case 30:{c[e>>2]=56;g=53;break};case 32:{c[e>>2]=56;g=54;break};case 15:{g=39;break};case 18:case 41:{c[e>>2]=56;g=51;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};default:{g=Hm(e,a)|0}}i=f;return g|0}function Ym(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 21:{c[e>>2]=70;g=49;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 38:{c[e>>2]=70;g=50;h=g;i=f;return h|0};case 15:{g=39;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};default:{g=Hm(e,a)|0;h=g;i=f;return h|0}}return 0}function Zm(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==18|(b|0)==41){c[e>>2]=60;g=51}else{g=Hm(e,a)|0}i=f;return g|0}function _m(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else if((b|0)==21){c[e>>2]=58;g=39}else{g=Hm(e,a)|0}i=f;return g|0}function $m(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=94;g=22}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=33}else if((b|0)==15){g=33}else{g=Hm(e,a)|0}i=f;return g|0}function an(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=92;j=33;k=j;i=g;return k|0}else if((f|0)==18){l=0;while(1){if((l|0)>=8){break}if((pe[c[e+28>>2]&127](e,b,d,c[20656+(l<<2)>>2]|0)|0)!=0){m=6;break}l=l+1|0}if((m|0)==6){c[h>>2]=80;j=l+23|0;k=j;i=g;return k|0}if((pe[c[e+28>>2]&127](e,b,d,451856)|0)==0){break}c[h>>2]=82;j=33;k=j;i=g;return k|0}}while(0);j=Hm(h,a)|0;k=j;i=g;return k|0}function bn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==20){if((pe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,451928)|0)!=0){c[h>>2]=88;j=35;k=j;i=g;return k|0}if((pe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,451824)|0)!=0){c[h>>2]=88;j=36;k=j;i=g;return k|0}if((pe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,451968)|0)==0){break}c[h>>2]=78;j=33;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=88;j=37;k=j;i=g;return k|0}}while(0);j=Hm(h,a)|0;k=j;i=g;return k|0}function cn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==23){c[e>>2]=12;g=33}else if((b|0)==15){g=33}else{g=Hm(e,a)|0}i=f;return g|0}function dn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=84;g=31}else if((b|0)==15){g=33}else{g=Hm(e,a)|0}i=f;return g|0}function en(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==21){c[e>>2]=92;g=33}else if((b|0)==15){g=33}else{g=Hm(e,a)|0}i=f;return g|0}function fn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18){c[e>>2]=86;g=32}else{g=Hm(e,a)|0}i=f;return g|0}function gn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==21){c[e>>2]=12;g=33}else if((b|0)==15){g=33}else{g=Hm(e,a)|0}i=f;return g|0}function hn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=88;g=38}else if((b|0)==15){g=33}else{g=Hm(e,a)|0}i=f;return g|0}function jn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=16;g=10}else if((b|0)==15){g=11}else{g=Hm(e,a)|0}i=f;return g|0}function kn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((pe[c[e+28>>2]&127](e,b,d,451816)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((pe[c[e+28>>2]&127](e,b,d,451840)|0)==0){break}c[h>>2]=36;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}}while(0);j=Hm(h,a)|0;k=j;i=g;return k|0}function ln(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=72;g=13}else{g=Hm(e,a)|0}i=f;return g|0}function mn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=112;g=14}else{g=Hm(e,a)|0}i=f;return g|0}function nn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:28;j=15;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==18){if((pe[c[e+28>>2]&127](e,b,d,451896)|0)==0){break}c[h>>2]=42;j=11;k=j;i=g;return k|0}}while(0);j=Hm(h,a)|0;k=j;i=g;return k|0}function on(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=52;c[e+8>>2]=11;g=16}else{g=Hm(e,a)|0}i=f;return g|0}function pn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((pe[c[e+28>>2]&127](e,b,d,451816)|0)!=0){c[h>>2]=32;j=11;k=j;i=g;return k|0}if((pe[c[e+28>>2]&127](e,b,d,451840)|0)==0){break}c[h>>2]=30;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}}while(0);j=Hm(h,a)|0;k=j;i=g;return k|0}function qn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=44;g=13}else if((b|0)==15){g=11}else{g=Hm(e,a)|0}i=f;return g|0}function rn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=32;g=14}else if((b|0)==15){g=11}else{g=Hm(e,a)|0}i=f;return g|0}function sn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=15}else if((b|0)==15){g=11}else{g=Hm(e,a)|0}i=f;return g|0}function tn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=28;d=e+12|0;c[d>>2]=(c[d>>2]|0)+1;g=0}else if((b|0)==15){g=0}else{g=Hm(e,a)|0}i=f;return g|0}function un(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=28;g=58}else if((b|0)==15){g=0}else{g=Hm(e,a)|0}i=f;return g|0}function vn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 11:{j=55;break};case 14:{j=0;break};case 29:{c[h>>2]=110;j=2;break};case 16:{if((pe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,452016)|0)!=0){c[h>>2]=96;j=3;break a}else{k=10;break a}break};case 13:{j=56;break};case 15:{j=0;break};default:{k=10}}}while(0);if((k|0)==10){j=Hm(h,a)|0}i=g;return j|0}function wn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else{g=Hm(e,a)|0}i=f;return g|0}function xn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=3}else if((f|0)==18){if((pe[c[e+28>>2]&127](e,b,d,451816)|0)!=0){c[h>>2]=124;j=3;break}if((pe[c[e+28>>2]&127](e,b,d,451840)|0)!=0){c[h>>2]=100;j=3;break}else{k=10;break}}else if((f|0)==25){c[h>>2]=106;j=7}else if((f|0)==17){c[h>>2]=74;j=8}else{k=10}}while(0);if((k|0)==10){j=Hm(h,a)|0}i=g;return j|0}function yn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=118;g=5}else if((b|0)==15){g=3}else{g=Hm(e,a)|0}i=f;return g|0}function zn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=124;g=6}else if((b|0)==15){g=3}else{g=Hm(e,a)|0}i=f;return g|0}function An(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=106;g=7}else if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else{g=Hm(e,a)|0}i=f;return g|0}function Bn(){return}function Cn(){return}function Dn(){Kc(462008,0)|0;Cn();return}function En(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;if((b|0)<=0){f=0;i=e;return f|0}g=a+4|0;a=0;h=0;while(1){j=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);k=j-1|0;l=c[(c[g>>2]|0)+(h<<2)>>2]|0;if((j|0)>0&(k|0)<(l|0)){m=l;n=h+1|0}else{o=h+1|0;te[c[2172]&63](0,18640,421016,(p=i,i=i+24|0,c[p>>2]=o,c[p+8>>2]=l,c[p+16>>2]=j,p)|0);i=p;m=c[(c[g>>2]|0)+(h<<2)>>2]|0;n=o}o=(ga(m,a)|0)+k|0;if((n|0)<(b|0)){a=o;h=n}else{f=o;break}}i=e;return f|0}function Fn(){yS(452832|0,0|0,112|0)|0;yS(462096|0,0|0,112|0)|0;yS(462208|0,0|0,112|0)|0;c[113209]=1;c[113210]=1;return}function Gn(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?33760:33392;td(a|0,33968,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function Hn(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=462208+(d<<2)|0;k=462096+(d<<2)|0;l=451448+(b<<2)|0;m=451472+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){Ac(30976,(o=i,i=i+8|0,c[o>>2]=30752,o)|0)|0;i=o;p=30752}else{if((c[115580]|0)==(d|0)){if((c[k>>2]|0)>0){q=30752}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}Ac(30976,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[115580]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=30752;break b}}}while(0);p=c[l>>2]|0}}while(0);Ac(30440,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[115580]=d;if((c[k>>2]|0)>0){e=0;while(1){Ac(30248,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==10){break}else if((e<<24>>24|0)==0){break a}t=t+1|0}a[u]=0;Ic(g|0)|0;n=1;g=g+(t+1)|0;f=0}Ic(g|0)|0;Ta(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function In(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[451448+(a<<2)>>2]|0;Ac(29680,(a=i,i=i+16|0,c[a>>2]=c[451472+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;Jn(e);if((g|0)==0){e=c[r>>2]|0;_a(((d|0)!=0?29504:28888)|0,e|0)|0;j=e;k=Ta(j|0)|0;i=f;return}Ic(7888)|0;if((c[g>>2]|0)>=1){e=1;do{Ac(29224,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Ta(j|0)|0;i=f;return}Ya(29032,11,1,g|0)|0;j=g;k=Ta(j|0)|0;i=f;return}function Jn(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==62){Ya(27640,4,1,d|0)|0}else if((b<<24>>24|0)==0){break}else if((b<<24>>24|0)==60){Ya(27784,4,1,d|0)|0}else if((b<<24>>24|0)==38){Ya(28200,5,1,d|0)|0}else{Wa(b<<24>>24|0,d|0)|0}e=e+1|0}return}function Kn(a){a=a|0;var b=0;b=462096+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function Ln(a){a=a|0;var b=0;b=(a|0)==0;c[3554]=b?36:12;c[3556]=b?186:132;return}function Mn(a){a=a|0;a=c[r>>2]|0;Ya(29032,11,1,a|0)|0;Ta(a|0)|0;return}



function XL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[119888]|0)==-1)){c[m>>2]=479552;c[m+4>>2]=20;c[m+8>>2]=0;BH(479552,m,118)}m=(c[119889]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}q=j;r=c[o>>2]|0;if(!((c[119792]|0)==-1)){c[l>>2]=479168;c[l+4>>2]=20;c[l+8>>2]=0;BH(479168,l,118)}l=(c[119793]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}s=r;$d[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){pe[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=le[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=le[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=le[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=be[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=le[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;QH(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;QH(n);i=k;return}function YL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((de[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){rI(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((de[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){sI(l);break}c[m>>2]=0;c[b>>2]=0;sI(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((de[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function ZL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=l|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);v=JL(u,22,c[119532]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;MI(p,f);XL(u,w,r,x,n,o,p);gH(c[p>>2]|0)|0;c[q>>2]=c[e>>2];YL(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function _L(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[440464]|0;a[q+1|0]=a[440465]|0;a[q+2|0]=a[440466]|0;a[q+3|0]=a[440467]|0;a[q+4|0]=a[440468]|0;a[q+5|0]=a[440469]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);t=JL(u,12,c[119532]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;MI(o,f);XL(u,w,q,x,m,n,o);gH(c[o>>2]|0)|0;c[p>>2]=c[e>>2];YL(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function $L(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);t=JL(u,23,c[119532]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;MI(p,f);XL(u,w,r,x,n,o,p);gH(c[p>>2]|0)|0;c[q>>2]=c[e>>2];YL(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function aM(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=c[119532]|0;if(y){w=JL(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=JL(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[480120]|0)==0;if(y){do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=PL(m,c[119532]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);w=PL(m,c[119532]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}gS();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=VR(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}gS();H=B;I=B;J=c[m>>2]|0}}while(0);MI(q,f);bM(J,F,A,H,o,p,q);gH(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];YL(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){WR(I)}if((D|0)==0){i=d;return}WR(D);i=d;return}function bM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[119888]|0)==-1)){c[m>>2]=479552;c[m+4>>2]=20;c[m+8>>2]=0;BH(479552,m,118)}m=(c[119889]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}q=j;r=c[o>>2]|0;if(!((c[119792]|0)==-1)){c[l>>2]=479168;c[l+4>>2]=20;c[l+8>>2]=0;BH(479168,l,118)}l=(c[119793]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}s=r;$d[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=le[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=le[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=le[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((jb(t<<24>>24|0,c[119532]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((Kb(p<<24>>24|0,c[119532]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){pe[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=be[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=le[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=le[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=be[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);pe[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;QH(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;QH(n);i=k;return}function cM(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=c[119532]|0;if(y){w=JL(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=JL(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[480120]|0)==0;if(y){do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=PL(m,c[119532]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);w=PL(m,c[119532]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}gS();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=VR(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}gS();H=B;I=B;J=c[m>>2]|0}}while(0);MI(q,f);bM(J,F,A,H,o,p,q);gH(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];YL(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){WR(I)}if((D|0)==0){i=d;return}WR(D);i=d;return}function dM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[440472]|0;a[o+1|0]=a[440473]|0;a[o+2|0]=a[440474]|0;a[o+3|0]=a[440475]|0;a[o+4|0]=a[440476]|0;a[o+5|0]=a[440477]|0;p=k|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);q=JL(p,20,c[119532]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}MI(m,f);t=m|0;m=c[t>>2]|0;if(!((c[119888]|0)==-1)){c[j>>2]=479552;c[j+4>>2]=20;c[j+8>>2]=0;BH(479552,j,118)}j=(c[119889]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}gH(c[t>>2]|0)|0;u=l|0;pe[c[(c[r>>2]|0)+48>>2]&127](r,p,o,u)|0;r=l+(q<<2)|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;YL(b,n,u,v,r,f,g);i=d;return}v=l+(s-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;YL(b,n,u,v,r,f,g);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function eM(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;MI(p,h);t=p|0;p=c[t>>2]|0;if(!((c[119890]|0)==-1)){c[o>>2]=479560;c[o+4>>2]=20;c[o+8>>2]=0;BH(479560,o,118)}o=(c[119891]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;gH(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((be[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((be[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((de[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(be[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=le[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(le[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=de[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=de[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;ke[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((be[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((be[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(be[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){be[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){be[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((be[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((be[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=Gd(4)|0;AR(n);xc(n|0,446912,172)}function fM(a){a=a|0;eH(a|0);bS(a);return}function gM(a){a=a|0;eH(a|0);return}function hM(a){a=a|0;return 2}function iM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];eM(a,b,k,l,f,g,h,440456,440464);i=j;return}function jM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=be[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}eM(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function kM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;MI(m,f);f=m|0;m=c[f>>2]|0;if(!((c[119890]|0)==-1)){c[l>>2]=479560;c[l+4>>2]=20;c[l+8>>2]=0;BH(479560,l,118)}l=(c[119891]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}gH(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=be[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(HK(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;AR(j);xc(j|0,446912,172)}function lM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;MI(m,f);f=m|0;m=c[f>>2]|0;if(!((c[119890]|0)==-1)){c[l>>2]=479560;c[l+4>>2]=20;c[l+8>>2]=0;BH(479560,l,118)}l=(c[119891]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}gH(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=be[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(HK(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;AR(j);xc(j|0,446912,172)}function mM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;MI(l,f);f=l|0;l=c[f>>2]|0;if(!((c[119890]|0)==-1)){c[k>>2]=479560;c[k+4>>2]=20;c[k+8>>2]=0;BH(479560,k,118)}k=(c[119891]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}gH(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=rM(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Gd(4)|0;AR(b);xc(b|0,446912,172)}function nM(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;MI(z,g);_=z|0;z=c[_>>2]|0;if(!((c[119890]|0)==-1)){c[y>>2]=479560;c[y+4>>2]=20;c[y+8>>2]=0;BH(479560,y,118)}y=(c[119891]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;gH(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 109:{c[r>>2]=c[f>>2];aa=(rM(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<12){c[j+16>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 114:{ca=e|0;c[M>>2]=c[ca>>2];c[N>>2]=c[f>>2];eM(L,d,M,N,g,h,j,440424,440435);c[ca>>2]=c[L>>2];break};case 82:{ca=e|0;c[P>>2]=c[ca>>2];c[Q>>2]=c[f>>2];eM(O,d,P,Q,g,h,j,440416,440421);c[ca>>2]=c[O>>2];break};case 112:{c[K>>2]=c[f>>2];pM(d,j+8|0,e,K,h,ba);break};case 99:{ca=d+8|0;aa=be[c[(c[ca>>2]|0)+12>>2]&255](ca)|0;ca=e|0;c[B>>2]=c[ca>>2];c[C>>2]=c[f>>2];da=a[aa]|0;if((da&1)==0){ea=(da&255)>>>1;fa=aa+1|0;ga=aa+1|0}else{da=c[aa+8>>2]|0;ea=c[aa+4>>2]|0;fa=da;ga=da}eM(A,d,B,C,g,h,j,fa,ga+ea|0);c[ca>>2]=c[A>>2];break};case 68:{ca=e|0;c[E>>2]=c[ca>>2];c[F>>2]=c[f>>2];eM(D,d,E,F,g,h,j,440448,440456);c[ca>>2]=c[D>>2];break};case 89:{c[m>>2]=c[f>>2];ca=rM(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ca-1900;break};case 37:{c[Z>>2]=c[f>>2];qM(0,e,Z,h,ba);break};case 70:{ca=e|0;c[H>>2]=c[ca>>2];c[I>>2]=c[f>>2];eM(G,d,H,I,g,h,j,440440,440448);c[ca>>2]=c[G>>2];break};case 84:{ca=e|0;c[S>>2]=c[ca>>2];c[T>>2]=c[f>>2];eM(R,d,S,T,g,h,j,440408,440416);c[ca>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];ca=rM(e,o,h,ba,1)|0;da=c[h>>2]|0;if((da&4|0)==0&(ca|0)<7){c[j+24>>2]=ca;break a}else{c[h>>2]=da|4;break a}break};case 106:{c[s>>2]=c[f>>2];da=rM(e,s,h,ba,3)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(da|0)<366){c[j+28>>2]=da;break a}else{c[h>>2]=ca|4;break a}break};case 110:case 116:{c[J>>2]=c[f>>2];oM(0,e,J,h,ba);break};case 98:case 66:case 104:{ca=c[f>>2]|0;da=d+8|0;aa=be[c[(c[da>>2]|0)+4>>2]&255](da)|0;c[w>>2]=ca;ca=(HK(e,w,aa,aa+288|0,ba,h,0)|0)-aa|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 72:{c[u>>2]=c[f>>2];ca=rM(e,u,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<24){c[j+8>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 120:{aa=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];ie[aa&127](b,d,U,V,g,h,j);i=l;return};case 88:{aa=d+8|0;ca=be[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ha=(da&255)>>>1;ia=ca+1|0;ja=ca+1|0}else{da=c[ca+8>>2]|0;ha=c[ca+4>>2]|0;ia=da;ja=da}eM(W,d,X,Y,g,h,j,ia,ja+ha|0);c[aa>>2]=c[W>>2];break};case 121:{c[n>>2]=c[f>>2];aa=rM(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((aa|0)<69){ka=aa+2e3|0}else{ka=(aa-69|0)>>>0<31>>>0?aa+1900|0:aa}c[j+20>>2]=ka-1900;break};case 97:case 65:{aa=c[f>>2]|0;da=d+8|0;ca=be[c[c[da>>2]>>2]&255](da)|0;c[x>>2]=aa;aa=(HK(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((aa|0)>=168){break a}c[j+24>>2]=((aa|0)/12|0|0)%7|0;break};case 77:{c[q>>2]=c[f>>2];aa=rM(e,q,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 100:case 101:{ca=j+12|0;c[v>>2]=c[f>>2];aa=rM(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[ca>>2]=aa;break a}}while(0);c[h>>2]=da|4;break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];ca=rM(e,t,h,ba,2)|0;la=c[h>>2]|0;do{if((la&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=la|4;break};case 83:{c[p>>2]=c[f>>2];ca=rM(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<61){c[j>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Gd(4)|0;AR(l);xc(l|0,446912,172)}function oM(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((be[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((be[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(be[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){be[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((be[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((be[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function pM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=be[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=HK(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function qM(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((be[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((be[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(be[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((de[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){be[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((be[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((be[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function rM(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((be[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((be[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(be[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(de[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){be[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((be[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((be[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(be[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((de[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){be[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((be[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((be[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function sM(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;MI(n,f);r=n|0;n=c[r>>2]|0;if(!((c[119888]|0)==-1)){c[m>>2]=479552;c[m+4>>2]=20;c[m+8>>2]=0;BH(479552,m,118)}m=(c[119889]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;gH(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=be[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=be[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((de[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(de[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=be[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=le[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(le[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=de[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=de[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;ke[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(de[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=be[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=be[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=be[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(de[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){be[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){be[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=be[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=Gd(4)|0;AR(l);xc(l|0,446912,172)}function tM(a){a=a|0;eH(a|0);bS(a);return}function uM(a){a=a|0;eH(a|0);return}function vM(a){a=a|0;return 2}function wM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];sM(a,b,k,l,f,g,h,440376,440408);i=j;return}function xM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=be[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}sM(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function yM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;MI(m,f);f=m|0;m=c[f>>2]|0;if(!((c[119888]|0)==-1)){c[l>>2]=479552;c[l+4>>2]=20;c[l+8>>2]=0;BH(479552,l,118)}l=(c[119889]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}gH(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=be[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(eL(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;AR(j);xc(j|0,446912,172)}function zM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;MI(m,f);f=m|0;m=c[f>>2]|0;if(!((c[119888]|0)==-1)){c[l>>2]=479552;c[l+4>>2]=20;c[l+8>>2]=0;BH(479552,l,118)}l=(c[119889]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}gH(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=be[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(eL(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Gd(4)|0;AR(j);xc(j|0,446912,172)}function AM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;MI(l,f);f=l|0;l=c[f>>2]|0;if(!((c[119888]|0)==-1)){c[k>>2]=479552;c[k+4>>2]=20;c[k+8>>2]=0;BH(479552,k,118)}k=(c[119889]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}gH(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=FM(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Gd(4)|0;AR(b);xc(b|0,446912,172)}function BM(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;MI(z,g);_=z|0;z=c[_>>2]|0;if(!((c[119888]|0)==-1)){c[y>>2]=479552;c[y+4>>2]=20;c[y+8>>2]=0;BH(479552,y,118)}y=(c[119889]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;gH(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 88:{aa=d+8|0;ca=be[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ea=(da&255)>>>1;fa=ca+4|0;ga=ca+4|0}else{da=c[ca+8>>2]|0;ea=c[ca+4>>2]|0;fa=da;ga=da}sM(W,d,X,Y,g,h,j,fa,ga+(ea<<2)|0);c[aa>>2]=c[W>>2];break};case 97:case 65:{aa=c[f>>2]|0;da=d+8|0;ca=be[c[c[da>>2]>>2]&255](da)|0;c[x>>2]=aa;aa=(eL(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((aa|0)>=168){break a}c[j+24>>2]=((aa|0)/12|0|0)%7|0;break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];sM(L,d,M,N,g,h,j,440296,440340);c[aa>>2]=c[L>>2];break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];ca=FM(e,t,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=da|4;break};case 77:{c[q>>2]=c[f>>2];ca=FM(e,q,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<60){c[j+4>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 120:{aa=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];ie[aa&127](b,d,U,V,g,h,j);i=l;return};case 119:{c[o>>2]=c[f>>2];aa=FM(e,o,h,ba,1)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 68:{ca=e|0;c[E>>2]=c[ca>>2];c[F>>2]=c[f>>2];sM(D,d,E,F,g,h,j,440344,440376);c[ca>>2]=c[D>>2];break};case 98:case 66:case 104:{ca=c[f>>2]|0;aa=d+8|0;ha=be[c[(c[aa>>2]|0)+4>>2]&255](aa)|0;c[w>>2]=ca;ca=(eL(e,w,ha,ha+288|0,ba,h,0)|0)-ha|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 84:{ca=e|0;c[S>>2]=c[ca>>2];c[T>>2]=c[f>>2];sM(R,d,S,T,g,h,j,440240,440272);c[ca>>2]=c[R>>2];break};case 70:{ca=e|0;c[H>>2]=c[ca>>2];c[I>>2]=c[f>>2];sM(G,d,H,I,g,h,j,440208,440240);c[ca>>2]=c[G>>2];break};case 106:{c[s>>2]=c[f>>2];ca=FM(e,s,h,ba,3)|0;ha=c[h>>2]|0;if((ha&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=ha|4;break a}break};case 72:{c[u>>2]=c[f>>2];ha=FM(e,u,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ha|0)<24){c[j+8>>2]=ha;break a}else{c[h>>2]=ca|4;break a}break};case 82:{ca=e|0;c[P>>2]=c[ca>>2];c[Q>>2]=c[f>>2];sM(O,d,P,Q,g,h,j,440272,440292);c[ca>>2]=c[O>>2];break};case 37:{c[Z>>2]=c[f>>2];EM(0,e,Z,h,ba);break};case 110:case 116:{c[J>>2]=c[f>>2];CM(0,e,J,h,ba);break};case 99:{ca=d+8|0;ha=be[c[(c[ca>>2]|0)+12>>2]&255](ca)|0;ca=e|0;c[B>>2]=c[ca>>2];c[C>>2]=c[f>>2];aa=a[ha]|0;if((aa&1)==0){ia=(aa&255)>>>1;ja=ha+4|0;ka=ha+4|0}else{aa=c[ha+8>>2]|0;ia=c[ha+4>>2]|0;ja=aa;ka=aa}sM(A,d,B,C,g,h,j,ja,ka+(ia<<2)|0);c[ca>>2]=c[A>>2];break};case 112:{c[K>>2]=c[f>>2];DM(d,j+8|0,e,K,h,ba);break};case 121:{c[n>>2]=c[f>>2];ca=FM(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ca|0)<69){la=ca+2e3|0}else{la=(ca-69|0)>>>0<31>>>0?ca+1900|0:ca}c[j+20>>2]=la-1900;break};case 109:{c[r>>2]=c[f>>2];ca=(FM(e,r,h,ba,2)|0)-1|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<12){c[j+16>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 89:{c[m>>2]=c[f>>2];aa=FM(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=aa-1900;break};case 100:case 101:{aa=j+12|0;c[v>>2]=c[f>>2];ca=FM(e,v,h,ba,2)|0;ha=c[h>>2]|0;do{if((ha&4|0)==0){if(!((ca-1|0)>>>0<31>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=ha|4;break};case 83:{c[p>>2]=c[f>>2];ca=FM(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<61){c[j>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Gd(4)|0;AR(l);xc(l|0,446912,172)}function CM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=be[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=be[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=be[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(de[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){be[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=be[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=be[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function DM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=be[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=eL(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function EM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=be[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=be[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=be[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((de[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){be[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=be[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=be[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function FM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=be[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=be[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=be[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(de[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(de[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){be[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=be[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=be[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(de[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((de[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){be[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=be[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function GM(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((e|0)==(c[119532]|0)){f=b|0;eH(f);g=b;bS(g);return}Wb(c[d>>2]|0);f=b|0;eH(f);g=b;bS(g);return}function HM(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((e|0)==(c[119532]|0)){f=b|0;eH(f);return}Wb(c[d>>2]|0);f=b|0;eH(f);return}function IM(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=rd(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(le[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function JM(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((e|0)==(c[119532]|0)){f=b|0;eH(f);g=b;bS(g);return}Wb(c[d>>2]|0);f=b|0;eH(f);g=b;bS(g);return}function KM(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((e|0)==(c[119532]|0)){f=b|0;eH(f);return}Wb(c[d>>2]|0);f=b|0;eH(f);return}function LM(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;MM(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=le[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function MM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;rd(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=ld(c[g>>2]|0)|0;g=YQ(d,m,n,l)|0;if((f|0)!=0){ld(f|0)|0}if((g|0)==-1){IN(42304)}else{c[e>>2]=d+(g<<2);i=j;return}}function NM(a){a=a|0;eH(a|0);bS(a);return}function OM(a){a=a|0;eH(a|0);return}function PM(a){a=a|0;return 127}function QM(a){a=a|0;return 127}function RM(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function SM(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function TM(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function UM(a,b){a=a|0;b=b|0;MH(a,1,45);return}function VM(a){a=a|0;return 0}function WM(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function XM(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function YM(a){a=a|0;eH(a|0);bS(a);return}function ZM(a){a=a|0;eH(a|0);return}function _M(a){a=a|0;return 127}function $M(a){a=a|0;return 127}function aN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function bN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function cN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function dN(a,b){a=a|0;b=b|0;MH(a,1,45);return}function eN(a){a=a|0;return 0}function fN(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function gN(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function hN(a){a=a|0;eH(a|0);bS(a);return}function iN(a){a=a|0;eH(a|0);return}function jN(a){a=a|0;return 2147483647}function kN(a){a=a|0;return 2147483647}function lN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function mN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function nN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function oN(a,b){a=a|0;b=b|0;rI(a,1,45);return}function pN(a){a=a|0;return 0}function qN(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function rN(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function sN(a){a=a|0;eH(a|0);bS(a);return}function tN(a){a=a|0;eH(a|0);return}function uN(a){a=a|0;return 2147483647}function vN(a){a=a|0;return 2147483647}function wN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function xN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function yN(a,b){a=a|0;b=b|0;yS(a|0,0,12)|0;return}function zN(a,b){a=a|0;b=b|0;rI(a,1,45);return}function AN(a){a=a|0;return 0}function BN(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function CN(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function DN(a){a=a|0;eH(a|0);bS(a);return}function EN(a){a=a|0;eH(a|0);return}function FN(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=204;w=m+100|0;MI(p,h);m=p|0;x=c[m>>2]|0;if(!((c[119890]|0)==-1)){c[l>>2]=479560;c[l+4>>2]=20;c[l+8>>2]=0;BH(479560,l,118)}l=(c[119891]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(HN(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;pe[c[(c[z>>2]|0)+32>>2]&127](A,440192,440202,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=VR(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}gS();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[440192+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=wb(D|0,430848,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}WR(J);break}M=Gd(8)|0;mH(M,429472);xc(M|0,446928,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((be[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((be[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;gH(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}_d[c[v>>2]&511](B);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function GN(a){a=a|0;return}function HN(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;yS(D|0,0,12)|0;E=w;yS(E|0,0,12)|0;F=x;yS(F|0,0,12)|0;G=y;yS(G|0,0,12)|0;H=z;yS(H|0,0,12)|0;LN(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=204;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((be[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((be[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){ia=(be[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ia=a[ha]|0}if(ia<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(ia<<24>>24<<1)>>1]&8192)==0){ba=41;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){ka=(be[c[(c[ha>>2]|0)+40>>2]&255](ha)|0)&255}else{c[aa>>2]=ja+1;ka=a[ja]|0}gI(z,ka);ba=42;break};case 0:{ba=42;break};case 3:{ja=a[F]|0;aa=(ja&1)==0;if(aa){la=(ja&255)>>>1}else{la=c[L>>2]|0}ha=a[G]|0;ma=(ha&1)==0;if(ma){na=(ha&255)>>>1}else{na=c[I>>2]|0}if((la|0)==(-na|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(aa){ua=(ja&255)>>>1}else{ua=c[L>>2]|0}do{if((ua|0)!=0){if(ma){va=(ha&255)>>>1}else{va=c[I>>2]|0}if((va|0)==0){break}wa=c[g>>2]|0;xa=c[wa+12>>2]|0;ya=c[wa+16>>2]|0;if((xa|0)==(ya|0)){za=(be[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255;Aa=c[g>>2]|0;Ba=za;Ca=a[F]|0;Da=Aa;Ea=c[Aa+12>>2]|0;Fa=c[Aa+16>>2]|0}else{Ba=a[xa]|0;Ca=ja;Da=wa;Ea=xa;Fa=ya}ya=Da+12|0;xa=(Ea|0)==(Fa|0);if(Ba<<24>>24==(a[(Ca&1)==0?K:c[M>>2]|0]|0)){if(xa){be[c[(c[Da>>2]|0)+40>>2]&255](Da)|0}else{c[ya>>2]=Ea+1}ya=a[F]|0;if((ya&1)==0){Ga=(ya&255)>>>1}else{Ga=c[L>>2]|0}oa=Ga>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(xa){Ha=(be[c[(c[Da>>2]|0)+36>>2]&255](Da)|0)&255}else{Ha=a[Ea]|0}if(!(Ha<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}xa=c[g>>2]|0;ya=xa+12|0;wa=c[ya>>2]|0;if((wa|0)==(c[xa+16>>2]|0)){be[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[ya>>2]=wa+1}a[l]=1;wa=a[G]|0;if((wa&1)==0){Ia=(wa&255)>>>1}else{Ia=c[I>>2]|0}oa=Ia>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}while(0);if(aa){Ja=(ja&255)>>>1}else{Ja=c[L>>2]|0}ma=c[g>>2]|0;wa=c[ma+12>>2]|0;ya=(wa|0)==(c[ma+16>>2]|0);if((Ja|0)==0){if(ya){xa=(be[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Ka=xa;La=a[G]|0}else{Ka=a[wa]|0;La=ha}if(!(Ka<<24>>24==(a[(La&1)==0?m:c[J>>2]|0]|0))){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}xa=c[g>>2]|0;Aa=xa+12|0;za=c[Aa>>2]|0;if((za|0)==(c[xa+16>>2]|0)){be[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[Aa>>2]=za+1}a[l]=1;za=a[G]|0;if((za&1)==0){Ma=(za&255)>>>1}else{Ma=c[I>>2]|0}oa=Ma>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(ya){ya=(be[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Na=ya;Oa=a[F]|0}else{Na=a[wa]|0;Oa=ja}if(!(Na<<24>>24==(a[(Oa&1)==0?K:c[M>>2]|0]|0))){a[l]=1;oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}wa=c[g>>2]|0;ya=wa+12|0;ma=c[ya>>2]|0;if((ma|0)==(c[wa+16>>2]|0)){be[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ya>>2]=ma+1}ma=a[F]|0;if((ma&1)==0){Pa=(ma&255)>>>1}else{Pa=c[L>>2]|0}oa=Pa>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){oa=0;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}ma=a[E]|0;ya=(ma&1)==0;wa=ya?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ma;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}za=wa+(ya?(ma&255)>>>1:c[P>>2]|0)|0;Aa=wa;while(1){if((Aa|0)==(za|0)){Va=za;break}xa=a[Aa]|0;if(xa<<24>>24<0){Va=Aa;break}if((b[(c[f>>2]|0)+(xa<<24>>24<<1)>>1]&8192)==0){Va=Aa;break}else{Aa=Aa+1|0}}Aa=Va-wa|0;za=a[H]|0;xa=(za&1)==0;if(xa){Wa=(za&255)>>>1}else{Wa=c[T>>2]|0}if(Aa>>>0>Wa>>>0){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}if(xa){xa=(za&255)>>>1;Xa=xa;Ya=R;Za=xa-Aa+(Q+1)|0}else{xa=c[S>>2]|0;za=c[T>>2]|0;Xa=za;Ya=xa;Za=xa+(za-Aa)|0}Aa=Ya+Xa|0;if((Za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break c}za=_a+1|0;if((za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=za;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ma=c[g>>2]|0;do{if((ma|0)==0){cb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){cb=ma;break}if((be[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ma=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ma){eb=Ta;fb=Ua;break}else{break d}}if((be[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ma^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ma){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ya=c[wa+12>>2]|0;if((ya|0)==(c[wa+16>>2]|0)){gb=(be[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ya]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ya=c[g>>2]|0;wa=ya+12|0;ja=c[wa>>2]|0;if((ja|0)==(c[ya+16>>2]|0)){be[c[(c[ya>>2]|0)+40>>2]&255](ya)|0}else{c[wa>>2]=ja+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}ja=a[E]|0;if((ja&1)==0){hb=(ja&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}else{ba=189;break a}break};case 4:{ja=0;wa=C;ya=Y;ha=X;aa=p;Aa=n;e:while(1){za=c[g>>2]|0;do{if((za|0)==0){jb=0}else{if((c[za+12>>2]|0)!=(c[za+16>>2]|0)){jb=za;break}if((be[c[(c[za>>2]|0)+36>>2]&255](za)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);za=(jb|0)==0;ma=c[e>>2]|0;do{if((ma|0)==0){ba=202}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){if(za){break}else{break e}}if((be[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[e>>2]=0;ba=202;break}else{if(za){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(za){break}}ma=c[g>>2]|0;xa=c[ma+12>>2]|0;if((xa|0)==(c[ma+16>>2]|0)){kb=(be[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255}else{kb=a[xa]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}xa=c[o>>2]|0;if((xa|0)==(Aa|0)){ma=(c[W>>2]|0)!=204;lb=c[h>>2]|0;mb=Aa-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=YR(ma?lb:0,nb)|0;if((ob|0)==0){gS()}do{if(ma){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}_d[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=98;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=Aa;rb=xa}c[o>>2]=rb+1;a[rb]=kb;sb=ja+1|0;tb=wa;ub=ya;vb=ha;wb=aa;xb=qb}}while(0);if((ba|0)==221){ba=0;za=a[D]|0;if((za&1)==0){yb=(za&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(ja|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ya|0)==(wa|0)){za=ya-ha|0;ob=za>>>0<2147483647>>>0?za<<1:-1;if((aa|0)==204){zb=0}else{zb=ha}ma=YR(zb,ob)|0;lb=ma;if((ma|0)==0){gS()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(za>>2<<2)|0;Cb=lb;Db=98}else{Ab=wa;Bb=ya;Cb=ha;Db=aa}c[Bb>>2]=ja;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=Aa}lb=c[g>>2]|0;za=lb+12|0;ob=c[za>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){be[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}else{c[za>>2]=ob+1;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}}if((ha|0)==(ya|0)|(ja|0)==0){Eb=wa;Fb=ya;Gb=ha;Hb=aa}else{if((ya|0)==(wa|0)){ob=ya-ha|0;za=ob>>>0<2147483647>>>0?ob<<1:-1;if((aa|0)==204){Ib=0}else{Ib=ha}lb=YR(Ib,za)|0;ma=lb;if((lb|0)==0){gS()}Jb=ma+(za>>>2<<2)|0;Kb=ma+(ob>>2<<2)|0;Lb=ma;Mb=98}else{Jb=wa;Kb=ya;Lb=ha;Mb=aa}c[Kb>>2]=ja;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ma=c[g>>2]|0;do{if((ma|0)==0){Nb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){Nb=ma;break}if((be[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ma=(Nb|0)==0;ja=c[e>>2]|0;do{if((ja|0)==0){ba=257}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){if(ma){Ob=ja;break}else{ba=264;break a}}if((be[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ma){Ob=ja;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ma){ba=264;break a}else{Ob=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Pb=(be[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Pb=a[aa]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}aa=c[g>>2]|0;ja=aa+12|0;ha=c[ja>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){be[c[(c[aa>>2]|0)+40>>2]&255](aa)|0;Qb=Aa;Rb=Ob;Sb=Ob}else{c[ja>>2]=ha+1;Qb=Aa;Rb=Ob;Sb=Ob}while(1){ha=c[g>>2]|0;do{if((ha|0)==0){Tb=0}else{if((c[ha+12>>2]|0)!=(c[ha+16>>2]|0)){Tb=ha;break}if((be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ha=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ha){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((be[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ha^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ha){ba=288;break a}else{Vb=Ub;Wb=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Xb=(be[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Xb=a[aa]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}aa=c[o>>2]|0;if((aa|0)==(Qb|0)){ja=(c[W>>2]|0)!=204;ya=c[h>>2]|0;wa=Qb-ya|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;za=YR(ja?ya:0,ob)|0;if((za|0)==0){gS()}do{if(ja){c[h>>2]=za;Yb=za}else{ya=c[h>>2]|0;c[h>>2]=za;if((ya|0)==0){Yb=za;break}_d[c[W>>2]&511](ya);Yb=c[h>>2]|0}}while(0);c[W>>2]=98;za=Yb+wa|0;c[o>>2]=za;Zb=(c[h>>2]|0)+ob|0;_b=za}else{Zb=Qb;_b=aa}za=c[g>>2]|0;ja=c[za+12>>2]|0;if((ja|0)==(c[za+16>>2]|0)){ha=(be[c[(c[za>>2]|0)+36>>2]&255](za)|0)&255;$b=ha;ac=c[o>>2]|0}else{$b=a[ja]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;ja=(c[A>>2]|0)-1|0;c[A>>2]=ja;ha=c[g>>2]|0;za=ha+12|0;ya=c[za>>2]|0;if((ya|0)==(c[ha+16>>2]|0)){be[c[(c[ha>>2]|0)+40>>2]&255](ha)|0}else{c[za>>2]=ya+1}if((ja|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=Aa}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{oa=Z;pa=Eb;qa=Fb;ra=Gb;sa=Hb;ta=bc}break};default:{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((be[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}if((be[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}else{gc=0;hc=fc}}aa=c[g>>2]|0;ob=c[aa+12>>2]|0;if((ob|0)==(c[aa+16>>2]|0)){ic=(be[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}ob=c[g>>2]|0;aa=ob+12|0;wa=c[aa>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(be[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[aa>>2]=wa+1;jc=a[wa]|0}gI(z,jc);cc=gc;dc=hc}}}while(0);Aa=r+1|0;if(Aa>>>0<4>>>0){n=ta;p=sa;X=ra;Y=qa;C=pa;r=Aa;Z=oa}else{da=sa;ea=ra;fa=qa;ga=oa;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){oa=ga;qa=ga+1|0;ra=ga+8|0;sa=ga+4|0;Z=1;i:while(1){r=a[oa]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[sa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((be[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((be[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;pa=c[_+12>>2]|0;if((pa|0)==(c[_+16>>2]|0)){pc=(be[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[pa]|0}if((a[oa]&1)==0){qc=qa}else{qc=c[ra>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}pa=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){be[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=pa;continue}else{c[C>>2]=Y+1;Z=pa;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;MN(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);QH(z);QH(y);QH(x);QH(w);QH(v);if((lc|0)==0){i=q;return kc|0}_d[mc&511](lc);i=q;return kc|0}function IN(a){a=a|0;var b=0;b=Gd(8)|0;mH(b,a);xc(b|0,446928,36)}function JN(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=204;u=m+100|0;MI(p,h);m=p|0;v=c[m>>2]|0;if(!((c[119890]|0)==-1)){c[l>>2]=479560;c[l+4>>2]=20;c[l+8>>2]=0;BH(479560,l,118)}l=(c[119891]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(HN(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){gI(k,le[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=le[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}KN(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((be[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((be[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;gH(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}_d[c[t>>2]&511](A);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function KN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){jI(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function LN(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[120008]|0)==-1)){c[p>>2]=480032;c[p+4>>2]=20;c[p+8>>2]=0;BH(480032,p,118)}p=(c[120009]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Gd(4)|0;D=B;AR(D);xc(B|0,446912,172)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Gd(4)|0;D=B;AR(D);xc(B|0,446912,172)}B=b;$d[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;$d[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}aI(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];yS(p|0,0,12)|0;QH(r);$d[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}aI(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];yS(p|0,0,12)|0;QH(s);s=b;a[f]=be[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=be[c[(c[s>>2]|0)+16>>2]&255](B)|0;$d[c[(c[D>>2]|0)+20>>2]&255](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}aI(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];yS(p|0,0,12)|0;QH(t);$d[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}aI(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];yS(t|0,0,12)|0;QH(u);E=be[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[120010]|0)==-1)){c[o>>2]=480040;c[o+4>>2]=20;c[o+8>>2]=0;BH(480040,o,118)}o=(c[120011]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Gd(4)|0;G=F;AR(G);xc(F|0,446912,172)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Gd(4)|0;G=F;AR(G);xc(F|0,446912,172)}F=B;$d[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;$d[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}aI(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];yS(l|0,0,12)|0;QH(w);$d[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}aI(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];yS(k|0,0,12)|0;QH(x);x=B;a[f]=be[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=be[c[(c[x>>2]|0)+16>>2]&255](F)|0;$d[c[(c[G>>2]|0)+20>>2]&255](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}aI(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];yS(h|0,0,12)|0;QH(y);$d[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}aI(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];yS(j|0,0,12)|0;QH(z);E=be[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function MN(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function NN(a){a=a|0;eH(a|0);bS(a);return}function ON(a){a=a|0;eH(a|0);return}function PN(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=204;w=m+400|0;MI(p,h);m=p|0;x=c[m>>2]|0;if(!((c[119888]|0)==-1)){c[l>>2]=479552;c[l+4>>2]=20;c[l+8>>2]=0;BH(479552,l,118)}l=(c[119889]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(QN(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;pe[c[(c[z>>2]|0)+48>>2]&127](A,440176,440186,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=VR((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}gS();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[440176+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=wb(D|0,430848,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}WR(J);break}M=Gd(8)|0;mH(M,429472);xc(M|0,446928,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=be[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=be[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];gH(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}_d[c[v>>2]&511](B);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function QN(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;yS(C|0,0,12)|0;D=w;yS(D|0,0,12)|0;E=x;yS(E|0,0,12)|0;F=y;yS(F|0,0,12)|0;G=z;yS(G|0,0,12)|0;TN(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=204;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=be[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=be[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 4:{V=0;X=o;ea=T;fa=S;ga=R;c:while(1){ha=c[f>>2]|0;do{if((ha|0)==0){ia=1}else{ja=c[ha+12>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){ka=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[ja>>2]|0}if((ka|0)==-1){c[f>>2]=0;ia=1;break}else{ia=(c[f>>2]|0)==0;break}}}while(0);ha=c[b>>2]|0;do{if((ha|0)==0){Z=207}else{ja=c[ha+12>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){la=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{la=c[ja>>2]|0}if((la|0)==-1){c[b>>2]=0;Z=207;break}else{if(ia){break}else{break c}}}}while(0);if((Z|0)==207){Z=0;if(ia){break}}ha=c[f>>2]|0;ja=c[ha+12>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){ma=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ma=c[ja>>2]|0}if(de[c[(c[e>>2]|0)+12>>2]&127](l,2048,ma)|0){ja=c[n>>2]|0;if((ja|0)==(c[q>>2]|0)){UN(m,n,q);na=c[n>>2]|0}else{na=ja}c[n>>2]=na+4;c[na>>2]=ma;oa=V+1|0;pa=X;qa=ea;ra=fa;sa=ga}else{ja=a[C]|0;if((ja&1)==0){ta=(ja&255)>>>1}else{ta=c[Q>>2]|0}if((ta|0)==0|(V|0)==0){break}if((ma|0)!=(c[u>>2]|0)){break}if((ea|0)==(X|0)){ja=(ga|0)!=204;ha=ea-fa|0;ua=ha>>>0<2147483647>>>0?ha<<1:-1;if(ja){va=fa}else{va=0}ja=YR(va,ua)|0;wa=ja;if((ja|0)==0){gS()}xa=wa+(ua>>>2<<2)|0;ya=wa+(ha>>2<<2)|0;za=wa;Aa=98}else{xa=X;ya=ea;za=fa;Aa=ga}c[ya>>2]=V;oa=0;pa=xa;qa=ya+4|0;ra=za;sa=Aa}wa=c[f>>2]|0;ha=wa+12|0;ua=c[ha>>2]|0;if((ua|0)==(c[wa+16>>2]|0)){be[c[(c[wa>>2]|0)+40>>2]&255](wa)|0;V=oa;X=pa;ea=qa;fa=ra;ga=sa;continue}else{c[ha>>2]=ua+4;V=oa;X=pa;ea=qa;fa=ra;ga=sa;continue}}if((fa|0)==(ea|0)|(V|0)==0){Ba=X;Ca=ea;Da=fa;Ea=ga}else{if((ea|0)==(X|0)){ua=(ga|0)!=204;ha=ea-fa|0;wa=ha>>>0<2147483647>>>0?ha<<1:-1;if(ua){Fa=fa}else{Fa=0}ua=YR(Fa,wa)|0;ja=ua;if((ua|0)==0){gS()}Ga=ja+(wa>>>2<<2)|0;Ha=ja+(ha>>2<<2)|0;Ia=ja;Ja=98}else{Ga=X;Ha=ea;Ia=fa;Ja=ga}c[Ha>>2]=V;Ba=Ga;Ca=Ha+4|0;Da=Ia;Ea=Ja}ja=c[A>>2]|0;if((ja|0)>0){ha=c[f>>2]|0;do{if((ha|0)==0){Ka=1}else{wa=c[ha+12>>2]|0;if((wa|0)==(c[ha+16>>2]|0)){La=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{La=c[wa>>2]|0}if((La|0)==-1){c[f>>2]=0;Ka=1;break}else{Ka=(c[f>>2]|0)==0;break}}}while(0);ha=c[b>>2]|0;do{if((ha|0)==0){Z=259}else{V=c[ha+12>>2]|0;if((V|0)==(c[ha+16>>2]|0)){Ma=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{Ma=c[V>>2]|0}if((Ma|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ka){Na=ha;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ka){Z=265;break a}else{Na=0}}ha=c[f>>2]|0;V=c[ha+12>>2]|0;if((V|0)==(c[ha+16>>2]|0)){Oa=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{Oa=c[V>>2]|0}if((Oa|0)!=(c[t>>2]|0)){Z=265;break a}V=c[f>>2]|0;ha=V+12|0;ga=c[ha>>2]|0;if((ga|0)==(c[V+16>>2]|0)){be[c[(c[V>>2]|0)+40>>2]&255](V)|0;Pa=Na;Qa=ja;Ra=Na}else{c[ha>>2]=ga+4;Pa=Na;Qa=ja;Ra=Na}while(1){ga=c[f>>2]|0;do{if((ga|0)==0){Sa=1}else{ha=c[ga+12>>2]|0;if((ha|0)==(c[ga+16>>2]|0)){Ta=be[c[(c[ga>>2]|0)+36>>2]&255](ga)|0}else{Ta=c[ha>>2]|0}if((Ta|0)==-1){c[f>>2]=0;Sa=1;break}else{Sa=(c[f>>2]|0)==0;break}}}while(0);do{if((Pa|0)==0){Ua=Ra;Z=282}else{ga=c[Pa+12>>2]|0;if((ga|0)==(c[Pa+16>>2]|0)){Va=be[c[(c[Pa>>2]|0)+36>>2]&255](Pa)|0}else{Va=c[ga>>2]|0}if((Va|0)==-1){c[b>>2]=0;Ua=0;Z=282;break}else{if(Sa^(Ra|0)==0){Wa=Ra;Xa=Ra;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Sa){Z=289;break a}else{Wa=Ua;Xa=0}}ga=c[f>>2]|0;ha=c[ga+12>>2]|0;if((ha|0)==(c[ga+16>>2]|0)){Ya=be[c[(c[ga>>2]|0)+36>>2]&255](ga)|0}else{Ya=c[ha>>2]|0}if(!(de[c[(c[e>>2]|0)+12>>2]&127](l,2048,Ya)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){UN(m,n,q)}ha=c[f>>2]|0;ga=c[ha+12>>2]|0;if((ga|0)==(c[ha+16>>2]|0)){Za=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{Za=c[ga>>2]|0}ga=c[n>>2]|0;c[n>>2]=ga+4;c[ga>>2]=Za;ga=Qa-1|0;c[A>>2]=ga;ha=c[f>>2]|0;V=ha+12|0;fa=c[V>>2]|0;if((fa|0)==(c[ha+16>>2]|0)){be[c[(c[ha>>2]|0)+40>>2]&255](ha)|0}else{c[V>>2]=fa+4}if((ga|0)>0){Pa=Xa;Qa=ga;Ra=Wa}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{_a=U;$a=Ba;ab=Ca;bb=Da;cb=Ea}break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){db=(a[P]|0)!=0}else{db=0}if(!(L|db)){_a=0;$a=o;ab=T;bb=S;cb=R;break b}}ja=a[D]|0;ga=(ja&1)==0?h:c[M>>2]|0;d:do{if((r|0)==0){eb=ga;fb=ja;gb=$;hb=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){ib=ga;jb=ja}else{eb=ga;fb=ja;gb=$;hb=$;break}while(1){if((jb&1)==0){kb=(jb&255)>>>1;lb=h}else{kb=c[h>>2]|0;lb=c[M>>2]|0}if((ib|0)==(lb+(kb<<2)|0)){mb=jb;break}if(!(de[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[ib>>2]|0)|0)){Z=148;break}ib=ib+4|0;jb=a[D]|0}if((Z|0)==148){Z=0;mb=a[D]|0}fa=(mb&1)==0;V=ib-(fa?h:c[M>>2]|0)>>2;ha=a[G]|0;ea=(ha&1)==0;if(ea){nb=(ha&255)>>>1}else{nb=c[N>>2]|0}e:do{if(!(V>>>0>nb>>>0)){if(ea){ob=(ha&255)>>>1;pb=N;qb=N+(((ha&255)>>>1)-V<<2)|0}else{X=c[O>>2]|0;wa=c[N>>2]|0;ob=wa;pb=X;qb=X+(wa-V<<2)|0}wa=pb+(ob<<2)|0;if((qb|0)==(wa|0)){eb=ib;fb=mb;gb=$;hb=$;break d}else{rb=qb;sb=fa?h:c[M>>2]|0}while(1){if((c[rb>>2]|0)!=(c[sb>>2]|0)){break e}X=rb+4|0;if((X|0)==(wa|0)){eb=ib;fb=mb;gb=$;hb=$;break d}rb=X;sb=sb+4|0}}}while(0);eb=fa?h:c[M>>2]|0;fb=mb;gb=$;hb=$}}while(0);f:while(1){if((fb&1)==0){tb=(fb&255)>>>1;ub=h}else{tb=c[h>>2]|0;ub=c[M>>2]|0}if((eb|0)==(ub+(tb<<2)|0)){break}ja=c[f>>2]|0;do{if((ja|0)==0){vb=1}else{ga=c[ja+12>>2]|0;if((ga|0)==(c[ja+16>>2]|0)){wb=be[c[(c[ja>>2]|0)+36>>2]&255](ja)|0}else{wb=c[ga>>2]|0}if((wb|0)==-1){c[f>>2]=0;vb=1;break}else{vb=(c[f>>2]|0)==0;break}}}while(0);do{if((gb|0)==0){xb=hb;Z=178}else{ja=c[gb+12>>2]|0;if((ja|0)==(c[gb+16>>2]|0)){yb=be[c[(c[gb>>2]|0)+36>>2]&255](gb)|0}else{yb=c[ja>>2]|0}if((yb|0)==-1){c[b>>2]=0;xb=0;Z=178;break}else{if(vb^(hb|0)==0){zb=hb;Ab=hb;break}else{break f}}}}while(0);if((Z|0)==178){Z=0;if(vb){break}else{zb=0;Ab=xb}}ja=c[f>>2]|0;fa=c[ja+12>>2]|0;if((fa|0)==(c[ja+16>>2]|0)){Bb=be[c[(c[ja>>2]|0)+36>>2]&255](ja)|0}else{Bb=c[fa>>2]|0}if((Bb|0)!=(c[eb>>2]|0)){break}fa=c[f>>2]|0;ja=fa+12|0;ga=c[ja>>2]|0;if((ga|0)==(c[fa+16>>2]|0)){be[c[(c[fa>>2]|0)+40>>2]&255](fa)|0}else{c[ja>>2]=ga+4}eb=eb+4|0;fb=a[D]|0;gb=zb;hb=Ab}if(!L){_a=U;$a=o;ab=T;bb=S;cb=R;break b}ga=a[D]|0;if((ga&1)==0){Cb=(ga&255)>>>1;Db=h}else{Cb=c[h>>2]|0;Db=c[M>>2]|0}if((eb|0)==(Db+(Cb<<2)|0)){_a=U;$a=o;ab=T;bb=S;cb=R}else{Z=193;break a}break};case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}ga=c[f>>2]|0;ja=c[ga+12>>2]|0;if((ja|0)==(c[ga+16>>2]|0)){Eb=be[c[(c[ga>>2]|0)+36>>2]&255](ga)|0}else{Eb=c[ja>>2]|0}if(!(de[c[(c[e>>2]|0)+12>>2]&127](l,8192,Eb)|0)){Z=41;break a}ja=c[f>>2]|0;ga=ja+12|0;fa=c[ga>>2]|0;if((fa|0)==(c[ja+16>>2]|0)){Fb=be[c[(c[ja>>2]|0)+40>>2]&255](ja)|0}else{c[ga>>2]=fa+4;Fb=c[fa>>2]|0}wI(z,Fb);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;ga=(fa&1)==0;if(ga){Gb=(fa&255)>>>1}else{Gb=c[J>>2]|0}ja=a[F]|0;V=(ja&1)==0;if(V){Hb=(ja&255)>>>1}else{Hb=c[H>>2]|0}if((Gb|0)==(-Hb|0)){_a=U;$a=o;ab=T;bb=S;cb=R;break b}if(ga){Ib=(fa&255)>>>1}else{Ib=c[J>>2]|0}do{if((Ib|0)!=0){if(V){Jb=(ja&255)>>>1}else{Jb=c[H>>2]|0}if((Jb|0)==0){break}ha=c[f>>2]|0;ea=c[ha+12>>2]|0;if((ea|0)==(c[ha+16>>2]|0)){wa=be[c[(c[ha>>2]|0)+36>>2]&255](ha)|0;Kb=wa;Lb=a[E]|0}else{Kb=c[ea>>2]|0;Lb=fa}ea=c[f>>2]|0;wa=ea+12|0;ha=c[wa>>2]|0;X=(ha|0)==(c[ea+16>>2]|0);if((Kb|0)==(c[((Lb&1)==0?J:c[K>>2]|0)>>2]|0)){if(X){be[c[(c[ea>>2]|0)+40>>2]&255](ea)|0}else{c[wa>>2]=ha+4}wa=a[E]|0;if((wa&1)==0){Mb=(wa&255)>>>1}else{Mb=c[J>>2]|0}_a=Mb>>>0>1>>>0?x:U;$a=o;ab=T;bb=S;cb=R;break b}if(X){Nb=be[c[(c[ea>>2]|0)+36>>2]&255](ea)|0}else{Nb=c[ha>>2]|0}if((Nb|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ha=c[f>>2]|0;ea=ha+12|0;X=c[ea>>2]|0;if((X|0)==(c[ha+16>>2]|0)){be[c[(c[ha>>2]|0)+40>>2]&255](ha)|0}else{c[ea>>2]=X+4}a[k]=1;X=a[F]|0;if((X&1)==0){Ob=(X&255)>>>1}else{Ob=c[H>>2]|0}_a=Ob>>>0>1>>>0?y:U;$a=o;ab=T;bb=S;cb=R;break b}}while(0);if(ga){Pb=(fa&255)>>>1}else{Pb=c[J>>2]|0}V=c[f>>2]|0;X=c[V+12>>2]|0;ea=(X|0)==(c[V+16>>2]|0);if((Pb|0)==0){if(ea){ha=be[c[(c[V>>2]|0)+36>>2]&255](V)|0;Qb=ha;Rb=a[F]|0}else{Qb=c[X>>2]|0;Rb=ja}if((Qb|0)!=(c[((Rb&1)==0?H:c[I>>2]|0)>>2]|0)){_a=U;$a=o;ab=T;bb=S;cb=R;break b}ha=c[f>>2]|0;wa=ha+12|0;ua=c[wa>>2]|0;if((ua|0)==(c[ha+16>>2]|0)){be[c[(c[ha>>2]|0)+40>>2]&255](ha)|0}else{c[wa>>2]=ua+4}a[k]=1;ua=a[F]|0;if((ua&1)==0){Sb=(ua&255)>>>1}else{Sb=c[H>>2]|0}_a=Sb>>>0>1>>>0?y:U;$a=o;ab=T;bb=S;cb=R;break b}if(ea){ea=be[c[(c[V>>2]|0)+36>>2]&255](V)|0;Tb=ea;Ub=a[E]|0}else{Tb=c[X>>2]|0;Ub=fa}if((Tb|0)!=(c[((Ub&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;_a=U;$a=o;ab=T;bb=S;cb=R;break b}X=c[f>>2]|0;ea=X+12|0;V=c[ea>>2]|0;if((V|0)==(c[X+16>>2]|0)){be[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[ea>>2]=V+4}V=a[E]|0;if((V&1)==0){Vb=(V&255)>>>1}else{Vb=c[J>>2]|0}_a=Vb>>>0>1>>>0?x:U;$a=o;ab=T;bb=S;cb=R;break};default:{_a=U;$a=o;ab=T;bb=S;cb=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Wb=$;Xb=$}while(1){V=c[f>>2]|0;do{if((V|0)==0){Yb=1}else{ea=c[V+12>>2]|0;if((ea|0)==(c[V+16>>2]|0)){Zb=be[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Zb=c[ea>>2]|0}if((Zb|0)==-1){c[f>>2]=0;Yb=1;break}else{Yb=(c[f>>2]|0)==0;break}}}while(0);do{if((Wb|0)==0){_b=Xb;Z=56}else{V=c[Wb+12>>2]|0;if((V|0)==(c[Wb+16>>2]|0)){$b=be[c[(c[Wb>>2]|0)+36>>2]&255](Wb)|0}else{$b=c[V>>2]|0}if(($b|0)==-1){c[b>>2]=0;_b=0;Z=56;break}else{if(Yb^(Xb|0)==0){ac=Xb;bc=Xb;break}else{_a=U;$a=o;ab=T;bb=S;cb=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(Yb){_a=U;$a=o;ab=T;bb=S;cb=R;break g}else{ac=0;bc=_b}}V=c[f>>2]|0;ea=c[V+12>>2]|0;if((ea|0)==(c[V+16>>2]|0)){cc=be[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{cc=c[ea>>2]|0}if(!(de[c[(c[e>>2]|0)+12>>2]&127](l,8192,cc)|0)){_a=U;$a=o;ab=T;bb=S;cb=R;break g}ea=c[f>>2]|0;V=ea+12|0;X=c[V>>2]|0;if((X|0)==(c[ea+16>>2]|0)){dc=be[c[(c[ea>>2]|0)+40>>2]&255](ea)|0}else{c[V>>2]=X+4;dc=c[X>>2]|0}wI(z,dc);Wb=ac;Xb=bc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=cb;S=bb;T=ab;o=$a;r=fa;U=_a}else{aa=cb;ba=bb;ca=ab;da=_a;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;ec=0;fc=S;gc=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;ec=0;fc=S;gc=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;ec=0;fc=S;gc=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;ec=0;fc=Da;gc=Ea}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;ec=0;fc=Da;gc=Ea}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;ec=0;fc=Da;gc=Ea}else if((Z|0)==302){i:do{if((da|0)!=0){_a=da;ab=da+4|0;bb=da+8|0;cb=1;j:while(1){U=a[_a]|0;if((U&1)==0){hc=(U&255)>>>1}else{hc=c[ab>>2]|0}if(!(cb>>>0<hc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){ic=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){jc=be[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{jc=c[r>>2]|0}if((jc|0)==-1){c[f>>2]=0;ic=1;break}else{ic=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){kc=be[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{kc=c[r>>2]|0}if((kc|0)==-1){c[b>>2]=0;Z=321;break}else{if(ic){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(ic){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=be[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((a[_a]&1)==0){mc=ab}else{mc=c[bb>>2]|0}if((lc|0)!=(c[mc+(cb<<2)>>2]|0)){break}r=cb+1|0;U=c[f>>2]|0;$a=U+12|0;o=c[$a>>2]|0;if((o|0)==(c[U+16>>2]|0)){be[c[(c[U>>2]|0)+40>>2]&255](U)|0;cb=r;continue}else{c[$a>>2]=o+4;cb=r;continue}}c[j>>2]=c[j>>2]|4;ec=0;fc=ba;gc=aa;break h}}while(0);if((ba|0)==(ca|0)){ec=1;fc=ca;gc=aa;break}c[B>>2]=0;MN(v,ba,ca,B);if((c[B>>2]|0)==0){ec=1;fc=ba;gc=aa;break}c[j>>2]=c[j>>2]|4;ec=0;fc=ba;gc=aa}}while(0);sI(z);sI(y);sI(x);sI(w);QH(v);if((fc|0)==0){i=p;return ec|0}_d[gc&511](fc);i=p;return ec|0}function RN(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=204;u=m+400|0;MI(p,h);m=p|0;v=c[m>>2]|0;if(!((c[119888]|0)==-1)){c[l>>2]=479552;c[l+4>>2]=20;c[l+8>>2]=0;BH(479552,l,118)}l=(c[119889]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(QN(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){wI(k,le[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=le[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}SN(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=be[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];gH(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}_d[c[t>>2]&511](z);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function SN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){yI(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function TN(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[120004]|0)==-1)){c[p>>2]=480016;c[p+4>>2]=20;c[p+8>>2]=0;BH(480016,p,118)}p=(c[120005]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Gd(4)|0;D=B;AR(D);xc(B|0,446912,172)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Gd(4)|0;D=B;AR(D);xc(B|0,446912,172)}B=b;$d[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;$d[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}vI(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];yS(p|0,0,12)|0;sI(r);$d[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}vI(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];yS(p|0,0,12)|0;sI(s);s=b;c[f>>2]=be[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=be[c[(c[s>>2]|0)+16>>2]&255](B)|0;$d[c[(c[b>>2]|0)+20>>2]&255](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}aI(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];yS(p|0,0,12)|0;QH(t);$d[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}vI(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];yS(t|0,0,12)|0;sI(u);E=be[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[120006]|0)==-1)){c[o>>2]=480024;c[o+4>>2]=20;c[o+8>>2]=0;BH(480024,o,118)}o=(c[120007]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Gd(4)|0;G=F;AR(G);xc(F|0,446912,172)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Gd(4)|0;G=F;AR(G);xc(F|0,446912,172)}F=B;$d[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;$d[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}vI(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];yS(l|0,0,12)|0;sI(w);$d[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}vI(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];yS(k|0,0,12)|0;sI(x);x=B;c[f>>2]=be[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=be[c[(c[x>>2]|0)+16>>2]&255](F)|0;$d[c[(c[B>>2]|0)+20>>2]&255](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}aI(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];yS(h|0,0,12)|0;QH(y);$d[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}vI(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];yS(j|0,0,12)|0;sI(z);E=be[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function UN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=204;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=YR(k,j)|0;k=a;if((a|0)==0){gS()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}_d[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=98;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function VN(a){a=a|0;eH(a|0);bS(a);return}function WN(a){a=a|0;eH(a|0);return}function XN(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Cb(z|0,100,428496,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);C=PL(m,c[119532]|0,428496,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){gS();E=c[m>>2]|0}else{E=D}D=VR(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}gS();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);MI(n,g);B=n|0;A=c[B>>2]|0;if(!((c[119890]|0)==-1)){c[l>>2]=479560;c[l+4>>2]=20;c[l+8>>2]=0;BH(479560,l,118)}l=(c[119891]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;pe[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}yS(r|0,0,12)|0;D=s;yS(D|0,0,12)|0;z=t;yS(z|0,0,12)|0;YN(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=VR(M)|0;if((D|0)!=0){S=D;T=D;break}gS();S=0;T=0}else{S=K;T=0}}while(0);ZN(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];nE(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){WR(T)}QH(t);QH(s);QH(r);gH(c[B>>2]|0)|0;if((H|0)!=0){WR(H)}if((I|0)==0){i=d;return}WR(I);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function YN(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[120008]|0)==-1)){c[p>>2]=480032;c[p+4>>2]=20;c[p+8>>2]=0;BH(480032,p,118)}p=(c[120009]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Gd(4)|0;J=I;AR(J);xc(I|0,446912,172)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Gd(4)|0;J=I;AR(J);xc(I|0,446912,172)}I=e;J=c[e>>2]|0;if(d){$d[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;$d[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}aI(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];yS(q|0,0,12)|0;QH(s)}else{$d[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;$d[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}aI(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];yS(t|0,0,12)|0;QH(v)}v=e;a[g]=be[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=be[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;$d[c[(c[v>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}aI(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];yS(u|0,0,12)|0;QH(w);$d[c[(c[v>>2]|0)+24>>2]&255](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}aI(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];yS(w|0,0,12)|0;QH(x);K=be[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[120010]|0)==-1)){c[o>>2]=480040;c[o+4>>2]=20;c[o+8>>2]=0;BH(480040,o,118)}o=(c[120011]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Gd(4)|0;M=L;AR(M);xc(L|0,446912,172)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Gd(4)|0;M=L;AR(M);xc(L|0,446912,172)}L=H;M=c[H>>2]|0;if(d){$d[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;$d[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}aI(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];yS(y|0,0,12)|0;QH(A)}else{$d[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;$d[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}aI(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];yS(l|0,0,12)|0;QH(E)}E=H;a[g]=be[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=be[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;$d[c[(c[E>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}aI(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];yS(j|0,0,12)|0;QH(F);$d[c[(c[E>>2]|0)+24>>2]&255](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}aI(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];yS(k|0,0,12)|0;QH(G);K=be[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function ZN(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 0:{c[e>>2]=c[f>>2];I=H;break};case 1:{c[e>>2]=c[f>>2];h=le[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;J=c[f>>2]|0;c[f>>2]=J+1;a[J]=h;I=H;break};case 3:{h=a[t]|0;J=(h&1)==0;if(J){K=(h&255)>>>1}else{K=c[w>>2]|0}if((K|0)==0){I=H;break a}if(J){L=u}else{L=c[v>>2]|0}J=a[L]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=J;I=H;break};case 2:{J=a[q]|0;h=(J&1)==0;if(h){M=(J&255)>>>1}else{M=c[A>>2]|0}if((M|0)==0|x){I=H;break a}if(h){N=(J&255)>>>1;O=y;P=y}else{J=c[z>>2]|0;N=c[A>>2]|0;O=J;P=J}J=O+N|0;h=c[f>>2]|0;if((P|0)==(J|0)){Q=h}else{R=h;h=P;while(1){a[R]=a[h]|0;S=h+1|0;T=R+1|0;if((S|0)==(J|0)){Q=T;break}else{R=T;h=S}}}c[f>>2]=Q;I=H;break};case 4:{h=c[f>>2]|0;R=k?H+1|0:H;J=R;while(1){if(!(J>>>0<i>>>0)){break}S=a[J]|0;if(S<<24>>24<0){break}if((b[(c[p>>2]|0)+(S<<24>>24<<1)>>1]&2048)==0){break}else{J=J+1|0}}S=J;if(B){if(J>>>0>R>>>0){T=R+(-S|0)|0;S=T>>>0<o>>>0?o:T;T=S+r|0;U=J;V=r;W=h;while(1){X=U-1|0;Y=a[X]|0;c[f>>2]=W+1;a[W]=Y;Y=V-1|0;Z=(Y|0)>0;if(!(X>>>0>R>>>0&Z)){break}U=X;V=Y;W=c[f>>2]|0}W=J+S|0;if(Z){_=T;$=W;aa=32}else{ba=0;ca=T;da=W}}else{_=r;$=J;aa=32}if((aa|0)==32){aa=0;ba=le[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;ca=_;da=$}W=c[f>>2]|0;c[f>>2]=W+1;if((ca|0)>0){V=ca;U=W;while(1){a[U]=ba;Y=V-1|0;X=c[f>>2]|0;c[f>>2]=X+1;if((Y|0)>0){V=Y;U=X}else{ea=X;break}}}else{ea=W}a[ea]=m;fa=da}else{fa=J}if((fa|0)==(R|0)){U=le[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;V=c[f>>2]|0;c[f>>2]=V+1;a[V]=U}else{U=a[C]|0;V=(U&1)==0;if(V){ga=(U&255)>>>1}else{ga=c[F>>2]|0}if((ga|0)==0){ha=fa;ia=0;ja=0;ka=-1}else{if(V){la=D}else{la=c[E>>2]|0}ha=fa;ia=0;ja=0;ka=a[la]|0}while(1){do{if((ia|0)==(ka|0)){V=c[f>>2]|0;c[f>>2]=V+1;a[V]=n;V=ja+1|0;U=a[C]|0;T=(U&1)==0;if(T){ma=(U&255)>>>1}else{ma=c[F>>2]|0}if(!(V>>>0<ma>>>0)){na=ka;oa=V;pa=0;break}if(T){qa=D}else{qa=c[E>>2]|0}if((a[qa+V|0]|0)==127){na=-1;oa=V;pa=0;break}if(T){ra=D}else{ra=c[E>>2]|0}na=a[ra+V|0]|0;oa=V;pa=0}else{na=ka;oa=ja;pa=ia}}while(0);V=ha-1|0;T=a[V]|0;U=c[f>>2]|0;c[f>>2]=U+1;a[U]=T;if((V|0)==(R|0)){break}else{ha=V;ia=pa+1|0;ja=oa;ka=na}}}J=c[f>>2]|0;if((h|0)==(J|0)){I=R;break a}W=J-1|0;if(W>>>0>h>>>0){sa=h;ta=W}else{I=R;break a}while(1){W=a[sa]|0;a[sa]=a[ta]|0;a[ta]=W;W=sa+1|0;J=ta-1|0;if(W>>>0<J>>>0){sa=W;ta=J}else{I=R;break}}break};default:{I=H}}}while(0);R=G+1|0;if(R>>>0<4>>>0){G=R;H=I}else{break}}I=a[t]|0;t=(I&1)==0;if(t){ua=(I&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(I&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function _N(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;MI(l,g);x=l|0;y=c[x>>2]|0;if(!((c[119890]|0)==-1)){c[k>>2]=479560;c[k+4>>2]=20;c[k+8>>2]=0;BH(479560,k,118)}k=(c[119891]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(le[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}yS(p|0,0,12)|0;A=q;yS(A|0,0,12)|0;E=r;yS(E|0,0,12)|0;YN(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=VR(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}gS();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}ZN(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];nE(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){QH(r);QH(q);QH(p);X=c[x>>2]|0;Y=X|0;Z=gH(Y)|0;i=d;return}WR(T);QH(r);QH(q);QH(p);X=c[x>>2]|0;Y=X|0;Z=gH(Y)|0;i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function $N(a){a=a|0;eH(a|0);bS(a);return}function aO(a){a=a|0;eH(a|0);return}function bO(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Cb(z|0,100,428496,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);C=PL(m,c[119532]|0,428496,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){gS();E=c[m>>2]|0}else{E=D}D=VR(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}gS();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);MI(n,g);B=n|0;A=c[B>>2]|0;if(!((c[119888]|0)==-1)){c[l>>2]=479552;c[l+4>>2]=20;c[l+8>>2]=0;BH(479552,l,118)}l=(c[119889]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;pe[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}yS(r|0,0,12)|0;F=s;yS(F|0,0,12)|0;z=t;yS(z|0,0,12)|0;cO(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=VR(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}gS();S=0;T=0}else{S=D;T=0}}while(0);dO(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];YL(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){WR(T)}sI(t);sI(s);QH(r);gH(c[B>>2]|0)|0;if((I|0)!=0){WR(I)}if((J|0)==0){i=d;return}WR(J);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function cO(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[120004]|0)==-1)){c[p>>2]=480016;c[p+4>>2]=20;c[p+8>>2]=0;BH(480016,p,118)}p=(c[120005]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Gd(4)|0;J=I;AR(J);xc(I|0,446912,172)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Gd(4)|0;J=I;AR(J);xc(I|0,446912,172)}I=e;J=c[e>>2]|0;if(d){$d[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;$d[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}vI(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];yS(q|0,0,12)|0;sI(s)}else{$d[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;$d[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}vI(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];yS(t|0,0,12)|0;sI(v)}v=e;c[g>>2]=be[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=be[c[(c[v>>2]|0)+16>>2]&255](I)|0;$d[c[(c[e>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}aI(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];yS(u|0,0,12)|0;QH(w);$d[c[(c[e>>2]|0)+24>>2]&255](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}vI(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];yS(w|0,0,12)|0;sI(x);K=be[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[120006]|0)==-1)){c[o>>2]=480024;c[o+4>>2]=20;c[o+8>>2]=0;BH(480024,o,118)}o=(c[120007]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Gd(4)|0;M=L;AR(M);xc(L|0,446912,172)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Gd(4)|0;M=L;AR(M);xc(L|0,446912,172)}L=H;M=c[H>>2]|0;if(d){$d[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;$d[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}vI(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];yS(y|0,0,12)|0;sI(A)}else{$d[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;$d[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}vI(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];yS(l|0,0,12)|0;sI(E)}E=H;c[g>>2]=be[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=be[c[(c[E>>2]|0)+16>>2]&255](L)|0;$d[c[(c[H>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}aI(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];yS(j|0,0,12)|0;QH(F);$d[c[(c[H>>2]|0)+24>>2]&255](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}vI(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];yS(k|0,0,12)|0;sI(G);K=be[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function dO(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 3:{g=a[s]|0;E=(g&1)==0;if(E){F=(g&255)>>>1}else{F=c[t>>2]|0}if((F|0)==0){G=D;break a}if(E){H=t}else{H=c[u>>2]|0}E=c[H>>2]|0;g=c[e>>2]|0;c[e>>2]=g+4;c[g>>2]=E;G=D;break};case 2:{E=a[p]|0;g=(E&1)==0;if(g){I=(E&255)>>>1}else{I=c[w>>2]|0}if((I|0)==0|v){G=D;break a}if(g){J=(E&255)>>>1;K=w;L=w}else{E=c[x>>2]|0;J=c[w>>2]|0;K=E;L=E}E=K+(J<<2)|0;g=c[e>>2]|0;if((L|0)==(E|0)){M=g}else{N=(K+(J-1<<2)+(-L|0)|0)>>>2;O=g;P=L;while(1){c[O>>2]=c[P>>2];Q=P+4|0;if((Q|0)==(E|0)){break}O=O+4|0;P=Q}M=g+(N+1<<2)|0}c[e>>2]=M;G=D;break};case 4:{P=c[e>>2]|0;O=j?D+4|0:D;E=O;while(1){if(!(E>>>0<h>>>0)){break}if(de[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[E>>2]|0)|0){E=E+4|0}else{break}}if(y){do{if(E>>>0>O>>>0){N=E;g=q;Q=c[e>>2]|0;while(1){R=N-4|0;S=Q+4|0;c[Q>>2]=c[R>>2];T=g-1|0;U=(T|0)>0;if(R>>>0>O>>>0&U){N=R;g=T;Q=S}else{break}}c[e>>2]=S;if(U){V=T;W=R;X=34;break}Q=c[e>>2]|0;c[e>>2]=Q+4;Y=Q;Z=R}else{V=q;W=E;X=34}}while(0);do{if((X|0)==34){X=0;Q=le[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;g=c[e>>2]|0;N=g+4|0;c[e>>2]=N;if((V|0)>0){_=V;$=g;aa=N}else{Y=g;Z=W;break}while(1){c[$>>2]=Q;N=_-1|0;if((N|0)>0){_=N;$=aa;aa=aa+4|0}else{break}}c[e>>2]=g+(V+1<<2);Y=g+(V<<2)|0;Z=W}}while(0);c[Y>>2]=l;ba=Z}else{ba=E}if((ba|0)==(O|0)){Q=le[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;N=c[e>>2]|0;ca=N+4|0;c[e>>2]=ca;c[N>>2]=Q;da=ca}else{ca=a[z]|0;Q=(ca&1)==0;if(Q){ea=(ca&255)>>>1}else{ea=c[C>>2]|0}if((ea|0)==0){fa=ba;ga=0;ha=0;ia=-1}else{if(Q){ja=A}else{ja=c[B>>2]|0}fa=ba;ga=0;ha=0;ia=a[ja]|0}while(1){do{if((ga|0)==(ia|0)){Q=c[e>>2]|0;c[e>>2]=Q+4;c[Q>>2]=m;Q=ha+1|0;ca=a[z]|0;N=(ca&1)==0;if(N){ka=(ca&255)>>>1}else{ka=c[C>>2]|0}if(!(Q>>>0<ka>>>0)){la=ia;ma=Q;na=0;break}if(N){oa=A}else{oa=c[B>>2]|0}if((a[oa+Q|0]|0)==127){la=-1;ma=Q;na=0;break}if(N){pa=A}else{pa=c[B>>2]|0}la=a[pa+Q|0]|0;ma=Q;na=0}else{la=ia;ma=ha;na=ga}}while(0);g=fa-4|0;Q=c[g>>2]|0;N=c[e>>2]|0;c[e>>2]=N+4;c[N>>2]=Q;if((g|0)==(O|0)){break}else{fa=g;ga=na+1|0;ha=ma;ia=la}}da=c[e>>2]|0}if((P|0)==(da|0)){G=O;break a}E=da-4|0;if(E>>>0>P>>>0){qa=P;ra=E}else{G=O;break a}while(1){E=c[qa>>2]|0;c[qa>>2]=c[ra>>2];c[ra>>2]=E;E=qa+4|0;g=ra-4|0;if(E>>>0<g>>>0){qa=E;ra=g}else{G=O;break}}break};case 1:{c[d>>2]=c[e>>2];O=le[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;P=c[e>>2]|0;c[e>>2]=P+4;c[P>>2]=O;G=D;break};case 0:{c[d>>2]=c[e>>2];G=D;break};default:{G=D}}}while(0);O=n+1|0;if(O>>>0<4>>>0){n=O;D=G}else{break}}G=a[s]|0;s=(G&1)==0;if(s){sa=(G&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(G&255)>>>1;ua=t;va=t}else{G=c[u>>2]|0;ta=c[t>>2]|0;ua=G;va=G}G=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((G|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-G|0)|0)>>>2;ta=t;ua=G;while(1){c[ta>>2]=c[ua>>2];G=ua+4|0;if((G|0)==(va|0)){break}else{ta=ta+4|0;ua=G}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==32){c[d>>2]=c[e>>2];return}else if((wa|0)==16){return}else{c[d>>2]=b;return}}function eO(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;MI(l,g);x=l|0;y=c[x>>2]|0;if(!((c[119888]|0)==-1)){c[k>>2]=479552;c[k+4>>2]=20;c[k+8>>2]=0;BH(479552,k,118)}k=(c[119889]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(le[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}yS(p|0,0,12)|0;A=q;yS(A|0,0,12)|0;E=r;yS(E|0,0,12)|0;cO(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=VR(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}gS();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}dO(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];YL(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){sI(r);sI(q);QH(p);X=c[x>>2]|0;Y=X|0;Z=gH(Y)|0;i=d;return}WR(T);sI(r);sI(q);QH(p);X=c[x>>2]|0;Y=X|0;Z=gH(Y)|0;i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function fO(a){a=a|0;eH(a|0);bS(a);return}function gO(a){a=a|0;eH(a|0);return}function hO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Ld(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function iO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;yS(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{gI(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Xb(s|0,f|0,g|0,r|0)|0;yS(b|0,0,12)|0;r=vS(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{QH(j);i=d;return}do{gI(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);QH(j);i=d;return}function jO(a,b){a=a|0;b=b|0;Jb(((b|0)==-1?-1:b<<1)|0)|0;return}function kO(a){a=a|0;eH(a|0);bS(a);return}function lO(a){a=a|0;eH(a|0);return}function mO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Ld(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}



function MH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){CH(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=$R(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}yS(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function NH(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){DH(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){CH(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;xS(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=$R(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;xS(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function OH(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function PH(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function QH(b){b=b|0;if((a[b]&1)==0){return}bS(c[b+8>>2]|0);return}function RH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}iI(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}BS(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function SH(a,b){a=a|0;b=b|0;return TH(a,b)|0}function TH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=vS(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}iI(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}BS(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function UH(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function VH(a){a=a|0;return a+1|0}function WH(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function XH(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function YH(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function ZH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){_H(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function _H(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){jI(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}yS(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function $H(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){_H(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function aI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){CH(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=$R(f)|0}else{o=$R(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}xS(k|0,l|0,p+1|0)|0;if(m){bS(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function bI(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function cI(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function dI(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function eI(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function fI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return hI(b,g,f)|0}function gI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){jI(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function hI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){iI(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}xS(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function iI(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){CH(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=$R(o)|0;if((g|0)!=0){xS(e|0,k|0,g)|0}if((i|0)!=0){xS(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){xS(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}bS(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function jI(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){CH(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=$R(n)|0;if((g|0)!=0){xS(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){xS(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}bS(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function kI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;NH(a,b,c,d,0);return}function lI(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function mI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=vS(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function nI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=sS(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function oI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=vS(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){DH(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=sS(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function pI(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){CH(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;xS(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=$R(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;xS(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function qI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){CH(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=wR(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=$R(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=wR(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function rI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){CH(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=yR(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=$R(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=yR(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function sI(b){b=b|0;if((a[b]&1)==0){return}bS(c[b+8>>2]|0);return}function tI(a,b){a=a|0;b=b|0;return uI(a,b,vR(b)|0)|0}function uI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}xI(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}xR(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function vI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){CH(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=$R(f)|0}else{o=$R(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}wR(k,l,p+1|0)|0;if(m){bS(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function wI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){yI(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function xI(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){CH(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=$R(o<<2)|0;if((g|0)!=0){wR(e,k,g)|0}if((i|0)!=0){wR(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){wR(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}bS(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function yI(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){CH(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=$R(n<<2)|0;if((g|0)!=0){wR(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){wR(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}bS(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function zI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;yS(f|0,0,12)|0;g=vS(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){CH(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=$R(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}xS(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}hI(b,l,j)|0;return}function AI(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function BI(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function CI(a,b){a=a|0;b=b|0;DI(a|0,b);return}function DI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=Gd(16)|0;do{if((a[480128]|0)==0){if((cc(480128)|0)==0){break}c[119534]=442184;Gb(160,478136,s|0)|0}}while(0);b=HS(478136,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;yH(e,f,423216);c[e>>2]=441320;xc(e|0,447504,44)}function EI(a,b){a=a|0;b=b|0;DI(a|0,c[a+16>>2]|b);return}function FI(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=441296;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;qe[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}yO(a+28|0);WR(c[d>>2]|0);WR(c[e>>2]|0);WR(c[a+48>>2]|0);WR(c[a+60>>2]|0);return}function GI(a){a=a|0;FI(a|0);bS(a);return}function HI(a){a=a|0;FI(a|0);return}function II(a){a=a|0;FI(a|0);return}function JI(a){a=a|0;return c[a+24>>2]|0}function KI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}xO(d,a+28|0);a=AO(d,479560)|0;f=le[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;yO(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function LI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;xO(e,a+28|0);a=AO(e,479560)|0;f=le[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;yO(e);i=d;return f|0}function MI(a,b){a=a|0;b=b|0;xO(a,b+28|0);return}function NI(a){a=a|0;c[a>>2]=440840;return}function OI(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;yS(a+32|0,0,40)|0;if((b|0)==0){return}wO(b);return}function PI(a){a=a|0;c[a>>2]=442488;yO(a+4|0);bS(a);return}function QI(a){a=a|0;c[a>>2]=442488;yO(a+4|0);return}function RI(a){a=a|0;c[a>>2]=442488;yO(a+4|0);return}function SI(a,b){a=a|0;b=b|0;xO(a,b+4|0);return}function TI(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=be[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function UI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=le[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function VI(a,b,d){a=a|0;b=b|0;d=d|0;return de[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function WI(a){a=a|0;c[a>>2]=442488;wO(a+4|0);yS(a+8|0,0,24)|0;return}function XI(a){a=a|0;return c[a+8>>2]|0}function YI(a){a=a|0;return c[a+12>>2]|0}function ZI(a){a=a|0;return c[a+16>>2]|0}function _I(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function $I(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function aJ(a){a=a|0;return c[a+20>>2]|0}function bJ(a){a=a|0;return c[a+24>>2]|0}function cJ(a){a=a|0;return c[a+28>>2]|0}function dJ(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function eJ(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function fJ(a,b){a=a|0;b=b|0;return}function gJ(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function hJ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function iJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function jJ(a){a=a|0;return 0}function kJ(a){a=a|0;return 0}function lJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=be[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function mJ(a){a=a|0;return-1|0}function nJ(a){a=a|0;var b=0,e=0;if((be[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function oJ(a,b){a=a|0;b=b|0;return-1|0}function pJ(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((le[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function qJ(a,b){a=a|0;b=b|0;return-1|0}function rJ(a){a=a|0;c[a>>2]=442416;yO(a+4|0);bS(a);return}function sJ(a){a=a|0;c[a>>2]=442416;yO(a+4|0);return}function tJ(a,b){a=a|0;b=b|0;return}function uJ(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function vJ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function wJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function xJ(a){a=a|0;return 0}function yJ(a){a=a|0;return 0}function zJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=be[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function AJ(a){a=a|0;return-1|0}function BJ(a){a=a|0;var b=0,d=0;if((be[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function CJ(a,b){a=a|0;b=b|0;return-1|0}function DJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((le[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function EJ(a,b){a=a|0;b=b|0;return-1|0}function FJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;yS(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}wO(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function GJ(a){a=a|0;FI(a+8|0);bS(a);return}function HJ(a){a=a|0;FI(a+8|0);return}function IJ(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;FI(b+(d+8)|0);bS(b+d|0);return}function JJ(a){a=a|0;FI(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function KJ(a,b,c){a=a|0;b=b|0;c=c|0;LJ(a,b,c);return}function LJ(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){DI(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){MJ(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}xO(h,l+(e+28)|0);e=AO(h,479560)|0;yO(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(be[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(be[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){be[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(be[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;DI(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function MJ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{MJ(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((be[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;DI(h+k|0,c[h+(k+16)>>2]|1)}}while(0);$J(e);i=d;return b|0}function NJ(b){b=b|0;return(a[b|0]|0)!=0|0}function OJ(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{tb()}}function PJ(a){a=a|0;FI(a+8|0);bS(a);return}function QJ(a){a=a|0;FI(a+8|0);return}function RJ(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;FI(b+(d+8)|0);bS(b+d|0);return}function SJ(a){a=a|0;FI(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function TJ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{TJ(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((be[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;DI(h+k|0,c[h+(k+16)>>2]|1)}}while(0);lK(e);i=d;return b|0}function UJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;yS(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}wO(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function VJ(a){a=a|0;FI(a+4|0);bS(a);return}function WJ(a){a=a|0;FI(a+4|0);return}function XJ(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;FI(b+(d+4)|0);bS(b+d|0);return}function YJ(a){a=a|0;FI(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function ZJ(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){MJ(d)|0}a[e]=1;return}function _J(a){a=a|0;$J(a);return}function $J(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(kc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((be[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;DI(d+b|0,c[d+(b+16)>>2]|1);return}function aK(b){b=b|0;return(a[b|0]|0)!=0|0}function bK(a,b){a=a|0;b=b|0;return be[b&255](a)|0}function cK(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{MJ(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;xO(j,o+(q+28)|0);p=AO(j,479208)|0;yO(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){xO(g,o+(r+28)|0);v=AO(g,479560)|0;w=le[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;yO(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;ee[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;DI(o+r|0,c[o+(r+16)>>2]|5)}}while(0);$J(h);i=e;return b|0}function dK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{MJ(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((le[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;DI(l+p|0,c[l+(p+16)>>2]|1)}}while(0);$J(f);i=e;return b|0}function eK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){MJ(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((de[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;DI(l+m|0,c[l+(m+16)>>2]|1)}}while(0);$J(g);i=f;return b|0}function fK(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;ge[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function gK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){$J(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{MJ(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];te[n&63](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){$J(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;DI(m+f|0,c[m+(f+16)>>2]|4);$J(g);i=e;return b|0}function hK(a){a=a|0;FI(a+4|0);bS(a);return}function iK(a){a=a|0;FI(a+4|0);return}function jK(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;FI(b+(d+4)|0);bS(b+d|0);return}function kK(a){a=a|0;FI(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function lK(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(kc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((be[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;DI(d+b|0,c[d+(b+16)>>2]|1);return}function mK(a){a=a|0;return 425864}function nK(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){IH(a,434224,35);return}else{wH(a,b|0,c);return}}function oK(a){a=a|0;sH(a|0);return}function pK(a){a=a|0;AH(a|0);bS(a);return}function qK(a){a=a|0;AH(a|0);return}function rK(a){a=a|0;FI(a);bS(a);return}function sK(a){a=a|0;sH(a|0);bS(a);return}function tK(a){a=a|0;eH(a|0);bS(a);return}function uK(a){a=a|0;eH(a|0);return}function vK(a){a=a|0;eH(a|0);return}function wK(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function xK(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){CH(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=$R(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function yK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function zK(a){a=a|0;eH(a|0);bS(a);return}function AK(a){a=a|0;eH(a|0);return}function BK(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function CK(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){CH(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=$R(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function DK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function EK(a){a=a|0;eH(a|0);bS(a);return}function FK(a){a=a|0;eH(a|0);return}function GK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];ie[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}MI(r,g);q=r|0;r=c[q>>2]|0;if(!((c[119890]|0)==-1)){c[m>>2]=479560;c[m+4>>2]=20;c[m+8>>2]=0;BH(479560,m,118)}m=(c[119891]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;gH(c[q>>2]|0)|0;MI(s,g);n=s|0;p=c[n>>2]|0;if(!((c[119794]|0)==-1)){c[l>>2]=479176;c[l+4>>2]=20;c[l+8>>2]=0;BH(479176,l,118)}d=(c[119795]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;gH(c[n>>2]|0)|0;z=t|0;A=x;$d[c[(c[A>>2]|0)+24>>2]&255](z,y);$d[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(HK(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];QH(t+12|0);QH(t|0);i=k;return}}while(0);o=Gd(4)|0;AR(o);xc(o|0,446912,172)}}while(0);k=Gd(4)|0;AR(k);xc(k|0,446912,172)}function HK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=VR(l)|0;if((n|0)!=0){o=n;p=n;break}gS();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((be[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((be[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(be[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=le[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(le[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){be[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((be[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((be[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}WR(p);i=k;return $|0}function IK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];JK(a,0,j,k,f,g,h);i=b;return}function JK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;zL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((be[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((be[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}ZH(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}ZH(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(be[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if(($K(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){be[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=vQ(F,c[o>>2]|0,h,t)|0;MN(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((be[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}if((be[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}function KK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];LK(a,0,j,k,f,g,h);i=b;return}function LK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;zL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((be[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((be[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}ZH(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}ZH(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(be[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if(($K(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){be[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=uQ(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;MN(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((be[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}if((be[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}function MK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];NK(a,0,j,k,f,g,h);i=b;return}function NK(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==64){u=8}else if((t|0)==0){u=0}else if((t|0)==8){u=16}else{u=10}t=l|0;zL(n,h,t,m);h=o;yS(h|0,0,12)|0;ZH(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((be[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((be[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}ZH(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}ZH(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(be[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if(($K(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){be[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=tQ(G,c[p>>2]|0,j,u)|0;MN(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((be[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;QH(o);QH(n);i=e;return}if((be[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;QH(o);QH(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;QH(o);QH(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;QH(o);QH(n);i=e;return}function OK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];PK(a,0,j,k,f,g,h);i=b;return}function PK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;zL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((be[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((be[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}ZH(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}ZH(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(be[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if(($K(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){be[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=sQ(F,c[o>>2]|0,h,t)|0;MN(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((be[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}if((be[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}function QK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];RK(a,0,j,k,f,g,h);i=b;return}function RK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;zL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((be[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((be[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}ZH(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}ZH(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(be[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if(($K(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){be[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=rQ(F,c[o>>2]|0,h,t)|0;MN(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((be[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}if((be[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;QH(n);QH(m);i=d;return}function SK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];TK(a,0,j,k,f,g,h);i=b;return}function TK(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;zL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((be[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((be[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}ZH(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}ZH(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(be[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if(($K(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){be[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=qQ(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;MN(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((be[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}if((be[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;QH(n);QH(m);i=d;return}function UK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];VK(a,0,j,k,f,g,h);i=b;return}function VK(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;AL(n,h,v,l,m);h=o;yS(h|0,0,12)|0;ZH(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((be[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((be[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}ZH(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}ZH(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(be[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((BL(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){be[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+pQ(I,c[p>>2]|0,j);MN(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((be[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}if((be[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}function WK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];XK(a,0,j,k,f,g,h);i=b;return}function XK(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;AL(n,g,v,l,m);g=o;yS(g|0,0,12)|0;ZH(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((be[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((be[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}ZH(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}ZH(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(be[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((BL(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){be[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+oQ(I,c[p>>2]|0,j);MN(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((be[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}if((be[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}function YK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];ZK(a,0,j,k,f,g,h);i=b;return}function ZK(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;AL(n,g,v,l,m);g=o;yS(g|0,0,12)|0;ZH(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((be[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((be[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}ZH(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}ZH(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(be[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((BL(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){be[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+nQ(I,c[p>>2]|0,j);MN(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((be[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}if((be[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;QH(o);QH(n);i=d;return}function _K(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;yS(m|0,0,12)|0;MI(n,g);g=n|0;n=c[g>>2]|0;if(!((c[119890]|0)==-1)){c[k>>2]=479560;c[k+4>>2]=20;c[k+8>>2]=0;BH(479560,k,118)}k=(c[119891]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;pe[c[(c[u>>2]|0)+32>>2]&127](u,448672,448698,v)|0;gH(c[g>>2]|0)|0;u=o;yS(u|0,0,12)|0;ZH(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((be[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((be[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}ZH(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}ZH(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(be[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if(($K(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){be[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);F=aL(K,c[119532]|0,412288,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((be[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;QH(o);QH(m);i=d;return}if((be[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;QH(o);QH(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;QH(o);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;QH(o);QH(m);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function $K(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[448672+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}}while(0);e=a[448672+h|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function aL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=ld(b|0)|0;b=Bb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}ld(h|0)|0;i=f;return b|0}function bL(a){a=a|0;eH(a|0);bS(a);return}function cL(a){a=a|0;eH(a|0);return}function dL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];ie[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}MI(r,g);q=r|0;r=c[q>>2]|0;if(!((c[119888]|0)==-1)){c[m>>2]=479552;c[m+4>>2]=20;c[m+8>>2]=0;BH(479552,m,118)}m=(c[119889]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;gH(c[q>>2]|0)|0;MI(s,g);n=s|0;p=c[n>>2]|0;if(!((c[119792]|0)==-1)){c[l>>2]=479168;c[l+4>>2]=20;c[l+8>>2]=0;BH(479168,l,118)}d=(c[119793]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;gH(c[n>>2]|0)|0;z=t|0;A=x;$d[c[(c[A>>2]|0)+24>>2]&255](z,y);$d[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(eL(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];sI(t+12|0);sI(t|0);i=k;return}}while(0);o=Gd(4)|0;AR(o);xc(o|0,446912,172)}}while(0);k=Gd(4)|0;AR(k);xc(k|0,446912,172)}function eL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=VR(l)|0;if((n|0)!=0){o=n;p=n;break}gS();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=be[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=be[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=be[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=le[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(le[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){be[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=be[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}WR(p);i=k;return ca|0}function fL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];gL(a,0,j,k,f,g,h);i=b;return}function gL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;CL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=be[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}ZH(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}ZH(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((yL(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){be[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=vQ(I,c[o>>2]|0,h,t)|0;MN(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=be[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}function hL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];iL(a,0,j,k,f,g,h);i=b;return}function iL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;CL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=be[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}ZH(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}ZH(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((yL(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){be[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=uQ(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;MN(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=be[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;QH(n);QH(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;QH(n);QH(m);i=d;return}function jL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];kL(a,0,j,k,f,g,h);i=b;return}function kL(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==64){u=8}else if((t|0)==0){u=0}else{u=10}t=l|0;CL(n,h,t,m);h=o;yS(h|0,0,12)|0;ZH(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=be[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=be[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}ZH(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}ZH(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((yL(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){be[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=tQ(J,c[p>>2]|0,j,u)|0;MN(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=be[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;QH(o);QH(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;QH(o);QH(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;QH(o);QH(n);i=e;return}function lL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];mL(a,0,j,k,f,g,h);i=b;return}function mL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==64){t=8}else if((s|0)==8){t=16}else{t=10}s=k|0;CL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=be[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}ZH(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}ZH(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((yL(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){be[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=sQ(I,c[o>>2]|0,h,t)|0;MN(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=be[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}function nL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];oL(a,0,j,k,f,g,h);i=b;return}function oL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;CL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=be[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}ZH(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}ZH(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((yL(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){be[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=rQ(I,c[o>>2]|0,h,t)|0;MN(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=be[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;QH(n);QH(m);i=d;return}function pL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];qL(a,0,j,k,f,g,h);i=b;return}function qL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;CL(m,g,s,l);g=n;yS(g|0,0,12)|0;ZH(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=be[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=be[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}ZH(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}ZH(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((yL(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){be[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=qQ(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;MN(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=be[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=be[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;QH(n);QH(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;QH(n);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;QH(n);QH(m);i=d;return}function rL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];sL(a,0,j,k,f,g,h);i=b;return}function sL(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;DL(n,h,v,l,m);h=o;yS(h|0,0,12)|0;ZH(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=be[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=be[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}ZH(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}ZH(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=be[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((EL(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){be[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+pQ(L,c[p>>2]|0,j);MN(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=be[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=be[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}function tL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];uL(a,0,j,k,f,g,h);i=b;return}function uL(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;DL(n,g,v,l,m);g=o;yS(g|0,0,12)|0;ZH(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=be[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=be[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}ZH(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}ZH(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=be[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((EL(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){be[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+oQ(L,c[p>>2]|0,j);MN(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=be[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=be[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}function vL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];wL(a,0,j,k,f,g,h);i=b;return}function wL(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;DL(n,g,v,l,m);g=o;yS(g|0,0,12)|0;ZH(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=be[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=be[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}ZH(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}ZH(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=be[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((EL(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){be[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+nQ(L,c[p>>2]|0,j);MN(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=be[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=be[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;QH(o);QH(n);i=d;return}function xL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;yS(m|0,0,12)|0;MI(n,g);g=n|0;n=c[g>>2]|0;if(!((c[119888]|0)==-1)){c[k>>2]=479552;c[k+4>>2]=20;c[k+8>>2]=0;BH(479552,k,118)}k=(c[119889]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;pe[c[(c[u>>2]|0)+48>>2]&127](u,448672,448698,v)|0;gH(c[g>>2]|0)|0;u=o;yS(u|0,0,12)|0;ZH(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=be[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=be[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}ZH(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}ZH(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=be[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((yL(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){be[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);F=aL(N,c[119532]|0,412288,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=be[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=be[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;QH(o);QH(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;QH(o);QH(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;QH(o);QH(m);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function yL(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[448672+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}}while(0);e=a[448672+l|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function zL(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;MI(k,d);d=k|0;k=c[d>>2]|0;if(!((c[119890]|0)==-1)){c[j>>2]=479560;c[j+4>>2]=20;c[j+8>>2]=0;BH(479560,j,118)}j=(c[119891]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}pe[c[(c[m>>2]|0)+32>>2]&127](m,448672,448698,e)|0;m=c[d>>2]|0;if(!((c[119794]|0)==-1)){c[h>>2]=479176;c[h+4>>2]=20;c[h+8>>2]=0;BH(479176,h,118)}n=(c[119795]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=be[c[(c[p>>2]|0)+16>>2]&255](q)|0;$d[c[(c[p>>2]|0)+20>>2]&255](b,q);gH(c[d>>2]|0)|0;i=g;return}}while(0);n=Gd(4)|0;AR(n);xc(n|0,446912,172)}}while(0);g=Gd(4)|0;AR(g);xc(g|0,446912,172)}function AL(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;MI(l,d);d=l|0;l=c[d>>2]|0;if(!((c[119890]|0)==-1)){c[k>>2]=479560;c[k+4>>2]=20;c[k+8>>2]=0;BH(479560,k,118)}k=(c[119891]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}pe[c[(c[n>>2]|0)+32>>2]&127](n,448672,448704,e)|0;n=c[d>>2]|0;if(!((c[119794]|0)==-1)){c[j>>2]=479176;c[j+4>>2]=20;c[j+8>>2]=0;BH(479176,j,118)}o=(c[119795]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=be[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=be[c[(c[s>>2]|0)+16>>2]&255](r)|0;$d[c[(c[q>>2]|0)+20>>2]&255](b,r);gH(c[d>>2]|0)|0;i=h;return}}while(0);o=Gd(4)|0;AR(o);xc(o|0,446912,172)}}while(0);h=Gd(4)|0;AR(h);xc(h|0,446912,172)}function BL(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[448672+i|0]|0;if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function CL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;MI(j,b);b=j|0;j=c[b>>2]|0;if(!((c[119888]|0)==-1)){c[h>>2]=479552;c[h+4>>2]=20;c[h+8>>2]=0;BH(479552,h,118)}h=(c[119889]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}pe[c[(c[l>>2]|0)+48>>2]&127](l,448672,448698,d)|0;l=c[b>>2]|0;if(!((c[119792]|0)==-1)){c[g>>2]=479168;c[g+4>>2]=20;c[g+8>>2]=0;BH(479168,g,118)}m=(c[119793]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=be[c[(c[o>>2]|0)+16>>2]&255](p)|0;$d[c[(c[o>>2]|0)+20>>2]&255](a,p);gH(c[b>>2]|0)|0;i=f;return}}while(0);m=Gd(4)|0;AR(m);xc(m|0,446912,172)}}while(0);f=Gd(4)|0;AR(f);xc(f|0,446912,172)}function DL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;MI(k,b);b=k|0;k=c[b>>2]|0;if(!((c[119888]|0)==-1)){c[j>>2]=479552;c[j+4>>2]=20;c[j+8>>2]=0;BH(479552,j,118)}j=(c[119889]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}pe[c[(c[m>>2]|0)+48>>2]&127](m,448672,448704,d)|0;m=c[b>>2]|0;if(!((c[119792]|0)==-1)){c[h>>2]=479168;c[h+4>>2]=20;c[h+8>>2]=0;BH(479168,h,118)}n=(c[119793]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=be[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=be[c[(c[r>>2]|0)+16>>2]&255](q)|0;$d[c[(c[p>>2]|0)+20>>2]&255](a,q);gH(c[b>>2]|0)|0;i=g;return}}while(0);n=Gd(4)|0;AR(n);xc(n|0,446912,172)}}while(0);g=Gd(4)|0;AR(g);xc(g|0,446912,172)}function EL(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[448672+n|0]|0;do{if((n|0)==22|(n|0)==23){a[e]=80}else if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function FL(a){a=a|0;eH(a|0);bS(a);return}function GL(a){a=a|0;eH(a|0);return}function HL(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];ge[o&63](b,d,l,f,g,h&1);i=j;return}MI(m,f);f=m|0;m=c[f>>2]|0;if(!((c[119794]|0)==-1)){c[k>>2]=479176;c[k+4>>2]=20;c[k+8>>2]=0;BH(479176,k,118)}k=(c[119795]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;gH(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){$d[c[o+24>>2]&255](n,d)}else{$d[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((le[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];QH(n);i=j;return}}while(0);j=Gd(4)|0;AR(j);xc(j|0,446912,172)}function IL(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[440464]|0;a[q+1|0]=a[440465]|0;a[q+2|0]=a[440466]|0;a[q+3|0]=a[440467]|0;a[q+4|0]=a[440468]|0;a[q+5|0]=a[440469]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);v=JL(u,12,c[119532]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;MI(o,f);KL(u,w,q,x,m,n,o);gH(c[o>>2]|0)|0;c[p>>2]=c[e>>2];nE(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function JL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=ld(d|0)|0;d=md(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}ld(j|0)|0;i=g;return d|0}function KL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[119890]|0)==-1)){c[m>>2]=479560;c[m+4>>2]=20;c[m+8>>2]=0;BH(479560,m,118)}m=(c[119891]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}q=j;r=c[o>>2]|0;if(!((c[119794]|0)==-1)){c[l>>2]=479176;c[l+4>>2]=20;c[l+8>>2]=0;BH(479176,l,118)}l=(c[119795]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}s=r;$d[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){pe[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=le[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=le[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=le[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=be[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=le[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;QH(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;QH(n);i=k;return}}function LL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=l|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);v=JL(u,22,c[119532]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;MI(p,f);KL(u,w,r,x,n,o,p);gH(c[p>>2]|0)|0;c[q>>2]=c[e>>2];nE(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function ML(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[440464]|0;a[q+1|0]=a[440465]|0;a[q+2|0]=a[440466]|0;a[q+3|0]=a[440467]|0;a[q+4|0]=a[440468]|0;a[q+5|0]=a[440469]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);t=JL(u,12,c[119532]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;MI(o,f);KL(u,w,q,x,m,n,o);gH(c[o>>2]|0)|0;c[p>>2]=c[e>>2];nE(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function NL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=117}}while(0);u=l|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);v=JL(u,23,c[119532]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;MI(p,f);KL(u,w,r,x,n,o,p);gH(c[p>>2]|0)|0;c[q>>2]=c[e>>2];nE(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function OL(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=c[119532]|0;if(y){w=JL(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=JL(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[480120]|0)==0;if(y){do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=PL(m,c[119532]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);w=PL(m,c[119532]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}gS();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=VR(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}gS();H=0;I=0;J=c[m>>2]|0}}while(0);MI(q,f);QL(J,F,A,H,o,p,q);gH(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];nE(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){WR(I)}if((D|0)==0){i=d;return}WR(D);i=d;return}function PL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=ld(b|0)|0;b=Lb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}ld(h|0)|0;i=f;return b|0}function QL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[119890]|0)==-1)){c[m>>2]=479560;c[m+4>>2]=20;c[m+8>>2]=0;BH(479560,m,118)}m=(c[119891]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Gd(4)|0;r=q;AR(r);xc(q|0,446912,172)}q=j;r=c[o>>2]|0;if(!((c[119794]|0)==-1)){c[l>>2]=479176;c[l+4>>2]=20;c[l+8>>2]=0;BH(479176,l,118)}l=(c[119795]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Gd(4)|0;t=s;AR(t);xc(s|0,446912,172)}s=r;$d[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=le[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=le[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=le[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((jb(t<<24>>24|0,c[119532]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((Kb(p<<24>>24|0,c[119532]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){pe[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=be[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=le[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=le[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=be[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);pe[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;QH(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;QH(n);i=k;return}function RL(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=c[119532]|0;if(y){w=JL(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=JL(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[480120]|0)==0;if(y){do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=PL(m,c[119532]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);w=PL(m,c[119532]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}gS();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=VR(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}gS();H=0;I=0;J=c[m>>2]|0}}while(0);MI(q,f);QL(J,F,A,H,o,p,q);gH(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];nE(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){WR(I)}if((D|0)==0){i=d;return}WR(D);i=d;return}function SL(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[440472]|0;a[o+1|0]=a[440473]|0;a[o+2|0]=a[440474]|0;a[o+3|0]=a[440475]|0;a[o+4|0]=a[440476]|0;a[o+5|0]=a[440477]|0;p=k|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);q=JL(p,20,c[119532]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}MI(m,f);t=m|0;m=c[t>>2]|0;if(!((c[119890]|0)==-1)){c[j>>2]=479560;c[j+4>>2]=20;c[j+8>>2]=0;BH(479560,j,118)}j=(c[119891]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}gH(c[t>>2]|0)|0;u=l|0;pe[c[(c[r>>2]|0)+32>>2]&127](r,p,o,u)|0;r=l+q|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;nE(b,n,u,v,r,f,g);i=d;return}v=l+(s-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;nE(b,n,u,v,r,f,g);i=d;return}}while(0);d=Gd(4)|0;AR(d);xc(d|0,446912,172)}function TL(a){a=a|0;eH(a|0);bS(a);return}function UL(a){a=a|0;eH(a|0);return}function VL(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];ge[o&63](b,d,l,f,g,h&1);i=j;return}MI(m,f);f=m|0;m=c[f>>2]|0;if(!((c[119792]|0)==-1)){c[k>>2]=479168;c[k+4>>2]=20;c[k+8>>2]=0;BH(479168,k,118)}k=(c[119793]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;gH(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){$d[c[o+24>>2]&255](n,d)}else{$d[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=le[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];sI(n);i=j;return}}while(0);j=Gd(4)|0;AR(j);xc(j|0,446912,172)}function WL(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[440464]|0;a[q+1|0]=a[440465]|0;a[q+2|0]=a[440466]|0;a[q+3|0]=a[440467]|0;a[q+4|0]=a[440468]|0;a[q+5|0]=a[440469]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);t=JL(u,12,c[119532]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;MI(o,f);XL(u,w,q,x,m,n,o);gH(c[o>>2]|0)|0;c[p>>2]=c[e>>2];YL(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}



function Mr(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=VR(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=VR(c[s>>2]<<2)|0;Nr(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;xS(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;xS(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((Up(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=Or(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){xS(c[u>>2]|0,r|0,c[q>>2]<<2)|0;xS(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;WR(r);WR(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;Qn(5,1,435672,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Rb(j|0,423744,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}Qn(5,0,414920,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3556]|0;_d[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Sn(F,40544,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{Qn(5,0,414920,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3556]|0;_d[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Sn(F,40544,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function Nr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;yS(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}be[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function Or(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=XR(d,4)|0;p=o;q=XR(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){WR(o);WR(q);i=n;return v|0}if((m|0)==0){v=-1;WR(o);WR(q);i=n;return v|0}On(5,1,35832,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;Pr(r,d,f,c[g>>2]|0,j,k,l);if((c[113213]|0)==0){v=-1;WR(o);WR(q);i=n;return v|0}_d[c[3556]&511](5);v=-1;WR(o);WR(q);i=n;return v|0}function Pr(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;yS(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;On(5,0,32120,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function Qr(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=Cc(432952,435416)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Db(e|0)|0;if((f|0)==(-1|0)){break a}else if((f|0)==10){break}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;Fd(e|0);do{}while((Db(e|0)|0)!=10);j=c[b+152>>2]|0;k=XR(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=XR(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=XR(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=ad(e|0,423728,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=ad(e|0,423728,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=XR(l,8)|0;q=n}}while(0);Ac(414896,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;Ac(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{Ac(35808,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];Ac(32104,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Ic(7912)|0;Pa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function Rr(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}WR(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){WR(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}WR(j);return 0}function Sr(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function Tr(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+Ur(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[113217]|0)==0){e=1;i=b;return e|0}On(9,1,432704,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){On(9,0,435392,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}_d[c[3556]&511](9);e=1;i=b;return e|0}function Ur(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;hs(b);f=e+540|0;be[c[(c[f>>2]|0)+84>>2]&255](e)|0;be[c[(c[f>>2]|0)+36>>2]&255](e)|0;be[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;le[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function Vr(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+Ur(b,1.0);if((c[113217]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}On(9,1,423704,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){On(9,0,40520,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{On(9,0,414856,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}On(9,1,35784,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){On(9,0,28704,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];On(9,0,32056,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){On(9,0,23464,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];On(9,0,25744,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){On(9,0,436176,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];On(9,0,439184,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}_d[c[3556]&511](9);On(9,1,433520,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=be[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){On(9,0,28704,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];On(9,0,32056,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}_d[c[3556]&511](9);_d[c[3556]&511](9);i=d;return}function Wr(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[113217]|0)!=0){Eq(b,9)}if((c[113232]|0)==0){i=d;return}On(24,1,431560,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){On(24,1,430048,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];On(24,0,428856,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}_d[c[3556]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}On(24,1,427872,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];On(24,0,427016,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}_d[c[3556]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){On(24,1,426232,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];On(24,0,428856,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}_d[c[3556]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){On(24,1,425576,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;On(24,0,424808,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}_d[c[3556]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){On(24,1,424104,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?422168:421520;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?422168:421520;l=(a[(c[o>>2]|0)+j|0]|0)!=0?422168:421520;On(24,0,422824,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}_d[c[3556]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){On(24,1,420008,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;On(24,0,419024,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}_d[c[3556]&511](24)}_d[c[3556]&511](24);i=d;return}function Xr(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;On(9,0,418152,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){Bq(b);Cq(b);o=6}else{if((a[f]|0)!=0){Yr(b,f,g)}Bq(b);Cq(b);if((a[f]|0)==0){o=6}}if((o|0)==6){be[c[(c[l>>2]|0)+84>>2]&255](b)|0;be[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(tS(d,26240)|0)==0|0;f=(tS(d,26056)|0)==0;q=(tS(d,25944)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}Qn(1,0,416728,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;Qn(1,0,416080,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;Qn(1,0,415344,(n=i,i=i+16|0,c[n>>2]=26240,c[n+8>>2]=26760,n)|0);i=n;Qn(1,0,415344,(n=i,i=i+16|0,c[n>>2]=26056,c[n+8>>2]=26472,n)|0);i=n;Qn(1,0,415344,(n=i,i=i+16|0,c[n>>2]=25944,c[n+8>>2]=26352,n)|0);i=n;Sn(c[b+536>>2]|0,413784,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(tS(e,c[449816+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}Qn(1,0,412904,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;Qn(1,0,416080,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[449880+(d<<2)>>2]|0;Qn(1,0,415344,(n=i,i=i+16|0,c[n>>2]=c[449816+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);Sn(c[b+536>>2]|0,413784,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[452064+(p<<2)>>2]|0;On(9,0,412024,(n=i,i=i+16|0,c[n>>2]=c[452048+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[449880+(s<<2)>>2]|0;On(9,0,411208,(n=i,i=i+16|0,c[n>>2]=c[449816+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=Zr(b,s,j)|0;break}if((p|0)==3){_r(b,j);v=0;break}else{Sn(c[b+536>>2]|0,410424,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((jr(b,1)|0)==0){if(($q(b,1)|0)!=0){w=-3;break}j=(Qq(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);Wr(b);On(9,0,409752,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;kq(b,+h[b+240>>3],+h[b+248>>3]);yq(b);Dq(b);tq(b);be[c[(c[l>>2]|0)+52>>2]&255](b)|0;le[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;zq(b);i=k;return w|0}function Yr(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;On(9,0,25224,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=uo(d,g)|0;if((l|0)!=0){Sn(c[b+536>>2]|0,24984,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}On(9,0,24880,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=vo(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=bs(c[o+(m*112|0)+4>>2]|0)|0;q=vo(g,p)|0;WR(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((uS(q,24656,6)|0)==0){if((c[113217]|0)==0){break}}else{p=uS(q,24456,6)|0;if((c[113217]|p|0)==0){break}}Qn(9,0,24328,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;Bo(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];On(9,0,24800,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}On(9,0,24152,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=vo(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=bs(c[o+(r*112|0)+4>>2]|0)|0;q=vo(g,n)|0;WR(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}Qn(9,0,23896,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;Bo(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];On(9,0,24800,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}On(9,0,23680,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=vo(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=bs(c[v+(l*112|0)+4>>2]|0)|0;o=vo(g,w)|0;WR(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}Qn(9,0,23896,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;Bo(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];On(9,0,24800,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}On(9,0,22640,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=vo(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=bs(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=vo(g,y)|0;WR(y);if((v|0)!=0){z=v;t=31;break}Qn(9,0,22336,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;Bo(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;On(9,0,22464,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}On(9,0,22048,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){so(g);i=f;return}r=b+32|0;b=0;do{l=vo(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=bs(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=vo(g,z)|0;WR(z);if((x|0)!=0){A=x;t=38;break}Qn(9,0,21912,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;Bo(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?422168:421520;On(9,0,22016,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));so(g);i=f;return}function Zr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;jq(a,+h[a+240>>3]);yq(a);Dq(a);tq(a);Fq(a);Kr(a);uq(a);yq(a);d=$r(a,b,c)|0;Dq(a);tq(a);zq(a);Dq(a);return d|0}function _r(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;jq(b,+h[b+240>>3]);yq(b);Dq(b);Mr(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=XR(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=XR(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=XR(c[r>>2]|0,1)|0;t=b+132|0;u=XR(c[t>>2]|0,4)|0;v=u;w=b+536|0;Rn(c[w>>2]|0,(m|0)!=0|0,342936,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Rn(c[w>>2]|0,(p|0)!=0|0,342936,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Rn(c[w>>2]|0,(s|0)!=0|0,342936,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Rn(c[w>>2]|0,(u|0)!=0|0,342936,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[113217]|0)==0){A=0}else{w=f|0;Rb(w|0,42280,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=Cc(w|0,41688)|0;td(f|0,40960,(x=i,i=i+8|0,c[x>>2]=39472,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{td(f|0,40960,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Wa(10,f|0)|0;A=f}On(9,1,38720,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;be[c[(c[g>>2]|0)+80>>2]&255](b)|0;On(9,0,38368,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[113217]|0)!=0){td(A|0,37936,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{td(A|0,37936,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Wa(10,A|0)|0}if((jr(b,0)|0)!=0){break a}if(($q(b,0)|0)!=0){break a}if((Qq(b,0)|0)!=0){break a}Gq(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);_d[c[3556]&511](9);if((c[113217]|0)!=0){Pa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}WR(m);WR(p);WR(s);WR(u)}else{h[b+304>>3]=1.0;be[c[j+80>>2]&255](b)|0}vq(b);if((Mr(b,1,1)|0)!=1){i=e;return}be[c[(c[g>>2]|0)+80>>2]&255](b)|0;vq(b);if((Mr(b,1,1)|0)!=1){i=e;return}Qn(1,0,37456,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function $r(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=cs(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){On(9,0,37168,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){le[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}WR(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){On(9,0,36856,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;le[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;WR(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){On(9,1,36480,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=VR(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+Ur(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+Ur(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}On(9,1,36024,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];On(9,0,34992,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];On(9,0,34992,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];On(9,0,34992,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[113217]|0)!=0){_d[c[3556]&511](9);_d[c[3556]&511](9)}WR(p);ds(g);v=cs(b)|0;if((c[v>>2]|0)!=0){R=v;break}On(9,0,34640,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;WR(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}On(9,0,34392,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){On(9,0,34088,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;as(R,d,1,e);Vr(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+Ur(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){WR(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){WR(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){WR(Q);c[g>>2]=0}as(R,d,0,e);Vr(b,R);+Ur(R,1.0)}else{On(9,0,33808,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}On(9,1,33464,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;Vr(b,R);b=Tr(R)|0;if((c[113217]|0)!=0){_d[c[3556]&511](9)}ds(R);m=b;i=f;return m|0}function as(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=VR(c[k>>2]<<3)|0;m=l;n=+Ur(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;fs(a,m);WR(l);u=t-1|0;On(9,0,31152,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){On(9,0,33272,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){es(a)}switch(b|0){case 1:{w=ms(a)|0;break};case 3:{w=os(a,g,e)|0;break};case 5:{w=js(a)|0;break};case 6:{w=is(j,a,0)|0;break};case 4:{w=js(a)|0;break};case 2:{w=ks(a)|0;break};default:{x=15;break a}}Dq(j);tq(j);zq(j);Dq(j);n=+Ur(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}On(9,0,32736,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;Vr(j,a);A=n}else{On(9,0,32400,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){Sn(c[j+536>>2]|0,33024,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){fs(a,m);WR(l);u=t-1|0;On(9,0,31152,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function bs(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=vS(b|0)|0;do{if((c|0)==0){d=0;e=VR(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==93){j=f-1|0}else if((i<<24>>24|0)==91){j=f+1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=VR(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==93){o=l-1|0}else if((g<<24>>24|0)==91){o=l+1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((sS(e,21768,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;xS(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((sS(e,21768,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function cs(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=VR(64)|0;f=e;Rn(0,(e|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;yS(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=XR(I,8)|0;c[p>>2]=j;Rn(0,(j|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=XR(I,8)|0;c[q>>2]=j;Rn(0,(j|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=XR(I,8)|0;c[r>>2]=j;Rn(0,(j|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=XR(I,8)|0;c[s>>2]=j;Rn(0,(j|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=XR(I,8)|0;c[t>>2]=j;Rn(0,(j|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=XR(I,4)|0;z=j;c[u>>2]=z;Rn(0,(j|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;On(9,0,435280,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;On(9,0,423600,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];On(9,0,414776,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];On(9,0,40376,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];On(9,0,35680,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;On(9,0,31960,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;On(9,0,28648,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=XR(ca,8)|0;c[v>>2]=ha;Rn(0,(ha|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=VR(ca<<3)|0;v=ha;c[w>>2]=v;Rn(0,(ha|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=VR(ia<<3)|0;w=ha;c[x>>2]=w;Rn(0,(ha|0)!=0|0,430864,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function ds(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){WR(b)}b=c[a+28>>2]|0;if((b|0)!=0){WR(b)}b=c[a+32>>2]|0;if((b|0)!=0){WR(b)}b=c[a+36>>2]|0;if((b|0)!=0){WR(b)}b=c[a+40>>2]|0;if((b|0)!=0){WR(b)}b=c[a+44>>2]|0;if((b|0)!=0){WR(b)}b=c[a+48>>2]|0;if((b|0)!=0){WR(b)}b=c[a+52>>2]|0;if((b|0)!=0){WR(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;WR(d);return}WR(b);d=a;WR(d);return}function es(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=XR(n,8)|0;p=o;q=XR(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=XR(t,8)|0;v=u;w=XR(t,8)|0;x=w;y=XR(n,8)|0;z=y;A=XR(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+Ur(b,1.0);t=c[m>>2]|0;if((t|0)>0){xS(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+Ur(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){xS(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;On(9,0,25632,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}WR(o);WR(q);WR(u);WR(w);WR(y);WR(A);i=d;return}function fs(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function gs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function hs(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function is(a,b,d){a=a|0;b=b|0;d=d|0;Sn(c[a+536>>2]|0,430696,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function js(a){a=a|0;Sn(0,430656,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function ks(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[113217]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=XR((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;Rn(0,(n|0)!=0|0,430640,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[115600]=c[a+60>>2];c[115596]=c[a+48>>2];Lp(k,j,c[a+24>>2]|0,g,f,d,e,n,4);WR(n);c[115600]=0;c[115596]=0;n=Tr(a)|0;i=b;return n|0}function ls(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;yS(f+28|0,0,20)|0;c[f+48>>2]=c[115596];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[115600];h[d>>3]=+Ur(f,1.0);i=e;return}function ms(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=VR(o)|0;q=p;r=VR(o)|0;o=r;Rn(0,(p|0)!=0|0,430576,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;Rn(0,(r|0)!=0|0,430576,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[113217]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+Ur(a,1.0);h[d>>3]=v;if(v!=0.0){c[115598]=c[a+60>>2];c[115594]=c[a+48>>2];Ip(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[115598]=0;c[115594]=0}else{On(9,0,435176,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+Ur(a,1.0);h[d>>3]=v;On(9,0,423584,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==3){Qn(9,0,35600,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}else if((o|0)==2){Qn(9,0,40312,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==4){Qn(9,0,31888,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}Qn(9,0,414696,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}}while(0);x=Tr(a)|0;i=b;return x|0}function ns(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;yS(f+28|0,0,20)|0;c[f+48>>2]=c[115594];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[115598];h[d>>3]=+Ur(f,1.0);i=e;return}function os(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;On(9,1,430480,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[113217]|0)==0){k=0}else{k=(g|0)/10|0}ps(a,d,g,k,b,f);On(9,0,435160,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;_d[c[3556]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=Tr(a)|0;if((b|0)==0){l=0;i=e;return l|0}Qn(9,0,423536,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function ps(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=VR(ga(n,m)|0)|0;p=o;q=VR(m<<3)|0;r=q;s=VR(n)|0;t=s;u=VR(n)|0;v=u;w=VR(n)|0;x=w;y=VR(n)|0;n=y;z=+h[f>>3];if((c[113217]|0)!=0&z<1.0){A=j|0;Rb(A|0,414680,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=Cc(A|0,40304)|0;td(C|0,35592,(B=i,i=i+8|0,c[B>>2]=31872,B)|0)|0;i=B;td(C|0,35592,(B=i,i=i+8|0,c[B>>2]=28624,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{td(C|0,35592,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Wa(10,C|0)|0;td(C|0,23424,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;td(C|0,439120,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{td(C|0,439120,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Wa(10,C|0)|0;E=C}else{E=0}Rn(0,(o|0)!=0|0,436160,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Rn(0,(q|0)!=0|0,436160,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Rn(0,(s|0)!=0|0,436160,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Rn(0,(u|0)!=0|0,436160,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Rn(0,(w|0)!=0|0,436160,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Rn(0,(y|0)!=0|0,436160,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{gs(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+Ur(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;gs(a,ba);+Ur(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];On(9,0,433480,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){yS(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);gs(a,t);ra=+Ur(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}xS(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}gs(a,v);if(+Ur(a,Q)<ra){if(!F){U=W;continue}xS(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}xS(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}gs(a,x);sa=+Ur(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}gs(a,x);sa=+Ur(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}xS(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];On(9,0,431512,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}td(E|0,23424,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;td(E|0,439120,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{td(E|0,439120,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Wa(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){Qn(9,0,430032,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;Qn(9,0,428840,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;Sn(0,427824,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}gs(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){WR(u);WR(s);WR(w);WR(y);WR(q);WR(o);i=j;return}td(E|0,23424,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;td(E|0,439120,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{td(E|0,439120,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Wa(10,E|0)|0;Pa(E|0)|0;WR(u);WR(s);WR(w);WR(y);WR(q);WR(o);i=j;return}function qs(a,b){a=a|0;b=b|0;return}function rs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;Vo(3);Yo(0);g=+Qo(0);Vo(0);j=d+4|0;td(f|0,430408,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){td(f|0,430408,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){td(f|0,430408,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){td(f|0,435136,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){td(f|0,435136,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){td(f|0,423528,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){td(f|0,430408,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{td(f|0,430408,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){td(f|0,435136,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{td(f|0,435136,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){td(f|0,435136,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{td(f|0,435136,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Wa(10,f|0)|0;Yo(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}td(f|0,423528,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Wa(10,f|0)|0;Yo(3);i=e;return}function ss(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=Cc(c[f>>2]|0,40296)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=dd(c[(cd()|0)>>2]|0)|0;Rn(h,(g|0)!=0|0,35536,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=31864,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=28608,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}td(g|0,423528,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function ts(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;Vo(3);Pa(b|0)|0;Yo(3);return}function us(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;fK(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];gK(n,k)|0;vs(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;ws(a,b,430280,c[f>>2]|0,c[e>>2]|0,m,8);WR(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];gK(n,l)|0;i=d;return}function vs(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=XR(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;Rn(c[b+536>>2]|0,(p|0)!=0|0,433440,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function ws(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;Gs(a,b,d,e,f,h);eK(k,g,ga(ga(f,e)|0,h)|0)|0;if(BI(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){Sn(c[b+536>>2]|0,439080,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function xs(a){a=a|0;if((yt(a+4|0)|0)!=0){return}EI(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function ys(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=$R(320)|0;yS(p|0,0,320)|0;zs(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;Vo(3);s=a+8|0;t=As(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=Bs(a,b,t+r|0)|0;t=p+184|0;Cs(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;Cs(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;Ds(p,c[w>>2]|0,36);if(BI(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){Sn(c[b+536>>2]|0,435096,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}ws(a,b,423520,4,11,452712,1);Es((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;ws(a,b,414672,c[f>>2]|0,c[g>>2]|0,x,1);WR(x);c[e>>2]=0;Es((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;ws(a,b,40280,c[f>>2]|0,c[g>>2]|0,x,1);WR(x);c[e>>2]=0;Fs(a,b,j,f,g,c[q>>2]|0,r);ws(a,b,35520,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;fK(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];vs(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;ws(a,b,430280,c[g>>2]|0,c[f>>2]|0,m,8);fK(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=Hs(p+240|0)|0;v=Hs(p+264|0)|0;o=Hs(p+288|0)|0;Gs(a,b,31856,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);WR(m);WR(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;MJ(r)|0;WR(u);Yo(3);i=d;return}function zs(a){a=a|0;Iv(a);return}function As(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(Mu(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(Mu(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(Mu(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function Bs(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=VR(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=18328;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(Mu(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(Mu(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(Mu(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function Cs(a,b,c){a=a|0;b=b|0;c=c|0;xt(a,b,c);return}function Ds(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(wt(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){EI(d,4);return}else{CI(d,0);return}}function Es(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=vS(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=XR((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;Rn(0,(m|0)!=0|0,23400,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;wS(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;Ls(l,vS(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=XR(1,1)|0;c[d>>2]=o;Rn(0,(o|0)!=0|0,23400,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function Fs(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=XR(c[f>>2]<<2,4)|0;c[e>>2]=g;Rn(c[d+536>>2]|0,(g|0)!=0|0,436120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=Hs(g)|0;h=s+264|0;t=Hs(h)|0;u=s+288|0;v=Hs(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=Hs(g)|0;D=Hs(h)|0;E=Hs(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==0){Ms(l,g,A+(v*52|0)+4|0);Os(m,g);if(!(Ns(l,m)|0)){F=w;break}G=2;H=(c[(Ps(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==1){Ms(l,t,A+(v*52|0)+4|0);Os(n,t);if(!(Ns(l,n)|0)){F=w;break}G=1;H=(c[(Ps(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==2){G=2;H=1}else{F=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=G;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=H}else{c[z+(w+1<<2)>>2]=-H}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;F=w+4|0}else{F=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=F;v=A}else{I=F;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){F=d+44|0;v=s+276|0;w=I;b=0;while(1){H=c[F>>2]|0;do{if((a[H+(b*52|0)+48|0]|0)==0){f=a[H+(b*52|0)+8|0]|0;if((f<<24>>24|0)==0){Ms(l,h,H+(b*52|0)+4|0);Os(o,h);G=Ns(l,o)|0;J=G?2:0}else if((f<<24>>24|0)==1){Ms(l,v,H+(b*52|0)+4|0);Os(p,v);J=(Ns(l,p)|0)&1}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;G=(c[(c[F>>2]|0)+(b*52|0)>>2]|0)==0;n=c[(Ps(l)|0)+4>>2]|0;if(G){c[f+(w+1<<2)>>2]=n+1}else{c[f+(w+1<<2)>>2]=~n}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);H=b+1|0;if((H|0)<(c[x>>2]|0)){w=K;b=H}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==0){Ms(l,u,w+(y*52|0)+4|0);Os(q,u);F=Ns(l,q)|0;M=F?2:0}else if((x<<24>>24|0)==1){Ms(l,d,w+(y*52|0)+4|0);Os(r,d);M=(Ns(l,r)|0)&1}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(Ps(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function Gs(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(vS(d|0)|0)+1;e=k;eK(e,j,20)|0;j=k;if(BI(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Sn(c[b+536>>2]|0,439080,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}eK(e,d,c[f>>2]|0)|0;if(BI(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Sn(c[b+536>>2]|0,439080,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function Hs(a){a=a|0;return c[(tt(a|0)|0)>>2]|0}function Is(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;Vo(3);do{if(AI(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];gK(g,e)|0;j=Hs(g+240|0)|0;k=Hs(g+264|0)|0;l=Hs(g+288|0)|0;Gs(a,b,31856,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);xs(g)}else{if((g|0)!=0){break}c[f>>2]=0;Yo(3);i=d;return}}while(0);Js(h);bS(g);c[f>>2]=0;Yo(3);i=d;return}function Js(a){a=a|0;Rt(a);return}function Ks(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;Vo(3);Yo(0);h[g>>3]=+Qo(0);Vo(0);k=j;l=d+4|0;eK(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){eK(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){eK(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);eK(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);eK(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);eK(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(BI(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Sn(c[d+536>>2]|0,25584,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;Yo(3);i=e;return}}function Ls(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((uS(b,419968,4)|0)!=0){return}c=b;while(1){d=Vb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((uS(b,419968,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function Ms(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;ft(e,b|0,c);Xs(a,e);i=d;return}function Ns(a,b){a=a|0;b=b|0;return Vs(a|0,b|0)|0}function Os(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;Ys(d,b|0);Xs(a,d);i=c;return}function Ps(a){a=a|0;return Qs(Rs(a|0)|0)|0}function Qs(a){a=a|0;return Us(a)|0}function Rs(a){a=a|0;return Ss((c[a>>2]|0)+16|0)|0}function Ss(a){a=a|0;return Ts(a)|0}function Ts(a){a=a|0;return a|0}function Us(a){a=a|0;return a|0}function Vs(a,b){a=a|0;b=b|0;return(Ws(a,b)|0)^1|0}function Ws(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function Xs(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];et(a,b);i=d;return}function Ys(a,b){a=a|0;b=b|0;Zs(a,_s(b)|0);return}function Zs(a,b){a=a|0;b=b|0;dt(a,b);return}function _s(a){a=a|0;return $s(at(a+4|0)|0)|0}function $s(a){a=a|0;return ct(a)|0}function at(a){a=a|0;return bt(a|0)|0}function bt(a){a=a|0;return a|0}function ct(a){a=a|0;return a|0}function dt(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function et(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function ft(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=ht(b)|0;gt(f,b,d,h,_s(b)|0);Ys(g,b);do{if(Vs(f,g)|0){h=it(b)|0;if(jt(h,d,kt(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);Ys(a,b);i=e;return}function gt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;ot(h);a:do{if((e|0)==0){j=f}else{k=it(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(pt(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;ot(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;ot(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);Zs(a,j);i=g;return}function ht(a){a=a|0;return c[(_s(a)|0)>>2]|0}function it(a){a=a|0;return mt(a+8|0)|0}function jt(a,b,c){a=a|0;b=b|0;c=c|0;return lt(0,b,c|0)|0}function kt(a){a=a|0;return(c[a>>2]|0)+16|0}function lt(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function mt(a){a=a|0;return nt(a|0)|0}function nt(a){a=a|0;return a|0}function ot(a){a=a|0;qt(a,-1);return}function pt(a,b,c){a=a|0;b=b|0;c=c|0;return lt(0,b|0,c)|0}function qt(a,b){a=a|0;b=b|0;rt(a,0);return}function rt(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function st(a){a=a|0;return c[a+4>>2]|0}function tt(a){a=a|0;return ut(a+8|0)|0}function ut(a){a=a|0;return vt(a|0)|0}function vt(a){a=a|0;return a|0}function wt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 17:case 1:{f=430024;break};case 8:{f=428832;break};case 24:{f=427816;break};case 56:{f=427008;break};case 25:case 9:{f=426224;break};case 20:case 52:{f=425568;break};case 21:case 5:{f=424800;break};case 12:{f=424096;break};case 28:{f=422816;break};case 60:{f=422160;break};case 29:case 13:{f=421512;break};case 16:case 48:{f=431504;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=Cc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((Bd(h|0,0,2)|0)==0){g=a;break}Pa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function xt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function yt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}zt(d,f,122);f=be[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Pa(At(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}Bt(d);g=h;i=b;return g|0}function zt(a,b,c){a=a|0;b=b|0;c=c|0;It(a,b,c);return}function At(a){a=a|0;var b=0;b=Et(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Bt(a){a=a|0;Ct(a);return}function Ct(a){a=a|0;Dt(a,0);return}function Dt(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Et(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}be[c[(Ft(d)|0)>>2]&255](e)|0;return}function Et(a){a=a|0;return Ht(a|0)|0}function Ft(a){a=a|0;return Gt(a|0)|0}function Gt(a){a=a|0;return a+4|0}function Ht(a){a=a|0;return a|0}function It(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(Kt(f)|0)>>2]|0;Jt(a|0,d,c[(Lt(g)|0)>>2]|0);i=e;return}function Jt(a,b,c){a=a|0;b=b|0;c=c|0;Mt(a,b,c);return}function Kt(a){a=a|0;return a|0}function Lt(a){a=a|0;return a|0}function Mt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(Ot(f)|0)>>2]|0;Nt(a|0,d,c[(Pt(g)|0)>>2]|0);i=e;return}function Nt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(Ot(f)|0)>>2];c[a+4>>2]=c[(Pt(g)|0)>>2];i=e;return}function Ot(a){a=a|0;return a|0}function Pt(a){a=a|0;return a|0}function Qt(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function Rt(a){a=a|0;St(a+300|0);St(a+288|0);St(a+276|0);St(a+264|0);St(a+252|0);St(a+240|0);Tt(a|0);return}function St(a){a=a|0;Du(a);return}function Tt(a){a=a|0;Ut(a,443552);II(a+104|0);return}function Ut(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];Yt(a+4|0);return}function Vt(a){a=a|0;Tt(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Wt(a){a=a|0;Tt(a);bS(a);return}function Xt(a){a=a|0;Wt(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Yt(a){a=a|0;Zt(a);return}function Zt(b){b=b|0;var d=0;c[b>>2]=442848;yt(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}cS(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}cS(d)}}while(0);RI(b|0);return}function _t(a){a=a|0;Yt(a);bS(a);return}function $t(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;be[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=Bu(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=Cu(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;$I(g,0,0,0);eJ(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}cS(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=aS(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=aS(g)|0;a[b+97|0]=1;return}function au(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;$I(e,0,0,0);eJ(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}cS(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}cS(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=aS(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(yu(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=aS(o)|0;a[k]=1;i=f;return e|0}return 0}function bu(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=Gd(4)|0;AR(m);xc(m|0,446912,172)}m=uu(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((be[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){Cs(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=PS(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((Bd(o|0,p|0,f|0)|0)==0){o=Pb(c[l>>2]|0)|0;Cs(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;xu(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{Cs(a,-1,-1);i=g;return}}}while(0);Cs(a,-1,-1);i=g;return}function cu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((be[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=Qt(d)|0;if((Bd(j|0,k|0,0)|0)==0){wu(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{Cs(a,-1,-1);i=e;return}}}while(0);Cs(a,-1,-1);i=e;return}function du(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=Gd(4)|0;AR(m);xc(m|0,446912,172);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=uu(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=ZI(s)|0;u=(ga(t-(YI(s)|0)|0,p)|0)+r|0;v=0;break}p=YI(s)|0;if((p|0)==(ZI(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=vu(t,g,x,q,p-(XI(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=ZI(w)|0;u=o-(YI(w)|0)|0;v=0}}while(0);if((Bd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;$I(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=bJ(o)|0;do{if((w|0)!=(aJ(o)|0)){if((le[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=tu(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Ya(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Ta(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function eu(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=ou(b)|0;o=b|0;if((YI(o)|0)==0){p=e+1|0;$I(o,e,p,p)}if(n){q=0}else{n=ZI(o)|0;c[f>>2]=(n-(XI(o)|0)|0)/2|0;c[g>>2]=4;q=c[(pu(f,g)|0)>>2]|0}g=YI(o)|0;do{if((g|0)==(ZI(o)|0)){BS(XI(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=ZI(o)|0;n=XI(o)|0;p=pd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=XI(o)|0;$I(o,n,n+q|0,n+(p+q)|0);r=mu(a[YI(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;BS(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(pu(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=pd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=Gd(4)|0;AR(t);xc(t|0,446912,172);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=XI(o)|0;if((qu(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;$I(o,f,f,c[s>>2]|0);r=mu(a[YI(o)|0]|0)|0;break}s=c[k>>2]|0;f=XI(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}$I(o,f,p,s);r=mu(a[YI(o)|0]|0)|0}else{r=mu(a[g]|0)|0}}while(0);if((XI(o)|0)!=(e|0)){m=r;i=d;return m|0}$I(o,0,0,0);m=r;i=d;return m|0}function fu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=XI(f)|0;h=YI(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(iu(d,-1)|0){_I(f,-1);e=lu(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=ju(d)|0;do{if(g){if(nu(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);_I(f,-1);a[YI(f)|0]=b;e=d;return e|0}function gu(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}hu(b);l=b|0;m=aJ(l)|0;n=cJ(l)|0;if(!(iu(d,-1)|0)){if((bJ(l)|0)==0){eJ(l,f,f+1|0)}f=ju(d)|0;a[bJ(l)|0]=f;dJ(l,1)}f=bJ(l)|0;o=aJ(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=Gd(4)|0;u=t;AR(u);xc(t|0,446912,172);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=aJ(l)|0;y=bJ(l)|0;z=ku(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=aJ(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Ya(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;eJ(l,z,bJ(l)|0);z=cJ(l)|0;dJ(l,z-(aJ(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=Gd(4)|0;u=t;AR(u);xc(t|0,446912,172);return 0}else if((B|0)==14){p=(bJ(l)|0)-A|0;if((Ya(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Ya(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);eJ(l,m,n)}k=lu(d)|0;i=e;return k|0}function hu(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;$I(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;eJ(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;eJ(e,g,g+(f-1)|0);break}}else{eJ(e,0,0)}}while(0);c[d>>2]=16;return}function iu(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function ju(a){a=a|0;return a&255|0}function ku(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ne[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function lu(a){a=a|0;var b=0;b=iu(a,-1)|0;return(b?0:a)|0}function mu(a){a=a|0;return a&255|0}function nu(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function ou(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;eJ(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;$I(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;$I(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function pu(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=ru(a,b,c|0)|0;i=c;return d|0}function qu(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ne[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function ru(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=su(0,c,b)|0;i=e;return(f?c:b)|0}function su(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function tu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return ce[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function uu(a){a=a|0;return be[c[(c[a>>2]|0)+24>>2]&255](a)|0}function vu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return ce[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function wu(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function xu(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function yu(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=zu(a,b,c|0)|0;i=c;return d|0}function zu(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Au(0,b,c)|0;i=e;return(f?c:b)|0}function Au(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function Bu(a){a=a|0;return AO(a,479256)|0}function Cu(a){a=a|0;return be[c[(c[a>>2]|0)+28>>2]&255](a)|0}function Du(a){a=a|0;Eu(a|0);return}function Eu(a){a=a|0;Fu(a);return}function Fu(a){a=a|0;Gu(a,ht(a)|0);return}function Gu(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;ot(d|0);if((b|0)==0){i=d;return}Gu(a,c[b>>2]|0);Gu(a,c[b+4>>2]|0);Iu(Hu(a)|0,b,1);i=d;return}function Hu(a){a=a|0;return Ku(a+4|0)|0}function Iu(a,b,c){a=a|0;b=b|0;c=c|0;Ju(0,b,0);return}function Ju(a,b,c){a=a|0;b=b|0;c=c|0;bS(b);return}function Ku(a){a=a|0;return Lu(a|0)|0}function Lu(a){a=a|0;return a|0}function Mu(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=Nu(a,e,b)|0;k=c[j>>2]|0;ot(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}Pu(h,a,b);Qu(g,h);Ou(f,g);Ru(h);h=c[e>>2]|0;Su(a|0,h,j,Tu(f)|0);j=Uu(f)|0;Ru(f);l=j;m=l+20|0;i=d;return m|0}function Nu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=ht(h)|0;ot(e|0);if((a|0)==0){j=_s(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(lt(0,d,a)|0){m=l|0;j=c[m>>2]|0;ot(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(lt(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;ot(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function Ou(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Gv(a,b);i=d;return}function Pu(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Hu(c|0)|0;c=pv(k,1)|0;qv(g,k);ov(f,c,g);rv(0,kv((sv(f)|0)+16|0)|0,d);d=tv(f)|0;a[d+4|0]=1;uv(0,jv((sv(f)|0)+20|0)|0);a[d+5|0]=1;vv(j,f);Qu(h,j);Ou(b,h);Ru(j);Ru(f);i=e;return}function Qu(a,b){a=a|0;b=b|0;mv(a,b);return}function Ru(a){a=a|0;fv(a);return}function Su(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;ot(f|0);c[e>>2]=0;ot(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=Zu(a)|0;b=c[c[e>>2]>>2]|0;ot(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(_s(a)|0)>>2]|0;_u(e,c[d>>2]|0);d=$u(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function Tu(a){a=a|0;return c[(Xu(a|0)|0)>>2]|0}function Uu(a){a=a|0;var b=0;b=Vu(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Vu(a){a=a|0;return Wu(a|0)|0}function Wu(a){a=a|0;return a|0}function Xu(a){a=a|0;return Yu(a|0)|0}function Yu(a){a=a|0;return a|0}function Zu(a){a=a|0;return a|0}function _u(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=cv(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;ot(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;ot(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(cv(j)|0){p=j}else{o=c[k>>2]|0;dv(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;ev(p);i=e;return}else if((l|0)==14){if(cv(j)|0){p=c[k>>2]|0;ev(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;dv(q);i=e;return}else if((l|0)==17){i=e;return}}function $u(a){a=a|0;return av(a+8|0)|0}function av(a){a=a|0;return bv(a|0)|0}function bv(a){a=a|0;return a|0}function cv(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function dv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;ot(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=cv(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function ev(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;ot(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=cv(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function fv(a){a=a|0;gv(a,0);return}function gv(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Vu(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}iv(hv(d)|0,e);return}function hv(a){a=a|0;return lv(a|0)|0}function iv(a,b){a=a|0;b=b|0;if((b|0)==0){return}Iu(c[a>>2]|0,b,1);return}function jv(a){a=a|0;return a|0}function kv(a){a=a|0;return a|0}function lv(a){a=a|0;return a+4|0}function mv(a,b){a=a|0;b=b|0;nv(a,b);return}function nv(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function ov(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];yv(a,b,d);i=e;return}function pv(a,b){a=a|0;b=b|0;return xv(0,b,0)|0}function qv(a,b){a=a|0;b=b|0;wv(a,b);return}function rv(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function sv(a){a=a|0;return c[(Xu(a|0)|0)>>2]|0}function tv(a){a=a|0;return hv(a|0)|0}function uv(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function vv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;mv(f,b);Ou(e,f);Qu(d,e);Ou(a,d);Ru(e);i=c;return}function wv(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function xv(a,b,c){a=a|0;b=b|0;c=c|0;return $R(b*24|0)|0}function yv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Av(f)|0)>>2]|0;f=Bv(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;zv(a|0,b,g);i=e;return}function zv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Cv(a,b,d);i=e;return}function Av(a){a=a|0;return a|0}function Bv(a){a=a|0;return a|0}function Cv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Ev(f)|0)>>2]|0;f=Fv(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Dv(a|0,b,g);i=e;return}function Dv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Ev(f)|0)>>2];f=Fv(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Ev(a){a=a|0;return a|0}function Fv(a){a=a|0;return a|0}function Gv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=Uu(Hv(b)|0)|0;g=Fv(tv(Hv(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;zv(a|0,f,e);i=d;return}function Hv(a){a=a|0;return c[a>>2]|0}function Iv(a){a=a|0;var b=0;b=i;i=i+48|0;Jv(a|0);Cs(a+184|0,0,0);Cs(a+200|0,0,0);Kv(a+240|0,b|0);Kv(a+252|0,b+8|0);Kv(a+264|0,b+16|0);Kv(a+276|0,b+24|0);Kv(a+288|0,b+32|0);Kv(a+300|0,b+40|0);i=b;return}function Jv(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;NI(b);d=a|0;c[d>>2]=442564;e=b|0;c[e>>2]=442584;b=a+4|0;UJ(a,443556,b|0);c[d>>2]=442564;c[e>>2]=442584;Xv(b);return}function Kv(a,b){a=a|0;b=b|0;Lv(a,0);return}function Lv(a,b){a=a|0;b=b|0;b=i;i=i+8|0;Mv(a|0,b|0);i=b;return}function Mv(a,b){a=a|0;b=b|0;Nv(a,0);return}function Nv(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;Ov(a+4|0);Pv(a+8|0,0,b|0);d=_s(a)|0;c[(Zu(a)|0)>>2]=d;i=b;return}function Ov(a){a=a|0;Tv(a);return}function Pv(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;Qv(b,c,d);i=e;return}function Qv(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;Rv(b|0,c[(Sv(g)|0)>>2]|0,f+8|0);i=f;return}function Rv(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Sv(g)|0)>>2];i=f;return}function Sv(a){a=a|0;return a|0}function Tv(a){a=a|0;Uv(a|0);return}function Uv(a){a=a|0;Vv(a|0);return}function Vv(a){a=a|0;Wv(a);return}function Wv(a){a=a|0;c[a>>2]=0;return}function Xv(a){a=a|0;Yv(a);return}function Yv(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;WI(g);c[b>>2]=442848;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;yS(b+52|0,0,16)|0;ot(d|0);yS(h|0,0,31)|0;SI(e,g);j=Zv(e)|0;yO(e);if(j){SI(f,g);c[h>>2]=Bu(f)|0;yO(f);a[b+98|0]=(Cu(c[h>>2]|0)|0)&1}de[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function Zv(a){a=a|0;return zO(a,479256)|0}function _v(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;Vo(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){$v(a,b,c[e>>2]|0,f);Yo(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=YR(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;Sn(c[b+536>>2]|0,429488,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}$v(a,b,k,f);Yo(3);i=d;return}function $v(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;Yo(0);i=+Qo(0);Vo(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function aw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=VR(24)|0;Vo(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;Rn(c[l>>2]|0,k>>>31^1,434928,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=bw(b,m)|0;n=bw(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=VR(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;Sn(c[l>>2]|0,423456,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;Yo(3);i=d;return}}function bw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function cw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;Vo(3);k=b|0;l=Cc(c[k>>2]|0,414664)|0;if((l|0)==0){dw(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=dd(c[(cd()|0)>>2]|0)|0;Sn(m,40224,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Ya(35472,46,1,l|0)|0;o=g+20|0;td(l|0,31832,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;td(l|0,28552,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Ya(25536,40,1,l|0)|0;Ya(23384,11,1,l|0)|0;Ya(439064,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];ew(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Ya(433416,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;ew(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){td(l|0,431472,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;ew(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Wa(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){td(l|0,431472,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;ew(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Wa(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){td(l|0,431472,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;ew(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Wa(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){td(l|0,431472,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;ew(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Wa(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){td(l|0,431472,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;ew(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Wa(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){td(l|0,431472,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;ew(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Wa(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}dw(j);if((Pa(l|0)|0)==0){WR(c[f>>2]|0);c[f>>2]=0;Yo(3);i=e;return}else{Sn(c[d+536>>2]|0,429968,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function dw(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}WR(a);c[b>>2]=0;return}function ew(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;td(a|0,428808,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function fw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=$R(192)|0;yS(j|0,0,192)|0;gw(j);c[a+12>>2]=j;k=j;l=a|0;Ds(k,c[l>>2]|0,36);if(BI(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Sn(c[b+536>>2]|0,429392,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;eK(a,16632,14)|0;fK(e,a);l=Qt(e)|0;e=j+184|0;c[e>>2]=l;eK(a,475576,4)|0;hw(k,b+8|0);fK(f,a);b=Qt(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;Cs(g,j,(j|0)<0|0?-1:0);gK(a,g)|0;iw(k,-4-j+f|0);f=c[b>>2]|0;Cs(h,f,(f|0)<0|0?-1:0);gK(a,h)|0;Yo(3);i=d;return}function gw(a){a=a|0;Bw(a);return}function hw(a,b){a=a|0;b=b|0;kw(a,3);lw(a,419960);kw(a,0);lw(a,419e3);kw(a,2);ww(a,b);xw(a,b);lw(a,418128);kw(a,0);return}function iw(a,b){a=a|0;b=b|0;c[115586]=nd(b|0)|0;eK(a,462344,4)|0;return}function jw(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;fK(j,o);p=Qt(j)|0;iw(b,0);fK(k,o);j=Qt(k)|0;k=j;kw(b,1);lw(b,423392);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;mw(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);nw(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{nw(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{ow(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{pw(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{lw(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}fK(l,o);s=Qt(l)|0;l=s;s=p;Cs(m,s,(s|0)<0|0?-1:0);gK(o,m)|0;iw(b,l-k|0);Cs(n,l,(l|0)<0|0?-1:0);gK(o,n)|0;i=g;return}function kw(b,d){b=b|0;d=d|0;a[475528]=-33;c[115588]=nd(d|0)|0;d=b;eK(d,475528,1)|0;eK(d,462352,4)|0;return}function lw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=nd(vS(d|0)|0)|0;a[475536]=-37;g=b;eK(g,475536,1)|0;eK(g,f,4)|0;eK(g,d,vS(d|0)|0)|0;i=e;return}function mw(b,d){b=b|0;d=d|0;a[475544]=-35;c[115590]=nd(d|0)|0;d=b;eK(d,475544,1)|0;eK(d,462360,4)|0;return}function nw(b,c){b=b|0;c=+c;var d=0;a[475552]=-53;vw(c);d=b;eK(d,475552,1)|0;eK(d,475432,8)|0;return}function ow(b,d){b=b|0;d=d|0;a[475560]=-46;c[115592]=nd(d|0)|0;d=b;eK(d,475560,1)|0;eK(d,462368,4)|0;return}function pw(b,c){b=b|0;c=c|0;a[475568]=c?-61:-62;eK(b,475568,1)|0;return}function qw(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;jw(d,+h[e>>3],a,e);jw(d,+h[b+248>>3],a,e);return}function rw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;fK(f,n);m=Qt(f)|0;iw(b,0);fK(g,n);f=Qt(g)|0;g=f;kw(b,1);lw(b,414648);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;mw(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;nw(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{nw(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{ow(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{pw(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{lw(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}fK(j,n);q=Qt(j)|0;j=q;q=m;Cs(k,q,(q|0)<0|0?-1:0);gK(n,k)|0;iw(b,j-g|0);Cs(l,j,(j|0)<0|0?-1:0);gK(n,l)|0;i=e;return}function sw(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;xs(a);Vo(3);if((a|0)==0){c[b>>2]=0;Yo(3);return}tw(a);bS(a);c[b>>2]=0;Yo(3);return}function tw(a){a=a|0;uw(a);return}function uw(a){a=a|0;Tt(a|0);return}function vw(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((nd(1)|0)==1){g=e;e=c[g+4>>2]|0;j=475432;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[475432+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function ww(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;lw(a,423392);kw(a,4);lw(a,417336);kw(a,0);lw(a,416712);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;mw(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);lw(a,416048);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{lw(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{lw(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{lw(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{lw(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4138];c[k+4>>2]=c[4139];c[k+8>>2]=c[4140];yw(a,b,e|0);lw(a,415320);kw(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);zw(a,416048,413776);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;zw(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;zw(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;zw(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;zw(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function xw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;lw(a,414648);kw(a,4);lw(a,417336);kw(a,0);lw(a,416712);o=g+1+j+l+n|0;mw(a,o);lw(a,416048);if((c[f>>2]|0)>0){n=b|0;l=0;do{lw(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{lw(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{lw(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{lw(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4142];c[n+4>>2]=c[4143];c[n+8>>2]=c[4144];yw(a,b,e|0);lw(a,415320);kw(a,o);zw(a,416048,413776);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;zw(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;zw(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;zw(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;zw(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function yw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;lw(b,412016);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}kw(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?416048:i;if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}Aw(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;k=a[r+(g*52|0)+8|0]|0;if((c[e+(k<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{h=k<<24>>24==2?416048:f;if((k<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((k<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=h}Aw(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{l=y<<24>>24==2?416048:g;if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=l}Aw(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?416048:g;if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}Aw(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function zw(a,b,c){a=a|0;b=b|0;c=c|0;lw(a,b);kw(a,1);lw(a,412888);lw(a,c);return}function Aw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;lw(a,b);kw(a,d?2:1);lw(a,411200);lw(a,c);if(!d){return}lw(a,410416);lw(a,409744);return}function Bw(a){a=a|0;Jv(a|0);return}



function ue(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function ve(){return i|0}function we(a){a=a|0;i=a}function xe(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function ye(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function ze(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function Ae(a){a=a|0;K=a}function Be(a){a=a|0;L=a}function Ce(a){a=a|0;M=a}function De(a){a=a|0;N=a}function Ee(a){a=a|0;O=a}function Fe(a){a=a|0;P=a}function Ge(a){a=a|0;Q=a}function He(a){a=a|0;R=a}function Ie(a){a=a|0;S=a}function Je(a){a=a|0;T=a}function Ke(){c[111720]=q+8;c[111722]=q+8;c[111724]=t+8;c[111728]=t+8;c[111732]=t+8;c[111736]=t+8;c[111740]=t+8;c[111744]=t+8;c[111748]=q+8;c[111782]=t+8;c[111786]=t+8;c[111850]=t+8;c[111854]=t+8;c[111874]=q+8;c[111876]=t+8;c[111912]=t+8;c[111916]=t+8;c[111952]=t+8;c[111956]=t+8;c[111976]=q+8;c[111978]=q+8;c[111980]=t+8;c[111984]=t+8;c[111988]=t+8;c[111992]=t+8;c[111996]=t+8;c[112e3]=q+8;c[112002]=q+8;c[112004]=q+8;c[112006]=t+8;c[112010]=t+8;c[112014]=q+8;c[112016]=q+8;c[112018]=q+8;c[112020]=q+8;c[112046]=t+8;c[112050]=t+8;c[112054]=q+8;c[112056]=t+8;c[112060]=t+8;c[112064]=t+8;c[112068]=q+8;c[112070]=q+8;c[112072]=q+8;c[112074]=q+8;c[112108]=q+8;c[112110]=q+8;c[112112]=q+8;c[112114]=t+8;c[112118]=t+8;c[112122]=t+8;c[112126]=t+8;c[112130]=t+8;c[112134]=t+8}function Le(a){a=a|0;var b=0;b=a+540|0;be[c[(c[b>>2]|0)+40>>2]&255](a)|0;be[c[(c[b>>2]|0)+28>>2]&255](a)|0;be[c[(c[b>>2]|0)+32>>2]&255](a)|0;be[c[(c[b>>2]|0)+48>>2]&255](a)|0;be[c[(c[b>>2]|0)+52>>2]&255](a)|0;yq(a);return}function Me(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[115512]|0)==0){l=0}else{m=c[a+88>>2]|0;n=vS(m|0)|0;o=VR(n+11|0)|0;wS(o|0,m|0,n|0)|0;xS(o+n|0,439664,11)|0;n=Cc(o|0,439656)|0;if((n|0)==0){m=dd(c[(cd()|0)>>2]|0)|0;Qn(23,0,424976,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Pa(0)|0;q=0}else{q=n}WR(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}oe[c[2185]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[115512]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{Wo(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}Wo(2);Vo(2)}Ko(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){On(23,0,416248,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];lq(a,b);L=+h[k>>3];M=+h[v>>3];On(23,1,41816,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];gE(36520,(+h[k>>3]-M)/(+h[q>>3]-M));N=Ar(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Le(a);zq(a);if((c[113231]|0)!=0){_d[c[3556]&511](23)}if((c[115512]|0)!=0){Vo(4)}l=nq(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];On(7,1,32776,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?29088:26080,h[p+8>>3]=M,p)|0);i=p;if((c[113410]|0)==0){$d[c[2005]&255](8e3,a)}pq(a,c[x>>2]|0,k,b);if((c[113215]|0)!=0){_d[c[3556]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;Dq(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[115512]|0)!=0){Yo(4)}if((Mr(a,1,1)|0)!=0){c[s>>2]=1;Dq(a)}be[c[(c[y>>2]|0)+88>>2]&255](a)|0;yq(a);Hq(a);zq(a);do{if((H|0)==0){O=0}else{Vo(7);Yo(2);l=(Ya(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Ya(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+Qo(2);if(!P){Q=0;break}Q=(Ya(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+Qo(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=Lo(R+9|0)|0;if((S|0)==0){T=0}else{T=(Ya(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+Qo(S+9|0);if((R|0)==0){_=0}else{_=(Ya(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}Yo(7);if(($|0)!=0){O=H;break}R=dd(c[(cd()|0)>>2]|0)|0;Qn(23,0,23968,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Pa(H|0)|0;O=0}}while(0);if((c[113410]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;$d[c[2005]&255](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[113266]|0)!=0){Gn(A,480256);Wa(10,A|0)|0;S=c[120062]|0;On(1,0,439600,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((jr(a,0)|0)!=0){aa=58;break}if(($q(a,0)|0)!=0){aa=58;break}if((Qq(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){On(1,0,436704,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((jr(a,0)|0)!=0){On(1,0,433944,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if(($q(a,0)|0)!=0){On(1,0,431936,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(Qq(a,0)|0)==0;M=+h[k>>3];if(H){On(1,0,429112,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{On(1,0,430192,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Pa(J|0)|0;i=d;return I|0}function Ne(a){a=a|0;return 0}function Oe(a){a=a|0;return 0}function Pe(a){a=a|0;return 0}function Qe(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+104>>3]*461.5233290850878;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+8>>3];if(d!=0.0){j=i/d;k=g;l=k+104|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+104|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,d,425696,450048,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+104|0;h[l>>3]=j;return}function Re(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+56>>3]=+h[b+8>>3]- +h[(c[a+416>>2]|0)+120>>3];return}function Se(b){b=b|0;var d=0,e=0.0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=c[b+416>>2]|0;e=+h[d+160>>3];f=+h[d+152>>3];d=b+4|0;g=c[c[d>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+56>>3];if(f!=0.0){k=j/f;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}if(j==0.0){k=j;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}o=j/+Un(c[b+536>>2]|0,f,424952,450040,+h[g>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=e*k;n=l+64|0;h[n>>3]=m;return}function Te(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[(c[a+416>>2]|0)+96>>3]- +h[b+64>>3];return}function Ue(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+56>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+176>>3];if(d!=0.0){j=i/d;k=g;l=k+200|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+200|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,d,424296,450032,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+200|0;h[l>>3]=j;return}function Ve(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+96>>3]=+h[b+8>>3]*1.0e-5;return}function We(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+128>>3]=+h[b>>3]+ -273.15;return}function Xe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+136>>3]=+h[b+8>>3]*1.0e-5;return}function Ye(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+104|0;d=b|0;e=b+96|0;c[d>>2]=449088;h[d+8>>3]=.01801528;h[d+16>>3]=-13423382.81725291;h[d+24>>3]=549760.6476280135;h[d+32>>3]=1.0e3;f=d+40|0;c[f>>2]=c[112264];c[f+4>>2]=c[112265];c[f+8>>2]=c[112266];f=d+52|0;c[f>>2]=c[112204];c[f+4>>2]=c[112205];c[f+8>>2]=c[112206];f=d+64|0;c[f>>2]=c[112360];c[f+4>>2]=c[112361];c[f+8>>2]=c[112362];f=d+76|0;c[f>>2]=c[112300];c[f+4>>2]=c[112301];c[f+8>>2]=c[112302];h[d+88>>3]=461.5233290850878;f=a+4|0;wf(e,c[a+536>>2]|0,d,+h[c[(c[c[f>>2]>>2]|0)+8>>2]>>3],1,1,0.0);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+160>>3]=+h[e>>3];i=b;return}function Ze(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+144>>3]=+h[b+160>>3]+ +h[b>>3]*-461.5233290850878;return}function _e(a){a=a|0;var b=0,d=0;b=a+4|0;a=(Nq(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+64>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+80>>3]=+h[(a?d+256|0:d+160|0)>>3];return}function $e(a){a=a|0;var b=0.0,d=0;b=+h[(c[a+416>>2]|0)+96>>3];d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+88>>3]=-0.0-b*+h[(b<0.0?d+160|0:d+264|0)>>3];return}function af(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+64>>3];h[b+72>>3]=-0.0-d*+h[(d<0.0?b+256|0:b+160|0)>>3];return}function bf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+72>>3]- +h[b+88>>3];return}function cf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f>>3]*461.5233290850878;i=+h[f+8>>3];if(g!=0.0){j=i/g;k=f;l=k+152|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+152|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,g,423040,450024,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+152|0;h[l>>3]=j;return}function df(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+112>>3]=+h[(c[a+416>>2]|0)+56>>3]*+h[b+152>>3];return}function ef(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+120>>3]=+h[b+112>>3]*+h[b+144>>3];return}function ff(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+112>>3];i=+h[f+168>>3]- +h[f+176>>3]*+h[f+144>>3];if(g!=0.0){j=i/g;k=f;l=k+184|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+184|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,g,422344,450016,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+184|0;h[l>>3]=j;return}function gf(a){a=a|0;var b=0,d=0;_q(a,1)|0;b=c[(c[a+476>>2]|0)+92>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+16>>3]=+h[b>>3];h[d+192>>3]=+h[b+8>>3];return}function hf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+44>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+24>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+24|0;h[c[f+48>>2]>>3]=+h[g>>3];i=+kr(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+24>>3]);h[c[(c[e>>2]|0)+52>>2]>>3]=i;ir(a,0)|0;h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+24>>3]=+h[c[(c[e>>2]|0)+44>>2]>>3];return}function jf(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;e=Nq(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],200.0)|0;if(!(e<<24>>24==0|(Mq(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],6.0e3)|0)<<24>>24==0)){i=b;return}e=po(po(po(po(421712,no(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],0,1,6)|0)|0,420864)|0,419208)|0,418352)|0;te[c[2172]&63](c[a+536>>2]|0,449968,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function kf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((Nq(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0.0)|0)<<24>>24==0)){i=b;return}e=po(po(po(po(416944,no(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0,1,6)|0)|0,416224)|0,419208)|0,415520)|0;f=po(po(e,no(+h[c[(c[c[d>>2]>>2]|0)+8>>2]>>3],0,1,6)|0)|0,414160)|0;te[c[2172]&63](c[a+536>>2]|0,449992,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function lf(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+416|0;e=Nq(+h[(c[d>>2]|0)+104>>3],200.0)|0;if(!(e<<24>>24==0|(Mq(+h[(c[d>>2]|0)+104>>3],6.0e3)|0)<<24>>24==0)){i=b;return}e=po(po(po(po(421712,no(+h[(c[d>>2]|0)+104>>3],0,1,6)|0)|0,420864)|0,419208)|0,418352)|0;te[c[2172]&63](c[a+536>>2]|0,449968,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function mf(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+4|0;if(!((Nq(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0.0)|0)<<24>>24==0)){i=b;return}e=po(po(po(po(416944,no(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0,1,6)|0)|0,416224)|0,419208)|0,415520)|0;d=po(po(e,no(+h[(c[a+416>>2]|0)+104>>3],0,1,6)|0)|0,414160)|0;te[c[2172]&63](c[a+536>>2]|0,449992,d,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return}function nf(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+416|0;e=Nq(+h[(c[d>>2]|0)+136>>3],200.0)|0;if(!(e<<24>>24==0|(Mq(+h[(c[d>>2]|0)+136>>3],6.0e3)|0)<<24>>24==0)){i=b;return}e=po(po(po(po(421712,no(+h[(c[d>>2]|0)+136>>3],0,1,6)|0)|0,420864)|0,419208)|0,418352)|0;te[c[2172]&63](c[a+536>>2]|0,449968,e,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=b;return}function of(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+416|0;if(!((Nq(+h[(c[d>>2]|0)+120>>3],0.0)|0)<<24>>24==0)){i=b;return}e=po(po(po(po(416944,no(+h[(c[d>>2]|0)+120>>3],0,1,6)|0)|0,416224)|0,419208)|0,415520)|0;f=po(po(e,no(+h[(c[d>>2]|0)+136>>3],0,1,6)|0)|0,414160)|0;te[c[2172]&63](c[a+536>>2]|0,449992,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function pf(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Qe(b);Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);of(b);return 0}function qf(b){b=b|0;a[b+314|0]=0;rf(b);return 0}function rf(a){a=a|0;Re(a);Se(a);Te(a);Ue(a);Ye(a);Ze(a);$e(a);af(a);bf(a);cf(a);df(a);ff(a);gf(a);hf(a);return}function sf(a,b){a=a|0;b=+b;return 0}function tf(a){a=a|0;var b=0,d=0;b=i;Rn(c[a+536>>2]|0,(a|0)!=0|0,412296,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=451256;c[a+84>>2]=411416;c[a+88>>2]=411416;c[a+92>>2]=410488;c[a+96>>2]=409816;c[a+100>>2]=343008;c[a+60>>2]=42384;c[a+112>>2]=2;c[a+116>>2]=40;yS(a+120|0,0,16)|0;c[a+136>>2]=21;c[a+140>>2]=0;c[a+144>>2]=11;c[a+148>>2]=0;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=27;c[a+220>>2]=0;c[a+224>>2]=0;c[a+228>>2]=0;c[a+160>>2]=0;c[a+104>>2]=0;c[a+164>>2]=0;c[a+168>>2]=0;c[a+176>>2]=2;c[a+180>>2]=0;c[a+184>>2]=2;c[a+188>>2]=0;c[a+56>>2]=41744;c[a+64>>2]=17;c[a+72>>2]=0;c[a+68>>2]=151;c[a+192>>2]=0;c[a+196>>2]=2;c[a+200>>2]=1;c[a+204>>2]=0;c[a+208>>2]=0;c[a+212>>2]=0;c[a+172>>2]=0;i=b;return}function uf(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2180]=c[2174];c[2181]=c[2175];c[2182]=c[2176];c[2183]=c[2177];c[2184]=c[2178];c[2185]=c[2179];Ia(c[2180]|0);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;yS(m|0,0,88)|0;n=sa(202,c[115502]|0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ca(70,c[115502]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=zS(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=zS(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(236,h|0);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(74,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ca(70,c[115502]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(152,k|0);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(38,41200,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Ca(70,c[115502]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=AS(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function vf(){Ta(0)|0;Ya(39672,18,1,c[u>>2]|0)|0;Ta(0)|0;return}function wf(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=+e;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0;k=i;l=d;d=i;i=i+96|0;xS(d,l,96)|0;l=e>0.0;if(+h[d+32>>3]>e){if(!l){te[c[2172]&63](b,8744,434592,(m=i,i=i+8|0,h[m>>3]=e,m)|0);i=m}n=+h[d+88>>3];o=Do(d+52|0,1,(m=i,i=i+8|0,c[m>>2]=1,m)|0)|0;i=m;p=+h[o>>3];o=d+40|0;q=Do(o,1,(m=i,i=i+8|0,c[m>>2]=2,m)|0)|0;i=m;r=+h[q>>3]*+ea(e);q=Do(o,1,(m=i,i=i+8|0,c[m>>2]=3,m)|0)|0;i=m;s=+h[q>>3];q=Do(o,1,(m=i,i=i+8|0,c[m>>2]=4,m)|0)|0;i=m;t=+h[q>>3]*.5;q=Do(o,1,(m=i,i=i+8|0,c[m>>2]=5,m)|0)|0;i=m;u=+h[q>>3]*.3333333333333333;q=Do(o,1,(m=i,i=i+8|0,c[m>>2]=6,m)|0)|0;i=m;v=+h[q>>3]*.25;q=Do(o,1,(m=i,i=i+8|0,c[m>>2]=7,m)|0)|0;i=m;w=(p+(r+(s+(t+(u+(v+ +h[q>>3]*e*.2)*e)*e)*e)*e))*e;q=Do(o,1,(m=i,i=i+8|0,c[m>>2]=1,m)|0)|0;i=m;x=n*((w- +h[q>>3])/e)}else{if(!l){te[c[2172]&63](b,8744,434592,(m=i,i=i+8|0,h[m>>3]=e,m)|0);i=m}w=+h[d+88>>3];b=Do(d+76|0,1,(m=i,i=i+8|0,c[m>>2]=1,m)|0)|0;i=m;n=+h[b>>3];b=d+64|0;l=Do(b,1,(m=i,i=i+8|0,c[m>>2]=2,m)|0)|0;i=m;v=+h[l>>3]*+ea(e);l=Do(b,1,(m=i,i=i+8|0,c[m>>2]=3,m)|0)|0;i=m;u=+h[l>>3];l=Do(b,1,(m=i,i=i+8|0,c[m>>2]=4,m)|0)|0;i=m;t=+h[l>>3]*.5;l=Do(b,1,(m=i,i=i+8|0,c[m>>2]=5,m)|0)|0;i=m;s=+h[l>>3]*.3333333333333333;l=Do(b,1,(m=i,i=i+8|0,c[m>>2]=6,m)|0)|0;i=m;r=+h[l>>3]*.25;l=Do(b,1,(m=i,i=i+8|0,c[m>>2]=7,m)|0)|0;i=m;p=(n+(v+(u+(t+(s+(r+ +h[l>>3]*e*.2)*e)*e)*e)*e))*e;l=Do(b,1,(m=i,i=i+8|0,c[m>>2]=1,m)|0)|0;i=m;x=w*((p- +h[l>>3])/e)}if(f<<24>>24==0){y=0.0}else{y=-0.0- +h[d+16>>3]}if((g|0)!=1){z=0.0;A=(g|0)==3;B=A?j:0.0;C=B+z;D=y+C;E=x+D;F=a|0;h[F>>3]=E;i=k;return}z=+h[d+24>>3];A=(g|0)==3;B=A?j:0.0;C=B+z;D=y+C;E=x+D;F=a|0;h[F>>3]=E;i=k;return}function xf(a){a=a|0;var b=0;a=i;On(4,0,24688,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;On(4,0,425880,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function yf(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}WR(a);c[b>>2]=0;return}function zf(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+416>>3];h[c[b+8>>2]>>3]=+h[d+392>>3];h[c[b+12>>2]>>3]=+h[d+400>>3];return}function Af(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0.0,g=0.0;f=+h[b>>3];b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+24>>3]=f;g=+h[b>>3];h[d>>3]=+h[b+200>>3]*g*g*213003.7832897823+(g*f*-461.5233290850878+ +h[b+8>>3]*+h[b+16>>3]*461.5233290850878);return}function Bf(a){a=a|0;c[a+4>>2]=73;c[a>>2]=1;c[a+56>>2]=0;c[a+32>>2]=32;c[a+20>>2]=0;c[a+24>>2]=0;c[a+28>>2]=-1;c[a+36>>2]=4;return}function Cf(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0,O=0.0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0,_=0.0,$=0;e=i;f=d+8|0;se[c[f>>2]&7](0,0,-1.0,0,d);se[c[f>>2]&7](0,1,461.5233290850878,1,d);se[c[f>>2]&7](1,0,1.0,2,d);g=b+4|0;j=(Lq(+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3],1.0e3)|0)<<24>>24==0;k=c[c[g>>2]>>2]|0;l=+h[c[k+8>>2]>>3];m=l>0.0;if(j){if(m){n=k;o=l}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=l,p)|0);i=p;j=c[c[g>>2]>>2]|0;n=j;o=+h[c[j+8>>2]>>3]}if(o>0.0){q=n;r=o}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=o,p)|0);i=p;n=c[c[g>>2]>>2]|0;q=n;r=+h[c[n+8>>2]>>3]}s=r*r;n=r!=0.0;if(s*s!=0.0){if(n){t=r;u=r}else{s=+Un(c[b+536>>2]|0,r,42008,8064,+h[q>>3],(a[b+319|0]|0)!=0|0);t=s;u=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}s=u*-9.64476106e-16;v=s+2.3566172325e-11;w=u*v+-2.278943493333333e-7;x=u*w+.0011459991535;y=u*x+4.64611078;z=u*y;A=u*u;B=A*(u*(r*(-2412.698562/t+(u*(u*(u*(s+v)+w)+x)+y))+(+ea(l)*-2412.698562+z+ -13842.86509))-(u*(+ea(o)*-2412.698562+z+ -13842.86509)+ -1034972.096))*461.5233290850878/(A*A);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,1,D,3,d);i=e;return}if(n){E=r;F=q;G=r}else{A=+Un(c[b+536>>2]|0,r,42008,8064,+h[q>>3],(a[b+319|0]|0)!=0|0);q=c[c[g>>2]>>2]|0;E=A;F=q;G=+h[c[q+8>>2]>>3]}A=G*-9.64476106e-16;z=A+2.3566172325e-11;u=G*z+-2.278943493333333e-7;y=G*u+.0011459991535;x=G*y+4.64611078;w=+ea(l)*-2412.698562;v=G*x;s=+ea(o)*-2412.698562;q=G!=0.0;if(G*G*(G*(r*(-2412.698562/E+(G*(G*(G*(A+z)+u)+y)+x))+(w+v+ -13842.86509))-(G*(s+v+ -13842.86509)+ -1034972.096))*461.5233290850878==0.0){if(q){H=G;I=G}else{v=+Un(c[b+536>>2]|0,G,42008,8064,+h[F>>3],(a[b+319|0]|0)!=0|0);H=v;I=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}v=I*-9.64476106e-16;x=v+2.3566172325e-11;y=I*x+-2.278943493333333e-7;u=I*y+.0011459991535;z=I*u+4.64611078;A=I*z;B=I*I*(I*(G*(-2412.698562/H+(I*(I*(I*(v+x)+y)+u)+z))+(w+A+ -13842.86509))-(I*(s+A+ -13842.86509)+ -1034972.096))*461.5233290850878;C=c[f>>2]|0;D=-0.0-B;se[C&7](1,1,D,3,d);i=e;return}n=b+536|0;if(q){J=G;K=F;L=G;M=b+319|0}else{q=b+319|0;A=+Un(c[n>>2]|0,G,42008,8064,+h[F>>3],(a[q]|0)!=0|0);F=c[c[g>>2]>>2]|0;J=A;K=F;L=+h[c[F+8>>2]>>3];M=q}A=L*-9.64476106e-16;I=A+2.3566172325e-11;z=L*I+-2.278943493333333e-7;u=L*z+.0011459991535;y=L*u+4.64611078;x=L*y;v=L*L;B=v*(L*(G*(-2412.698562/J+(L*(L*(L*(A+I)+z)+u)+y))+(w+x+ -13842.86509))-(L*(s+x+ -13842.86509)+ -1034972.096))*461.5233290850878/+Un(c[n>>2]|0,v*v,36552,8064,+h[K>>3],(a[M]|0)!=0|0);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,1,D,3,d);i=e;return}else{if(m){N=k;O=l}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=l,p)|0);i=p;k=c[c[g>>2]>>2]|0;N=k;O=+h[c[k+8>>2]>>3]}if(O>0.0){P=N;Q=O}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=O,p)|0);i=p;p=c[c[g>>2]>>2]|0;P=p;Q=+h[c[p+8>>2]>>3]}v=Q*Q;p=Q!=0.0;if(v*v!=0.0){if(p){R=Q;S=Q}else{v=+Un(c[b+536>>2]|0,Q,42008,8064,+h[P>>3],(a[b+319|0]|0)!=0|0);R=v;S=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}v=S*-2.673866492e-13;x=v+1.2387608725e-9;s=S*x+-2447519123333333.0e-21;L=S*s+.00361135643;w=S*L+.931782653;y=S*w;u=S*S;B=u*(S*(Q*(575.573102/R+(S*(S*(S*(v+x)+s)+L)+w))+(+ea(l)*575.573102+y+ -33039.7431))-(S*(+ea(O)*575.573102+y+ -33039.7431)+39479.6083))*461.5233290850878/(u*u);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,1,D,3,d);i=e;return}if(p){T=Q;U=P;V=Q}else{u=+Un(c[b+536>>2]|0,Q,42008,8064,+h[P>>3],(a[b+319|0]|0)!=0|0);P=c[c[g>>2]>>2]|0;T=u;U=P;V=+h[c[P+8>>2]>>3]}u=V*-2.673866492e-13;y=u+1.2387608725e-9;S=V*y+-2447519123333333.0e-21;w=V*S+.00361135643;L=V*w+.931782653;s=+ea(l)*575.573102;l=V*L;x=+ea(O)*575.573102;P=V!=0.0;if(V*V*(V*(Q*(575.573102/T+(V*(V*(V*(u+y)+S)+w)+L))+(s+l+ -33039.7431))-(V*(x+l+ -33039.7431)+39479.6083))*461.5233290850878==0.0){if(P){W=V;X=V}else{l=+Un(c[b+536>>2]|0,V,42008,8064,+h[U>>3],(a[b+319|0]|0)!=0|0);W=l;X=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}l=X*-2.673866492e-13;L=l+1.2387608725e-9;w=X*L+-2447519123333333.0e-21;S=X*w+.00361135643;y=X*S+.931782653;u=X*y;B=X*X*(X*(V*(575.573102/W+(X*(X*(X*(l+L)+w)+S)+y))+(s+u+ -33039.7431))-(X*(x+u+ -33039.7431)+39479.6083))*461.5233290850878;C=c[f>>2]|0;D=-0.0-B;se[C&7](1,1,D,3,d);i=e;return}p=b+536|0;if(P){Y=V;Z=U;_=V;$=b+319|0}else{P=b+319|0;u=+Un(c[p>>2]|0,V,42008,8064,+h[U>>3],(a[P]|0)!=0|0);U=c[c[g>>2]>>2]|0;Y=u;Z=U;_=+h[c[U+8>>2]>>3];$=P}u=_*-2.673866492e-13;X=u+1.2387608725e-9;y=_*X+-2447519123333333.0e-21;S=_*y+.00361135643;w=_*S+.931782653;L=_*w;l=_*_;B=l*(_*(V*(575.573102/Y+(_*(_*(_*(u+X)+y)+S)+w))+(s+L+ -33039.7431))-(_*(x+L+ -33039.7431)+39479.6083))*461.5233290850878/+Un(c[p>>2]|0,l*l,36552,8064,+h[Z>>3],(a[$]|0)!=0|0);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,1,D,3,d);i=e;return}}function Df(a,b){a=a|0;b=b|0;var d=0;d=c[b+36>>2]|0;h[d>>3]=-0.0- +h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+184>>3];h[d+8>>3]=-0.0;return}function Ef(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0,n=0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0,$=0.0,aa=0;e=i;f=d+8|0;se[c[f>>2]&7](0,0,461.5233290850878,0,d);se[c[f>>2]&7](0,1,-1.0,1,d);g=b+4|0;j=(Lq(+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3],1.0e3)|0)<<24>>24==0;k=c[c[g>>2]>>2]|0;l=+h[c[k+8>>2]>>3];m=l>0.0;if(j){if(m){n=k;o=l}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=l,p)|0);i=p;j=c[c[g>>2]>>2]|0;n=j;o=+h[c[j+8>>2]>>3]}if(o>0.0){q=n;r=o}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=o,p)|0);i=p;n=c[c[g>>2]>>2]|0;q=n;r=+h[c[n+8>>2]>>3]}s=r*r;n=r!=0.0;if(s*s!=0.0){if(n){t=r;u=r}else{s=+Un(c[b+536>>2]|0,r,42008,8056,+h[q>>3],(a[b+319|0]|0)!=0|0);t=s;u=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}s=u*-9.64476106e-16;v=s+2.3566172325e-11;w=u*v+-2.278943493333333e-7;x=u*w+.0011459991535;y=u*x+4.64611078;z=u*y;A=u*u;B=A*(u*(r*(-2412.698562/t+(u*(u*(u*(s+v)+w)+x)+y))+(+ea(l)*-2412.698562+z+ -13842.86509))-(u*(+ea(o)*-2412.698562+z+ -13842.86509)+ -1034972.096))*461.5233290850878/(A*A);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,0,D,2,d);E=c[f>>2]|0;se[E&7](1,1,1.0,3,d);i=e;return}if(n){F=r;G=q;H=r}else{A=+Un(c[b+536>>2]|0,r,42008,8056,+h[q>>3],(a[b+319|0]|0)!=0|0);q=c[c[g>>2]>>2]|0;F=A;G=q;H=+h[c[q+8>>2]>>3]}A=H*-9.64476106e-16;z=A+2.3566172325e-11;u=H*z+-2.278943493333333e-7;y=H*u+.0011459991535;x=H*y+4.64611078;w=+ea(l)*-2412.698562;v=H*x;s=+ea(o)*-2412.698562;q=H!=0.0;if(H*H*(H*(r*(-2412.698562/F+(H*(H*(H*(A+z)+u)+y)+x))+(w+v+ -13842.86509))-(H*(s+v+ -13842.86509)+ -1034972.096))*461.5233290850878==0.0){if(q){I=H;J=H}else{v=+Un(c[b+536>>2]|0,H,42008,8056,+h[G>>3],(a[b+319|0]|0)!=0|0);I=v;J=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}v=J*-9.64476106e-16;x=v+2.3566172325e-11;y=J*x+-2.278943493333333e-7;u=J*y+.0011459991535;z=J*u+4.64611078;A=J*z;B=J*J*(J*(H*(-2412.698562/I+(J*(J*(J*(v+x)+y)+u)+z))+(w+A+ -13842.86509))-(J*(s+A+ -13842.86509)+ -1034972.096))*461.5233290850878;C=c[f>>2]|0;D=-0.0-B;se[C&7](1,0,D,2,d);E=c[f>>2]|0;se[E&7](1,1,1.0,3,d);i=e;return}n=b+536|0;if(q){K=H;L=G;M=H;N=b+319|0}else{q=b+319|0;A=+Un(c[n>>2]|0,H,42008,8056,+h[G>>3],(a[q]|0)!=0|0);G=c[c[g>>2]>>2]|0;K=A;L=G;M=+h[c[G+8>>2]>>3];N=q}A=M*-9.64476106e-16;J=A+2.3566172325e-11;z=M*J+-2.278943493333333e-7;u=M*z+.0011459991535;y=M*u+4.64611078;x=M*y;v=M*M;B=v*(M*(H*(-2412.698562/K+(M*(M*(M*(A+J)+z)+u)+y))+(w+x+ -13842.86509))-(M*(s+x+ -13842.86509)+ -1034972.096))*461.5233290850878/+Un(c[n>>2]|0,v*v,36552,8056,+h[L>>3],(a[N]|0)!=0|0);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,0,D,2,d);E=c[f>>2]|0;se[E&7](1,1,1.0,3,d);i=e;return}else{if(m){O=k;P=l}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=l,p)|0);i=p;k=c[c[g>>2]>>2]|0;O=k;P=+h[c[k+8>>2]>>3]}if(P>0.0){Q=O;R=P}else{te[c[2172]&63](c[b+536>>2]|0,8032,425160,(p=i,i=i+8|0,h[p>>3]=P,p)|0);i=p;p=c[c[g>>2]>>2]|0;Q=p;R=+h[c[p+8>>2]>>3]}v=R*R;p=R!=0.0;if(v*v!=0.0){if(p){S=R;T=R}else{v=+Un(c[b+536>>2]|0,R,42008,8056,+h[Q>>3],(a[b+319|0]|0)!=0|0);S=v;T=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}v=T*-2.673866492e-13;x=v+1.2387608725e-9;s=T*x+-2447519123333333.0e-21;M=T*s+.00361135643;w=T*M+.931782653;y=T*w;u=T*T;B=u*(T*(R*(575.573102/S+(T*(T*(T*(v+x)+s)+M)+w))+(+ea(l)*575.573102+y+ -33039.7431))-(T*(+ea(P)*575.573102+y+ -33039.7431)+39479.6083))*461.5233290850878/(u*u);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,0,D,2,d);E=c[f>>2]|0;se[E&7](1,1,1.0,3,d);i=e;return}if(p){U=R;V=Q;W=R}else{u=+Un(c[b+536>>2]|0,R,42008,8056,+h[Q>>3],(a[b+319|0]|0)!=0|0);Q=c[c[g>>2]>>2]|0;U=u;V=Q;W=+h[c[Q+8>>2]>>3]}u=W*-2.673866492e-13;y=u+1.2387608725e-9;T=W*y+-2447519123333333.0e-21;w=W*T+.00361135643;M=W*w+.931782653;s=+ea(l)*575.573102;l=W*M;x=+ea(P)*575.573102;Q=W!=0.0;if(W*W*(W*(R*(575.573102/U+(W*(W*(W*(u+y)+T)+w)+M))+(s+l+ -33039.7431))-(W*(x+l+ -33039.7431)+39479.6083))*461.5233290850878==0.0){if(Q){X=W;Y=W}else{l=+Un(c[b+536>>2]|0,W,42008,8056,+h[V>>3],(a[b+319|0]|0)!=0|0);X=l;Y=+h[c[(c[c[g>>2]>>2]|0)+8>>2]>>3]}l=Y*-2.673866492e-13;M=l+1.2387608725e-9;w=Y*M+-2447519123333333.0e-21;T=Y*w+.00361135643;y=Y*T+.931782653;u=Y*y;B=Y*Y*(Y*(W*(575.573102/X+(Y*(Y*(Y*(l+M)+w)+T)+y))+(s+u+ -33039.7431))-(Y*(x+u+ -33039.7431)+39479.6083))*461.5233290850878;C=c[f>>2]|0;D=-0.0-B;se[C&7](1,0,D,2,d);E=c[f>>2]|0;se[E&7](1,1,1.0,3,d);i=e;return}p=b+536|0;if(Q){Z=W;_=V;$=W;aa=b+319|0}else{Q=b+319|0;u=+Un(c[p>>2]|0,W,42008,8056,+h[V>>3],(a[Q]|0)!=0|0);V=c[c[g>>2]>>2]|0;Z=u;_=V;$=+h[c[V+8>>2]>>3];aa=Q}u=$*-2.673866492e-13;Y=u+1.2387608725e-9;y=$*Y+-2447519123333333.0e-21;T=$*y+.00361135643;w=$*T+.931782653;M=$*w;l=$*$;B=l*($*(W*(575.573102/Z+($*($*($*(u+Y)+y)+T)+w))+(s+M+ -33039.7431))-($*(x+M+ -33039.7431)+39479.6083))*461.5233290850878/+Un(c[p>>2]|0,l*l,36552,8056,+h[_>>3],(a[aa]|0)!=0|0);C=c[f>>2]|0;D=-0.0-B;se[C&7](1,0,D,2,d);E=c[f>>2]|0;se[E&7](1,1,1.0,3,d);i=e;return}}function Ff(a,b){a=a|0;b=b|0;var d=0;d=c[b+36>>2]|0;h[d>>3]=-0.0- +h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+184>>3];h[d+8>>3]=-0.0;return}function Gf(a){a=a|0;c[a+20>>2]=35;c[a+16>>2]=2;c[a+12>>2]=4;c[a>>2]=42;c[a+4>>2]=64;c[a+84>>2]=71;c[a+80>>2]=2;c[a+76>>2]=4;c[a+64>>2]=14;c[a+68>>2]=88;return}function Hf(a,b){a=a|0;b=b|0;return}function If(a){a=a|0;return}function Jf(a,b){a=a|0;b=b|0;c[b>>2]=0;return 438400}function Kf(a,b,c){a=a|0;b=b|0;c=c|0;return 0}function Lf(a){a=a|0;return 438400}function Mf(a,b){a=a|0;b=b|0;return 0}function Nf(a){a=a|0;var b=0;a=i;On(8,1,436560,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[113216]|0)==0){i=a;return 0}_d[c[3556]&511](8);i=a;return 0}function Of(a){a=a|0;return c[449960+(a<<2)>>2]|0}function Pf(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0.0;d=i;On(21,1,423752,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=a+4|0;g=a+416|0;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+8>>3]- +h[(c[g>>2]|0)+64>>3];h[b>>3]=j;a=Of(0)|0;On(21,0,414928,(e=i,i=i+24|0,c[e>>2]=1,c[e+8>>2]=a,h[e+16>>3]=j,e)|0);i=e;j=+h[c[(c[c[f>>2]>>2]|0)+8>>2]>>3]- +h[(c[g>>2]|0)+80>>3];h[b+8>>3]=j;b=Of(1)|0;On(21,0,414928,(e=i,i=i+24|0,c[e>>2]=2,c[e+8>>2]=b,h[e+16>>3]=j,e)|0);i=e;if((c[113229]|0)==0){i=d;return 0}_d[c[3556]&511](21);i=d;return 0}function Qf(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b>>3];return}function Rf(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+144>>3]=+h[b+48>>3];return}function Sf(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+136>>3]=+h[b+40>>3];return}function Tf(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+32>>3];return}function Uf(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+40>>3]*1.2;return}function Vf(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+40>>3];return}function Wf(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+32>>3];return}function Xf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+288>>3]=+h[(c[a+416>>2]|0)+104>>3]+ -273.15;return}function Yf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+280>>3]=+h[(c[a+416>>2]|0)+120>>3]*1.0e-5;return}function Zf(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+272>>3]=+h[(c[a+416>>2]|0)+136>>3]+ -273.15;return}function _f(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+104|0;d=b|0;e=b+96|0;c[d>>2]=449080;h[d+8>>3]=.01801528;h[d+16>>3]=-13423382.81725291;h[d+24>>3]=549760.6476280135;h[d+32>>3]=1.0e3;f=d+40|0;c[f>>2]=c[112260];c[f+4>>2]=c[112261];c[f+8>>2]=c[112262];f=d+52|0;c[f>>2]=c[112200];c[f+4>>2]=c[112201];c[f+8>>2]=c[112202];f=d+64|0;c[f>>2]=c[112356];c[f+4>>2]=c[112357];c[f+8>>2]=c[112358];f=d+76|0;c[f>>2]=c[112296];c[f+4>>2]=c[112297];c[f+8>>2]=c[112298];h[d+88>>3]=461.5233290850878;wf(e,c[a+536>>2]|0,d,+h[(c[a+416>>2]|0)+104>>3],1,1,0.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[e>>3];i=b;return}function $f(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+104|0;d=b|0;e=b+96|0;c[d>>2]=449080;h[d+8>>3]=.01801528;h[d+16>>3]=-13423382.81725291;h[d+24>>3]=549760.6476280135;h[d+32>>3]=1.0e3;f=d+40|0;c[f>>2]=c[112260];c[f+4>>2]=c[112261];c[f+8>>2]=c[112262];f=d+52|0;c[f>>2]=c[112200];c[f+4>>2]=c[112201];c[f+8>>2]=c[112202];f=d+64|0;c[f>>2]=c[112356];c[f+4>>2]=c[112357];c[f+8>>2]=c[112358];f=d+76|0;c[f>>2]=c[112296];c[f+4>>2]=c[112297];c[f+8>>2]=c[112298];h[d+88>>3]=461.5233290850878;wf(e,c[a+536>>2]|0,d,+h[(c[a+416>>2]|0)+136>>3],1,1,0.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[e>>3];i=b;return}function ag(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+136>>3]*461.5233290850878;f=+h[d+120>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Un(c[b+536>>2]|0,e,40480,450408,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+248>>3]=g;return}function bg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+216>>3]=+h[b+264>>3]+ +h[(c[a+416>>2]|0)+104>>3]*-461.5233290850878;return}function cg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+208>>3]=+h[b+256>>3]+ +h[(c[a+416>>2]|0)+136>>3]*-461.5233290850878;return}function dg(a){a=a|0;h[c[(c[c[a+4>>2]>>2]|0)+8>>2]>>3]=+h[(c[a+416>>2]|0)+80>>3];return}function eg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+128>>3]=+h[b>>3]+ -273.15;return}function fg(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+104|0;d=b|0;e=b+96|0;c[d>>2]=449080;h[d+8>>3]=.01801528;h[d+16>>3]=-13423382.81725291;h[d+24>>3]=549760.6476280135;h[d+32>>3]=1.0e3;f=d+40|0;c[f>>2]=c[112260];c[f+4>>2]=c[112261];c[f+8>>2]=c[112262];f=d+52|0;c[f>>2]=c[112200];c[f+4>>2]=c[112201];c[f+8>>2]=c[112202];f=d+64|0;c[f>>2]=c[112356];c[f+4>>2]=c[112357];c[f+8>>2]=c[112358];f=d+76|0;c[f>>2]=c[112296];c[f+4>>2]=c[112297];c[f+8>>2]=c[112298];h[d+88>>3]=461.5233290850878;f=a+4|0;wf(e,c[a+536>>2]|0,d,+h[c[(c[c[f>>2]>>2]|0)+8>>2]>>3],1,1,0.0);h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+160>>3]=+h[e>>3];i=b;return}function gg(a){a=a|0;var b=0.0,d=0;b=+h[(c[a+416>>2]|0)+96>>3];d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+88>>3]=-0.0-b*+h[(b<0.0?d+160|0:d+264|0)>>3];return}function hg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+144>>3]=+h[b+160>>3]+ +h[b>>3]*-461.5233290850878;return}function ig(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=+h[(c[a+416>>2]|0)+64>>3];return}function jg(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+104>>3]*461.5233290850878;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+8>>3];if(d!=0.0){j=i/d;k=g;l=k+104|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+104|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,d,35736,450096,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+104|0;h[l>>3]=j;return}function kg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+56>>3]=+h[b+8>>3]- +h[(c[a+416>>2]|0)+120>>3];return}function lg(b){b=b|0;var d=0,e=0.0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=c[b+416>>2]|0;e=+h[d+160>>3];f=+h[d+152>>3];d=b+4|0;g=c[c[d>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+56>>3];if(f!=0.0){k=j/f;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}if(j==0.0){k=j;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}o=j/+Un(c[b+536>>2]|0,f,32032,450088,+h[g>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=e*k;n=l+64|0;h[n>>3]=m;return}function mg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[(c[a+416>>2]|0)+96>>3]- +h[b+64>>3];return}function ng(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+56>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+176>>3];if(d!=0.0){j=i/d;k=g;l=k+200|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+200|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,d,28688,450080,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+200|0;h[l>>3]=j;return}function og(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+64>>3];h[b+72>>3]=-0.0-d*+h[(d<0.0?b+256|0:b+160|0)>>3];return}function pg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+72>>3]- +h[b+88>>3];return}function qg(a){a=a|0;var b=0,d=0;b=a+4|0;a=(Nq(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+64>>3],0.0)|0)<<24>>24==0;d=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[d+80>>3]=+h[(a?d+256|0:d+160|0)>>3];return}function rg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+96>>3]=+h[b+8>>3]*1.0e-5;return}function sg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+136>>3]=+h[b+8>>3]*1.0e-5;return}function tg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f>>3]*461.5233290850878;i=+h[f+8>>3];if(g!=0.0){j=i/g;k=f;l=k+152|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+152|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,g,25704,450072,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+152|0;h[l>>3]=j;return}function ug(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+112>>3]=+h[(c[a+416>>2]|0)+56>>3]*+h[b+152>>3];return}function vg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+112>>3];i=+h[f+168>>3]- +h[f+176>>3]*+h[f+144>>3];if(g!=0.0){j=i/g;k=f;l=k+184|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+184|0;h[l>>3]=j;return}m=i/+Un(c[b+536>>2]|0,g,23448,450064,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+184|0;h[l>>3]=j;return}function wg(a){a=a|0;var b=0,d=0;_q(a,0)|0;b=c[(c[a+476>>2]|0)+28>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+192>>3]=+h[b>>3];h[d+16>>3]=+h[b+8>>3];return}function xg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f>>3];i=+h[f+8>>3];j=g*g*213003.7832897823;k=+h[f+16>>3];do{if(j!=0.0){l=k/j;m=f;n=g}else{if(k==0.0){l=k;m=f;n=g;break}o=k/+Un(c[b+536>>2]|0,j,439136,450056,+h[e>>3],(a[b+319|0]|0)!=0|0);p=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=o;m=p;n=+h[p>>3]}}while(0);h[m+24>>3]=(i*l*-461.5233290850878- +h[m+200>>3])*n*45370611695.76053/-98306215.17161891;return}function yg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+120>>3]=+h[b+112>>3]*+h[b+144>>3];return}function zg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b>>3]*.5;return}function Ag(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+112>>3]=+h[b+48>>3]*1.2;return}function Bg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b>>3];return}function Cg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+48>>3];return}function Dg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=461.5233290850878;return}function Eg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+304>>3]=461.5233290850878;return}function Fg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+296>>3]=461.5233290850878;return}function Gg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=1.0;return}function Hg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+240>>3]=.01801528;return}function Ig(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=1.0;return}function Jg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+232>>3]=.01801528;return}function Kg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=1.0;return}function Lg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+224>>3]=.01801528;return}function Mg(b){b=b|0;var c=0;c=b+314|0;a[c]=1;Qf(b);Rf(b);Sf(b);Tf(b);Uf(b);Vf(b);Wf(b);Xf(b);Yf(b);Zf(b);_f(b);$f(b);ag(b);bg(b);cg(b);dg(b);eg(b);fg(b);gg(b);hg(b);ig(b);jg(b);kg(b);lg(b);mg(b);ng(b);og(b);pg(b);qg(b);rg(b);sg(b);tg(b);ug(b);vg(b);wg(b);xg(b);yg(b);zg(b);Ag(b);Bg(b);Cg(b);Dg(b);Eg(b);Fg(b);Gg(b);Hg(b);Ig(b);Jg(b);Kg(b);Lg(b);a[c]=0;return 0}function Ng(a){a=a|0;return}function Og(a){a=a|0;return 0}function Pg(a){a=a|0;var b=0;a=i;On(9,1,428552,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[113217]|0)!=0){_d[c[3556]&511](9)}On(9,1,434776,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[113217]|0)!=0){_d[c[3556]&511](9)}On(9,1,423368,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[113217]|0)!=0){_d[c[3556]&511](9)}On(9,1,414568,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[113217]|0)==0){i=a;return 0}_d[c[3556]&511](9);i=a;return 0}function Qg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+224>>3]=.01801528;return}function Rg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=1.0;return}function Sg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+232>>3]=.01801528;return}function Tg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=1.0;return}function Ug(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+240>>3]=.01801528;return}function Vg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=1.0;return}function Wg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+296>>3]=461.5233290850878;return}function Xg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+304>>3]=461.5233290850878;return}function Yg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=461.5233290850878;return}function Zg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+32>>3];return}function _g(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+40>>3];return}function $g(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+48>>3];return}function ah(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b>>3];return}function bh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+40>>3]*1.2;return}function ch(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+288>>3]=+h[(c[a+416>>2]|0)+104>>3]+ -273.15;return}function dh(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+104|0;d=b|0;e=b+96|0;c[d>>2]=449072;h[d+8>>3]=.01801528;h[d+16>>3]=-13423382.81725291;h[d+24>>3]=549760.6476280135;h[d+32>>3]=1.0e3;f=d+40|0;c[f>>2]=c[112256];c[f+4>>2]=c[112257];c[f+8>>2]=c[112258];f=d+52|0;c[f>>2]=c[112196];c[f+4>>2]=c[112197];c[f+8>>2]=c[112198];f=d+64|0;c[f>>2]=c[112352];c[f+4>>2]=c[112353];c[f+8>>2]=c[112354];f=d+76|0;c[f>>2]=c[112292];c[f+4>>2]=c[112293];c[f+8>>2]=c[112294];h[d+88>>3]=461.5233290850878;wf(e,c[a+536>>2]|0,d,+h[(c[a+416>>2]|0)+104>>3],1,1,0.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[e>>3];i=b;return}function eh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+216>>3]=+h[b+264>>3]+ +h[(c[a+416>>2]|0)+104>>3]*-461.5233290850878;return}function fh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+112>>3]=+h[b+48>>3]*1.2;return}function gh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b>>3]*.5;return}function hh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+32>>3];return}function ih(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+280>>3]=+h[(c[a+416>>2]|0)+120>>3]*1.0e-5;return}function jh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+136>>3]=+h[b+40>>3];return}function kh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+272>>3]=+h[(c[a+416>>2]|0)+136>>3]+ -273.15;return}function lh(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+104|0;d=b|0;e=b+96|0;c[d>>2]=449072;h[d+8>>3]=.01801528;h[d+16>>3]=-13423382.81725291;h[d+24>>3]=549760.6476280135;h[d+32>>3]=1.0e3;f=d+40|0;c[f>>2]=c[112256];c[f+4>>2]=c[112257];c[f+8>>2]=c[112258];f=d+52|0;c[f>>2]=c[112196];c[f+4>>2]=c[112197];c[f+8>>2]=c[112198];f=d+64|0;c[f>>2]=c[112352];c[f+4>>2]=c[112353];c[f+8>>2]=c[112354];f=d+76|0;c[f>>2]=c[112292];c[f+4>>2]=c[112293];c[f+8>>2]=c[112294];h[d+88>>3]=461.5233290850878;wf(e,c[a+536>>2]|0,d,+h[(c[a+416>>2]|0)+136>>3],1,1,0.0);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[e>>3];i=b;return}function mh(b){b=b|0;var d=0,e=0.0,f=0.0,g=0.0;d=c[b+416>>2]|0;e=+h[d+136>>3]*461.5233290850878;f=+h[d+120>>3];do{if(e!=0.0){g=f/e}else{if(f==0.0){g=f;break}g=f/+Un(c[b+536>>2]|0,e,40080,451248,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+248>>3]=g;return}function nh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+208>>3]=+h[b+256>>3]+ +h[(c[a+416>>2]|0)+136>>3]*-461.5233290850878;return}function oh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+144>>3]=+h[b+48>>3];return}function ph(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b>>3];return}function qh(b){b=b|0;var d=0,e=0;d=i;if(a[451216]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+160>>3],1.0e-10)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+160>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(31560,lo(+h[(c[e>>2]|0)+160>>3],35264)|0)|0;qe[c[2170]&15](451224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[451216]=1;i=d;return}function rh(b){b=b|0;var d=0,e=0;d=i;if(a[451184]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+152>>3],1.0e-10)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+152>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(25344,lo(+h[(c[e>>2]|0)+152>>3],35264)|0)|0;qe[c[2170]&15](451192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[451184]=1;i=d;return}function sh(b){b=b|0;var d=0,e=0;d=i;if(a[451152]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+24>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+24>>3],1.0)|0)<<24>>24==0)){i=d;return}b=po(23160,lo(+h[(c[e>>2]|0)+24>>3],35264)|0)|0;qe[c[2170]&15](451160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[451152]=1;i=d;return}function th(b){b=b|0;var d=0,e=0;d=i;if(a[451120]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+144>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+144>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=po(438800,lo(+h[(c[e>>2]|0)+144>>3],35264)|0)|0;qe[c[2170]&15](451128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[451120]=1;i=d;return}function uh(b){b=b|0;var d=0,e=0;d=i;if(a[451088]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+136>>3],1.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+136>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=po(435920,lo(+h[(c[e>>2]|0)+136>>3],35264)|0)|0;qe[c[2170]&15](451096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[451088]=1;i=d;return}function vh(b){b=b|0;var d=0,e=0;d=i;if(a[451056]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+128>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+128>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(433240,lo(+h[(c[e>>2]|0)+128>>3],35264)|0)|0;qe[c[2170]&15](451064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[451056]=1;i=d;return}function wh(b){b=b|0;var d=0,e=0;d=i;if(a[451024]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+120>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+120>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(431232,lo(+h[(c[e>>2]|0)+120>>3],35264)|0)|0;qe[c[2170]&15](451032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[451024]=1;i=d;return}function xh(b){b=b|0;var d=0,e=0;d=i;if(a[450992]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+16>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+16>>3],1.0)|0)<<24>>24==0)){i=d;return}b=po(429760,lo(+h[(c[e>>2]|0)+16>>3],35264)|0)|0;qe[c[2170]&15](451e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450992]=1;i=d;return}function yh(b){b=b|0;var d=0,e=0;d=i;if(a[450960]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+112>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+112>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=po(428608,lo(+h[(c[e>>2]|0)+112>>3],35264)|0)|0;qe[c[2170]&15](450968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450960]=1;i=d;return}function zh(b){b=b|0;var d=0,e=0;d=i;if(a[450928]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+104>>3],1.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+104>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=po(427616,lo(+h[(c[e>>2]|0)+104>>3],35264)|0)|0;qe[c[2170]&15](450936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450928]=1;i=d;return}function Ah(b){b=b|0;var d=0,e=0;d=i;if(a[450896]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+96>>3],-1.0e5)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+96>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(426784,lo(+h[(c[e>>2]|0)+96>>3],35264)|0)|0;qe[c[2170]&15](450904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450896]=1;i=d;return}function Bh(b){b=b|0;var d=0,e=0;d=i;if(a[450864]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+8>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+8>>3],1.0)|0)<<24>>24==0)){i=d;return}b=po(426048,lo(+h[(c[e>>2]|0)+8>>3],35264)|0)|0;qe[c[2170]&15](450872,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450864]=1;i=d;return}function Ch(b){b=b|0;var d=0,e=0;d=i;if(a[450832]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+88>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+88>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=po(425352,lo(+h[(c[e>>2]|0)+88>>3],35264)|0)|0;qe[c[2170]&15](450840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450832]=1;i=d;return}function Dh(b){b=b|0;var d=0,e=0;d=i;if(a[450800]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+80>>3],1.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+80>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=po(424624,lo(+h[(c[e>>2]|0)+80>>3],35264)|0)|0;qe[c[2170]&15](450808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450800]=1;i=d;return}function Eh(b){b=b|0;var d=0,e=0;d=i;if(a[450768]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+72>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+72>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(423808,lo(+h[(c[e>>2]|0)+72>>3],35264)|0)|0;qe[c[2170]&15](450776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450768]=1;i=d;return}function Fh(b){b=b|0;var d=0,e=0;d=i;if(a[450736]|0){i=d;return}e=b+416|0;b=Nq(+h[(c[e>>2]|0)+64>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[e>>2]|0)+64>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(422656,lo(+h[(c[e>>2]|0)+64>>3],35264)|0)|0;qe[c[2170]&15](450744,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450736]=1;i=d;return}function Gh(b){b=b|0;var d=0,e=0;d=i;if(a[450704]|0){i=d;return}e=b+416|0;if(!((Nq(+h[(c[e>>2]|0)+40>>3],0.0)|0)<<24>>24==0)){i=d;return}b=po(422040,lo(+h[(c[e>>2]|0)+40>>3],35264)|0)|0;qe[c[2170]&15](450712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450704]=1;i=d;return}function Hh(b){b=b|0;var d=0,e=0;d=i;if(a[450672]|0){i=d;return}e=b+416|0;if(!((Nq(+h[(c[e>>2]|0)+32>>3],0.0)|0)<<24>>24==0)){i=d;return}b=po(421304,lo(+h[(c[e>>2]|0)+32>>3],35264)|0)|0;qe[c[2170]&15](450680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450672]=1;i=d;return}function Ih(b){b=b|0;var d=0,e=0;d=i;if(a[450664]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=po(419688,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],35264)|0)|0;qe[c[2170]&15](450632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450664]=1;i=d;return}function Jh(b){b=b|0;var d=0,e=0;d=i;if(a[450656]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=po(418720,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],35264)|0)|0;qe[c[2170]&15](450632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450656]=1;i=d;return}function Kh(b){b=b|0;var d=0,e=0;d=i;if(a[450624]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=po(417872,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],35264)|0)|0;qe[c[2170]&15](450632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450624]=1;i=d;return}function Lh(b){b=b|0;var d=0,e=0;d=i;if(a[450592]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+248>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+248>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(417128,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+248>>3],35264)|0)|0;qe[c[2170]&15](450600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450592]=1;i=d;return}function Mh(b){b=b|0;var d=0,e=0;d=i;if(a[450584]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],1.0)|0)<<24>>24==0)){i=d;return}b=po(416496,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],35264)|0)|0;qe[c[2170]&15](450536,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450584]=1;i=d;return}function Nh(b){b=b|0;var d=0,e=0;d=i;if(a[450576]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+240>>3],.001)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+240>>3],.25)|0)<<24>>24==0)){i=d;return}b=po(415784,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+240>>3],35264)|0)|0;qe[c[2170]&15](450504,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450576]=1;i=d;return}function Oh(b){b=b|0;var d=0,e=0;d=i;if(a[450568]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],1.0)|0)<<24>>24==0)){i=d;return}b=po(414952,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],35264)|0)|0;qe[c[2170]&15](450536,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450568]=1;i=d;return}function Ph(b){b=b|0;var d=0,e=0;d=i;if(a[450560]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3],.001)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3],.25)|0)<<24>>24==0)){i=d;return}b=po(413480,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3],35264)|0)|0;qe[c[2170]&15](450504,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450560]=1;i=d;return}function Qh(b){b=b|0;var d=0,e=0;d=i;if(a[450528]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],1.0)|0)<<24>>24==0)){i=d;return}b=po(412640,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],35264)|0)|0;qe[c[2170]&15](450536,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450528]=1;i=d;return}function Rh(b){b=b|0;var d=0,e=0;d=i;if(a[450496]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+224>>3],.001)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+224>>3],.25)|0)<<24>>24==0)){i=d;return}b=po(411768,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+224>>3],35264)|0)|0;qe[c[2170]&15](450504,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450496]=1;i=d;return}function Sh(b){b=b|0;var d=0,e=0;d=i;if(a[450488]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+216>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+216>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(410912,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+216>>3],35264)|0)|0;qe[c[2170]&15](450464,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450488]=1;i=d;return}function Th(b){b=b|0;var d=0,e=0;d=i;if(a[450456]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+208>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+208>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(410168,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+208>>3],35264)|0)|0;qe[c[2170]&15](450464,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450456]=1;i=d;return}function Uh(a){a=a|0;Qg(a);Rg(a);Sg(a);Tg(a);Ug(a);Vg(a);Wg(a);Xg(a);Yg(a);Zg(a);_g(a);$g(a);ah(a);bh(a);ch(a);dh(a);eh(a);fh(a);gh(a);hh(a);ih(a);jh(a);kh(a);lh(a);mh(a);nh(a);oh(a);ph(a);qh(a);rh(a);sh(a);th(a);uh(a);vh(a);wh(a);xh(a);yh(a);zh(a);Ah(a);Bh(a);Ch(a);Dh(a);Eh(a);Fh(a);Gh(a);Hh(a);Ih(a);Jh(a);Kh(a);Lh(a);Mh(a);Nh(a);Oh(a);Ph(a);Qh(a);Rh(a);Sh(a);Th(a);return 0}function Vh(b){b=b|0;a[b+314|0]=0;Wh(b);return 0}function Wh(a){a=a|0;Qe(a);Ve(a);We(a);Xe(a);_e(a);ef(a);jf(a);kf(a);lf(a);mf(a);nf(a);of(a);return}function Xh(b){b=b|0;var d=0,e=0;d=i;if(a[450424]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3],-1.0e5)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(433776,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3],424368)|0)|0;qe[c[2170]&15](450432,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450424]=1;i=d;return}function Yh(b){b=b|0;var d=0,e=0;d=i;if(a[450416]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(414016,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+168>>3],424368)|0)|0;qe[c[2170]&15](450144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450416]=1;i=d;return}function Zh(b){b=b|0;var d=0,e=0;d=i;if(a[450376]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(39480,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],424368)|0)|0;qe[c[2170]&15](450384,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450376]=1;i=d;return}function _h(b){b=b|0;var d=0,e=0;d=i;if(a[450344]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=po(34856,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3],424368)|0)|0;qe[c[2170]&15](450352,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450344]=1;i=d;return}function $h(b){b=b|0;var d=0,e=0;d=i;if(a[450336]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(31032,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3],424368)|0)|0;qe[c[2170]&15](450216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450336]=1;i=d;return}function ai(b){b=b|0;var d=0,e=0;d=i;if(a[450304]|0){i=d;return}e=b+4|0;b=Nq(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],1.0)|0;if(!(b<<24>>24==0|(Mq(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=po(28048,lo(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],424368)|0)|0;qe[c[2170]&15](450312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450304]=1;i=d;return}function bi(b){b=b|0;var d=0,e=0;d=i;if(a[450272]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(25088,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],424368)|0)|0;qe[c[2170]&15](450280,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450272]=1;i=d;return}function ci(b){b=b|0;var d=0,e=0;d=i;if(a[450240]|0){i=d;return}e=b+4|0;if(!((Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],0.0)|0)<<24>>24==0)){i=d;return}b=po(22520,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],424368)|0)|0;qe[c[2170]&15](450248,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450240]=1;i=d;return}function di(b){b=b|0;var d=0,e=0;d=i;if(a[450208]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],0.0)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(438416,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+104>>3],424368)|0)|0;qe[c[2170]&15](450216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450208]=1;i=d;return}function ei(b){b=b|0;var d=0,e=0;d=i;if(a[450200]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(435424,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],424368)|0)|0;qe[c[2170]&15](450144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450200]=1;i=d;return}function fi(b){b=b|0;var d=0,e=0;d=i;if(a[450168]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=po(432976,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],424368)|0)|0;qe[c[2170]&15](450176,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450168]=1;i=d;return}function gi(b){b=b|0;var d=0,e=0;d=i;if(a[450136]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=po(430912,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],424368)|0)|0;qe[c[2170]&15](450144,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450136]=1;i=d;return}function hi(b){b=b|0;var d=0,e=0;d=i;if(a[450104]|0){i=d;return}e=b+4|0;b=Nq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],-1.0e5)|0;if(!(b<<24>>24==0|(Mq(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=po(429560,lo(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],424368)|0)|0;qe[c[2170]&15](450112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[450104]=1;i=d;return}function ii(a){a=a|0;Xh(a);Yh(a);Zh(a);_h(a);$h(a);ai(a);bi(a);ci(a);di(a);ei(a);fi(a);gi(a);hi(a);return 0}function ji(a){a=a|0;return 1}function ki(a){a=a|0;var b=0,d=0;b=a+464|0;a=c[b>>2]|0;c[a+44>>2]=2;c[a+48>>2]=2;c[a+72>>2]=XR(2,8)|0;a=XR(2,8)|0;c[(c[b>>2]|0)+80>>2]=a;a=XR(0,8)|0;c[(c[b>>2]|0)+76>>2]=a;a=VR(8)|0;c[(c[b>>2]|0)+52>>2]=a;a=VR(16)|0;c[(c[b>>2]|0)+56>>2]=a;a=VR(8)|0;c[(c[b>>2]|0)+64>>2]=a;a=c[b>>2]|0;c[a+68>>2]=2;c[a+84>>2]=0;a=c[b>>2]|0;d=c[a+52>>2]|0;c[d>>2]=2;c[d+4>>2]=4;li(d,c[a+56>>2]|0);a=c[b>>2]|0;mi(c[a+52>>2]|0,c[a+56>>2]|0);a=c[(c[b>>2]|0)+64>>2]|0;c[a+4>>2]=1;c[a>>2]=2;return 0}function li(a,b){a=a|0;b=b|0;var d=0;d=a+4|0;c[b+((c[d>>2]|0)-2<<2)>>2]=0;c[b+((c[d>>2]|0)-1<<2)>>2]=1;return}function mi(a,b){a=a|0;b=b|0;c[b+((c[a>>2]|0)-2<<2)>>2]=0;c[b+((c[a>>2]|0)-1<<2)>>2]=1;return}function ni(a){a=a|0;return 1}function oi(a){a=a|0;return 1}function pi(a){a=a|0;return 1}function qi(a){a=a|0;return 0}function ri(a){a=a|0;return 0}function si(a){a=a|0;return 0}function ti(a){a=a|0;return 0}function ui(a){a=a|0;return 0}function vi(a,b){a=a|0;b=b|0;return-1|0}function wi(a,b){a=a|0;b=b|0;return-1|0}function xi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function yi(){return 420168}function zi(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}a=c[d>>2]|0;if((a|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}g=+h[b>>3];d=g<0.0;if((a|0)==1){if(d){i=-0.0-g}else{i=g}if((e|0)<2){f=1;return f|0}else{j=1;k=2;l=i}while(1){i=+h[b+(k-1<<3)>>3];m=i<0.0;if(m){n=-0.0-i}else{n=i}o=n<=l;if(o|m^1){p=o?l:i;q=o?j:k}else{p=-0.0-i;q=k}o=k+1|0;if((o|0)>(e|0)){f=q;break}else{j=q;k=o;l=p}}return f|0}if(d){r=-0.0-g}else{r=g}if((e|0)<2){f=1;return f|0}d=1;k=2;q=a+1|0;g=r;while(1){r=+h[b+(q-1<<3)>>3];j=r<0.0;if(j){s=-0.0-r}else{s=r}o=s<=g;if(o|j^1){t=o?g:r;u=o?d:k}else{t=-0.0-r;u=k}o=k+1|0;if((o|0)>(e|0)){f=u;break}else{d=u;k=o;q=a+q|0;g=t}}return f|0}function Ai(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)<1){return 0}if((g|0)!=1){e=ga(g,f)|0;if((e|0)>0){i=1}else{return 0}do{j=d+(i-1<<3)|0;h[j>>3]=+h[b>>3]*+h[j>>3];i=i+g|0;}while((i|0)<=(e|0));return 0}e=(f|0)%5|0;do{if((e|0)==0){k=f}else{if((e|0)<1){l=f}else{i=1;do{g=d+(i-1<<3)|0;h[g>>3]=+h[b>>3]*+h[g>>3];i=i+1|0;}while((i|0)<=(e|0));l=c[a>>2]|0}if((l|0)>=5){k=l;break}return 0}}while(0);l=e+1|0;if((l|0)>(k|0)){return 0}else{m=l}do{l=d+(m-1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+2<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+3<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];m=m+5|0;}while((m|0)<=(k|0));return 0}function Bi(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0;g=c[a>>2]|0;if((g|0)<1){return 0}i=c[d>>2]|0;do{if((i|0)==1){j=c[f>>2]|0;if((j|0)!=1){k=1;l=j;break}j=(g|0)%3|0;do{if((j|0)==0){m=g}else{if((j|0)<1){n=g}else{o=1;do{p=o-1|0;q=b+(p<<3)|0;r=+h[q>>3];s=e+(p<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;o=o+1|0;}while((o|0)<=(j|0));n=c[a>>2]|0}if((n|0)>=3){m=n;break}return 0}}while(0);o=j+1|0;if((o|0)>(m|0)){return 0}else{t=o}do{o=t-1|0;s=b+(o<<3)|0;r=+h[s>>3];q=e+(o<<3)|0;h[s>>3]=+h[q>>3];h[q>>3]=r;q=b+(t<<3)|0;r=+h[q>>3];s=e+(t<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;s=t+1|0;q=b+(s<<3)|0;r=+h[q>>3];o=e+(s<<3)|0;h[q>>3]=+h[o>>3];h[o>>3]=r;t=t+3|0;}while((t|0)<=(m|0));return 0}else{if((i|0)<0){u=(ga(1-g|0,i)|0)+1|0}else{u=1}k=u;l=c[f>>2]|0}}while(0);if((l|0)<0){v=1;w=k;x=(ga(1-g|0,l)|0)+1|0}else{v=1;w=k;x=1}while(1){k=b+(w-1<<3)|0;r=+h[k>>3];l=e+(x-1<<3)|0;h[k>>3]=+h[l>>3];h[l>>3]=r;l=v+1|0;if((l|0)>(g|0)){break}else{v=l;w=(c[d>>2]|0)+w|0;x=(c[f>>2]|0)+x|0}}return 0}function Ci(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;m=i;i=i+8|0;n=m|0;o=c[l>>2]|0;l=~o;c[n>>2]=0;p=c[a>>2]|0;do{if((p|0)<0){c[n>>2]=1}else{q=c[b>>2]|0;if((q|0)<0){c[n>>2]=2;break}r=c[f>>2]|0;if((r|0)==0){c[n>>2]=5;break}s=c[j>>2]|0;if((s|0)==0){c[n>>2]=7;break}if((o|0)<(((p|0)>1?p:1)|0)){c[n>>2]=9;break}if((p|0)==0|(q|0)==0){i=m;return 0}if(+h[d>>3]==0.0){i=m;return 0}if((s|0)>0){t=1}else{t=1-(ga(s,q-1|0)|0)|0}if((r|0)==1){if((q|0)<1){i=m;return 0}else{u=1;v=t;w=s}while(1){x=+h[g+(v-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){A=w;break}B=(ga(u,o)|0)+l|0;C=1;do{D=k+(B+C<<3)|0;h[D>>3]=+h[D>>3]+y*+h[e+(C-1<<3)>>3];C=C+1|0;}while((C|0)<=(z|0));A=c[j>>2]|0}else{A=w}}while(0);z=u+1|0;if((z|0)>(q|0)){break}else{u=z;v=A+v|0;w=A}}i=m;return 0}if((r|0)>0){E=1}else{E=1-(ga(p-1|0,r)|0)|0}if((q|0)<1){i=m;return 0}else{F=1;G=t;H=s}while(1){x=+h[g+(G-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){I=H;break}C=(ga(F,o)|0)+l|0;B=1;D=E;while(1){J=k+(C+B<<3)|0;h[J>>3]=+h[J>>3]+y*+h[e+(D-1<<3)>>3];J=B+1|0;if((J|0)>(z|0)){break}else{B=J;D=(c[f>>2]|0)+D|0}}I=c[j>>2]|0}else{I=H}}while(0);D=F+1|0;if((D|0)>(q|0)){break}else{F=D;G=I+G|0;H=I}}i=m;return 0}}while(0);Jc(428528,n|0)|0;i=m;return 0}function Di(a,b,d,e,f,g,j,k,l,m,n,o,p){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0;q=i;i=i+8|0;r=q|0;s=c[k>>2]|0;t=~s;u=c[m>>2]|0;v=~u;w=c[p>>2]|0;x=~w;y=Hp(a,427432,0,0)|0;z=Hp(b,427432,0,0)|0;A=(y|0)!=0;y=c[(A?d:f)>>2]|0;B=(z|0)!=0;z=c[(B?f:e)>>2]|0;c[r>>2]=0;do{if(A){C=5}else{if((Hp(a,434688,0,0)|0)!=0){C=5;break}if((Hp(a,423328,0,0)|0)!=0){C=5;break}c[r>>2]=1}}while(0);a:do{if((C|0)==5){do{if(!B){if((Hp(b,434688,0,0)|0)!=0){break}if((Hp(b,423328,0,0)|0)!=0){break}c[r>>2]=2;break a}}while(0);a=c[d>>2]|0;if((a|0)<0){c[r>>2]=3;break}D=c[e>>2]|0;if((D|0)<0){c[r>>2]=4;break}E=c[f>>2]|0;if((E|0)<0){c[r>>2]=5;break}if((c[k>>2]|0)<(((y|0)>1?y:1)|0)){c[r>>2]=8;break}if((c[m>>2]|0)<(((z|0)>1?z:1)|0)){c[r>>2]=10;break}if((c[p>>2]|0)<(((a|0)>1?a:1)|0)){c[r>>2]=13;break}if((c[r>>2]|0)!=0){break}if((a|0)==0|(D|0)==0){i=q;return 0}F=+h[g>>3]==0.0;do{if(F|(E|0)==0){if(+h[n>>3]==1.0){i=q;return 0}if(!F){break}G=(D|0)<1;if(+h[n>>3]==0.0){if(G){i=q;return 0}else{H=2;I=0;J=a}while(1){if((J|0)>=1){yS(o+((ga(w,I)|0)<<3)|0,0,J<<3|0)|0}if((H|0)>(D|0)){break}H=H+1|0;I=I+1|0;J=c[d>>2]|0}i=q;return 0}if(G){i=q;return 0}else{K=1;L=a}while(1){if((L|0)>=1){M=(ga(K,w)|0)+x|0;N=1;do{O=o+(M+N<<3)|0;h[O>>3]=+h[n>>3]*+h[O>>3];N=N+1|0;}while((N|0)<=(L|0))}N=K+1|0;if((N|0)>(D|0)){break}K=N;L=c[d>>2]|0}i=q;return 0}}while(0);F=(D|0)<1;if(B){if(!A){if(F){i=q;return 0}else{P=1;Q=a}while(1){if((Q|0)>=1){E=(ga(P,w)|0)+x|0;G=(ga(P,u)|0)+v|0;N=1;do{M=c[f>>2]|0;if((M|0)<1){R=0.0}else{O=(ga(N,s)|0)+t|0;S=1;T=0.0;while(1){U=T+ +h[j+(O+S<<3)>>3]*+h[l+(G+S<<3)>>3];V=S+1|0;if((V|0)>(M|0)){R=U;break}else{S=V;T=U}}}T=+h[n>>3];U=R*+h[g>>3];S=o+(E+N<<3)|0;if(T==0.0){W=U}else{W=U+T*+h[S>>3]}h[S>>3]=W;N=N+1|0;}while((N|0)<=(Q|0))}N=P+1|0;if((N|0)>(D|0)){break}P=N;Q=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{X=1;Y=0}while(1){N=o+((ga(w,Y)|0)<<3)|0;T=+h[n>>3];b:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}yS(N|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}G=(ga(X,w)|0)+x|0;S=1;U=T;while(1){M=o+(G+S<<3)|0;h[M>>3]=U*+h[M>>3];M=S+1|0;if((M|0)>(E|0)){break b}S=M;U=+h[n>>3]}}}while(0);N=c[f>>2]|0;if((N|0)>=1){S=(ga(X,u)|0)+v|0;E=(ga(X,w)|0)+x|0;G=1;do{T=+h[l+(S+G<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];M=c[d>>2]|0;if((M|0)<1){break}O=(ga(G,s)|0)+t|0;V=1;do{Z=o+(E+V<<3)|0;h[Z>>3]=+h[Z>>3]+U*+h[j+(O+V<<3)>>3];V=V+1|0;}while((V|0)<=(M|0))}}while(0);G=G+1|0;}while((G|0)<=(N|0))}N=X+1|0;if((N|0)>(D|0)){break}X=N;Y=Y+1|0}i=q;return 0}else{if(!A){if(F){i=q;return 0}else{_=1;$=a}while(1){if(($|0)>=1){N=(ga(_,w)|0)+x|0;G=_+v|0;E=1;do{S=c[f>>2]|0;if((S|0)<1){aa=0.0}else{M=(ga(E,s)|0)+t|0;V=1;T=0.0;while(1){U=T+ +h[j+(M+V<<3)>>3]*+h[l+(G+(ga(V,u)|0)<<3)>>3];O=V+1|0;if((O|0)>(S|0)){aa=U;break}else{V=O;T=U}}}T=+h[n>>3];U=aa*+h[g>>3];V=o+(N+E<<3)|0;if(T==0.0){ba=U}else{ba=U+T*+h[V>>3]}h[V>>3]=ba;E=E+1|0;}while((E|0)<=($|0))}E=_+1|0;if((E|0)>(D|0)){break}_=E;$=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{ca=1;da=0}while(1){a=o+((ga(w,da)|0)<<3)|0;T=+h[n>>3];c:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}yS(a|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}N=(ga(ca,w)|0)+x|0;G=1;U=T;while(1){V=o+(N+G<<3)|0;h[V>>3]=U*+h[V>>3];V=G+1|0;if((V|0)>(E|0)){break c}G=V;U=+h[n>>3]}}}while(0);a=c[f>>2]|0;if((a|0)>=1){G=ca+v|0;E=(ga(ca,w)|0)+x|0;N=1;do{T=+h[l+(G+(ga(N,u)|0)<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];V=c[d>>2]|0;if((V|0)<1){break}S=(ga(N,s)|0)+t|0;M=1;do{O=o+(E+M<<3)|0;h[O>>3]=+h[O>>3]+U*+h[j+(S+M<<3)>>3];M=M+1|0;}while((M|0)<=(V|0))}}while(0);N=N+1|0;}while((N|0)<=(a|0))}a=ca+1|0;if((a|0)>(D|0)){break}ca=a;da=da+1|0}i=q;return 0}}}while(0);Jc(414528,r|0)|0;i=q;return 0}function Ei(a,b,d,e,f,g,j,k,l,m,n){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0,X=0.0,Y=0,Z=0,_=0;o=i;i=i+8|0;p=o|0;q=c[l>>2]|0;r=~q;s=c[n>>2]|0;t=~s;u=(Hp(a,425328,0,0)|0)!=0;v=c[(u?f:g)>>2]|0;w=Hp(e,434040,0,0)|0;x=Hp(b,423096,0,0)|0;c[p>>2]=0;do{if(u){y=4}else{if((Hp(a,414168,0,0)|0)!=0){y=4;break}c[p>>2]=1}}while(0);a:do{if((y|0)==4){do{if((x|0)==0){if((Hp(b,425328,0,0)|0)!=0){break}c[p>>2]=2;break a}}while(0);do{if((Hp(d,434040,0,0)|0)==0){if((Hp(d,39696,0,0)|0)!=0){break}if((Hp(d,35032,0,0)|0)!=0){break}c[p>>2]=3;break a}}while(0);do{if((Hp(e,423096,0,0)|0)==0){if((Hp(e,434040,0,0)|0)!=0){break}c[p>>2]=4;break a}}while(0);a=c[f>>2]|0;if((a|0)<0){c[p>>2]=5;break}z=c[g>>2]|0;if((z|0)<0){c[p>>2]=6;break}if((c[l>>2]|0)<(((v|0)>1?v:1)|0)){c[p>>2]=9;break}if((c[n>>2]|0)<(((a|0)>1?a:1)|0)){c[p>>2]=11;break}if((c[p>>2]|0)!=0){break}if((a|0)==0|(z|0)==0){i=o;return 0}if(+h[j>>3]==0.0){if((z|0)<1){i=o;return 0}else{A=2;B=0;C=a}while(1){if((C|0)>=1){yS(m+((ga(s,B)|0)<<3)|0,0,C<<3|0)|0}if((A|0)>(z|0)){break}A=A+1|0;B=B+1|0;C=c[f>>2]|0}i=o;return 0}z=(Hp(d,434040,0,0)|0)!=0;a=(x|0)!=0;D=c[g>>2]|0;if(u){E=(D|0)<1;if(!z){if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{H=c[f>>2]|0;if((H|0)>=1){I=(ga(G,s)|0)+t|0;J=1;do{K=m+(I+J<<3)|0;L=+h[j>>3]*+h[K>>3];M=J-1|0;if((M|0)<1){N=L}else{O=(ga(J,q)|0)+r|0;P=1;Q=L;while(1){L=Q- +h[k+(O+P<<3)>>3]*+h[m+(I+P<<3)>>3];R=P+1|0;if((R|0)>(M|0)){N=L;break}else{P=R;Q=L}}}if(F){S=N}else{S=N/+h[k+(J+r+(ga(J,q)|0)<<3)>>3]}h[K>>3]=S;J=J+1|0;}while((J|0)<=(H|0))}G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{H=c[f>>2]|0;b:do{if((H|0)>0){J=(ga(F,s)|0)+t|0;I=H;P=H;while(1){M=m+(J+I<<3)|0;Q=+h[j>>3]*+h[M>>3];O=I+1|0;if((O|0)>(P|0)){T=Q}else{R=(ga(I,q)|0)+r|0;L=Q;U=O;while(1){Q=L- +h[k+(R+U<<3)>>3]*+h[m+(J+U<<3)>>3];O=U+1|0;if((O|0)>(P|0)){T=Q;break}else{L=Q;U=O}}}if(G){V=T}else{V=T/+h[k+(I+r+(ga(I,q)|0)<<3)>>3]}h[M>>3]=V;U=I-1|0;if((U|0)<=0){break b}I=U;P=c[f>>2]|0}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];c:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}P=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){J=m+(P+I<<3)|0;h[J>>3]=Q*+h[J>>3];J=I+1|0;if((J|0)>(H|0)){y=43;break c}I=J;Q=+h[j>>3]}}else{y=43}}while(0);d:do{if((y|0)==43){y=0;I=c[f>>2]|0;if((I|0)<=0){break}H=(ga(G,s)|0)+t|0;if(F){P=I;while(1){J=m+(H+P<<3)|0;L=+h[J>>3];K=P-1|0;e:do{if(L!=0.0){if((K|0)<1){break d}U=(ga(P,q)|0)+r|0;R=1;Q=L;while(1){O=m+(H+R<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(U+R<<3)>>3];O=R+1|0;if((O|0)>(K|0)){break e}R=O;Q=+h[J>>3]}}}while(0);if((K|0)>0){P=K}else{break d}}}else{W=I}while(1){P=m+(H+W<<3)|0;L=+h[P>>3];f:do{if(L!=0.0){Q=L/+h[k+(W+r+(ga(W,q)|0)<<3)>>3];h[P>>3]=Q;J=W-1|0;if((J|0)<1){break d}M=(ga(W,q)|0)+r|0;R=1;X=Q;while(1){U=m+(H+R<<3)|0;h[U>>3]=+h[U>>3]-X*+h[k+(M+R<<3)>>3];U=R+1|0;if((U|0)>(J|0)){Y=J;break f}R=U;X=+h[P>>3]}}else{Y=W-1|0}}while(0);if((Y|0)>0){W=Y}else{break}}}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{L=+h[j>>3];g:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;X=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=X*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){y=64;break g}P=K;X=+h[j>>3]}}else{y=64}}while(0);do{if((y|0)==64){y=0;P=c[f>>2]|0;if((P|0)<1){break}H=(ga(F,s)|0)+t|0;if(G){I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];h:do{if(L!=0.0){R=c[f>>2]|0;J=I+1|0;if((J|0)>(R|0)){Z=J;break}M=(ga(I,q)|0)+r|0;U=J;X=L;while(1){O=m+(H+U<<3)|0;h[O>>3]=+h[O>>3]-X*+h[k+(M+U<<3)>>3];O=U+1|0;if((O|0)>(R|0)){Z=J;break h}U=O;X=+h[K>>3]}}else{Z=I+1|0}}while(0);if((Z|0)>(P|0)){break}else{I=Z}}}else{I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];i:do{if(L!=0.0){X=L/+h[k+(I+r+(ga(I,q)|0)<<3)>>3];h[K>>3]=X;U=c[f>>2]|0;J=I+1|0;if((J|0)>(U|0)){_=J;break}R=(ga(I,q)|0)+r|0;M=J;Q=X;while(1){O=m+(H+M<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(R+M<<3)>>3];O=M+1|0;if((O|0)>(U|0)){_=J;break i}M=O;Q=+h[K>>3]}}else{_=I+1|0}}while(0);if((_|0)>(P|0)){break}else{I=_}}}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(!z){if(a){if((D|0)<=0){i=o;return 0}F=(w|0)==0;G=D;while(1){do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];E=c[f>>2]|0;if((E|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;do{H=m+(I+P<<3)|0;h[H>>3]=L*+h[H>>3];P=P+1|0;}while((P|0)<=(E|0))}}while(0);E=G-1|0;if((E|0)>=1){P=(ga(G,q)|0)+r|0;I=(ga(G,s)|0)+t|0;H=1;do{L=+h[k+(P+H<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(H,s)|0)+t|0;J=1;do{U=m+(M+J<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(I+J<<3)>>3];J=J+1|0;}while((J|0)<=(K|0))}}while(0);H=H+1|0;}while((H|0)<=(E|0))}L=+h[j>>3];j:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;Q=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=Q*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){break j}P=K;Q=+h[j>>3]}}}while(0);if((E|0)>0){G=E}else{break}}i=o;return 0}else{if((D|0)<1){i=o;return 0}G=(w|0)==0;F=1;while(1){do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}P=(ga(F,s)|0)+t|0;H=1;do{I=m+(P+H<<3)|0;h[I>>3]=L*+h[I>>3];H=H+1|0;}while((H|0)<=(z|0))}}while(0);E=c[g>>2]|0;z=F+1|0;if((z|0)<=(E|0)){H=(ga(F,q)|0)+r|0;P=(ga(F,s)|0)+t|0;I=z;do{L=+h[k+(H+I<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}J=(ga(I,s)|0)+t|0;M=1;do{U=m+(J+M<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(P+M<<3)>>3];M=M+1|0;}while((M|0)<=(K|0))}}while(0);I=I+1|0;}while((I|0)<=(E|0))}L=+h[j>>3];k:do{if(L!=1.0){E=c[f>>2]|0;if((E|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){H=m+(I+P<<3)|0;h[H>>3]=Q*+h[H>>3];H=P+1|0;if((H|0)>(E|0)){break k}P=H;Q=+h[j>>3]}}}while(0);if((z|0)>(D|0)){break}else{F=z}}i=o;return 0}}if(a){if((D|0)<1){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];l:do{if(L!=1.0){P=c[f>>2]|0;if((P|0)<1){break}E=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){H=m+(E+I<<3)|0;h[H>>3]=Q*+h[H>>3];H=I+1|0;if((H|0)>(P|0)){break l}I=H;Q=+h[j>>3]}}}while(0);z=G-1|0;if((z|0)>=1){I=(ga(G,q)|0)+r|0;P=(ga(G,s)|0)+t|0;E=1;do{H=k+(I+E<<3)|0;L=+h[H>>3];m:do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(E,s)|0)+t|0;J=1;Q=L;while(1){U=m+(P+J<<3)|0;h[U>>3]=+h[U>>3]-Q*+h[m+(M+J<<3)>>3];U=J+1|0;if((U|0)>(K|0)){break m}J=U;Q=+h[H>>3]}}}while(0);E=E+1|0;}while((E|0)<=(z|0))}do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}E=(ga(G,s)|0)+t|0;P=1;do{I=m+(E+P<<3)|0;h[I>>3]=L*+h[I>>3];P=P+1|0;}while((P|0)<=(z|0))}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}else{if((D|0)<=0){i=o;return 0}G=(w|0)==0;F=D;do{L=+h[j>>3];n:do{if(L!=1.0){a=c[f>>2]|0;if((a|0)<1){break}z=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){E=m+(z+P<<3)|0;h[E>>3]=Q*+h[E>>3];E=P+1|0;if((E|0)>(a|0)){break n}P=E;Q=+h[j>>3]}}}while(0);P=c[g>>2]|0;a=F+1|0;if((a|0)<=(P|0)){z=(ga(F,q)|0)+r|0;E=(ga(F,s)|0)+t|0;I=a;do{a=k+(z+I<<3)|0;L=+h[a>>3];o:do{if(L!=0.0){H=c[f>>2]|0;if((H|0)<1){break}J=(ga(I,s)|0)+t|0;K=1;Q=L;while(1){M=m+(E+K<<3)|0;h[M>>3]=+h[M>>3]-Q*+h[m+(J+K<<3)>>3];M=K+1|0;if((M|0)>(H|0)){break o}K=M;Q=+h[a>>3]}}}while(0);I=I+1|0;}while((I|0)<=(P|0))}do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];P=c[f>>2]|0;if((P|0)<1){break}I=(ga(F,s)|0)+t|0;E=1;do{z=m+(I+E<<3)|0;h[z>>3]=L*+h[z>>3];E=E+1|0;}while((E|0)<=(P|0))}}while(0);F=F-1|0;}while((F|0)>0);i=o;return 0}}}while(0);Jc(31200,p|0)|0;i=o;return 0}function Fi(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=i;i=i+8|0;l=k|0;c[j>>2]=0;m=c[a>>2]|0;do{if((m|0)<0){c[j>>2]=-1;n=-1}else{if((c[b>>2]|0)<0){c[j>>2]=-2;n=-2;break}o=(m|0)>1?m:1;if((c[e>>2]|0)<(o|0)){c[j>>2]=-4;n=-4;break}if((c[h>>2]|0)<(o|0)){c[j>>2]=-7;n=-7;break}Hi(a,a,d,e,f,j)|0;if((c[j>>2]|0)!=0){i=k;return 0}Ii(431184,a,b,d,e,f,g,h,j)|0;i=k;return 0}}while(0);c[l>>2]=-n;Jc(414360,l|0)|0;i=k;return 0}function Gi(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=c[e>>2]|0;p=~o;c[g>>2]=0;q=c[a>>2]|0;do{if((q|0)<0){c[g>>2]=-1;r=-1}else{s=c[b>>2]|0;if((s|0)<0){c[g>>2]=-2;r=-2;break}if((c[e>>2]|0)<(((q|0)>1?q:1)|0)){c[g>>2]=-4;r=-4;break}if((q|0)==0|(s|0)==0){i=j;return 0}t=+op(430904,0);s=c[a>>2]|0;u=c[b>>2]|0;v=(s|0)>(u|0)?u:s;c[k>>2]=v;if((v|0)<1){i=j;return 0}else{w=1;x=s}while(1){c[l>>2]=1-w+x;s=w-1|0;v=ga(w,o)|0;u=w+p|0;y=u+v|0;z=d+(y<<3)|0;A=s+(zi(l,z,19384)|0)|0;c[f+(s<<2)>>2]=A;B=v+p|0;a:do{if(+h[d+(B+A<<3)>>3]!=0.0){if((A|0)!=(w|0)){Bi(b,d+(s<<3)|0,e,d+(A-1<<3)|0,e)|0}C=c[a>>2]|0;if((w|0)>=(C|0)){break}D=+h[z>>3];h[n>>3]=D;if(D<0.0){E=-0.0-D}else{E=D}F=C-w|0;c[l>>2]=F;if(!(E<t)){h[n>>3]=1.0/D;Ai(l,n,d+(w-o+v<<3)|0,19384)|0;break}if((F|0)<1){break}else{G=1;H=D}while(1){C=d+(y+G<<3)|0;h[C>>3]=+h[C>>3]/H;C=G+1|0;if((C|0)>(F|0)){break a}G=C;H=+h[z>>3]}}else{if((c[g>>2]|0)!=0){break}c[g>>2]=w}}while(0);z=c[a>>2]|0;y=c[b>>2]|0;if((w|0)<(((z|0)>(y|0)?y:z)|0)){c[l>>2]=z-w;c[m>>2]=y-w;y=w+1|0;z=ga(y,o)|0;Ci(l,m,18680,d+(B+y<<3)|0,19384,d+(u+z<<3)|0,e,d+(y+p+z<<3)|0,e)|0;I=y}else{I=w+1|0}if((I|0)>(c[k>>2]|0)){break}w=I;x=c[a>>2]|0}i=j;return 0}}while(0);c[k>>2]=-r;Jc(413416,k|0)|0;i=j;return 0}function Hi(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=i;i=i+48|0;j=h|0;k=h+8|0;l=h+16|0;m=h+24|0;n=h+32|0;o=h+40|0;p=c[e>>2]|0;q=~p;c[g>>2]=0;r=c[a>>2]|0;do{if((r|0)<0){c[g>>2]=-1;s=-1}else{t=c[b>>2]|0;if((t|0)<0){c[g>>2]=-2;s=-2;break}if((c[e>>2]|0)<(((r|0)>1?r:1)|0)){c[g>>2]=-4;s=-4;break}if((r|0)==0|(t|0)==0){i=h;return 0}t=Ki(19376,413408,430896,a,b,18672,18672)|0;do{if((t|0)>=2){u=c[a>>2]|0;v=c[b>>2]|0;w=(u|0)>(v|0)?v:u;if((t|0)>=(w|0)){break}c[j>>2]=w;c[m>>2]=1;if((w|0)>0){x=1;y=u;z=v}else{i=h;return 0}while(1){v=((y|0)>(z|0)?z:y)-x+1|0;c[n>>2]=(v|0)<=(t|0)?v:t;c[k>>2]=y+1-x;Gi(k,n,d+(x+q+(ga(x,p)|0)<<3)|0,e,f+(x-1<<2)|0,o)|0;do{if((c[g>>2]|0)==0){v=c[o>>2]|0;if((v|0)<=0){break}c[g>>2]=v-1+(c[m>>2]|0)}}while(0);v=c[a>>2]|0;c[l>>2]=v;u=c[m>>2]|0;w=u-1|0;A=w+(c[n>>2]|0)|0;B=(v|0)<=(A|0)?v:A;c[k>>2]=B;if((u|0)<=(B|0)){v=u;do{u=f+(v-1<<2)|0;c[u>>2]=(c[u>>2]|0)+w;v=v+1|0;}while((v|0)<=(B|0))}c[k>>2]=w;c[l>>2]=A;Ji(k,d,e,m,l,f,19376)|0;B=c[m>>2]|0;v=c[n>>2]|0;u=v+B|0;C=c[b>>2]|0;do{if((u|0)>(C|0)){D=B}else{c[k>>2]=1-B-v+C;c[l>>2]=u-1;Ji(k,d+((ga(u,p)|0)-p<<3)|0,e,m,l,f,19376)|0;E=c[m>>2]|0;F=c[n>>2]|0;c[k>>2]=(c[b>>2]|0)+1-E-F;G=E+q|0;Ei(422016,412568,38984,34544,n,k,18728,d+(G+(ga(E,p)|0)<<3)|0,e,d+(G+(ga(F+E|0,p)|0)<<3)|0,e)|0;E=c[m>>2]|0;F=c[n>>2]|0;G=F+E|0;H=c[a>>2]|0;if((G|0)>(H|0)){D=E;break}c[k>>2]=1-E-F+H;c[l>>2]=(c[b>>2]|0)+1-E-F;F=ga(G,p)|0;Di(38984,38984,k,l,n,18712,d+((ga(E,p)|0)+q+G<<3)|0,e,d+(E+q+F<<3)|0,e,18728,d+(G+q+F<<3)|0,e)|0;D=c[m>>2]|0}}while(0);u=D+t|0;c[m>>2]=u;if((u|0)>(c[j>>2]|0)){break}x=u;y=c[a>>2]|0;z=c[b>>2]|0}i=h;return 0}}while(0);Gi(a,b,d,e,f,g)|0;i=h;return 0}}while(0);c[j>>2]=-s;Jc(413408,j|0)|0;i=h;return 0}function Ii(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=i;i=i+8|0;m=l|0;c[k>>2]=0;n=(Hp(a,413344,0,0)|0)!=0;do{if(n){o=5}else{if((Hp(a,430888,0,0)|0)!=0){o=5;break}if((Hp(a,422008,0,0)|0)!=0){o=5;break}c[k>>2]=-1;p=-1}}while(0);do{if((o|0)==5){a=c[b>>2]|0;if((a|0)<0){c[k>>2]=-2;p=-2;break}q=c[d>>2]|0;if((q|0)<0){c[k>>2]=-3;p=-3;break}r=(a|0)>1?a:1;if((c[f>>2]|0)<(r|0)){c[k>>2]=-5;p=-5;break}if((c[j>>2]|0)<(r|0)){c[k>>2]=-8;p=-8;break}r=c[k>>2]|0;if((r|0)!=0){p=r;break}if((a|0)==0|(q|0)==0){i=l;return 0}if(n){Ji(d,h,j,19368,b,g,19368)|0;Ei(38976,34536,30784,27792,b,d,18744,e,f,h,j)|0;Ei(38976,24912,30784,22400,b,d,18744,e,f,h,j)|0;i=l;return 0}else{Ei(38976,24912,438216,22400,b,d,18744,e,f,h,j)|0;Ei(38976,34536,438216,27792,b,d,18744,e,f,h,j)|0;Ji(d,h,j,19368,b,g,18664)|0;i=l;return 0}}}while(0);c[m>>2]=-p;Jc(412560,m|0)|0;i=l;return 0}function Ji(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0;j=c[d>>2]|0;d=~j;k=c[i>>2]|0;do{if((k|0)>0){l=c[e>>2]|0;m=1;n=l;o=f;p=l}else{if((k|0)<0){l=c[f>>2]|0;m=-1;n=(ga(1-l|0,k)|0)+1|0;o=e;p=l;break}else{return 0}}}while(0);e=c[o>>2]|0;o=c[a>>2]|0;f=((o|0)/32|0)<<5;if((f|0)<1){q=o;r=k}else{o=(m|0)<0;l=o?(p|0)>=(e|0):(p|0)<=(e|0);s=1;t=k;while(1){if(l){k=s+31|0;if(o){u=p;v=n;w=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(u|0)){y=w}else{z=u+d|0;A=x+d|0;x=s;do{B=ga(x,j)|0;C=b+(z+B<<3)|0;D=+h[C>>3];E=b+(A+B<<3)|0;h[C>>3]=+h[E>>3];h[E>>3]=D;x=x+1|0;}while((x|0)<=(k|0));y=c[i>>2]|0}x=u+m|0;if((x|0)<(e|0)){F=y;break}else{u=x;v=y+v|0;w=y}}}else{w=p;v=n;u=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(w|0)){G=u}else{A=w+d|0;z=x+d|0;x=s;do{E=ga(x,j)|0;C=b+(A+E<<3)|0;D=+h[C>>3];B=b+(z+E<<3)|0;h[C>>3]=+h[B>>3];h[B>>3]=D;x=x+1|0;}while((x|0)<=(k|0));G=c[i>>2]|0}x=w+m|0;if((x|0)>(e|0)){F=G;break}else{w=x;v=G+v|0;u=G}}}}else{F=t}u=s+32|0;if((u|0)>(f|0)){break}else{s=u;t=F}}q=c[a>>2]|0;r=F}if((f|0)==(q|0)){return 0}q=f|1;f=(m|0)<0;if(!(f?(p|0)>=(e|0):(p|0)<=(e|0))){return 0}if(f){f=p;F=n;t=r;while(1){s=c[g+(F-1<<2)>>2]|0;do{if((s|0)==(f|0)){H=t}else{G=c[a>>2]|0;if((q|0)>(G|0)){H=t;break}y=f+d|0;o=s+d|0;l=q;do{u=ga(l,j)|0;v=b+(y+u<<3)|0;D=+h[v>>3];w=b+(o+u<<3)|0;h[v>>3]=+h[w>>3];h[w>>3]=D;l=l+1|0;}while((l|0)<=(G|0));H=c[i>>2]|0}}while(0);s=f+m|0;if((s|0)<(e|0)){break}else{f=s;F=H+F|0;t=H}}return 0}else{H=p;p=n;n=r;while(1){r=c[g+(p-1<<2)>>2]|0;do{if((r|0)==(H|0)){I=n}else{t=c[a>>2]|0;if((q|0)>(t|0)){I=n;break}F=H+d|0;f=r+d|0;s=q;do{G=ga(s,j)|0;l=b+(F+G<<3)|0;D=+h[l>>3];o=b+(f+G<<3)|0;h[l>>3]=+h[o>>3];h[o>>3]=D;s=s+1|0;}while((s|0)<=(t|0));I=c[i>>2]|0}}while(0);r=H+m|0;if((r|0)>(e|0)){break}else{H=r;p=I+p|0;n=I}}return 0}return 0}function Ki(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+32|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=vS(d|0)|0;a:do{switch(c[b>>2]|0){case 1:case 2:case 3:{q=o|0;EF(q,d,1,p);r=a[q]|0;do{if((r-97&255)>>>0<26>>>0){s=r-32&255;a[q]=s;t=o+1|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+2|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+3|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+4|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+5|0;u=a[t]|0;if(!((u-97&255)>>>0<26>>>0)){v=s;break}a[t]=u-32;v=s}else{v=r}}while(0);r=v<<24>>24==83;q=v<<24>>24==68;s=r|q;if(!((v<<24>>24|0)==90|(v<<24>>24|0)==83|(v<<24>>24|0)==68|(v<<24>>24|0)==67)){w=1;break a}u=l|0;EF(u,o+1|0,1,2);t=m|0;EF(t,o+3|0,1,3);x=n|0;EF(x,m+1|0,1,2);y=c[b>>2]|0;if((y|0)==2){if((DF(u,433472,1,2)|0)==0){if((DF(t,423736,1,3)|0)==0){w=2;break a}if((DF(t,414912,1,3)|0)==0){w=2;break a}if((DF(t,40648,1,3)|0)==0){w=2;break a}if((DF(t,35864,1,3)|0)==0){w=2;break a}if((DF(t,32136,1,3)|0)==0){w=2;break a}if((DF(t,28728,1,3)|0)==0){w=2;break a}DF(t,25808,1,3)|0;w=2;break a}if((DF(u,439240,1,2)|0)==0){z=(DF(t,435624,1,3)|0)==0;if(z|(r|q)^1){w=z?8:2;break a}DF(t,436208,1,3)|0;w=2;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((DF(u,431600,1,2)|0)==0){DF(t,436208,1,3)|0;w=2;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94}else{w=2;break a}}while(0);do{if((A|0)==94){if((DF(u,430072,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}z=a[t]|0;if((z<<24>>24|0)==71){if((DF(x,428912,1,2)|0)==0){w=2;break a}if((DF(x,427896,1,2)|0)==0){w=2;break a}if((DF(x,427048,1,2)|0)==0){w=2;break a}if((DF(x,426256,1,2)|0)==0){w=2;break a}if((DF(x,425600,1,2)|0)==0){w=2;break a}if((DF(x,424856,1,2)|0)==0){w=2;break a}DF(x,424128,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((DF(x,428912,1,2)|0)==0){w=2;break a}if((DF(x,427896,1,2)|0)==0){w=2;break a}if((DF(x,427048,1,2)|0)==0){w=2;break a}if((DF(x,426256,1,2)|0)==0){w=2;break a}if((DF(x,425600,1,2)|0)==0){w=2;break a}if((DF(x,424856,1,2)|0)==0){w=2;break a}DF(x,424128,1,2)|0;w=2;break a}else{w=2;break a}}}while(0);if((DF(u,422872,1,2)|0)!=0){w=2;break a}z=a[t]|0;if((z<<24>>24|0)==77){if((DF(x,428912,1,2)|0)==0){w=2;break a}if((DF(x,427896,1,2)|0)==0){w=2;break a}if((DF(x,427048,1,2)|0)==0){w=2;break a}if((DF(x,426256,1,2)|0)==0){w=2;break a}if((DF(x,425600,1,2)|0)==0){w=2;break a}if((DF(x,424856,1,2)|0)==0){w=2;break a}DF(x,424128,1,2)|0;w=2;break a}else if((z<<24>>24|0)==71){if((DF(x,428912,1,2)|0)==0){w=2;break a}if((DF(x,427896,1,2)|0)==0){w=2;break a}if((DF(x,427048,1,2)|0)==0){w=2;break a}if((DF(x,426256,1,2)|0)==0){w=2;break a}if((DF(x,425600,1,2)|0)==0){w=2;break a}if((DF(x,424856,1,2)|0)==0){w=2;break a}DF(x,424128,1,2)|0;w=2;break a}else{w=2;break a}}else if((y|0)==3){if((DF(u,433472,1,2)|0)==0){if((DF(t,423736,1,3)|0)==0){w=128;break a}if((DF(t,414912,1,3)|0)==0){w=128;break a}if((DF(t,40648,1,3)|0)==0){w=128;break a}if((DF(t,35864,1,3)|0)==0){w=128;break a}if((DF(t,32136,1,3)|0)==0){w=128;break a}z=(DF(t,28728,1,3)|0)==0;w=z?128:0;break a}if((DF(u,439240,1,2)|0)==0){if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=0;break a}z=(DF(t,436208,1,3)|0)==0;w=z?32:0;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((DF(u,431600,1,2)|0)==0){z=(DF(t,436208,1,3)|0)==0;w=z?32:0;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141}else{w=0;break a}}while(0);do{if((A|0)==141){if((DF(u,430072,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}if((a[t]|0)!=71){w=0;break a}do{if((DF(x,428912,1,2)|0)!=0){if((DF(x,427896,1,2)|0)==0){break}if((DF(x,427048,1,2)|0)==0){break}if((DF(x,426256,1,2)|0)==0){break}if((DF(x,425600,1,2)|0)==0){break}if((DF(x,424856,1,2)|0)==0){break}if((DF(x,424128,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}}while(0);if((DF(u,422872,1,2)|0)!=0){w=0;break a}if((a[t]|0)!=71){w=0;break a}do{if((DF(x,428912,1,2)|0)!=0){if((DF(x,427896,1,2)|0)==0){break}if((DF(x,427048,1,2)|0)==0){break}if((DF(x,426256,1,2)|0)==0){break}if((DF(x,425600,1,2)|0)==0){break}if((DF(x,424856,1,2)|0)==0){break}if((DF(x,424128,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}else{if((DF(u,433472,1,2)|0)==0){if((DF(t,435624,1,3)|0)==0){w=64;break a}if((DF(t,423736,1,3)|0)==0){w=32;break a}if((DF(t,414912,1,3)|0)==0){w=32;break a}if((DF(t,40648,1,3)|0)==0){w=32;break a}if((DF(t,35864,1,3)|0)==0){w=32;break a}if((DF(t,32136,1,3)|0)==0){w=32;break a}if((DF(t,28728,1,3)|0)==0){w=32;break a}y=(DF(t,25808,1,3)|0)==0;w=y?64:1;break a}if((DF(u,23496,1,2)|0)==0){y=(DF(t,435624,1,3)|0)==0;w=y?64:1;break a}if((DF(u,439240,1,2)|0)==0){y=(DF(t,435624,1,3)|0)==0;if(y|s^1){w=y?64:1;break a}y=(DF(t,436208,1,3)|0)==0;if(y){w=y?32:1;break a}y=(DF(t,433544,1,3)|0)==0;w=y?64:1;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((DF(u,431600,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29;break}else{break}}if((DF(t,435624,1,3)|0)==0){w=64;break a}if((DF(t,436208,1,3)|0)==0){w=32;break a}y=(DF(t,433544,1,3)|0)==0;w=y?64:1;break a}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29}}while(0);do{if((A|0)==29){if((DF(u,430072,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else{break}}s=a[t]|0;if((s<<24>>24|0)==77){do{if((DF(x,428912,1,2)|0)!=0){if((DF(x,427896,1,2)|0)==0){break}if((DF(x,427048,1,2)|0)==0){break}if((DF(x,426256,1,2)|0)==0){break}if((DF(x,425600,1,2)|0)==0){break}if((DF(x,424856,1,2)|0)==0){break}if((DF(x,424128,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==71){do{if((DF(x,428912,1,2)|0)!=0){if((DF(x,427896,1,2)|0)==0){break}if((DF(x,427048,1,2)|0)==0){break}if((DF(x,426256,1,2)|0)==0){break}if((DF(x,425600,1,2)|0)==0){break}if((DF(x,424856,1,2)|0)==0){break}if((DF(x,424128,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);do{if((A|0)==48){if((DF(u,422872,1,2)|0)!=0){break}s=a[t]|0;if((s<<24>>24|0)==71){do{if((DF(x,428912,1,2)|0)!=0){if((DF(x,427896,1,2)|0)==0){break}if((DF(x,427048,1,2)|0)==0){break}if((DF(x,426256,1,2)|0)==0){break}if((DF(x,425600,1,2)|0)==0){break}if((DF(x,424856,1,2)|0)==0){break}if((DF(x,424128,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==77){do{if((DF(x,428912,1,2)|0)!=0){if((DF(x,427896,1,2)|0)==0){break}if((DF(x,427048,1,2)|0)==0){break}if((DF(x,426256,1,2)|0)==0){break}if((DF(x,425600,1,2)|0)==0){break}if((DF(x,424856,1,2)|0)==0){break}if((DF(x,424128,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);if((DF(u,422176,1,2)|0)==0){if((DF(t,435624,1,3)|0)!=0){w=1;break a}w=(c[j>>2]|0)<65?1:32;break a}if((DF(u,421528,1,2)|0)==0){if((DF(t,435624,1,3)|0)!=0){w=1;break a}w=(c[g>>2]|0)<65?1:32;break a}if((DF(u,424856,1,2)|0)==0){x=(DF(t,25808,1,3)|0)==0;w=x?64:1;break a}if((DF(u,420032,1,2)|0)==0){x=(DF(t,419072,1,3)|0)==0;w=x?64:1;break a}if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=1;break a}if((DF(u,418184,1,2)|0)!=0){w=1;break a}DF(t,417344,1,3)|0;i=k;return 1}break};case 4:{w=6;break};case 5:{w=2;break};case 6:{x=c[f>>2]|0;s=c[g>>2]|0;w=~~(+(((x|0)>(s|0)?s:x)|0)*1.600000023841858);break};case 7:{w=1;break};case 8:{w=50;break};case 9:{w=25;break};case 10:{w=Li(19408,18736,18720)|0;break};case 11:{w=Li(475520,18736,18720)|0;break};case 12:case 13:case 14:case 15:case 16:{w=Mi(b,d,e,f,g,h,j)|0;break};default:{w=-1}}}while(0);i=k;return w|0}function Li(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;e=+g[d>>2];f=+g[b>>2];if(!(e/f>e)){h=0;return h|0}i=(-0.0-e)/f;if(!(i<f)){h=0;return h|0}j=e/(e+i);if(j!=f){h=0;return h|0}i=e/j;if(!(i<f)){h=0;return h|0}k=f+j;if(k!=f){h=0;return h|0}l=e/k;if(!(l>e)){h=0;return h|0}k=i*l;if(!(k<f)){h=0;return h|0}i=l*l;if(!(i>e)){h=0;return h|0}if((c[a>>2]|0)==0){h=1;return h|0}e=i+k;l=i/i;m=f*i;f=j*k;a=!(e!=e)&!(Wd=0.0,Wd!=Wd);e=i/k;b=a|!(e!=e)&!(Wd=0.0,Wd!=Wd);a=b|!(l!=l)&!(Wd=0.0,Wd!=Wd);b=a|!(m!=m)&!(Wd=0.0,Wd!=Wd);if(b|!(f!=f)&!(Wd=0.0,Wd!=Wd)){h=0;return h|0}m=f*0.0;h=(m!=m|(Wd=0.0,Wd!=Wd))&1;return h|0}function Mi(a,b,d,e,f,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;j=i;i=i+8|0;e=j|0;d=c[a>>2]|0;if((d|0)==15|(d|0)==13|(d|0)==16){b=(c[h>>2]|0)-(c[f>>2]|0)+1|0;if((b|0)>149){g[e>>2]=+ea(+(b|0))/.6931471805599453;f=(b|0)/(CF(e)|0)|0;k=(f|0)>10?f:10;l=c[a>>2]|0}else{k=(b|0)>59?10:(b|0)>29?4:2;l=d}a=(b|0)>5999?256:(b|0)>2999?128:(b|0)>589?64:k;k=a-((a|0)%2|0)|0;m=(k|0)>2?k:2;n=b;o=l}else{m=0;n=0;o=d}a:do{switch(o|0){case 14:{p=14;break};case 15:{p=m;break};case 16:{d=(m|0)>13;i=j;return(d?2:d&1)|0};case 12:{p=75;break};case 13:{if((n|0)<501){p=m;break a}p=(m*3|0|0)/2|0;break};default:{p=-1}}}while(0);i=j;return p|0}function Ni(a){a=a|0;var b=0,c=0;b=i;c=Oi(a,0,0)|0;i=b;return c|0}function Oi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=Pi(a,b,c,0)|0;i=d;return e|0}function Pi(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=be[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=VR(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=40;c[b+4>>2]=98;c[b+8>>2]=98}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=be[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){_d[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=be[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){_d[c[j+20>>2]&511](c[j+392>>2]|0);_d[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=_j(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}_d[c[j+20>>2]&511](c[j+44>>2]|0);_d[c[j+20>>2]&511](c[j+392>>2]|0);_d[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;$j(j+416|0,j+12|0);$j(j+440|0,j+12|0);Ri(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}Ui(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=tk()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=kk()|0}k=j;l=k;i=g;return l|0}function Qi(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function Ri(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=10;Cm(f+256|0);if((b|0)!=0){g=Si(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;lk(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;yS(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function Si(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((hj(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function Ti(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=kj(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=Si(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((oj(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=kj(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function Ui(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;_d[c[e+20>>2]&511](c[f+36>>2]|0);Vi(c[f+44>>2]|0,e);_d[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;_d[c[e+20>>2]&511](f)}Vi(c[e+376>>2]|0,e);Vi(c[e+372>>2]|0,e);Wi(e+416|0);Wi(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}Xi(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);_d[c[e+20>>2]&511](c[e+392>>2]|0);_d[c[e+20>>2]&511](c[e+464>>2]|0);_d[c[e+20>>2]&511](c[e+8>>2]|0);_d[c[e+20>>2]&511](c[e+44>>2]|0);_d[c[e+20>>2]&511](c[e+396>>2]|0);_d[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){_d[c[e+252>>2]&511](c[e+244>>2]|0)}_d[c[e+20>>2]&511](e);i=d;return}function Vi(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;_d[c[a+20>>2]&511](c[b+16>>2]|0);_d[c[a+20>>2]&511](b)}i=d;return}function Wi(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;_d[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;_d[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function Xi(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;ij(f,g+20|0);while(1){d=jj(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){_d[c[b+8>>2]&511](c[d+20>>2]|0)}}nj(g|0);nj(g+132|0);nj(g+20|0);nj(g+40|0);nj(g+60|0);Wi(g+80|0);Wi(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;_d[k&511](m);i=e;return}_d[c[b+8>>2]&511](c[g+184>>2]|0);_d[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;_d[k&511](m);i=e;return}function Yi(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function Zi(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function _i(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}else if((f|0)==0){do{if((c[h+476>>2]|0)==0){if(($i(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=bj(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{xS(f|0,b|0,d)|0;j=cj(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=pe[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=2;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==3){te[c[(c[h+144>>2]|0)+52>>2]&63](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}else if((e|0)==0|(e|0)==1){c[h+480>>2]=2}j=1;k=j;i=g;return k|0}function $i(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=Yj()|0}if((a[e+236|0]|0)!=0){f=Ti(e,16584)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function aj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function bj(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;BS(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=be[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}xS(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;_d[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function cj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==0){do{if((c[g+476>>2]|0)==0){if(($i(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=pe[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=2;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==3){e=2}else if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else{m=16}}while(0);te[c[(c[g+144>>2]|0)+52>>2]&63](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function dj(a){a=a|0;i=i;return c[a+284>>2]|0}function ej(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}te[c[(c[d+144>>2]|0)+52>>2]&63](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function fj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){qe[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];Zd[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];qe[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function gj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[449456+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function hj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;xS((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=le[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=be[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){xS(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function ij(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function jj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function kj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=be[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){yS(c[b>>2]|0,0,g|0)|0;g=lj(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=lj(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((mj(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=be[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}yS(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=lj(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}_d[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=be[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){yS(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function lj(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function mj(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function nj(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}_d[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}_d[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function oj(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[21456+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[21424+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=le[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=be[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=be[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}_d[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;xS(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}qe[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function pj(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((de[((a[e+236|0]&255|0)!=0?18:2)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=Xj(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function qj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=pe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=rj(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}



function nO(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;yS(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=442288;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=442288;while(1){c[m>>2]=A;C=(ne[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{gI(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}IN(42304)}}while(0);eH(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Xb(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;yS(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=442232;F=vS(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;eH(G);QH(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=442232;while(1){c[q>>2]=o;v=(ne[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{wI(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;eH(G);QH(r);i=d;return}IN(42304)}function oO(a,b){a=a|0;b=b|0;Jb(((b|0)==-1?-1:b<<1)|0)|0;return}function pO(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=441704;d=b+8|0;e=c[d>>2]|0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);if((e|0)==(c[119532]|0)){f=b|0;eH(f);return}Wb(c[d>>2]|0);f=b|0;eH(f);return}function qO(a){a=a|0;a=Gd(8)|0;hH(a,427528);c[a>>2]=440616;xc(a|0,446960,50)}function rO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=441960;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);IH(b+144|0,426688,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[119565]=0;c[119564]=441664;if(!((c[119810]|0)==-1)){c[G>>2]=479240;c[G+4>>2]=20;c[G+8>>2]=0;BH(479240,G,118)}sO(b,478256,(c[119811]|0)-1|0);c[119563]=0;c[119562]=441624;if(!((c[119808]|0)==-1)){c[F>>2]=479232;c[F+4>>2]=20;c[F+8>>2]=0;BH(479232,F,118)}sO(b,478248,(c[119809]|0)-1|0);c[119615]=0;c[119614]=442072;c[119616]=0;a[478468]=0;c[119616]=c[(gb()|0)>>2];if(!((c[119890]|0)==-1)){c[E>>2]=479560;c[E+4>>2]=20;c[E+8>>2]=0;BH(479560,E,118)}sO(b,478456,(c[119891]|0)-1|0);c[119613]=0;c[119612]=441992;if(!((c[119888]|0)==-1)){c[D>>2]=479552;c[D+4>>2]=20;c[D+8>>2]=0;BH(479552,D,118)}sO(b,478448,(c[119889]|0)-1|0);c[119567]=0;c[119566]=441760;if(!((c[119814]|0)==-1)){c[C>>2]=479256;c[C+4>>2]=20;c[C+8>>2]=0;BH(479256,C,118)}sO(b,478264,(c[119815]|0)-1|0);c[110041]=0;c[110040]=441704;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);c[110042]=c[119532];if(!((c[119812]|0)==-1)){c[B>>2]=479248;c[B+4>>2]=20;c[B+8>>2]=0;BH(479248,B,118)}sO(b,440160,(c[119813]|0)-1|0);c[119569]=0;c[119568]=441816;if(!((c[119816]|0)==-1)){c[A>>2]=479264;c[A+4>>2]=20;c[A+8>>2]=0;BH(479264,A,118)}sO(b,478272,(c[119817]|0)-1|0);c[119571]=0;c[119570]=441872;if(!((c[119818]|0)==-1)){c[z>>2]=479272;c[z+4>>2]=20;c[z+8>>2]=0;BH(479272,z,118)}sO(b,478280,(c[119819]|0)-1|0);c[119545]=0;c[119544]=441168;a[478184]=46;a[478185]=44;yS(478188,0,12)|0;if(!((c[119794]|0)==-1)){c[y>>2]=479176;c[y+4>>2]=20;c[y+8>>2]=0;BH(479176,y,118)}sO(b,478176,(c[119795]|0)-1|0);c[110033]=0;c[110032]=441120;c[110034]=46;c[110035]=44;yS(440144,0,12)|0;if(!((c[119792]|0)==-1)){c[x>>2]=479168;c[x+4>>2]=20;c[x+8>>2]=0;BH(479168,x,118)}sO(b,440128,(c[119793]|0)-1|0);c[119561]=0;c[119560]=441552;if(!((c[119806]|0)==-1)){c[w>>2]=479224;c[w+4>>2]=20;c[w+8>>2]=0;BH(479224,w,118)}sO(b,478240,(c[119807]|0)-1|0);c[119559]=0;c[119558]=441480;if(!((c[119804]|0)==-1)){c[v>>2]=479216;c[v+4>>2]=20;c[v+8>>2]=0;BH(479216,v,118)}sO(b,478232,(c[119805]|0)-1|0);c[119557]=0;c[119556]=441416;if(!((c[119802]|0)==-1)){c[u>>2]=479208;c[u+4>>2]=20;c[u+8>>2]=0;BH(479208,u,118)}sO(b,478224,(c[119803]|0)-1|0);c[119555]=0;c[119554]=441352;if(!((c[119800]|0)==-1)){c[t>>2]=479200;c[t+4>>2]=20;c[t+8>>2]=0;BH(479200,t,118)}sO(b,478216,(c[119801]|0)-1|0);c[119625]=0;c[119624]=443288;if(!((c[120010]|0)==-1)){c[s>>2]=480040;c[s+4>>2]=20;c[s+8>>2]=0;BH(480040,s,118)}sO(b,478496,(c[120011]|0)-1|0);c[119623]=0;c[119622]=443224;if(!((c[120008]|0)==-1)){c[r>>2]=480032;c[r+4>>2]=20;c[r+8>>2]=0;BH(480032,r,118)}sO(b,478488,(c[120009]|0)-1|0);c[119621]=0;c[119620]=443160;if(!((c[120006]|0)==-1)){c[q>>2]=480024;c[q+4>>2]=20;c[q+8>>2]=0;BH(480024,q,118)}sO(b,478480,(c[120007]|0)-1|0);c[119619]=0;c[119618]=443096;if(!((c[120004]|0)==-1)){c[p>>2]=480016;c[p+4>>2]=20;c[p+8>>2]=0;BH(480016,p,118)}sO(b,478472,(c[120005]|0)-1|0);c[119543]=0;c[119542]=440800;if(!((c[119782]|0)==-1)){c[o>>2]=479128;c[o+4>>2]=20;c[o+8>>2]=0;BH(479128,o,118)}sO(b,478168,(c[119783]|0)-1|0);c[119541]=0;c[119540]=440760;if(!((c[119780]|0)==-1)){c[n>>2]=479120;c[n+4>>2]=20;c[n+8>>2]=0;BH(479120,n,118)}sO(b,478160,(c[119781]|0)-1|0);c[119539]=0;c[119538]=440720;if(!((c[119778]|0)==-1)){c[m>>2]=479112;c[m+4>>2]=20;c[m+8>>2]=0;BH(479112,m,118)}sO(b,478152,(c[119779]|0)-1|0);c[119537]=0;c[119536]=440680;if(!((c[119776]|0)==-1)){c[l>>2]=479104;c[l+4>>2]=20;c[l+8>>2]=0;BH(479104,l,118)}sO(b,478144,(c[119777]|0)-1|0);c[110029]=0;c[110028]=441024;c[110030]=441072;if(!((c[119790]|0)==-1)){c[k>>2]=479160;c[k+4>>2]=20;c[k+8>>2]=0;BH(479160,k,118)}sO(b,440112,(c[119791]|0)-1|0);c[110025]=0;c[110024]=440928;c[110026]=440976;if(!((c[119788]|0)==-1)){c[j>>2]=479152;c[j+4>>2]=20;c[j+8>>2]=0;BH(479152,j,118)}sO(b,440096,(c[119789]|0)-1|0);c[110021]=0;c[110020]=441928;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);c[110022]=c[119532];c[110020]=440896;if(!((c[119786]|0)==-1)){c[h>>2]=479144;c[h+4>>2]=20;c[h+8>>2]=0;BH(479144,h,118)}sO(b,440080,(c[119787]|0)-1|0);c[110017]=0;c[110016]=441928;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);c[110018]=c[119532];c[110016]=440864;if(!((c[119784]|0)==-1)){c[g>>2]=479136;c[g+4>>2]=20;c[g+8>>2]=0;BH(479136,g,118)}sO(b,440064,(c[119785]|0)-1|0);c[119553]=0;c[119552]=441256;if(!((c[119798]|0)==-1)){c[f>>2]=479192;c[f+4>>2]=20;c[f+8>>2]=0;BH(479192,f,118)}sO(b,478208,(c[119799]|0)-1|0);c[119551]=0;c[119550]=441216;if(!((c[119796]|0)==-1)){c[H>>2]=479184;c[H+4>>2]=20;c[H+8>>2]=0;BH(479184,H,118)}sO(b,478200,(c[119797]|0)-1|0);i=e;return}function sO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;fH(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){xQ(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}gH(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function tO(a){a=a|0;uO(a);bS(a);return}function uO(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=441960;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{gH(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}QH(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;eH(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;eH(l);return}else{bS(j);l=b|0;eH(l);return}}function vO(){var b=0,d=0;if((a[480104]|0)!=0){b=c[119524]|0;return b|0}if((cc(480104)|0)==0){b=c[119524]|0;return b|0}do{if((a[480112]|0)==0){if((cc(480112)|0)==0){break}rO(478288,1);c[119528]=478288;c[119526]=478112}}while(0);d=c[c[119526]>>2]|0;c[119530]=d;fH(d|0);c[119524]=478120;b=c[119524]|0;return b|0}function wO(a){a=a|0;var b=0;b=c[(vO()|0)>>2]|0;c[a>>2]=b;fH(b|0);return}function xO(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;fH(d|0);return}function yO(a){a=a|0;gH(c[a>>2]|0)|0;return}function zO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;BH(a,e,118)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function AO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;BH(a,e,118)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=Gd(4)|0;h=g;AR(h);xc(g|0,446912,172);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=Gd(4)|0;h=g;AR(h);xc(g|0,446912,172);return 0}else{i=d;return f|0}return 0}function BO(a){a=a|0;eH(a|0);bS(a);return}function CO(a){a=a|0;if((a|0)==0){return}_d[c[(c[a>>2]|0)+4>>2]&511](a);return}function DO(a){a=a|0;c[a+4>>2]=(I=c[119820]|0,c[119820]=I+1,I)+1;return}function EO(a){a=a|0;eH(a|0);bS(a);return}function FO(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function GO(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(gb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function HO(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function IO(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function JO(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Md()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function KO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Md()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function LO(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Od()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function MO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Od()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function NO(a,b){a=a|0;b=b|0;return b<<24>>24|0}function OO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function PO(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function QO(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function RO(b){b=b|0;var d=0;c[b>>2]=442072;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}cS(d)}}while(0);eH(b|0);bS(b);return}function SO(b){b=b|0;var d=0;c[b>>2]=442072;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}cS(d)}}while(0);eH(b|0);return}function TO(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Md()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function UO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Md()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function VO(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Od()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function WO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Od()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function XO(a,b){a=a|0;b=b|0;return b|0}function YO(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function ZO(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function _O(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function $O(a){a=a|0;eH(a|0);bS(a);return}function aP(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function bP(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function cP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function dP(a){a=a|0;return 1}function eP(a){a=a|0;return 1}function fP(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function gP(a){a=a|0;return 1}function hP(a){a=a|0;pO(a);bS(a);return}function iP(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=ld(c[t>>2]|0)|0;z=$Q(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){ld(y|0)|0}if((z|0)==(-1|0)){A=15;break}else if((z|0)==0){B=1;A=50;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){A=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=ld(c[t>>2]|0)|0;z=_Q(u,0,d)|0;if((y|0)!=0){ld(y|0)|0}if((z|0)==-1){B=2;A=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){B=1;A=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((A|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=ld(c[t>>2]|0)|0;z=_Q(u,s,n)|0;if((p|0)!=0){ld(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;B=2;i=l;return B|0}else if((A|0)==48){r=c[g>>2]|0;break}else if((A|0)==50){i=l;return B|0}}}while(0);B=(r|0)!=(f|0)|0;i=l;return B|0}function jP(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=ld(c[s>>2]|0)|0;y=XQ(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){ld(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=ld(c[s>>2]|0)|0;F=WQ(w,y,1,d)|0;if((E|0)!=0){ld(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=ld(c[s>>2]|0)|0;E=WQ(v,r,x-r|0,n)|0;if((o|0)!=0){ld(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-1|0)){z=26;break}else if((E|0)==(-2|0)){z=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function kP(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=ld(c[b+8>>2]|0)|0;b=_Q(e,0,d)|0;if((j|0)!=0){ld(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function lP(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=ld(c[b>>2]|0)|0;d=ZQ(0,0,4)|0;if((a|0)!=0){ld(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=ld(d|0)|0;if((b|0)==0){e=0;return e|0}ld(b|0)|0;e=0;return e|0}function mP(a){a=a|0;return 0}function nP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=ld(c[i>>2]|0)|0;l=VQ(a,h-a|0,b)|0;if((k|0)!=0){ld(k|0)|0}if((l|0)==0){m=1;n=a+1|0}else if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;o=15;break}else{m=l;n=a+l|0}l=m+d|0;k=j+1|0;if(k>>>0>=f>>>0|(n|0)==(e|0)){g=l;o=15;break}else{a=n;d=l;j=k}}if((o|0)==15){return g|0}return 0}function oP(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=ld(b|0)|0;if((a|0)==0){d=4;break}ld(a|0)|0;d=4}}while(0);return d|0}function pP(a){a=a|0;eH(a|0);bS(a);return}function qP(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=rP(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function rP(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function sP(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=tP(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function tP(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function uP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function vP(a){a=a|0;return 0}function wP(a){a=a|0;return 0}function xP(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return yP(c,d,e,1114111,0)|0}function yP(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function zP(a){a=a|0;return 4}function AP(a){a=a|0;eH(a|0);bS(a);return}function BP(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=CP(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function CP(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function DP(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=EP(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function EP(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function FP(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function GP(a){a=a|0;return 0}function HP(a){a=a|0;return 0}function IP(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return JP(c,d,e,1114111,0)|0}function JP(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function KP(a){a=a|0;return 4}function LP(a){a=a|0;eH(a|0);bS(a);return}function MP(a){a=a|0;eH(a|0);bS(a);return}function NP(a){a=a|0;c[a>>2]=441168;QH(a+12|0);eH(a|0);bS(a);return}function OP(a){a=a|0;c[a>>2]=441168;QH(a+12|0);eH(a|0);return}function PP(a){a=a|0;c[a>>2]=441120;QH(a+16|0);eH(a|0);bS(a);return}function QP(a){a=a|0;c[a>>2]=441120;QH(a+16|0);eH(a|0);return}function RP(b){b=b|0;return a[b+8|0]|0}function SP(a){a=a|0;return c[a+8>>2]|0}function TP(b){b=b|0;return a[b+9|0]|0}function UP(a){a=a|0;return c[a+12>>2]|0}function VP(a,b){a=a|0;b=b|0;GH(a,b+12|0);return}function WP(a,b){a=a|0;b=b|0;GH(a,b+16|0);return}function XP(a,b){a=a|0;b=b|0;IH(a,419648,4);return}function YP(a,b){a=a|0;b=b|0;qI(a,418688,vR(418688)|0);return}function ZP(a,b){a=a|0;b=b|0;IH(a,417848,5);return}function _P(a,b){a=a|0;b=b|0;qI(a,417376,vR(417376)|0);return}function $P(b){b=b|0;var d=0;if((a[480200]|0)!=0){d=c[119650]|0;return d|0}if((cc(480200)|0)==0){d=c[119650]|0;return d|0}do{if((a[480088]|0)==0){if((cc(480088)|0)==0){break}yS(477640,0,168)|0;Gb(330,0,s|0)|0}}while(0);TH(477640,433656)|0;TH(477652,433152)|0;TH(477664,432816)|0;TH(477676,432632)|0;TH(477688,432464)|0;TH(477700,432352)|0;TH(477712,432208)|0;TH(477724,432168)|0;TH(477736,432120)|0;TH(477748,431784)|0;TH(477760,431656)|0;TH(477772,431072)|0;TH(477784,430856)|0;TH(477796,430816)|0;c[119650]=477640;d=c[119650]|0;return d|0}function aQ(b){b=b|0;var d=0;if((a[480144]|0)!=0){d=c[119628]|0;return d|0}if((cc(480144)|0)==0){d=c[119628]|0;return d|0}do{if((a[480064]|0)==0){if((cc(480064)|0)==0){break}yS(476896,0,168)|0;Gb(114,0,s|0)|0}}while(0);tI(476896,437576)|0;tI(476908,437416)|0;tI(476920,437208)|0;tI(476932,437104)|0;tI(476944,436664)|0;tI(476956,436320)|0;tI(476968,435632)|0;tI(476980,435336)|0;tI(476992,435080)|0;tI(477004,434816)|0;tI(477016,434720)|0;tI(477028,434528)|0;tI(477040,434384)|0;tI(477052,434120)|0;c[119628]=476896;d=c[119628]|0;return d|0}function bQ(b){b=b|0;var d=0;if((a[480192]|0)!=0){d=c[119648]|0;return d|0}if((cc(480192)|0)==0){d=c[119648]|0;return d|0}do{if((a[480080]|0)==0){if((cc(480080)|0)==0){break}yS(477352,0,288)|0;Gb(208,0,s|0)|0}}while(0);TH(477352,25264)|0;TH(477364,25024)|0;TH(477376,24904)|0;TH(477388,24816)|0;TH(477400,24664)|0;TH(477412,24464)|0;TH(477424,24384)|0;TH(477436,24176)|0;TH(477448,23952)|0;TH(477460,23704)|0;TH(477472,22672)|0;TH(477484,22448)|0;TH(477496,22392)|0;TH(477508,22136)|0;TH(477520,22008)|0;TH(477532,21864)|0;TH(477544,24664)|0;TH(477556,21760)|0;TH(477568,21600)|0;TH(477580,439552)|0;TH(477592,439128)|0;TH(477604,438616)|0;TH(477616,438392)|0;TH(477628,438056)|0;c[119648]=477352;d=c[119648]|0;return d|0}function cQ(b){b=b|0;var d=0;if((a[480136]|0)!=0){d=c[119626]|0;return d|0}if((cc(480136)|0)==0){d=c[119626]|0;return d|0}do{if((a[480056]|0)==0){if((cc(480056)|0)==0){break}yS(476608,0,288)|0;Gb(158,0,s|0)|0}}while(0);tI(476608,33504)|0;tI(476620,33296)|0;tI(476632,33048)|0;tI(476644,32752)|0;tI(476656,27864)|0;tI(476668,31176)|0;tI(476680,30760)|0;tI(476692,30560)|0;tI(476704,30336)|0;tI(476716,30024)|0;tI(476728,29776)|0;tI(476740,29576)|0;tI(476752,29408)|0;tI(476764,29072)|0;tI(476776,28824)|0;tI(476788,28184)|0;tI(476800,27864)|0;tI(476812,27624)|0;tI(476824,27256)|0;tI(476836,26840)|0;tI(476848,26520)|0;tI(476860,26416)|0;tI(476872,26248)|0;tI(476884,26064)|0;c[119626]=476608;d=c[119626]|0;return d|0}function dQ(b){b=b|0;var d=0;if((a[480208]|0)!=0){d=c[119652]|0;return d|0}if((cc(480208)|0)==0){d=c[119652]|0;return d|0}do{if((a[480096]|0)==0){if((cc(480096)|0)==0){break}yS(477808,0,288)|0;Gb(156,0,s|0)|0}}while(0);TH(477808,34408)|0;TH(477820,34112)|0;c[119652]=477808;d=c[119652]|0;return d|0}function eQ(b){b=b|0;var d=0;if((a[480152]|0)!=0){d=c[119630]|0;return d|0}if((cc(480152)|0)==0){d=c[119630]|0;return d|0}do{if((a[480072]|0)==0){if((cc(480072)|0)==0){break}yS(477064,0,288)|0;Gb(304,0,s|0)|0}}while(0);tI(477064,36048)|0;tI(477076,35016)|0;c[119630]=477064;d=c[119630]|0;return d|0}function fQ(b){b=b|0;if((a[480216]|0)!=0){return 478616}if((cc(480216)|0)==0){return 478616}IH(478616,416144,8);Gb(322,478616,s|0)|0;return 478616}function gQ(b){b=b|0;if((a[480160]|0)!=0){return 478528}if((cc(480160)|0)==0){return 478528}qI(478528,415376,vR(415376)|0);Gb(84,478528,s|0)|0;return 478528}function hQ(b){b=b|0;if((a[480240]|0)!=0){return 478664}if((cc(480240)|0)==0){return 478664}IH(478664,413936,8);Gb(322,478664,s|0)|0;return 478664}function iQ(b){b=b|0;if((a[480184]|0)!=0){return 478576}if((cc(480184)|0)==0){return 478576}qI(478576,412960,vR(412960)|0);Gb(84,478576,s|0)|0;return 478576}function jQ(b){b=b|0;if((a[480232]|0)!=0){return 478648}if((cc(480232)|0)==0){return 478648}IH(478648,412192,20);Gb(322,478648,s|0)|0;return 478648}function kQ(b){b=b|0;if((a[480176]|0)!=0){return 478560}if((cc(480176)|0)==0){return 478560}qI(478560,411288,vR(411288)|0);Gb(84,478560,s|0)|0;return 478560}function lQ(b){b=b|0;if((a[480224]|0)!=0){return 478632}if((cc(480224)|0)==0){return 478632}IH(478632,410456,11);Gb(322,478632,s|0)|0;return 478632}function mQ(b){b=b|0;if((a[480168]|0)!=0){return 478544}if((cc(480168)|0)==0){return 478544}qI(478544,409584,vR(409584)|0);Gb(84,478544,s|0)|0;return 478544}function nQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=cd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=+rS(b,g,c[119532]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function oQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=cd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=+rS(b,g,c[119532]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function pQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=cd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);l=+rS(b,g,c[119532]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function qQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=cd()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);n=Fc(b|0,h|0,f|0,c[119532]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function rQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);m=Fc(b|0,h|0,f|0,c[119532]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function sQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);m=Fc(b|0,h|0,f|0,c[119532]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function tQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);m=Fc(b|0,h|0,f|0,c[119532]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function uQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=cd()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);n=Lc(b|0,h|0,f|0,c[119532]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function vQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=cd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[480120]|0)==0){if((cc(480120)|0)==0){break}c[119532]=pb(2147483647,426688,0)|0}}while(0);m=Lc(b|0,h|0,f|0,c[119532]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function wQ(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;_d[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;_d[f&511](a);return}}function xQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){qO(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=$R(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;xS(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{bS(g);return}}function yQ(a){a=a|0;sI(477340);sI(477328);sI(477316);sI(477304);sI(477292);sI(477280);sI(477268);sI(477256);sI(477244);sI(477232);sI(477220);sI(477208);sI(477196);sI(477184);sI(477172);sI(477160);sI(477148);sI(477136);sI(477124);sI(477112);sI(477100);sI(477088);sI(477076);sI(477064);return}function zQ(a){a=a|0;QH(478084);QH(478072);QH(478060);QH(478048);QH(478036);QH(478024);QH(478012);QH(478e3);QH(477988);QH(477976);QH(477964);QH(477952);QH(477940);QH(477928);QH(477916);QH(477904);QH(477892);QH(477880);QH(477868);QH(477856);QH(477844);QH(477832);QH(477820);QH(477808);return}function AQ(a){a=a|0;sI(476884);sI(476872);sI(476860);sI(476848);sI(476836);sI(476824);sI(476812);sI(476800);sI(476788);sI(476776);sI(476764);sI(476752);sI(476740);sI(476728);sI(476716);sI(476704);sI(476692);sI(476680);sI(476668);sI(476656);sI(476644);sI(476632);sI(476620);sI(476608);return}function BQ(a){a=a|0;QH(477628);QH(477616);QH(477604);QH(477592);QH(477580);QH(477568);QH(477556);QH(477544);QH(477532);QH(477520);QH(477508);QH(477496);QH(477484);QH(477472);QH(477460);QH(477448);QH(477436);QH(477424);QH(477412);QH(477400);QH(477388);QH(477376);QH(477364);QH(477352);return}function CQ(a){a=a|0;sI(477052);sI(477040);sI(477028);sI(477016);sI(477004);sI(476992);sI(476980);sI(476968);sI(476956);sI(476944);sI(476932);sI(476920);sI(476908);sI(476896);return}function DQ(a){a=a|0;QH(477796);QH(477784);QH(477772);QH(477760);QH(477748);QH(477736);QH(477724);QH(477712);QH(477700);QH(477688);QH(477676);QH(477664);QH(477652);QH(477640);return}function EQ(a){a=a|0;var b=0;if((KQ(a)|0)!=0){b=1;return b|0}b=(FQ(a)|0)!=0|0;return b|0}function FQ(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function GQ(a){a=a|0;return qc(a|0)|0}function HQ(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function IQ(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 11:{c=QQ(a)|0;break};case 12:{c=RQ(a)|0;break};case 6:{c=LQ(a)|0;break};case 2:{c=FQ(a)|0;break};case 7:{c=MQ(a)|0;break};case 3:{c=GQ(a)|0;break};case 1:{c=EQ(a)|0;break};case 9:{c=OQ(a)|0;break};case 8:{c=NQ(a)|0;break};case 10:{c=PQ(a)|0;break};case 4:{c=HQ(a)|0;break};case 5:{c=KQ(a)|0;break};default:{c=0}}return c|0}function JQ(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 97:{if((tS(b,368)|0)==0){d=1;break a}if((tS(b,374)|0)==0){d=2}else{e=16}break};case 103:{if((tS(b,398)|0)==0){d=6}else{e=16}break};case 100:{if((tS(b,392)|0)==0){d=5}else{e=16}break};case 117:{e=14;break};case 98:{if((tS(b,380)|0)==0){d=3}else{e=16}break};case 115:{e=13;break};case 99:{if((tS(b,386)|0)==0){d=4}else{e=16}break};case 112:{if((tS(b,410)|0)==0){d=8;break a}if((tS(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==117){e=14}else if((c<<24>>24|0)==115){e=13}else if((c<<24>>24|0)==120){e=15}else{e=16}break};case 108:{if((tS(b,404)|0)==0){d=7}else{e=16}break};case 120:{e=15;break};default:{e=16}}}while(0);if((e|0)==13){if((tS(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if((tS(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if((tS(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function KQ(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function LQ(a){a=a|0;var b=0;if((PQ(a)|0)!=0){b=0;return b|0}b=(NQ(a)|0)!=0|0;return b|0}function MQ(a){a=a|0;var b=0;if((SQ(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function NQ(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function OQ(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function PQ(a){a=a|0;return(uR(15728,a)|0)!=0|0}function QQ(a){a=a|0;return(UQ(a)|0)!=(a|0)|0}function RQ(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function SQ(a){a=a|0;return TQ(a,0)|0}function TQ(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((FQ(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[18394+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[18392+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[18395+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8136+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8136+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function UQ(a){a=a|0;return TQ(a,1)|0}function VQ(a,b,c){a=a|0;b=b|0;c=c|0;return WQ(0,a,b,(c|0)!=0?c:462064)|0}function WQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?462056:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[439856+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(cd()|0)>>2]=84;k=-1;i=g;return k|0}function XQ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=YQ(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=WQ(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==(-1|0)){D=-1;break}else if((J|0)==0){c[j>>2]=0;D=G;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function YQ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[439856+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[439856+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(cd()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function ZQ(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[439856+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(cd()|0)>>2]=84;j=-1;i=g;return j|0}function _Q(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(cd()|0)>>2]=84;f=-1;return f|0}return 0}function $Q(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=aR(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=_Q(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function aR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=_Q(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=_Q(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=_Q(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}_Q(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function bR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=VR(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=VR(2048)|0;c[o+16>>2]=r;if((r|0)==0){WR(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=rR(0,0)|0;if((s|0)==0){WR(r);WR(o);q=12;i=e;return q|0}yS(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=cR(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=XR(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=dR(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=VR(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;yS(x|0,-1|0,u|0)|0;H=G}else{H=0}G=XR(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=XR(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=dR(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=jR(p,w)|0;b:do{if((u|0)==0){x=jR(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==1){O=R+4|0;S=c[O>>2]|0;T=N-3|0;c[t>>2]=T;U=c[P+(T<<2)>>2]|0;c[h>>2]=U;T=S+4|0;V=c[T>>2]|0;do{if((V|0)>1){c[k>>2]=0;W=S;E=51}else{if((c[S+8>>2]|0)<=1){X=U;break}c[k>>2]=0;Y=S;if((V|0)>0){W=Y;E=51}else{Z=V;_=0;$=U;aa=Y;E=60}}}while(0);e:do{if((E|0)==51){E=0;Y=V;ba=0;ca=1;da=U;while(1){ea=kR(s,p,c[W>>2]|0,(ca|0)<(Y|0)?1:2,h,F,l,j)|0;if((ea|0)!=0){I=ea;break b}ea=c[l>>2]|0;if((ba|0)==0){fa=ea}else{ga=tR(s,0,0,1,32)|0;if((ga|0)==0){I=12;break b}ha=tR(s,0,0,1,8)|0;ia=ga+4|0;c[ia>>2]=ha;if((ha|0)==0){I=12;break b}c[ga>>2]=1;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[ha>>2]=ba;c[(c[ia>>2]|0)+4>>2]=ea;c[ga+16>>2]=(c[ea+16>>2]|0)+(c[ba+16>>2]|0);fa=ga}if((fa|0)==0){I=12;break b}ga=c[T>>2]|0;if((ca|0)>=(ga|0)){Z=ga;_=fa;$=da;aa=W;E=60;break e}Y=ga;ba=fa;ca=ca+1|0;da=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;T=S+8|0;V=c[T>>2]|0;do{if((V|0)==-1){da=c[h>>2]|0;ca=kR(s,p,c[aa>>2]|0,0,h,0,k,j)|0;if((ca|0)!=0){I=ca;break b}ca=c[k>>2]|0;ba=tR(s,0,0,1,32)|0;Y=ba;if((ba|0)==0){E=65;break d}ga=tR(s,0,0,1,16)|0;c[ba+4>>2]=ga;if((ga|0)==0){E=65;break d}c[ba>>2]=2;c[ba+8>>2]=-1;c[ba+12>>2]=-1;c[ga>>2]=ca;c[ga+4>>2]=0;c[ga+8>>2]=-1;ea=ga+12|0;c[ea>>2]=c[ea>>2]&-2;c[ba+16>>2]=c[ca+16>>2];c[k>>2]=Y;ja=da;ka=Y}else{if((Z|0)<(V|0)){la=0;ma=Z}else{ja=$;ka=0;break}while(1){Y=c[h>>2]|0;da=kR(s,p,c[aa>>2]|0,0,h,0,m,j)|0;if((da|0)!=0){I=da;break b}da=c[m>>2]|0;if((la|0)==0){na=da}else{ca=tR(s,0,0,1,32)|0;if((ca|0)==0){E=72;break d}ba=tR(s,0,0,1,8)|0;ea=ca+4|0;c[ea>>2]=ba;if((ba|0)==0){E=72;break d}c[ca>>2]=1;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[ba>>2]=da;c[(c[ea>>2]|0)+4>>2]=la;c[ca+16>>2]=(c[la+16>>2]|0)+(c[da+16>>2]|0);na=ca}c[k>>2]=na;if((na|0)==0){I=12;break b}ca=tR(s,0,0,1,32)|0;if((ca|0)==0){I=12;break b}da=tR(s,0,0,1,20)|0;c[ca+4>>2]=da;if((da|0)==0){I=12;break b}c[ca>>2]=0;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[da>>2]=-1;c[da+4>>2]=-1;c[da+8>>2]=-1;da=tR(s,0,0,1,32)|0;ea=da;if((da|0)==0){E=78;break d}ba=tR(s,0,0,1,8)|0;ga=da+4|0;c[ga>>2]=ba;if((ba|0)==0){E=78;break d}c[da>>2]=3;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ba>>2]=ca;c[(c[ga>>2]|0)+4>>2]=na;c[da+16>>2]=(c[na+16>>2]|0)+(c[ca+16>>2]|0);c[k>>2]=ea;ca=ma+1|0;if((ca|0)<(c[T>>2]|0)){la=ea;ma=ca}else{ja=Y;ka=ea;break}}}}while(0);c[h>>2]=ja;do{if((_|0)==0){oa=ka;E=85}else{if((ka|0)==0){pa=_;break}T=tR(s,0,0,1,32)|0;if((T|0)==0){I=12;break b}V=tR(s,0,0,1,8)|0;S=T+4|0;c[S>>2]=V;if((V|0)==0){I=12;break b}c[T>>2]=1;c[T+8>>2]=-1;c[T+12>>2]=-1;c[V>>2]=_;c[(c[S>>2]|0)+4>>2]=ka;c[T+16>>2]=(c[ka+16>>2]|0)+(c[_+16>>2]|0);oa=T;E=85}}while(0);if((E|0)==85){E=0;if((oa|0)==0){I=12;break b}else{pa=oa}}c[O>>2]=c[pa+4>>2];c[R>>2]=c[pa>>2];X=ja}T=M-1|0;S=X-U+L|0;if((T|0)!=0){qa=T;ra=S;sa=X;break}c[h>>2]=S;qa=0;ra=S;sa=S}else if((Q|0)==0){S=c[R>>2]|0;if((S|0)==2){T=c[R+4>>2]|0;V=jR(p,K)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,R)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,1)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,c[T>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,0)|0;if((V|0)!=0){ta=V;ua=L;break c}if((c[T+4>>2]|0)>1){E=45}else{if((c[T+8>>2]|0)>1){E=45}else{va=K}}if((E|0)==45){E=0;c[h>>2]=0;va=0}qa=M+1|0;ra=L;sa=va;break}else if((S|0)==0){T=c[R+4>>2]|0;V=c[T>>2]|0;if(!((V|0)>-1|(V|0)==-4)){qa=M;ra=L;sa=K;break}V=T+8|0;T=(c[V>>2]|0)+K|0;c[V>>2]=T;if((T|0)<=(c[j>>2]|0)){qa=M;ra=L;sa=K;break}c[j>>2]=T;qa=M;ra=L;sa=K;break}else if((S|0)==3){T=c[R+4>>2]|0;V=jR(p,c[T+4>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,c[T>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}wa=jR(p,0)|0}else if((S|0)==1){S=c[R+4>>2]|0;V=jR(p,c[S+4>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=jR(p,c[S>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}wa=jR(p,0)|0}else{qa=M;ra=L;sa=K;break}if((wa|0)==0){qa=M;ra=L;sa=K}else{ta=wa;ua=L;break c}}else{qa=M;ra=L;sa=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=sa;L=ra;M=qa;N=R}else{ta=0;ua=ra;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{ta=0;ua=0}}while(0);x=(c[G>>2]|0)+ua|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=ta;break}c[G>>2]=J;I=ta}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=tR(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=tR(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=tR(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=tR(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=jR(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=jR(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==3){L=c[xa+4>>2]|0;K=L;Q=c[K>>2]|0;do{if((c[L+4>>2]|0)==0){E=142}else{if((c[Q+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[Q+24>>2];c[xa+28>>2]=c[(c[K>>2]|0)+28>>2]}else if((R|0)==2){L=c[xa+4>>2]|0;P=L;V=c[P>>2]|0;S=V+8|0;if((c[S>>2]|0)==0){ya=0}else{ya=(c[(c[L+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=ya;if((c[S>>2]|0)==0){c[xa+24>>2]=c[V+24>>2];za=L+4|0}else{S=iR(p,V,0,0,f)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}Aa=VR((c[f>>2]<<2)+4|0)|0;S=Aa;if((Aa|0)==0){y=12;z=C;A=0;B=0;break a}c[S>>2]=-1;c[g>>2]=0;Ba=iR(p,c[P>>2]|0,S,g,0)|0;if((Ba|0)!=0){E=151;break g}V=L+4|0;L=xa+24|0;c[L>>2]=hR(s,c[(c[V>>2]|0)+24>>2]|0,c[(c[P>>2]|0)+24>>2]|0,S,c[g>>2]|0)|0;WR(Aa);if((c[L>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{za=V}}V=c[za>>2]|0;if((c[V+8>>2]|0)==0){c[xa+28>>2]=c[V+28>>2];break}L=iR(p,V,0,0,f)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}Ca=VR((c[f>>2]<<2)+4|0)|0;L=Ca;if((Ca|0)==0){y=12;z=C;A=0;B=0;break a}c[L>>2]=-1;c[g>>2]=0;Da=iR(p,c[za>>2]|0,L,g,0)|0;if((Da|0)!=0){E=158;break g}V=xa+28|0;c[V>>2]=hR(s,c[(c[P>>2]|0)+28>>2]|0,c[(c[za>>2]|0)+28>>2]|0,L,c[g>>2]|0)|0;WR(Ca);if((c[V>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==1){V=c[xa+4>>2]|0;L=V;P=c[L>>2]|0;S=V+4|0;V=c[S>>2]|0;if((c[P+8>>2]|0)==0){Ea=(c[V+8>>2]|0)!=0|0}else{Ea=1}c[xa+8>>2]=Ea;T=hR(s,c[P+24>>2]|0,c[V+24>>2]|0,0,0)|0;c[xa+24>>2]=T;if((T|0)==0){y=12;z=C;A=0;B=0;break a}T=hR(s,c[(c[L>>2]|0)+28>>2]|0,c[(c[S>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=T;if((T|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==0){T=c[xa>>2]|0;if((T|0)==1){S=jR(p,xa)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}S=jR(p,2)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}S=xa+4|0;L=jR(p,c[(c[S>>2]|0)+4>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,c[c[S>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else if((T|0)==2){L=jR(p,xa)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,3)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,c[c[xa+4>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else if((T|0)==0){L=c[xa+4>>2]|0;S=L;V=c[S>>2]|0;if((V|0)==-4){c[xa+8>>2]=0;P=L+8|0;ea=c[P>>2]|0;Y=tR(s,0,0,1,64)|0;if((Y|0)==0){E=105;break g}c[Y>>2]=ea;c[Y+4>>2]=0;c[Y+8>>2]=1114111;c[Y+20>>2]=0;c[Y+24>>2]=0;yS(Y+28|0,-1|0,16)|0;c[xa+24>>2]=Y;Y=c[P>>2]|0;P=c[L+4>>2]|0;ea=tR(s,0,0,1,64)|0;if((ea|0)==0){E=107;break g}c[ea>>2]=Y;c[ea+4>>2]=0;c[ea+8>>2]=1114111;c[ea+20>>2]=0;c[ea+24>>2]=0;c[ea+28>>2]=P;c[ea+32>>2]=-1;c[ea+36>>2]=-1;c[ea+40>>2]=-1;c[xa+28>>2]=ea;break}ea=xa+8|0;if((V|0)<0){c[ea>>2]=1;P=tR(s,0,0,1,32)|0;if((P|0)==0){E=111;break g}c[P>>2]=-1;c[P+4>>2]=-1;c[P+8>>2]=-1;c[xa+24>>2]=P;P=tR(s,0,0,1,32)|0;if((P|0)==0){E=113;break g}c[P>>2]=-1;c[P+4>>2]=-1;c[P+8>>2]=-1;c[xa+28>>2]=P;break}else{c[ea>>2]=0;ea=L+8|0;P=c[ea>>2]|0;Y=L+4|0;ca=c[Y>>2]|0;da=tR(s,0,0,1,64)|0;if((da|0)==0){E=116;break g}c[da>>2]=P;c[da+4>>2]=V;c[da+8>>2]=ca;c[da+20>>2]=0;c[da+24>>2]=0;yS(da+28|0,-1|0,16)|0;c[xa+24>>2]=da;da=c[ea>>2]|0;ea=c[S>>2]|0;S=c[Y>>2]|0;Y=c[L+12>>2]|0;ca=c[L+16>>2]|0;L=tR(s,0,0,1,64)|0;if((L|0)==0){E=118;break g}c[L>>2]=da;c[L+4>>2]=ea;c[L+8>>2]=S;c[L+20>>2]=Y;c[L+24>>2]=ca;yS(L+28|0,-1|0,16)|0;c[xa+28>>2]=L;break}}else if((T|0)==3){T=jR(p,xa)|0;if((T|0)!=0){y=T;z=C;A=0;B=0;break a}T=jR(p,1)|0;if((T|0)!=0){y=T;z=C;A=0;B=0;break a}T=xa+4|0;L=jR(p,c[(c[T>>2]|0)+4>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,c[c[T>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=jR(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else{break}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){WR(Aa);y=Ba;z=C;A=0;B=0;break a}else if((E|0)==158){WR(Ca);y=Da;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=VR(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=VR(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){yS(N|0,0,((D|0)>1?D<<2:4)|0)|0}eR(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;L=w+(x<<2)|0;T=R+1+(c[L>>2]|0)|0;c[L>>2]=0;L=x+1|0;if((L|0)<(D|0)){x=L;R=T}else{Fa=T;break}}}else{Fa=0}R=XR(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=eR(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;T=c[D>>2]|0;if((c[T>>2]|0)>-1){L=1;ca=T;while(1){T=ca+32|0;Y=L+1|0;if((c[T>>2]|0)>-1){L=Y;ca=T}else{Ga=Y;break}}}else{Ga=1}ca=XR(Ga,32)|0;L=ca;if((ca|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=L;ca=c[D>>2]|0;J=c[ca>>2]|0;if((J|0)>-1){Y=0;T=ca;ca=J;while(1){c[L+(Y<<5)+8>>2]=x+(c[t+(ca<<2)>>2]<<5);c[L+(Y<<5)+12>>2]=ca;J=L+(Y<<5)+16|0;c[J>>2]=0;S=T+12|0;ea=c[S>>2]|0;if((ea|0)!=0){da=0;while(1){Ha=da+1|0;if((c[ea+(da<<2)>>2]|0)>-1){da=Ha}else{break}}da=Ha<<2;ea=VR(da)|0;c[J>>2]=ea;if((ea|0)==0){y=12;z=C;A=w;B=t;break a}xS(ea|0,c[S>>2]|0,da)|0}c[L+(Y<<5)+20>>2]=c[T+16>>2];da=Y+1|0;ea=T+32|0;V=c[ea>>2]|0;if((V|0)>-1){Y=da;T=ea;ca=V}else{Ia=da;break}}}else{Ia=0}c[L+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;sR(s);WR(c[o+16>>2]|0);WR(o);WR(N);WR(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);sR(s);WR(c[o+16>>2]|0);WR(o);if((A|0)!=0){WR(A)}if((B|0)!=0){WR(B)}c[a+4>>2]=z;fR(a);q=y;i=e;return q|0}function cR(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;jR(m,c[p>>2]|0)|0;jR(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=jR(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 10:{Q=N-2|0;c[n>>2]=Q;c[v>>2]=c[P+(Q<<2)>>2];R=0;S=M;T=L;break};case 2:{Q=N-2|0;c[n>>2]=Q;U=c[P+(Q<<2)>>2]|0;if((c[L+12>>2]|0)>-1){Q=c[w>>2]|0;V=tR(Q,0,0,1,32)|0;if((V|0)==0){W=12;X=293;break b}Y=tR(Q,0,0,1,20)|0;c[V+4>>2]=Y;if((Y|0)==0){W=12;X=293;break b}c[V>>2]=0;c[V+8>>2]=-1;c[V+12>>2]=-1;c[Y>>2]=-1;c[Y+4>>2]=-1;c[Y+8>>2]=-1;Y=c[w>>2]|0;Q=tR(Y,0,0,1,32)|0;if((Q|0)==0){W=12;X=293;break b}Z=tR(Y,0,0,1,8)|0;Y=Q+4|0;c[Y>>2]=Z;if((Z|0)==0){W=12;X=293;break b}c[Q>>2]=1;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[Z>>2]=V;c[(c[Y>>2]|0)+4>>2]=L;Y=L+16|0;Z=Q+16|0;c[Z>>2]=(c[Y>>2]|0)+(c[V+16>>2]|0);c[Z>>2]=c[Y>>2];_=Q}else{_=L}c[_+12>>2]=U;U=_+16|0;c[U>>2]=(c[U>>2]|0)+1;R=0;S=M;T=_;break};case 6:{U=N-2|0;c[n>>2]=U;Q=c[P+(U<<2)>>2]|0;U=c[w>>2]|0;Y=tR(U,0,0,1,32)|0;if((Y|0)==0){W=12;X=293;break b}Z=tR(U,0,0,1,8)|0;U=Y+4|0;c[U>>2]=Z;if((Z|0)==0){W=12;X=293;break b}c[Y>>2]=1;c[Y+8>>2]=-1;c[Y+12>>2]=-1;c[Z>>2]=Q;c[(c[U>>2]|0)+4>>2]=L;c[Y+16>>2]=(c[L+16>>2]|0)+(c[Q+16>>2]|0);R=0;S=M;T=Y;break};case 8:{Y=N-2|0;c[n>>2]=Y;Q=c[P+(Y<<2)>>2]|0;Y=c[w>>2]|0;U=tR(Y,0,0,1,32)|0;if((U|0)==0){W=12;X=293;break b}Z=tR(Y,0,0,1,8)|0;Y=U+4|0;c[Y>>2]=Z;if((Z|0)==0){W=12;X=293;break b}c[U>>2]=3;c[U+8>>2]=-1;c[U+12>>2]=-1;c[Z>>2]=Q;c[(c[Y>>2]|0)+4>>2]=L;c[U+16>>2]=(c[L+16>>2]|0)+(c[Q+16>>2]|0);R=0;S=M;T=U;break};case 1:{U=c[q>>2]|0;d:do{switch(a[U]|0){case 92:{Q=U+1|0;Y=a[Q]|0;do{if((c[v>>2]&1|0)==0){if(Y<<24>>24==40){c[q>>2]=Q;$=Q;X=74;break d}else{Z=a[U+1|0]|0;if(Z<<24>>24==41){X=264;break d}else{aa=Z;break}}}else{aa=Y}}while(0);Y=U+1|0;Q=aa<<24>>24==0;if(Q){W=5;X=293;break b}else{ba=0}while(1){if((ba|0)==12){break}if((a[1528+(ba<<3)|0]|0)==aa<<24>>24){X=193;break}else{ba=ba+1|0}}if((X|0)==193){X=0;Z=c[1532+(ba<<3)>>2]|0;xS(F|0,G|0,40)|0;c[H>>2]=Z;c[I>>2]=1;Z=cR(j)|0;if((Z|0)!=0){W=Z;X=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];R=0;S=M;T=c[K>>2]|0;break c}if(Q){W=5;X=293;break b}c[q>>2]=Y;Z=a[Y]|0;e:do{switch(Z|0){case 98:{V=c[w>>2]|0;ca=tR(V,0,0,1,32)|0;da=ca;do{if((ca|0)==0){ea=0}else{fa=tR(V,0,0,1,20)|0;c[ca+4>>2]=fa;if((fa|0)==0){ea=0;break}c[ca>>2]=0;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[fa>>2]=-2;c[fa+4>>2]=64;c[fa+8>>2]=-1;ea=da}}while(0);c[q>>2]=(c[q>>2]|0)+1;ga=ea;break};case 66:{da=c[w>>2]|0;ca=tR(da,0,0,1,32)|0;V=ca;do{if((ca|0)==0){ha=0}else{fa=tR(da,0,0,1,20)|0;c[ca+4>>2]=fa;if((fa|0)==0){ha=0;break}c[ca>>2]=0;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[fa>>2]=-2;c[fa+4>>2]=128;c[fa+8>>2]=-1;ha=V}}while(0);c[q>>2]=(c[q>>2]|0)+1;ga=ha;break};case 60:{V=c[w>>2]|0;ca=tR(V,0,0,1,32)|0;da=ca;do{if((ca|0)==0){ia=0}else{fa=tR(V,0,0,1,20)|0;c[ca+4>>2]=fa;if((fa|0)==0){ia=0;break}c[ca>>2]=0;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[fa>>2]=-2;c[fa+4>>2]=16;c[fa+8>>2]=-1;ia=da}}while(0);c[q>>2]=(c[q>>2]|0)+1;ga=ia;break};case 62:{da=c[w>>2]|0;ca=tR(da,0,0,1,32)|0;V=ca;do{if((ca|0)==0){ja=0}else{fa=tR(da,0,0,1,20)|0;c[ca+4>>2]=fa;if((fa|0)==0){ja=0;break}c[ca>>2]=0;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[fa>>2]=-2;c[fa+4>>2]=32;c[fa+8>>2]=-1;ja=V}}while(0);c[q>>2]=(c[q>>2]|0)+1;ga=ja;break};case 120:{V=U+2|0;c[q>>2]=V;ca=a[V]|0;if(ca<<24>>24==123){V=U+3|0;c[q>>2]=V;da=0;fa=V;while(1){V=a[fa]|0;if((V<<24>>24|0)==125|(V<<24>>24|0)==0){ka=fa;la=da;break}if((RQ(V<<24>>24)|0)==0){W=9;X=293;break b}V=c[q>>2]|0;a[l+da|0]=a[V]|0;ma=da+1|0;na=V+1|0;c[q>>2]=na;if(ma>>>0>31>>>0){ka=na;la=ma;break}else{da=ma;fa=na}}c[q>>2]=ka+1;a[l+la|0]=0;fa=Va(C|0,0,16)|0;da=c[w>>2]|0;na=c[x>>2]|0;ma=tR(da,0,0,1,32)|0;V=ma;do{if((ma|0)==0){oa=0}else{pa=tR(da,0,0,1,20)|0;c[ma+4>>2]=pa;if((pa|0)==0){oa=0;break}c[ma>>2]=0;c[ma+8>>2]=-1;c[ma+12>>2]=-1;c[pa>>2]=fa;c[pa+4>>2]=fa;c[pa+8>>2]=na;oa=V}}while(0);c[x>>2]=(c[x>>2]|0)+1;ga=oa;break e}else{yS(D|0,0,3)|0;V=(RQ(ca<<24>>24)|0)==0;na=c[q>>2]|0;if(V){qa=na}else{a[D]=a[na]|0;V=na+1|0;c[q>>2]=V;qa=V}if((RQ(a[qa]|0)|0)!=0){V=c[q>>2]|0;a[E]=a[V]|0;c[q>>2]=V+1}V=Va(D|0,0,16)|0;na=c[w>>2]|0;fa=c[x>>2]|0;ma=tR(na,0,0,1,32)|0;da=ma;do{if((ma|0)==0){ra=0}else{pa=tR(na,0,0,1,20)|0;c[ma+4>>2]=pa;if((pa|0)==0){ra=0;break}c[ma>>2]=0;c[ma+8>>2]=-1;c[ma+12>>2]=-1;c[pa>>2]=V;c[pa+4>>2]=V;c[pa+8>>2]=fa;ra=da}}while(0);c[x>>2]=(c[x>>2]|0)+1;ga=ra;break e}break};default:{if((KQ(Z)|0)!=0){da=(a[c[q>>2]|0]|0)-48|0;fa=c[w>>2]|0;V=c[x>>2]|0;ma=tR(fa,0,0,1,32)|0;if((ma|0)==0){W=12;X=293;break b}na=tR(fa,0,0,1,20)|0;c[ma+4>>2]=na;if((na|0)==0){W=12;X=293;break b}c[ma>>2]=0;c[ma+8>>2]=-1;c[ma+12>>2]=-1;c[na>>2]=-4;c[na+4>>2]=da;c[na+8>>2]=V;c[x>>2]=(c[x>>2]|0)+1;V=c[B>>2]|0;c[B>>2]=(da|0)<(V|0)?V:da;c[q>>2]=(c[q>>2]|0)+1;R=0;S=M;T=ma;break c}ma=c[w>>2]|0;da=a[c[q>>2]|0]|0;V=c[x>>2]|0;na=tR(ma,0,0,1,32)|0;fa=na;do{if((na|0)==0){sa=0}else{ca=tR(ma,0,0,1,20)|0;c[na+4>>2]=ca;if((ca|0)==0){sa=0;break}c[na>>2]=0;c[na+8>>2]=-1;c[na+12>>2]=-1;c[ca>>2]=da;c[ca+4>>2]=da;c[ca+8>>2]=V;sa=fa}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;ga=sa}}}while(0);if((ga|0)==0){W=12;X=293;break b}else{R=0;S=M;T=ga;break c}break};case 94:{if((c[v>>2]&1|0)==0){if((U|0)!=(c[r>>2]|0)){break d}Z=jR(m,5)|0;if((Z|0)!=0){ta=Z;ua=M;X=6;break b}}Z=c[w>>2]|0;Y=tR(Z,0,0,1,32)|0;if((Y|0)==0){W=12;X=293;break b}Q=tR(Z,0,0,1,20)|0;c[Y+4>>2]=Q;if((Q|0)==0){W=12;X=293;break b}c[Y>>2]=0;c[Y+8>>2]=-1;c[Y+12>>2]=-1;c[Q>>2]=-2;c[Q+4>>2]=1;c[Q+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;R=0;S=M;T=Y;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[U+1|0]|0)!=0){break d}}Y=c[w>>2]|0;Q=tR(Y,0,0,1,32)|0;if((Q|0)==0){W=12;X=293;break b}Z=tR(Y,0,0,1,20)|0;c[Q+4>>2]=Z;if((Z|0)==0){W=12;X=293;break b}c[Q>>2]=0;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[Z>>2]=-2;c[Z+4>>2]=2;c[Z+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;R=0;S=M;T=Q;break c;break};case 41:{if((M|0)!=0){X=263}break};case 42:case 124:case 123:case 43:case 63:{X=263;break};case 0:{X=264;break};case 46:{Q=(c[v>>2]&4|0)==0;Z=c[w>>2]|0;Y=c[x>>2]|0;fa=tR(Z,0,0,1,32)|0;V=fa;da=(fa|0)==0;if(Q){if(da){W=12;X=293;break b}Q=tR(Z,0,0,1,20)|0;c[fa+4>>2]=Q;if((Q|0)==0){W=12;X=293;break b}c[fa>>2]=0;c[fa+8>>2]=-1;c[fa+12>>2]=-1;c[Q>>2]=0;c[Q+4>>2]=1114111;c[Q+8>>2]=Y;va=(c[x>>2]|0)+1|0;wa=V}else{if(da){W=12;X=293;break b}da=tR(Z,0,0,1,20)|0;c[fa+4>>2]=da;if((da|0)==0){W=12;X=293;break b}c[fa>>2]=0;c[fa+8>>2]=-1;c[fa+12>>2]=-1;c[da>>2]=0;c[da+4>>2]=9;c[da+8>>2]=Y;Y=c[w>>2]|0;da=(c[x>>2]|0)+1|0;Z=tR(Y,0,0,1,32)|0;if((Z|0)==0){W=12;X=293;break b}Q=tR(Y,0,0,1,20)|0;c[Z+4>>2]=Q;if((Q|0)==0){W=12;X=293;break b}c[Z>>2]=0;c[Z+8>>2]=-1;c[Z+12>>2]=-1;c[Q>>2]=11;c[Q+4>>2]=1114111;c[Q+8>>2]=da;da=c[w>>2]|0;Q=tR(da,0,0,1,32)|0;if((Q|0)==0){W=12;X=293;break b}Y=tR(da,0,0,1,8)|0;da=Q+4|0;c[da>>2]=Y;if((Y|0)==0){W=12;X=293;break b}c[Q>>2]=3;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[Y>>2]=V;c[(c[da>>2]|0)+4>>2]=Z;c[Q+16>>2]=(c[Z+16>>2]|0)+(c[fa+16>>2]|0);va=(c[x>>2]|0)+2|0;wa=Q}c[x>>2]=va;c[q>>2]=(c[q>>2]|0)+1;R=0;S=M;T=wa;break c;break};case 40:{if((c[v>>2]&1|0)!=0){$=U;X=74}break};case 91:{Q=U+1|0;c[q>>2]=Q;fa=VR(128)|0;if((fa|0)==0){W=12;X=293;break b}if((a[Q]|0)==94){Z=U+2|0;c[q>>2]=Z;xa=1;ya=Z}else{xa=0;ya=Q}Q=(xa|0)==0;Z=ya;da=32;V=0;Y=0;na=fa;f:while(1){fa=a[Z]|0;if((fa<<24>>24|0)==93){if(Z>>>0>(c[q>>2]|0)>>>0){X=85;break}}else if((fa<<24>>24|0)==0){za=Z;Aa=7;Ba=na;X=140;break}fa=ZQ(e,Z,-1)|0;if((fa|0)<0){c[e>>2]=-1;Ca=1}else{Ca=fa}fa=Z+Ca|0;do{if((a[fa]|0)==45){ma=Ca+1|0;ca=Z+ma|0;if((a[ca]|0)==93){X=94;break}pa=c[e>>2]|0;Da=ZQ(e,ca,-1)|0;if((Da|0)<0){c[e>>2]=-1;Ea=1;Fa=-1}else{Ea=Da;Fa=c[e>>2]|0}Ga=Z+(Ea+ma)|0;Ha=Fa;Ia=pa;Ja=pa>>>0>Fa>>>0?11:0;Ka=0}else{X=94}}while(0);g:do{if((X|0)==94){X=0;pa=a[Z]|0;do{if((pa<<24>>24|0)==45){if((a[Z+1|0]|0)==93){La=0;break}La=(c[q>>2]|0)==(Z|0)?0:11}else if((pa<<24>>24|0)==91){ma=a[Z+1|0]|0;if((ma<<24>>24|0)==46|(ma<<24>>24|0)==61){za=Z;Aa=3;Ba=na;X=140;break f}else if((ma<<24>>24|0)!=58){La=0;break}ma=Z+2|0;Da=ma;while(1){ca=a[Da]|0;Ma=ca<<24>>24==0;if(ca<<24>>24!=58&(Ma^1)){Da=Da+1|0}else{break}}if(Ma){za=Z;Aa=4;Ba=na;X=140;break f}ca=Da-Z-2|0;Na=(ca|0)>63?63:ca;wS(A|0,ma|0,Na|0)|0;a[f+Na|0]=0;Na=JQ(A)|0;Ga=Da+2|0;Ha=1114111;Ia=0;Ja=(Na|0)==0?4:0;Ka=Na;break g}else{La=0}}while(0);pa=c[e>>2]|0;Ga=fa;Ha=pa;Ia=pa;Ja=La;Ka=0}}while(0);if((Ja|0)!=0){za=Ga;Aa=Ja;Ba=na;X=140;break}fa=(Ka|0)!=0;do{if(Q|fa^1){pa=c[w>>2]|0;if((V|0)<(da|0)){Oa=da;Pa=na}else{if((da|0)>1024){za=Ga;Aa=12;Ba=na;X=140;break f}Na=YR(na,da<<3)|0;if((Na|0)==0){za=Ga;Aa=12;Ba=na;X=140;break f}else{Oa=da<<1;Pa=Na}}Na=tR(pa,0,0,1,32)|0;if((Na|0)==0){X=112;break f}ca=tR(pa,0,0,1,20)|0;pa=Na+4|0;c[pa>>2]=ca;if((ca|0)==0){X=112;break f}c[Na>>2]=0;c[Na+8>>2]=-1;c[Na+12>>2]=-1;c[ca>>2]=Ia;c[ca+4>>2]=Ha;c[ca+8>>2]=-1;c[Pa+(V<<2)>>2]=Na;c[(c[pa>>2]|0)+12>>2]=Ka;Qa=0;Ra=Oa;Sa=V+1|0;Ta=Y;Ua=Pa}else{if((Y|0)>63){Qa=12;Ra=da;Sa=V;Ta=Y;Ua=na;break}c[g+(Y<<2)>>2]=Ka;Qa=0;Ra=da;Sa=V;Ta=Y+1|0;Ua=na}}while(0);pa=(Qa|0)==0;if(pa&(((c[v>>2]&2|0)==0|fa)^1)){Wa=Ia;Xa=Ra;Ya=Sa;Za=Ua}else{if(pa){Z=Ga;da=Ra;V=Sa;Y=Ta;na=Ua;continue}else{za=Ga;Aa=Qa;Ba=Ua;X=140;break}}while(1){pa=Wa;while(1){if(pa>>>0>Ha>>>0){Z=Ga;da=Xa;V=Ya;Y=Ta;na=Za;continue f}if((MQ(pa)|0)!=0){X=118;break}_a=pa+1|0;if((QQ(pa)|0)==0){pa=_a}else{X=129;break}}if((X|0)==118){X=0;Na=SQ(pa)|0;ca=pa+1|0;h:do{if((MQ(ca)|0)==0){$a=Na;ab=ca}else{bb=Na;cb=ca;while(1){if((SQ(cb)|0)!=(bb+1|0)|cb>>>0>Ha>>>0){$a=bb;ab=cb;break h}db=SQ(cb)|0;eb=cb+1|0;if((MQ(eb)|0)==0){$a=db;ab=eb;break}else{bb=db;cb=eb}}}}while(0);ca=c[w>>2]|0;if((Ya|0)<(Xa|0)){fb=Xa;gb=Za}else{if((Xa|0)>1024){za=Ga;Aa=12;Ba=Za;X=140;break f}cb=YR(Za,Xa<<3)|0;if((cb|0)==0){za=Ga;Aa=12;Ba=Za;X=140;break f}else{fb=Xa<<1;gb=cb}}cb=tR(ca,0,0,1,32)|0;bb=cb;do{if((cb|0)==0){hb=0}else{Da=tR(ca,0,0,1,20)|0;c[cb+4>>2]=Da;if((Da|0)==0){hb=0;break}c[cb>>2]=0;c[cb+8>>2]=-1;c[cb+12>>2]=-1;c[Da>>2]=Na;c[Da+4>>2]=$a;c[Da+8>>2]=-1;hb=bb}}while(0);c[gb+(Ya<<2)>>2]=hb;ib=ab;jb=fb;kb=hb;lb=gb}else if((X|0)==129){X=0;bb=UQ(pa)|0;i:do{if((QQ(_a)|0)==0){mb=_a;nb=bb}else{Na=_a;cb=bb;while(1){if((UQ(Na)|0)!=(cb+1|0)|Na>>>0>Ha>>>0){mb=Na;nb=cb;break i}ca=Na+1|0;Da=UQ(Na)|0;if((QQ(ca)|0)==0){mb=ca;nb=Da;break}else{Na=ca;cb=Da}}}}while(0);pa=c[w>>2]|0;if((Ya|0)<(Xa|0)){ob=Xa;pb=Za}else{if((Xa|0)>1024){za=Ga;Aa=12;Ba=Za;X=140;break f}cb=YR(Za,Xa<<3)|0;if((cb|0)==0){za=Ga;Aa=12;Ba=Za;X=140;break f}else{ob=Xa<<1;pb=cb}}cb=tR(pa,0,0,1,32)|0;Na=cb;do{if((cb|0)==0){qb=0}else{Da=tR(pa,0,0,1,20)|0;c[cb+4>>2]=Da;if((Da|0)==0){qb=0;break}c[cb>>2]=0;c[cb+8>>2]=-1;c[cb+12>>2]=-1;c[Da>>2]=bb;c[Da+4>>2]=nb;c[Da+8>>2]=-1;qb=Na}}while(0);c[pb+(Ya<<2)>>2]=qb;ib=mb;jb=ob;kb=qb;lb=pb}if((kb|0)==0){X=141;break f}else{Wa=ib;Xa=jb;Ya=Ya+1|0;Za=lb}}}j:do{if((X|0)==85){X=0;c[q>>2]=Z+1;da=(xa|0)!=0;if(da){Mc(na|0,V|0,4,48)}k:do{if((V|0)>0){Q=(Y|0)>0;fa=Y<<2;Na=fa+4|0;if(da){rb=0;sb=0;tb=0;ub=0}else{bb=0;cb=0;while(1){pa=na+(bb<<2)|0;Da=c[(c[pa>>2]|0)+4>>2]|0;do{if((Da|0)==0){vb=cb;wb=0}else{c[Da+8>>2]=c[x>>2];if(Q){ca=tR(c[w>>2]|0,0,0,0,Na)|0;ma=Da+16|0;c[ma>>2]=ca;if((ca|0)==0){xb=cb;yb=12;zb=na;break j}xS(ca|0,z|0,fa)|0;c[(c[ma>>2]|0)+(Y<<2)>>2]=0}else{c[Da+16>>2]=0}if((cb|0)==0){vb=c[pa>>2]|0;wb=0;break}ma=c[w>>2]|0;ca=c[pa>>2]|0;eb=tR(ma,0,0,1,32)|0;db=eb;do{if((eb|0)==0){Ab=0}else{Bb=tR(ma,0,0,1,8)|0;Cb=eb+4|0;c[Cb>>2]=Bb;if((Bb|0)==0){Ab=0;break}c[eb>>2]=3;c[eb+8>>2]=-1;c[eb+12>>2]=-1;c[Bb>>2]=cb;c[(c[Cb>>2]|0)+4>>2]=ca;c[eb+16>>2]=(c[ca+16>>2]|0)+(c[cb+16>>2]|0);Ab=db}}while(0);vb=Ab;wb=(Ab|0)==0?12:0}}while(0);pa=bb+1|0;if((pa|0)<(V|0)&(wb|0)==0){bb=pa;cb=vb}else{Db=wb;Eb=0;Fb=vb;break k}}}while(1){cb=na+(rb<<2)|0;bb=c[(c[cb>>2]|0)+4>>2]|0;pa=bb;Da=c[pa>>2]|0;db=bb+4|0;ca=c[db>>2]|0;do{if((Da|0)<(sb|0)){eb=ca+1|0;Gb=ub;Hb=0;Ib=(eb|0)<(sb|0)?sb:eb;Jb=tb}else{eb=Da-1|0;if((eb|0)<(tb|0)){ma=ca+1|0;Gb=ub;Hb=0;Ib=ma;Jb=ma;break}c[pa>>2]=tb;c[db>>2]=eb;eb=ca+1|0;if((bb|0)==0){Gb=ub;Hb=0;Ib=eb;Jb=eb;break}c[bb+8>>2]=c[x>>2];if(Q){ma=tR(c[w>>2]|0,0,0,0,Na)|0;Cb=bb+16|0;c[Cb>>2]=ma;if((ma|0)==0){xb=ub;yb=12;zb=na;break j}xS(ma|0,z|0,fa)|0;c[(c[Cb>>2]|0)+(Y<<2)>>2]=0}else{c[bb+16>>2]=0}if((ub|0)==0){Gb=c[cb>>2]|0;Hb=0;Ib=eb;Jb=eb;break}Cb=c[w>>2]|0;ma=c[cb>>2]|0;Bb=tR(Cb,0,0,1,32)|0;Kb=Bb;do{if((Bb|0)==0){Lb=0}else{Mb=tR(Cb,0,0,1,8)|0;Nb=Bb+4|0;c[Nb>>2]=Mb;if((Mb|0)==0){Lb=0;break}c[Bb>>2]=3;c[Bb+8>>2]=-1;c[Bb+12>>2]=-1;c[Mb>>2]=ub;c[(c[Nb>>2]|0)+4>>2]=ma;c[Bb+16>>2]=(c[ma+16>>2]|0)+(c[ub+16>>2]|0);Lb=Kb}}while(0);Gb=Lb;Hb=(Lb|0)==0?12:0;Ib=eb;Jb=eb}}while(0);cb=rb+1|0;if((cb|0)<(V|0)&(Hb|0)==0){rb=cb;sb=Ib;tb=Jb;ub=Gb}else{Db=Hb;Eb=Jb;Fb=Gb;break}}}else{Db=0;Eb=0;Fb=0}}while(0);if((Db|0)!=0|da^1){xb=Fb;yb=Db;zb=na;break}fa=c[w>>2]|0;Na=c[x>>2]|0;Q=tR(fa,0,0,1,32)|0;cb=Q;if((Q|0)==0){xb=Fb;yb=12;zb=na;break}bb=tR(fa,0,0,1,20)|0;c[Q+4>>2]=bb;if((bb|0)==0){xb=Fb;yb=12;zb=na;break}c[Q>>2]=0;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[bb>>2]=Eb;c[bb+4>>2]=1114111;c[bb+8>>2]=Na;if((Y|0)>0){Na=Y<<2;fa=tR(c[w>>2]|0,0,0,0,Na+4|0)|0;ca=bb+16|0;c[ca>>2]=fa;if((fa|0)==0){xb=Fb;yb=12;zb=na;break}xS(fa|0,z|0,Na)|0;c[(c[ca>>2]|0)+(Y<<2)>>2]=0}else{c[bb+16>>2]=0}if((Fb|0)==0){xb=cb;yb=0;zb=na;break}bb=c[w>>2]|0;ca=tR(bb,0,0,1,32)|0;Na=ca;do{if((ca|0)==0){Ob=0}else{fa=tR(bb,0,0,1,8)|0;db=ca+4|0;c[db>>2]=fa;if((fa|0)==0){Ob=0;break}c[ca>>2]=3;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[fa>>2]=Fb;c[(c[db>>2]|0)+4>>2]=cb;c[ca+16>>2]=(c[Q+16>>2]|0)+(c[Fb+16>>2]|0);Ob=Na}}while(0);xb=Ob;yb=(Ob|0)==0?12:0;zb=na}else if((X|0)==112){X=0;c[Pa+(V<<2)>>2]=0;za=Ga;Aa=12;Ba=Pa;X=140}else if((X|0)==141){X=0;c[q>>2]=Ga;xb=0;yb=12;zb=lb}}while(0);if((X|0)==140){X=0;c[q>>2]=za;xb=0;yb=Aa;zb=Ba}WR(zb);c[x>>2]=(c[x>>2]|0)+1;if((yb|0)==0){R=0;S=M;T=xb;break c}else{W=yb;X=293;break b}break};default:{}}}while(0);if((X|0)==74){X=0;V=M+1|0;c[q>>2]=$+1;na=jR(m,c[y>>2]|0)|0;if((na|0)!=0){ta=na;ua=V;X=6;break b}na=jR(m,2)|0;if((na|0)!=0){ta=na;ua=V;X=6;break b}na=jR(m,0)|0;if((na|0)!=0){ta=na;ua=V;X=6;break b}c[y>>2]=(c[y>>2]|0)+1;R=0;S=V;T=L;break c}else if((X|0)==263){X=0;if((c[v>>2]&1|0)!=0){X=264}}if((X|0)==264){X=0;V=c[w>>2]|0;na=tR(V,0,0,1,32)|0;if((na|0)==0){W=12;X=293;break b}Y=tR(V,0,0,1,20)|0;c[na+4>>2]=Y;if((Y|0)==0){W=12;X=293;break b}c[na>>2]=0;c[na+8>>2]=-1;c[na+12>>2]=-1;c[Y>>2]=-1;c[Y+4>>2]=-1;c[Y+8>>2]=-1;R=0;S=M;T=na;break c}na=ZQ(h,U,-1)|0;if((na|0)<0){c[h>>2]=-1;Pb=1}else{Pb=na}do{if((c[v>>2]&2|0)==0){X=279}else{if((QQ(c[h>>2]|0)|0)==0){if((MQ(c[h>>2]|0)|0)==0){X=279;break}}na=c[w>>2]|0;Y=SQ(c[h>>2]|0)|0;V=SQ(c[h>>2]|0)|0;Z=c[x>>2]|0;Na=tR(na,0,0,1,32)|0;if((Na|0)==0){W=12;X=293;break b}Q=tR(na,0,0,1,20)|0;c[Na+4>>2]=Q;if((Q|0)==0){W=12;X=293;break b}c[Na>>2]=0;c[Na+8>>2]=-1;c[Na+12>>2]=-1;c[Q>>2]=Y;c[Q+4>>2]=V;c[Q+8>>2]=Z;Z=c[w>>2]|0;Q=UQ(c[h>>2]|0)|0;V=UQ(c[h>>2]|0)|0;Y=c[x>>2]|0;na=tR(Z,0,0,1,32)|0;if((na|0)==0){W=12;X=293;break b}ca=tR(Z,0,0,1,20)|0;c[na+4>>2]=ca;if((ca|0)==0){W=12;X=293;break b}c[na>>2]=0;c[na+8>>2]=-1;c[na+12>>2]=-1;c[ca>>2]=Q;c[ca+4>>2]=V;c[ca+8>>2]=Y;Y=c[w>>2]|0;ca=tR(Y,0,0,1,32)|0;if((ca|0)==0){W=12;X=293;break b}V=tR(Y,0,0,1,8)|0;Y=ca+4|0;c[Y>>2]=V;if((V|0)==0){W=12;X=293;break b}c[ca>>2]=3;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[V>>2]=Na;c[(c[Y>>2]|0)+4>>2]=na;c[ca+16>>2]=(c[na+16>>2]|0)+(c[Na+16>>2]|0);Qb=ca}}while(0);if((X|0)==279){X=0;U=c[w>>2]|0;ca=c[h>>2]|0;Na=c[x>>2]|0;na=tR(U,0,0,1,32)|0;if((na|0)==0){W=12;X=293;break b}Y=tR(U,0,0,1,20)|0;c[na+4>>2]=Y;if((Y|0)==0){W=12;X=293;break b}c[na>>2]=0;c[na+8>>2]=-1;c[na+12>>2]=-1;c[Y>>2]=ca;c[Y+4>>2]=ca;c[Y+8>>2]=Na;Qb=na}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+Pb;R=0;S=M;T=Qb;break};case 3:{na=jR(m,5)|0;if((na|0)!=0){ta=na;ua=M;X=6;break b}R=jR(m,4)|0;S=M;T=L;break};case 5:{na=c[q>>2]|0;Na=a[na]|0;if(Na<<24>>24==0){R=0;S=M;T=L;break c}Y=c[v>>2]&1;ca=(Y|0)!=0;if(ca&Na<<24>>24==124){R=0;S=M;T=L;break c}do{if(!(ca&Na<<24>>24==41&(M|0)>0)){if((Y|0)==0&Na<<24>>24==92){if((a[na+1|0]|0)==41){break}}U=jR(m,5)|0;if((U|0)!=0){ta=U;ua=M;X=6;break b}U=jR(m,L)|0;if((U|0)!=0){ta=U;ua=M;X=6;break b}U=jR(m,6)|0;if((U|0)!=0){ta=U;ua=M;X=6;break b}R=jR(m,4)|0;S=M;T=L;break c}}while(0);Na=(Y|M|0)==0?8:0;ca=M-1|0;if((Y|0)!=0){R=Na;S=ca;T=L;break c}c[q>>2]=na+2;R=Na;S=ca;T=L;break};case 0:{if((c[v>>2]&1|0)!=0){ca=jR(m,7)|0;if((ca|0)!=0){ta=ca;ua=M;X=6;break b}}R=jR(m,3)|0;S=M;T=L;break};case 7:{ca=c[q>>2]|0;Na=a[ca]|0;if((Na|0)==41){c[q>>2]=ca+1;R=0;S=M;T=L;break c}else if((Na|0)!=124){R=0;S=M;T=L;break c}Na=jR(m,7)|0;if((Na|0)!=0){ta=Na;ua=M;X=6;break b}Na=jR(m,L)|0;if((Na|0)!=0){ta=Na;ua=M;X=6;break b}Na=jR(m,8)|0;if((Na|0)!=0){ta=Na;ua=M;X=6;break b}Na=jR(m,3)|0;if((Na|0)!=0){ta=Na;ua=M;X=6;break b}c[q>>2]=(c[q>>2]|0)+1;R=0;S=M;T=L;break};case 9:{Na=c[q>>2]|0;ca=a[Na]|0;switch(ca<<24>>24|0){case 42:{X=41;break};case 92:{U=c[v>>2]|0;if((U&1|0)!=0){R=0;S=M;T=L;break c}V=Na+1|0;if((a[V]|0)!=123){R=0;S=M;T=L;break c}c[q>>2]=V;Rb=V;Sb=U;break};case 123:{U=c[v>>2]|0;if((U&1|0)==0){R=0;S=M;T=L;break c}else{Rb=Na;Sb=U}break};case 43:case 63:{if((c[v>>2]&1|0)==0){R=0;S=M;T=L;break c}else{X=41}break};default:{R=0;S=M;T=L;break c}}if((X|0)==41){X=0;c[q>>2]=Na+1;Na=c[w>>2]|0;U=tR(Na,0,0,1,32)|0;if((U|0)==0){W=12;X=293;break b}V=tR(Na,0,0,1,16)|0;c[U+4>>2]=V;if((V|0)==0){W=12;X=293;break b}c[U>>2]=2;c[U+8>>2]=-1;c[U+12>>2]=-1;c[V>>2]=L;c[V+4>>2]=ca<<24>>24==43;c[V+8>>2]=ca<<24>>24==63?1:-1;ca=V+12|0;c[ca>>2]=c[ca>>2]&-2;c[U+16>>2]=c[L+16>>2];R=jR(m,9)|0;S=M;T=U;break c}U=Rb+1|0;c[q>>2]=U;ca=a[U]|0;if((ca-48&255)>>>0<10>>>0){V=ca<<24>>24;if((V-48|0)>>>0<10>>>0){Tb=-1;Ub=U;Vb=V}else{W=10;X=293;break b}while(1){V=((Tb|0)<0?-48:(Tb*10|0)-48|0)+Vb|0;Na=Ub+1|0;Q=a[Na]|0;Z=Q<<24>>24;if((Z-48|0)>>>0<10>>>0){Tb=V;Ub=Na;Vb=Z}else{Wb=V;Xb=Na;Yb=Q;break}}}else{Wb=-1;Xb=U;Yb=ca}do{if(Yb<<24>>24==44){na=Xb+1|0;Y=a[na]|0;Q=Y<<24>>24;if((Q-48|0)>>>0<10>>>0){Zb=-1;_b=na;$b=Q}else{ac=na;bc=-1;cc=Y;break}while(1){Y=((Zb|0)<0?-48:(Zb*10|0)-48|0)+$b|0;na=_b+1|0;Q=a[na]|0;Na=Q<<24>>24;if((Na-48|0)>>>0<10>>>0){Zb=Y;_b=na;$b=Na}else{dc=Y;ec=na;fc=Q;X=54;break}}}else{dc=Wb;ec=Xb;fc=Yb;X=54}}while(0);do{if((X|0)==54){X=0;if(!((dc|0)>-1)){ac=ec;bc=dc;cc=fc;break}if((Wb|0)>(dc|0)|(dc|0)>255){W=10;X=293;break b}else{ac=ec;bc=dc;cc=fc}}}while(0);if(cc<<24>>24==0){W=9;X=293;break b}if((ac|0)==(U|0)){W=10;X=293;break b}if((Sb&1|0)==0){if(!(cc<<24>>24==92)){W=10;X=293;break b}if((a[ac+1|0]|0)!=125){W=10;X=293;break b}gc=ac+2|0}else{if(!(cc<<24>>24==125)){W=10;X=293;break b}gc=ac+1|0}if((bc|Wb|0)==0){ca=c[w>>2]|0;Q=tR(ca,0,0,1,32)|0;if((Q|0)==0){W=12;X=293;break b}na=tR(ca,0,0,1,20)|0;c[Q+4>>2]=na;if((na|0)==0){W=12;X=293;break b}c[Q>>2]=0;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[na>>2]=-1;c[na+4>>2]=-1;c[na+8>>2]=-1;hc=Q}else{Q=(bc&Wb|0)<0;na=c[w>>2]|0;ca=tR(na,0,0,1,32)|0;if((ca|0)==0){W=12;X=293;break b}Y=tR(na,0,0,1,16)|0;c[ca+4>>2]=Y;if((Y|0)==0){W=12;X=293;break b}c[ca>>2]=2;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[Y>>2]=L;c[Y+4>>2]=Q?1:Wb;c[Y+8>>2]=Q?1:bc;Q=Y+12|0;c[Q>>2]=c[Q>>2]&-2;c[ca+16>>2]=c[L+16>>2];hc=ca}c[q>>2]=gc;R=jR(m,9)|0;S=M;T=hc;break};case 4:{ca=jR(m,9)|0;if((ca|0)!=0){ta=ca;ua=M;X=6;break b}R=jR(m,1)|0;S=M;T=L;break};default:{R=0;S=M;T=L}}}while(0);P=c[n>>2]|0;O=(R|0)==0;if((P|0)>(o|0)&O){L=T;M=S;N=P}else{ic=T;jc=S;kc=R;lc=O;break a}}if((X|0)==6){ic=L;jc=ua;kc=ta;lc=(ta|0)==0;break}else if((X|0)==293){i=d;return W|0}}else{ic=0;jc=0;kc=p;lc=t}}while(0);t=(jc|0)>0;if(t|lc^1){W=t?8:kc;i=d;return W|0}c[b+8>>2]=ic;W=0;i=d;return W|0}function dR(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=VR((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=VR((i<<2)+4|0)|0;n=m;if((m|0)==0){WR(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}jR(b,d)|0;d=jR(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 0:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;C=D;E=D+12|0;F=c[E>>2]|0;if((F|0)>-1){G=0;do{H=y+(G<<2)|0;G=G+1|0}while((c[H>>2]|0)>-1);c[H>>2]=F<<1;c[y+(G<<2)>>2]=-1;do{if(!h){I=0;while(1){if((c[n+(I<<2)>>2]|0)>-1){I=I+1|0}else{break}}c[(c[q>>2]|0)+(F*12|0)+8>>2]=0;if((I|0)<=0){break}J=VR((I<<2)+4|0)|0;K=J;if((J|0)==0){L=t;M=v;N=w;O=x;P=y;Q=12;break a}c[(c[q>>2]|0)+(F*12|0)+8>>2]=K;J=c[n>>2]|0;if((J|0)>-1){R=0;S=J;J=K;while(1){c[J>>2]=S;T=R+1|0;U=c[n+(T<<2)>>2]|0;V=K+(T<<2)|0;if((U|0)>-1){R=T;S=U;J=V}else{W=V;break}}}else{W=K}c[W>>2]=-1}}while(0);F=jR(b,c[E>>2]|0)|0;if((F|0)!=0){L=t;M=v;N=w;O=x;P=y;Q=F;break a}F=jR(b,6)|0;if((F|0)!=0){L=t;M=v;N=w;O=x;P=y;Q=F;break a}}F=c[D>>2]|0;do{if((F|0)==3){G=c[D+4>>2]|0;J=c[G>>2]|0;S=c[G+4>>2]|0;G=(c[y>>2]|0)>-1;R=u+1|0;I=jR(b,G?R:u)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,G?u:v)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,y)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,(c[y>>2]|0)>>>31^1)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,D)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=S;S=jR(b,I)|0;if((S|0)!=0){X=S;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}S=J;J=jR(b,S)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=jR(b,3)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=jR(b,I)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=jR(b,0)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=jR(b,2)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=jR(b,S)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}J=jR(b,0)|0;if((J|0)!=0){X=J;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if((c[y>>2]|0)>-1){if(h){ca=0;da=w;ea=t}else{J=lR(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){S=c[r>>2]|0;I=0;while(1){fa=S+(I<<2)|0;ga=I+1|0;if((c[fa>>2]|0)>-1){I=ga}else{break}}c[fa>>2]=v;c[S+(ga<<2)>>2]=t;c[S+(I+2<<2)>>2]=-1;ha=w+1|0;ia=-1}else{ha=w;ia=t}K=c[y>>2]|0;if((K|0)>-1){G=c[q>>2]|0;V=0;U=K;do{K=(U|0)/2|0;if((U&1|0)==0){c[G+(K*12|0)>>2]=v}else{c[G+(K*12|0)+4>>2]=v}V=V+1|0;U=c[y+(V<<2)>>2]|0;}while((U|0)>-1)}c[y>>2]=-1;ca=J;da=ha;ea=ia}c[y>>2]=-1;ja=ca;ka=x+1|0;la=da;ma=u;na=R;oa=ea}else{ja=0;ka=x;la=w;ma=v;na=u;oa=t}if((c[D+16>>2]|0)<=0){X=ja;Y=ka;Z=la;_=ma;$=na;aa=oa;ba=s;break}X=ja;Y=ka;Z=la;_=na+1|0;$=na+2|0;aa=oa;ba=s}else if((F|0)==1){U=c[D+4>>2]|0;V=c[U>>2]|0;G=c[U+4>>2]|0;U=jR(b,D)|0;if((U|0)!=0){X=U;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}U=jR(b,5)|0;if((U|0)!=0){X=U;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}U=jR(b,G)|0;if((U|0)!=0){X=U;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}U=jR(b,0)|0;if((U|0)!=0){X=U;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}U=V+20|0;I=jR(b,(c[U>>2]|0)+u|0)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if((c[U>>2]|0)>0){U=(c[G+20>>2]|0)>0;pa=(U&1)+u|0;qa=U?u:-1}else{pa=u;qa=-1}U=jR(b,qa)|0;if((U|0)!=0){X=U;Y=x;Z=w;_=v;$=pa;aa=t;ba=s;break}U=jR(b,4)|0;if((U|0)!=0){X=U;Y=x;Z=w;_=v;$=pa;aa=t;ba=s;break}U=jR(b,V)|0;if((U|0)!=0){X=U;Y=x;Z=w;_=v;$=pa;aa=t;ba=s;break}X=jR(b,0)|0;Y=x;Z=w;_=v;$=pa;aa=t;ba=s}else if((F|0)==0){U=c[c[D+4>>2]>>2]|0;if(!((U|0)>-1|(U|0)==-4)){X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if(!((c[y>>2]|0)>-1)){X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if(h){c[D+20>>2]=1;ra=0;sa=w;ta=t}else{U=lR(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){V=c[r>>2]|0;G=0;while(1){ua=V+(G<<2)|0;va=G+1|0;if((c[ua>>2]|0)>-1){G=va}else{break}}c[ua>>2]=v;c[V+(va<<2)>>2]=t;c[V+(G+2<<2)>>2]=-1;wa=w+1|0;xa=-1}else{wa=w;xa=t}R=c[y>>2]|0;if((R|0)>-1){J=c[q>>2]|0;I=0;S=R;do{R=(S|0)/2|0;if((S&1|0)==0){c[J+(R*12|0)>>2]=v}else{c[J+(R*12|0)+4>>2]=v}I=I+1|0;S=c[y+(I<<2)>>2]|0;}while((S|0)>-1)}c[y>>2]=-1;ra=U;sa=wa;ta=xa}c[y>>2]=-1;X=ra;Y=x+1|0;Z=sa;_=u;$=u+1|0;aa=ta;ba=s}else if((F|0)==2){S=c[D+4>>2]|0;if(h){if((c[y>>2]|0)>-1){ya=1}else{ya=c[S+12>>2]&1}I=jR(b,ya)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}}else{I=jR(b,v)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,c[S+12>>2]&1)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}}I=jR(b,D)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,1)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,c[S>>2]|0)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}I=jR(b,0)|0;if((I|0)!=0){X=I;Y=x;Z=w;_=v;$=u;aa=t;ba=s;break}if(!((c[y>>2]|0)>-1)){if((c[S+12>>2]&1|0)==0){X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=0;break}}if(h){za=0;Aa=w;Ba=t}else{I=lR(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[S+12>>2]&1|0)==0?s:1;if((t|0)>-1){S=c[r>>2]|0;J=0;while(1){Ca=S+(J<<2)|0;Da=J+1|0;if((c[Ca>>2]|0)>-1){J=Da}else{break}}c[Ca>>2]=v;c[S+(Da<<2)>>2]=t;c[S+(J+2<<2)>>2]=-1;Ea=w+1|0;Fa=-1}else{Ea=w;Fa=t}U=c[y>>2]|0;if((U|0)>-1){G=c[q>>2]|0;V=0;R=U;do{U=(R|0)/2|0;if((R&1|0)==0){c[G+(U*12|0)>>2]=v}else{c[G+(U*12|0)+4>>2]=v}V=V+1|0;R=c[y+(V<<2)>>2]|0;}while((R|0)>-1)}c[y>>2]=-1;za=I;Aa=Ea;Ba=Fa}c[y>>2]=-1;X=za;Y=x+1|0;Z=Aa;_=u;$=u+1|0;aa=Ba;ba=0}else{X=0;Y=x;Z=w;_=v;$=u;aa=t;ba=s}}while(0);C=c[E>>2]|0;if((C|0)>-1){Ga=0}else{Ha=X;Ia=y;Ja=Y;Ka=Z;La=_;Ma=$;Na=aa;Oa=ba;break b}do{Pa=n+(Ga<<2)|0;Ga=Ga+1|0}while((c[Pa>>2]|0)>-1);c[Pa>>2]=C;c[n+(Ga<<2)>>2]=-1;Ha=X;Ia=y;Ja=Y;Ka=Z;La=_;Ma=$;Na=aa;Oa=ba;break};case 5:{E=z-2|0;c[f>>2]=E;D=c[B+(E<<2)>>2]|0;if(!h){Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break b}E=c[D+4>>2]|0;c[D+20>>2]=(c[(c[E+4>>2]|0)+20>>2]|0)+(c[(c[E>>2]|0)+20>>2]|0);Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break};case 2:{E=y;while(1){if((c[E>>2]|0)>-1){E=E+4|0}else{Ha=0;Ia=E;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break}}break};case 6:{E=z-2|0;c[f>>2]=E;C=c[B+(E<<2)>>2]|0;E=0;do{Qa=y+(E<<2)|0;E=E+1|0}while((c[Qa>>2]|0)>-1);c[Qa>>2]=C<<1|1;c[y+(E<<2)>>2]=-1;D=0;while(1){if((c[n+(D<<2)>>2]|0)>-1){D=D+1|0}else{break}}c[n+(D-1<<2)>>2]=-1;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s;break};case 1:{E=z-2|0;c[f>>2]=E;C=c[B+(E<<2)>>2]|0;if(h){E=c[(c[c[C+4>>2]>>2]|0)+20>>2]|0;F=z-3|0;c[f>>2]=F;c[C+20>>2]=(c[B+(F<<2)>>2]|0)+E;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=-1;Oa=s;break b}else{E=z-3|0;c[f>>2]=E;F=c[B+(E<<2)>>2]|0;E=z-4|0;c[f>>2]=E;C=(F|0)==0;Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=C?t:c[B+(E<<2)>>2]|0;Oa=C&1;break b}break};case 4:{C=z-2|0;c[f>>2]=C;E=c[B+(C<<2)>>2]|0;C=z-3|0;c[f>>2]=C;Ha=0;Ia=y;Ja=x;Ka=w;La=(E|0)>-1?E:v;Ma=c[B+(C<<2)>>2]|0;Na=t;Oa=s;break};case 3:{C=c[B+(z-2<<2)>>2]|0;E=c[B+(z-3<<2)>>2]|0;F=c[B+(z-4<<2)>>2]|0;R=z-5|0;c[f>>2]=R;if(h){V=c[F+4>>2]|0;G=F+16|0;c[F+20>>2]=(c[(c[V>>2]|0)+20>>2]|0)+(c[B+(R<<2)>>2]|0)+(c[(c[V+4>>2]|0)+20>>2]|0)+((c[G>>2]|0)>0?2:0);Ra=c[f>>2]|0;Sa=G}else{Ra=R;Sa=F+16|0}F=c[B+(Ra-1<<2)>>2]|0;R=Ra-2|0;c[f>>2]=R;G=c[B+(R<<2)>>2]|0;R=Ra-3|0;c[f>>2]=R;V=c[B+(R<<2)>>2]|0;if((c[Sa>>2]|0)<=0){Ha=0;Ia=F;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=1;break b}if(h){Ta=0}else{mR(a,C,G)|0;c[(c[p>>2]|0)+(G<<2)>>2]=1;G=mR(a,E,V)|0;c[(c[p>>2]|0)+(V<<2)>>2]=1;Ta=G}Ha=Ta;Ia=F;Ja=x+2|0;Ka=w;La=v;Ma=u;Na=t;Oa=1;break};default:{Ha=0;Ia=y;Ja=x;Ka=w;La=v;Ma=u;Na=t;Oa=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(Ha|0)==0){s=Oa;t=Na;u=Ma;v=La;w=Ka;x=Ja;y=Ia;z=B}else{L=Na;M=La;N=Ka;O=Ja;P=Ia;Q=Ha;break a}}}else{L=-1;M=0;N=0;O=0;P=k;Q=d}}while(0);do{if(h){Ua=N}else{d=c[P>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;Ha=0;Ia=d;do{d=(Ia|0)/2|0;if((Ia&1|0)==0){c[k+(d*12|0)>>2]=M}else{c[k+(d*12|0)+4>>2]=M}Ha=Ha+1|0;Ia=c[P+(Ha<<2)>>2]|0;}while((Ia|0)>-1)}c[P>>2]=-1;if(!((L|0)>-1)){Ua=N;break}Ia=c[e+36>>2]|0;Ha=0;while(1){Va=Ia+(Ha<<2)|0;Wa=Ha+1|0;if((c[Va>>2]|0)>-1){Ha=Wa}else{break}}c[Va>>2]=M;c[Ia+(Wa<<2)>>2]=L;c[Ia+(Ha+2<<2)>>2]=-1;Ua=N+1|0}}while(0);c[e+48>>2]=O;c[e+40>>2]=O;c[e+44>>2]=Ua;WR(j);WR(m);l=Q;return l|0}function eR(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==3){g=c[f+4>>2]|0;h=eR(c[g>>2]|0,b,d,e)|0;if((h|0)!=0){i=h;j=10;break a}k=g+4|0}else if((a|0)==2){g=c[f+4>>2]|0;h=g;if(!((c[g+8>>2]|0)==-1)){k=h;break}g=c[h>>2]|0;l=gR(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((l|0)==0){k=h}else{i=l;j=10;break a}}else if((a|0)==1){l=c[f+4>>2]|0;h=l;g=l+4|0;l=gR(c[(c[h>>2]|0)+28>>2]|0,c[(c[g>>2]|0)+24>>2]|0,b,d,e)|0;if((l|0)!=0){i=l;j=10;break a}l=eR(c[h>>2]|0,b,d,e)|0;if((l|0)==0){k=g}else{i=l;j=10;break a}}else{i=0;j=10;break a}}while(0);f=c[k>>2]|0}if((j|0)==10){return i|0}return 0}function fR(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{WR(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}WR(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){WR(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){WR(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}WR(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{WR(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}WR(l)}l=c[b+32>>2]|0;if((l|0)!=0){WR(l)}l=c[b+20>>2]|0;if((l|0)!=0){WR(l)}l=c[b+36>>2]|0;if((l|0)!=0){WR(l)}WR(b);return}function gR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=VR(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){WR(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=VR((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function hR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=tR(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=tR(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=tR(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function iR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=jR(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==2){p=c[c[m+4>>2]>>2]|0;if((c[p+8>>2]|0)==0){continue a}q=jR(a,p)|0}else if((o|0)==3){p=c[m+4>>2]|0;r=c[p>>2]|0;if((c[r+8>>2]|0)!=0){q=jR(a,r)|0;break}r=c[p+4>>2]|0;if((c[r+8>>2]|0)==0){continue a}q=jR(a,r)|0}else if((o|0)==0){r=c[m+4>>2]|0;p=c[r>>2]|0;if((p|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[r+4>>2];continue a}else if((p|0)!=(-3|0)){continue a}p=c[r+4>>2]|0;if(!((p|0)>-1)){continue a}do{if(!b){r=0;while(1){s=d+(r<<2)|0;t=c[s>>2]|0;if(!((t|0)>-1)){n=14;break}u=r+1|0;if((t|0)==(p|0)){n=13;break}else{r=u}}if((n|0)==13){n=0;if((p|0)<0){v=u}else{break}}else if((n|0)==14){n=0;v=r+1|0}c[s>>2]=p;c[d+(v<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else if((o|0)==1){p=c[m+4>>2]|0;t=jR(a,c[p>>2]|0)|0;if((t|0)!=0){k=t;n=28;break a}q=jR(a,c[p+4>>2]|0)|0}else{continue a}}while(0);if((q|0)!=0){k=q;n=28;break}}if((n|0)==28){return k|0}return 0}function jR(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=YR(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;jR(a,b)|0;return 0}return 0}function kR(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;jR(b,d)|0;d=jR(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==0){v=c[r+4>>2]|0;u=c[v+8>>2]|0;x=c[v>>2]|0;y=c[v+4>>2]|0;do{if((x|0)>-1|(x|0)==-4){z=q+1|0;A=p;B=y;C=x;D=(c[f>>2]|0)+u|0}else{if(!((x|0)==-3)){z=q;A=p;B=y;C=x;D=u;break}if(!m){z=q;A=p;B=-1;C=-1;D=-1;break}if(n|(p|0)==0){z=q;A=p;B=y;C=-3;D=u;break}c[g+(y<<2)>>2]=1;z=q;A=0;B=y;C=-3;D=u}}while(0);u=tR(a,0,0,1,32)|0;y=u;do{if((u|0)==0){E=0}else{x=tR(a,0,0,1,20)|0;c[u+4>>2]=x;if((x|0)==0){E=0;break}c[u>>2]=0;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=C;c[x+4>>2]=B;c[x+8>>2]=D;E=y}}while(0);c[o>>2]=E;y=(E|0)==0?12:0;if((D|0)<=(c[i>>2]|0)){F=y;G=z;H=A;I=o;break}c[i>>2]=D;F=y;G=z;H=A;I=o}else if((w|0)==3){y=c[r+4>>2]|0;u=y;x=c[u>>2]|0;v=y+4|0;y=c[v>>2]|0;J=tR(a,0,0,1,32)|0;if((J|0)==0){K=20;break b}L=tR(a,0,0,1,8)|0;M=J+4|0;c[M>>2]=L;if((L|0)==0){K=20;break b}c[J>>2]=3;c[J+8>>2]=-1;c[J+12>>2]=-1;c[L>>2]=x;c[(c[M>>2]|0)+4>>2]=y;c[J+16>>2]=(c[y+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=J;J=c[M>>2]|0;M=jR(b,c[v>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}M=jR(b,0)|0;if((M|0)!=0){s=q;t=M;break a}M=jR(b,J+4|0)|0;if((M|0)!=0){s=q;t=M;break a}M=jR(b,1)|0;if((M|0)!=0){s=q;t=M;break a}M=jR(b,c[u>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}F=jR(b,0)|0;G=q;H=p;I=J}else if((w|0)==1){J=c[r+4>>2]|0;M=J;u=c[M>>2]|0;v=J+4|0;J=c[v>>2]|0;x=tR(a,0,0,1,32)|0;if((x|0)==0){K=29;break b}y=tR(a,0,0,1,8)|0;L=x+4|0;c[L>>2]=y;if((y|0)==0){K=29;break b}c[x>>2]=1;c[x+8>>2]=-1;c[x+12>>2]=-1;c[y>>2]=u;c[(c[L>>2]|0)+4>>2]=J;c[x+16>>2]=(c[J+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=x;x=c[L>>2]|0;L=x;c[L>>2]=0;u=x+4|0;c[u>>2]=0;x=jR(b,c[v>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}x=jR(b,0)|0;if((x|0)!=0){s=q;t=x;break a}x=jR(b,u)|0;if((x|0)!=0){s=q;t=x;break a}x=jR(b,1)|0;if((x|0)!=0){s=q;t=x;break a}x=jR(b,c[M>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}F=jR(b,0)|0;G=q;H=p;I=L}else if((w|0)==2){L=c[r+4>>2]|0;x=L;M=jR(b,c[x>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}M=jR(b,0)|0;if((M|0)!=0){s=q;t=M;break a}M=c[x>>2]|0;x=c[L+4>>2]|0;u=c[L+8>>2]|0;v=c[L+12>>2]&1;L=tR(a,0,0,1,32)|0;if((L|0)==0){K=40;break b}J=tR(a,0,0,1,16)|0;y=L+4|0;c[y>>2]=J;if((J|0)==0){K=40;break b}c[L>>2]=2;c[L+8>>2]=-1;c[L+12>>2]=-1;c[J>>2]=M;c[J+4>>2]=x;c[J+8>>2]=u;u=J+12|0;c[u>>2]=c[u>>2]&-2|v;c[L+16>>2]=c[M+16>>2];c[o>>2]=L;o=c[y>>2]|0;p=p;q=q;continue b}else{o=o;p=p;q=q;continue b}}while(0);if((F|0)==0){o=I;p=H;q=G}else{s=G;t=F;break a}}if((K|0)==20){c[o>>2]=0;s=q;t=12;break}else if((K|0)==29){c[o>>2]=0;s=q;t=12;break}else if((K|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function lR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=tR(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=tR(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=tR(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=tR(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function mR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=tR(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=tR(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=tR(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=tR(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function nR(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function oR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=13928}else{h=b;j=13928;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((vS(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Cb(e|0,f|0,32320,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function rj(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case 0:{r=10;break a;break};case-15:{g=-g|0;break};case-4:{r=14;break a;break};case-2:{r=12;break a;break};case-1:{r=11;break a;break};default:{g=-g|0;c[n>>2]=f}}}s=ce[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=tj(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=16960}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((be[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=kj(o,l+132|0,16960,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 13:{r=201;break};case 6:{a[o+489|0]=0;c[o+316>>2]=kj(o,l+132|0,16960,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((pe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}t=tj(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=46;break a}uj(t);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=t;h=0;r=52;break};case 57:{u=sj(o,1,e,c[n>>2]|0)|0;if((u|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 8:{if((c[o+320>>2]|0)!=0){Zd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);Qi(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;t=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}v=kj(o,l+132|0,16960,36)|0;if((v|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[v+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((ce[c[o+112>>2]&127](c[o+116>>2]|0,0,c[v+20>>2]|0,c[v+16>>2]|0,c[v+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((be[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=t}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){_d[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 23:{a[o+352|0]=1;c[o+332>>2]=17056;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=17024;r=117;break};case 25:{c[o+332>>2]=17016;r=117;break};case 26:{c[o+332>>2]=17008;r=117;break};case 27:{c[o+332>>2]=17032;r=117;break};case 28:{c[o+332>>2]=17040;r=117;break};case 29:{c[o+332>>2]=17e3;r=117;break};case 30:{c[o+332>>2]=16984;r=117;break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){w=16976}else{w=(s|0)==32?16944:16968}if((yj(o+416|0,w)|0)==0){r=127;break a}if((zj(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((Aj(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hj(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;t=o+428|0;v=c[t>>2]|0;c[t>>2]=v+1;a[v]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hj(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;v=o+428|0;t=c[v>>2]|0;c[v>>2]=t+1;a[t]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;ge[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);Qi(o+416|0);h=0}}while(0)}break};case 2:{r=86;break a;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;ke[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}t=tj(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=t;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;ge[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;ke[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 12:{if((a[l+128|0]|0)!=0){x=Cj(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;ke[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((x|0)!=0){r=183;break a}}break};case 14:{r=49;break};case 37:case 38:{if((a[l+128|0]|0)!=0){y=Bj(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((y|0)!=0){r=155;break a}t=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((Aj(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,t,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hj(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;v=o+428|0;z=c[v>>2]|0;c[v>>2]=z+1;a[z]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hj(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;z=o+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;ge[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,t,(s|0)==38|0);Qi(o+416|0);h=0}}while(0)}break};case 34:{c[o+344>>2]=wj(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=xj(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 1:{A=sj(o,0,e,c[n>>2]|0)|0;if((A|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=tj(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 7:{if((c[o+84>>2]|0)!=0){Zd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;Qi(o+416|0);h=0}break};case 9:{if((de[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){t=tj(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=229;break a}c[o+316>>2]=kj(o,l|0,t,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){B=1}else{B=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(B^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 10:{if((a[l+128|0]|0)!=0){t=tj(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=244;break a}c[o+316>>2]=kj(o,l+132|0,t,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){C=1}else{C=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(C^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=tj(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 21:{if((pe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){t=tj(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=266;break a}uj(t);c[o+340>>2]=t;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}t=tj(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=272;break a}c[q>>2]=e;Zd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,t,c[o+340>>2]|0);h=0}}while(0);Qi(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;Zd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);Qi(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){fj(o,b,e,c[n>>2]|0)}h=0;D=Dj(o,b,n,f,j,k)|0;if((D|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){t=c[o+16>>2]|0;v=c[o+464>>2]|0;z=o+468|0;E=c[z>>2]<<1;c[z>>2]=E;z=le[t&127](v,E)|0;if((z|0)==0){r=294;break a}c[o+464>>2]=z;if((c[l+184>>2]|0)!=0){z=le[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((z|0)==0){r=297;break a}c[l+184>>2]=z}}else{z=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=be[z&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){z=Fj(o)|0;if((z|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=z;E=l+180|0;c[E>>2]=(c[E>>2]|0)+1;c[(c[l+164>>2]|0)+(z*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){z=tj(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((z|0)==0){r=329;break a}F=kj(o,l+132|0,z,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((F|0)==0){r=335;break a}if((a[F+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((F|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}qe[c[o+120>>2]&15](c[o+4>>2]|0,z,1);h=0}}while(0);break b}}while(0);if((a[F+32|0]|0)!=0){r=347;break a}if((c[F+4>>2]|0)!=0){G=Gj(o,F,((s|0)==60?1:0)&255)|0;if((G|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[F+32|0]=1;if((ce[c[o+112>>2]&127](c[o+116>>2]|0,0,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){r=354;break a}a[F+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((be[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=wj(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){z=be[c[o+12>>2]&255](20)|0;if((z|0)==0){r=373;break a}c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[z>>2]=(s|0)==41?2:1;c[q>>2]=e;qe[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,z);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((Ij(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((Jj(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((pe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=tj(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=Fj(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;z=wj(o,b,e,I)|0;if((z|0)==0){r=393;break}E=c[z>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=E;s=0;do{z=s;s=z+1|0;}while((a[E+z|0]|0)!=0);E=l+168|0;c[E>>2]=(c[E>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}E=l+180|0;c[E>>2]=(c[E>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){E=Hj(o)|0;if((E|0)==0){r=411;break}c[q>>2]=e;qe[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,E)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}E=tj(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((E|0)==0){r=55;break a}uj(E);c[(c[o+316>>2]|0)+24>>2]=E;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}fj(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=pe[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((ce[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=A;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=u;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){u=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}A=kj(o,l+132|0,16960,36)|0;if((A|0)==0){J=1;K=J;i=m;return K|0}c[A+20>>2]=c[o+360>>2];a[l+131|0]=0;if((ce[c[o+112>>2]&127](c[o+116>>2]|0,0,c[A+20>>2]|0,c[A+16>>2]|0,c[A+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((be[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=u}}}while(0)}c[o+280>>2]=4;J=vj(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=y;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=x;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){x=g;if((x|0)==28){J=10;K=J;i=m;return K|0}else if((x|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=D;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=D;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=G;K=J;i=m;return K|0}else if((r|0)==354){a[F+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function sj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((ae[((a[n+236|0]&255|0)!=0?6:4)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=tj(n+440|0,b,r,s+(le[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=tj(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);te[c[n+140>>2]&63](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){fj(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=tj(n+440|0,e,d,m+(le[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=Xj(n,f)|0;Qi(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){Qi(n+440|0)}p=0;q=p;i=g;return q|0}function tj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((zj(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hj(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function uj(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function vj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=Mj(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Uj(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function wj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=tj(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=kj(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((Vj(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function xj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((hj(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=tj(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=kj(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=kj(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((hj(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((hj(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=kj(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function yj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((hj(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function zj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((hj(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){Zd[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((hj(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function Aj(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=be[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=le[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function Bj(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=Wj(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((hj(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function Cj(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((hj(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(pe[c[b+20>>2]&127](b,e,f,j)|0){case-1:{r=56;break a;break};case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=tj(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=kj(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((ce[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=Cj(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case 0:{r=59;break a;break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 7:{r=36;break};case 10:{s=le[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=bk(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((hj(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};case-4:{r=31;break a;break};case 9:case 6:{if((zj(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((hj(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function Dj(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=pe[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case 42:{if((c[k+80>>2]|0)!=0){fj(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function Ej(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Dj(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=74;k=qj(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function Fj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=be[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=le[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=be[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function Gj(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=be[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=pe[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=rj(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=Mj(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=62}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function Hj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=be[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;Lj(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function Ij(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){fj(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(le[c[a+32>>2]&127](a,b)|0)|0;k=tj(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=le[c[a+36>>2]&127](a,e)|0;e=tj(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){Kj(e);qe[c[g+64>>2]&15](c[g+4>>2]|0,k,e);Qi(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function Jj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){fj(g,a,b,d)}h=1;j=h;i=f;return j|0}e=tj(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){Kj(e);$d[c[g+68>>2]&255](c[g+4>>2]|0,e);Qi(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function Kj(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function Lj(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}Lj(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function Mj(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=pe[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case-4:{B=18;break a;break};case 0:{B=25;break a;break};case-3:{B=6;break a;break};case 2:case 1:{if((c[y+368>>2]|0)!=0){C=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{C=be[c[y+12>>2]&255](48)|0;if((C|0)==0){B=86;break a}c[C+36>>2]=be[c[y+12>>2]&255](32)|0;if((c[C+36>>2]|0)==0){B=88;break a}c[C+40>>2]=(c[C+36>>2]|0)+32}c[C+44>>2]=0;c[C>>2]=c[y+364>>2];c[y+364>>2]=C;c[C+16>>2]=0;c[C+20>>2]=0;c[C+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[C+8>>2]=le[c[e+32>>2]&127](e,c[C+4>>2]|0)|0;D=y+312|0;c[D>>2]=(c[D>>2]|0)+1;D=(c[C+4>>2]|0)+(c[C+8>>2]|0)|0;c[r>>2]=c[C+4>>2];c[q>>2]=c[C+36>>2];while(1){Zd[c[e+60>>2]&31](e,r,D,q,(c[C+40>>2]|0)-1|0);E=(c[q>>2]|0)-(c[C+36>>2]|0)|0;if((c[r>>2]|0)==(D|0)){break}F=(c[C+40>>2]|0)-(c[C+36>>2]|0)<<1;G=le[c[y+16>>2]&127](c[C+36>>2]|0,F)|0;if((G|0)==0){B=94;break a}c[C+36>>2]=G;c[C+40>>2]=G+F;c[q>>2]=G+E}c[C+24>>2]=E;c[C+12>>2]=c[C+36>>2];a[c[q>>2]|0]=0;H=Pj(y,e,c[m>>2]|0,C+12|0,C+44|0)|0;if((H|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){qe[c[y+52>>2]&15](c[y+4>>2]|0,c[C+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}Qi(y+416|0);break};case 11:{if((Ij(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if((Jj(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};case 6:{D=c[y+60>>2]|0;if((D|0)!=0){if((a[e+72|0]|0)!=0){qe[D&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];Zd[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];qe[D&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-2:{B=29;break a;break};case 9:{a[p]=de[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){qe[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}D=tj(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((D|0)==0){B=40;break a}G=kj(y,k|0,D,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((G|0)!=0){break}if((c[y+120>>2]|0)!=0){qe[c[y+120>>2]&15](c[y+4>>2]|0,D,0)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((G|0)==0){B=44;break a}if((a[G+34|0]|0)==0){B=46;break a}}if((a[G+32|0]|0)!=0){B=58;break a}if((c[G+28>>2]|0)!=0){B=60;break a}do{if((c[G+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){I=Gj(y,G,0)|0;if((I|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){qe[c[y+120>>2]&15](c[y+4>>2]|0,c[G>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[G+32|0]=1;D=Oj(y)|0;a[G+32|0]=0;if((D|0)==0){B=74;break a}if((ce[c[y+112>>2]&127](c[y+116>>2]|0,D,c[G+20>>2]|0,c[G+16>>2]|0,c[G+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 10:{G=le[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((G|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){D=c[y+60>>2]|0;F=c[y+4>>2]|0;J=bk(G,u|0)|0;qe[D&15](F,u|0,J)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;qe[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-1:{B=26;break a;break};case-5:{B=182;break a;break};case 4:case 3:{J=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;F=1;c[t>>2]=tj(y+416|0,e,J,J+(le[c[e+32>>2]&127](e,J)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];K=Pj(y,e,c[m>>2]|0,t,s)|0;if((K|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){qe[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);F=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}$d[c[y+56>>2]&255](c[y+4>>2]|0,c[t>>2]|0);F=0}do{if((F&255|0)!=0){if((c[y+80>>2]|0)==0){break}fj(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);Qi(y+416|0);while(1){if((c[s>>2]|0)==0){break}F=c[s>>2]|0;if((c[y+104>>2]|0)!=0){$d[c[y+104>>2]&255](c[y+4>>2]|0,c[c[F>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[F+4>>2]=c[y+376>>2];c[y+376>>2]=F;c[(c[F>>2]|0)+4>>2]=c[F+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};case 8:{if((c[y+72>>2]|0)!=0){_d[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}L=Rj(y,e,n,g,h,j)|0;if((L|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}F=c[y+364>>2]|0;c[y+364>>2]=c[F>>2];c[F>>2]=c[y+368>>2];c[y+368>>2]=F;M=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;J=le[c[e+32>>2]&127](e,M)|0;if((J|0)!=(c[F+8>>2]|0)){B=129;break a}if((sS(c[F+4>>2]|0,M,J)|0)!=0){B=129;break a}J=y+312|0;c[J>>2]=(c[J>>2]|0)-1;if((c[y+56>>2]|0)!=0){J=c[F+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((J|0)==0){break}D=(c[F+12>>2]|0)+(c[F+28>>2]|0)|0;while(1){if((a[J]|0)==0){break}G=J;J=G+1|0;N=D;D=N+1|0;a[N]=a[G]|0}G=c[F+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((G|0)==0){break}N=D;D=N+1|0;a[N]=a[y+472|0]|0;while(1){if((a[G]|0)==0){break}N=G;G=N+1|0;O=D;D=O+1|0;a[O]=a[N]|0}}}while(0);a[D]=0}}while(0);$d[c[y+56>>2]&255](c[y+4>>2]|0,c[F+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[F+44>>2]|0)==0){break}J=c[F+44>>2]|0;if((c[y+104>>2]|0)!=0){$d[c[y+104>>2]&255](c[y+4>>2]|0,c[c[J>>2]>>2]|0)}c[F+44>>2]=c[(c[F+44>>2]|0)+4>>2];c[J+4>>2]=c[y+376>>2];c[y+376>>2]=J;c[(c[J>>2]|0)+4>>2]=c[J+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};default:{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;qe[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=I;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){_d[c[y+20>>2]&511](C);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=H;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=K;Q=P;i=l;return Q|0}else if((B|0)==123){P=Qj(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=M;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=Qj(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=L;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=72;P=L;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){qe[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];Zd[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);qe[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){fj(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function Nj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=pe[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=rj(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=Mj(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=74;m=pe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=rj(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=Mj(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function Oj(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);ij(e,b+60|0);b:while(1){j=jj(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){ij(e,b|0);d:while(1){b=jj(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hj(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}function Pj(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=kj(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=Si(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=kj(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((Vj(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=pe[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=le[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){pe[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=xj(k,b,v,w+(le[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=tj(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=Bj(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=oj(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=oj(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=le[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(kj(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((hj(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((hj(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((hj(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=be[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;xS(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}_d[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;xS(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;xS(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function Qj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=64;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=pe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case 11:{if((Ij(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case-4:{k=8;break a;break};case-15:{k=3;break a;break};case 15:{if((c[j+80>>2]|0)!=0){fj(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};case 13:{if((Jj(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case 0:{k=18;break a;break};case-1:{k=19;break a;break};case-2:{k=22;break a;break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==2){k=28;break}else if((f|0)==3){k=27;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){fj(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function Rj(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=pe[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;qe[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){fj(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 40:{r=6;break a;break};case-1:case-4:{r=37;break a;break};case 0:{r=33;break a;break};case-2:{r=34;break a;break};case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){qe[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];Zd[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];qe[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){fj(o,b,c[k>>2]|0,c[l>>2]|0)}}break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==2){r=43;break}else if((h|0)==3){r=42;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){_d[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){fj(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function Sj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Rj(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=82;k=Tj(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=vj(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function Tj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=Mj(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Uj(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function Uj(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=le[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}xS(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function Vj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((hj(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((hj(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=kj(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function Wj(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(pe[c[b+16>>2]&127](b,f,g,l)|0){case-1:{o=7;break a;break};case 10:{p=le[c[b+44>>2]&127](b,f)|0;if((p|0)<0){o=11;break a}do{if(!(e<<24>>24!=0)){if((p|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);p=bk(p,m|0)|0;if((p|0)==0){o=20;break a}q=0;while(1){if((q|0)>=(p|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hj(h)|0)<<24>>24!=0){o=28;break}if(!0){o=29;break a}}else{o=28}}while(0);if((o|0)==28){o=0;r=a[m+q|0]|0;s=h+12|0;t=c[s>>2]|0;c[s>>2]=t+1;a[t]=r;if(!1){o=29;break a}}q=q+1|0}break};case 0:{o=4;break a;break};case 6:{if((zj(h,b,f,c[l>>2]|0)|0)==0){o=34;break a}break};case-4:{o=3;break a;break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);o=37;break};case 9:{q=(de[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(q<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hj(h)|0)<<24>>24!=0){o=51;break}if(!0){o=52;break a}}else{o=51}}while(0);if((o|0)==51){o=0;p=h+12|0;r=c[p>>2]|0;c[p>>2]=r+1;a[r]=q;if(!1){o=52;break a}}break b}r=tj(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){o=55;break a}p=kj(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){u=((c[n+300>>2]|0)!=0^1)&1}else{u=((a[j+129|0]|0)!=0^1)&1}v=(u|0)!=0}else{v=0}w=v&1}else{if((a[j+129|0]|0)!=0){x=(d[j+130|0]|0)!=0}else{x=1}w=x&1}do{if(w<<24>>24!=0){if((p|0)==0){o=68;break a}if((a[p+34|0]|0)==0){o=70;break a}}else{if((p|0)!=0){break}else{break b}}}while(0);if((a[p+32|0]|0)!=0){o=77;break a}if((c[p+28>>2]|0)!=0){o=81;break a}if((c[p+4>>2]|0)==0){o=85;break a}q=(c[p+4>>2]|0)+(c[p+8>>2]|0)|0;a[p+32|0]=1;y=Wj(n,c[n+228>>2]|0,e,c[p+4>>2]|0,q,h)|0;a[p+32|0]=0;if((y|0)!=0){o=89;break a}break};case 39:case 7:{o=37;break};default:{o=92;break a}}}while(0);c:do{if((o|0)==37){o=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hj(h)|0)<<24>>24!=0){o=44;break}if(!0){o=45;break a}}else{o=44}}while(0);if((o|0)==44){o=0;p=h+12|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=32;if(!1){o=45;break a}}}}while(0);f=c[l>>2]|0}if((o|0)==3){z=0;A=z;i=k;return A|0}else if((o|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((o|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((o|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==29){z=1;A=z;i=k;return A|0}else if((o|0)==34){z=1;A=z;i=k;return A|0}else if((o|0)==45){z=1;A=z;i=k;return A|0}else if((o|0)==52){z=1;A=z;i=k;return A|0}else if((o|0)==55){z=1;A=z;i=k;return A|0}else if((o|0)==68){z=11;A=z;i=k;return A|0}else if((o|0)==70){z=24;A=z;i=k;return A|0}else if((o|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((o|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((o|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((o|0)==89){z=y;A=z;i=k;return A|0}else if((o|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function Xj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((de[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=ck()|0;c[g+240>>2]=be[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=pe[((a[g+236|0]&255|0)!=0?36:70)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){_d[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){_d[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function Yj(){var a=0,b=0;a=i;Rc(((Vd(0)|0)>>>0)%4294967295|0|0);b=DS()|0;i=a;return b|0}function Zj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=pj(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=74;h=qj(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function _j(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=be[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{$j(b+80|0,e);$j(b+104|0,e);ak(b|0,e);ak(b+20|0,e);ak(b+40|0,e);ak(b+60|0,e);a[b+131|0]=0;ak(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function $j(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function ak(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function bk(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function ck(){return 1912}function dk(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15360+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[15436+l|0]|0|0)!=28){if((d[15436+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[15436+k|0]|0|0)!=28){if((d[15436+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[15436+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((ek(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12392+(((d[8776+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12392+(((d[13672+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=bk(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=10;c[h+336>>2]=10;c[h+340>>2]=10;c[h+344>>2]=34;c[h+348>>2]=34;c[h+352>>2]=34;c[h+356>>2]=56;c[h+360>>2]=56;c[h+364>>2]=56}c[h+60>>2]=12;c[h+64>>2]=26;n=h|0;o=n;i=j;return o|0}return 0}function ek(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}e=10;break a}}while(0);f=-1;break};case 0:{if((d[15436+c|0]|0|0)==0){f=-1;break a}else{e=10;break a}break};case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{f=-1;break};default:{e=10}}}while(0);if((e|0)==10){f=c}i=b;return f|0}function fk(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=le[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12392+(((d[13672+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function gk(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=le[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12392+(((d[8776+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function hk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=le[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(ek(a)|0)<0;g=f&1;i=d;return g|0}function ik(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=bk(le[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function jk(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(le[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function kk(){return 16184}function lk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=mk(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=40;c[g+4>>2]=80;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function mk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((Ak(d,c[16648+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function nk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ym(16792,a,0,b,c,d)|0;i=e;return f|0}function ok(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ym(16792,a,1,b,c,d)|0;i=e;return f|0}function pk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;Xl(816,b,c,d);i=a;return}function qk(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=rk(20,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function rk(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((zm(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((pe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,451704)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((zm(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((pe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,451736)|0)!=0){m=Am(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=de[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((zm(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((pe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,451712)|0)!=0){if((a|0)!=0){break}if((pe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,451696)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((pe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,451728)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((Bm(Am(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function sk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Zd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((Ak(h|0,451792)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=mk(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16792+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function tk(){return 15816}function uk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=mk(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=14;c[g+4>>2]=92;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function vk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ym(16760,a,0,b,c,d)|0;i=e;return f|0}function wk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=ym(16760,a,1,b,c,d)|0;i=e;return f|0}function xk(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=rk(54,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function yk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Zd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((Ak(h|0,451792)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=mk(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16760+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function zk(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=dk(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function Ak(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function Bk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 12:{k=cl(12,j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 13:{k=cl(13,j,b+2|0,e,f)|0;break a;break};case 30:{k=Uk(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 19:{k=el(j,b+2|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 15:{k=_k(j,b+2|0,e,f)|0;break a;break};case 16:{k=dl(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 22:case 24:{n=18;b=b+2|0;o=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;o=86;break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=18;o=86;break b}if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=19;o=86;break b}else{o=85;break b}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{o=26;break b}break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 21:case 10:{o=26;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};default:{o=85}}}while(0);if((o|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){o=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((q|0)==9){if((b+2|0)==(e|0)){o=36;break}}else if(!((q|0)==21|(q|0)==10)){break}}if((o|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((o|0)==85){c[f>>2]=b;k=0;break}else if((o|0)==86){c:while(1){if((b|0)==(e|0)){o=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 6:{o=99;break c;break};case 15:{o=136;break c;break};case 22:case 24:case 25:case 26:case 27:{o=95;break};case 5:{o=96;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){o=93;break c}o=95;break};case 34:{o=130;break c;break};case 23:{b=b+2|0;g=n;if((g|0)==41){n=19}else if((g|0)==18){if((b|0)==(e|0)){o=108;break c}n=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 7:{o=123;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){o=114;break c}o=116;break};case 22:case 24:case 25:case 26:case 27:{o=116;break};case 5:{o=117;break c;break};case 6:{o=120;break c;break};default:{n=19}}if((o|0)==116){o=0;b=b+2|0}}break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{o=105;break c;break};case 33:{o=133;break c;break};case 7:{o=102;break c;break};default:{o=139;break c}}if((o|0)==95){o=0;b=b+2|0}}if((o|0)==93){c[f>>2]=b;k=0;break}else if((o|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==105){c[f>>2]=b;k=n;break}else if((o|0)==108){k=-1;break}else if((o|0)==114){c[f>>2]=b;k=0;break}else if((o|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((o|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((o|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((o|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((o|0)==139){c[f>>2]=b;k=0;break}else if((o|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function Ck(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 3:{k=Tk(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 2:{k=Xk(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sk(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Dk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Ek(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Fk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 2:{l=15;break a;break};case 3:{l=12;break a;break};case 5:{b=b+2|0;break};case 21:{l=29;break a;break};case 7:{b=b+4|0;break};case 10:{l=16;break a;break};case 9:{l=19;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=Tk(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function Gk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};case 10:{m=21;break a;break};case 9:{m=24;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=Tk(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=Uk(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Hk(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 6:{j=9;break};case 5:{j=12;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;k=b;b=k+1|0;if((a[e]|0)!=(a[k]|0)){j=18;break a}k=c;c=k+1|0;e=b;b=e+1|0;if((a[k]|0)!=(a[e]|0)){j=20;break a}break};case 7:{e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=7;break a}j=9;break};default:{j=22;break a}}if((j|0)==9){j=0;k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=10;break}j=12}if((j|0)==12){j=0;e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=13;break}k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=15;break}}}if((j|0)==7){l=0;m=l;i=f;return m|0}else if((j|0)==10){l=0;m=l;i=f;return m|0}else if((j|0)==13){l=0;m=l;i=f;return m|0}else if((j|0)==15){l=0;m=l;i=f;return m|0}else if((j|0)==18){l=0;m=l;i=f;return m|0}else if((j|0)==20){l=0;m=l;i=f;return m|0}else if((j|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=Sk(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function Ik(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Jk(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};default:{break a}}}i=e;return b-c|0}function Kk(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Sk(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function Lk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Sk(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};default:{}}b=b+2|0}i=h;return k|0}function Mk(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=ek(c)|0;k=j;i=b;return k|0}function Nk(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e+1|0]|0)==0){f=a[e|0]|0}else{f=-1}if((f|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==108){g=60;h=g;i=b;return h|0}else if((j|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}g=0;h=g;i=b;return h|0}function Ok(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 7:{b=b+4|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function Pk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function Qk(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g|0]|0;n=((k&3)<<4|(a[g+1|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function Rk(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function Sk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 216:case 217:case 218:case 219:{c=7;break};case 255:{d=b&255;if((d|0)==255|(d|0)==254){c=0;break a}else{e=7;break a}break};case 220:case 221:case 222:case 223:{c=8;break};default:{e=7}}}while(0);if((e|0)==7){c=29}i=i;return c|0}function Tk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 19:{k=Vk(j,b+2|0,e,f)|0;break a;break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 7:{m=38;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Uk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 18:{m=41;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 7:{m=38;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Vk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=Wk(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function Wk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Sk(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Xk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){k=Zk(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=Yk(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 15:{k=_k(j,b+2|0,e,f)|0;break a;break};case 17:{k=$k(j,b+2|0,e,f)|0;break a;break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 6:{n=45;break c;break};case 7:{n=48;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};case 22:case 24:{break};case 5:{n=63;break c;break};case 6:{n=66;break c;break};case 7:{n=69;break c;break};default:{n=72;break c}}b=b+2|0;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 5:{n=42;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 29:{n=80;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 6:{n=87;break e;break};case 7:{n=90;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=al(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Yk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 0:case 1:case 8:{k=20;break b;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Zk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14248+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function _k(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=Sk(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 7:{n=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{n=31;break c;break};case 6:{n=34;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 21:case 9:case 10:{n=40;break c;break};case 15:{n=67;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((bl(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=Sk(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((bl(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}



function pR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=VR(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=VR(y)|0;if((z|0)==0){A=12;break}yS(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=ZQ(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((EQ(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((EQ(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((EQ(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((EQ(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(EQ(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(EQ(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(EQ(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(EQ(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){yS(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=ZQ(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((EQ(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((EQ(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((EQ(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((EQ(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(EQ(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(EQ(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(EQ(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(EQ(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((IQ(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=UQ(Y)|0;qb=_a+24|0;if((IQ(fb,c[qb>>2]|0)|0)!=0){break}fb=SQ(Y)|0;if((IQ(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((IQ(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=SQ(Y)|0;if((IQ(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=UQ(Y)|0;if((IQ(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}WR(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=rR(0,0)|0;if((S|0)==0){A=12;break}R=tR(S,0,0,0,32)|0;Q=R;if((R|0)==0){sR(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=VR(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=VR(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=VR(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){yS(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){yS(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=ZQ(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((EQ(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((EQ(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((EQ(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((EQ(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(EQ(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(EQ(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(EQ(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(EQ(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=tR(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=tR(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;qR(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((uS(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=ZQ(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=ZQ(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((EQ(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((EQ(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((EQ(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((EQ(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(EQ(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(EQ(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(EQ(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(EQ(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((IQ(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=UQ(qc)|0;aa=$a+24|0;if((IQ(qa,c[aa>>2]|0)|0)!=0){break}qa=SQ(qc)|0;if((IQ(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((IQ(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=SQ(qc)|0;if((IQ(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=UQ(qc)|0;if((IQ(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=tR(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=tR(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){sR(S);if((Eb|0)!=0){WR(O)}if((Kb|0)!=0){WR(Kb)}if((Lb|0)==0){A=12;break a}WR(N);A=12;break a}else if((sa|0)==67){sR(S);if((Eb|0)!=0){WR(O)}if((Kb|0)!=0){WR(Kb)}if((Lb|0)==0){A=12;break a}WR(N);A=12;break a}else if((sa|0)==169){sR(S);if((Eb|0)!=0){WR(O)}if((Kb|0)!=0){WR(Kb)}if((Lb|0)==0){A=12;break a}WR(N);A=12;break a}else if((sa|0)==176){sR(S);if((Eb|0)!=0){WR(O)}if((Kb|0)!=0){WR(Kb)}if((Lb|0)==0){A=12;break a}WR(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);sR(S);if((Ib|0)!=0){WR(Ib)}if((Gb|0)!=0){WR(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}WR(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}qR(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}WR(m);p=A;i=g;return p|0}function qR(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function rR(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=XR(1,24)|0}else{yS(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function sR(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;WR(d);return}else{e=b}while(1){WR(c[e>>2]|0);b=c[e+4>>2]|0;WR(e);if((b|0)==0){break}else{e=b}}d=a;WR(d);return}function tR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=VR(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=VR(n)|0;q=m;c[q>>2]=p;if((p|0)==0){WR(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}yS(l|0,0,g|0)|0;h=l;return h|0}function uR(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((vR(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function vR(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function wR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function xR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function yR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function zR(a){a=a|0;return}function AR(a){a=a|0;c[a>>2]=440520;return}function BR(a){a=a|0;bS(a);return}function CR(a){a=a|0;return}function DR(a){a=a|0;return 426704}function ER(a){a=a|0;zR(a|0);return}function FR(a){a=a|0;return}function GR(a){a=a|0;return}function HR(a){a=a|0;zR(a|0);bS(a);return}function IR(a){a=a|0;zR(a|0);bS(a);return}function JR(a){a=a|0;zR(a|0);bS(a);return}function KR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=OR(b,448536,448520,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}yS(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;te[c[(c[h>>2]|0)+28>>2]&63](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function LR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function MR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;te[c[(c[g>>2]|0)+28>>2]&63](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function NR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;te[c[(c[j>>2]|0)+28>>2]&63](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;te[c[(c[j>>2]|0)+28>>2]&63](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function OR(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;yS(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;ge[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{Zd[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function PR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;ge[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;Zd[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;Zd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;Zd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;Zd[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function QR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;Zd[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;ge[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function RR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function SR(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;ge[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;ge[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function TR(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;ge[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function UR(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function VR(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[119034]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=476176+(h<<2)|0;j=476176+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[119034]=e&~(1<<g)}else{if(l>>>0<(c[119038]|0)>>>0){sd();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{sd();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[119036]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=476176+(p<<2)|0;m=476176+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[119034]=e&~(1<<r)}else{if(l>>>0<(c[119038]|0)>>>0){sd();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{sd();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[119036]|0;if((l|0)!=0){q=c[119039]|0;d=l>>>3;l=d<<1;f=476176+(l<<2)|0;k=c[119034]|0;h=1<<d;do{if((k&h|0)==0){c[119034]=k|h;s=f;t=476176+(l+2<<2)|0}else{d=476176+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[119038]|0)>>>0)){s=g;t=d;break}sd();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[119036]=m;c[119039]=e;n=i;return n|0}l=c[119035]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[476440+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[119038]|0;if(r>>>0<i>>>0){sd();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){sd();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){sd();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){sd();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){sd();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{sd();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=476440+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[119035]=c[119035]&~(1<<f);break a}else{if(e>>>0<(c[119038]|0)>>>0){sd();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[119038]|0)>>>0){sd();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[119036]|0;if((f|0)!=0){e=c[119039]|0;i=f>>>3;f=i<<1;q=476176+(f<<2)|0;k=c[119034]|0;g=1<<i;do{if((k&g|0)==0){c[119034]=k|g;y=q;z=476176+(f+2<<2)|0}else{i=476176+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[119038]|0)>>>0)){y=l;z=i;break}sd();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[119036]=p;c[119039]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[119035]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[476440+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[476440+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[119036]|0)-g|0)>>>0)){o=g;break}q=K;m=c[119038]|0;if(q>>>0<m>>>0){sd();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){sd();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){sd();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){sd();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){sd();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{sd();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=476440+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[119035]=c[119035]&~(1<<i);break c}else{if(e>>>0<(c[119038]|0)>>>0){sd();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[119038]|0)>>>0){sd();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=476176+(e<<2)|0;r=c[119034]|0;j=1<<i;do{if((r&j|0)==0){c[119034]=r|j;O=m;P=476176+(e+2<<2)|0}else{i=476176+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[119038]|0)>>>0)){O=d;P=i;break}sd();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=476440+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[119035]|0;l=1<<Q;if((m&l|0)==0){c[119035]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[119038]|0;if(m>>>0<i>>>0){sd();return 0}if(j>>>0<i>>>0){sd();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[119036]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[119039]|0;if(S>>>0>15>>>0){R=J;c[119039]=R+o;c[119036]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[119036]=0;c[119039]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[119037]|0;if(o>>>0<J>>>0){S=J-o|0;c[119037]=S;J=c[119040]|0;K=J;c[119040]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[115496]|0)==0){J=Na(30)|0;if((J-1&J|0)==0){c[115498]=J;c[115497]=J;c[115499]=-1;c[115500]=-1;c[115501]=0;c[119145]=0;c[115496]=(Vd(0)|0)&-16^1431655768;break}else{sd();return 0}}}while(0);J=o+48|0;S=c[115498]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[119144]|0;do{if((O|0)!=0){P=c[119142]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[119145]&4|0)==0){O=c[119040]|0;e:do{if((O|0)==0){T=181}else{L=O;P=476584;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[119037]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=$c(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=$c(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[115497]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[119142]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[119144]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=$c($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[115498]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if(($c(O|0)|0)==-1){$c(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[119145]=c[119145]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=$c(S|0)|0;Z=$c(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[119142]|0)+aa|0;c[119142]=da;if(da>>>0>(c[119143]|0)>>>0){c[119143]=da}da=c[119040]|0;g:do{if((da|0)==0){S=c[119038]|0;if((S|0)==0|ba>>>0<S>>>0){c[119038]=ba}c[119146]=ba;c[119147]=aa;c[119149]=0;c[119043]=c[115496];c[119042]=-1;S=0;do{Y=S<<1;ca=476176+(Y<<2)|0;c[476176+(Y+3<<2)>>2]=ca;c[476176+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[119040]=ba+ea;c[119037]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[119041]=c[115500]}else{S=476584;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[119037]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[119040]=ca+ia;c[119037]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[119041]=c[115500];break g}}while(0);if(ba>>>0<(c[119038]|0)>>>0){c[119038]=ba}S=ba+aa|0;Y=476584;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[119040]|0)){J=(c[119037]|0)+K|0;c[119037]=J;c[119040]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[119039]|0)){J=(c[119036]|0)+K|0;c[119036]=J;c[119039]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=476176+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[119038]|0)>>>0){sd();return 0}if((c[U+12>>2]|0)==(ca|0)){break}sd();return 0}}while(0);if((Q|0)==(U|0)){c[119034]=c[119034]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[119038]|0)>>>0){sd();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}sd();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[119038]|0)>>>0){sd();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){sd();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{sd();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=476440+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[119035]=c[119035]&~(1<<P);break h}else{if(m>>>0<(c[119038]|0)>>>0){sd();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[119038]|0)>>>0){sd();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=476176+(V<<2)|0;P=c[119034]|0;m=1<<J;do{if((P&m|0)==0){c[119034]=P|m;sa=X;ta=476176+(V+2<<2)|0}else{J=476176+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[119038]|0)>>>0)){sa=U;ta=J;break}sd();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=476440+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[119035]|0;Q=1<<ua;if((X&Q|0)==0){c[119035]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[119038]|0;if(X>>>0<$>>>0){sd();return 0}if(m>>>0<$>>>0){sd();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=476584;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[119040]=ba+Ba;c[119037]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[119041]=c[115500];c[W+4>>2]=27;c[Z>>2]=c[119146];c[Z+4>>2]=c[119147];c[Z+8>>2]=c[119148];c[Z+12>>2]=c[119149];c[119146]=ba;c[119147]=aa;c[119149]=0;c[119148]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=476176+(K<<2)|0;S=c[119034]|0;m=1<<Z;do{if((S&m|0)==0){c[119034]=S|m;Ca=ca;Da=476176+(K+2<<2)|0}else{Z=476176+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[119038]|0)>>>0)){Ca=Q;Da=Z;break}sd();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=476440+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[119035]|0;Q=1<<Ea;if((ca&Q|0)==0){c[119035]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[119038]|0;if(ca>>>0<m>>>0){sd();return 0}if(_>>>0<m>>>0){sd();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[119037]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[119037]=_;da=c[119040]|0;Q=da;c[119040]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(cd()|0)>>2]=12;n=0;return n|0}function WR(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[119038]|0;if(b>>>0<e>>>0){sd()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){sd()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){sd()}if((n|0)==(c[119039]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[119036]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=476176+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){sd()}if((c[k+12>>2]|0)==(n|0)){break}sd()}}while(0);if((s|0)==(k|0)){c[119034]=c[119034]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){sd()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}sd()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){sd()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){sd()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){sd()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{sd()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=476440+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[119035]=c[119035]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[119038]|0)>>>0){sd()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[119038]|0)>>>0){sd()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[119038]|0)>>>0){sd()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[119038]|0)>>>0){sd()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){sd()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){sd()}do{if((e&2|0)==0){if((j|0)==(c[119040]|0)){B=(c[119037]|0)+r|0;c[119037]=B;c[119040]=q;c[q+4>>2]=B|1;if((q|0)!=(c[119039]|0)){return}c[119039]=0;c[119036]=0;return}if((j|0)==(c[119039]|0)){B=(c[119036]|0)+r|0;c[119036]=B;c[119039]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=476176+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[119038]|0)>>>0){sd()}if((c[u+12>>2]|0)==(j|0)){break}sd()}}while(0);if((g|0)==(u|0)){c[119034]=c[119034]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[119038]|0)>>>0){sd()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}sd()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[119038]|0)>>>0){sd()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[119038]|0)>>>0){sd()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){sd()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{sd()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=476440+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[119035]=c[119035]&~(1<<t);break b}else{if(f>>>0<(c[119038]|0)>>>0){sd()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[119038]|0)>>>0){sd()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[119038]|0)>>>0){sd()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[119038]|0)>>>0){sd()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[119039]|0)){H=B;break}c[119036]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=476176+(d<<2)|0;A=c[119034]|0;E=1<<r;do{if((A&E|0)==0){c[119034]=A|E;I=e;J=476176+(d+2<<2)|0}else{r=476176+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[119038]|0)>>>0)){I=h;J=r;break}sd()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=476440+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[119035]|0;d=1<<K;do{if((r&d|0)==0){c[119035]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[119038]|0)>>>0){sd()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[119038]|0;if(J>>>0<E>>>0){sd()}if(B>>>0<E>>>0){sd()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[119042]|0)-1|0;c[119042]=q;if((q|0)==0){O=476592}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[119042]=-1;return}function XR(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=VR(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}yS(b|0,0,d|0)|0;return b|0}function YR(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=VR(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(cd()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=ZR(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=VR(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;xS(f|0,a|0,g>>>0<b>>>0?g:b)|0;WR(a);d=f;return d|0}function ZR(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[119038]|0;if(g>>>0<j>>>0){sd();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){sd();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){sd();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[115498]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;_R(g+b|0,k);n=a;return n|0}if((i|0)==(c[119040]|0)){k=(c[119037]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[119040]=g+b;c[119037]=l;n=a;return n|0}if((i|0)==(c[119039]|0)){l=(c[119036]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[119036]=q;c[119039]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=476176+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){sd();return 0}if((c[l+12>>2]|0)==(i|0)){break}sd();return 0}}while(0);if((k|0)==(l|0)){c[119034]=c[119034]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){sd();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}sd();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){sd();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){sd();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){sd();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{sd();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=476440+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[119035]=c[119035]&~(1<<t);break a}else{if(s>>>0<(c[119038]|0)>>>0){sd();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[119038]|0)>>>0){sd();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[119038]|0)>>>0){sd();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;_R(g+b|0,q);n=a;return n|0}return 0}function _R(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[119038]|0;if(i>>>0<l>>>0){sd()}if((j|0)==(c[119039]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[119036]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=476176+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){sd()}if((c[p+12>>2]|0)==(j|0)){break}sd()}}while(0);if((q|0)==(p|0)){c[119034]=c[119034]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){sd()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}sd()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){sd()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){sd()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){sd()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{sd()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=476440+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[119035]=c[119035]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[119038]|0)>>>0){sd()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[119038]|0)>>>0){sd()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[119038]|0)>>>0){sd()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[119038]|0)>>>0){sd()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[119038]|0;if(e>>>0<a>>>0){sd()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[119040]|0)){A=(c[119037]|0)+o|0;c[119037]=A;c[119040]=n;c[n+4>>2]=A|1;if((n|0)!=(c[119039]|0)){return}c[119039]=0;c[119036]=0;return}if((f|0)==(c[119039]|0)){A=(c[119036]|0)+o|0;c[119036]=A;c[119039]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=476176+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){sd()}if((c[g+12>>2]|0)==(f|0)){break}sd()}}while(0);if((t|0)==(g|0)){c[119034]=c[119034]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){sd()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}sd()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){sd()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){sd()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){sd()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{sd()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=476440+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[119035]=c[119035]&~(1<<l);break b}else{if(m>>>0<(c[119038]|0)>>>0){sd()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[119038]|0)>>>0){sd()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[119038]|0)>>>0){sd()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[119038]|0)>>>0){sd()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[119039]|0)){F=A;break}c[119036]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=476176+(z<<2)|0;C=c[119034]|0;b=1<<o;do{if((C&b|0)==0){c[119034]=C|b;G=y;H=476176+(z+2<<2)|0}else{o=476176+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[119038]|0)>>>0)){G=d;H=o;break}sd()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=476440+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[119035]|0;z=1<<I;if((o&z|0)==0){c[119035]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[119038]|0)>>>0){sd()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[119038]|0;if(J>>>0<I>>>0){sd()}if(L>>>0<I>>>0){sd()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function $R(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=VR(b)|0;if((d|0)!=0){e=10;break}a=(I=c[120012]|0,c[120012]=I+0,I);if((a|0)==0){break}re[a&15]()}if((e|0)==10){return d|0}d=Gd(4)|0;c[d>>2]=440488;xc(d|0,446896,188);return 0}function aS(a){a=a|0;return $R(a)|0}function bS(a){a=a|0;if((a|0)==0){return}WR(a);return}function cS(a){a=a|0;bS(a);return}function dS(a){a=a|0;bS(a);return}function eS(a){a=a|0;return}function fS(a){a=a|0;return 414304}function gS(){var a=0;a=Gd(4)|0;c[a>>2]=440488;xc(a|0,446896,188)}function hS(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==1){j=-1074;k=53}else if((e|0)==2){j=-1074;k=53}else if((e|0)==0){j=-149;k=24}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=kS(b)|0}}while((bb(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=kS(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[31264+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=kS(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=kS(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=kS(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=kS(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=kS(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(cd()|0)>>2]=22;jS(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=kS(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=kS(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=kS(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=kS(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=kS(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=FS(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=FS(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=kS(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){jS(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=FS(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=iS(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){jS(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=FS(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=FS(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=FS(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=GS(32,0,j,(j|0)<0|0?-1:0)|0;n=FS(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+rc(+(+lS(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(cd()|0)>>2]=34}l=+mS(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=kS(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=kS(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=kS(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=FS(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;ab=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=FS(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;ab=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=kS(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=ab;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=ab;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=iS(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){jS(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=FS(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(cd()|0)>>2]=22;jS(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(cd()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[17792+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[17792+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[17792+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Vb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Wb=Ua&127;Xb=Ya-9|0}else{Wb=Za;Xb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Xb;Za=Wb;Xa=Ua;Wa=Vb}}if((Vb|0)==0){Sb=Nb;Tb=Wb;Ub=Xb;break}c[h+(Nb<<2)>>2]=Vb;Sb=Nb+1|0;Tb=Wb;Ub=Xb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=FS(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=QS(Va,Ta,1e9,0)|0;ta=RS(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=FS(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=QS(Ua,qa,1e9,0)|0;ta=RS(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;oc=n;pc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){qc=Xa;break}Ua=Xa+oc&127;if((Ua|0)==(gc|0)){qc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[17784+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){qc=2;break}if(ta>>>0>Ua>>>0){qc=Xa;break}else{Xa=Xa+1|0}}if((qc|0)==2&Wa){break f}sc=Za+pc|0;if((oc|0)==(gc|0)){oc=gc;pc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=oc;Ua=oc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=oc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=oc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=pc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+rc(+(+lS(1.0,105-zc|0)),+yc);Bc=+Yb(+yc,+(+lS(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=oc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((oc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((oc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Yb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=pc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=pc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(cd()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=pc}}while(0);l=+mS(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(cd()|0)>>2]=22;jS(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function iS(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=kS(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=kS(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=kS(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=PS(h,l,10,0)|0;b=K;f=FS(q,(q|0)<0|0?-1:0,-48,-1)|0;i=FS(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=kS(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=kS(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=GS(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function jS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function kS(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=oS(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function lS(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function mS(a,b){a=+a;b=b|0;return+(+lS(a,b))}function nS(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){de[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function oS(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((nS(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((de[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function pS(a){a=a|0;return+(+qS(a,0))}function qS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;yS(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;jS(e,0);h=+hS(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function rS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;yS(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;jS(e,0);h=+hS(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function sS(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function tS(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function uS(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function vS(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function wS(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function xS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return zc(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function yS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function zS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}nc(116);nc(111);nc(111);nc(32);nc(109);nc(97);nc(110);nc(121);nc(32);nc(115);nc(101);nc(116);nc(106);nc(109);nc(112);nc(115);nc(32);nc(105);nc(110);nc(32);nc(97);nc(32);nc(102);nc(117);nc(110);nc(99);nc(116);nc(105);nc(111);nc(110);nc(32);nc(99);nc(97);nc(108);nc(108);nc(44);nc(32);nc(98);nc(117);nc(105);nc(108);nc(100);nc(32);nc(119);nc(105);nc(116);nc(104);nc(32);nc(97);nc(32);nc(104);nc(105);nc(103);nc(104);nc(101);nc(114);nc(32);nc(118);nc(97);nc(108);nc(117);nc(101);nc(32);nc(102);nc(111);nc(114);nc(32);nc(77);nc(65);nc(88);nc(95);nc(83);nc(69);nc(84);nc(74);nc(77);nc(80);nc(83);nc(10);ha(0);return 0}function AS(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function BS(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{xS(b,c,d)|0}return b|0}function CS(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function DS(){return CS(o)|0}function ES(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function FS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function GS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function HS(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function IS(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function JS(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function KS(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function LS(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function MS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function NS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=GS(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=GS((SS(i,b,GS(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function OS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=GS(h^a,j^b,h,j)|0;b=K;SS(m,b,GS(k^d,l^e,k,l)|0,K,g)|0;l=GS(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function PS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=MS(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function QS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=SS(a,b,c,d,0)|0;return(K=K,e)|0}function RS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;SS(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function SS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((LS(l|0)|0)>>>0);return(K=n,o)|0}p=(KS(l|0)|0)-(KS(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(KS(l|0)|0)-(KS(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(KS(j|0)|0)+33-(KS(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=LS(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=FS(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;GS(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=GS(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function TS(a){a=a|0;uc(a|0)}function US(a){a=a|0;return Ub(a|0)|0}function VS(a){a=a|0;return ac(a|0)|0}function WS(a){a=a|0;return Ta(a|0)|0}function XS(a){a=a|0;return Qc(a|0)|0}function YS(a){a=a|0;return Pa(a|0)|0}function ZS(a){a=a|0;return xd(a|0)|0}function _S(a){a=a|0;return hb(a|0)|0}function $S(a,b){a=a|0;b=b|0;return Sb(a|0,b|0)|0}function aT(a,b){a=a|0;b=b|0;return qb(a|0,b|0)|0}function bT(){return Td()|0}function cT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ya(a|0,b|0,c|0,d|0)|0}function dT(){eb()}function eT(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Xd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function fT(a,b){a=a|0;b=+b;Yd[a&3](+b)}function gT(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Zd[a&31](b|0,c|0,d|0,e|0,f|0)}function hT(a,b){a=a|0;b=b|0;_d[a&511](b|0)}function iT(a,b,c){a=a|0;b=b|0;c=c|0;$d[a&255](b|0,c|0)}function jT(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return ae[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function kT(a,b){a=a|0;b=b|0;return be[a&255](b|0)|0}function lT(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ce[a&127](b|0,c|0,d|0,e|0,f|0)|0}function mT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return de[a&127](b|0,c|0,d|0)|0}function nT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ee[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function oT(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;fe[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function pT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ge[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function qT(a,b,c){a=a|0;b=b|0;c=+c;return he[a&3](b|0,+c)|0}function rT(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ie[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function sT(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;je[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function tT(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ke[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function uT(a,b,c){a=a|0;b=b|0;c=c|0;return le[a&127](b|0,c|0)|0}function vT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return me[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function wT(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ne[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function xT(a){a=a|0;return oe[a&15]()|0}function yT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return pe[a&127](b|0,c|0,d|0,e|0)|0}function zT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;qe[a&15](b|0,c|0,d|0)}function AT(a){a=a|0;re[a&15]()}function BT(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;se[a&7](b|0,c|0,+d,e|0,f|0)}function CT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;te[a&63](b|0,c|0,d|0,e|0)}function DT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function ET(a){a=+a;ha(1)}function FT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function GT(a){a=a|0;ha(3)}function HT(a,b){a=a|0;b=b|0;ha(4)}function IT(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function JT(a){a=a|0;ha(6);return 0}function KT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function LT(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function MT(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function NT(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function OT(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function PT(a,b){a=a|0;b=+b;ha(12);return 0}function QT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(13)}function RT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(14)}function ST(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(15)}function TT(a,b){a=a|0;b=b|0;ha(16);return 0}function UT(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(17);return 0}function VT(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(18);return 0}function WT(){ha(19);return 0}function XT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function YT(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function ZT(){ha(22)}function _T(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(23)}function $T(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function Cw(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;Dw(e|0);EH(e+200|0);Ew(e+216|0,e+232|0);Ew(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[113391]|0)==0){KH(e+296|0,c[b+80>>2]|0);Fw(e+280|0,e+296|0,429336);RH(e+200|0,e+280|0)|0;QH(e+280|0);QH(e+296|0)}else{SH(e+200|0,c[113361]|0)|0}f=Cc(lI(e+200|0)|0,40152)|0;if((f|0)!=0){j=f;break}f=lI(e+200|0)|0;Sn(0,35368,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=Ni(0)|0;if((f|0)==0){Pa(j|0)|0;Sn(0,31752,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}Yi(f,e|0);Zi(f,8,10);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){yS(e+312|0|0|0,0,1024)|0;while(1){m=pd(e+312|0|0|0,1,1024,j|0)|0;if((_i(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Pa(j|0)|0;break}Pa(j|0)|0;m=lI(e+200|0)|0;o=gj(dj(f)|0)|0;p=ej(f)|0;Qn(1,0,28464,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;Ui(f);Sn(0,25512,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((_i(f,l,vS(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=gj(dj(f)|0)|0;q=ej(f)|0;td(p|0,23368,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=gj(dj(f)|0)|0;o=ej(f)|0;Qn(1,0,438976,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;Ui(f);Sn(0,25512,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;KH(e+1344|0,436072);Jw(e+1336|0,l,e+1344|0);Kw(e+1360|0,l);j=Iw(e+1336|0,e+1360|0)|0;QH(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=lI(e+200|0)|0;Qn(1,0,433368,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{KH(e+1368|0,436072);o=tS(n,lI(Lw(l,e+1368|0)|0)|0)|0;QH(e+1368|0);if((o|0)==0){break}Ui(f);KH(e+1384|0,436072);o=lI(Lw(l,e+1384|0)|0)|0;m=lI(e+200|0)|0;q=c[(b+88|0)>>2]|0;Qn(1,0,431376,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;QH(e+1384|0);Sn(0,25512,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);Mw(e|0,b,c[113382]|0,c[113383]|0);On(23,1,429928,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;KH(e+1416|0,428792);GH(e+1400|0,Lw((e|0)+12|0,e+1416|0)|0);Nw(e+1400|0,d|0,0.0);QH(e+1400|0);QH(e+1416|0);On(23,0,427784,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;KH(e+1448|0,426984);GH(e+1432|0,Lw((e|0)+12|0,e+1448|0)|0);Nw(e+1432|0,d+8|0,1.0);QH(e+1432|0);QH(e+1448|0);On(23,0,426192,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;KH(e+1480|0,425536);GH(e+1464|0,Lw((e|0)+12|0,e+1480|0)|0);Nw(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);QH(e+1464|0);QH(e+1480|0);On(23,0,424768,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;KH(e+1512|0,423992);GH(e+1496|0,Lw((e|0)+12|0,e+1512|0)|0);Nw(e+1496|0,d+32|0,1.0e-5);QH(e+1496|0);QH(e+1512|0);On(23,0,422800,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;KH(e+1544|0,422152);GH(e+1528|0,Lw((e|0)+12|0,e+1544|0)|0);Ow(e+1528|0,d+40|0);QH(e+1528|0);QH(e+1544|0);On(23,0,421488,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;KH(e+1576|0,419944);GH(e+1560|0,Lw((e|0)+12|0,e+1576|0)|0);Ow(e+1560|0,d+44|0);QH(e+1560|0);QH(e+1576|0);On(23,0,418976,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;KH(e+1608|0,418112);GH(e+1592|0,Lw((e|0)+12|0,e+1608|0)|0);Ow(e+1592|0,d+48|0);QH(e+1592|0);QH(e+1608|0);On(23,0,417312,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;KH(e+1640|0,416688);GH(e+1624|0,Lw(l,e+1640|0)|0);Ow(e+1624|0,d+268|0);QH(e+1624|0);QH(e+1640|0);On(23,0,416024,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[113231]|0)!=0){_d[c[3556]&511](23)}KH(e+1744|0,415288);GH(e+1728|0,Lw(l,e+1744|0)|0);Pw(e+1728|0,e+1656|0,0);QH(e+1728|0);QH(e+1744|0);KH(e+1776|0,413744);GH(e+1760|0,Lw(l,e+1776|0)|0);Pw(e+1760|0,e+1664|0,0);QH(e+1760|0);QH(e+1776|0);KH(e+1808|0,412864);GH(e+1792|0,Lw(l,e+1808|0)|0);Pw(e+1792|0,e+1672|0,0);QH(e+1792|0);QH(e+1808|0);KH(e+1840|0,411984);GH(e+1824|0,Lw(l,e+1840|0)|0);Pw(e+1824|0,e+1688|0,0);QH(e+1824|0);QH(e+1840|0);KH(e+1872|0,411160);GH(e+1856|0,Lw(l,e+1872|0)|0);Pw(e+1856|0,e+1680|0,0);QH(e+1856|0);QH(e+1872|0);KH(e+1904|0,410384);GH(e+1888|0,Lw(l,e+1904|0)|0);Pw(e+1888|0,e+1704|0,0);QH(e+1888|0);QH(e+1904|0);KH(e+1936|0,409704);GH(e+1920|0,Lw(l,e+1936|0)|0);Pw(e+1920|0,e+1696|0,0);QH(e+1920|0);QH(e+1936|0);KH(e+1968|0,342904);GH(e+1952|0,Lw(l,e+1968|0)|0);Pw(e+1952|0,e+1720|0,0);QH(e+1952|0);QH(e+1968|0);KH(e+2e3|0,42240);GH(e+1984|0,Lw(l,e+2e3|0)|0);Pw(e+1984|0,e+1712|0,0);QH(e+1984|0);QH(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}On(4,1,36448,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=Qw(d,e+2032|0)|0;KH(e+2040|0,35976);GH(e+2016|0,Lw(j,e+2040|0)|0);Ow(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);QH(e+2016|0);QH(e+2040|0);c[(e+2072|0)>>2]=n;j=Qw(d,e+2072|0)|0;KH(e+2080|0,34624);GH(e+2056|0,Lw(j,e+2080|0)|0);Rw(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);QH(e+2056|0);QH(e+2080|0);c[(e+2112|0)>>2]=n;j=Qw(d,e+2112|0)|0;KH(e+2120|0,34072);GH(e+2096|0,Lw(j,e+2120|0)|0);Ow(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);QH(e+2096|0);QH(e+2120|0);c[(e+2152|0)>>2]=n;j=Qw(d,e+2152|0)|0;KH(e+2160|0,33448);GH(e+2136|0,Lw(j,e+2160|0)|0);Ow(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);QH(e+2136|0);QH(e+2160|0);c[(e+2192|0)>>2]=n;j=Qw(d,e+2192|0)|0;KH(e+2200|0,32936);GH(e+2176|0,Lw(j,e+2200|0)|0);Pw(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);QH(e+2176|0);QH(e+2200|0);c[(e+2232|0)>>2]=n;j=Qw(d,e+2232|0)|0;KH(e+2240|0,32328);GH(e+2216|0,Lw(j,e+2240|0)|0);Pw(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);QH(e+2216|0);QH(e+2240|0);c[(e+2272|0)>>2]=n;j=Qw(d,e+2272|0)|0;KH(e+2280|0,30848);GH(e+2256|0,Lw(j,e+2280|0)|0);Pw(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);QH(e+2256|0);QH(e+2280|0);c[(e+2312|0)>>2]=n;j=Qw(d,e+2312|0)|0;KH(e+2320|0,30304);GH(e+2296|0,Lw(j,e+2320|0)|0);Pw(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);QH(e+2296|0);QH(e+2320|0);c[(e+2352|0)>>2]=n;j=Qw(d,e+2352|0)|0;KH(e+2360|0,29744);GH(e+2336|0,Lw(j,e+2360|0)|0);Pw(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);QH(e+2336|0);QH(e+2360|0);c[(e+2392|0)>>2]=n;j=Qw(d,e+2392|0)|0;KH(e+2400|0,29264);GH(e+2376|0,Lw(j,e+2400|0)|0);Sw(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);QH(e+2376|0);QH(e+2400|0);c[(e+2432|0)>>2]=n;j=Qw(d,e+2432|0)|0;KH(e+2440|0,29056);GH(e+2416|0,Lw(j,e+2440|0)|0);Nw(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);QH(e+2416|0);QH(e+2440|0);c[(e+2472|0)>>2]=n;j=Qw(d,e+2472|0)|0;KH(e+2480|0,28776);GH(e+2456|0,Lw(j,e+2480|0)|0);Sw(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);QH(e+2456|0);QH(e+2480|0);c[(e+2512|0)>>2]=n;j=Qw(d,e+2512|0)|0;KH(e+2520|0,28032);GH(e+2496|0,Lw(j,e+2520|0)|0);Sw(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);QH(e+2496|0);QH(e+2520|0);c[(e+2552|0)>>2]=n;j=Qw(d,e+2552|0)|0;KH(e+2560|0,27848);GH(e+2536|0,Lw(j,e+2560|0)|0);Nw(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);QH(e+2536|0);QH(e+2560|0);c[(e+2592|0)>>2]=n;j=Qw(d,e+2592|0)|0;KH(e+2600|0,27600);GH(e+2576|0,Lw(j,e+2600|0)|0);Nw(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);QH(e+2576|0);QH(e+2600|0);c[(e+2632|0)>>2]=n;j=Qw(d,e+2632|0)|0;KH(e+2640|0,27240);GH(e+2616|0,Lw(j,e+2640|0)|0);Nw(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);QH(e+2616|0);QH(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?26048:25880;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];On(4,0,26696,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?475944:26344,h[k+16>>3]=r,c[k+24>>2]=q?475944:26200,c[k+32>>2]=m,c[k+40>>2]=o?475944:26344,h[k+48>>3]=s,c[k+56>>2]=o?475944:26200,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}KH(e+2656|0,w);c[(Tw(e+216|0,e+2656|0)|0)>>2]=n;QH(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,24944,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=Qw(n,e+2688|0)|0;KH(e+2696|0,35976);GH(e+2672|0,Lw(m,e+2696|0)|0);Ow(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);QH(e+2672|0);QH(e+2696|0);c[(e+2728|0)>>2]=d;m=Qw(n,e+2728|0)|0;KH(e+2736|0,34624);GH(e+2712|0,Lw(m,e+2736|0)|0);Rw(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);QH(e+2712|0);QH(e+2736|0);c[(e+2768|0)>>2]=d;m=Qw(n,e+2768|0)|0;KH(e+2776|0,34072);GH(e+2752|0,Lw(m,e+2776|0)|0);Ow(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);QH(e+2752|0);QH(e+2776|0);c[(e+2808|0)>>2]=d;m=Qw(n,e+2808|0)|0;KH(e+2816|0,33448);GH(e+2792|0,Lw(m,e+2816|0)|0);Ow(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);QH(e+2792|0);QH(e+2816|0);c[(e+2848|0)>>2]=d;m=Qw(n,e+2848|0)|0;KH(e+2856|0,32936);GH(e+2832|0,Lw(m,e+2856|0)|0);Pw(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);QH(e+2832|0);QH(e+2856|0);c[(e+2888|0)>>2]=d;m=Qw(n,e+2888|0)|0;KH(e+2896|0,32328);GH(e+2872|0,Lw(m,e+2896|0)|0);Pw(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);QH(e+2872|0);QH(e+2896|0);c[(e+2928|0)>>2]=d;m=Qw(n,e+2928|0)|0;KH(e+2936|0,30848);GH(e+2912|0,Lw(m,e+2936|0)|0);Pw(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);QH(e+2912|0);QH(e+2936|0);c[(e+2968|0)>>2]=d;m=Qw(n,e+2968|0)|0;KH(e+2976|0,30304);GH(e+2952|0,Lw(m,e+2976|0)|0);Pw(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);QH(e+2952|0);QH(e+2976|0);c[(e+3008|0)>>2]=d;m=Qw(n,e+3008|0)|0;KH(e+3016|0,29744);GH(e+2992|0,Lw(m,e+3016|0)|0);Pw(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);QH(e+2992|0);QH(e+3016|0);c[(e+3048|0)>>2]=d;m=Qw(n,e+3048|0)|0;KH(e+3056|0,29264);GH(e+3032|0,Lw(m,e+3056|0)|0);Sw(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);QH(e+3032|0);QH(e+3056|0);c[(e+3088|0)>>2]=d;m=Qw(n,e+3088|0)|0;KH(e+3096|0,29056);GH(e+3072|0,Lw(m,e+3096|0)|0);Nw(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);QH(e+3072|0);QH(e+3096|0);c[(e+3128|0)>>2]=d;m=Qw(n,e+3128|0)|0;KH(e+3136|0,28776);GH(e+3112|0,Lw(m,e+3136|0)|0);Sw(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);QH(e+3112|0);QH(e+3136|0);c[(e+3168|0)>>2]=d;m=Qw(n,e+3168|0)|0;KH(e+3176|0,28032);GH(e+3152|0,Lw(m,e+3176|0)|0);Sw(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);QH(e+3152|0);QH(e+3176|0);c[(e+3208|0)>>2]=d;m=Qw(n,e+3208|0)|0;KH(e+3216|0,27848);GH(e+3192|0,Lw(m,e+3216|0)|0);Nw(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);QH(e+3192|0);QH(e+3216|0);c[(e+3248|0)>>2]=d;m=Qw(n,e+3248|0)|0;KH(e+3256|0,27600);GH(e+3232|0,Lw(m,e+3256|0)|0);Nw(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);QH(e+3232|0);QH(e+3256|0);c[(e+3288|0)>>2]=d;m=Qw(n,e+3288|0)|0;KH(e+3296|0,27240);GH(e+3272|0,Lw(m,e+3296|0)|0);Nw(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);QH(e+3272|0);QH(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?26048:25880;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];On(4,0,26696,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?475944:26344,h[k+16>>3]=v,c[k+24>>2]=q?475944:26200,c[k+32>>2]=j,c[k+40>>2]=p?475944:26344,h[k+48>>3]=t,c[k+56>>2]=p?475944:26200,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;KH(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(Tw(e+216|0,e+3312|0)|0)>>2]=q;QH(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,24616,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=Qw(n,e+3344|0)|0;KH(e+3352|0,35976);GH(e+3328|0,Lw(j,e+3352|0)|0);Ow(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);QH(e+3328|0);QH(e+3352|0);c[(e+3384|0)>>2]=q;j=Qw(n,e+3384|0)|0;KH(e+3392|0,34624);GH(e+3368|0,Lw(j,e+3392|0)|0);Rw(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);QH(e+3368|0);QH(e+3392|0);c[(e+3424|0)>>2]=q;j=Qw(n,e+3424|0)|0;KH(e+3432|0,34072);GH(e+3408|0,Lw(j,e+3432|0)|0);Ow(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);QH(e+3408|0);QH(e+3432|0);c[(e+3464|0)>>2]=q;j=Qw(n,e+3464|0)|0;KH(e+3472|0,33448);GH(e+3448|0,Lw(j,e+3472|0)|0);Ow(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);QH(e+3448|0);QH(e+3472|0);c[(e+3504|0)>>2]=q;j=Qw(n,e+3504|0)|0;KH(e+3512|0,32936);GH(e+3488|0,Lw(j,e+3512|0)|0);Pw(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);QH(e+3488|0);QH(e+3512|0);c[(e+3544|0)>>2]=q;j=Qw(n,e+3544|0)|0;KH(e+3552|0,32328);GH(e+3528|0,Lw(j,e+3552|0)|0);Pw(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);QH(e+3528|0);QH(e+3552|0);c[(e+3584|0)>>2]=q;j=Qw(n,e+3584|0)|0;KH(e+3592|0,30848);GH(e+3568|0,Lw(j,e+3592|0)|0);Pw(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);QH(e+3568|0);QH(e+3592|0);c[(e+3624|0)>>2]=q;j=Qw(n,e+3624|0)|0;KH(e+3632|0,30304);GH(e+3608|0,Lw(j,e+3632|0)|0);Pw(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);QH(e+3608|0);QH(e+3632|0);c[(e+3664|0)>>2]=q;j=Qw(n,e+3664|0)|0;KH(e+3672|0,29744);GH(e+3648|0,Lw(j,e+3672|0)|0);Pw(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);QH(e+3648|0);QH(e+3672|0);c[(e+3704|0)>>2]=q;j=Qw(n,e+3704|0)|0;KH(e+3712|0,29264);GH(e+3688|0,Lw(j,e+3712|0)|0);Sw(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);QH(e+3688|0);QH(e+3712|0);c[(e+3744|0)>>2]=q;j=Qw(n,e+3744|0)|0;KH(e+3752|0,29056);GH(e+3728|0,Lw(j,e+3752|0)|0);Nw(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);QH(e+3728|0);QH(e+3752|0);c[(e+3784|0)>>2]=q;j=Qw(n,e+3784|0)|0;KH(e+3792|0,28776);GH(e+3768|0,Lw(j,e+3792|0)|0);Sw(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);QH(e+3768|0);QH(e+3792|0);c[(e+3824|0)>>2]=q;j=Qw(n,e+3824|0)|0;KH(e+3832|0,28032);GH(e+3808|0,Lw(j,e+3832|0)|0);Sw(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);QH(e+3808|0);QH(e+3832|0);c[(e+3864|0)>>2]=q;j=Qw(n,e+3864|0)|0;KH(e+3872|0,27848);GH(e+3848|0,Lw(j,e+3872|0)|0);Nw(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);QH(e+3848|0);QH(e+3872|0);c[(e+3904|0)>>2]=q;j=Qw(n,e+3904|0)|0;KH(e+3912|0,27600);GH(e+3888|0,Lw(j,e+3912|0)|0);Nw(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);QH(e+3888|0);QH(e+3912|0);c[(e+3944|0)>>2]=q;j=Qw(n,e+3944|0)|0;KH(e+3952|0,27240);GH(e+3928|0,Lw(j,e+3952|0)|0);Nw(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);QH(e+3928|0);QH(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?26048:25880;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];On(4,0,26696,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?475944:26344,h[k+16>>3]=r,c[k+24>>2]=m?475944:26200,c[k+32>>2]=o,c[k+40>>2]=z?475944:26344,h[k+48>>3]=s,c[k+56>>2]=z?475944:26200,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}KH(e+3968|0,A);c[(Tw(e+216|0,e+3968|0)|0)>>2]=d;QH(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,24288,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=Qw(p,e+4e3|0)|0;KH(e+4008|0,35976);GH(e+3984|0,Lw(n,e+4008|0)|0);Ow(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);QH(e+3984|0);QH(e+4008|0);c[(e+4040|0)>>2]=q;n=Qw(p,e+4040|0)|0;KH(e+4048|0,34624);GH(e+4024|0,Lw(n,e+4048|0)|0);Rw(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);QH(e+4024|0);QH(e+4048|0);c[(e+4080|0)>>2]=q;n=Qw(p,e+4080|0)|0;KH(e+4088|0,34072);GH(e+4064|0,Lw(n,e+4088|0)|0);Ow(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);QH(e+4064|0);QH(e+4088|0);c[(e+4120|0)>>2]=q;n=Qw(p,e+4120|0)|0;KH(e+4128|0,33448);GH(e+4104|0,Lw(n,e+4128|0)|0);Ow(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);QH(e+4104|0);QH(e+4128|0);c[(e+4160|0)>>2]=q;n=Qw(p,e+4160|0)|0;KH(e+4168|0,32936);GH(e+4144|0,Lw(n,e+4168|0)|0);Pw(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);QH(e+4144|0);QH(e+4168|0);c[(e+4200|0)>>2]=q;n=Qw(p,e+4200|0)|0;KH(e+4208|0,32328);GH(e+4184|0,Lw(n,e+4208|0)|0);Pw(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);QH(e+4184|0);QH(e+4208|0);c[(e+4240|0)>>2]=q;n=Qw(p,e+4240|0)|0;KH(e+4248|0,30848);GH(e+4224|0,Lw(n,e+4248|0)|0);Pw(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);QH(e+4224|0);QH(e+4248|0);c[(e+4280|0)>>2]=q;n=Qw(p,e+4280|0)|0;KH(e+4288|0,30304);GH(e+4264|0,Lw(n,e+4288|0)|0);Pw(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);QH(e+4264|0);QH(e+4288|0);c[(e+4320|0)>>2]=q;n=Qw(p,e+4320|0)|0;KH(e+4328|0,29744);GH(e+4304|0,Lw(n,e+4328|0)|0);Pw(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);QH(e+4304|0);QH(e+4328|0);c[(e+4360|0)>>2]=q;n=Qw(p,e+4360|0)|0;KH(e+4368|0,29264);GH(e+4344|0,Lw(n,e+4368|0)|0);Sw(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);QH(e+4344|0);QH(e+4368|0);c[(e+4400|0)>>2]=q;n=Qw(p,e+4400|0)|0;KH(e+4408|0,29056);GH(e+4384|0,Lw(n,e+4408|0)|0);Pw(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);QH(e+4384|0);QH(e+4408|0);c[(e+4440|0)>>2]=q;n=Qw(p,e+4440|0)|0;KH(e+4448|0,28776);GH(e+4424|0,Lw(n,e+4448|0)|0);Sw(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);QH(e+4424|0);QH(e+4448|0);c[(e+4480|0)>>2]=q;n=Qw(p,e+4480|0)|0;KH(e+4488|0,27600);GH(e+4464|0,Lw(n,e+4488|0)|0);Pw(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);QH(e+4464|0);QH(e+4488|0);c[(e+4520|0)>>2]=q;n=Qw(p,e+4520|0)|0;KH(e+4528|0,27240);GH(e+4504|0,Lw(n,e+4528|0)|0);Pw(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);QH(e+4504|0);QH(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?26048:25880;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;On(4,0,24096,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?475944:26344,c[k+16>>2]=o,c[k+24>>2]=d?475944:26200,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}KH(e+4544|0,C);c[(Tw(e+216|0,e+4544|0)|0)>>2]=q;QH(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,23576,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[113230]|c[113292]|0)!=0){Qn(22,1,41640,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;Qn(22,0,40864,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;Qn(22,0,39424,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;Qn(22,0,39080,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;Qn(22,0,38672,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;Qn(22,0,38320,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;Qn(22,0,37888,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;Qn(22,0,37408,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;Qn(22,0,37120,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;Qn(22,0,36808,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;_d[c[3556]&511](22)}Ui(f);Ta(0)|0;uc(-1|0)}function Dw(a){a=a|0;JD(a);return}function Ew(a,b){a=a|0;b=b|0;oz(a,0);return}function Fw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;FH(a,d|0);e=OH(b)|0;f=yx(c)|0;pI(a,PH(b)|0,e,f+e|0);hI(a,c,f)|0;i=d;return}function Gw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((tS(b,428504)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{KH(f,v);s=Lw(t,f)|0;SH(s,c[d+((u|1)<<2)>>2]|0)|0;QH(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((tS(b,428472)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{KH(g,t);v=Lw(u,g)|0;SH(v,c[d+((f|1)<<2)>>2]|0)|0;QH(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((tS(b,428392)|0)!=0){do{if((tS(b,426720)|0)!=0){if((tS(b,426680)|0)==0){break}if((tS(b,426584)|0)==0){break}if((tS(b,426576)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=Qw(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){KH(q,c[v>>2]|0);u=Lw(s,q)|0;SH(u,c[d+((t|1)<<2)>>2]|0)|0;QH(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=Qw(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}KH(r,426520);SH(Lw(w,r)|0,b)|0;QH(r);i=e;return}$w(h,j);EH(k);EH(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{KH(m,s);b=Lw(h,m)|0;SH(b,c[d+((w|1)<<2)>>2]|0)|0;QH(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}KH(n,428352);RH(k,Lw(h,n)|0)|0;QH(n);KH(o,428296);RH(l,Lw(h,o)|0)|0;QH(o);c[j>>2]=Wc(lI(k)|0)|0;if((oI(l,428144)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((oI(l,428128)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((oI(l,428072)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((oI(l,428016)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((oI(l,428008)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((oI(l,427536)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((oI(l,427520)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((oI(l,427512)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((oI(l,427424)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((oI(l,427384)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((oI(l,427376)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((oI(l,427312)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((oI(l,427224)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((oI(l,427192)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=lI(l)|0;KH(p,35976);M=lI(Lw(h,p)|0)|0;Rn(0,(N|0)!=0|0,427096,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;QH(p);mC(Qw(c[r>>2]|0,j)|0,h)|0;QH(l);QH(k);hx(h);i=e;return}function Hw(a,b){a=a|0;b=b|0;return}function Iw(a,b){a=a|0;b=b|0;return Zy(a|0,b|0)|0}function Jw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;gz(e,b|0,c);_y(a,e);i=d;return}function Kw(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;$y(d,b|0);_y(a,d);i=c;return}function Lw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=IA(a,e,b)|0;k=c[j>>2]|0;ot(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}KA(h,a,b);LA(g,h);JA(f,g);MA(h);h=c[e>>2]|0;NA(a|0,h,j,OA(f)|0);j=PA(f)|0;MA(f);l=j;m=l+28|0;i=d;return m|0}function Mw(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Wa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;$w(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){Sn(0,431792,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Qc(d|0)|0}else{_b=0}if(Yb){$b=_b}else{On(23,0,431744,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;ax(h);bx(h,e,8);if(!(cx(h)|0)){Sn(0,431080,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}EH(j);e=h;dx(e,j)|0;GH(k,j);while(1){_b=dx(e,j)|0;if(!(AI(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}zI(l,430880,j);fI(k,l)|0;QH(l)}l=Qc(lI(k)|0)|0;ex(h);QH(k);QH(j);fx(h);$b=l}if(($b|0)==0){On(23,0,430440,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;hx(g);i=f;return}EH(m);EH(n);On(23,0,430728,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Xa($b|0,430880)|0;if((l|0)!=0){h=l;do{l=$R(12)|0;KH(l,h);j=mI(l,430632,0)|0;kI(o,l,0,j);RH(m,o)|0;QH(o);kI(p,l,j+1|0,(XH(l)|0)+~j|0);RH(n,p)|0;QH(p);RH(Lw(g,m)|0,n)|0;j=lI(m)|0;l=lI(n)|0;On(23,0,430608,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Xa(0,430880)|0;}while((h|0)!=0)}WR($b);$b=a+12|0;KH(q,422152);h=Lw($b,q)|0;KH(r,422152);if((gx(g,r)|0)==0){KH(t,422152);ac=Lw($b,t)|0;bc=1;cc=0}else{KH(s,422152);ac=Lw(g,s)|0;bc=0;cc=1}RH(h,ac)|0;if(bc){QH(t)}if(cc){QH(s)}QH(r);QH(q);KH(u,428792);q=Lw($b,u)|0;KH(v,428792);if((gx(g,v)|0)==0){KH(x,428792);dc=Lw($b,x)|0;ec=1;fc=0}else{KH(w,428792);dc=Lw(g,w)|0;ec=0;fc=1}RH(q,dc)|0;if(ec){QH(x)}if(fc){QH(w)}QH(v);QH(u);KH(y,426984);u=Lw($b,y)|0;KH(z,426984);if((gx(g,z)|0)==0){KH(B,426984);gc=Lw($b,B)|0;hc=1;ic=0}else{KH(A,426984);gc=Lw(g,A)|0;hc=0;ic=1}RH(u,gc)|0;if(hc){QH(B)}if(ic){QH(A)}QH(z);QH(y);KH(C,425536);y=Lw($b,C)|0;KH(D,425536);if((gx(g,D)|0)==0){KH(F,425536);jc=Lw($b,F)|0;kc=1;lc=0}else{KH(E,425536);jc=Lw(g,E)|0;kc=0;lc=1}RH(y,jc)|0;if(kc){QH(F)}if(lc){QH(E)}QH(D);QH(C);KH(G,423992);C=Lw($b,G)|0;KH(H,423992);if((gx(g,H)|0)==0){KH(J,423992);mc=Lw($b,J)|0;nc=1;oc=0}else{KH(I,423992);mc=Lw(g,I)|0;nc=0;oc=1}RH(C,mc)|0;if(nc){QH(J)}if(oc){QH(I)}QH(H);QH(G);KH(K,419944);G=Lw($b,K)|0;KH(L,419944);if((gx(g,L)|0)==0){KH(N,419944);pc=Lw($b,N)|0;qc=1;rc=0}else{KH(M,419944);pc=Lw(g,M)|0;qc=0;rc=1}RH(G,pc)|0;if(qc){QH(N)}if(rc){QH(M)}QH(L);QH(K);KH(O,418112);K=Lw($b,O)|0;KH(P,418112);if((gx(g,P)|0)==0){KH(R,418112);sc=Lw($b,R)|0;tc=1;uc=0}else{KH(Q,418112);sc=Lw(g,Q)|0;tc=0;uc=1}RH(K,sc)|0;if(tc){QH(R)}if(uc){QH(Q)}QH(P);QH(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=Qw(Q,S)|0;KH(T,29056);sc=Lw(tc,T)|0;c[U>>2]=R;tc=Qw(Q,U)|0;KH(V,35976);if((gx(g,Lw(tc,V)|0)|0)==0){c[Y>>2]=R;tc=Qw(Q,Y)|0;KH(Z,29056);vc=Lw(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=Qw(Q,W)|0;KH(X,35976);vc=Lw(g,Lw(tc,X)|0)|0;wc=0;xc=1}RH(sc,vc)|0;if(wc){QH(Z)}if(xc){QH(X)}QH(V);QH(T);c[_>>2]=R;sc=Qw(uc,_)|0;KH($,29056);tc=Lw(sc,$)|0;c[aa>>2]=R;sc=Qw(uc,aa)|0;KH(ba,35976);if((gx(g,Lw(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=Qw(uc,ea)|0;KH(fa,29056);yc=Lw(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=Qw(uc,ca)|0;KH(da,35976);yc=Lw(g,Lw(sc,da)|0)|0;zc=0;Ac=1}RH(tc,yc)|0;if(zc){QH(fa)}if(Ac){QH(da)}QH(ba);QH($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=Qw(Bc,ga)|0;KH(ha,29056);ba=Lw($,ha)|0;c[ia>>2]=R;$=Qw(Bc,ia)|0;KH(ja,35976);if((gx(g,Lw($,ja)|0)|0)==0){c[ma>>2]=R;$=Qw(Bc,ma)|0;KH(na,29056);Cc=Lw($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=Qw(Bc,ka)|0;KH(la,35976);Cc=Lw(g,Lw($,la)|0)|0;Dc=0;Ec=1}RH(ba,Cc)|0;if(Dc){QH(na)}if(Ec){QH(la)}QH(ja);QH(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=Qw(P,oa)|0;KH(pa,29056);ja=Lw(ha,pa)|0;c[qa>>2]=R;ha=Qw(P,qa)|0;KH(ra,35976);if((gx(g,Lw(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=Qw(P,ua)|0;KH(va,29056);Fc=Lw(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=Qw(P,sa)|0;KH(ta,35976);Fc=Lw(g,Lw(ha,ta)|0)|0;Gc=0;Hc=1}RH(ja,Fc)|0;if(Gc){QH(va)}if(Hc){QH(ta)}QH(ra);QH(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=Qw(R,wa)|0;KH(xa,29056);ta=Lw(ra,xa)|0;c[ya>>2]=pa;ra=Qw(R,ya)|0;KH(za,35976);if((gx(g,Lw(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=Qw(R,Ca)|0;KH(Da,29056);Ic=Lw(ra,Da)|0;Jc=1;Kc=0}else{c[Aa>>2]=pa;ra=Qw(R,Aa)|0;KH(Ba,35976);Ic=Lw(g,Lw(ra,Ba)|0)|0;Jc=0;Kc=1}RH(ta,Ic)|0;if(Jc){QH(Da)}if(Kc){QH(Ba)}QH(za);QH(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=Qw(pa,Ea)|0;KH(Fa,29056);Ba=Lw(za,Fa)|0;c[Ga>>2]=xa;za=Qw(pa,Ga)|0;KH(Ha,35976);if((gx(g,Lw(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=Qw(pa,Ka)|0;KH(La,29056);Lc=Lw(za,La)|0;Mc=1;Nc=0}else{c[Ia>>2]=xa;za=Qw(pa,Ia)|0;KH(Ja,35976);Lc=Lw(g,Lw(za,Ja)|0)|0;Mc=0;Nc=1}RH(Ba,Lc)|0;if(Mc){QH(La)}if(Nc){QH(Ja)}QH(Ha);QH(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=Qw(xa,Ma)|0;KH(Na,29056);Ja=Lw(Ha,Na)|0;c[Oa>>2]=Fa;Ha=Qw(xa,Oa)|0;KH(Pa,35976);if((gx(g,Lw(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=Qw(xa,Sa)|0;KH(Ta,29056);Oc=Lw(Ha,Ta)|0;Pc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=Qw(xa,Qa)|0;KH(Ra,35976);Oc=Lw(g,Lw(Ha,Ra)|0)|0;Pc=0;Rc=1}RH(Ja,Oc)|0;if(Pc){QH(Ta)}if(Rc){QH(Ra)}QH(Pa);QH(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=Qw(Fa,Ua)|0;KH(Va,29056);Ra=Lw(Pa,Va)|0;c[Wa>>2]=Na;Pa=Qw(Fa,Wa)|0;KH(Ya,35976);if((gx(g,Lw(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=Qw(Fa,$a)|0;KH(ab,29056);Sc=Lw(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=Qw(Fa,Za)|0;KH(_a,35976);Sc=Lw(g,Lw(Pa,_a)|0)|0;Tc=0;Uc=1}RH(Ra,Sc)|0;if(Tc){QH(ab)}if(Uc){QH(_a)}QH(Ya);QH(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=Qw(Na,bb)|0;KH(cb,29056);_a=Lw(Ya,cb)|0;c[db>>2]=Va;Ya=Qw(Na,db)|0;KH(eb,35976);if((gx(g,Lw(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=Qw(Na,hb)|0;KH(ib,29056);Vc=Lw(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=Qw(Na,fb)|0;KH(gb,35976);Vc=Lw(g,Lw(Ya,gb)|0)|0;Wc=0;Xc=1}RH(_a,Vc)|0;if(Wc){QH(ib)}if(Xc){QH(gb)}QH(eb);QH(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=Qw(Va,jb)|0;KH(kb,29056);gb=Lw(eb,kb)|0;c[lb>>2]=cb;eb=Qw(Va,lb)|0;KH(mb,35976);if((gx(g,Lw(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=Qw(Va,pb)|0;KH(qb,29056);Yc=Lw(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=Qw(Va,nb)|0;KH(ob,35976);Yc=Lw(g,Lw(eb,ob)|0)|0;Zc=0;_c=1}RH(gb,Yc)|0;if(Zc){QH(qb)}if(_c){QH(ob)}QH(mb);QH(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=Qw(cb,rb)|0;KH(sb,29056);ob=Lw(mb,sb)|0;c[tb>>2]=kb;mb=Qw(cb,tb)|0;KH(ub,35976);if((gx(g,Lw(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=Qw(cb,xb)|0;KH(yb,29056);$c=Lw(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=Qw(cb,vb)|0;KH(wb,35976);$c=Lw(g,Lw(mb,wb)|0)|0;ad=0;bd=1}RH(ob,$c)|0;if(ad){QH(yb)}if(bd){QH(wb)}QH(ub);QH(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=Qw(kb,zb)|0;KH(Ab,29056);wb=Lw(ub,Ab)|0;c[Bb>>2]=sb;ub=Qw(kb,Bb)|0;KH(Cb,35976);if((gx(g,Lw(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=Qw(kb,Fb)|0;KH(Gb,29056);cd=Lw(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=Qw(kb,Db)|0;KH(Eb,35976);cd=Lw(g,Lw(ub,Eb)|0)|0;dd=0;ed=1}RH(wb,cd)|0;if(dd){QH(Gb)}if(ed){QH(Eb)}QH(Cb);QH(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=Qw(sb,Hb)|0;KH(Ib,29056);Eb=Lw(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=Qw(sb,Jb)|0;KH(Kb,35976);if((gx(g,Lw(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=Qw(sb,Nb)|0;KH(Ob,29056);fd=Lw(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=Qw(sb,Lb)|0;KH(Mb,35976);fd=Lw(g,Lw(Cb,Mb)|0)|0;gd=0;hd=1}RH(Eb,fd)|0;if(gd){QH(Ob)}if(hd){QH(Mb)}QH(Kb);QH(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=Qw(b,Pb)|0;KH(Qb,29056);Ib=Lw(Ab,Qb)|0;c[Rb>>2]=a;Ab=Qw(b,Rb)|0;KH(Sb,35976);if((gx(g,Lw(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=Qw(b,Vb)|0;KH(Wb,29056);id=Lw(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=Qw(b,Tb)|0;KH(Ub,35976);id=Lw(g,Lw(Ab,Ub)|0)|0;jd=0;kd=1}RH(Ib,id)|0;if(jd){QH(Wb)}if(kd){QH(Ub)}QH(Sb);QH(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}On(23,0,430560,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;QH(n);QH(m);hx(g);i=f;return}function Nw(a,b,c){a=a|0;b=b|0;c=+c;if((oI(a,475944)|0)==0){h[b>>3]=c;return}if((oI(a,26048)|0)==0){h[b>>3]=1.0;return}if((oI(a,25880)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+pS(lI(a)|0);return}}function Ow(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){Qn(22,0,429056,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Qc(lI(a)|0)|0;i=d;return}}function Pw(a,b,d){a=a|0;b=b|0;d=d|0;if((oI(a,475944)|0)==0){c[b>>2]=d}if((oI(a,26048)|0)==0){c[b>>2]=1;return}if((oI(a,25880)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Wc(lI(a)|0)|0;return}}function Qw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=xz(a,e,b)|0;k=c[j>>2]|0;ot(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}zz(h,a,b);Az(g,h);yz(f,g);Bz(h);h=c[e>>2]|0;Cz(a|0,h,j,Dz(f)|0);j=Ez(f)|0;Bz(f);l=j;m=l+20|0;i=d;return m|0}function Rw(a,b){a=a|0;b=b|0;if((oI(a,26048)|0)==0){c[b>>2]=1;return}if((oI(a,25880)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Wc(lI(a)|0)|0;return}}function Sw(b,c){b=b|0;c=c|0;a[c]=(oI(b,26048)|0)==0|0;return}function Tw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=$x(a,e,b)|0;k=c[j>>2]|0;ot(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}by(h,a,b);cy(g,h);ay(f,g);dy(h);h=c[e>>2]|0;ey(a|0,h,j,fy(f)|0);j=gy(f)|0;dy(f);l=j;m=l+28|0;i=d;return m|0}function Uw(a,b){a=a|0;b=b|0;RH(b,a)|0;return}function Vw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;Sx(e,b|0,c);Kx(a,e);i=d;return}function Ww(a,b){a=a|0;b=b|0;return Ix(a|0,b|0)|0}function Xw(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;Lx(d,b|0);Kx(a,d);i=c;return}function Yw(a){a=a|0;return Fx(a|0)|0}function Zw(a){a=a|0;cC(a);return}function _w(a){a=a|0;RB(a);return}function $w(a,b){a=a|0;b=b|0;yA(a,0);return}function ax(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;NI(b);d=a|0;c[d>>2]=442612;e=b|0;c[e>>2]=442632;b=a+8|0;FJ(a,443572,b|0);c[d>>2]=442612;c[e>>2]=442632;Xv(b);return}function bx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(wt(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){EI(d,4);return}else{CI(d,0);return}}function cx(a){a=a|0;return Ax(a+8|0)|0}function dx(a,b){a=a|0;b=b|0;return zx(a,b,LI(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function ex(a){a=a|0;if((yt(a+8|0)|0)!=0){return}EI(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function fx(a){a=a|0;Ex(a,443568);II(a+108|0);return}function gx(a,b){a=a|0;b=b|0;return ix(a|0,b)|0}function hx(a){a=a|0;GB(a);return}function ix(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=kx(a)|0;ot(e);if((f|0)==0){g=0;i=d;return g|0}h=lx(a)|0;a=f;while(1){f=a+16|0;if(mx(h,b,f)|0){j=a|0}else{if(!(nx(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;ot(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function jx(a){a=a|0;return $s(tx(a+4|0)|0)|0}function kx(a){a=a|0;return c[(jx(a)|0)>>2]|0}function lx(a){a=a|0;return rx(a+8|0)|0}function mx(a,b,c){a=a|0;b=b|0;c=c|0;return ox(0,b,c|0)|0}function nx(a,b,c){a=a|0;b=b|0;c=c|0;return ox(0,b|0,c)|0}function ox(a,b,c){a=a|0;b=b|0;c=c|0;return px(b,c)|0}function px(a,b){a=a|0;b=b|0;return(nI(a,b)|0)<0|0}function qx(a,b,c){a=a|0;b=b|0;c=c|0;return sS(a,b,c)|0}function rx(a){a=a|0;return sx(a|0)|0}function sx(a){a=a|0;return a|0}function tx(a){a=a|0;return ux(a|0)|0}function ux(a){a=a|0;return a|0}function vx(a,b){a=a|0;b=b|0;return xx(0,b,0)|0}function wx(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function xx(a,b,c){a=a|0;b=b|0;c=c|0;return $R(b)|0}function yx(a){a=a|0;return vS(a|0)|0}function zx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;KJ(f,a,1);if(!(NJ(f)|0)){i=e;return a|0}eI(b);f=a;g=a;h=0;while(1){j=TI(JI(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(iu(j,-1)|0){k=h;l=2;break}m=h+1|0;n=ju(j)|0;if(nu(n,d)|0){k=m;l=0;break}gI(b,n);if((OH(b)|0)==-17){k=m;l=4;break}else{h=m}}EI(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function Ax(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function Bx(a){a=a|0;fx(a);bS(a);return}function Cx(a){a=a|0;fx(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Dx(a){a=a|0;Bx(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Ex(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];Yt(a+8|0);return}function Fx(a){a=a|0;return Gx((c[a>>2]|0)+16|0)|0}function Gx(a){a=a|0;return Hx(a)|0}function Hx(a){a=a|0;return a|0}function Ix(a,b){a=a|0;b=b|0;return(Jx(a,b)|0)^1|0}function Jx(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function Kx(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Rx(a,b);i=d;return}function Lx(a,b){a=a|0;b=b|0;Mx(a,Nx(b)|0);return}function Mx(a,b){a=a|0;b=b|0;Qx(a,b);return}function Nx(a){a=a|0;return $s(Ox(a+4|0)|0)|0}function Ox(a){a=a|0;return Px(a|0)|0}function Px(a){a=a|0;return a|0}function Qx(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Rx(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function Sx(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=Ux(b)|0;Tx(f,b,d,h,Nx(b)|0);Lx(g,b);do{if(Ix(f,g)|0){h=Vx(b)|0;if(Wx(h,d,Xx(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);Lx(a,b);i=e;return}function Tx(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;ot(h);a:do{if((e|0)==0){j=f}else{k=Vx(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(_x(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;ot(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;ot(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);Mx(a,j);i=g;return}function Ux(a){a=a|0;return c[(Nx(a)|0)>>2]|0}function Vx(a){a=a|0;return Yx(a+8|0)|0}function Wx(a,b,c){a=a|0;b=b|0;c=c|0;return ox(0,b,c|0)|0}function Xx(a){a=a|0;return(c[a>>2]|0)+16|0}function Yx(a){a=a|0;return Zx(a|0)|0}function Zx(a){a=a|0;return a|0}function _x(a,b,c){a=a|0;b=b|0;c=c|0;return ox(0,b|0,c)|0}function $x(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=Ux(h)|0;ot(e|0);if((a|0)==0){j=Nx(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(ox(0,d,a)|0){m=l|0;j=c[m>>2]|0;ot(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(ox(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;ot(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function ay(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Xy(a,b);i=d;return}function by(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Cy(c|0)|0;c=Ey(k,1)|0;Fy(g,k);Dy(f,c,g);Gy(0,vy((Hy(f)|0)+16|0)|0,d);d=Iy(f)|0;a[d+4|0]=1;Jy(0,ty((Hy(f)|0)+28|0)|0);a[d+5|0]=1;Ky(j,f);cy(h,j);ay(b,h);dy(j);dy(f);i=e;return}function cy(a,b){a=a|0;b=b|0;Ay(a,b);return}function dy(a){a=a|0;py(a);return}function ey(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;ot(f|0);c[e>>2]=0;ot(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=ly(a)|0;b=c[c[e>>2]>>2]|0;ot(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(Nx(a)|0)>>2]|0;_u(e,c[d>>2]|0);d=my(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function fy(a){a=a|0;return c[(jy(a|0)|0)>>2]|0}function gy(a){a=a|0;var b=0;b=hy(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function hy(a){a=a|0;return iy(a|0)|0}function iy(a){a=a|0;return a|0}function jy(a){a=a|0;return ky(a|0)|0}function ky(a){a=a|0;return a|0}function ly(a){a=a|0;return a|0}function my(a){a=a|0;return ny(a+8|0)|0}function ny(a){a=a|0;return oy(a|0)|0}function oy(a){a=a|0;return a|0}function py(a){a=a|0;qy(a,0);return}function qy(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=hy(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}sy(ry(d)|0,e);return}function ry(a){a=a|0;return zy(a|0)|0}function sy(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;uy(e,vy(d+16|0)|0)}if((d|0)==0){return}wy(c[b>>2]|0,d,1);return}function ty(a){a=a|0;return a|0}function uy(a,b){a=a|0;b=b|0;a=i;i=i+8|0;yy(a|0,0,b);i=a;return}function vy(a){a=a|0;return a|0}function wy(a,b,c){a=a|0;b=b|0;c=c|0;xy(0,b,0);return}function xy(a,b,c){a=a|0;b=b|0;c=c|0;bS(b);return}function yy(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;QH(d);i=c;return}function zy(a){a=a|0;return a+4|0}function Ay(a,b){a=a|0;b=b|0;By(a,b);return}function By(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Cy(a){a=a|0;return Vy(a+4|0)|0}function Dy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Ny(a,b,d);i=e;return}function Ey(a,b){a=a|0;b=b|0;return My(0,b,0)|0}function Fy(a,b){a=a|0;b=b|0;Ly(a,b);return}function Gy(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}GH(b,c);return}function Hy(a){a=a|0;return c[(jy(a|0)|0)>>2]|0}function Iy(a){a=a|0;return ry(a|0)|0}function Jy(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function Ky(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Ay(f,b);ay(e,f);cy(d,e);ay(a,d);dy(e);i=c;return}function Ly(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function My(a,b,c){a=a|0;b=b|0;c=c|0;return $R(b<<5)|0}function Ny(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Py(f)|0)>>2]|0;f=Qy(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Oy(a|0,b,g);i=e;return}function Oy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Ry(a,b,d);i=e;return}function Py(a){a=a|0;return a|0}function Qy(a){a=a|0;return a|0}function Ry(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Ty(f)|0)>>2]|0;f=Uy(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Sy(a|0,b,g);i=e;return}function Sy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Ty(f)|0)>>2];f=Uy(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Ty(a){a=a|0;return a|0}function Uy(a){a=a|0;return a|0}function Vy(a){a=a|0;return Wy(a|0)|0}function Wy(a){a=a|0;return a|0}function Xy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=gy(Yy(b)|0)|0;g=Uy(Iy(Yy(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Oy(a|0,f,e);i=d;return}function Yy(a){a=a|0;return c[a>>2]|0}function Zy(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function _y(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];fz(a,b);i=d;return}function $y(a,b){a=a|0;b=b|0;az(a,bz(b)|0);return}function az(a,b){a=a|0;b=b|0;ez(a,b);return}function bz(a){a=a|0;return $s(cz(a+4|0)|0)|0}function cz(a){a=a|0;return dz(a|0)|0}function dz(a){a=a|0;return a|0}function ez(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function fz(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function gz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=iz(b)|0;hz(f,b,d,h,bz(b)|0);$y(g,b);do{if(jz(f,g)|0){h=kz(b)|0;if(mx(h,d,lz(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);$y(a,b);i=e;return}function hz(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;ot(h);a:do{if((e|0)==0){j=f}else{k=kz(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(nx(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;ot(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;ot(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);az(a,j);i=g;return}function iz(a){a=a|0;return c[(bz(a)|0)>>2]|0}function jz(a,b){a=a|0;b=b|0;return(Zy(a,b)|0)^1|0}function kz(a){a=a|0;return mz(a+8|0)|0}function lz(a){a=a|0;return(c[a>>2]|0)+16|0}function mz(a){a=a|0;return nz(a|0)|0}function nz(a){a=a|0;return a|0}function oz(a,b){a=a|0;b=b|0;b=i;i=i+8|0;pz(a|0,b|0);i=b;return}function pz(a,b){a=a|0;b=b|0;qz(a,0);return}function qz(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;rz(a+4|0);sz(a+8|0,0,b|0);d=Nx(a)|0;c[(ly(a)|0)>>2]=d;i=b;return}function rz(a){a=a|0;vz(a);return}function sz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;tz(b,c,d);i=e;return}function tz(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;uz(b|0,c[(Sv(g)|0)>>2]|0,f+8|0);i=f;return}function uz(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Sv(g)|0)>>2];i=f;return}function vz(a){a=a|0;wz(a|0);return}function wz(a){a=a|0;Vv(a|0);return}function xz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=xA(h)|0;ot(e|0);if((a|0)==0){j=Kz(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(lt(0,d,a)|0){m=l|0;j=c[m>>2]|0;ot(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(lt(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;ot(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function yz(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];vA(a,b);i=d;return}function zz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=aA(c|0)|0;c=cA(k,1)|0;dA(g,k);bA(f,c,g);eA(0,kv((fA(f)|0)+16|0)|0,d);d=gA(f)|0;a[d+4|0]=1;hA(0,Vz((fA(f)|0)+20|0)|0);a[d+5|0]=1;iA(j,f);Az(h,j);yz(b,h);Bz(j);Bz(f);i=e;return}function Az(a,b){a=a|0;b=b|0;_z(a,b);return}function Bz(a){a=a|0;Qz(a);return}function Cz(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;ot(f|0);c[e>>2]=0;ot(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=Jz(a)|0;b=c[c[e>>2]>>2]|0;ot(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(Kz(a)|0)>>2]|0;_u(e,c[d>>2]|0);d=Lz(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function Dz(a){a=a|0;return c[(Hz(a|0)|0)>>2]|0}function Ez(a){a=a|0;var b=0;b=Fz(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Fz(a){a=a|0;return Gz(a|0)|0}function Gz(a){a=a|0;return a|0}function Hz(a){a=a|0;return Iz(a|0)|0}function Iz(a){a=a|0;return a|0}function Jz(a){a=a|0;return a|0}function Kz(a){a=a|0;return $s(Oz(a+4|0)|0)|0}function Lz(a){a=a|0;return Mz(a+8|0)|0}function Mz(a){a=a|0;return Nz(a|0)|0}function Nz(a){a=a|0;return a|0}function Oz(a){a=a|0;return Pz(a|0)|0}function Pz(a){a=a|0;return a|0}function Qz(a){a=a|0;Rz(a,0);return}function Rz(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Fz(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Tz(Sz(d)|0,e);return}function Sz(a){a=a|0;return Zz(a|0)|0}function Tz(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;Uz(e,Vz(d+20|0)|0)}if((d|0)==0){return}Wz(c[b>>2]|0,d,1);return}function Uz(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Yz(a|0,0,b);i=a;return}function Vz(a){a=a|0;return a|0}function Wz(a,b,c){a=a|0;b=b|0;c=c|0;Xz(0,b,0);return}function Xz(a,b,c){a=a|0;b=b|0;c=c|0;bS(b);return}function Yz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;hx(d);i=c;return}function Zz(a){a=a|0;return a+4|0}function _z(a,b){a=a|0;b=b|0;$z(a,b);return}function $z(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function aA(a){a=a|0;return tA(a+4|0)|0}function bA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];lA(a,b,d);i=e;return}function cA(a,b){a=a|0;b=b|0;return kA(0,b,0)|0}function dA(a,b){a=a|0;b=b|0;jA(a,b);return}function eA(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function fA(a){a=a|0;return c[(Hz(a|0)|0)>>2]|0}function gA(a){a=a|0;return Sz(a|0)|0}function hA(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}$w(b,a|0);i=a;return}function iA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;_z(f,b);yz(e,f);Az(d,e);yz(a,d);Bz(e);i=c;return}function jA(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function kA(a,b,c){a=a|0;b=b|0;c=c|0;return $R(b<<5)|0}function lA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(nA(f)|0)>>2]|0;f=oA(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;mA(a|0,b,g);i=e;return}function mA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];pA(a,b,d);i=e;return}function nA(a){a=a|0;return a|0}function oA(a){a=a|0;return a|0}function pA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(rA(f)|0)>>2]|0;f=sA(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;qA(a|0,b,g);i=e;return}function qA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(rA(f)|0)>>2];f=sA(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function rA(a){a=a|0;return a|0}function sA(a){a=a|0;return a|0}function tA(a){a=a|0;return uA(a|0)|0}function uA(a){a=a|0;return a|0}function vA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=Ez(wA(b)|0)|0;g=sA(gA(wA(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;mA(a|0,f,e);i=d;return}function wA(a){a=a|0;return c[a>>2]|0}function xA(a){a=a|0;return c[(Kz(a)|0)>>2]|0}function yA(a,b){a=a|0;b=b|0;b=i;i=i+8|0;zA(a|0,b|0);i=b;return}function zA(a,b){a=a|0;b=b|0;AA(a,0);return}function AA(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;BA(a+4|0);CA(a+8|0,0,b|0);d=bz(a)|0;c[(DA(a)|0)>>2]=d;i=b;return}function BA(a){a=a|0;GA(a);return}function CA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;EA(b,c,d);i=e;return}function DA(a){a=a|0;return a|0}function EA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;FA(b|0,c[(Sv(g)|0)>>2]|0,f+8|0);i=f;return}function FA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(Sv(g)|0)>>2];i=f;return}function GA(a){a=a|0;HA(a|0);return}function HA(a){a=a|0;Vv(a|0);return}function IA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=iz(h)|0;ot(e|0);if((a|0)==0){j=bz(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(ox(0,d,a)|0){m=l|0;j=c[m>>2]|0;ot(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(ox(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;ot(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function JA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];EB(a,b);i=d;return}function KA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=jB(c|0)|0;c=lB(k,1)|0;mB(g,k);kB(f,c,g);nB(0,vy((oB(f)|0)+16|0)|0,d);d=pB(f)|0;a[d+4|0]=1;qB(0,aB((oB(f)|0)+28|0)|0);a[d+5|0]=1;rB(j,f);LA(h,j);JA(b,h);MA(j);MA(f);i=e;return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=Qw(g,b+4576|0)|0;KH(b+4584|0,35976);GH(b+4560|0,Lw(k,b+4584|0)|0);Ow(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);QH(b+4560|0);QH(b+4584|0);c[(b+4616|0)>>2]=j;k=Qw(g,b+4616|0)|0;KH(b+4624|0,34624);GH(b+4600|0,Lw(k,b+4624|0)|0);Rw(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);QH(b+4600|0);QH(b+4624|0);c[(b+4656|0)>>2]=j;k=Qw(g,b+4656|0)|0;KH(b+4664|0,34072);GH(b+4640|0,Lw(k,b+4664|0)|0);Ow(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);QH(b+4640|0);QH(b+4664|0);c[(b+4696|0)>>2]=j;k=Qw(g,b+4696|0)|0;KH(b+4704|0,33448);GH(b+4680|0,Lw(k,b+4704|0)|0);Ow(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);QH(b+4680|0);QH(b+4704|0);c[(b+4736|0)>>2]=j;k=Qw(g,b+4736|0)|0;KH(b+4744|0,32936);GH(b+4720|0,Lw(k,b+4744|0)|0);Pw(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);QH(b+4720|0);QH(b+4744|0);c[(b+4776|0)>>2]=j;k=Qw(g,b+4776|0)|0;KH(b+4784|0,32328);GH(b+4760|0,Lw(k,b+4784|0)|0);Pw(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);QH(b+4760|0);QH(b+4784|0);c[(b+4816|0)>>2]=j;k=Qw(g,b+4816|0)|0;KH(b+4824|0,30848);GH(b+4800|0,Lw(k,b+4824|0)|0);Pw(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);QH(b+4800|0);QH(b+4824|0);c[(b+4856|0)>>2]=j;k=Qw(g,b+4856|0)|0;KH(b+4864|0,30304);GH(b+4840|0,Lw(k,b+4864|0)|0);Pw(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);QH(b+4840|0);QH(b+4864|0);c[(b+4896|0)>>2]=j;k=Qw(g,b+4896|0)|0;KH(b+4904|0,29744);GH(b+4880|0,Lw(k,b+4904|0)|0);Pw(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);QH(b+4880|0);QH(b+4904|0);c[(b+4936|0)>>2]=j;k=Qw(g,b+4936|0)|0;KH(b+4944|0,29264);GH(b+4920|0,Lw(k,b+4944|0)|0);Sw(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);QH(b+4920|0);QH(b+4944|0);c[(b+4976|0)>>2]=j;k=Qw(g,b+4976|0)|0;KH(b+4984|0,29056);GH(b+4960|0,Lw(k,b+4984|0)|0);Sw(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);QH(b+4960|0);QH(b+4984|0);c[(b+5016|0)>>2]=j;k=Qw(g,b+5016|0)|0;KH(b+5024|0,28776);GH(b+5e3|0,Lw(k,b+5024|0)|0);Sw(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);QH(b+5e3|0);QH(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?26048:25880;n=(a[k+(j*48|0)+40|0]|0)!=0?26048:25880;On(4,0,22600,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?475944:26344,c[f+16>>2]=m,c[f+24>>2]=l?475944:26200,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}KH(b+5040|0,o);c[(Tw(b+216|0,b+5040|0)|0)>>2]=j;QH(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,22296,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=Qw(j,b+5072|0)|0;KH(b+5080|0,35976);GH(b+5056|0,Lw(l,b+5080|0)|0);Ow(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);QH(b+5056|0);QH(b+5080|0);c[(b+5112|0)>>2]=g;l=Qw(j,b+5112|0)|0;KH(b+5120|0,34624);GH(b+5096|0,Lw(l,b+5120|0)|0);Rw(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);QH(b+5096|0);QH(b+5120|0);c[(b+5152|0)>>2]=g;l=Qw(j,b+5152|0)|0;KH(b+5160|0,34072);GH(b+5136|0,Lw(l,b+5160|0)|0);Ow(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);QH(b+5136|0);QH(b+5160|0);c[(b+5192|0)>>2]=g;l=Qw(j,b+5192|0)|0;KH(b+5200|0,33448);GH(b+5176|0,Lw(l,b+5200|0)|0);Ow(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);QH(b+5176|0);QH(b+5200|0);c[(b+5232|0)>>2]=g;l=Qw(j,b+5232|0)|0;KH(b+5240|0,32936);GH(b+5216|0,Lw(l,b+5240|0)|0);Pw(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);QH(b+5216|0);QH(b+5240|0);c[(b+5272|0)>>2]=g;l=Qw(j,b+5272|0)|0;KH(b+5280|0,32328);GH(b+5256|0,Lw(l,b+5280|0)|0);Pw(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);QH(b+5256|0);QH(b+5280|0);c[(b+5312|0)>>2]=g;l=Qw(j,b+5312|0)|0;KH(b+5320|0,30848);GH(b+5296|0,Lw(l,b+5320|0)|0);Pw(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);QH(b+5296|0);QH(b+5320|0);c[(b+5352|0)>>2]=g;l=Qw(j,b+5352|0)|0;KH(b+5360|0,30304);GH(b+5336|0,Lw(l,b+5360|0)|0);Pw(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);QH(b+5336|0);QH(b+5360|0);c[(b+5392|0)>>2]=g;l=Qw(j,b+5392|0)|0;KH(b+5400|0,29744);GH(b+5376|0,Lw(l,b+5400|0)|0);Pw(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);QH(b+5376|0);QH(b+5400|0);c[(b+5432|0)>>2]=g;l=Qw(j,b+5432|0)|0;KH(b+5440|0,29264);GH(b+5416|0,Lw(l,b+5440|0)|0);Sw(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);QH(b+5416|0);QH(b+5440|0);c[(b+5472|0)>>2]=g;l=Qw(j,b+5472|0)|0;KH(b+5480|0,29056);GH(b+5456|0,Lw(l,b+5480|0)|0);Ow(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);QH(b+5456|0);QH(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;On(4,0,22112,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?475944:26344,c[f+16>>2]=m,c[f+24>>2]=n?475944:26200,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}KH(b+5496|0,p);c[(Tw(b+216|0,b+5496|0)|0)>>2]=g;QH(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,21824,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=Qw(g,b+5528|0)|0;KH(b+5536|0,35976);GH(b+5512|0,Lw(m,b+5536|0)|0);Ow(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);QH(b+5512|0);QH(b+5536|0);c[(b+5568|0)>>2]=j;m=Qw(g,b+5568|0)|0;KH(b+5576|0,34624);GH(b+5552|0,Lw(m,b+5576|0)|0);Rw(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);QH(b+5552|0);QH(b+5576|0);c[(b+5608|0)>>2]=j;m=Qw(g,b+5608|0)|0;KH(b+5616|0,34072);GH(b+5592|0,Lw(m,b+5616|0)|0);Ow(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);QH(b+5592|0);QH(b+5616|0);c[(b+5648|0)>>2]=j;m=Qw(g,b+5648|0)|0;KH(b+5656|0,33448);GH(b+5632|0,Lw(m,b+5656|0)|0);Ow(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);QH(b+5632|0);QH(b+5656|0);c[(b+5688|0)>>2]=j;m=Qw(g,b+5688|0)|0;KH(b+5696|0,32936);GH(b+5672|0,Lw(m,b+5696|0)|0);Pw(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);QH(b+5672|0);QH(b+5696|0);c[(b+5728|0)>>2]=j;m=Qw(g,b+5728|0)|0;KH(b+5736|0,32328);GH(b+5712|0,Lw(m,b+5736|0)|0);Pw(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);QH(b+5712|0);QH(b+5736|0);c[(b+5768|0)>>2]=j;m=Qw(g,b+5768|0)|0;KH(b+5776|0,30848);GH(b+5752|0,Lw(m,b+5776|0)|0);Pw(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);QH(b+5752|0);QH(b+5776|0);c[(b+5808|0)>>2]=j;m=Qw(g,b+5808|0)|0;KH(b+5816|0,30304);GH(b+5792|0,Lw(m,b+5816|0)|0);Pw(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);QH(b+5792|0);QH(b+5816|0);c[(b+5848|0)>>2]=j;m=Qw(g,b+5848|0)|0;KH(b+5856|0,29744);GH(b+5832|0,Lw(m,b+5856|0)|0);Pw(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);QH(b+5832|0);QH(b+5856|0);c[(b+5888|0)>>2]=j;m=Qw(g,b+5888|0)|0;KH(b+5896|0,29264);GH(b+5872|0,Lw(m,b+5896|0)|0);Sw(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);QH(b+5872|0);QH(b+5896|0);c[(b+5928|0)>>2]=j;m=Qw(g,b+5928|0)|0;KH(b+5936|0,29056);GH(b+5912|0,Lw(m,b+5936|0)|0);Nw(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);QH(b+5912|0);QH(b+5936|0);c[(b+5968|0)>>2]=j;m=Qw(g,b+5968|0)|0;KH(b+5976|0,28776);GH(b+5952|0,Lw(m,b+5976|0)|0);Sw(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);QH(b+5952|0);QH(b+5976|0);c[(b+6008|0)>>2]=j;m=Qw(g,b+6008|0)|0;KH(b+6016|0,28032);GH(b+5992|0,Lw(m,b+6016|0)|0);Sw(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);QH(b+5992|0);QH(b+6016|0);c[(b+6048|0)>>2]=j;m=Qw(g,b+6048|0)|0;KH(b+6056|0,27848);GH(b+6032|0,Lw(m,b+6056|0)|0);Nw(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);QH(b+6032|0);QH(b+6056|0);c[(b+6088|0)>>2]=j;m=Qw(g,b+6088|0)|0;KH(b+6096|0,27600);GH(b+6072|0,Lw(m,b+6096|0)|0);Nw(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);QH(b+6072|0);QH(b+6096|0);c[(b+6128|0)>>2]=j;m=Qw(g,b+6128|0)|0;KH(b+6136|0,27240);GH(b+6112|0,Lw(m,b+6136|0)|0);Nw(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);QH(b+6112|0);QH(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?26048:25880;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];On(4,0,21680,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?475944:26344,h[f+16>>3]=q,c[f+24>>2]=n?475944:26200,c[f+32>>2]=l,c[f+40>>2]=k?475944:26344,h[f+48>>3]=r,c[f+56>>2]=k?475944:26200,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}KH(b+6152|0,u);c[(Tw(b+240|0,b+6152|0)|0)>>2]=j;QH(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,439560,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=Qw(j,b+6184|0)|0;KH(b+6192|0,35976);GH(b+6168|0,Lw(l,b+6192|0)|0);Ow(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);QH(b+6168|0);QH(b+6192|0);c[(b+6224|0)>>2]=g;l=Qw(j,b+6224|0)|0;KH(b+6232|0,34624);GH(b+6208|0,Lw(l,b+6232|0)|0);Rw(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);QH(b+6208|0);QH(b+6232|0);c[(b+6264|0)>>2]=g;l=Qw(j,b+6264|0)|0;KH(b+6272|0,34072);GH(b+6248|0,Lw(l,b+6272|0)|0);Ow(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);QH(b+6248|0);QH(b+6272|0);c[(b+6304|0)>>2]=g;l=Qw(j,b+6304|0)|0;KH(b+6312|0,33448);GH(b+6288|0,Lw(l,b+6312|0)|0);Ow(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);QH(b+6288|0);QH(b+6312|0);c[(b+6344|0)>>2]=g;l=Qw(j,b+6344|0)|0;KH(b+6352|0,32936);GH(b+6328|0,Lw(l,b+6352|0)|0);Pw(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);QH(b+6328|0);QH(b+6352|0);c[(b+6384|0)>>2]=g;l=Qw(j,b+6384|0)|0;KH(b+6392|0,32328);GH(b+6368|0,Lw(l,b+6392|0)|0);Pw(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);QH(b+6368|0);QH(b+6392|0);c[(b+6424|0)>>2]=g;l=Qw(j,b+6424|0)|0;KH(b+6432|0,30848);GH(b+6408|0,Lw(l,b+6432|0)|0);Pw(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);QH(b+6408|0);QH(b+6432|0);c[(b+6464|0)>>2]=g;l=Qw(j,b+6464|0)|0;KH(b+6472|0,30304);GH(b+6448|0,Lw(l,b+6472|0)|0);Pw(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);QH(b+6448|0);QH(b+6472|0);c[(b+6504|0)>>2]=g;l=Qw(j,b+6504|0)|0;KH(b+6512|0,29744);GH(b+6488|0,Lw(l,b+6512|0)|0);Pw(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);QH(b+6488|0);QH(b+6512|0);c[(b+6544|0)>>2]=g;l=Qw(j,b+6544|0)|0;KH(b+6552|0,29264);GH(b+6528|0,Lw(l,b+6552|0)|0);Sw(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);QH(b+6528|0);QH(b+6552|0);c[(b+6584|0)>>2]=g;l=Qw(j,b+6584|0)|0;KH(b+6592|0,29056);GH(b+6568|0,Lw(l,b+6592|0)|0);Pw(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);QH(b+6568|0);QH(b+6592|0);c[(b+6624|0)>>2]=g;l=Qw(j,b+6624|0)|0;KH(b+6632|0,28776);GH(b+6608|0,Lw(l,b+6632|0)|0);Sw(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);QH(b+6608|0);QH(b+6632|0);c[(b+6664|0)>>2]=g;l=Qw(j,b+6664|0)|0;KH(b+6672|0,27600);GH(b+6648|0,Lw(l,b+6672|0)|0);Pw(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);QH(b+6648|0);QH(b+6672|0);c[(b+6704|0)>>2]=g;l=Qw(j,b+6704|0)|0;KH(b+6712|0,27240);GH(b+6688|0,Lw(l,b+6712|0)|0);Pw(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);QH(b+6688|0);QH(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?26048:25880;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;On(4,0,439440,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?475944:26344,c[f+16>>2]=n,c[f+24>>2]=k?475944:26200,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}KH(b+6728|0,x);c[(Tw(b+240|0,b+6728|0)|0)>>2]=g;QH(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,438624,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=Qw(g,b+6760|0)|0;KH(b+6768|0,35976);GH(b+6744|0,Lw(v,b+6768|0)|0);Ow(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);QH(b+6744|0);QH(b+6768|0);c[(b+6800|0)>>2]=j;v=Qw(g,b+6800|0)|0;KH(b+6808|0,34624);GH(b+6784|0,Lw(v,b+6808|0)|0);Rw(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);QH(b+6784|0);QH(b+6808|0);c[(b+6840|0)>>2]=j;v=Qw(g,b+6840|0)|0;KH(b+6848|0,34072);GH(b+6824|0,Lw(v,b+6848|0)|0);Ow(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);QH(b+6824|0);QH(b+6848|0);c[(b+6880|0)>>2]=j;v=Qw(g,b+6880|0)|0;KH(b+6888|0,33448);GH(b+6864|0,Lw(v,b+6888|0)|0);Ow(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);QH(b+6864|0);QH(b+6888|0);c[(b+6920|0)>>2]=j;v=Qw(g,b+6920|0)|0;KH(b+6928|0,32936);GH(b+6904|0,Lw(v,b+6928|0)|0);Pw(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);QH(b+6904|0);QH(b+6928|0);c[(b+6960|0)>>2]=j;v=Qw(g,b+6960|0)|0;KH(b+6968|0,32328);GH(b+6944|0,Lw(v,b+6968|0)|0);Pw(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);QH(b+6944|0);QH(b+6968|0);c[(b+7e3|0)>>2]=j;v=Qw(g,b+7e3|0)|0;KH(b+7008|0,30848);GH(b+6984|0,Lw(v,b+7008|0)|0);Pw(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);QH(b+6984|0);QH(b+7008|0);c[(b+7040|0)>>2]=j;v=Qw(g,b+7040|0)|0;KH(b+7048|0,30304);GH(b+7024|0,Lw(v,b+7048|0)|0);Pw(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);QH(b+7024|0);QH(b+7048|0);c[(b+7080|0)>>2]=j;v=Qw(g,b+7080|0)|0;KH(b+7088|0,29744);GH(b+7064|0,Lw(v,b+7088|0)|0);Pw(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);QH(b+7064|0);QH(b+7088|0);c[(b+7120|0)>>2]=j;v=Qw(g,b+7120|0)|0;KH(b+7128|0,29264);GH(b+7104|0,Lw(v,b+7128|0)|0);Sw(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);QH(b+7104|0);QH(b+7128|0);c[(b+7160|0)>>2]=j;v=Qw(g,b+7160|0)|0;KH(b+7168|0,29056);GH(b+7144|0,Lw(v,b+7168|0)|0);Sw(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);QH(b+7144|0);QH(b+7168|0);c[(b+7200|0)>>2]=j;v=Qw(g,b+7200|0)|0;KH(b+7208|0,28776);GH(b+7184|0,Lw(v,b+7208|0)|0);Sw(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);QH(b+7184|0);QH(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?26048:25880;k=(a[v+(j*48|0)+40|0]|0)!=0?26048:25880;On(4,0,438168,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?475944:26344,c[f+16>>2]=m,c[f+24>>2]=w?475944:26200,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}KH(b+7224|0,y);c[(Tw(b+240|0,b+7224|0)|0)>>2]=j;QH(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,438096,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=Qw(j,b+7256|0)|0;KH(b+7264|0,35976);GH(b+7240|0,Lw(w,b+7264|0)|0);Ow(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);QH(b+7240|0);QH(b+7264|0);c[(b+7296|0)>>2]=g;w=Qw(j,b+7296|0)|0;KH(b+7304|0,34624);GH(b+7280|0,Lw(w,b+7304|0)|0);Rw(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);QH(b+7280|0);QH(b+7304|0);c[(b+7336|0)>>2]=g;w=Qw(j,b+7336|0)|0;KH(b+7344|0,34072);GH(b+7320|0,Lw(w,b+7344|0)|0);Ow(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);QH(b+7320|0);QH(b+7344|0);c[(b+7376|0)>>2]=g;w=Qw(j,b+7376|0)|0;KH(b+7384|0,33448);GH(b+7360|0,Lw(w,b+7384|0)|0);Ow(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);QH(b+7360|0);QH(b+7384|0);c[(b+7416|0)>>2]=g;w=Qw(j,b+7416|0)|0;KH(b+7424|0,32936);GH(b+7400|0,Lw(w,b+7424|0)|0);Pw(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);QH(b+7400|0);QH(b+7424|0);c[(b+7456|0)>>2]=g;w=Qw(j,b+7456|0)|0;KH(b+7464|0,32328);GH(b+7440|0,Lw(w,b+7464|0)|0);Pw(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);QH(b+7440|0);QH(b+7464|0);c[(b+7496|0)>>2]=g;w=Qw(j,b+7496|0)|0;KH(b+7504|0,30848);GH(b+7480|0,Lw(w,b+7504|0)|0);Pw(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);QH(b+7480|0);QH(b+7504|0);c[(b+7536|0)>>2]=g;w=Qw(j,b+7536|0)|0;KH(b+7544|0,30304);GH(b+7520|0,Lw(w,b+7544|0)|0);Pw(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);QH(b+7520|0);QH(b+7544|0);c[(b+7576|0)>>2]=g;w=Qw(j,b+7576|0)|0;KH(b+7584|0,29744);GH(b+7560|0,Lw(w,b+7584|0)|0);Pw(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);QH(b+7560|0);QH(b+7584|0);c[(b+7616|0)>>2]=g;w=Qw(j,b+7616|0)|0;KH(b+7624|0,29264);GH(b+7600|0,Lw(w,b+7624|0)|0);Sw(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);QH(b+7600|0);QH(b+7624|0);c[(b+7656|0)>>2]=g;w=Qw(j,b+7656|0)|0;KH(b+7664|0,29056);GH(b+7640|0,Lw(w,b+7664|0)|0);Ow(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);QH(b+7640|0);QH(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;On(4,0,437832,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?475944:26344,c[f+16>>2]=m,c[f+24>>2]=k?475944:26200,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}KH(b+7680|0,z);c[(Tw(b+240|0,b+7680|0)|0)>>2]=g;QH(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,437608,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=Qw(g,b+7712|0)|0;KH(b+7720|0,35976);GH(b+7696|0,Lw(m,b+7720|0)|0);Ow(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);QH(b+7696|0);QH(b+7720|0);c[(b+7752|0)>>2]=j;m=Qw(g,b+7752|0)|0;KH(b+7760|0,34624);GH(b+7736|0,Lw(m,b+7760|0)|0);Rw(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);QH(b+7736|0);QH(b+7760|0);c[(b+7792|0)>>2]=j;m=Qw(g,b+7792|0)|0;KH(b+7800|0,34072);GH(b+7776|0,Lw(m,b+7800|0)|0);Ow(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);QH(b+7776|0);QH(b+7800|0);c[(b+7832|0)>>2]=j;m=Qw(g,b+7832|0)|0;KH(b+7840|0,33448);GH(b+7816|0,Lw(m,b+7840|0)|0);Ow(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);QH(b+7816|0);QH(b+7840|0);c[(b+7872|0)>>2]=j;m=Qw(g,b+7872|0)|0;KH(b+7880|0,32936);GH(b+7856|0,Lw(m,b+7880|0)|0);Pw(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);QH(b+7856|0);QH(b+7880|0);c[(b+7912|0)>>2]=j;m=Qw(g,b+7912|0)|0;KH(b+7920|0,32328);GH(b+7896|0,Lw(m,b+7920|0)|0);Pw(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);QH(b+7896|0);QH(b+7920|0);c[(b+7952|0)>>2]=j;m=Qw(g,b+7952|0)|0;KH(b+7960|0,30848);GH(b+7936|0,Lw(m,b+7960|0)|0);Pw(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);QH(b+7936|0);QH(b+7960|0);c[(b+7992|0)>>2]=j;m=Qw(g,b+7992|0)|0;KH(b+8e3|0,30304);GH(b+7976|0,Lw(m,b+8e3|0)|0);Pw(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);QH(b+7976|0);QH(b+8e3|0);c[(b+8032|0)>>2]=j;m=Qw(g,b+8032|0)|0;KH(b+8040|0,29744);GH(b+8016|0,Lw(m,b+8040|0)|0);Pw(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);QH(b+8016|0);QH(b+8040|0);EH(b+8056|0);c[(b+8088|0)>>2]=j;m=Qw(g,b+8088|0)|0;KH(b+8096|0,437336);GH(b+8072|0,Lw(m,b+8096|0)|0);Uw(b+8072|0,b+8056|0);QH(b+8072|0);QH(b+8096|0);m=(oI(b+8056|0,437320)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;On(4,0,437168,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=Qw(g,b+8128|0)|0;KH(b+8136|0,436648);GH(b+8112|0,Lw(k,b+8136|0)|0);Uw(b+8112|0,b+8056|0);QH(b+8112|0);QH(b+8136|0);Vw(b+264|0,b+216|0,b+8056|0);Vw(b+272|0,b+240|0,b+8056|0);Xw(b+8152|0,b+216|0);do{if(Ww(b+264|0,b+8152|0)|0){k=c[(Yw(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{Xw(b+8160|0,b+240|0);if(Ww(b+272|0,b+8160|0)|0){m=c[(Yw(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((oI(b+8056|0,436384)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);QH(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}zI(b+8184|0,435360,b+8056|0);Fw(b+8168|0,b+8184|0,435144);QH(b+8184|0);j=lI(b+8168|0)|0;Sn(0,435128,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,434264,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=Qw(j,b+8216|0)|0;KH(b+8224|0,35976);GH(b+8200|0,Lw(k,b+8224|0)|0);Ow(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);QH(b+8200|0);QH(b+8224|0);c[(b+8256|0)>>2]=g;k=Qw(j,b+8256|0)|0;KH(b+8264|0,34624);GH(b+8240|0,Lw(k,b+8264|0)|0);Rw(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);QH(b+8240|0);QH(b+8264|0);c[(b+8296|0)>>2]=g;k=Qw(j,b+8296|0)|0;KH(b+8304|0,34072);GH(b+8280|0,Lw(k,b+8304|0)|0);Ow(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);QH(b+8280|0);QH(b+8304|0);c[(b+8336|0)>>2]=g;k=Qw(j,b+8336|0)|0;KH(b+8344|0,33448);GH(b+8320|0,Lw(k,b+8344|0)|0);Ow(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);QH(b+8320|0);QH(b+8344|0);c[(b+8376|0)>>2]=g;k=Qw(j,b+8376|0)|0;KH(b+8384|0,32936);GH(b+8360|0,Lw(k,b+8384|0)|0);Pw(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);QH(b+8360|0);QH(b+8384|0);c[(b+8416|0)>>2]=g;k=Qw(j,b+8416|0)|0;KH(b+8424|0,32328);GH(b+8400|0,Lw(k,b+8424|0)|0);Pw(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);QH(b+8400|0);QH(b+8424|0);c[(b+8456|0)>>2]=g;k=Qw(j,b+8456|0)|0;KH(b+8464|0,30848);GH(b+8440|0,Lw(k,b+8464|0)|0);Pw(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);QH(b+8440|0);QH(b+8464|0);c[(b+8496|0)>>2]=g;k=Qw(j,b+8496|0)|0;KH(b+8504|0,30304);GH(b+8480|0,Lw(k,b+8504|0)|0);Pw(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);QH(b+8480|0);QH(b+8504|0);c[(b+8536|0)>>2]=g;k=Qw(j,b+8536|0)|0;KH(b+8544|0,29744);GH(b+8520|0,Lw(k,b+8544|0)|0);Pw(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);QH(b+8520|0);QH(b+8544|0);EH(b+8560|0);c[(b+8592|0)>>2]=g;k=Qw(j,b+8592|0)|0;KH(b+8600|0,437336);GH(b+8576|0,Lw(k,b+8600|0)|0);Uw(b+8576|0,b+8560|0);QH(b+8576|0);QH(b+8600|0);k=(oI(b+8560|0,437320)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;On(4,0,437168,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=Qw(j,b+8632|0)|0;KH(b+8640|0,436648);GH(b+8616|0,Lw(m,b+8640|0)|0);Uw(b+8616|0,b+8560|0);QH(b+8616|0);QH(b+8640|0);Vw(b+264|0,b+216|0,b+8560|0);Vw(b+272|0,b+240|0,b+8560|0);Xw(b+8656|0,b+216|0);if(Ww(b+264|0,b+8656|0)|0){m=c[(Yw(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{Xw(b+8664|0,b+240|0);if(!(Ww(b+272|0,b+8664|0)|0)){break}k=c[(Yw(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}QH(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}zI(b+8688|0,434200,b+8560|0);Fw(b+8672|0,b+8688|0,435144);QH(b+8688|0);g=lI(b+8672|0)|0;Sn(0,435128,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,432904,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=Qw(g,b+8720|0)|0;KH(b+8728|0,35976);GH(b+8704|0,Lw(m,b+8728|0)|0);Ow(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);QH(b+8704|0);QH(b+8728|0);c[(b+8760|0)>>2]=j;m=Qw(g,b+8760|0)|0;KH(b+8768|0,34624);GH(b+8744|0,Lw(m,b+8768|0)|0);Rw(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);QH(b+8744|0);QH(b+8768|0);c[(b+8800|0)>>2]=j;m=Qw(g,b+8800|0)|0;KH(b+8808|0,34072);GH(b+8784|0,Lw(m,b+8808|0)|0);Ow(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);QH(b+8784|0);QH(b+8808|0);c[(b+8840|0)>>2]=j;m=Qw(g,b+8840|0)|0;KH(b+8848|0,33448);GH(b+8824|0,Lw(m,b+8848|0)|0);Ow(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);QH(b+8824|0);QH(b+8848|0);c[(b+8880|0)>>2]=j;m=Qw(g,b+8880|0)|0;KH(b+8888|0,32936);GH(b+8864|0,Lw(m,b+8888|0)|0);Sw(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);QH(b+8864|0);QH(b+8888|0);c[(b+8920|0)>>2]=j;m=Qw(g,b+8920|0)|0;KH(b+8928|0,32328);GH(b+8904|0,Lw(m,b+8928|0)|0);Sw(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);QH(b+8904|0);QH(b+8928|0);c[(b+8960|0)>>2]=j;m=Qw(g,b+8960|0)|0;KH(b+8968|0,30848);GH(b+8944|0,Lw(m,b+8968|0)|0);Sw(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);QH(b+8944|0);QH(b+8968|0);c[(b+9e3|0)>>2]=j;m=Qw(g,b+9e3|0)|0;KH(b+9008|0,30304);GH(b+8984|0,Lw(m,b+9008|0)|0);Sw(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);QH(b+8984|0);QH(b+9008|0);c[(b+9040|0)>>2]=j;m=Qw(g,b+9040|0)|0;KH(b+9048|0,29744);GH(b+9024|0,Lw(m,b+9048|0)|0);Sw(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);QH(b+9024|0);QH(b+9048|0);EH(b+9064|0);c[(b+9096|0)>>2]=j;m=Qw(g,b+9096|0)|0;KH(b+9104|0,437336);GH(b+9080|0,Lw(m,b+9104|0)|0);Uw(b+9080|0,b+9064|0);QH(b+9080|0);QH(b+9104|0);m=(oI(b+9064|0,437320)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;On(4,0,437168,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=Qw(g,b+9136|0)|0;KH(b+9144|0,436648);GH(b+9120|0,Lw(k,b+9144|0)|0);Uw(b+9120|0,b+9064|0);QH(b+9120|0);QH(b+9144|0);Vw(b+264|0,b+216|0,b+9064|0);Vw(b+272|0,b+240|0,b+9064|0);Xw(b+9160|0,b+216|0);if(Ww(b+264|0,b+9160|0)|0){k=c[(Yw(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{Xw(b+9168|0,b+240|0);if(!(Ww(b+272|0,b+9168|0)|0)){break}m=c[(Yw(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}QH(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}zI(b+9192|0,432680,b+9064|0);Fw(b+9176|0,b+9192|0,435144);QH(b+9192|0);j=lI(b+9176|0)|0;Sn(0,435128,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[113212]|0)!=0){_d[c[3556]&511](4)}On(4,1,432312,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=Qw(j,b+9224|0)|0;KH(b+9232|0,35976);GH(b+9208|0,Lw(k,b+9232|0)|0);Ow(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);QH(b+9208|0);QH(b+9232|0);c[(b+9264|0)>>2]=g;k=Qw(j,b+9264|0)|0;KH(b+9272|0,34624);GH(b+9248|0,Lw(k,b+9272|0)|0);Rw(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);QH(b+9248|0);QH(b+9272|0);c[(b+9304|0)>>2]=g;k=Qw(j,b+9304|0)|0;KH(b+9312|0,34072);GH(b+9288|0,Lw(k,b+9312|0)|0);Ow(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);QH(b+9288|0);QH(b+9312|0);c[(b+9344|0)>>2]=g;k=Qw(j,b+9344|0)|0;KH(b+9352|0,33448);GH(b+9328|0,Lw(k,b+9352|0)|0);Ow(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);QH(b+9328|0);QH(b+9352|0);c[(b+9384|0)>>2]=g;k=Qw(j,b+9384|0)|0;KH(b+9392|0,32936);GH(b+9368|0,Lw(k,b+9392|0)|0);Ow(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);QH(b+9368|0);QH(b+9392|0);c[(b+9424|0)>>2]=g;k=Qw(j,b+9424|0)|0;KH(b+9432|0,32328);GH(b+9408|0,Lw(k,b+9432|0)|0);Ow(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);QH(b+9408|0);QH(b+9432|0);c[(b+9464|0)>>2]=g;k=Qw(j,b+9464|0)|0;KH(b+9472|0,30848);GH(b+9448|0,Lw(k,b+9472|0)|0);Ow(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);QH(b+9448|0);QH(b+9472|0);c[(b+9504|0)>>2]=g;k=Qw(j,b+9504|0)|0;KH(b+9512|0,30304);GH(b+9488|0,Lw(k,b+9512|0)|0);Ow(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);QH(b+9488|0);QH(b+9512|0);c[(b+9544|0)>>2]=g;k=Qw(j,b+9544|0)|0;KH(b+9552|0,29744);GH(b+9528|0,Lw(k,b+9552|0)|0);Ow(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);QH(b+9528|0);QH(b+9552|0);EH(b+9568|0);c[(b+9600|0)>>2]=g;k=Qw(j,b+9600|0)|0;KH(b+9608|0,437336);GH(b+9584|0,Lw(k,b+9608|0)|0);Uw(b+9584|0,b+9568|0);QH(b+9584|0);QH(b+9608|0);k=(oI(b+9568|0,437320)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;On(4,0,437168,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=Qw(j,b+9640|0)|0;KH(b+9648|0,436648);GH(b+9624|0,Lw(m,b+9648|0)|0);Uw(b+9624|0,b+9568|0);QH(b+9624|0);QH(b+9648|0);Vw(b+264|0,b+216|0,b+9568|0);Vw(b+272|0,b+240|0,b+9568|0);Xw(b+9664|0,b+216|0);if(Ww(b+264|0,b+9664|0)|0){m=c[(Yw(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{Xw(b+9672|0,b+240|0);if(!(Ww(b+272|0,b+9672|0)|0)){break}k=c[(Yw(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}QH(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}zI(b+9696|0,432288,b+9568|0);Fw(b+9680|0,b+9696|0,435144);QH(b+9696|0);g=lI(b+9680|0)|0;Sn(0,435128,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[113212]|0)!=0){_d[c[3556]&511](4)}Ui(e);Zw(b+240|0);Zw(b+216|0);QH(b+200|0);_w(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}




// EMSCRIPTEN_END_FUNCS
var Xd=[DT,DT,Yp,DT,_p,DT,xi,DT,dq,DT,DT,DT,DT,DT,DT,DT];var Yd=[ET,ET,Kq,ET];var Zd=[FT,FT,ul,FT,Qk,FT,RR,FT,vm,FT,QR,FT,ik,FT,Zl,FT,Rk,FT,wm,FT,xm,FT,_l,FT,PR,FT,jk,FT,vl,FT,FT,FT];var _d=[GT,GT,Ng,GT,kO,GT,EK,GT,fO,GT,jH,GT,UL,GT,qH,GT,QI,GT,pO,GT,DO,GT,YG,GT,LG,GT,yO,GT,FL,GT,Jq,GT,iH,GT,pP,GT,oH,GT,bL,GT,rH,GT,uK,GT,qK,GT,Dx,GT,IE,GT,jH,GT,BO,GT,RO,GT,uM,GT,cL,GT,iK,GT,gO,GT,CO,GT,LE,GT,IJ,GT,FK,GT,hN,GT,uO,GT,Jr,GT,FR,GT,_t,GT,NP,GT,sI,GT,oH,GT,AK,GT,OM,GT,QP,GT,EO,GT,yf,GT,WR,GT,$N,GT,MP,GT,sK,GT,Vt,GT,QJ,GT,zK,GT,JM,GT,CQ,GT,jH,GT,wQ,GT,GL,GT,OP,GT,AP,GT,JE,GT,Wt,GT,Cx,GT,Mn,GT,iN,GT,HJ,GT,YJ,GT,GM,GT,tM,GT,YM,GT,dS,GT,Tt,GT,PI,GT,TS,GT,GI,GT,zQ,GT,AQ,GT,oK,GT,fx,GT,jK,GT,sJ,GT,IR,GT,$O,GT,CR,GT,JJ,GT,pK,GT,DN,GT,CG,GT,sN,GT,kK,GT,Kn,GT,eS,GT,GR,GT,RG,GT,tO,GT,HM,GT,ON,GT,BR,GT,LP,GT,GN,GT,aO,GT,BQ,GT,NM,GT,TL,GT,tK,GT,If,GT,Bx,GT,Xt,GT,rK,GT,vK,GT,SJ,GT,fE,GT,hP,GT,VN,GT,NN,GT,tf,GT,PP,GT,gM,GT,Bf,GT,AR,GT,KG,GT,HE,GT,CR,GT,JR,GT,XJ,GT,bG,GT,AH,GT,GJ,GT,uE,GT,SG,GT,HI,GT,Aq,GT,hK,GT,xf,GT,Yt,GT,NE,GT,FI,GT,WJ,GT,zH,GT,ZG,GT,wO,GT,tN,GT,fM,GT,ZM,GT,EG,GT,RJ,GT,rJ,GT,VJ,GT,Gf,GT,yQ,GT,HR,GT,lO,GT,Yo,GT,DG,GT,ER,GT,KM,GT,WN,GT,EN,GT,QH,GT,SO,GT,nH,GT,PJ,GT,DQ,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT,GT];var $d=[HT,HT,ZP,HT,zf,HT,Is,HT,yN,HT,Hw,HT,aN,HT,Ef,HT,kF,HT,WP,HT,rs,HT,rN,HT,ts,HT,rw,HT,ys,HT,qs,HT,_v,HT,VP,HT,gN,HT,FG,HT,jO,HT,Cf,HT,sw,HT,tJ,HT,UM,HT,BN,HT,qw,HT,oN,HT,TM,HT,RM,HT,zN,HT,xO,HT,Df,HT,ss,HT,us,HT,TG,HT,CN,HT,fw,HT,YP,HT,Hf,HT,$t,HT,bN,HT,mH,HT,wN,HT,Ff,HT,cw,HT,_P,HT,qN,HT,dN,HT,aw,HT,XP,HT,fN,HT,MG,HT,fJ,HT,oO,HT,_G,HT,lN,HT,XM,HT,WM,HT,SM,HT,Ks,HT,mN,HT,nN,HT,xN,HT,cN,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT,HT];var ae=[IT,IT,cq,IT,qk,IT,xk,IT,Zp,IT,$p,IT,aq,IT,bq,IT];var be=[JT,JT,_D,JT,mQ,JT,Pg,JT,mJ,JT,eP,JT,cQ,JT,nJ,JT,HP,JT,Og,JT,kQ,JT,_M,JT,US,JT,Pe,JT,hM,JT,aQ,JT,aH,JT,Pq,JT,BJ,JT,Of,JT,VR,JT,AJ,JT,Zq,JT,ri,JT,GP,JT,xJ,JT,Lf,JT,gQ,JT,eQ,JT,Oe,JT,DR,JT,pH,JT,RP,JT,fQ,JT,du,JT,SP,JT,jJ,JT,dP,JT,qf,JT,AN,JT,hQ,JT,GG,JT,VS,JT,$M,JT,fo,JT,wP,JT,WS,JT,XS,JT,ti,JT,Nf,JT,mP,JT,uN,JT,$P,JT,NG,JT,hr,JT,mK,JT,VM,JT,ii,JT,Vh,JT,yJ,JT,OG,JT,YS,JT,TP,JT,kJ,JT,UG,JT,ji,JT,pi,JT,ni,JT,oi,JT,ki,JT,Uh,JT,eu,JT,gP,JT,eN,JT,lQ,JT,$G,JT,vP,JT,fS,JT,PM,JT,bQ,JT,QM,JT,si,JT,kH,JT,ui,JT,jN,JT,oP,JT,pN,JT,kN,JT,dQ,JT,vN,JT,Mg,JT,lP,JT,vM,JT,UP,JT,QE,JT,jQ,JT,uG,JT,iQ,JT,Ne,JT,pf,JT,zP,JT,ZS,JT,qi,JT,KP,JT,_S,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT,JT];var ce=[KT,KT,Dm,KT,Pm,KT,Mm,KT,Qm,KT,Sm,KT,fn,KT,Rm,KT,pn,KT,QO,KT,Fm,KT,tn,KT,un,KT,uP,KT,Em,KT,rn,KT,qn,KT,kn,KT,mn,KT,Jm,KT,jn,KT,on,KT,sn,KT,_O,KT,BK,KT,IP,KT,Tm,KT,xP,KT,Ym,KT,Zm,KT,_m,KT,Vm,KT,Wm,KT,Lm,KT,Um,KT,Xm,KT,nn,KT,Om,KT,vn,KT,hn,KT,bn,KT,cn,KT,en,KT,gn,KT,$m,KT,Km,KT,dn,KT,an,KT,wn,KT,wK,KT,zn,KT,cP,KT,fP,KT,Gm,KT,kP,KT,Im,KT,ln,KT,FP,KT,nP,KT,An,KT,Nm,KT,xn,KT,yn,KT,KT,KT];var de=[LT,LT,lk,LT,yK,LT,MO,LT,eE,LT,aE,LT,KR,LT,hO,LT,au,LT,uk,LT,sk,LT,UO,LT,PO,LT,Hk,LT,mG,LT,Kf,LT,ll,LT,DK,LT,Nk,LT,uH,LT,Ql,LT,pJ,LT,lJ,LT,FO,LT,uJ,LT,mO,LT,ZO,LT,yk,LT,KO,LT,HG,LT,zJ,LT,vH,LT,WO,LT,rl,LT,gJ,LT,Wl,LT,VG,LT,hE,LT,DJ,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT,LT];var ee=[MT,MT,cM,MT,aM,MT,RL,MT,OL,MT,MT,MT,MT,MT,MT,MT];var fe=[NT,NT,LM,NT,IM,NT,FN,NT,PN,NT,JN,NT,RN,NT,NT,NT];var ge=[OT,OT,SR,OT,_L,OT,WL,OT,VL,OT,TR,OT,In,OT,dM,OT,bu,OT,vJ,OT,iO,OT,SL,OT,HL,OT,ML,OT,IL,OT,OE,OT,UR,OT,hJ,OT,Hn,OT,nO,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT,OT];var he=[PT,PT,sf,PT];var ie=[QT,QT,mM,QT,wM,QT,yM,QT,eO,QT,$L,QT,ZL,QT,_N,QT,iM,QT,lM,QT,zM,QT,xL,QT,KK,QT,kM,QT,lL,QT,QK,QT,xM,QT,NL,QT,LL,QT,pL,QT,hL,QT,jL,QT,_K,QT,nL,QT,fL,QT,dL,QT,vL,QT,tL,QT,rL,QT,AM,QT,OK,QT,jM,QT,SK,QT,MK,QT,IK,QT,YK,QT,WK,QT,UK,QT,GK,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT,QT];var je=[RT,RT,bO,RT,XN,RT,RT,RT];var ke=[ST,ST,BM,ST,nM,ST,ST,ST];var le=[TT,TT,em,TT,bH,TT,cm,TT,dm,TT,fk,TT,NO,TT,CJ,TT,Mf,TT,XO,TT,Tl,TT,TO,TT,PG,TT,WG,TT,vi,TT,JO,TT,nl,TT,gk,TT,SE,TT,gm,TT,wi,TT,fm,TT,bm,TT,fu,TT,nR,TT,VO,TT,Vl,TT,ol,TT,hk,TT,qJ,TT,qo,TT,Jf,TT,EJ,TT,Me,TT,LO,TT,$S,TT,ql,TT,Pf,TT,aT,TT,Sl,TT,RE,TT,Mk,TT,gu,TT,oJ,TT,IG,TT,Jk,TT,am,TT,$l,TT,Kk,TT,YR,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT,TT];var me=[UT,UT,Xr,UT];var ne=[VT,VT,iP,VT,sP,VT,qP,VT,DP,VT,jP,VT,BP,VT,bP,VT,or,VT,aP,VT,VT,VT,VT,VT,VT,VT,VT,VT,VT,VT,VT,VT];var oe=[WT,WT,zG,WT,go,WT,AG,WT,xG,WT,bT,WT,yi,WT,WT,WT];var pe=[XT,XT,aj,XT,vj,XT,Pk,XT,gl,XT,Zj,XT,tl,XT,vk,XT,Ul,XT,Ik,XT,Nl,XT,Rl,XT,Ck,XT,Lk,XT,hl,XT,GO,XT,Ml,XT,Kl,XT,zk,XT,cT,XT,nk,XT,il,XT,Bk,XT,HO,XT,jl,XT,Gk,XT,Ek,XT,Pl,XT,YO,XT,Yl,XT,Dk,XT,Nj,XT,Qj,XT,ml,XT,Fk,XT,dk,XT,Sj,XT,qj,XT,Ll,XT,Ol,XT,ok,XT,Tj,XT,kl,XT,OO,XT,pl,XT,Ej,XT,wk,XT,IO,XT,fl,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT,XT];var qe=[YT,YT,jE,YT,ls,YT,ns,YT,Gw,YT,tH,YT,nK,YT,jF,YT];var re=[ZT,ZT,vf,ZT,wF,ZT,Bn,ZT,dT,ZT,eo,ZT,Dn,ZT,ZT,ZT];var se=[_T,_T,Xq,_T,Yq,_T,_T,_T];var te=[$T,$T,iE,$T,PE,$T,MR,$T,pk,$T,Ok,$T,LR,$T,Qn,$T,Xl,$T,cu,$T,iJ,$T,CK,$T,wJ,$T,NR,$T,On,$T,xK,$T,Af,$T,sl,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T,$T];return{_testSetjmp:AS,_strlen:vS,_free:WR,_main:uf,_rand_r:CS,_realloc:YR,_strncpy:wS,_memmove:BS,__GLOBAL__I_a:dH,_saveSetjmp:zS,_memset:yS,_malloc:VR,_memcpy:xS,_strcpy:ES,_calloc:XR,_rand:DS,runPostSets:Ke,stackAlloc:ue,stackSave:ve,stackRestore:we,setThrew:xe,setTempRet0:Ae,setTempRet1:Be,setTempRet2:Ce,setTempRet3:De,setTempRet4:Ee,setTempRet5:Fe,setTempRet6:Ge,setTempRet7:He,setTempRet8:Ie,setTempRet9:Je,dynCall_iiiiiiii:eT,dynCall_vd:fT,dynCall_viiiii:gT,dynCall_vi:hT,dynCall_vii:iT,dynCall_iiiiiiiiiii:jT,dynCall_ii:kT,dynCall_iiiiii:lT,dynCall_iiii:mT,dynCall_viiiiid:nT,dynCall_viiiiiiii:oT,dynCall_viiiiii:pT,dynCall_iid:qT,dynCall_viiiiiii:rT,dynCall_viiiiiid:sT,dynCall_viiiiiiiii:tT,dynCall_iii:uT,dynCall_iiiiidi:vT,dynCall_iiiiiiiii:wT,dynCall_i:xT,dynCall_iiiii:yT,dynCall_viii:zT,dynCall_v:AT,dynCall_viidii:BT,dynCall_viiii:CT}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_viidii": invoke_viidii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "_sysconf": _sysconf, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_pthread_cond_broadcast": _pthread_cond_broadcast, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_catclose": _catclose, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_lis_vector_create": _lis_vector_create, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "_lis_vector_get_values": _lis_vector_get_values, "__exit": __exit, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_lis_vector_set_value": _lis_vector_set_value, "_emscripten_memcpy_big": _emscripten_memcpy_big, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_lis_solve": _lis_solve, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_log": _log, "_puts": _puts, "_xerbla_": _xerbla_, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "_lis_matrix_create": _lis_matrix_create, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_lis_matrix_destroy": _lis_matrix_destroy, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_lis_matrix_set_size": _lis_matrix_set_size, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_lis_matrix_assemble": _lis_matrix_assemble, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_floor": _floor, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "_lis_matrix_set_type": _lis_matrix_set_type, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_GC_collect_a_little": _GC_collect_a_little, "_lis_solver_set_option": _lis_solver_set_option, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "_stdin": _stdin, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






