var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 557992;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);























































































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });



























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,64,245,7,0,62,1,0,0,176,0,0,0,78,0,0,0,198,0,0,0,14,0,0,0,8,0,0,0,10,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,80,245,7,0,62,1,0,0,52,1,0,0,78,0,0,0,198,0,0,0,14,0,0,0,32,0,0,0,6,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,36,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,104,133,0,0,110,0,0,0,56,163,7,0,114,0,0,0,16,127,7,0,102,0,0,0,152,105,7,0,97,0,0,0,80,160,0,0,101,0,0,0,80,141,0,0,119,0,0,0,96,126,0,0,87,0,0,0,224,113,0,0,115,0,0,0,112,102,0,0,83,0,0,0,168,93,0,0,100,0,0,0,0,208,7,0,68,0,0,0,184,196,7,0,0,0,0,0,0,0,0,0,88,104,8,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,200,114,7,0,72,112,7,0,224,114,8,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,96,105,8,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,24,0,0,0,24,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,104,106,8,0,0,0,0,0,240,106,8,0,0,0,0,0,120,107,8,0,0,0,0,0,0,108,8,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,200,131,7,0,240,48,6,0,112,154,0,0,120,137,0,0,40,122,0,0,152,110,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,10,0,0,0,88,0,0,0,88,0,0,0,44,0,0,0,94,0,0,0,4,0,0,0,8,0,0,0,84,0,0,0,208,0,0,0,208,0,0,0,24,0,0,0,12,0,0,0,136,162,7,0,22,25,0,0,7,0,0,0,23,25,0,0,58,0,0,0,0,0,0,0,136,162,7,0,11,25,0,0,7,0,0,0,11,25,0,0,71,0,0,0,0,0,0,0,136,162,7,0,255,0,0,0,9,0,0,0,2,1,0,0,41,0,0,0,0,0,0,0,136,162,7,0,222,1,0,0,9,0,0,0,225,1,0,0,41,0,0,0,0,0,0,0,136,162,7,0,80,1,0,0,9,0,0,0,83,1,0,0,41,0,0,0,0,0,0,0,136,162,7,0,238,0,0,0,9,0,0,0,241,0,0,0,41,0,0,0,0,0,0,0,136,162,7,0,160,1,0,0,9,0,0,0,163,1,0,0,41,0,0,0,0,0,0,0,136,162,7,0,54,1,0,0,9,0,0,0,57,1,0,0,41,0,0,0,0,0,0,0,136,162,7,0,19,17,0,0,9,0,0,0,22,17,0,0,41,0,0,0,0,0,0,0,136,162,7,0,122,16,0,0,9,0,0,0,125,16,0,0,41,0,0,0,0,0,0,0,136,162,7,0,221,20,0,0,9,0,0,0,221,20,0,0,81,0,0,0,0,0,0,0,136,162,7,0,246,19,0,0,9,0,0,0,247,19,0,0,65,0,0,0,0,0,0,0,136,162,7,0,214,19,0,0,11,0,0,0,215,19,0,0,91,0,0,0,0,0,0,0,136,162,7,0,82,11,0,0,9,0,0,0,85,11,0,0,41,0,0,0,0,0,0,0,136,162,7,0,37,10,0,0,9,0,0,0,40,10,0,0,41,0,0,0,0,0,0,0,136,162,7,0,204,11,0,0,9,0,0,0,206,11,0,0,62,0,0,0,0,0,0,0,136,162,7,0,195,8,0,0,9,0,0,0,196,8,0,0,77,0,0,0,0,0,0,0,136,162,7,0,193,8,0,0,9,0,0,0,194,8,0,0,67,0,0,0,0,0,0,0,136,162,7,0,190,8,0,0,9,0,0,0,192,8,0,0,40,0,0,0,0,0,0,0,208,114,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,162,7,0,13,7,0,0,9,0,0,0,15,7,0,0,55,0,0,0,0,0,0,0,136,162,7,0,11,7,0,0,9,0,0,0,12,7,0,0,53,0,0,0,0,0,0,0,136,162,7,0,9,7,0,0,9,0,0,0,10,7,0,0,56,0,0,0,0,0,0,0,136,162,7,0,6,7,0,0,9,0,0,0,8,7,0,0,40,0,0,0,0,0,0,0,136,162,7,0,109,6,0,0,9,0,0,0,110,6,0,0,53,0,0,0,0,0,0,0,136,162,7,0,107,6,0,0,9,0,0,0,108,6,0,0,56,0,0,0,0,0,0,0,136,162,7,0,103,6,0,0,9,0,0,0,106,6,0,0,41,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,80,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,80,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,160,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,232,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,240,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,72,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,160,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,152,41,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,136,108,8,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,42,0,0,0,22,0,0,0,58,0,0,0,50,0,0,0,68,0,0,0,48,0,0,0,24,0,0,0,14,0,0,0,90,0,0,0,96,0,0,0,24,0,0,0,78,0,0,0,32,0,0,0,10,0,0,0,4,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,22,0,0,0,58,0,0,0,50,0,0,0,68,0,0,0,48,0,0,0,24,0,0,0,14,0,0,0,90,0,0,0,96,0,0,0,24,0,0,0,78,0,0,0,32,0,0,0,10,0,0,0,4,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,36,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,44,0,0,0,6,0,0,0,8,0,0,0,44,0,0,0,2,0,0,0,42,0,0,0,36,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,216,20,8,0,112,20,8,0,64,20,8,0,104,20,8,0,88,20,8,0,72,20,8,0,3,0,0,0,0,0,0,0,255,255,255,255,200,114,8,0,200,114,8,0,200,114,8,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,168,139,7,0,224,104,7,0,136,159,0,0,32,141,0,0,64,155,7,0,120,189,7,0,144,1,0,0,0,0,0,0,232,100,8,0,0,0,0,0,216,60,0,0,24,83,0,0,192,1,0,0,24,80,0,0,24,80,0,0,248,57,0,0,192,1,0,0,0,0,0,0,72,62,0,0,136,84,0,0,48,3,0,0,136,81,0,0,136,81,0,0,104,59,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,76,0,0,0,0,176,60,49,101,0,0,0,0,16,0,244,14,255,255,255,255,239,127,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,48,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,164,0,0,0,159,0,0,216,156,0,0,120,155,0,0,208,153,0,0,16,152,0,0,208,150,0,0,64,149,0,0,208,164,0,0,56,148,0,0,200,146,0,0,176,145,0,0,168,140,0,0,232,138,0,0,248,137,0,0,192,136,0,0,0,0,0,0,56,126,7,0,240,122,7,0,224,114,8,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,232,114,8,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,128,63,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,6,0,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,216,157,0,0,0,0,0,0,88,169,7], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10240);
/* memory initializer */ allocate([67,68,65,84,65,91,0,0,96,0,0,0,6,0,0,0,26,0,0,0,40,0,0,0,46,0,0,0,84,0,0,0,28,0,0,0,66,0,0,0,30,0,0,0,54,0,0,0,88,0,0,0,70,0,0,0,66,0,0,0,36,0,0,0,8,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,6,0,0,0,26,0,0,0,40,0,0,0,46,0,0,0,84,0,0,0,28,0,0,0,66,0,0,0,30,0,0,0,54,0,0,0,88,0,0,0,70,0,0,0,66,0,0,0,36,0,0,0,8,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,21,8,0,16,21,8,0,8,21,8,0,0,21,8,0,32,21,8,0,40,21,8,0,200,20,8,0,184,20,8,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,76,0,0,0,32,0,0,0,16,0,0,0,78,0,0,0,52,0,0,0,36,0,0,0,18,0,0,0,74,0,0,0,20,0,0,0,12,0,0,0,52,0,0,0,70,0,0,0,16,0,0,0,56,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,144,109,8,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,38,108,116,59,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,74,117,108,0,0,0,0,0,100,101,114,40,0,0,0,0,79,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,74,117,110,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,65,112,114,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,77,97,114,0,0,0,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,70,101,98,0,0,0,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,74,97,110,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,78,111,110,45,117,110,105,116,0,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,103,46,112,105,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,118,111,108,117,109,101,46,109,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,37,108,100,44,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,95,109,101,100,105,117,109,46,95,112,104,97,115,101,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,80,79,0,0,0,0,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,79,99,116,111,98,101,114,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,65,117,103,117,115,116,0,0,76,0,0,0,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,74,117,108,121,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,36,112,68,69,82,46,0,0,74,117,110,101,0,0,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,36,90,69,82,79,46,0,0,77,97,121,0,0,0,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,105,108,115,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,65,112,114,105,108,0,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,114,98,0,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,77,97,114,99,104,0,0,0,85,112,112,101,114,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,74,97,110,117,97,114,121,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,62,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,108,105,115,0,0,0,0,0,118,111,108,117,109,101,46,86,0,0,0,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,118,111,108,117,109,101,46,95,109,101,100,105,117,109,46,95,112,104,97,115,101,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,84,82,73,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,46,0,0,0,0,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,32,40,115,99,97,108,101,100,41,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,110,117,109,101,114,105,99,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,115,116,97,116,101,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,100,101,98,117,103,0,0,0,85,0,0,0,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,123,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,101,114,114,111,114,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,119,97,114,110,105,110,103,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,105,105,116,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,105,110,102,111,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,109,97,120,0,0,0,0,0,105,112,111,112,116,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,38,103,116,59,0,0,0,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,100,97,116,97,95,50,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,109,105,110,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,38,108,116,59,0,0,0,0,85,110,105,116,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,110,111,109,105,110,97,108,0,107,105,110,115,111,108,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,38,97,109,112,59,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,85,110,104,97,110,100,108,101,100,32,65,115,115,101,114,116,105,111,110,45,69,114,114,111,114,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,34,32,47,62,10,0,0,0,108,97,112,97,99,107,0,0,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,66,82,68,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,69,114,114,111,114,58,32,0,102,105,120,101,100,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,10,9,114,101,115,105,100,117,97,108,32,61,32,37,101,0,0,0,0,110,101,119,117,111,97,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,60,114,101,102,115,62,10,0,115,116,97,114,116,0,0,0,115,105,109,112,108,101,120,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,83,84,79,80,32,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,34,62,10,0,0,0,0,0,77,0,0,0,0,0,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20488);
/* memory initializer */ allocate([60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,124,32,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,37,45,55,115,32,124,32,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,100,97,116,97,95,49,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,37,115,0,0,0,0,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,68,84,82,83,77,32,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,62,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,37,32,46,53,101,32,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,62,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,72,82,68,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,37,115,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,102,117,110,99,32,61,32,37,100,32,43,43,43,32,101,114,114,111,114,32,61,32,37,46,49,53,101,32,43,43,43,32,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,49,53,101,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,116,97,116,101,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,105,105,102,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,80,77,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,65,77,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,63,63,63,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,76,111,119,101,114,0,0,0,85,110,105,116,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,102,46,100,101,108,116,97,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,114,43,0,0,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,103,0,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,27,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,60,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,81,76,70,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,110,97,109,101,0,0,0,0,42,42,42,32,83,121,115,116,101,109,32,115,111,108,118,101,100,32,42,42,42,10,37,100,32,114,101,115,116,97,114,116,115,0,0,0,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,87,101,108,108,44,32,116,104,105,115,32,105,115,32,101,109,98,97,114,114,97,115,105,110,103,46,32,84,104,101,32,110,111,110,45,108,105,110,101,97,114,32,115,111,108,118,101,114,32,115,104,111,117,108,100,32,110,101,118,101,114,32,99,97,108,108,32,116,104,105,115,32,99,97,115,101,46,37,100,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,82,117,110,110,105,110,103,0,101,110,100,102,105,108,101,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,45,45,32,101,110,100,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,100,97,115,115,108,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,78,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,45,45,32,98,101,103,105,110,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,0,0,0,0,0,0,32,73,79,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,45,45,32,101,110,100,32,111,102,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,37,46,49,54,103,44,0,0,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,104,101,108,112,0,0,0,0,85,110,107,110,111,119,110,32,101,113,117,97,116,105,111,110,32,115,121,115,116,101,109,32,101,114,114,111,114,58,32,37,100,32,37,115,32,37,103,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,45,45,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,91,37,50,100,93,32,37,50,48,46,49,50,103,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,108,97,109,98,100,97,0,0,110,102,117,110,99,32,61,32,37,100,10,101,114,114,111,114,32,61,32,37,46,50,48,101,10,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,50,48,101,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,84,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,115,113,114,116,40,111,91,50,53,93,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,61,32,48,0,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30728);
/* memory initializer */ allocate([41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,7,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,0,0,0,0,0,0,0,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,114,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,62,32,50,50,48,54,52,48,48,48,46,48,0,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,76,81,70,0,0,0,0,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,32,43,43,43,32,111,108,100,32,61,32,37,101,32,43,43,43,32,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,101,0,37,115,44,0,0,0,0,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,115,116,97,116,105,115,116,105,99,115,0,0,0,0,0,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,119,114,105,116,105,110,103,0,115,99,97,108,105,110,103,32,61,32,37,102,10,111,108,100,32,61,32,37,102,10,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,102,0,78,76,83,95,77,65,88,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,117,110,107,110,111,119,110,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,114,101,115,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,114,101,97,100,105,110,103,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,102,117,110,99,116,105,111,110,115,0,0,0,0,0,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,80,0,0,0,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,120,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,110,108,115,32,115,116,97,116,117,115,0,0,0,0,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,95,105,110,102,111,46,120,109,108,0,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,105,109,112,114,111,112,101,114,32,105,110,112,117,116,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,110,111,110,108,105,110,101,97,114,32,101,113,46,32,115,121,115,116,58,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,99,111,109,109,101,110,116,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+40968);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51208);
/* memory initializer */ allocate([97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,114,111,112,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,56,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,100,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,100,114,111,112,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,56,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,32,40,109,95,102,108,111,119,32,38,103,116,59,32,48,32,105,115,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,54,34,32,108,105,110,101,69,110,100,61,34,51,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,32,40,109,95,102,108,111,119,32,38,103,116,59,32,48,32,105,115,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,54,34,32,108,105,110,101,69,110,100,61,34,51,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,45,51,51,51,46,51,51,51,51,51,51,51,51,51,51,51,51,51,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,45,51,51,51,46,51,51,51,51,51,51,51,51,51,51,51,51,51,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61448);
/* memory initializer */ allocate([52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71688);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,85,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,85,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+81928);
/* memory initializer */ allocate([62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92168);
/* memory initializer */ allocate([110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102408);
/* memory initializer */ allocate([108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,99,111,109,109,101,110,116,61,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,99,111,109,109,101,110,116,61,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112648);
/* memory initializer */ allocate([116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+122888);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,111,114,116,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,112,111,114,116,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133128);
/* memory initializer */ allocate([97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,55,34,32,108,105,110,101,69,110,100,61,34,51,48,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,32,99,111,109,109,101,110,116,61,34,80,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,54,34,32,108,105,110,101,69,110,100,61,34,49,52,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143368);
/* memory initializer */ allocate([115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,32,99,111,109,109,101,110,116,61,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,49,34,32,108,105,110,101,69,110,100,61,34,55,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153608);
/* memory initializer */ allocate([54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,111,114,116,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,72,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+163848);
/* memory initializer */ allocate([83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174088);
/* memory initializer */ allocate([70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,32,99,111,109,109,101,110,116,61,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,51,34,32,108,105,110,101,69,110,100,61,34,49,52,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,52,34,32,108,105,110,101,69,110,100,61,34,49,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,53,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,85,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184328);
/* memory initializer */ allocate([46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,85,41,34,32,99,111,109,109,101,110,116,61,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,54,34,32,108,105,110,101,69,110,100,61,34,51,49,57,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,118,111,108,117,109,101,46,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,32,99,111,109,109,101,110,116,61,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,55,48,54,34,32,108,105,110,101,69,110,100,61,34,53,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,70,105,120,101,100,80,104,97,115,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,56,34,32,108,105,110,101,69,110,100,61,34,51,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,56,34,32,108,105,110,101,69,110,100,61,34,51,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,56,34,32,108,105,110,101,69,110,100,61,34,51,53,48,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194568);
/* memory initializer */ allocate([99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,50,34,32,108,105,110,101,69,110,100,61,34,51,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,50,34,32,108,105,110,101,69,110,100,61,34,51,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,52,34,32,108,105,110,101,69,110,100,61,34,51,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,52,34,32,108,105,110,101,69,110,100,61,34,51,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,52,48,49,51,46,48,53,56,49,53,50,53,57,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,54,34,32,108,105,110,101,69,110,100,61,34,51,53,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,52,48,49,51,46,48,53,56,49,53,50,53,57,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,54,34,32,108,105,110,101,69,110,100,61,34,51,53,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+204808);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,115,105,122,101,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,54,34,32,108,105,110,101,69,110,100,61,34,51,49,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,86,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,115,105,122,101,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,54,34,32,108,105,110,101,69,110,100,61,34,51,49,54,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,100,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,52,34,32,108,105,110,101,69,110,100,61,34,51,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,100,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,52,34,32,108,105,110,101,69,110,100,61,34,51,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,97,110,32,105,110,102,105,110,105,116,101,32,114,101,115,101,114,118,111,105,114,32,116,111,32,116,104,101,32,102,108,117,105,100,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,51,34,32,108,105,110,101,69,110,100,61,34,51,50,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,97,110,32,105,110,102,105,110,105,116,101,32,114,101,115,101,114,118,111,105,114,32,116,111,32,116,104,101,32,102,108,117,105,100,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,51,34,32,108,105,110,101,69,110,100,61,34,51,50,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215048);
/* memory initializer */ allocate([34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,54,51,55,53,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,54,51,55,53,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,51,34,32,108,105,110,101,69,110,100,61,34,51,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,51,34,32,108,105,110,101,69,110,100,61,34,51,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,50,53,55,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,50,53,55,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,51,34,32,108,105,110,101,69,110,100,61,34,51,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,51,34,32,108,105,110,101,69,110,100,61,34,51,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,97,116,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225288);
/* memory initializer */ allocate([101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,53,34,32,108,105,110,101,69,110,100,61,34,51,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,97,116,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,53,34,32,108,105,110,101,69,110,100,61,34,51,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,117,115,101,95,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,115,116,97,114,116,32,111,114,32,100,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,117,115,101,95,112,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,115,116,97,114,116,32,111,114,32,100,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,115,116,97,114,116,32,111,114,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,55,34,32,108,105,110,101,69,110,100,61,34,51,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,117,115,101,95,84,95,115,116,97,114,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,115,116,97,114,116,32,111,114,32,104,95,115,116,97,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,55,34,32,108,105,110,101,69,110,100,61,34,51,49,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,54,34,32,108,105,110,101,69,110,100,61,34,51,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,54,34,32,108,105,110,101,69,110,100,61,34,51,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235528);
/* memory initializer */ allocate([32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,117,115,101,95,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,97,109,98,105,101,110,116,32,111,114,32,100,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,117,115,101,95,112,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,112,95,97,109,98,105,101,110,116,32,111,114,32,100,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,52,55,34,32,108,105,110,101,69,110,100,61,34,51,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,51,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,32,99,111,109,109,101,110,116,61,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,54,34,32,108,105,110,101,69,110,100,61,34,51,51,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,53,34,32,108,105,110,101,69,110,100,61,34,52,51,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,32,99,111,109,109,101,110,116,61,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,56,34,32,108,105,110,101,69,110,100,61,34,52,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,53,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+245768);
/* memory initializer */ allocate([117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,41,41,32,111,114,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,41,41,32,111,114,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,45,32,68,73,86,73,83,73,79,78,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,52,34,32,108,105,110,101,69,110,100,61,34,51,50,48,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256008);
/* memory initializer */ allocate([103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,34,32,108,105,110,101,69,110,100,61,34,49,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,34,32,108,105,110,101,69,110,100,61,34,50,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,45,32,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,34,32,108,105,110,101,69,110,100,61,34,50,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,50,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,34,32,108,105,110,101,69,110,100,61,34,49,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,109,105,120,101,100,62,10,32,32,32,32,32,32,60,99,111,110,116,105,110,117,111,117,115,32,105,110,100,101,120,61,34,50,52,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,105,115,99,114,101,116,101,32,105,110,100,101,120,61,34,50,53,34,32,47,62,10,32,32,32,32,60,47,109,105,120,101,100,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,48,49,34,32,108,105,110,101,69,110,100,61,34,51,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,86,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,45,32,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,54,57,34,32,108,105,110,101,69,110,100,61,34,51,52,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,115,104,111,114,116,80,105,112,101,46,100,112,44,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266248);
/* memory initializer */ allocate([111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,48,34,32,108,105,110,101,69,110,100,61,34,51,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,45,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,86,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,50,34,32,108,105,110,101,69,110,100,61,34,51,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,45,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,45,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,44,32,118,111,108,117,109,101,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,45,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,104,95,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,44,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,94,32,50,46,48,32,43,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,43,32,40,45,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,94,32,50,46,48,32,45,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,42,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,57,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,41,32,116,104,101,110,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,101,108,115,101,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,32,42,32,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276488);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,49,49,34,32,108,105,110,101,69,110,100,61,34,51,50,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,48,52,34,32,108,105,110,101,69,110,100,61,34,51,50,48,52,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,57,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,48,49,34,32,108,105,110,101,69,110,100,61,34,51,51,48,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,34,32,108,105,110,101,69,110,100,61,34,49,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286728);
/* memory initializer */ allocate([109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,45,32,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,34,32,108,105,110,101,69,110,100,61,34,50,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,57,50,34,32,108,105,110,101,69,110,100,61,34,49,57,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,45,32,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,86,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,56,34,32,108,105,110,101,69,110,100,61,34,50,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,54,57,34,32,108,105,110,101,69,110,100,61,34,51,52,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,100,112,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,42,32,68,73,86,73,83,73,79,78,40,115,104,111,114,116,80,105,112,101,46,100,112,44,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,55,48,34,32,108,105,110,101,69,110,100,61,34,51,52,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,48,46,48,41,32,116,104,101,110,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,101,108,115,101,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,115,101,109,105,76,105,110,101,97,114,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,41], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+296968);
/* memory initializer */ allocate([60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,57,50,34,32,108,105,110,101,69,110,100,61,34,51,51,57,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,45,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,45,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,49,34,32,108,105,110,101,69,110,100,61,34,51,49,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,45,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,44,32,118,111,108,117,109,101,46,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,54,34,32,108,105,110,101,69,110,100,61,34,51,50,50,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,44,32,118,111,108,117,109,101,46,86,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,50,52,34,32,108,105,110,101,69,110,100,61,34,51,50,50,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,45,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,104,95,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,44,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,52,34,32,108,105,110,101,69,110,100,61,34,50,49,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,94,32,50,46,48,32,43,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,43,32,40,45,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,94,32,50,46,48,32,45,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,42,32,36,68,69,82,46,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,34,32,108,105,110,101,69,110,100,61,34,50,51,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,56,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,80,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,92,38,113,117,111,116,59,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,87,97,116,101,114,73,70,57,55,38,113,117,111,116,59,32,43,32,38,113,117,111,116,59,92,38,113,117,111,116,59,32,105,115,32,110,101,103,97,116,105,118,101,10,32,32,32,32,32,32,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,44,32,48,44,32,116,114,117,101,44,32,54,41,32,43,32,38,113,117,111,116,59,32,75,41,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,51,52,34,32,108,105,110,101,69,110,100,61,34,52,52,51,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,53,55,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307208);
/* memory initializer */ allocate([46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,56,48,49,53,50,54,56,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,54,49,46,53,50,51,54,51,54,53,48,54,53,52,53,52,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,104,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,104,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,32,42,32,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,112,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,48,53,32,42,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,52,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317448);
/* memory initializer */ allocate([46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,80,114,101,115,115,117,114,101,95,98,97,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,41,41,32,111,114,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,41,41,32,111,114,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,32,50,50,48,54,52,48,48,48,46,48,32,116,104,101,110,32,49,32,101,108,115,101,32,50,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,48,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,50,55,51,46,49,53,32,43,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,48,48,34,32,108,105,110,101,69,110,100,61,34,52,52,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,111,110,118,101,114,115,105,111,110,115,46,78,111,110,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,95,100,101,103,67,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,45,32,68,73,86,73,83,73,79,78,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,84,95,115,116,97,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,84,95,115,116,97,114,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,88,95,115,116,97,114,116,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,88,95,115,116,97,114,116,91,49,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,53,34,32,108,105,110,101,69,110,100,61,34,51,52,51,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,49,101,45,49,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,51,51,34,32,108,105,110,101,69,110,100,61,34,51,52,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,56,34,32,108,105,110,101,69,110,100,61,34,51,51,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,104,95,97,109,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327688);
/* memory initializer */ allocate([105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,57,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,51,34,32,108,105,110,101,69,110,100,61,34,51,51,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,48,34,32,108,105,110,101,69,110,100,61,34,51,51,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,56,34,32,108,105,110,101,69,110,100,61,34,51,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,57,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,51,34,32,108,105,110,101,69,110,100,61,34,51,50,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,57,34,32,108,105,110,101,69,110,100,61,34,51,49,57,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,104,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,53,34,32,108,105,110,101,69,110,100,61,34,51,49,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,56,48,34,32,108,105,110,101,69,110,100,61,34,51,49,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,100,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,52,34,32,108,105,110,101,69,110,100,61,34,51,49,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,112,95,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+337928);
/* memory initializer */ allocate([116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,49,34,32,108,105,110,101,69,110,100,61,34,51,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,84,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,84,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,52,34,32,108,105,110,101,69,110,100,61,34,51,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,95,115,116,97,114,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,112,95,115,116,97,114,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,53,48,50,34,32,108,105,110,101,69,110,100,61,34,51,53,48,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108,105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,32,38,108,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,56,34,32,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348168);
/* memory initializer */ allocate([105,110,101,69,110,100,61,34,52,51,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,97,115,115,70,114,97,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,49,34,32,108,105,110,101,69,110,100,61,34,52,51,57,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,103,116,59,61,32,48,46,48,48,49,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,32,38,108,116,59,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,50,34,32,108,105,110,101,69,110,100,61,34,52,51,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,77,111,108,97,114,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,49,57,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,56,34,32,108,105,110,101,69,110,100,61,34,51,48,54,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,50,34,32,108,105,110,101,69,110,100,61,34,52,51,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,65,98,115,111,108,117,116,101,80,114,101,115,115,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,53,34,32,108,105,110,101,69,110,100,61,34,52,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,46,73,110,112,117,116,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358408);
/* memory initializer */ allocate([44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,118,111,108,117,109,101,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,118,111,108,117,109,101,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,57,55,34,32,108,105,110,101,69,110,100,61,34,51,49,57,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,118,111,108,117,109,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,103,116,59,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,54,34,32,108,105,110,101,69,110,100,61,34,52,51,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,56,55,34,32,108,105,110,101,69,110,100,61,34,52,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,57,48,34,32,108,105,110,101,69,110,100,61,34,52,51,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,73,110,116,101,114,110,97,108,69,110,101,114,103,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,103,116,59,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,38,108,116,59,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,54,50,34,32,108,105,110,101,69,110,100,61,34,55,48,54,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,103,116,59,61,32,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,38,108,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,52,34,32,108,105,110,101,69,110,100,61,34,49,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,66,97,115,101,80,114,111,112,101,114,116,105,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368648);
/* memory initializer */ allocate([116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,109,98,105,101,110,116,46,112,111,114,116,46,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,49,34,32,108,105,110,101,69,110,100,61,34,51,48,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,109,98,105,101,110,116,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,83,112,101,99,105,102,105,99,69,110,116,104,97,108,112,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,55,51,34,32,108,105,110,101,69,110,100,61,34,51,48,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,69,110,116,104,97,108,112,121,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,103,116,59,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,38,108,116,59,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,54,34,32,108,105,110,101,69,110,100,61,34,51,52,52,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,104,111,114,116,80,105,112,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,77,97,115,115,70,108,111,119,82,97,116,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,55,50,34,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,72,101,97,116,67,97,112,97,99,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,74,47,40,107,103,46,75,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,114,101,115,115,117,114,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,98,97,114,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,77,97,115,115,70,114,97,99,116,105,111,110,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,49,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,104,101,114,109,111,100,121,110,97,109,105,99,84,101,109,112,101,114,97,116,117,114,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,100,101,103,67,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,69,110,101,114,103,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,74,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,115,97,116,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,32,38,108,116,59,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,32,40,116,114,105,112,108,101,32,112,111,105,110,116,32,112,114,101,115,115,117,114,101,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,48,32,77,112,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,41,32,105,115,32,108,111,119,101,114,32,116,104,97,110,32,50,55,51,46,49,53,32,75,33,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,80,97,47,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,46,51,51,54,52,53,54,54,55,56,49,49,50,49,53,101,45,48,55,44,32,52,46,53,53,57,49,50,54,53,54,56,48,50,57,55,56,101,45,48,54,44,32,45,49,46,52,54,50,57,52,54,52,48,55,48,48,57,55,57,101,45,48,53,44,32,48,46,48,48,54,51,57,51,52,49,51,49,50,57,55,48,48,56,44,32,51,55,50,46,55,56,51,57,50,55,50,54,56,56,52,55,44,32,45,55,49,56,54,46,53,52,51,55,55,52,54,48,52,52,55,44,32,53,55,51,52,57,52,46,55,53,50,49,48,51,52,44,32,45,50,54,55,53,54,57,51,46,50,57,49,49,49,52,51,57,44,32,45,51,46,51,52,48,54,54,50,56,51,51,48,50,54,49,52,101,45,48,53,44,32,45,48,46,48,50,52,53,52,55,57,50,49,52,48,54,57,53,57,55,44,32,52,55,46,56,48,56,55,56,52,55,55,54,52,57,57,54,44,32,55,46,54,52,54,54,52,49,51,49,56,49,56,57,48,52,49,101,45,48,54,44,32,48,46,48,48,49,50,56,51,53,48,54,50,55,54,55,54,57,55,50,44,32,48,46,48,49,55,49,50,49,57,48,56,49,51,55,55,51,51,49,44,32,45,56,46,53,49,48,48,55,51,48,52,53,56,51,50,49,50,57,44,32,45,48,46,48,49,51,54,53,49,51,52,54,49,54,50,57,55,56,49,44,32,45,51,46,56,52,52,54,48,57,57,55,53,57,54,54,53,55,101,45,48,54,44,32,48,46,48,48,51,51,55,52,50,51,56,48,55,57,49,49,54,53,53,44,32,45,48,46,53,53,49,54,50,52,56,55,51,48,54,54,55,57,49,44,32,48,46,55,50,57,50,48,50,50,55,55,49,48,55,52,55,44,32,45,48,46,48,48,57,57,50,53,50,50,55,53,55,51,55,54,48,52,49,49,44,32,45,48,46,49,49,57,51,48,56,56,51,49,52,48,55,50,56,56,44,32,48,46,55,57,51,57,50,57,49,57,48,54,49,53,52,50,49,44,32,48,46,52,53,52,50,55,48,55,51,49,55,57,57,51,56,54,44,32,48,46,50,48,57,57,57,56,53,57,49,50,53,57,57,49,44,32,45,48,46,48,48,54,52,50,49,48,57,56,50,51,57,48,52,55,51,56,44,32,45,48,46,48,50,51,53,49,53,53,56,54,56,54,48,52,53,52,44,32,48,46,48,48,50,53,50,50,51,51,49,48,56,51,52,49,54,49,50,44,32,45,48,46,48,48,55,54,52,56,56,53,49,51,51,51,54,56,49,49,57,44,32,48,46,48,49,51,54,49,55,54,52,50,55,53,55,52,50,57,49,44,32,45,48,46,48,49,51,51,48,50,55,56,56,51,53,55,53,54,54,57,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,53,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,51,46,48,44,32,52,46,48,44,32,52,46,48,44,32,49,48,46,48,44,32,49,50,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,54,46,48,44,32,49,52,46,48,44,32,49,54,46,48,44,32,50,48,46,48,44,32,50,50,46,48,44,32,49,46,48,44,32,53,46,48,44,32,49,50,46,48,44,32,48,46,48,44,32,50,46,48,44,32,52,46,48,44,32,49,48,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,52,46,48,44,32,48,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,51,46,48,44,32,52,46,48,44,32,53,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,51,46,50,51,50,53,52,53,55,51,54,52,52,57,50,101,45,48,53,44,32,45,48,46,48,48,48,49,50,55,53,55,53,53,53,54,53,56,55,49,56,49,44,32,45,48,46,48,48,48,52,55,53,56,53,49,56,55,55,51,53,54,48,54,56,44,32,48,46,48,48,49,53,54,49,56,51,48,49,52,49,56,49,54,48,50,44,32,48,46,49,48,53,55,50,52,56,54,48,49,49,51,55,56,49,44,32,45,56,53,46,56,53,49,52,50,50,49,49,51,50,53,51,52,49,44,32,55,50,52,46,49,52,48,48,57,53,52,56,48,57,49,49,44,32,48,46,48,48,50,57,54,52,55,53,56,49,48,50,55,51,50,53,55,44,32,45,48,46,48,48,53,57,50,55,50,49,57,56,51,51,54,53,57,56,56,44,32,45,48,46,48,49,50,54,51,48,53,52,50,50,56,49,56,54,54,54,44,32,45,48,46,49,49,53,55,49,54,49,57,54,51,54,52,56,53,51,44,32,56,52,46,57,48,48,48,57,54,57,55,51,57,53,57,53,49,44,32,45,48,46,48,49,48,56,54,48,50,50,54,48,48,56,54,54,49,53,44,32,48,46,48,49,53,52,51,48,52,52,55,53,51,50,56,56,53,49,44,32,48,46,48,55,53,48,52,53,53,52,52,49,53,50,52,52,54,54,44,32,48,46,48,50,53,50,53,50,48,57,55,51,54,49,50,57,56,50,44,32,45,48,46,48,54,48,50,53,48,55,57,48,49,50,51,50,57,57,54,44,32,45,51,46,48,55,54,50,50,50,50,49,51,53,48,53,48,49,44,32,45,48,46,48,53,55,52,48,49,49,57,53,57,56,54,52,56,55,57,44,32,53,46,48,51,52,55,49,51,54,48,57,51,57,56,52,57,44,32,45,48,46,57,50,53,48,56,49,56,56,56,53,56,52,56,51,52,44,32,51,46,57,49,55,51,51,56,56,50,57,49,55,53,52,54,44,32,45,55,55,46,51,49,52,54,48,48,55,49,51,48,49,57,44,32,57,52,57,51,46,48,56,55,54,50,48,57,56,53,56,55,49,44,32,45,49,52,49,48,52,51,55,46,49,57,54,55,57,52,48,57,44,32,56,52,57,49,54,54,50,46,51,48,56,49,57,48,50,54,44,32,48,46,56,54,49,48,57,53,55,50,57,52,52,54,55,48,52,44,32,48,46,51,50,51,51,52,54,52,52,50,56,49,49,55,50,44,32,48,46,56,55,51,50,56,49,57,51,54,48,50,48,52,51,57,44,32,45,48,46,52,51,54,54,53,51,48,52,56,53,50,54,54,56,51,44,32,48,46,50,56,54,53,57,54,55,49,52,53,50,57,52,55,57,44,32,45,48,46,49,51,49,55,55,56,51,51,49,50,55,54,50,50,56,44,32,48,46,48,48,54,55,54,54,56,50,48,54,52,51,51,48,50,55,53,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,53,46,48,44,32,54,46,48,44,32,56,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,53,46,48,44,32,49,48,46,48,44,32,49,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,52,46,48,44,32,49,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,53,46,48,44,32,48,46,48,44,32,52,46,48,44,32,50,46,48,44,32,52,46,48,44,32,54,46,48,44,32,49,48,46,48,44,32,49,52,46,48,44,32,49,54,46,48,44,32,48,46,48,44,32,50,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,68,101,110,115,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,107,103,47,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,103,47,99,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,112,115,97,116,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,54,49,49,46,54,53,55,32,75,41,46,10,32,32,108,111,119,101,114,32,116,104,97,110,32,116,104,101,32,116,114,105,112,108,101,32,112,111,105,110,116,32,116,101,109,112,101,114,97,116,117,114,101,32,50,55,51,46,49,54,32,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,32,38,108,116,59,61,32,32,48,46,48,32,80,97,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,32,77,112,97,32,105,110,32,114,101,103,105,111,110,32,53,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,108,105,109,105,116,32,111,102,32,50,50,55,51,46,49,53,75,32,105,110,32,114,101,103,105,111,110,32,53,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,116,104,101,32,108,105,109,105,116,32,111,102,32,49,48,55,51,46,49,53,32,75,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,50,48,49,52,46,54,52,48,48,52,50,48,54,56,55,53,44,32,51,46,55,52,54,57,54,53,53,48,49,51,54,57,56,51,44,32,45,48,46,48,50,49,57,57,50,49,57,48,49,48,53,52,49,56,55,44,32,56,46,55,53,49,51,49,54,56,54,48,48,57,57,53,101,45,48,53,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,112,104,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,100,116,32,102,114,111,109,32,112,104,32,99,97,108,108,101,100,32,105,110,32,50,32,112,104,97,115,101,32,114,101,103,105,111,110,58,32,116,104,105,115,32,99,97,110,32,110,111,116,32,119,111,114,107,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,100,116,111,102,112,104,51,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,83,112,101,99,105,102,105,99,86,111,108,117,109,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,51,47,107,103,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,50,46,50,53,49,57,54,57,51,52,51,51,54,51,49,56,101,45,48,57,44,32,49,46,52,48,54,55,52,51,54,51,51,49,51,52,56,54,101,45,48,56,44,32,50,46,51,51,55,56,52,48,56,53,50,56,48,53,54,101,45,48,54,44,32,45,51,46,51,49,56,51,51,55,49,53,50,50,57,48,48,49,101,45,48,53,44,32,48,46,48,48,49,48,55,57,53,54,55,55,56,53,49,52,51,49,56,44,32,45,48,46,50,55,49,51,56,50,48,54,55,51,55,56,56,54,51,44,32,49,46,48,55,50,48,50,50,54,50,52,57,48,51,51,51,44,32,45,48,46,56,53,51,56,50,49,51,50,57,48,55,53,51,56,50,44,32,45,50,46,49,53,50,49,52,49,57,52,51,52,48,53,50,54,101,45,48,53,44,32,48,46,48,48,48,55,54,57,54,53,54,48,56,56,50,50,50,55,51,44,32,45,48,46,48,48,52,51,49,49,51,54,53,56,48,52,51,51,56,54,52,44,32,48,46,52,53,51,51,52,50,49,54,55,51,48,57,51,51,49,44,32,45,48,46,53,48,55,55,52,57,53,51,53,56,55,51,54,53,50,44,32,45,49,48,48,46,52,55,53,49,53,52,53,50,56,51,56,57,44,32,45,48,46,50,49,57,50,48,49,57,50,52,54,52,56,55,57,51,44,32,45,51,46,50,49,48,56,55,57,54,53,54,54,56,57,49,55,44,32,54,48,55,46,53,54,55,56,49,53,54,51,55,55,55,49,44,32,48,46,48,48,48,53,53,55,54,56,54,52,53,48,54,56,53,57,51,50,44,32,48,46,49,56,55,52,57,57,48,52,48,48,50,57,53,53,44,32,48,46,48,48,57,48,53,51,54,56,48,51,48,52,52,56,49,48,55,44,32,48,46,50,56,53,52,49,55,49,55,51,48,52,56,54,56,53,44,32,48,46,48,51,50,57,57,50,52,48,51,48,57,57,54,48,57,56,44,32,48,46,50,51,57,56,57,55,52,49,57,54,56,53,52,56,51,44,32,52,46,56,50,55,53,52,57,57,53,57,53,49,51,57,52,44,32,45,49,49,46,56,48,51,53,55,53,51,55,48,50,50,51,49,44,32,48,46,49,54,57,52,57,48,48,52,52,48,57,49,55,57,49,44,32,45,48,46,48,49,55,57,57,54,55,50,50,50,53,48,55,55,56,55,44,32,48,46,48,51,55,49,56,49,48,49,49,54,51,51,50,54,55,52,44,32,45,48,46,48,53,51,54,50,56,56,51,51,53,48,54,53,48,57,54,44,32,49,46,54,48,54,57,55,49,48,49,48,57,50,53,50,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,51,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,49,46,48,44,32,50,46,48,44,32,50,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,51,46,48,44,32,54,46,48,44,32,55,46,48,44,32,56,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,53,46,48,44,32,54,46,48,44,32,49,48,46,48,44,32,51,46,48,44,32,54,46,48,44,32,49,48,46,48,44,32,48,46,48,44,32,50,46,48,44,32,49,46,48,44,32,50,46,48,44,32,48,46,48,44,32,49,46,48,44,32,52,46,48,44,32,53,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,54,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,86,111,108,117,109,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,109,51,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,48,46,48,48,53,50,57,57,52,52,48,54,50,57,54,54,48,50,56,44,32,45,48,46,49,55,48,48,57,57,54,57,48,50,51,52,52,54,49,44,32,49,49,46,49,51,50,51,56,49,52,51,49,50,57,50,55,44,32,45,50,49,55,56,46,57,56,49,50,51,49,52,53,49,50,53,44,32,45,48,46,48,48,48,53,48,54,48,54,49,56,50,55,57,56,48,56,55,53,44,32,48,46,53,53,54,52,57,53,50,51,57,54,56,53,51,50,52,44,32,45,57,46,52,51,54,55,50,55,50,54,48,57,52,48,49,54,44,32,45,48,46,50,57,55,56,53,54,56,48,55,53,54,49,53,50,55,44,32,57,51,46,57,51,53,51,57,52,51,55,49,55,49,56,54,44,32,48,46,48,49,57,50,57,52,52,57,51,57,52,54,53,57,56,49,44,32,48,46,52,50,49,55,52,48,54,54,52,55,48,52,55,54,51,44,32,45,51,54,56,57,49,52,49,46,50,54,50,56,50,51,51,44,32,45,48,46,48,48,55,51,55,53,54,54,56,52,55,54,48,48,54,51,57,44,32,45,48,46,51,53,52,55,53,51,50,52,50,52,50,52,51,54,54,44,32,45,49,46,57,57,55,54,56,49,54,57,51,51,56,55,50,55,44,32,49,46,49,53,52,53,54,50,57,55,48,53,57,48,52,57,44,32,53,54,56,51,46,54,54,56,55,53,56,49,53,57,54,44,32,48,46,48,48,56,48,56,49,54,57,53,52,48,49,50,52,54,54,56,44,32,48,46,49,55,50,52,49,54,51,52,49,53,49,57,51,48,55,44,32,49,46,48,52,50,55,48,49,55,53,50,57,50,57,50,55,44,32,45,48,46,50,57,55,54,57,49,51,55,50,55,57,50,56,52,55,44,32,48,46,53,54,48,51,57,52,52,54,53,49,54,51,53,57,51,44,32,48,46,50,55,53,50,51,52,54,54,49,49,55,54,57,49,52,44,32,45,48,46,49,52,56,51,52,55,56,57,52,56,54,54,48,49,50,44,32,45,48,46,48,54,53,49,49,52,50,53,49,51,52,55,56,53,49,53,44,32,45,50,46,57,50,52,54,56,55,49,53,51,56,54,51,48,50,44,32,48,46,48,54,54,52,56,55,54,48,57,54,57,53,50,54,54,53,44,32,51,46,53,50,51,51,53,48,49,52,50,54,51,56,52,52,44,32,45,48,46,48,49,52,54,51,52,48,55,57,50,51,49,51,51,51,50,44,32,45,50,46,50,52,53,48,51,52,56,54,54,54,56,49,56,52,44,32,49,46,49,48,53,51,51,52,54,52,55,48,54,49,52,50,44,32,45,48,46,48,52,48,56,55,53,55,51,52,52,52,57,53,54,49,50,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,50,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,49,48,46,48,44,32,45,56,46,48,44,32,45,56,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,54,46,48,44,32,45,52,46,48,44,32,45,52,46,48,44,32,45,51,46,48,44,32,45,50,46,48,44,32,45,50,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,45,49,46,48,44,32,48,46,48,44,32,48,46,48,44,32,49,46,48,44,32,49,46,48,44,32,49,46,48,44,32,50,46,48,44,32,50,46,48,44,32,51,46,48,44,32,52,46,48,44,32,53,46,48,44,32,56,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,54,46,48,44,32,56,46,48,44,32,49,50,46,48,44,32,49,56,46,48,44,32,52,46,48,44,32,55,46,48,44,32,49,48,46,48,44,32,53,46,48,44,32,49,50,46,48,44,32,51,46,48,44,32,52,46,48,44,32,50,50,46,48,44,32,50,46,48,44,32,51,46,48,44,32,55,46,48,44,32,51,46,48,44,32,49,54,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,51,46,48,44,32,48,46,48,44,32,49,46,48,44,32,48,46,48,44,32,49,46,48,44,32,50,46,48,44,32,48,46,48,44,32,50,46,48,44,32,48,46,48,44,32,50,46,48,44,32,50,46,48,44,32,50,46,48,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,116,111,102,112,104,53,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+378888);
/* memory initializer */ allocate([120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,32,32,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,114,101,103,105,111,110,32,99,111,109,112,117,116,97,116,105,111,110,32,111,102,32,73,70,57,55,32,115,116,101,97,109,32,116,97,98,108,101,115,40,112,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,44,32,104,32,61,32,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,115,116,101,97,109,32,116,97,98,108,101,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,40,49,47,50,41,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,55,52,34,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,80,104,97,115,101,66,111,117,110,100,97,114,121,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,73,70,57,55,66,97,115,101,84,119,111,80,104,97,115,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,72,101,108,109,104,111,108,116,122,68,101,114,105,118,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,71,105,98,98,115,68,101,114,105,118,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,72,101,108,109,104,111,108,116,122,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,52,52,34,32,108,105,110,101,69,110,100,61,34,56,54,54,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,78,101,119,116,111,110,68,101,114,105,118,97,116,105,118,101,115,95,112,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,73,70,57,55,80,104,97,115,101,66,111,117,110,100,97,114,121,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,78,101,119,116,111,110,68,101,114,105,118,97,116,105,118,101,115,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,65,109,98,105,101,110,116,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,104,101,108,109,104,111,108,116,122,84,111,66,111,117,110,100,97,114,121,80,114,111,112,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,48,55,34,32,108,105,110,101,69,110,100,61,34,56,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,103,105,98,98,115,84,111,66,111,117,110,100,97,114,121,80,114,111,112,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,52,56,51,34,32,108,105,110,101,69,110,100,61,34,56,53,48,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,67,111,109,109,111,110,46,99,118,50,80,104,97,115,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,50,56,34,32,108,105,110,101,69,110,100,61,34,56,53,53,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,97,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,70,108,117,105,100,80,111,114,116,95,98,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,83,97,116,117,114,97,116,105,111,110,80,114,111,112,101,114,116,105,101,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,80,111,114,116,86,111,108,117,109,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,84,104,101,114,109,111,100,121,110,97,109,105,99,83,116,97,116,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,67,111,109,112,111,110,101,110,116,115,46,83,104,111,114,116,80,105,112,101,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,46,77,101,100,105,117,109,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,56,57,34,32,108,105,110,101,69,110,100,61,34,56,48,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,115,97,116,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,57,34,32,108,105,110,101,69,110,100,61,34,50,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,103,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,54,50,54,34,32,108,105,110,101,69,110,100,61,34,49,55,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,100,112,116,111,102,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,51,56,34,32,108,105,110,101,69,110,100,61,34,51,48,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,84,51,97,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,54,34,32,108,105,110,101,69,110,100,61,34,51,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,73,110,116,101,114,102,97,99,101,115,46,84,121,112,101,115,46,84,119,111,80,104,97,115,101,46,70,108,117,105,100,67,111,110,115,116,97,110,116,115,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,84,51,98,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,102,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,50,34,32,108,105,110,101,69,110,100,61,34,50,50,50,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,112,115,97,116,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,49,49,34,32,108,105,110,101,69,110,100,61,34,51,48,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,103,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,103,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,53,34,32,108,105,110,101,69,110,100,61,34,49,57,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,104,51,97,98,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,56,55,34,32,108,105,110,101,69,110,100,61,34,51,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,112,104,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,54,49,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,116,112,104,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,53,51,34,32,108,105,110,101,69,110,100,61,34,50,55,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,49,34,32,108,105,110,101,69,110,100,61,34,57,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,57,52,34,32,108,105,110,101,69,110,100,61,34,57,50,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,115,101,110,116,114,111,112,105,99,46,104,111,102,112,84,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,56,34,32,108,105,110,101,69,110,100,61,34,52,52,49,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,115,101,110,116,114,111,112,105,99,46,104,111,102,112,84,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,48,51,34,32,108,105,110,101,69,110,100,61,34,52,50,53,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,100,116,111,102,112,104,51,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,48,52,57,34,32,108,105,110,101,69,110,100,61,34,53,49,49,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,118,51,98,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,52,34,32,108,105,110,101,69,110,100,61,34,51,52,56,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,66,97,115,105,99,46,118,51,97,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389128);
/* memory initializer */ allocate([101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,48,49,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,116,111,102,112,104,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,48,50,34,32,108,105,110,101,69,110,100,61,34,53,51,52,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,73,110,118,101,114,115,101,115,46,102,105,120,100,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,52,48,34,32,108,105,110,101,69,110,100,61,34,52,56,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,49,110,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,51,54,34,32,108,105,110,101,69,110,100,61,34,54,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,50,110,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,56,49,34,32,108,105,110,101,69,110,100,61,34,55,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,52,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,56,49,34,32,108,105,110,101,69,110,100,61,34,57,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,118,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,56,54,34,32,108,105,110,101,69,110,100,61,34,56,49,56,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,54,56,34,32,108,105,110,101,69,110,100,61,34,57,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,57,50,34,32,108,105,110,101,69,110,100,61,34,49,48,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,117,112,112,101,114,111,102,112,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,54,34,32,108,105,110,101,69,110,100,61,34,51,52,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,111,119,101,114,111,102,112,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,51,34,32,108,105,110,101,69,110,100,61,34,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,111,119,101,114,111,102,112,49,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,34,32,108,105,110,101,69,110,100,61,34,51,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,108,111,119,101,114,111,102,112,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,57,34,32,108,105,110,101,69,110,100,61,34,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,117,112,112,101,114,111,102,112,53,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,34,32,108,105,110,101,69,110,100,61,34,50,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,117,112,112,101,114,111,102,112,50,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,54,55,34,32,108,105,110,101,69,110,100,61,34,52,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,48,53,34,32,108,105,110,101,69,110,100,61,34,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,104,111,118,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,53,34,32,108,105,110,101,69,110,100,61,34,56,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,104,111,108,95,112,95,82,52,98,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,53,54,34,32,108,105,110,101,69,110,100,61,34,56,55,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,114,101,103,105,111,110,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,52,50,34,32,108,105,110,101,69,110,100,61,34,49,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,104,108,95,112,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,56,52,34,32,108,105,110,101,69,110,100,61,34,56,49,56,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,84,95,112,114,111,112,115,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,53,50,34,32,108,105,110,101,69,110,100,61,34,54,55,54,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,119,97,116,101,114,66,97,115,101,80,114,111,112,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,56,53,34,32,108,105,110,101,69,110,100,61,34,54,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,50,51,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,108,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,57,52,34,32,108,105,110,101,69,110,100,61,34,56,49,57,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,114,111,112,115,95,112,104,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,54,57,53,34,32,108,105,110,101,69,110,100,61,34,54,55,48,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,95,112,104,95,100,101,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,55,50,57,34,32,108,105,110,101,69,110,100,61,34,54,55,53,48,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,114,104,111,118,95,84,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,49,57,53,34,32,108,105,110,101,69,110,100,61,34,56,49,57,53,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,114,101,100,117,99,101,32,116,104,101,32,116,111,108,101,114,97,110,99,101,32,115,108,105,103,104,116,108,121,32,116,111,32,37,101,46,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,77,101,100,105,97,95,69,120,97,109,112,108,101,115,95,84,101,115,116,115,95,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,95,87,97,116,101,114,95,87,97,116,101,114,73,70,57,55,95,95,112,104,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,84,101,115,116,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,53,48,58,53,53,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,55,52,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,51,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,51,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,51,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,51,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399368);
/* memory initializer */ allocate([67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,49,46,48,49,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,48,48,50,48,50,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,54,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,114,97,99,116,105,111,110,115,32,40,61,32,40,99,111,109,112,111,110,101,110,116,32,109,97,115,115,41,47,116,111,116,97,108,32,109,97,115,115,32,32,109,95,105,47,109,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,100,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,100,114,111,112,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,112,111,114,116,95,97,32,116,111,32,112,111,114,116,95,98,32,40,109,95,102,108,111,119,32,38,103,116,59,32,48,32,105,115,32,100,101,115,105,103,110,32,102,108,111,119,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,45,51,51,51,46,51,51,51,51,51,51,51,51,51,51,51,51,51,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409608);
/* memory initializer */ allocate([34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,85,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,117,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,117,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,105,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,95,100,101,103,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+419848);
/* memory initializer */ allocate([32,91,100,101,103,67,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,100,101,103,67,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,111,108,97,114,32,109,97,115,115,32,40,111,102,32,109,105,120,116,117,114,101,32,111,114,32,115,105,110,103,108,101,32,102,108,117,105,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,48,51,50,34,32,109,105,110,61,34,48,46,48,48,49,34,32,109,97,120,61,34,48,46,50,53,34,32,117,110,105,116,61,34,107,103,47,109,111,108,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,109,111,108,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,71,97,115,32,99,111,110,115,116,97,110,116,32,40,111,102,32,109,105,120,116,117,114,101,32,105,102,32,97,112,112,108,105,99,97,98,108,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,40,107,103,46,75,41,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,95,98,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,32,105,110,32,91,98,97,114,93,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,48,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,98,97,114,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,32,111,102,32,114,101,115,101,114,118,111,105,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,88,95,97,109,98,105,101,110,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,109,97,115,115,32,102,114,97,99,116,105,111,110,115,32,109,95,105,47,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,48,46,49,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,46,48,34,32,117,110,105,116,61,34,107,103,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,49,51,50,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,57,51,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430088);
/* memory initializer */ allocate([111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,53,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,53,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,52,48,49,51,46,48,53,56,49,53,50,53,57,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,115,105,122,101,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,100,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,104,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,97,110,32,105,110,102,105,110,105,116,101,32,114,101,115,101,114,118,111,105,114,32,116,111,32,116,104,101,32,102,108,117,105,100,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,54,51,55,53,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,109,98,105,101,110,116,32,115,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,49,50,53,55,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,109,97,115,115,32,102,108,111,119,32,114,97,116,101,32,97,116,32,110,111,109,105,110,97,108,32,112,114,101,115,115,117,114,101,32,100,114,111,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,49,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440328);
/* memory initializer */ allocate([108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,112,111,114,116,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,114,101,115,115,117,114,101,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,97,116,46,112,115,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,97,116,117,114,97,116,105,111,110,32,112,114,101,115,115,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,55,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,80,97,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,98,97,114,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,112,111,114,116,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,109,105,120,116,117,114,101,32,101,110,116,104,97,108,112,121,32,105,110,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,50,34,32,101,110,100,67,111,108,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450568);
/* memory initializer */ allocate([110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,97,46,72,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,110,116,104,97,108,112,121,32,102,108,111,119,32,114,97,116,101,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,32,40,105,102,32,109,95,102,108,111,119,32,38,103,116,59,32,48,44,32,72,95,102,108,111,119,32,61,32,109,95,102,108,111,119,42,104,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,102,108,111,119,32,114,97,116,101,32,102,114,111,109,32,116,104,101,32,99,111,110,110,101,99,116,105,111,110,32,112,111,105,110,116,32,105,110,116,111,32,116,104,101,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,45,49,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,32,111,102,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,101,99,105,102,105,99,32,101,110,116,104,97,108,112,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,48,48,48,48,48,48,46,48,34,32,109,105,110,61,34,45,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,74,47,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,74,47,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+460808);
/* memory initializer */ allocate([111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,49,46,48,34,32,109,105,110,61,34,48,46,48,34,32,109,97,120,61,34,49,48,48,48,48,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,49,46,48,34,32,109,97,120,61,34,49,48,48,48,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,85,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,116,101,114,110,97,108,32,101,110,101,114,103,121,32,111,102,32,112,111,114,116,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,118,111,108,117,109,101,46,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,106,117,110,99,116,105,111,110,32,118,111,108,117,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,57,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,49,32,102,111,114,32,111,110,101,45,112,104,97,115,101,44,32,48,32,105,102,32,110,111,116,32,107,110,111,119,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,116,101,46,112,104,97,115,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,104,97,115,101,32,111,102,32,116,104,101,32,102,108,117,105,100,58,32,49,32,102,111,114,32,49,45,112,104,97,115,101,44,32,50,32,102,111,114,32,116,119,111,45,112,104,97,115,101,44,32,48,32,102,111,114,32,110,111,116,32,107,110,111,119,110,44,32,101,46,103,46,44,32,105,110,116,101,114,97,99,116,105,118,101,32,117,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,55,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,53,55,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,117,115,101,95,112,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,112,95,115,116,97,114,116,32,111,114,32,100,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,117,115,101,95,84,95,115,116,97,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,84,95,115,116,97,114,116,32,111,114,32,104,95,115,116,97,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,111,108,117,109,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,117,115,101,95,112,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,112,95,97,109,98,105,101,110,116,32,111,114,32,100,95,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+471048);
/* memory initializer */ allocate([32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,117,115,101,95,84,95,97,109,98,105,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,101,108,101,99,116,32,84,95,97,109,98,105,101,110,116,32,111,114,32,104,95,97,109,98,105,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,114,101,102,101,114,114,101,100,77,101,100,105,117,109,83,116,97,116,101,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,32,105,102,32,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,32,115,104,97,108,108,32,98,101,32,117,115,101,100,32,102,111,114,32,116,104,101,32,105,110,100,101,112,101,110,100,101,110,116,32,112,114,111,112,101,114,116,121,32,118,97,114,105,97,98,108,101,115,32,111,102,32,116,104,101,32,109,101,100,105,117,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,116,97,110,100,97,114,100,79,114,100,101,114,67,111,109,112,111,110,101,110,116,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,102,32,116,114,117,101,44,32,97,110,100,32,114,101,100,117,99,101,100,88,32,61,32,116,114,117,101,44,32,116,104,101,32,108,97,115,116,32,101,108,101,109,101,110,116,32,111,102,32,88,32,119,105,108,108,32,98,101,32,99,111,109,112,117,116,101,100,32,102,114,111,109,32,116,104,101,32,111,116,104,101,114,32,111,110,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,0,0,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,37,100,46,37,100,103,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,68,71,69,84,82,83,0,0,76,111,119,101,114,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,105,115,97,98,108,101,32,115,111,108,118,101,114,32,105,110,116,101,114,110,97,108,32,115,99,97,108,105,110,103,46,0,0,0,0,0,0,37,115,58,32,37,115,10,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,78,0,0,0,0,0,0,0,114,101,99,101,110,100,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,37,35,46,42,102,0,0,0,68,71,69,84,82,70,0,0,68,71,69,84,70,50,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,72,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,32,111,119,110,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,0,0,0,0,0,82,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,68,71,69,83,86,32,0,0,119,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,12,0,0,0,0,0,0,0,68,71,69,77,77,32,0,0,117,110,107,110,111,119,110,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,119,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,62,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,82,81,70,0,0,0,0,0,37,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,62,61,32,48,46,48,48,49,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,77,77,32,60,61,32,48,46,50,53,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,105,110,100,101,120,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,97,115,32,105,110,105,116,105,97,108,32,112,111,105,110,116,46,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,120,91,37,100,93,32,61,32,37,102,0,0,0,0,0,0,110,101,119,116,111,110,0,0,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,69,120,97,109,112,108,101,115,46,84,101,115,116,115,46,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,46,87,97,116,101,114,46,87,97,116,101,114,73,70,57,55,95,112,104,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,82,32,60,61,32,49,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,45,49,37,37,46,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,119,0,0,0,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,88,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,97,100,100,105,110,103,32,49,37,37,46,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,115,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,116,114,117,101,0,0,0,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,116,109,101,116,97,0,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,69,66,90,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,117,115,101,32,111,108,100,32,118,97,108,117,101,115,32,105,110,115,116,101,97,100,32,101,120,116,114,97,112,111,108,97,116,101,100,46,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,32,75,41,0,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,102,97,108,115,101,0,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,101,100,105,97,95,69,120,97,109,112,108,101,115,95,84,101,115,116,115,95,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,95,87,97,116,101,114,95,87,97,116,101,114,73,70,57,55,95,95,112,104,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,50,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,50,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,50,44,50,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,50,44,48,93,32,61,32,122,101,114,111,115,40,50,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,50,93,32,61,32,122,101,114,111,115,40,48,44,50,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,50,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,118,111,108,117,109,101,80,109,101,100,105,117,109,80,104,32,61,32,120,91,49,93,59,10,32,32,82,101,97,108,32,120,95,80,118,111,108,117,109,101,80,109,101,100,105,117,109,80,112,32,61,32,120,91,50,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,101,100,105,97,95,69,120,97,109,112,108,101,115,95,84,101,115,116,115,95,77,101,100,105,97,84,101,115,116,77,111,100,101,108,115,95,87,97,116,101,114,95,87,97,116,101,114,73,70,57,55,95,95,112,104,59,10,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,83,84,0,0,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,116,111,32,115,111,108,118,101,32,97,32,100,105,115,99,111,110,116,105,110,117,111,117,115,32,115,121,115,116,101,109,46,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,34,32,105,115,32,110,101,103,97,116,105,118,101,10,40,84,101,109,112,101,114,97,116,117,114,101,32,61,32,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,112,111,114,116,0,0,0,0,58,32,0,0,0,0,0,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,97,109,98,105,101,110,116,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,99,111,108,69,110,100,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,85,85,77,0,0,0,0,0,115,111,108,118,101,114,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,111,117,116,32,115,99,97,108,105,110,103,32,97,116,32,97,108,108,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,87,97,116,101,114,73,70,57,55,0,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,99,112,117,0,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,116,111,32,100,101,99,114,101,97,115,101,32,102,97,99,116,111,114,32,116,111,32,37,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+481288);
/* memory initializer */ allocate([115,116,97,114,116,105,111,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,116,114,117,101,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,100,0,0,0,0,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,76,65,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,32,97,115,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,0,0,0,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,32,80,97,41,32,111,102,32,109,101,100,105,117,109,32,34,0,0,0,0,0,0,0,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,105,109,101,110,115,105,111,110,32,37,100,32,104,97,115,32,98,111,117,110,100,115,32,49,46,46,37,100,44,32,103,111,116,32,97,114,114,97,121,32,115,117,98,115,99,114,105,112,116,32,37,100,0,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,37,35,46,42,69,0,0,0,65,99,108,97,115,115,0,0,86,97,114,105,97,98,108,101,32,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,108,105,110,101,69,110,100,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,102,97,108,115,101,0,0,0,80,66,0,0,0,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,105,108,108,101,103,97,108,32,32,105,110,112,117,116,32,105,110,32,97,114,103,117,109,101,110,116,32,37,100,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,80,114,101,115,115,117,114,101,32,40,61,32,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,117,116,112,117,116,0,0,45,37,100,46,37,100,103,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,67,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,86,97,114,105,97,98,108,101,32,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,84,95,115,116,97,114,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,71,66,0,0,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,74,97,99,111,98,105,97,110,32,77,97,116,114,105,120,32,115,105,110,103,117,108,97,114,33,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,101,99,114,101,97,115,105,110,103,32,105,110,105,116,105,97,108,32,115,116,101,112,32,98,111,117,110,100,32,116,111,32,37,102,46,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,118,111,108,117,109,101,46,86,0,0,0,0,0,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,115,116,97,114,116,105,111,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,112,97,99,107,97,103,101,46,109,111,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,82,84,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,85,78,0,0,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,118,111,108,117,109,101,46,109,0,0,0,0,0,0,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,119,98,0,0,0,0,0,0,103,0,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,84,0,0,0,0,0,0,0,110,111,101,109,105,116,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,65,99,108,97,115,115,0,0,34,37,115,34,44,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,97,115,115,101,114,116,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,60,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,0,0,0,0,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,86,97,114,105,97,98,108,101,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,115,104,111,114,116,80,105,112,101,46,112,111,114,116,95,98,46,72,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,108,102,0,0,0,0,0,81,82,70,0,0,0,0,0,37,115,37,46,53,101,32,0,105,110,102,111,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,100,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,83,116,97,114,116,32,115,111,108,118,105,110,103,32,78,111,110,45,76,105,110,101,97,114,32,83,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,32,119,105,116,104,32,78,101,119,116,111,110,32,83,111,108,118,101,114,0,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,66,82,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,37,100,32,114,101,116,114,105,101,115,10,37,100,32,114,101,115,116,97,114,116,115,0,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,115,116,97,114,116,32,115,111,108,118,105,110,103,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,62,62,37,115,60,60,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,107,105,110,115,111,108,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,115,104,111,114,116,80,105,112,101,46,100,112,95,110,111,109,105,110,97,108,0,0,0,0,37,108,100,32,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,110,108,115,0,0,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,111,114,116,46,104,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,62,61,32,49,46,48,32,97,110,100,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,84,82,0,0,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,115,121,115,116,101,109,32,115,111,108,118,101,100,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,100,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,63,0,0,0,0,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,112,111,114,116,46,72,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,110,97,109,101,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,104,95,115,116,97,114,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,100,97,116,101,62,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,72,82,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,0,0,0,0,0,0,114,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,108,118,0,0,0,0,0,0,83,0,0,0,0,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,100,101,102,105,110,101,115,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,88,95,115,116,97,114,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,81,76,0,0,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,37,115,37,49,48,103,32,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,119,105,108,108,32,116,114,121,32,116,111,32,104,97,110,100,108,101,32,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,58,32,37,115,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,83,116,114,105,110,103,0,0,66,111,111,108,101,97,110,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,73,110,116,101,103,101,114,0,67,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,82,101,97,108,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,62,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,115,97,116,46,84,115,97,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,76,81,0,0,0,0,0,0,101,118,101,110,116,115,0,0,37,115,37,49,48,103,32,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,115,65,108,105,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,115,80,97,114,0,0,0,0,37,115,10,0,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,115,65,108,103,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,98,65,108,105,0,0,0,0,98,80,97,114,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,108,115,0,0,0,0,0,0,98,65,108,103,0,0,0,0,78,0,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,105,65,108,105,0,0,0,0,105,80,97,114,0,0,0,0,118,101,99,116,111,114,0,0,105,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,62,61,32,45,49,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,117,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,62,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,84,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,82,81,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,102,97,108,115,101,0,0,0,114,65,108,105,0,0,0,0,114,80,97,114,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,109,111,0,0,0,0,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,114,65,108,103,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,114,68,101,114,0,0,0,0,99,108,111,99,107,0,0,0,76,79,71,95,65,76,76,0,114,83,116,97,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,119,105,116,104,32,100,105,102,102,101,114,101,110,116,32,115,116,97,114,116,105,110,103,32,112,111,105,110,116,115,32,40,43,37,103,41,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,37,46,48,76,102,0,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,62,61,32,49,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,84,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,68,71,69,82,32,32,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,81,82,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,115,99,97,108,101,100,32,114,101,115,105,100,117,97,108,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,45,32,118,111,108,117,109,101,46,112,95,115,116,97,114,116,0,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+491528);
/* memory initializer */ allocate([102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,108,0,0,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,109,101,100,105,117,109,46,100,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,86,97,114,105,97,98,108,101,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,62,61,32,48,46,48,32,97,110,100,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,88,95,97,109,98,105,101,110,116,91,49,93,32,60,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,79,82,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,102,111,114,32,114,101,115,105,100,117,97,108,32,118,101,99,116,111,114,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,83,97,116,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,108,105,110,101,97,114,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,112,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,72,69,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,120,91,37,100,93,58,32,37,101,32,0,0,0,0,0,0,87,101,100,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,77,111,110,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,60,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,104,32,62,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,62,32,50,50,48,54,52,48,48,48,46,48,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,83,117,110,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,115,102,101,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,100,105,97,47,87,97,116,101,114,47,112,97,99,107,97,103,101,46,109,111,0,0,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,62,61,32,45,49,48,48,48,48,48,46,48,32,97,110,100,32,118,111,108,117,109,101,46,112,111,114,116,46,109,95,102,108,111,119,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,62,61,32,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,100,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,71,69,0,0,0,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,71,83,84,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,35,35,35,35,35,35,35,35,35,32,83,116,97,114,116,32,78,101,119,116,111,110,32,109,97,120,102,101,118,58,32,37,100,32,35,35,35,35,35,35,35,35,35,0,0,0,0,0,83,117,110,100,97,121,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,104,101,108,112,0,0,0,0,78,0,0,0,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,44,32,100,105,118,105,115,111,114,58,32,37,115,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,103,110,117,112,108,111,116,0,59,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,44,0,0,0,0,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,118,111,108,117,109,101,46,109,101,100,105,117,109,46,84,32,45,32,118,111,108,117,109,101,46,84,95,115,116,97,114,116,0,0,0,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,37,105,44,0,0,0,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,115,116,100,111,117,116,0,0,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,60,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,98,111,105,108,105,110,103,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,102,105,120,101,100,77,97,115,115,70,108,111,119,82,97,116,101,46,104,95,97,109,98,105,101,110,116,32,62,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,104,118,108,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,44,32,77,111,100,101,108,105,99,97,46,77,101,100,105,97,46,87,97,116,101,114,46,73,70,57,55,95,85,116,105,108,105,116,105,101,115,46,66,97,115,101,73,70,57,55,46,82,101,103,105,111,110,115,46,100,101,119,99,117,114,118,101,95,112,40,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,41,41,32,111,114,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,32,62,32,50,50,48,54,52,48,48,48,46,48,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,62,61,32,48,32,97,110,100,32,118,111,108,117,109,101,46,109,101,100,105,117,109,46,112,104,97,115,101,32,60,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,114,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,84,82,70,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,62,61,32,49,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,84,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,116,105,109,101,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,84,82,68,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,97,108,105,97,115,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,105,111,109,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,68,101,99,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,84,114,97,110,115,112,111,115,101,0,0,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,78,111,118,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,100,0,0,0,0,0,0,0,38,113,117,111,116,59,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,79,99,116,0,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,62,61,32,45,49,48,48,48,48,48,48,48,48,48,48,46,48,32,97,110,100,32,97,109,98,105,101,110,116,46,104,95,97,109,98,105,101,110,116,32,60,61,32,49,48,48,48,48,48,48,48,48,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,91,91,58,100,105,103,105,116,58,93,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+501768);
/* memory initializer */ allocate([100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,83,89,0,0,0,0,0,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,32,97,115,32,105,110,105,116,105,97,108,32,115,111,108,117,116,105,111,110,46,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,109,105,120,101,100,32,101,113,117,97,116,105,111,110,32,115,121,115,116,101,109,32,119,105,116,104,32,105,110,100,101,120,32,37,100,32,97,116,32,116,105,109,101,32,37,101,0,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,65,117,103,0,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,248,238,7,0,196,0,0,0,152,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,239,7,0,254,0,0,0,208,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,239,7,0,90,0,0,0,74,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,239,7,0,120,0,0,0,40,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,239,7,0,120,0,0,0,12,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,239,7,0,120,0,0,0,32,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,239,7,0,214,0,0,0,102,0,0,0,64,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,239,7,0,66,1,0,0,238,0,0,0,64,0,0,0,4,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,239,7,0,206,0,0,0,240,0,0,0,64,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,239,7,0,68,1,0,0,186,0,0,0,64,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,239,7,0,16,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,240,7,0,64,1,0,0,116,0,0,0,64,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,240,7,0,204,0,0,0,146,0,0,0,64,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,240,7,0,56,0,0,0,148,0,0,0,64,0,0,0,180,0,0,0,4,0,0,0,32,0,0,0,6,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,160,240,7,0,36,0,0,0,12,0,0,0,56,0,0,0,20,0,0,0,4,0,0,0,54,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,240,7,0,244,0,0,0,36,1,0,0,64,0,0,0,34,0,0,0,16,0,0,0,62,0,0,0,26,0,0,0,18,0,0,0,2,0,0,0,4,0,0,0,248,255,255,255,200,240,7,0,102,0,0,0,156,0,0,0,172,0,0,0,186,0,0,0,148,0,0,0,66,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,240,7,0,96,0,0,0,242,0,0,0,64,0,0,0,70,0,0,0,182,0,0,0,12,0,0,0,72,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,7,0,126,0,0,0,84,0,0,0,64,0,0,0,64,0,0,0,134,0,0,0,30,0,0,0,92,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,241,7,0,54,1,0,0,2,0,0,0,64,0,0,0,46,0,0,0,38,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,241,7,0,62,0,0,0,6,0,0,0,64,0,0,0,16,0,0,0,16,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,241,7,0,26,1,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,241,7,0,44,0,0,0,184,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,241,7,0,10,0,0,0,220,0,0,0,64,0,0,0,30,0,0,0,6,0,0,0,12,0,0,0,4,0,0,0,10,0,0,0,4,0,0,0,2,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,241,7,0,124,0,0,0,28,0,0,0,64,0,0,0,22,0,0,0,26,0,0,0,36,0,0,0,24,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,241,7,0,58,0,0,0,38,0,0,0,64,0,0,0,50,0,0,0,48,0,0,0,40,0,0,0,42,0,0,0,28,0,0,0,46,0,0,0,38,0,0,0,56,0,0,0,54,0,0,0,52,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,241,7,0,70,0,0,0,4,0,0,0,64,0,0,0,76,0,0,0,68,0,0,0,24,0,0,0,66,0,0,0,60,0,0,0,30,0,0,0,64,0,0,0,74,0,0,0,72,0,0,0,70,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,241,7,0,92,0,0,0,114,0,0,0,64,0,0,0,50,0,0,0,26,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,241,7,0,42,0,0,0,222,0,0,0,64,0,0,0,100,0,0,0,34,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,242,7,0,16,0,0,0,76,1,0,0,64,0,0,0,2,0,0,0,10,0,0,0,108,0,0,0,178,0,0,0,98,0,0,0,116,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,242,7,0,230,0,0,0,178,0,0,0,64,0,0,0,16,0,0,0,18,0,0,0,102,0,0,0,76,0,0,0,10,0,0,0,104,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,242,7,0,230,0,0,0,34,0,0,0,64,0,0,0,6,0,0,0,4,0,0,0,30,0,0,0,150,0,0,0,90,0,0,0,56,0,0,0,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,242,7,0,230,0,0,0,128,0,0,0,64,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,50,0,0,0,16,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,242,7,0,230,0,0,0,52,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,242,7,0,74,0,0,0,202,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,242,7,0,230,0,0,0,98,0,0,0,64,0,0,0,42,0,0,0,28,0,0,0,44,0,0,0,94,0,0,0,28,0,0,0,56,0,0,0,66,0,0,0,6,0,0,0,12,0,0,0,86,0,0,0,22,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,242,7,0,72,1,0,0,54,0,0,0,64,0,0,0,22,0,0,0,20,0,0,0,50,0,0,0,64,0,0,0,18,0,0,0,54,0,0,0,50,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,248,242,7,0,12,1,0,0,252,0,0,0,200,255,255,255,200,255,255,255,248,242,7,0,48,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,243,7,0,168,0,0,0,106,0,0,0,120,0,0,0,10,0,0,0,34,0,0,0,62,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,243,7,0,230,0,0,0,104,0,0,0,64,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,50,0,0,0,16,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,243,7,0,230,0,0,0,210,0,0,0,64,0,0,0,12,0,0,0,8,0,0,0,114,0,0,0,50,0,0,0,16,0,0,0,52,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,243,7,0,66,0,0,0,24,1,0,0,100,0,0,0,68,0,0,0,28,0,0,0,4,0,0,0,72,0,0,0,128,0,0,0,40,0,0,0,184,0,0,0,14,0,0,0,76,0,0,0,38,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,243,7,0,174,0,0,0,46,1,0,0,42,0,0,0,44,0,0,0,18,0,0,0,28,0,0,0,136,0,0,0,124,0,0,0,60,0,0,0,46,0,0,0,42,0,0,0,16,0,0,0,76,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,243,7,0,14,0,0,0,156,0,0,0,100,0,0,0,68,0,0,0,34,0,0,0,22,0,0,0,72,0,0,0,128,0,0,0,40,0,0,0,8,0,0,0,14,0,0,0,86,0,0,0,38,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,96,243,7,0,154,0,0,0,132,0,0,0,152,255,255,255,152,255,255,255,96,243,7,0,108,0,0,0,226,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,112,243,7,0,170,0,0,0,224,0,0,0,148,255,255,255,148,255,255,255,112,243,7,0,134,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,160,243,7,0,60,0,0,0,20,1,0,0,252,255,255,255,252,255,255,255,160,243,7,0,192,0,0,0,172,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,184,243,7,0,28,1,0,0,48,1,0,0,252,255,255,255,252,255,255,255,184,243,7,0,144,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,208,243,7,0,110,0,0,0,60,1,0,0,248,255,255,255,248,255,255,255,208,243,7,0,232,0,0,0,44,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,232,243,7,0,142,0,0,0,10,1,0,0,248,255,255,255,248,255,255,255,232,243,7,0,182,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,7,0,22,1,0,0,80,0,0,0,74,0,0,0,54,0,0,0,14,0,0,0,20,0,0,0,68,0,0,0,128,0,0,0,40,0,0,0,142,0,0,0,14,0,0,0,46,0,0,0,38,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,244,7,0,6,1,0,0,30,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,244,7,0,58,1,0,0,42,1,0,0,36,0,0,0,44,0,0,0,18,0,0,0,28,0,0,0,82,0,0,0,124,0,0,0,60,0,0,0,46,0,0,0,42,0,0,0,16,0,0,0,58,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,244,7,0,200,0,0,0,14,1,0,0,66,0,0,0,68,0,0,0,34,0,0,0,22,0,0,0,138,0,0,0,128,0,0,0,40,0,0,0,8,0,0,0,14,0,0,0,86,0,0,0,72,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,7,0,82,0,0,0,190,0,0,0,64,0,0,0,100,0,0,0,174,0,0,0,80,0,0,0,122,0,0,0,6,0,0,0,58,0,0,0,78,0,0,0,46,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,244,7,0,140,0,0,0,72,0,0,0,64,0,0,0,164,0,0,0,170,0,0,0,106,0,0,0,116,0,0,0,118,0,0,0,52,0,0,0,168,0,0,0,86,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,244,7,0,38,1,0,0,150,0,0,0,64,0,0,0,22,0,0,0,86,0,0,0,10,0,0,0,76,0,0,0,124,0,0,0,88,0,0,0,146,0,0,0,96,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,244,7,0,94,0,0,0,218,0,0,0,64,0,0,0,154,0,0,0,158,0,0,0,56,0,0,0,112,0,0,0,54,0,0,0,44,0,0,0,122,0,0,0,110,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,245,7,0,112,0,0,0,24,0,0,0,98,0,0,0,44,0,0,0,18,0,0,0,28,0,0,0,136,0,0,0,124,0,0,0,60,0,0,0,114,0,0,0,126,0,0,0,24,0,0,0,76,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,245,7,0,22,0,0,0,32,1,0,0,104,0,0,0,68,0,0,0,34,0,0,0,22,0,0,0,72,0,0,0,128,0,0,0,40,0,0,0,26,0,0,0,38,0,0,0,4,0,0,0,38,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,245,7,0,62,1,0,0,0,1,0,0,78,0,0,0,198,0,0,0,14,0,0,0,2,0,0,0,26,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,100,220,7,0,124,245,7,0,144,245,7,0,120,220,7,0,12,222,7,0,164,245,7,0,184,245,7,0,32,222,7,0,60,222,7,0,204,245,7,0,224,245,7,0,80,222,7,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,8,226,7,0,0,0,0,0,24,226,7,0,0,0,0,0,40,226,7,0,240,238,7,0,0,0,0,0,0,0,0,0,56,226,7,0,240,238,7,0,0,0,0,0,0,0,0,0,72,226,7,0,240,238,7,0,0,0,0,0,0,0,0,0,96,226,7,0,72,239,7,0,0,0,0,0,0,0,0,0,120,226,7,0,72,239,7,0,0,0,0,0,0,0,0,0,144,226,7,0,240,238,7,0,0,0,0,0,0,0,0,0,160,226,7,0,176,225,7,0,184,226,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,88,244,7,0,0,0,0,0,176,225,7,0,0,227,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,96,244,7,0,0,0,0,0,176,225,7,0,72,227,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,104,244,7,0,0,0,0,0,176,225,7,0,144,227,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,112,244,7,0,0,0,0,0,0,0,0,0,216,227,7,0,80,241,7,0,0,0,0,0,0,0,0,0,8,228,7,0,80,241,7,0,0,0,0,0,176,225,7,0,56,228,7,0,0,0,0,0,1,0,0,0,136,243,7,0,0,0,0,0,176,225,7,0,80,228,7,0,0,0,0,0,1,0,0,0,136,243,7,0,0,0,0,0,176,225,7,0,104,228,7,0,0,0,0,0,1,0,0,0,144,243,7,0,0,0,0,0,176,225,7,0,128,228,7,0,0,0,0,0,1,0,0,0,144,243,7,0,0,0,0,0,176,225,7,0,152,228,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,8,245,7,0,0,8,0,0,176,225,7,0,224,228,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,8,245,7,0,0,8,0,0,176,225,7,0,40,229,7,0,0,0,0,0,3,0,0,0,136,242,7,0,2,0,0,0,88,239,7,0,2,0,0,0,232,242,7,0,0,8,0,0,176,225,7,0,112,229,7,0,0,0,0,0,3,0,0,0,136,242,7,0,2,0,0,0,88,239,7,0,2,0,0,0,240,242,7,0,0,8,0,0,0,0,0,0,184,229,7,0,136,242,7,0,0,0,0,0,0,0,0,0,208,229,7,0,136,242,7,0,0,0,0,0,176,225,7,0,232,229,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,152,243,7,0,2,0,0,0,176,225,7,0,0,230,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,152,243,7,0,2,0,0,0,0,0,0,0,24,230,7,0,0,0,0,0,48,230,7,0,16,244,7,0,0,0,0,0,176,225,7,0,80,230,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,0,240,7,0,0,0,0,0,176,225,7,0,152,230,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,24,240,7,0,0,0,0,0,176,225,7,0,224,230,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,48,240,7,0,0,0,0,0,176,225,7,0,40,231,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,72,240,7,0,0,0,0,0,0,0,0,0,112,231,7,0,136,242,7,0,0,0,0,0,0,0,0,0,136,231,7,0,136,242,7,0,0,0,0,0,176,225,7,0,160,231,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,32,244,7,0,2,0,0,0,176,225,7,0,200,231,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,32,244,7,0,2,0,0,0,176,225,7,0,240,231,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,32,244,7,0,2,0,0,0,176,225,7,0,24,232,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,32,244,7,0,2,0,0,0,0,0,0,0,64,232,7,0,128,243,7,0,0,0,0,0,0,0,0,0,88,232,7,0,136,242,7,0,0,0,0,0,176,225,7,0,112,232,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,0,245,7,0,2,0,0,0,176,225,7,0,136,232,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,0,245,7,0,2,0,0,0,0,0,0,0,160,232,7,0,0,0,0,0,200,232,7,0,0,0,0,0,240,232,7,0,184,243,7,0,0,0,0,0,0,0,0,0,56,233,7,0,40,244,7,0,0,0,0,0,0,0,0,0,88,233,7,0,104,242,7,0,0,0,0,0,0,0,0,0,128,233,7,0,104,242,7,0,0,0,0,0,0,0,0,0,168,233,7,0,80,243,7,0,0,0,0,0,0,0,0,0,240,233,7,0,0,0,0,0,40,234,7,0,0,0,0,0,96,234,7,0,0,0,0,0,128,234,7,0,184,243,7,0,0,0,0,0,0,0,0,0,176,234,7,0,232,243,7,0,0,0,0,0,0,0,0,0,224,234,7,0,0,0,0,0,0,235,7,0,0,0,0,0,32,235,7,0,0,0,0,0,64,235,7,0,176,225,7,0,88,235,7,0,0,0,0,0,1,0,0,0,224,239,7,0,3,244,255,255,176,225,7,0,136,235,7,0,0,0,0,0,1,0,0,0,240,239,7,0,3,244,255,255,176,225,7,0,184,235,7,0,0,0,0,0,1,0,0,0,224,239,7,0,3,244,255,255,176,225,7,0,232,235,7,0,0,0,0,0,1,0,0,0,240,239,7,0,3,244,255,255,0,0,0,0,24,236,7,0,80,243,7,0,0,0,0,0,0,0,0,0,72,236,7,0,24,239,7,0,0,0,0,0,0,0,0,0,96,236,7,0,0,0,0,0,120,236,7,0,88,243,7,0,0,0,0,0,0,0,0,0,144,236,7,0,72,243,7,0,0,0,0,0,0,0,0,0,176,236,7,0,80,243,7,0,0,0,0,0,0,0,0,0,208,236,7,0,0,0,0,0,240,236,7,0,0,0,0,0,16,237,7,0,0,0,0,0,48,237,7,0,176,225,7,0,80,237,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,248,244,7,0,2,0,0,0,176,225,7,0,112,237,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,248,244,7,0,2,0,0,0,176,225,7,0,144,237,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,248,244,7,0,2,0,0,0,176,225,7,0,176,237,7,0,0,0,0,0,2,0,0,0,136,242,7,0,2,0,0,0,248,244,7,0,2,0,0,0,0,0,0,0,208,237,7,0,0,0,0,0,232,237,7,0,0,0,0,0,0,238,7,0,0,0,0,0,24,238,7,0,72,243,7,0,0,0,0,0,0,0,0,0,48,238,7,0,80,243,7,0,0,0,0,0,0,0,0,0,72,238,7,0,80,245,7,0,0,0,0,0,0,0,0,0,112,238,7,0,80,245,7,0,0,0,0,0,0,0,0,0,152,238,7,0,96,245,7,0,0,0,0,0,0,0,0,0,192,238,7,0,232,238,7,0,0,0,0,0,56,0,0,0,0,0,0,0,184,243,7,0,28,1,0,0,48,1,0,0,200,255,255,255,200,255,255,255,184,243,7,0,144,0,0,0,2,1,0,0,104,0,0,0,0,0,0,0,184,243,7,0,28,1,0,0,48,1,0,0,152,255,255,255,152,255,255,255,184,243,7,0,144,0,0,0,2,1,0,0,108,0,0,0,0,0,0,0,232,243,7,0,142,0,0,0,10,1,0,0,148,255,255,255,148,255,255,255,232,243,7,0,182,0,0,0,68,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,115,116,101,97,109,32,116,97,98,108,101,115,0,0,0,0,0,0,41,0,0,0,0,0,0,0,44,32,104,32,61,32,0,0,69,114,114,111,114,32,105,110,32,114,101,103,105,111,110,32,99,111,109,112,117,116,97,116,105,111,110,32,111,102,32,73,70,57,55,32,115,116,101,97,109,32,116,97,98,108,101,115,40,112,32,61,32,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,108,111,119,101,114,111,102,112,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,117,112,112,101,114,111,102,112,49,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+512008);
/* memory initializer */ allocate([99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,116,111,102,112,104,53,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,24,64,0,0,0,0,0,0,32,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,50,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,28,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,54,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,28,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,48,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,1,0,0,0,112,248,7,0,120,248,7,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,32,64,1,0,0,0,136,249,7,0,144,249,7,0,0,0,0,0,32,0,0,0,0,0,0,0,27,82,16,195,221,180,117,63,91,241,78,159,211,197,197,191,232,255,187,127,199,67,38,64,218,1,248,99,246,5,161,192,206,136,30,128,39,149,64,191,48,128,218,26,207,206,225,63,240,4,46,183,154,223,34,192,202,136,215,255,21,16,211,191,53,217,90,128,221,123,87,64,96,90,249,145,239,193,147,63,112,55,147,142,204,253,218,63,163,49,164,161,90,37,76,193,177,214,63,238,242,53,126,191,8,53,151,241,70,180,214,191,219,168,78,20,129,246,255,191,128,189,125,5,23,121,242,63,106,24,188,51,171,51,182,64,51,132,142,203,34,141,128,63,185,137,15,26,189,17,198,63,103,2,133,8,232,174,240,63,117,149,156,29,96,13,211,191,220,149,151,95,192,238,225,63,74,192,30,215,113,157,209,63,201,162,112,86,16,253,194,191,77,228,10,220,83,171,176,191,227,251,230,96,194,101,7,192,83,250,58,253,84,5,177,63,139,233,23,51,210,47,12,64,66,43,165,221,120,248,141,191,205,57,22,215,212,245,1,192,102,59,4,98,115,175,241,63,101,90,82,13,170,237,164,191,1,0,0,0,160,250,7,0,168,250,7,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,28,64,0,0,0,0,0,0,32,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,16,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,24,64,1,0,0,0,184,251,7,0,192,251,7,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,1,0,0,0,192,252,7,0,200,252,7,0,0,0,0,0,30,0,0,0,0,0,0,0,125,184,117,9,34,88,35,190,173,203,40,168,167,53,78,62,229,95,204,153,121,156,195,62,254,182,180,246,203,101,1,191,18,48,47,21,9,176,81,63,201,60,7,228,82,94,209,191,146,130,40,50,1,39,241,63,80,49,160,27,129,82,235,191,246,174,159,174,28,145,246,190,144,218,49,221,87,56,73,63,102,117,23,114,203,168,113,191,17,114,159,221,142,3,221,63,83,94,100,244,123,63,224,191,136,254,137,238,104,30,89,192,254,28,203,4,207,14,204,191,58,249,102,172,225,175,9,192,18,211,236,226,138,252,130,64,231,85,151,136,54,70,66,63,249,169,122,242,247,255,199,63,70,140,135,102,188,138,130,63,249,126,253,99,70,68,210,63,125,150,168,88,97,228,160,63,230,210,248,105,245,180,206,63,138,172,175,65,105,79,19,64,104,245,29,59,110,155,39,192,119,152,47,138,217,177,197,63,81,88,2,150,187,109,146,191,36,129,254,185,99,9,163,63,224,240,16,12,61,117,171,191,96,179,24,60,39,182,249,63,1,0,0,0,200,253,7,0,208,253,7,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,118,101,114,115,101,32,102,117,110,99,116,105,111,110,32,100,116,111,102,112,104,51,58,32,105,116,101,114,97,116,105,111,110,32,102,97,105,108,101,100,0,0,0,0,0,73,110,118,101,114,115,101,32,105,116,101,114,97,116,105,111,110,32,111,102,32,100,116,32,102,114,111,109,32,112,104,32,99,97,108,108,101,100,32,105,110,32,50,32,112,104,97,115,101,32,114,101,103,105,111,110,58,32,116,104,105,115,32,99,97,110,32,110,111,116,32,119,111,114,107,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,104,111,102,112,84,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,112,104,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,116,104,101,32,108,105,109,105,116,32,111,102,32,49,48,55,51,46,49,53,32,75,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,50,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,32,75,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,108,105,109,105,116,32,111,102,32,50,50,55,51,46,49,53,75,32,105,110,32,114,101,103,105,111,110,32,53,0,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,32,77,112,97,32,105,110,32,114,101,103,105,111,110,32,53,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,58,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,0,0,0,0,0,32,80,97,32,60,61,32,32,48,46,48,32,80,97,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,53,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,112,115,97,116,58,32,105,110,112,117,116,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,54,49,49,46,54,53,55,32,75,41,46,10,108,111,119,101,114,32,116,104,97,110,32,116,104,101,32,116,114,105,112,108,101,32,112,111,105,110,116,32,116,101,109,112,101,114,97,116,117,114,101,32,50,55,51,46,49,54,32,75,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,20,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,20,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,44,64,0,0,0,0,0,0,48,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,1,0,0,0,160,2,8,0,168,2,8,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,24,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,16,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,20,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,32,64,1,0,0,0,192,3,8,0,200,3,8,0,0,0,0,0,33,0,0,0,0,0,0,0,77,167,246,65,166,242,0,63,149,115,198,175,185,184,32,191,108,133,64,64,120,47,63,191,140,106,98,88,202,150,89,63,223,23,144,208,200,16,187,63,239,224,44,179,125,118,85,192,164,38,97,234,30,161,134,64,31,236,239,98,140,73,104,63,166,229,119,245,35,71,120,191,219,58,64,176,10,222,137,191,178,42,1,159,147,159,189,191,158,152,86,48,155,57,85,64,166,99,70,220,226,61,134,191,170,142,33,156,255,153,143,63,106,100,216,77,47,54,179,63,132,234,73,145,175,219,153,63,193,132,70,10,49,217,174,191,171,220,81,100,26,156,8,192,247,200,6,135,176,99,173,191,219,94,228,246,139,35,20,64,58,0,51,85,69,154,237,191,184,70,117,189,181,86,15,64,193,109,7,107,34,84,83,192,97,26,42,55,139,138,194,64,245,24,97,50,133,133,53,193,210,177,220,201,81,50,96,65,11,93,150,161,24,142,235,63,150,223,73,71,181,177,212,63,181,166,108,245,236,241,235,63,67,187,199,160,31,242,219,191,232,227,2,191,153,87,210,63,178,144,147,195,28,222,192,191,63,45,198,149,134,183,123,63,1,0,0,0,224,4,8,0,232,4,8,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,24,64,0,0,0,0,0,0,44,64,0,0,0,0,0,0,48,64,0,0,0,0,0,0,52,64,0,0,0,0,0,0,54,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,20,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,20,64,1,0,0,0,0,6,8,0,8,6,8,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,40,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,36,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,32,192,0,0,0,0,0,0,20,192,0,0,0,0,0,0,8,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,192,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,8,64,0,0,0,0,0,0,8,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,16,64,0,0,0,0,0,0,36,64,0,0,0,0,0,0,40,64,1,0,0,0,16,7,8,0,24,7,8,0,0,0,0,0,31,0,0,0,0,0,0,0,227,139,224,185,7,240,129,190,199,167,35,43,83,31,211,62,40,114,77,59,34,174,238,190,41,130,212,196,250,47,122,63,63,226,81,247,138,76,119,64,152,254,207,52,139,18,188,192,100,178,19,129,109,128,33,65,128,60,67,165,246,105,68,193,89,239,89,2,195,131,1,191,251,187,130,30,23,35,153,191,195,72,114,66,134,231,71,64,201,118,94,97,66,9,224,62,55,111,232,94,106,7,85,63,170,153,252,205,103,136,145,63,24,215,84,75,40,5,33,192,233,234,135,170,60,245,139,191,125,151,220,87,30,32,208,190,68,241,91,70,74,164,107,63,178,108,175,52,233,166,225,191,206,12,139,3,160,85,231,63,97,97,173,126,173,83,132,191,249,173,4,9,6,139,190,191,51,14,161,48,222,103,233,63,53,239,38,140,197,18,221,63,222,108,213,220,59,225,202,63,33,203,14,111,2,77,122,191,203,46,12,82,120,20,152,191,183,35,106,48,182,169,100,63,238,50,72,229,102,84,127,191,29,139,85,18,145,227,139,63,111,231,135,7,126,62,139,191,1,0,0,0,32,8,8,0,40,8,8,0,0,0,0,0,32,75,41,32,105,115,32,108,111,119,101,114,32,116,104,97,110,32,50,55,51,46,49,53,32,75,33,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,116,101,109,112,101,114,97,116,117,114,101,32,40,61,32,0,0,0,0,32,80,97,41,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,49,48,48,32,77,112,97,0,0,0,0,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,58,32,116,104,101,32,105,110,112,117,116,32,112,114,101,115,115,117,114,101,32,40,61,32,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,103,49,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,32,80,97,32,40,116,114,105,112,108,101,32,112,111,105,110,116,32,112,114,101,115,115,117,114,101,41,0,0,0,0,0,32,80,97,32,60,61,32,0,73,70,57,55,32,109,101,100,105,117,109,32,102,117,110,99,116,105,111,110,32,116,115,97,116,32,99,97,108,108,101,100,32,119,105,116,104,32,116,111,111,32,108,111,119,32,112,114,101,115,115,117,114,101,10,112,32,61,32,0,0,0,0,0,0,0,0,0,88,131,7,0,200,48,6,0,88,154,0,0,88,137,0,0,24,122,0,0,128,110,0,0,216,99,0,0,176,88,0,0,88,204,7,0,16,191,7,0,104,182,7,0,56,174,7,0,192,168,7,0,96,164,7,0,152,159,7,0,144,155,7,0,56,152,7,0,40,149,7,0,232,145,7,0,112,140,7,0,120,136,7,0,56,134,7,0,104,131,7,0,72,128,7,0,184,124,7,0,240,118,7,0,104,116,7,0,128,113,7,0,160,110,7,0,208,105,7,0,192,100,7,0,104,97,7,0,216,48,6,0,200,178,0,0,192,175,0,0,144,172,0,0,80,170,0,0,152,167,0,0,32,165,0,0,200,160,0,0,0,0,0,0,176,111,0,0,176,90,0,0,224,89,0,0,40,198,7,0,128,88,0,0,40,88,0,0,136,195,7,0,248,192,7,0,0,192,7,0,176,190,7,0,48,190,7,0,104,189,7,0,72,189,7,0,96,188,7,0,176,187,7,0,144,187,7,0,112,184,7,0,128,183,7,0,64,201,7,0,120,199,7,0,176,111,0,0,176,90,0,0,224,89,0,0,248,88,0,0,128,88,0,0,40,88,0,0,136,87,0,0,200,86,0,0,72,86,0,0,72,210,7,0,32,209,7,0,120,206,7,0,16,206,7,0,248,204,7,0,200,203,7,0,16,203,7,0,64,202,7,0,240,201,7,0,64,201,7,0,120,199,7,0,176,111,0,0,184,104,0,0,24,104,0,0,88,101,0,0,72,100,0,0,0,100,0,0,184,99,0,0,0,0,0,0,176,123,0,0,176,116,0,0,176,115,0,0,0,113,0,0,192,111,0,0,208,110,0,0,96,109,0,0,0,0,0,0,176,111,0,0,176,110,0,0,72,109,0,0,248,106,0,0,80,106,0,0,192,105,0,0,56,105,0,0,0,0,0,0,176,123,0,0,112,122,0,0,152,121,0,0,40,120,0,0,104,119,0,0,144,118,0,0,240,117,0,0,0,0,0,0,32,202,7,0,224,198,7,0,40,145,7,0,0,110,7,0,120,164,0,0,0,0,0,0,168,145,0,0,168,130,0,0,232,115,0,0,152,104,0,0,120,164,0,0,0,0,0,0,56,179,7,0,24,193,7,0,1,0,0,0,62,0,0,0,1,0,0,0,68,0,0,0,128,12,8,0,120,12,8,0,160,141,7,0,200,106,7,0,240,161,0,0,56,143,0,0,16,128,0,0,0,0,0,0,160,167,7,0,192,190,7,0,200,115,7,0,82,17,0,0,7,0,0,0,83,17,0,0,76,0,0,0,0,0,0,0,1,0,0,0,82,0,0,0,1,0,0,0,81,0,0,0,1,0,0,0,76,0,0,0,1,0,0,0,70,0,0,0,1,0,0,0,64,0,0,0,1,0,0,0,38,0,0,0,1,0,0,0,35,0,0,0,1,0,0,0,33,0,0,0,1,0,0,0,30,0,0,0,1,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,118,13,0,0,9,0,0,0,119,13,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,1,12,0,0,9,0,0,0,2,12,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,255,11,0,0,9,0,0,0,0,12,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,184,7,0,164,0,0,0,5,0,0,0,168,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,150,27,0,0,7,0,0,0,150,27,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,35,17,0,0,7,0,0,0,35,17,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,34,17,0,0,7,0,0,0,34,17,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,125,12,0,0,9,0,0,0,125,12,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,33,17,0,0,7,0,0,0,33,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,30,17,0,0,7,0,0,0,30,17,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,137,7,0,252,11,0,0,9,0,0,0,253,11,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,38,17,0,0,7,0,0,0,38,17,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,35,17,0,0,7,0,0,0,35,17,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,34,17,0,0,7,0,0,0,34,17,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,40,17,0,0,7,0,0,0,40,17,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,39,17,0,0,7,0,0,0,39,17,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,36,17,0,0,7,0,0,0,37,17,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,150,27,0,0,7,0,0,0,150,27,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,122,7,0,164,0,0,0,5,0,0,0,168,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,174,13,0,0,9,0,0,0,175,13,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,176,13,0,0,9,0,0,0,177,13,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,99,12,0,0,9,0,0,0,101,12,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,102,12,0,0,9,0,0,0,104,12,0,0,30,0,0,0,0,0,0,0,1,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,108,12,0,0,9,0,0,0,112,12,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,113,12,0,0,9,0,0,0,116,12,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,117,12,0,0,9,0,0,0,119,12,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,191,12,0,0,9,0,0,0,192,12,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,197,12,0,0,9,0,0,0,201,12,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,202,12,0,0,9,0,0,0,205,12,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,206,12,0,0,9,0,0,0,207,12,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,22,13,0,0,9,0,0,0,24,13,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,25,13,0,0,9,0,0,0,27,13,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,31,13,0,0,9,0,0,0,35,13,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,36,13,0,0,9,0,0,0,39,13,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,40,13,0,0,9,0,0,0,42,13,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,105,13,0,0,9,0,0,0,106,13,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,113,0,0,107,13,0,0,9,0,0,0,108,13,0,0,60,0,0,0,0,0,0,0,1,0,0,0,113,0,0,0,14,0,0,0,236,0,0,0,8,1,0,0,158,0,0,0,188,0,0,0,136,0,0,0,34,0,0,0,176,0,0,0,206,0,0,0,62,0,0,0,28,0,0,0,194,0,0,0,96,0,0,0,32,0,0,0,2,0,0,0,74,0,0,0,132,0,0,0,80,0,0,0,1,0,0,0,0,0,0,0,30,0,0,0,190,0,0,0,118,0,0,0,10,0,0,0,40,0,0,0,162,0,0,0,62,0,0,0,140,0,0,0,250,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,104,0,0,0,112,0,0,0,108,0,0,0,110,0,0,0,106,0,0,0,18,0,0,0,52,0,0,0,200,0,0,0,202,0,0,0,6,0,0,0,10,0,0,0,38,0,0,0,84,0,0,0,6,0,0,0,96,117,7,0,32,109,0,0,216,106,0,0,56,106,0,0,152,141,7,0,152,105,0,0,0,179,7,0,16,193,7,0,152,141,7,0,184,106,7,0,168,161,0,0,48,143,0,0,0,128,0,0,232,114,0,0,0,103,0,0,56,94,0,0,160,208,7,0,168,197,7,0,64,186,7,0,192,176,7,0,72,171,7,0,184,166,7,0,168,161,7,0,40,158,7,0,240,153,7,0,16,151,7,0,176,147,7,0,16,144,7,0,80,138,7,0,16,135,7,0,128,132,7,0,96,129,7,0,8,126,7,0,192,122,7,0,96,117,7,0,136,114,7,0,136,114,7,0,248,111,7,0,232,108,7,0,152,102,7,0,208,98,7,0,240,49,6,0,160,179,0,0,144,176,0,0,128,173,0,0,40,171,0,0,152,168,0,0,0,166,0,0,56,163,0,0,0,158,0,0,56,156,0,0,152,154,0,0,32,153,0,0,104,151,0,0,152,149,0,0,120,148,0,0,8,147,0,0,24,146,0,0,128,141,0,0,48,139,0,0,64,138,0,0,40,137,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,176,123,0,0,128,105,0,0,200,104,0,0,96,104,0,0,176,123,0,0,128,107,0,0,96,106,0,0,232,105,0,0,232,137,0,0,56,164,7,0,40,128,7,0,168,178,0,0,152,152,0,0,192,135,0,0,152,120,0,0,248,115,0,0,104,99,0,0,224,95,0,0,0,210,7,0,152,198,7,0,112,187,7,0,192,177,7,0,224,95,0,0,248,171,7,0,0,164,7,0,104,159,7,0,88,155,7,0,104,154,7,0,248,148,7,0,192,145,7,0,208,144,7,0,8,139,7,0,16,134,7,0,48,131,7,0,80,130,7,0,248,126,7,0,208,118,7,0,40,118,7,0,168,115,7,0,128,110,7,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,184,132,0,0,72,163,7,0,128,127,7,0,232,177,0,0,56,152,0,0,160,135,0,0,144,120,0,0,224,107,0,0,120,99,0,0,64,88,0,0,80,203,7,0,152,190,7,0,208,181,7,0,144,173,7,0,184,168,7,0,24,164,7,0,128,159,7,0,112,155,7,0,40,152,7,0,8,149,7,0,224,145,7,0,48,140,7,0,88,136,7,0,40,134,7,0,72,131,7,0,24,128,7,0,168,124,7,0,232,118,7,0,88,116,7,0,120,113,7,0,144,110,7,0,0,0,0,0,168,105,7,0,112,126,0,0,192,123,0,0,128,48,6,0,192,122,0,0,120,175,0,0,96,172,0,0,208,121,0,0,176,120,0,0,0,165,0,0,88,160,0,0,208,119,0,0,216,118,0,0,32,118,0,0,176,152,0,0,248,150,0,0,224,116,0,0,8,116,0,0,240,113,0,0,216,111,0,0,88,141,0,0,0,139,0,0,16,138,0,0,240,110,0,0,120,109,0,0,232,107,0,0,184,133,0,0,200,132,0,0,184,131,0,0,184,130,0,0,144,110,7,0,0,0,0,0,168,105,7,0,104,100,7,0,48,97,7,0,128,48,6,0,104,178,0,0,120,175,0,0,96,172,0,0,0,170,0,0,128,167,0,0,0,165,0,0,88,160,0,0,48,157,0,0,200,155,0,0,32,154,0,0,176,152,0,0,248,150,0,0,88,149,0,0,64,148,0,0,216,146,0,0,192,145,0,0,88,141,0,0,0,139,0,0,16,138,0,0,208,136,0,0,224,135,0,0,232,134,0,0,184,133,0,0,200,132,0,0,184,131,0,0,184,130,0,0,144,110,7,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+522248);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _acos=Math_acos;

  function _fmin(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.min(x, y);
    }

  var _llvm_pow_f64=Math_pow;

  var _sqrt=Math_sqrt;

  var _fabs=Math_abs;

  var _log=Math_log;

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  function _xerbla_() {
  Module['printErr']('missing function: xerbla_'); abort(-1);
  }

  var _llvm_memset_p0i8_i64=_memset;

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  var _floor=Math_floor;

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env._stdin|0;var q=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_viidii;var za=env.invoke_iid;var Aa=env.invoke_viiiiiii;var Ba=env.invoke_viiiiiid;var Ca=env.invoke_viiiiiiiii;var Da=env.invoke_iii;var Ea=env.invoke_iiiiidi;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_iiiiiiiii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env._sysconf;var Oa=env.__scanString;var Pa=env._fclose;var Qa=env._pthread_mutex_lock;var Ra=env.___cxa_end_catch;var Sa=env._strtoull;var Ta=env._fflush;var Ua=env._lis_solver_create;var Va=env._strtol;var Wa=env._fputc;var Xa=env._strtok;var Ya=env._fwrite;var Za=env._send;var _a=env._fputs;var $a=env._emscripten_get_now;var ab=env._tmpnam;var bb=env._isspace;var cb=env._localtime;var db=env._read;var eb=env._GC_init;var fb=env._ceil;var gb=env.___ctype_b_loc;var hb=env._GC_malloc_atomic;var ib=env._isxdigit_l;var jb=env._strstr;var kb=env._fileno;var lb=env._perror;var mb=env._fsync;var nb=env.___cxa_guard_abort;var ob=env._newlocale;var pb=env._signal;var qb=env.___gxx_personality_v0;var rb=env._pthread_cond_wait;var sb=env.___cxa_rethrow;var tb=env._freopen;var ub=env.___resumeException;var vb=env._sscanf;var wb=env._round;var xb=env._llvm_va_end;var yb=env._clock_gettime;var zb=env._tmpfile;var Ab=env._vsscanf;var Bb=env._snprintf;var Cb=env._fgetc;var Db=env._pclose;var Eb=env.__getFloat;var Fb=env._atexit;var Gb=env.___cxa_free_exception;var Hb=env._close;var Ib=env._isdigit_l;var Jb=env._vasprintf;var Kb=env.___setErrNo;var Lb=env._isxdigit;var Mb=env._access;var Nb=env._ftell;var Ob=env._exit;var Pb=env._sprintf;var Qb=env._pthread_setspecific;var Rb=env._asprintf;var Sb=env._GC_strdup;var Tb=env._strrchr;var Ub=env._freelocale;var Vb=env._catgets;var Wb=env._fmod;var Xb=env.__isLeapYear;var Yb=env._fmax;var Zb=env.___cxa_is_number_type;var _b=env._GC_malloc;var $b=env.___cxa_does_inherit;var ac=env.___cxa_guard_acquire;var bc=env._lis_vector_destroy;var cc=env._localtime_r;var dc=env.___cxa_begin_catch;var ec=env._lis_vector_create;var fc=env.__ZNSt9exceptionD2Ev;var gc=env._recv;var hc=env.__parseInt64;var ic=env.__ZSt18uncaught_exceptionv;var jc=env._cos;var kc=env._lis_matrix_set_value;var lc=env._putchar;var mc=env.___cxa_call_unexpected;var nc=env._popen;var oc=env._isblank;var pc=env._copysign;var qc=env._bsearch;var rc=env._fmin;var sc=env._acos;var tc=env._strftime;var uc=env._tzset;var vc=env.___cxa_throw;var wc=env._emscripten_memcpy_big;var xc=env._printf;var yc=env._pread;var zc=env._fopen;var Ac=env._open;var Bc=env._strtoull_l;var Cc=env.__arraySum;var Dc=env._log;var Ec=env._puts;var Fc=env._xerbla_;var Gc=env._pthread_key_create;var Hc=env._strtoll_l;var Ic=env._qsort;var Jc=env._system;var Kc=env.___cxa_find_matching_catch;var Lc=env._strdup;var Mc=env._srand;var Nc=env._isatty;var Oc=env.__formatString;var Pc=env._pthread_cond_broadcast;var Qc=env.__ZSt9terminatev;var Rc=env._atoi;var Sc=env._vfprintf;var Tc=env._pthread_mutex_unlock;var Uc=env._llvm_pow_f64;var Vc=env._sbrk;var Wc=env._fscanf;var Xc=env._lis_solver_destroy;var Yc=env.___errno_location;var Zc=env._strerror;var _c=env._fstat;var $c=env._catclose;var ad=env._llvm_lifetime_start;var bd=env.__parseInt;var cd=env.___cxa_guard_release;var dd=env._ungetc;var ed=env._ftruncate;var fd=env._uselocale;var gd=env._vsnprintf;var hd=env._htonl;var id=env.___assert_fail;var jd=env._fread;var kd=env._strtok_r;var ld=env._strftime_l;var md=env._abort;var nd=env._fprintf;var od=env._isdigit;var pd=env._strtoll;var qd=env.__addDays;var rd=env._pthread_getspecific;var sd=env._fabs;var td=env._floor;var ud=env.__reallyNegative;var vd=env._fseek;var wd=env._sqrt;var xd=env._write;var yd=env._mkport;var zd=env._rewind;var Ad=env.___cxa_allocate_exception;var Bd=env._sin;var Cd=env._stat;var Dd=env._longjmp;var Ed=env._truncate;var Fd=env._catopen;var Gd=env.___ctype_toupper_loc;var Hd=env.___ctype_tolower_loc;var Id=env._lis_vector_set_size;var Jd=env._unlink;var Kd=env.__exit;var Ld=env._pwrite;var Md=env._strerror_r;var Nd=env._GC_collect_a_little;var Od=env._lis_solver_set_option;var Pd=env._time;var Qd=0.0;
// EMSCRIPTEN_START_FUNCS
function zn(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};case 0:case 60:{break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=je[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=je[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=je[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=je[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function An(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((Cn(Bn(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((Cn(Bn(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=Bn(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((Cn(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=Bn(k,a,b)|0;n=h;}while((Cn(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=Bn(k,a,b)|0;while(1){if((Cn(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=Bn(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=Bn(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function Bn(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;Td[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function Cn(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function Dn(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function En(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 15:{c[h>>2]=78;j=0;break};case 12:{c[h>>2]=78;j=1;break};case 11:{c[h>>2]=78;j=55;break};case 13:{c[h>>2]=78;j=56;break};case 14:{j=0;break};case 16:{if((je[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,529736)|0)!=0){c[h>>2]=98;j=3;break a}else{k=11;break a}break};case 29:{c[h>>2]=110;j=2;break};default:{k=11}}}while(0);if((k|0)==11){j=In(h,a)|0}i=g;return j|0}function Fn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case-4:{if((c[h+12>>2]|0)!=0){j=12;break a}else{k=0;break a}break};case 26:{j=12;break};case 34:{if((c[h+12>>2]|0)==0){j=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;k=0;break a}break};case 33:{c[h>>2]=24;k=0;break};case 15:{k=0;break};default:{k=Hn(h,a,d,e,f)|0}}}while(0);if((j|0)==12){k=In(h,a)|0}i=g;return k|0}function Gn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=0;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((je[c[e+28>>2]&127](e,b,d,529640)|0)!=0){c[h>>2]=26;j=0;k=j;i=g;return k|0}if((je[c[e+28>>2]&127](e,b,d,529656)|0)==0){break}c[h>>2]=28;j=0;k=j;i=g;return k|0}}while(0);j=In(h,a)|0;k=j;i=g;return k|0}function Hn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case 13:{j=56;break};case 28:{j=60;break};case 26:{c[h>>2]=120;j=3;break};case 11:{j=55;break};case 15:{j=0;break};case-4:{j=0;break};case 16:{if((je[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,529696)|0)!=0){c[h>>2]=42;j=11;break a}if((je[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,529752)|0)!=0){c[h>>2]=92;j=33;break a}if((je[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,529728)|0)!=0){c[h>>2]=68;j=39;break a}if((je[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,529576)|0)!=0){c[h>>2]=6;j=17;break a}else{k=17;break a}break};default:{k=17}}}while(0);if((k|0)==17){j=In(h,a)|0}i=g;return j|0}function In(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function Jn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function Kn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==22){c[e>>2]=18;g=11}else if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=38;g=9}else{g=In(e,a)|0}i=f;return g|0}function Ln(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=90;g=34}else if((b|0)==15){g=33}else{g=In(e,a)|0}i=f;return g|0}function Mn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=70;g=40}else if((b|0)==15){g=39}else{g=In(e,a)|0}i=f;return g|0}function Nn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==18){c[e>>2]=4;g=18}else{g=In(e,a)|0}i=f;return g|0}function On(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=76;g=8}else if((b|0)==15){g=3}else{g=In(e,a)|0}i=f;return g|0}function Pn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==13){g=56}else if((b|0)==11){g=55}else if((b|0)==15){g=0}else if((b|0)==29){c[e>>2]=110;g=2}else{g=In(e,a)|0}i=f;return g|0}function Qn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==18){j=3}else if((f|0)==15){k=17;l=k;i=g;return l|0}do{if((j|0)==3){if((je[c[e+28>>2]&127](e,b,d,529536)|0)!=0){c[h>>2]=8;k=17;l=k;i=g;return l|0}if((je[c[e+28>>2]&127](e,b,d,529560)|0)==0){break}c[h>>2]=10;k=17;l=k;i=g;return l|0}}while(0);k=In(h,a)|0;l=k;i=g;return l|0}function Rn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=54;c[e+8>>2]=17;g=19}else if((b|0)==15){g=17}else{g=In(e,a)|0}i=f;return g|0}function Sn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=12;g=21}else{g=In(e,a)|0}i=f;return g|0}function Tn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=54;c[e+8>>2]=17;g=19}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:32;g=20}else if((b|0)==15){g=17}else{g=In(e,a)|0}i=f;return g|0}function Un(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:32;g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=In(e,a)|0;h=g;i=f;return h|0}return 0}function Vn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==23){c[h>>2]=64;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}else if((f|0)==18){if((je[c[e+28>>2]&127](e,b,d,529720)|0)!=0){c[h>>2]=54;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((je[c[e+28>>2]&127](e,b,d,529760)|0)==0){break}c[h>>2]=54;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}else if((f|0)==15){j=39;k=j;i=g;return k|0}}while(0);j=In(h,a)|0;k=j;i=g;return k|0}function Wn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 30:{c[h>>2]=58;j=53;break};case 15:{j=39;break};case 32:{c[h>>2]=58;j=54;break};case 18:case 41:{c[h>>2]=58;j=51;break};case 20:{if((je[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,529568)|0)!=0){c[h>>2]=66;j=43;break a}else{k=11;break a}break};case 23:{c[h+4>>2]=2;c[h>>2]=72;j=44;break};case 31:{c[h>>2]=58;j=52;break};default:{k=11}}}while(0);if((k|0)==11){j=In(h,a)|0}i=g;return j|0}function Xn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==36){c[e>>2]=54;c[e+8>>2]=39;g=46}else if((b|0)==24){c[e>>2]=54;c[e+8>>2]=39;g=45}else if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=60;g=39}else{g=In(e,a)|0}i=f;return g|0}function Yn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 31:{c[e>>2]=58;g=52;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};case 32:{c[e>>2]=58;g=54;break};case 30:{c[e>>2]=58;g=53;break};case 15:{g=39;break};case 18:case 41:{c[e>>2]=58;g=51;break};default:{g=In(e,a)|0}}i=f;return g|0}function Zn(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};case 38:{c[e>>2]=72;g=50;h=g;i=f;return h|0};case 21:{c[e>>2]=72;g=49;h=g;i=f;return h|0};case 15:{g=39;h=g;i=f;return h|0};case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=54;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};default:{g=In(e,a)|0;h=g;i=f;return h|0}}return 0}function _n(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=62;g=51}else if((b|0)==15){g=39}else{g=In(e,a)|0}i=f;return g|0}function $n(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=60;g=39}else if((b|0)==15){g=39}else if((b|0)==36){c[e>>2]=54;c[e+8>>2]=39;g=46}else{g=In(e,a)|0}i=f;return g|0}function ao(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=96;g=22}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:32;g=33}else if((b|0)==15){g=33}else{g=In(e,a)|0}i=f;return g|0}function bo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=94;j=33;k=j;i=g;return k|0}else if((f|0)==18){l=0;while(1){if((l|0)>=8){break}if((je[c[e+28>>2]&127](e,b,d,c[21240+(l<<2)>>2]|0)|0)!=0){m=6;break}l=l+1|0}if((m|0)==6){c[h>>2]=82;j=l+23|0;k=j;i=g;return k|0}if((je[c[e+28>>2]&127](e,b,d,529576)|0)==0){break}c[h>>2]=84;j=33;k=j;i=g;return k|0}}while(0);j=In(h,a)|0;k=j;i=g;return k|0}function co(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==20){if((je[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,529648)|0)!=0){c[h>>2]=90;j=35;k=j;i=g;return k|0}if((je[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,529544)|0)!=0){c[h>>2]=90;j=36;k=j;i=g;return k|0}if((je[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,529688)|0)==0){break}c[h>>2]=80;j=33;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=90;j=37;k=j;i=g;return k|0}}while(0);j=In(h,a)|0;k=j;i=g;return k|0}function eo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==23){c[e>>2]=16;g=33}else{g=In(e,a)|0}i=f;return g|0}function fo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=86;g=31}else if((b|0)==15){g=33}else{g=In(e,a)|0}i=f;return g|0}function go(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=82;g=33}else if((b|0)==21){c[e>>2]=94;g=33}else if((b|0)==15){g=33}else{g=In(e,a)|0}i=f;return g|0}function ho(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18){c[e>>2]=88;g=32}else{g=In(e,a)|0}i=f;return g|0}function io(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=16;g=33}else if((b|0)==15){g=33}else if((b|0)==24){c[e>>2]=82;g=33}else{g=In(e,a)|0}i=f;return g|0}function jo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=90;g=38}else if((b|0)==15){g=33}else{g=In(e,a)|0}i=f;return g|0}function ko(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=20;g=10}else{g=In(e,a)|0}i=f;return g|0}function lo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=54;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((je[c[e+28>>2]&127](e,b,d,529536)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((je[c[e+28>>2]&127](e,b,d,529560)|0)==0){break}c[h>>2]=40;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=In(h,a)|0;k=j;i=g;return k|0}function mo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=74;g=13}else{g=In(e,a)|0}i=f;return g|0}function no(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=112;g=14}else{g=In(e,a)|0}i=f;return g|0}function oo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;f=a;do{if((f|0)==18){if((je[c[b+28>>2]&127](b,d,e,529616)|0)==0){break}c[h>>2]=44;j=11;k=j;i=g;return k|0}else if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:32;j=15;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=In(h,a)|0;k=j;i=g;return k|0}function po(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=54;c[e+8>>2]=11;g=16}else{g=In(e,a)|0}i=f;return g|0}function qo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=54;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((je[c[e+28>>2]&127](e,b,d,529536)|0)!=0){c[h>>2]=36;j=11;k=j;i=g;return k|0}if((je[c[e+28>>2]&127](e,b,d,529560)|0)==0){break}c[h>>2]=34;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=In(h,a)|0;k=j;i=g;return k|0}function ro(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=46;g=13}else{g=In(e,a)|0}i=f;return g|0}function so(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=36;g=14}else if((b|0)==15){g=11}else{g=In(e,a)|0}i=f;return g|0}function to(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:32;g=15}else{g=In(e,a)|0}i=f;return g|0}function uo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=32;b=e+12|0;c[b>>2]=(c[b>>2]|0)+1;g=0}else{g=In(e,a)|0}i=f;return g|0}function vo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=32;g=58}else if((b|0)==15){g=0}else{g=In(e,a)|0}i=f;return g|0}function wo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 29:{c[h>>2]=110;j=2;break};case 16:{if((je[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,529736)|0)!=0){c[h>>2]=98;j=3;break a}else{k=10;break a}break};case 13:{j=56;break};case 15:{j=0;break};case 11:{j=55;break};case 14:{j=0;break};default:{k=10}}}while(0);if((k|0)==10){j=In(h,a)|0}i=g;return j|0}function xo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else{g=In(e,a)|0}i=f;return g|0}function yo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==25){c[h>>2]=106;j=7}else if((f|0)==17){c[h>>2]=76;j=8}else if((f|0)==18){if((je[c[e+28>>2]&127](e,b,d,529536)|0)!=0){c[h>>2]=124;j=3;break}if((je[c[e+28>>2]&127](e,b,d,529560)|0)!=0){c[h>>2]=14;j=3;break}else{k=10;break}}else if((f|0)==15){j=3}else{k=10}}while(0);if((k|0)==10){j=In(h,a)|0}i=g;return j|0}function zo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=118;g=5}else{g=In(e,a)|0}i=f;return g|0}function Ao(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=124;g=6}else if((b|0)==15){g=3}else{g=In(e,a)|0}i=f;return g|0}function Bo(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==25){c[e>>2]=106;g=7}else if((b|0)==17){c[e>>2]=76;g=8}else{g=In(e,a)|0}i=f;return g|0}function Co(){return}function Do(){return}function Eo(){Gc(539728,0)|0;Do();return}function Fo(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;c[a>>2]=b;e=a+4|0;c[e>>2]=jp(b)|0;if((b|0)>0){f=0;g=1}else{h=1;return h|0}while(1){a=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);c[(c[e>>2]|0)+(f<<2)>>2]=a;i=ga(a,g)|0;a=f+1|0;if((a|0)<(b|0)){f=a;g=i}else{h=i;break}}return h|0}function Go(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;if((b|0)<=0){f=0;i=e;return f|0}g=a+4|0;a=0;h=0;while(1){j=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);k=j-1|0;l=c[(c[g>>2]|0)+(h<<2)>>2]|0;if((j|0)>0&(k|0)<(l|0)){m=l;n=h+1|0}else{o=h+1|0;ne[c[2162]&63](0,19224,492216,(p=i,i=i+24|0,c[p>>2]=o,c[p+8>>2]=l,c[p+16>>2]=j,p)|0);i=p;m=c[(c[g>>2]|0)+(h<<2)>>2]|0;n=o}o=(ga(m,a)|0)+k|0;if((n|0)<(b|0)){a=o;h=n}else{f=o;break}}i=e;return f|0}function Ho(){HT(530552|0,0|0,112|0)|0;HT(539816|0,0|0,112|0)|0;HT(539928|0,0|0,112|0)|0;c[132639]=1;c[132640]=1;return}function Io(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?34648:34280;nd(a|0,34856,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function Jo(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=539928+(d<<2)|0;k=539816+(d<<2)|0;l=529168+(b<<2)|0;m=529192+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){xc(31784,(o=i,i=i+8|0,c[o>>2]=31560,o)|0)|0;i=o;p=31560}else{if((c[135010]|0)==(d|0)){if((c[k>>2]|0)>0){q=31560}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}xc(31784,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[135010]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=31560;break b}}}while(0);p=c[l>>2]|0}}while(0);xc(31248,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[135010]=d;if((c[k>>2]|0)>0){e=0;while(1){xc(31056,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==0){break a}else if((e<<24>>24|0)==10){break}t=t+1|0}a[u]=0;Ec(g|0)|0;n=1;g=g+(t+1)|0;f=0}Ec(g|0)|0;Ta(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function Ko(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[529168+(a<<2)>>2]|0;xc(30488,(a=i,i=i+16|0,c[a>>2]=c[529192+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;Lo(e);if((g|0)==0){e=c[r>>2]|0;_a(((d|0)!=0?30304:29208)|0,e|0)|0;j=e;k=Ta(j|0)|0;i=f;return}Ec(7888)|0;if((c[g>>2]|0)>=1){e=1;do{xc(30040,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Ta(j|0)|0;i=f;return}Ya(29840,11,1,g|0)|0;j=g;k=Ta(j|0)|0;i=f;return}function Lo(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==0){break}else if((b<<24>>24|0)==62){Ya(28280,4,1,d|0)|0}else if((b<<24>>24|0)==38){Ya(28736,5,1,d|0)|0}else if((b<<24>>24|0)==60){Ya(28536,4,1,d|0)|0}else{Wa(b<<24>>24|0,d|0)|0}e=e+1|0}return}function Mo(a){a=a|0;var b=0;b=539816+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function No(a){a=a|0;var b=0;b=(a|0)==0;c[3700]=b?36:10;c[3702]=b?194:138;return}function Oo(a){a=a|0;a=c[r>>2]|0;Ya(29840,11,1,a|0)|0;Ta(a|0)|0;return}function Po(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[530552+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;gd(j|0,2048,e|0,h|0)|0;ae[c[3700]&63](1,a,b,j,0,d);i=g;return}function Qo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[530552+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;gd(h|0,2048,d|0,g|0)|0;ae[c[3700]&63](1,a,b,h,0,0);i=f;return}function Ro(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[132722]|0)==0){if((c[530552+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;gd(k|0,2048,e|0,j|0)|0;ae[c[3700]&63](2,a,b,k,0,d);i=g;return}function So(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[132722]|0)==0){if((c[530552+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;gd(j|0,2048,d|0,h|0)|0;ae[c[3700]&63](2,a,b,j,0,0);i=f;return}function To(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;gd(b|0,2048,d|0,g|0)|0;ae[c[3700]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Dd(l|0,1)}h=rd(c[134932]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Dd(l|0,1)}function Uo(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;gd(g|0,2048,b|0,f|0)|0;ae[c[3700]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Dd(l|0,1)}h=rd(c[134932]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Dd(l|0,1)}function Vo(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+2064|0;g=f+2048|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;gd(h|0,2048,d|0,g|0)|0;ae[c[3700]&63](5,2,0,h,0,b);if((a|0)!=0){j=a;k=j+76|0;l=c[k>>2]|0;m=l|0;Dd(m|0,1)}j=rd(c[134932]|0)|0;k=j+76|0;l=c[k>>2]|0;m=l|0;Dd(m|0,1)}function Wo(a,b,d,e,f,g){a=a|0;b=+b;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0;j=i;if(g<<24>>24==0){Vo(a,e,507144,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;return 0.0}else{Ro(26,0,e,498312,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;i=j;return+b}return 0.0}function Xo(a){a=a|0;var b=0,d=0,e=0;b=i;d=cT(16)|0;To(0,(d|0)!=0|0,483576,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function Yo(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;dT(c[e>>2]|0);dT(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function Zo(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;To(0,(a|0)!=0|0,503416,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=cT(8)|0;g=f;To(0,(f|0)!=0|0,483576,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=cT(c[h>>2]|0)|0;c[f>>2]=j;To(0,(j|0)!=0|0,483576,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;GT(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function _o(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;To(0,(a|0)!=0|0,503416,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=cT(8)|0;g=f;To(0,(f|0)!=0|0,483576,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=cT(c[h>>2]|0)|0;c[f>>2]=j;To(0,(j|0)!=0|0,483576,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;GT(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function $o(a){a=a|0;var b=0,d=0;b=i;To(0,(a|0)!=0|0,503416,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function ap(a){a=a|0;var b=0,d=0,e=0;b=i;To(0,(a|0)!=0|0,503416,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;To(0,(c[e>>2]|0)!=0|0,493184,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function bp(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;dT(c[d>>2]|0);dT(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function cp(a){a=a|0;var b=0,d=0,e=0;b=i;To(0,(a|0)!=0|0,503416,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;To(0,(c[e>>2]|0)!=0|0,483728,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function dp(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;To(0,d&1,39920,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function ep(a){a=a|0;var b=0,d=0,e=0;b=i;To(0,(a|0)!=0|0,39920,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;To(0,(c[e>>2]|0)!=0|0,35400,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function fp(){var a=0;a=cT(16)|0;c[134934]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=cT(2097152)|0;c[a+12>>2]=0;return}function gp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=kp(a)|0;d;lp(b);d=c[134934]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;HT(f|0,0,b|0)|0;return f|0}function hp(){var a=0,b=0,d=0;a=c[134934]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;dT(c[a>>2]|0);dT(a);if((b|0)==0){break}else{a=b}}d=c[134934]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function ip(a){a=a|0;return Xd[c[2172]&255](a<<3)|0}function jp(a){a=a|0;return Xd[c[2172]&255](a<<2)|0}function kp(a){a=a|0;return a+7&-8|0}function lp(a){a=a|0;var b=0,d=0,e=0;b=c[134934]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=cT(16)|0;c[e+12>>2]=b;c[134934]=e;c[e+4>>2]=0;b=mp((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=cT(b)|0;return}function mp(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function np(a){a=a|0;return ET(a|0)|0}function op(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;NT(e+1|0,c|0)|0;c=d+40|0;Pb(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=pp(c)|0;i=d;return f|0}function pp(a){a=a|0;var b=0,c=0;b=ET(a|0)|0;c=sp(b)|0;GT(c|0,a|0,b)|0;return c|0}function qp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;NT(f+1|0,d|0)|0;d=e+40|0;Pb(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=pp(d)|0;i=e;return g|0}function rp(b,d,e,f){b=+b;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0;g=i;i=i+440|0;j=g|0;k=j|0;a[k]=37;l=j+1|0;if(e<<24>>24==0){Pb(l|0,483680,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}else{Pb(l|0,493104,(m=i,i=i+16|0,c[m>>2]=d,c[m+8>>2]=f,m)|0)|0;i=m}f=g+40|0;Pb(f|0,k|0,(m=i,i=i+8|0,h[m>>3]=b,m)|0)|0;i=m;m=pp(f)|0;i=g;return m|0}function sp(b){b=b|0;var d=0;d=Xd[c[2173]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function tp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=np(a)|0;d=np(b)|0;e=sp(d+c|0)|0;GT(e|0,a|0,c)|0;GT(e+c|0,b|0,d)|0;return e|0}function up(a,b){a=a|0;b=b|0;return CT(c[a>>2]|0,c[b>>2]|0)|0}function vp(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}else if((d|0)==2){e=-1;break}switch(c|0){case 4:{e=2;break a;break};case 1:{e=4;break a;break};case 3:{e=2;break a;break};case 2:{e=4;break a;break};case 0:{e=8;break a;break};case 5:{e=1;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function wp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Pa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){dT(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{dT(c[(c[e>>2]|0)+(f<<4)>>2]|0);dT(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;dT(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){dT(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{dT(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}dT(b);c[f>>2]=0;return}function xp(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(ET(b|0)|0)>>>0){break}else{c=e;d=f}}return}function yp(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;HT(d|0,0,48)|0;l=zc(b|0,25576)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=Zc(c[(Yc()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Lc(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=jd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=22728;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8592+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=511096;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=507768;E=131;break}G=vp(D)|0;if((G|0)==-1){n=505480;E=131;break}D=c[q>>2]|0;H=cT(D)|0;if((jd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=503384;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=502008;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((CT(H,c[8616+(C<<2)>>2]|0)|0)!=0){n=500872;E=131;break}dT(H);b:do{switch(C|0){case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=489248;E=131;break a}c[z>>2]=D;c[A>>2]=Nb(c[m>>2]|0)|0;c[B>>2]=eT(c[z>>2]<<1,4)|0;if((vd(c[m>>2]|0,J|0,1)|0)==-1){n=488568;E=131;break a}else{K=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=489248;E=131;break a}c[z>>2]=I;c[A>>2]=Nb(c[m>>2]|0)|0;c[B>>2]=eT(c[z>>2]<<1,4)|0;H=ga(I,D)|0;if((a[l]|0)==1){F=cT(H<<3)|0;if((jd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=488568;E=131;break a}if((I|0)!=0){G=D<<3;L=(D|0)==0;M=D<<3;N=0;do{O=cT(G)|0;c[(c[B>>2]|0)+(N<<2)>>2]=O;if(!L){O=F+(ga(M,N)|0)|0;GT(c[(c[B>>2]|0)+(N<<2)>>2]|0,O|0,M)|0}N=N+1|0;}while(N>>>0<I>>>0)}N=c[z>>2]|0;M=N<<1;if(N>>>0<M>>>0){L=D<<3;G=(D|0)==0;O=N;do{P=cT(L)|0;c[(c[B>>2]|0)+(O<<2)>>2]=P;if(!G){P=c[B>>2]|0;Q=c[P+(O-N<<2)>>2]|0;R=c[P+(O<<2)>>2]|0;P=0;do{h[R+(P<<3)>>3]=-0.0- +h[Q+(P<<3)>>3];P=P+1|0;}while(P>>>0<D>>>0)}O=O+1|0;}while(O>>>0<M>>>0)}dT(F)}else{M=cT(H<<2)|0;O=M;if((jd(M|0,J|0,1,c[m>>2]|0)|0)!=1){n=488568;E=131;break a}if((I|0)!=0){N=D<<3;G=(D|0)==0;L=0;do{P=cT(N)|0;c[(c[B>>2]|0)+(L<<2)>>2]=P;if(!G){P=c[(c[B>>2]|0)+(L<<2)>>2]|0;Q=0;do{h[P+(Q<<3)>>3]=+g[O+((ga(D,L)|0)+Q<<2)>>2];Q=Q+1|0;}while(Q>>>0<D>>>0)}L=L+1|0;}while(L>>>0<I>>>0)}L=c[z>>2]|0;O=L<<1;if(L>>>0<O>>>0){G=D<<3;N=(D|0)==0;H=L;do{F=cT(G)|0;c[(c[B>>2]|0)+(H<<2)>>2]=F;if(!N){F=c[B>>2]|0;Q=c[F+(H-L<<2)>>2]|0;P=c[F+(H<<2)>>2]|0;F=0;do{h[P+(F<<3)>>3]=-0.0- +h[Q+(F<<3)>>3];F=F+1|0;}while(F>>>0<D>>>0)}H=H+1|0;}while(H>>>0<O>>>0)}dT(M)}if((vd(c[m>>2]|0,J|0,1)|0)==-1){n=488568;E=131;break a}else{K=d;E=130}break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){S=1;E=129;break b}O=D+1|0;H=0;while(1){L=cT(O)|0;c[(c[v>>2]|0)+(H<<4)+4>>2]=L;if((jd(c[(c[v>>2]|0)+(H<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=496160;E=131;break a}a[(c[(c[v>>2]|0)+(H<<4)+4>>2]|0)+D|0]=0;L=H+1|0;if(L>>>0<I>>>0){H=L}else{K=1;E=130;break b}}}else if((d<<24>>24|0)!=0){S=d;E=129;break b}H=ga(D,I)|0;T=cT(H+1|0)|0;if((jd(T|0,H|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){H=I+1|0;O=(I|0)==0;M=0;do{L=cT(H)|0;c[(c[v>>2]|0)+(M<<4)+4>>2]=L;if(!O){L=0;do{N=a[T+((ga(D,L)|0)+M)|0]|0;a[(c[(c[v>>2]|0)+(M<<4)+4>>2]|0)+L|0]=N;L=L+1|0;}while(L>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(M<<4)+4>>2]|0)+I|0]=0;M=M+1|0;}while(M>>>0<D>>>0)}dT(T);K=0;E=130;break};case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=493736;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=493144;E=131;break a}c[w>>2]=D;M=ga(I,D)|0;if((a[l]|0)==1){O=cT(M<<3)|0;c[x>>2]=O;if((jd(O|0,J|0,1,c[m>>2]|0)|0)!=1){n=492448;E=131;break a}}else{O=cT(M<<2)|0;H=O;c[x>>2]=cT(ga(D<<3,I)|0)|0;if((jd(O|0,J|0,1,c[m>>2]|0)|0)!=1){n=492448;E=131;break a}if((M|0)!=0){L=c[x>>2]|0;N=0;do{h[L+(N<<3)>>3]=+g[H+(N<<2)>>2];N=N+1|0;}while(N>>>0<M>>>0)}dT(O)}M=c[w>>2]|0;if(!(M>>>0>1>>>0)){K=1;E=130;break b}N=(I|0)==2;H=1;while(1){if(N){L=c[x>>2]|0;if(+h[L+(H<<3)>>3]!=+h[L+(M+H<<3)>>3]){n=491632;E=131;break a}}L=H+1|0;if(L>>>0<M>>>0){H=L}else{K=1;E=130;break b}}}else if((d<<24>>24|0)!=0){S=d;E=129;break b}if((I|0)==0){n=493736;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=490736;E=131;break a}c[w>>2]=I;H=ga(I,D)|0;if((a[l]|0)==1){M=cT(H<<3)|0;N=M;c[x>>2]=cT(ga(D<<3,I)|0)|0;if((jd(M|0,J|0,1,c[m>>2]|0)|0)!=1){n=492448;E=131;break a}if((D|0)!=0){O=0;do{L=c[x>>2]|0;G=0;do{h[L+((ga(I,O)|0)+G<<3)>>3]=+h[N+((ga(D,G)|0)+O<<3)>>3];G=G+1|0;}while(G>>>0<I>>>0);O=O+1|0;}while(O>>>0<D>>>0)}dT(M)}else{O=cT(H<<2)|0;N=O;c[x>>2]=cT(ga(D<<3,I)|0)|0;if((jd(O|0,J|0,1,c[m>>2]|0)|0)!=1){n=492448;E=131;break a}if((D|0)!=0){G=0;do{L=c[x>>2]|0;F=0;do{h[L+((ga(I,G)|0)+F<<3)>>3]=+g[N+((ga(D,F)|0)+G<<2)>>2];F=F+1|0;}while(F>>>0<I>>>0);G=G+1|0;}while(G>>>0<D>>>0)}dT(O)}G=c[w>>2]|0;if(!(G>>>0>1>>>0)){K=d;E=130;break b}N=(D|0)==2;H=1;while(1){if(N){M=c[x>>2]|0;if(+h[M+(H<<3)>>3]!=+h[M+(G+H<<3)>>3]){n=491632;E=131;break a}}M=H+1|0;if(M>>>0<G>>>0){H=M}else{K=d;E=130;break}}break};case 1:{H=d<<24>>24==0;G=H?D:I;c[u>>2]=G;N=cT(G<<4)|0;c[v>>2]=N;c:do{if(d<<24>>24==1){if((I|0)==0){U=0;break}G=D+1|0;O=0;M=N;while(1){c[M+(O<<4)>>2]=cT(G)|0;if((jd(c[(c[v>>2]|0)+(O<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=496160;E=131;break a}a[(c[(c[v>>2]|0)+(O<<4)>>2]|0)+D|0]=0;F=c[v>>2]|0;c[F+(O<<4)+8>>2]=-1;c[F+(O<<4)+12>>2]=-1;xp(c[F+(O<<4)>>2]|0);F=O+1|0;if(!(F>>>0<I>>>0)){U=I;break c}O=F;M=c[v>>2]|0}}else{U=I}}while(0);if(!H){K=d;E=130;break b}N=ga(D,U)|0;V=cT(N+1|0)|0;if((jd(V|0,N|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){N=U+1|0;M=(U|0)==0;O=0;do{G=cT(N)|0;c[(c[v>>2]|0)+(O<<4)>>2]=G;if(!M){G=0;do{F=a[V+((ga(D,G)|0)+O)|0]|0;a[(c[(c[v>>2]|0)+(O<<4)>>2]|0)+G|0]=F;G=G+1|0;}while(G>>>0<U>>>0)}a[(c[(c[v>>2]|0)+(O<<4)>>2]|0)+U|0]=0;G=c[v>>2]|0;c[G+(O<<4)+8>>2]=-1;c[G+(O<<4)+12>>2]=-1;xp(c[G+(O<<4)>>2]|0);O=O+1|0;}while(O>>>0<D>>>0)}dT(V);K=0;E=130;break};case 3:{O=ga(I<<2,D)|0;W=cT(O)|0;M=W;if((jd(W|0,O|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==1){if((I|0)==0){break}O=c[v>>2]|0;N=0;do{H=ga(D,N)|0;c[O+(N<<4)+8>>2]=(c[M+(H<<2)>>2]|0)==1;c[O+(N<<4)+12>>2]=c[M+(H+1<<2)>>2];N=N+1|0;}while(N>>>0<I>>>0)}else if((d<<24>>24|0)==0){if((D|0)==0){break}N=c[v>>2]|0;O=0;do{c[N+(O<<4)+8>>2]=(c[M+(O<<2)>>2]|0)==1;c[N+(O<<4)+12>>2]=c[M+(D+O<<2)>>2];O=O+1|0;}while(O>>>0<D>>>0)}}while(0);dT(W);Ic(c[v>>2]|0,c[u>>2]|0,16,60);K=d;E=130;break};case 0:{if((D|0)!=4){n=499640;E=131;break a}if((I|0)!=11){n=498624;E=131;break a}if((jd(f|0,44,1,c[m>>2]|0)|0)==1){X=0}else{n=497768;E=131;break a}while(1){M=0;do{a[k+M|0]=a[j+((M<<2)+X)|0]|0;M=M+1|0;}while(M>>>0<11>>>0);a[k+11|0]=0;if((X|0)==3){break}M=X+1|0;if(M>>>0<4>>>0){X=M}else{K=d;E=130;break b}}if((DT(t,c[5002]|0,8)|0)==0){K=1;E=130;break b}if((DT(t,c[5004]|0,9)|0)==0){K=0;E=130}else{n=496960;E=131;break a}break};default:{n=487840;E=131;break a}}}while(0);if((E|0)==129){E=0;d=S;C=C+1|0;continue}else if((E|0)==130){E=0;I=C+1|0;if((I|0)<6){d=K;C=I;continue}else{n=0;E=131;break}}}if((E|0)==33){dT(V);n=496160;i=e;return n|0}else if((E|0)==46){dT(T);n=496160;i=e;return n|0}else if((E|0)==52){dT(W);n=494736;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function zp(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=qc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,60)|0;i=d;return b|0}function Ap(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){id(487112,485872,399,512760);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){id(487112,485872,399,512760);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=cT(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){vd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((jd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}dT(o);m=0;return m|0}else{t=cT(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}vd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((jd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){dT(t);dT(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);dT(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function Bp(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){id(487112,485872,519,512784);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){id(487112,485872,519,512784);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){vd(n|0,q+(r<<3)|0,0)|0;f=(jd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{vd(n|0,q+(r<<2)|0,0)|0;if((jd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function Cp(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function Dp(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function Ep(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function Fp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+Ep(b)<e){q=1;i=f;return q|0}if(+Dp(b)>e){q=1;i=f;return q|0}if((Ap(b,1)|0)==0){q=1;i=f;return q|0}Cp(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+Bp(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+Bp(a,b,d,o);i=f;return q|0}if(+Bp(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+Bp(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function Gp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;c[a+8>>2]=ip(Fo(a,b,f|0)|0)|0;i=e;return}function Hp(a,b){a=a|0;b=b|0;return a+(b<<3)|0}function Ip(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=Go(a,b,f|0)|0;f=Hp(c[a+8>>2]|0,g)|0;i=e;return f|0}function Jp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=cT(20)|0;To(0,(e|0)!=0|0,37272,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=eT(g,b)|0;c[e>>2]=a;To(0,(a|0)!=0|0,37272,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function Kp(a){a=a|0;dT(c[a>>2]|0);dT(a);return}function Lp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;To(0,(c[e>>2]|0)>0|0,501528,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;To(0,(g|0)>(b|0)|0,491920,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;To(0,(-g|0)<(b|0)|0,491920,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function Mp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=eT(c[d>>2]<<1,c[e>>2]|0)|0;To(0,(f|0)!=0|0,37272,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=Lp(a,h)|0;j=c[e>>2]|0;GT(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;dT(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function Np(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){Mp(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;GT((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function Op(a){a=a|0;return c[a+12>>2]|0}function Pp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;To(0,(c[f>>2]|0)>0|0,501528,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;To(0,(h|0)>(b|0)|0,491920,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;To(0,b>>>31^1,491920,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=Lp(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function Qp(a){a=a|0;return c[(c[2022]|0)+(a<<2)>>2]|0}function Rp(a){a=a|0;return c[(c[2018]|0)+(a<<2)>>2]|0}function Sp(a){a=a|0;return c[(c[2020]|0)+(a<<2)>>2]|0}function Tp(a){a=a|0;return c[(c[2016]|0)+(a<<2)>>2]|0}function Up(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2018]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2020]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2022]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function Vp(a){a=a|0;var b=0;b=c[5520]|0;return+(+Wp(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Wp(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function Xp(a){a=a|0;var b=0;b=c[3704]|0;return+(+Wp(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Yp(a){a=a|0;var b=0;b=c[408]|0;return+(+Wp(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Zp(a){a=a|0;return 0}function _p(a){a=a|0;var b=0;yb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2022]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function $p(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5520]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2016]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2022]|0)+(a<<2)>>2]|0);e=c[3704]|0;g=e+(a<<3)|0;aq(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;Up(a);g=c[5520]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2022]|0)+(a<<2)>>2]=0;i=b;return}function aq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((dq(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function bq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;yb(4,e|0)|0;f=c[422]|0;g=c[5520]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function cq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=eT(a,8)|0;c[5520]=b;d=eT(a,8)|0;c[3704]=d;e=eT(a,8)|0;c[408]=e;f=eT(a,8)|0;c[422]=f;g=eT(a,4)|0;c[2022]=g;h=eT(a,4)|0;c[2016]=h;i=a<<2;j=cT(i)|0;c[2018]=j;k=eT(a,4)|0;c[2020]=k;HT(j|0,-1|0,i|0)|0;if((b|0)==0){id(35928,501104,393,512728)}if((d|0)==0){id(491720,501104,394,512728)}if((e|0)==0){id(45792,501104,395,512728)}if((f|0)==0){id(39168,501104,396,512728)}if((g|0)==0){id(34880,501104,397,512728)}if((j|0)==0){id(31064,501104,398,512728)}if((k|0)==0){id(27944,501104,399,512728)}if((h|0)==0){id(25480,501104,400,512728)}else{return}}function dq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function eq(a,b){a=+a;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0,j=0.0;c=(b|0)<0;d=c?-b|0:b;if((d|0)==0){e=1.0}else{b=d;f=1.0;g=a;while(1){if((b&1|0)==0){h=f;i=b}else{h=f*g;i=b-1|0}if((i+1|0)>>>0<3>>>0){e=h;break}else{b=(i|0)/2|0;f=h;g=g*g}}}if(!c){j=e;return+j}j=1.0/e;return+j}function fq(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0;e=i;i=i+8|0;f=b;b=i;i=i+20|0;i=i+7&-8;c[b>>2]=c[f>>2];c[b+4>>2]=c[f+4>>2];c[b+8>>2]=c[f+8>>2];c[b+12>>2]=c[f+12>>2];c[b+16>>2]=c[f+16>>2];f=e|0;g=f|0;c[g>>2]=1;c[f+4>>2]=c[b>>2];if((a|0)==3){Ro(17,0,g,45568,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==1){Ro(17,0,g,500576,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==2){Ro(17,0,g,491400,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==0){Ro(17,0,g,34424,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else{f=c[b+8>>2]|0;Ro(17,0,g,38976,(j=i,i=i+24|0,c[j>>2]=a,c[j+8>>2]=f,h[j+16>>3]=d,j)|0);i=j;i=e;return}}function gq(a){a=a|0;dT(c[a+12>>2]|0);dT(c[a+4>>2]|0);dT(c[a+8>>2]|0);return}function hq(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2551]=.5;h[2549]=1.0;h[2548]=.25;h[2536]=2.0;h[2535]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[138358]=y;z=c[d>>2]|0;c[138362]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[138362]=A;}while((A|0)<=(z|0))}c[138366]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2540]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2540]=D;E=D}else{E=C}F=c[d>>2]|0;c[138362]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[138362]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2540]}}}while(0);A=A+1|0;c[138366]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2561]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2559]=0.0;h[2554]=0.0;h[2547]=0.0;h[2532]=0.0;c[138374]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2559]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2554]+ +h[G>>3]*D;h[2554]=C;D=+h[L>>3];M=+h[2547]+D*D;h[2547]=M;D=+h[H>>3];h[2532]=+h[2532]+D*D;H=F+1|0;c[138374]=H;D=+h[2559];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[138360]=F;D=E/K;h[2552]=D;A=c[d>>2]|0;c[138362]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2553]=0.0;h[2545]=0.0;F=c[b>>2]|0;c[138374]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2555]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2553]=X;_=_+aa*aa;h[2545]=_;G=G+1|0;}while((G|0)<=(F|0));c[138374]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[138360]=H;h[2552]=aa;h[2554]=U;h[2547]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[138362]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[138374]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[138374]=ea;ba=+h[2559];ca=+h[2547];da=+h[2554]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2546]=I;c[138368]=0;h[2556]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[138368]=H;da=+h[2549]/+W(ca);h[2540]=da;h[2534]=0.0;h[2533]=0.0;A=c[b>>2]|0;c[138374]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2534]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2534]=la;ma=+h[2533]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2533]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2540];da=+h[2559];J=+h[2554]}c[138374]=na;fa=la;ha=ma;ia=+h[2559]}J=+h[2551];da=fa*J*fa;h[2539]=da;K=ha*J*ha;h[2538]=K;h[69197]=K+(da+ia*(+h[2532]+ia*J));J=+h[2536];h[69198]=J*fa*ia;h[69199]=J*ha*ia;h[69200]=da-K;h[69201]=fa*ha;HT(553616,0,32)|0;c[138374]=10;B=c[d>>2]|0;c[138362]=1;if((B|0)>=1){F=1;do{h[2539]=0.0;h[2538]=0.0;h[2537]=0.0;A=c[b>>2]|0;c[138374]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2539]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2538]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2537]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[138374]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2548]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2539]*+h[2537];h[s+(Q+F<<3)>>3]=+h[2538]*+h[2537];J=+h[2539];P=+h[2538];h[s+(N+F<<3)>>3]=+h[2548]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2551]*+h[2539]*+h[2538];F=F+1|0;c[138362]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[138374]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[138372]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[138374]=F;}while((F|0)<=(B|0))}c[138364]=1;B=1;do{F=c[d>>2]|0;c[138356]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[138356]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[138362]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[138362]=ja}c[138366]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2543]=0.0;ka=c[d>>2]|0;c[138362]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2543]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[138362]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2543]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[138362]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2543]}c[138362]=ya}xa=A+1|0;c[138366]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[138362]=1;if((A|0)<1){break}else{Aa=1}do{h[2543]=0.0;F=c[b>>2]|0;c[138366]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2543]=X;ka=ja+1|0;c[138366]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[138362]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[138366]=1;if((A|0)>=1){ya=1;do{h[2543]=0.0;c[138374]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2543]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[138374]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[138366]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[138364]=B;}while((B|0)<6);B=c[k>>2]|0;c[138362]=1;h[2543]=0.0;c[138374]=1;X=+h[2551];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[553352+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[553352+(ya-1<<3)>>3]+da;h[2543]=da;ya=ya+1|0;}while((ya|0)<6);h[69197]=+h[69197]- +h[69169]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2539]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2538]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2537]=J;h[69198]=+h[69198]-K-X*(J+P);h[69202]=+h[69202]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2539]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2538]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2537]=K;h[69199]=+h[69199]-J-X*(P-K);h[69203]=+h[69203]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2539]=K;h[69200]=+h[69171]+(+h[69200]-K- +h[69170]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2539]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2538]=P;h[69201]=+h[69201]-K-P*X;h[69204]=+h[69204]- +h[69172]+ +h[69173];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2539]=P;h[69205]=+h[69205]-X*P;A=A+1|0;h[2543]=0.0}while((A|0)<=(B|0));c[138362]=A;c[138374]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[553352+(B-1<<3)>>3]=X*K*K;P=+h[553352+(B-1<<3)>>3]+P;h[2543]=P;B=B+1|0;c[138374]=B;}while((B|0)<6);K=+h[2561];J=K*+h[69197]+ +h[69169]+P;h[69188]=J;O=+h[2536];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2539]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2538]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2537]=R;U=R+(K*+h[69198]+T+S);h[69189]=U;T=K*+h[69202]+S-R;h[69193]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2539]=R;S=+h[qa>>3]*+h[za>>3];h[2538]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2537]=V;h[69190]=K*+h[69199]+R+S-V;h[69194]=K*+h[69203]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2539]=V;R=+h[69170]+(V+K*+h[69200])- +h[69171];h[69191]=R;V=O*+h[A>>3]*+h[za>>3];h[2539]=V;h[69192]=V+K*+h[69201]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[69204]+ +h[69172]- +h[69173];h[69195]=O;h[69196]=K*+h[69205]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2543]=K;h[2557]=K;h[2558]=K;c[138370]=0;O=+h[2535]/50.0;h[2540]=O;h[69169]=+h[2549];c[138374]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[69170]=U;J=+Z(Ja);h[69171]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[553352+(Ha-1<<3)>>3]=J;M=+h[69170]*C+ +h[69171]*E;h[553352+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[69170];U=+h[69171]}do{Ha=La-1|0;Ka=Ka+ +h[553504+(Ha<<3)>>3]*+h[553352+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2558]=Ka;c[138370]=za;h[2539]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2538]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[138366]=10;h[2543]=Ka;h[2560]=Ja;h[2542]=T;c[138374]=50;if((Oa|0)==0){h[2539]=Ka;Sa=Qa;Ta=Ka}else if((Oa|0)==49){h[2538]=K;Sa=K;Ta=Pa}else{Sa=Qa;Ta=Pa}h[2544]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2539]=S;V=Sa-Ra;h[2538]=V;R=X*(S-V)/(S+V);h[2544]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2560]=R;V=+Y(R);h[69170]=V;S=+Z(R);h[69171]=S;c[138366]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[553352+(Ia-1<<3)>>3]=S;D=+h[69170]*P+ +h[69171]*R;h[553352+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[69170];V=+h[69171]}h[q>>3]=0.0;h[2558]=0.0;c[138366]=1;Ia=1;do{za=Ia-1|0;Ha=553352+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[553576+(za<<3)>>3]*+h[Ha>>3];h[2558]=+h[2558]+ +h[553504+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[138366]=10;Ia=c[k>>2]|0;c[138362]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[553352+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[138366]=6;c[138362]=Ha}h[2541]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2559]=0.0;h[2539]=0.0;h[2538]=0.0;Ia=c[b>>2]|0;c[138374]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[69170]*+h[A>>3]+ +h[69171]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2559]=+h[2559]+V*V;Xa=+h[2539]+ +h[A>>3]*+h[B>>3];h[2539]=Xa;V=+h[B>>3];Ya=+h[2538]+V*V;h[2538]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[138374]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2556];U=+h[2557];h[2556]=V>=U?V:U}U=+h[2558];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2556];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2556]=U;c[138374]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2540]=P;R=+h[2541]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2561];B=Ha+1|0;c[138374]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2539];V=+h[2538]}}}while(0);Ia=c[d>>2]|0;c[138362]=1;if((Ia|0)>=1){za=1;do{h[2543]=0.0;Ha=c[b>>2]|0;c[138366]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2543]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[138366]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2541]*+h[o+(Ha-1+za<<3)>>3]- +h[2561]*+h[p+(za-1<<3)>>3]);h[2540]=U;c[138374]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2540]}c[138374]=qa}za=za+1|0;c[138362]=za;}while((za|0)<=(Ia|0))}h[2547]=0.0;h[2554]=0.0;Ia=c[b>>2]|0;c[138374]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2547]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2554]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[138374]=za;ab=P;bb=V}U=+h[2559];R=U*ab-bb*bb;h[2546]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[20400]=1;H=c[k>>2]|0;c[138362]=1;if((H|0)<1){cb=+h[2549];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[553352+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[138366]=6;c[138362]=ib;cb=+h[2549];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function iq(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2519]=.5;h[2517]=1.0;h[2503]=6.283185307179586;x=+h[m>>3];h[2523]=x*x;y=u-1-(c[b>>2]|0)|0;c[138326]=y;c[138332]=0;z=c[d>>2]|0;c[138328]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[138328]=A}c[138330]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2506]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2506]=D;E=D}else{E=x}F=c[d>>2]|0;c[138328]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2506]}c[138328]=H}G=z+1|0;c[138330]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2524]=0.0;B=c[b>>2]|0;c[138336]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2524]=+h[2524]+E*E;o=o+1|0;c[138336]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[138328]=1;if((B|0)>=1){o=1;do{h[2506]=0.0;h[2511]=0.0;w=c[b>>2]|0;c[138330]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2506]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2511]=x;g=g+1|0;}while((g|0)<=(w|0));c[138330]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2506]=D;h[2511]=+h[w>>3]*K;w=c[b>>2]|0;c[138336]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2511]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2506]}c[138336]=M}o=o+1|0;c[138328]=o;}while((o|0)<=(B|0))}h[2520]=0.0;h[2515]=0.0;h[2521]=0.0;B=c[b>>2]|0;c[138336]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2520]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2515]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2521]=L;o=o+1|0;}while((o|0)<=(B|0));c[138336]=o;N=J;O=L;P=K}K=+h[2524];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2516]=Q;h[2506]=0.0;if(N*N>K*.99*P){h[2506]=+h[2517]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2519]*Q*S);h[2510]=O;if(P*+h[2523]<O*O*.01){h[2506]=+h[2517]}m=c[b>>2]|0;c[138336]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2516]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2506]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2516]}c[138336]=U;T=0}while(1){U=T+1|0;c[138332]=U;h[2524]=0.0;h[2515]=0.0;h[2514]=0.0;B=c[b>>2]|0;c[138336]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2524]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2515]=Q;S=+h[M>>3];P=P+S*S;h[2514]=P;o=o+1|0;}while((o|0)<=(B|0));c[138336]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2506]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2522]=R;B=c[b>>2]|0;c[138336]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2524];N=+h[2515];K=+h[2522]}c[138336]=aa}m=c[d>>2]|0;c[138328]=1;if((m|0)>=1){M=1;do{h[2511]=0.0;B=c[b>>2]|0;c[138330]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2511]=K;o=o+1|0;}while((o|0)<=(B|0));c[138330]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2511]=N;B=c[b>>2]|0;c[138336]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2511]}c[138336]=H}M=M+1|0;c[138328]=M;}while((M|0)<=(m|0))}h[2530]=0.0;h[2529]=0.0;h[2528]=0.0;h[2527]=0.0;h[2526]=0.0;m=c[b>>2]|0;c[138336]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2530]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2529]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2528]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2527]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2526]=P;M=M+1|0;}while((M|0)<=(m|0));c[138336]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2519];R=O*ca;h[2530]=R;L=O*da-R;h[2527]=L;J=R+ea+L;h[2509]=J;h[2508]=J;h[2507]=J;c[138334]=0;a[20144]=1;x=+h[2503]/50.0;h[2506]=x;c[138336]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2508]=la;c[138334]=m;h[2505]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2504]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2531]=ia;h[2525]=ja;h[2512]=ka;h[2510]=la;c[138336]=50;h[2507]=la;if((pa|0)==0){h[2505]=la;$=74}else if((pa|0)==49){h[2504]=J;qa=J}else{$=74}if(($|0)==74){$=0;qa=+h[2504]}h[2513]=0.0;D=+h[2505];if(D!=qa){E=D-oa;h[2505]=E;D=qa-oa;h[2504]=D;P=O*(E-D)/(E+D);h[2513]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2531]=P;D=+Y(P);h[2525]=D;E=+Z(P);h[2512]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2510]=P;o=c[b>>2]|0;c[138336]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2525]*+h[w>>3]+ +h[2512]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2525];D=+h[2512]}c[138336]=ta;sa=+h[2510]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2509];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function jq(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;HH(96)|0;m=c[d>>2]|0;c[132620]=1;if((m|0)>=1){d=1;do{YG(19904,b+(d-1)|0,1)|0;d=(c[132620]|0)+1|0;c[132620]=d;}while((d|0)<=(m|0))}pH()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;HH(72)|0;YG(19904,h,4)|0;pH()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;HH(48)|0;YG(19904,h,4)|0;YG(19904,i,4)|0;pH()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;HH(24)|0;YG(19904,k,8)|0;pH()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;HH(120)|0;YG(19904,k,8)|0;YG(19904,l,8)|0;pH()|0}if((c[f>>2]|0)!=2){return 0}GG(553664,0)|0;return 0}function kq(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==0){B=2;while(1){c[138236]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){NG(552768,492272,80,25);jq(552768,19792,19784,553232,19920,d,553232,553232,19288,19288,80)|0;break}c[138190]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[138190]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}NG(552768,491496,80,34);jq(552768,19744,19720,553232,19920,552760,553232,553232,19288,19288,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[138226]=F;c[138224]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){NG(552768,42824,80,52);jq(552768,19616,19896,553232,19920,G,553232,553232,19288,19288,80)|0;break a}c[138226]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[138224]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[138226]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[138224]=E+(c[138226]|0);break b}}}while(0);NG(552768,43464,80,52);jq(552768,19616,19912,553232,19920,q,553232,553232,19288,19288,80)|0;break a}}while(0);c[138228]=(c[d>>2]|0)+20;c[q+64>>2]=c[138226];if((c[p>>2]|0)<(c[138224]|0)){NG(552768,490600,80,60);jq(552768,19576,19640,553232,19784,552896,p,553232,19288,19288,80)|0;break}if((c[r>>2]|0)<(c[138228]|0)){NG(552768,489104,80,60);jq(552768,19576,19584,553232,19784,552912,r,553232,19288,19288,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){NG(552768,40960,80,24);jq(552768,19800,19760,19920,19920,w,553232,553232,19288,19288,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2335]=J;if(J>0.0){break}NG(552768,484424,80,28);jq(552768,19776,2e4,553232,553232,553232,553232,19920,18680,19288,80)|0;break a}}while(0);c[q+60>>2]=0;HT(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==(-1|0)){NG(552768,29976,80,49);jq(552768,19624,19824,553232,553232,553232,553232,553232,19288,19288,80)|0;NG(552768,499408,80,47);jq(552768,19648,19816,553232,19920,n,553232,553232,19288,19288,80)|0;NG(552768,490512,80,41);jq(552768,19680,19808,19920,553232,553232,553232,553232,19288,19288,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[18656]=0;J=+h[l>>3];h[2330]=J;K=+h[m>>3];h[2338]=K;A=c[d>>2]|0;c[138236]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2330]=N;O=+h[m+(B<<3)>>3];h[2338]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[18656]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[138236]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[138222]=p;r=p+(c[w>>2]|0)|0;c[138220]=r;p=r+(c[w>>2]|0)|0;c[138218]=p;B=p+(c[w>>2]|0)|0;c[138230]=B;F=B+(c[d>>2]|0)|0;c[138212]=F;E=F+(c[d>>2]|0)|0;c[138216]=E;c[138214]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[138188]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2327]=+h[F>>3];a[18696]=0;h[2329]=+h[o+24>>3];I=o+16|0;h[2336]=+h[I>>3];do{if((c[w>>2]|0)!=0){lq(19784,v,w,d,18632,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,552936,F,0,o,q,s,t)|0;if((c[135014]|0)>0){i=y;return 0}if((c[138234]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];Iq(d,o+((c[138230]|0)-1<<3)|0,19920,g,19920)|0;a[18696]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2336];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2336]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2336];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2328]=N;T=+h[2329];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[138216]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){qq(18632,j,f,g,d,H,W,X)|0;if((c[135014]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18696]=1;C=195;break d}}else{qq(18632,18632,f,g,d,H,W,X)|0;if((c[135014]|0)>0){i=y;return 0}else{h[e>>3]=+h[2329];c[n>>2]=1;a[18696]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}qq(18632,j,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18696]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2327]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2336]=V;h[I>>3]=V;break}qq(18632,18624,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2328];a[18696]=1;C=195;break d}}else{V=+h[2329];if(!F){if(O*(V-M)<0.0){break}qq(18632,j,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18696]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[138216]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){qq(18632,j,f,g,d,G,X,W)|0;if((c[135014]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18696]=1;C=195;break d}}else{qq(18632,18632,f,g,d,G,X,W)|0;if((c[135014]|0)>0){i=y;return 0}else{h[e>>3]=+h[2329];c[n>>2]=1;a[18696]=1;C=195;break d}}}}while(0);if(a[18696]|0){C=195}else{C=126}}else{h[2329]=+h[e>>3];c[n>>2]=1;nq(d,k+4|0,l,m,f,o+((c[138212]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[138212]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[138236]=W;NG(552768,45632,80,39);jq(552768,19696,19944,553232,553232,553232,553232,553232,19288,19288,80)|0;break c}c[138236]=W;M=+uq(44752,1);h[2327]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2327]*4.0*($>=aa?$:aa);h[2334]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){NG(552768,44856,80,60);jq(552768,19576,19936,553232,553232,553232,553232,19784,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2333]=ba*.001;M=+oq(d,g,o+((c[138212]|0)-1<<3)|0,s,t);if(M>.5/+h[2333]){h[2333]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+KG(18664,z);h[2333]=M;ca=M}else{M=+h[o+16>>3];h[2333]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}NG(552768,405600,80,29);jq(552768,19768,19976,553232,553232,553232,553232,553232,19288,19288,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2333]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2328]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2333]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{pq(18632,f,g,d,b,u,18664,o+((c[138212]|0)-1<<3)|0,n,s,t,o+((c[138216]|0)-1<<3)|0,o+400|0,o+((c[138230]|0)-1<<3)|0,o+((c[138214]|0)-1<<3)|0,q,18672,I,k+36|0,552752)|0;if((c[135014]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2333]}h[2336]=ia;h[o+16>>3]=ia;F=c[138216]|0;X=(c[d>>2]|0)+F|0;c[138232]=X;G=c[d>>2]|0;c[138236]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2336]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[138236]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2336];h[o+232>>3]=+h[2336]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}lq(19920,v,w,d,e,j,f,o+((c[138230]|0)-1<<3)|0,o+((c[138216]|0)-1<<3)|0,F,ka,o+((c[138222]|0)-1<<3)|0,o+((c[138220]|0)-1<<3)|0,o+((c[138218]|0)-1<<3)|0,x,552936,I,0,o,q,s,t)|0;if((c[135014]|0)>0){i=y;return 0}if((c[138234]|0)!=0){NG(552768,40192,80,47);jq(552768,19648,19752,19920,553232,553232,553232,553232,19288,19288,80)|0;NG(552768,39840,80,38);jq(552768,19712,19752,19920,553232,553232,553232,553232,19288,19288,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}lq(19720,v,w,d,18632,j,f,o+((c[138230]|0)-1<<3)|0,o+((c[138216]|0)-1<<3)|0,F,ka,o+((c[138222]|0)-1<<3)|0,o+((c[138220]|0)-1<<3)|0,o+((c[138218]|0)-1<<3)|0,x,552936,I,0,o,q,s,t)|0;if((c[135014]|0)>0){i=y;return 0}if((c[138234]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];Iq(d,o+((c[138230]|0)-1<<3)|0,19920,g,19920)|0;C=195}}while(0);if((C|0)==216){NG(552768,485728,80,54);jq(552768,19608,19336,553232,553232,553232,553232,19784,18624,j,80)|0;break c}else if((C|0)==218){NG(552768,483592,80,34);jq(552768,19744,19984,553232,553232,553232,553232,19784,j,e,80)|0;break c}else if((C|0)==222){NG(552768,44072,80,49);jq(552768,19624,19928,553232,553232,553232,553232,19784,18624,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;nq(d,ma,l,m,o+((c[138216]|0)-1<<3)|0,o+((c[138212]|0)-1<<3)|0,s,t)|0;if((c[135014]|0)>0){C=231;break}p=c[d>>2]|0;r=c[138212]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[138236]=na;O=+oq(d,o+((c[138216]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2327];oa=O*L;h[2331]=oa;if(oa>1.0){C=136;break}O=+h[2329];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2334]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2336];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2336]=L/O}}while(0);rq(18632,f,g,d,b,u,18688,o+((c[138212]|0)-1<<3)|0,k,n,s,t,o+((c[138216]|0)-1<<3)|0,o+400|0,o+((c[138230]|0)-1<<3)|0,o+((c[138214]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,18672,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,552752)|0;if((c[135014]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){lq(19720,v,w,d,18632,j,f,o+((c[138230]|0)-1<<3)|0,o+((c[138216]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[138222]|0)-1<<3)|0,o+((c[138220]|0)-1<<3)|0,o+((c[138218]|0)-1<<3)|0,x,552936,o+64|0,0,o,q,s,t)|0;if((c[135014]|0)>0){C=231;break e}if((c[138234]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];Iq(d,o+((c[138230]|0)-1<<3)|0,19920,g,19920)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2329];L=+h[2336];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}qq(18632,j,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}qq(18632,j,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){qq(18632,j,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2328];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2327]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}qq(18632,18624,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2328];C=195;continue}if(!(M<0.0)){qq(18632,j,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2328];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2327]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2336]=M-O;C=126;continue}else{qq(18632,18624,f,g,d,q+28|0,o+((c[138216]|0)-1<<3)|0,o+224|0)|0;if((c[135014]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2328];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2329];h[o+16>>3]=+h[2336];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[138236]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2331]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[138236]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2331]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2331]}c[138236]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[138232]=I;switch(I|0){case 7:{NG(552768,507368,80,44);jq(552768,19672,19496,553232,553232,553232,553232,19784,18632,18688,80)|0;NG(552768,503096,80,48);jq(552768,19632,19488,553232,553232,553232,553232,553232,19288,19288,80)|0;NG(552768,501912,80,28);jq(552768,19776,19480,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 8:{NG(552768,507368,80,44);jq(552768,19672,19472,553232,553232,553232,553232,19784,18632,18688,80)|0;NG(552768,500680,80,37);jq(552768,19728,19464,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 12:{NG(552768,507368,80,44);jq(552768,19672,19384,553232,553232,553232,553232,19784,18632,18664,80)|0;NG(552768,493608,80,45);jq(552768,19664,19376,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 6:{NG(552768,507368,80,44);jq(552768,19672,19512,553232,553232,553232,553232,19784,18632,18688,80)|0;NG(552768,505120,80,57);jq(552768,19592,19504,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 2:{NG(552768,30624,80,47);jq(552768,19648,19552,553232,553232,553232,553232,19920,18632,19288,80)|0;NG(552768,27296,80,48);jq(552768,19632,19544,553232,553232,553232,553232,553232,19288,19288,80)|0;NG(552768,25248,80,45);jq(552768,19664,19536,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 3:{NG(552768,22488,80,38);jq(552768,19712,19528,553232,553232,553232,553232,19920,18632,19288,80)|0;NG(552768,510600,80,28);jq(552768,19776,19520,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 4:case 5:{break};case 9:{NG(552768,507368,80,44);jq(552768,19672,19456,553232,553232,553232,553232,19784,18632,18688,80)|0;NG(552768,499488,80,49);jq(552768,19624,19448,553232,553232,553232,553232,553232,19288,19288,80)|0;NG(552768,498448,80,38);jq(552768,19712,19440,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 10:{NG(552768,507368,80,44);jq(552768,19672,19424,553232,553232,553232,553232,19784,18632,18688,80)|0;NG(552768,497640,80,45);jq(552768,19664,19416,553232,553232,553232,553232,553232,19288,19288,80)|0;NG(552768,496848,80,36);jq(552768,19736,19408,553232,553232,553232,553232,553232,19288,19288,80)|0;break};case 11:{NG(552768,496016,80,40);jq(552768,19688,19400,553232,553232,553232,553232,19784,18632,18688,80)|0;NG(552768,494592,80,36);jq(552768,19736,19392,553232,553232,553232,553232,553232,19288,19288,80)|0;break};default:{NG(552768,38568,80,38);jq(552768,19712,19568,553232,553232,553232,553232,19920,18632,19288,80)|0;NG(552768,34472,80,48);jq(552768,19632,19560,553232,553232,553232,553232,553232,19288,19288,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2329];h[o+24>>3]=+h[2329];h[o+16>>3]=+h[2336];i=y;return 0}else if((C|0)==213){NG(552768,488496,80,39);jq(552768,19696,19432,553232,553232,553232,553232,553232,19288,19288,80)|0;break c}else if((C|0)==214){NG(552768,487760,80,39);jq(552768,19696,19368,553232,553232,553232,553232,553232,19288,19288,80)|0;break c}}}while(0);NG(552768,486992,80,47);jq(552768,19648,19344,553232,553232,553232,553232,553232,19288,19288,80)|0}else if((C|0)==208){NG(552768,493016,80,55);jq(552768,19600,19920,553232,553232,553232,553232,553232,19288,19288,80)|0}}while(0);if((C|0)==225){NG(552768,42200,80,39);jq(552768,19696,19832,553232,553232,553232,553232,19784,j,e,80)|0}if((c[k>>2]|0)==-1){NG(552768,39408,80,46);jq(552768,19656,19360,553232,553232,553232,553232,553232,19288,19288,80)|0;NG(552768,39016,80,47);jq(552768,19648,19352,19920,553232,553232,553232,553232,19288,19288,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function lq(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0.0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2186]=A;c[s>>2]=0;B=c[e>>2]|0;c[137638]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[137638]|0)+1|0;c[137638]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2185]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;qq(g,b,j,k,f,n,l,m)|0;if((c[135014]|0)>0){return 0}B=d;Rd[B&15](f,b,j,e,o,x,y)|0;if((c[135014]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[17440]=0;G=c[e>>2]|0;c[137638]=1;if((G|0)<1){break}else{H=1;I=0}while(1){F=+h[o+(H-1<<3)>>3];if(F<0.0){J=-0.0-F}else{J=F}if(J>0.0){K=I}else{a[17440]=1;K=1}L=H+1|0;if((L|0)>(G|0)){break}else{H=L;I=K}}c[137638]=L;if(!K){break}F=+KG(17480,17488);h[2183]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2186];do{if((E- +h[g>>3])*F<0.0){qq(g,b,j,k,f,n,l,m)|0;if((c[135014]|0)<=0){break}return 0}else{D=+h[2183]/F;h[2182]=D;G=c[f>>2]|0;c[137638]=1;if((G|0)<1){break}M=(u<<1)+z|0;N=1;O=2;P=D;while(1){Q=j+(N-1<<3)|0;h[Q>>3]=+h[Q>>3]+P*+h[l+(M+N<<3)>>3];if((O|0)>(G|0)){break}N=O;O=O+1|0;P=+h[2182]}c[137638]=O}}while(0);Rd[B&15](f,b,j,e,o,x,y)|0;if((c[135014]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[17440]=0;N=c[e>>2]|0;c[137638]=1;if((N|0)<1){break}else{R=1;S=0}while(1){G=R-1|0;F=+h[o+(G<<3)>>3];if(F<0.0){T=-0.0-F}else{T=F}if(T>0.0){U=S;V=R}else{c[r+(G<<2)>>2]=1;a[17440]=1;U=1;V=c[137638]|0}G=V+1|0;c[137638]=G;if((G|0)>(N|0)){break}else{R=G;S=U}}if(!U){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{W=F;X=+h[2186];break}}else if((t|0)==3){W=+h[g>>3];X=A}else{N=v+320|0;qq(g,N,j,k,f,n,l,m)|0;if((c[135014]|0)>0){return 0}C=d;Rd[C&15](f,N,j,e,o,x,y)|0;if((c[135014]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[17440]=0;B=c[e>>2]|0;c[137638]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[17440]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[137638]=aa;if(!$){return 0}F=+KG(17480,17488);h[2183]=F;h[N>>3]=F+ +h[N>>3];F=+h[2183]/+h[2186];h[2182]=F;B=c[f>>2]|0;c[137638]=1;if((B|0)>=1){G=(u<<1)+z|0;M=1;Q=2;E=F;while(1){ba=j+(M-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(G+M<<3)>>3];if((Q|0)>(B|0)){break}M=Q;Q=Q+1|0;E=+h[2182]}c[137638]=Q}Rd[C&15](f,N,j,e,o,x,y)|0;if((c[135014]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[17440]=0;M=c[e>>2]|0;c[137638]=1;if((M|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[17440]=1;fa=1}ga=ca+1|0;if((ga|0)>(M|0)){break}else{ca=ga;da=fa}}c[137638]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-W)*X<0.0){h[2184]=ea;if(!((ea- +h[v+320>>3])*X>0.0)){return 0}qq(g,17472,j,k,f,n,l,m)|0;if((c[135014]|0)<=0){break}return 0}else{h[2184]=W;i=c[f>>2]|0;c[137638]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[137638]=ha}}while(0);ha=d;Rd[ha&15](f,17472,j,e,p,x,y)|0;if((c[135014]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[137636]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){mq(e,17480,550544,i,17472,o,p,q,17448,r,fa,ga,w,da)|0;if((c[135014]|0)>0){ia=76;break}if((c[137636]|0)>1){ia=73;break}qq(g,17448,j,k,f,n,l,m)|0;if((c[135014]|0)>0){ia=76;break}Rd[ha&15](f,17448,j,e,q,x,y)|0;if((c[135014]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2181];Iq(e,q,19920,o,19920)|0;if((c[137636]|0)==4){return 0}qq(g,17448,j,k,f,n,l,m)|0;if((c[135014]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function mq(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[137632]=c[n>>2];c[n>>2]=0;h[2178]=0.0;a[17408]=0;r=c[b>>2]|0;c[137634]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+KG(19272,i+(t<<3)|0);if(u==+KG(19272,k+((c[137634]|0)-1<<3)|0)){break}w=c[137634]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2178])){break}h[2178]=z;c[n>>2]=w}else{a[17408]=1}}while(0);s=(c[137634]|0)+1|0;c[137634]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[17432]=1;c[137630]=c[o>>2];h[g>>3]=+h[q>>3];Iq(b,k,19920,j,19920)|0;c[o>>2]=1;a[17416]=0;A=0}else{a[17432]=0;c[n>>2]=c[137632];c[137630]=c[o>>2];if(a[17408]|0){h[g>>3]=+h[q>>3];Iq(b,k,19920,j,19920)|0;a[17416]=1;A=1;break}else{Iq(b,k,19920,i,19920)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[17416]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[17416]=1;C=y}c[e>>2]=2;h[l>>3]=C;Iq(b,j,19920,k,19920)|0;r=c[b>>2]|0;c[137634]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[137634]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+KG(19272,i+(s<<3)|0);if(!(y!=+KG(19272,j+((c[137634]|0)-1<<3)|0))){break}c[m+((c[137634]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[137634]|0)+1|0;c[137634]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2178]=0.0;a[17408]=0;r=c[b>>2]|0;c[137634]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+KG(19272,i+(t<<3)|0);if(y==+KG(19272,j+((c[137634]|0)-1<<3)|0)){break}w=c[137634]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2178])){break}h[2178]=G;c[n>>2]=w}else{a[17408]=1}}while(0);s=(c[137634]|0)+1|0;c[137634]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[17432]=r;if(r){a[17416]=0;c[137630]=0;c[o>>2]=1;break}if(!(a[17408]|0)){Iq(b,j,19920,k,19920)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];Iq(b,j,19920,k,19920)|0;r=c[b>>2]|0;c[137634]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[137634]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[137634]|0}s=I+1|0;c[137634]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[137630]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function nq(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2301]=+h[d>>3];h[2302]=+h[e>>3];j=c[a>>2]|0;c[138150]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2301];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2301]=n;h[2302]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2302];k=k+1|0;c[138150]=k;}while((k|0)<=(j|0));return 0}function oq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2339]=0.0;f=c[a>>2]|0;c[138240]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2339]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[138240]=o;if(!(n>0.0)){g=0.0;return+g}h[2340]=0.0;o=c[a>>2]|0;c[138240]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2340]=j;i=i+1|0;}while((i|0)<=(o|0));c[138240]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function pq(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[138276]=0;c[138278]=0;c[138274]=0;h[2347]=+h[b>>3];h[2346]=+oq(f,d,l,0,0);C=c[f>>2]|0;c[138286]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[138286]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2355]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[138286]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[138286]=H}a[18808]=1;c[138280]=0;a[18832]=1;c[B>>2]=(c[B>>2]|0)+1;c[138282]=0;Rd[C&15](b,d,e,q,553128,n,o)|0;b:do{if((c[138282]|0)<0){K=35}else{while(1){if(a[18808]|0){c[E>>2]=(c[E>>2]|0)+1;a[18808]=0;sq(f,b,d,e,q,18840,k,553136,l,r,s,t,g,553128,v,j,n,o,x)|0;h[2348]=1.0e6;if((c[138282]|0)<0|(c[138284]|0)!=0){K=35;break b}c[138274]=0}G=c[f>>2]|0;c[138286]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[138286]=I}tq(f,q,s,t)|0;G=c[f>>2]|0;c[138286]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2355]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[138286]=J}N=+oq(f,q,l,0,0);h[2353]=N;if(!(N>+h[v>>3]*100.0*+h[2346])){break}G=c[138280]|0;if((G|0)>0){h[z>>3]=N/+h[2350];h[A>>3]=1.0/+(G|0);O=+IG(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2348]=P;Q=P;R=+h[2353]}else{h[2350]=N;Q=+h[2348];R=N}if(!(Q*R>.33)){break}G=(c[138280]|0)+1|0;c[138280]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[18808]=1}c[B>>2]=(c[B>>2]|0)+1;c[138282]=0;Rd[C&15](b,d,e,q,553128,n,o)|0;if((c[138282]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[138286]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[138286]=I}N=+oq(f,q,l,0,0);h[2353]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[138286]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2355]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[138286]=T}}while(0);if(!(a[18832]|0)){break}G=c[f>>2]|0;c[138286]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[138286]=I}N=+oq(f,r,l,0,0);h[2352]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[18832]=0}h[b>>3]=+h[2347];H=c[f>>2]|0;c[138286]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[138286]=G}if(a[18832]|0){H=(c[138276]|0)+1|0;c[138276]=H;N=.9/(+h[2352]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2349]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[138284]|0)!=0){H=(c[138274]|0)+1|0;c[138274]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[138282]|0)>-2)){K=53;break}H=(c[138278]|0)+1|0;c[138278]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function qq(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[138152]=m;n=+h[b>>3]- +h[a>>3];h[2303]=n;a=c[f>>2]|0;c[138156]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[138156]=b;o=+h[2303]}h[2306]=1.0;h[2305]=0.0;n=o/+h[j>>3];h[2304]=n;c[138154]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2305]=q*r+s/+h[b>>3];o=r*s;h[2306]=o;h[2304]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[138156]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2305]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2306]}c[138156]=v}g=p+1|0;c[138154]=g;if((g|0)>(m|0)){break}p=g;q=+h[2305];r=+h[2304];s=+h[2306];t=+h[2303]}return 0}function rq(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2307]=+h[b>>3];c[138164]=0;c[138160]=0;c[138162]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2321]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[138170]=(c[I>>2]|0)+1;c[138168]=(c[I>>2]|0)+2;c[138174]=(c[I>>2]|0)-1;h[2307]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[138158]=$+1;$=c[138170]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2311]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[138186]=2;if(($|0)>=2){Y=2;do{h[2310]=+h[y+(Y-2<<3)>>3];U=+h[2311];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2310];U=+h[2310]+ +h[k>>3];h[2311]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[138186]=Y}h[y+($-1<<3)>>3]=+h[2311]}h[2325]=0.0;h[2326]=0.0;aa=c[I>>2]|0;c[138186]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2325]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2326]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[138186]=ba;da=ca}h[2324]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2325]- +h[2326];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2323]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2323]=ea>=U?ea:U;h[2311]=.6;h[2310]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2324]){h[D>>3]=100.0}aa=c[138170]|0;Y=c[138158]|0;if((aa|0)>=(Y|0)){c[138180]=Y;ha=Y;do{Y=c[f>>2]|0;c[138186]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[138186]=ia}ha=ha+1|0;c[138180]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[138186]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[138186]=ha}aa=c[138170]|0;c[138180]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[138186]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[138186]=ka}ia=ia+1|0;c[138180]=ia;}while((ia|0)<=(aa|0))}h[2313]=+oq(f,d,l,0,0);a[18576]=1;c[138166]=0;c[T>>2]=(c[T>>2]|0)+1;c[138182]=0;Rd[m&15](b,d,e,r,552728,o,p)|0;if((c[138182]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;sq(f,b,d,e,r,A,k,552736,l,s,t,u,g,552728,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[138182]|0)<0|(c[138184]|0)!=0){X=70;break}c[138160]=0}aa=c[f>>2]|0;c[138186]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[138186]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2311]=ca;aa=c[f>>2]|0;c[138186]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2311]}c[138186]=ma}tq(f,r,t,u)|0;$=c[f>>2]|0;c[138186]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[138186]=ha}U=+oq(f,r,l,0,0);h[2321]=U;if(!(U>+h[F>>3]*100.0*+h[2313])){X=63;break a}$=c[138166]|0;if(($|0)>0){h[O>>3]=U/+h[2314];h[P>>3]=1.0/+($|0);ca=+IG(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2321]}else{h[2314]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[138166]|0)+1|0;c[138166]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[138182]=0;Rd[m&15](b,d,e,r,552728,o,p)|0;if((c[138182]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[138186]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[138186]=$}U=+oq(f,r,l,0,0);h[2321]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[138186]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[138186]=qa}}while(0);if((X|0)==70){X=0;a[18576]=0}c[H>>2]=1;if(a[18576]|0){U=+oq(f,s,l,0,0);h[2320]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2319]=fa;h[2309]=fa*+(ia+1|0);h[2316]=fa;c[138172]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[138186]=1;if((ia|0)>=1){$=ga(c[138170]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[138186]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+oq(f,r,l,0,0);h[2318]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2308]=fa;if((ia|0)>2){$=c[f>>2]|0;c[138186]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[138186]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+oq(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2308];if((sa>=ca?sa:ca)>+h[2309]){break}ta=ba;ua=+h[2318]}else{if(fa>+h[2309]*.5){break}else{ta=ia;ua=U}}c[138172]=ta-1;h[2316]=ua}}while(0);if(!(+h[2323]*+h[2320]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2307];ba=c[138170]|0;aa=c[138158]|0;if((ba|0)>=(aa|0)){c[138180]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2311]=ca;aa=c[f>>2]|0;c[138186]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2311]}c[138186]=ja}$=$+1|0;c[138180]=$;}while(($|0)<=(ba|0))}c[138186]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[138186]=$}if(!(a[18576]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[138184]|0)!=0){ba=(c[138160]|0)+1|0;c[138160]=ba;h[2312]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[138182]|0)>-2)){X=146;break}ba=(c[138164]|0)+1|0;c[138164]=ba;h[2312]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[138162]=(c[138162]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[138162]|0;if((ba|0)<=1){Y=c[138172]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2310]=sa;h[O>>3]=+h[2316]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+IG(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2312]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[138172];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[138176]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[138172]|0;S=c[138174]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[138170];za=+h[k>>3]*2.0;h[2315]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[138172]|0;Ba=c[138174]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[138170]|0)>=(c[K>>2]|0)|(c[138176]|0)==1){Fa=S;break}S=c[f>>2]|0;c[138186]=1;if((S|0)>=1){$=ga(c[138168]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[138186]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+oq(f,r,l,0,0);h[2317]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2309];$=xa<=za;if(!(+h[2308]>($?xa:za))){Ea=c[138174]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2309]*.5)){Fa=S;break}}S=c[138170]|0;c[I>>2]=S;h[2316]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2316]=+h[2318];Fa=Ea}h[2315]=+h[k>>3];ya=+(Fa+1|0);h[2310]=ya;h[O>>3]=+h[2316]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+IG(O,P);h[2312]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2315];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2312]=xa;za=+h[k>>3]*xa;h[2315]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2315]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[138186]=1;if((S|0)<1){break}$=ga(c[138168]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[138186]=ja}}while(0);S=c[f>>2]|0;c[138186]=1;$=c[138170]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[138186]=V}c[138178]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[138180]=S;E=c[f>>2]|0;c[138186]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[138186]=S}Ha=Ha+1|0;c[138178]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[138182]|0)<0){c[n>>2]=-10}if((c[138162]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);qq(b,b,d,e,f,I,q,y)|0;i=N;return 0}function sq(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==2){c[r>>2]=0;c[138242]=0;h[2343]=+W(+h[s>>3]);A=c[b>>2]|0;c[138268]=1;b:do{if((A|0)>=1){B=q;C=1;while(1){D=C-1|0;E=+h[e+(D<<3)>>3];h[y>>3]=E;if(E<0.0){F=-0.0-E}else{F=E}G=f+(D<<3)|0;E=+h[k>>3]*+h[G>>3];if(E<0.0){H=-0.0-E}else{H=E}E=F>=H?F:H;I=+h[m+(D<<3)>>3];if(I<0.0){J=-0.0-I}else{J=I}h[2345]=+h[2343]*(E>=J?E:J);h[y>>3]=+h[k>>3]*+h[G>>3];E=+KG(18760,y);h[2345]=E;G=(c[138268]|0)-1|0;D=e+(G<<3)|0;I=+h[D>>3];K=E+I-I;h[2345]=K;h[2341]=+h[D>>3];L=f+(G<<3)|0;h[2342]=+h[L>>3];h[D>>3]=K+ +h[D>>3];h[L>>3]=+h[j>>3]*+h[2345]+ +h[L>>3];Rd[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}K=1.0/+h[2345];h[2344]=K;L=c[b>>2]|0;c[138256]=1;D=c[138242]|0;if((L|0)>=1){G=0;M=1;I=K;while(1){h[o+(G+D<<3)>>3]=(+h[n+(G<<3)>>3]- +h[g+(G<<3)>>3])*I;N=M+1|0;if((N|0)>(L|0)){break}G=M;M=N;I=+h[2344]}c[138256]=N}c[138242]=D+(c[b>>2]|0);M=c[138268]|0;G=M-1|0;h[e+(G<<3)>>3]=+h[2341];h[f+(G<<3)>>3]=+h[2342];C=M+1|0;c[138268]=C;if((C|0)>(A|0)){break b}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){O=41;break}c[138242]=0;A=c[b>>2]|0;if((c[132652]|0)==0){O=41;break}C=cT(A*20|0)|0;Qo(14,1,34728,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;Qo(14,0,34528,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;Qo(14,1,34224,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[138258]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];Qo(14,0,33960,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[138258]|0)+1|0;c[138258]=B;}while((B|0)<(c[b>>2]|0))}Ud[c[3702]&511](14);Qo(14,1,31400,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[138268]=1;if((A|0)>=1){B=C+1|0;M=1;G=c[138242]|0;do{L=o+(M-1+G<<3)|0;h[L>>3]=+h[j>>3]+ +h[L>>3];a[C]=0;a[B]=0;c[138256]=1;L=0;Q=G;while(1){I=+h[o+(L+Q<<3)>>3];Pb(C|0,32160,(P=i,i=i+16|0,c[P>>2]=C,h[P+8>>3]=I,P)|0)|0;i=P;R=c[138256]|0;S=R+1|0;c[138256]=S;if((S|0)>(A|0)){break}L=R;Q=c[138242]|0}Qo(14,0,31672,(P=i,i=i+8|0,c[P>>2]=C,P)|0);i=P;Q=c[138242]|0;L=c[138268]|0;R=o+(Q-1+L<<3)|0;h[R>>3]=+h[R>>3]- +h[j>>3];G=Q+(c[b>>2]|0)|0;c[138242]=G;M=L+1|0;c[138268]=M;}while((M|0)<=(A|0))}Ud[c[3702]&511](14);Ud[c[3702]&511](14);dT(C);O=41}else if((z|0)==3){i=x;return 0}else if((z|0)==4){A=p+4|0;M=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[138268]=1;if((M|0)>=1){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(M|0));c[138268]=G}Wd[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[138248]=(c[A>>2]|0)+1+(c[p>>2]<<1);O=72}else if((z|0)==5){M=p+4|0;C=(c[M>>2]|0)+(c[p>>2]|0)|0;B=C+1|0;c[138252]=B;L=c[b>>2]|0;c[138254]=(B|0)>(L|0)?L:B;L=c[p>>2]|0;c[138248]=B+L;c[138250]=L+C;C=(c[b>>2]|0)/(B|0)|0;c[138246]=C+1;B=c[w>>2]|0;c[138262]=B-1;c[138264]=B+C;c[r>>2]=0;h[2343]=+W(+h[s>>3]);C=c[138254]|0;c[138260]=1;if((C|0)<1){O=72;break}B=q;L=1;while(1){Q=c[b>>2]|0;R=c[138252]|0;c[138244]=L;S=(R|0)<0;c:do{if(S?(L|0)>=(Q|0):(L|0)<=(Q|0)){T=L;U=L;V=R;while(1){X=(T-U|0)/(V|0)|0;c[138258]=X+1;Y=T-1|0;Z=e+(Y<<3)|0;h[o+((c[138262]|0)+X<<3)>>3]=+h[Z>>3];_=f+(Y<<3)|0;h[o+((c[138264]|0)+X<<3)>>3]=+h[_>>3];I=+h[Z>>3];h[y>>3]=I;if(I<0.0){$=-0.0-I}else{$=I}I=+h[k>>3]*+h[_>>3];if(I<0.0){aa=-0.0-I}else{aa=I}I=$>=aa?$:aa;K=+h[m+(Y<<3)>>3];if(K<0.0){ba=-0.0-K}else{ba=K}h[2345]=+h[2343]*(I>=ba?I:ba);h[y>>3]=+h[k>>3]*+h[_>>3];I=+KG(18760,y);h[2345]=I;_=c[138244]|0;Y=_-1|0;Z=e+(Y<<3)|0;K=+h[Z>>3];E=I+K-K;h[2345]=E;h[Z>>3]=+h[Z>>3]+E;Z=f+(Y<<3)|0;h[Z>>3]=+h[j>>3]*+h[2345]+ +h[Z>>3];Z=_+R|0;c[138244]=Z;if(!(S?(Z|0)>=(Q|0):(Z|0)<=(Q|0))){break c}T=Z;U=c[138260]|0;V=c[138252]|0}}}while(0);Rd[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}Q=c[b>>2]|0;S=c[138252]|0;R=c[138260]|0;c[138244]=R;V=(S|0)<0;d:do{if(V?(R|0)>=(Q|0):(R|0)<=(Q|0)){U=R;T=R;D=S;while(1){Z=(U-T|0)/(D|0)|0;c[138258]=Z+1;_=U-1|0;Y=e+(_<<3)|0;h[Y>>3]=+h[o+((c[138262]|0)+Z<<3)>>3];E=+h[o+((c[138264]|0)+Z<<3)>>3];Z=f+(_<<3)|0;h[Z>>3]=E;K=+h[Y>>3];h[y>>3]=K;if(K<0.0){ca=-0.0-K}else{ca=K}K=+h[k>>3]*E;if(K<0.0){da=-0.0-K}else{da=K}K=ca>=da?ca:da;E=+h[m+(_<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}h[2345]=+h[2343]*(K>=ea?K:ea);h[y>>3]=+h[k>>3]*+h[Z>>3];K=+KG(18760,y);h[2345]=K;Z=c[138244]|0;E=+h[e+(Z-1<<3)>>3];I=K+E-E;h[2345]=I;E=1.0/I;h[2344]=E;_=Z-(c[M>>2]|0)|0;Y=(_|0)>1?_:1;c[138272]=Y;_=c[b>>2]|0;X=(c[p>>2]|0)+Z|0;fa=(_|0)<=(X|0)?_:X;c[138270]=fa;X=ga(c[138250]|0,Z)|0;_=X-(c[p>>2]|0)|0;c[138266]=_;c[138268]=Y;if((Y|0)<=(fa|0)){X=Y;I=E;while(1){Y=X-1|0;h[o+(Y+_<<3)>>3]=(+h[n+(Y<<3)>>3]- +h[g+(Y<<3)>>3])*I;ha=X+1|0;if((ha|0)>(fa|0)){break}X=ha;I=+h[2344]}c[138268]=ha}X=Z+S|0;c[138244]=X;fa=c[138260]|0;if(!(V?(X|0)>=(Q|0):(X|0)<=(Q|0))){ia=fa;break d}U=X;T=fa;D=c[138252]|0}}else{ia=R}}while(0);R=ia+1|0;c[138260]=R;if((R|0)>(C|0)){O=72;break a}else{L=R}}i=x;return 0}else{L=c[b>>2]|0;C=ga(L,L)|0;c[138268]=1;if((C|0)!=0){L=1;do{h[o+(L-1<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(C|0));c[138268]=L}Wd[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){O=41;break}c[138242]=0;C=c[b>>2]|0;if((c[132652]|0)==0){O=41;break}M=cT(C*20|0)|0;Qo(14,1,34728,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;Qo(14,0,34528,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;Qo(14,1,34224,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[138258]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];Qo(14,0,33960,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[138258]|0)+1|0;c[138258]=B;}while((B|0)<(c[b>>2]|0))}Ud[c[3702]&511](14);Qo(14,1,33696,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[138268]=1;if((C|0)>=1){B=M+1|0;L=1;A=c[138242]|0;do{G=o+(L-1+A<<3)|0;h[G>>3]=+h[j>>3]+ +h[G>>3];a[M]=0;a[B]=0;c[138256]=1;G=0;R=A;while(1){I=+h[o+(G+R<<3)>>3];Pb(M|0,32160,(P=i,i=i+16|0,c[P>>2]=M,h[P+8>>3]=I,P)|0)|0;i=P;Q=c[138256]|0;V=Q+1|0;c[138256]=V;if((V|0)>(C|0)){break}G=Q;R=c[138242]|0}Qo(14,0,31672,(P=i,i=i+8|0,c[P>>2]=M,P)|0);i=P;R=c[138242]|0;G=c[138268]|0;Q=o+(R-1+G<<3)|0;h[Q>>3]=+h[Q>>3]- +h[j>>3];A=R+(c[b>>2]|0)|0;c[138242]=A;L=G+1|0;c[138268]=L;}while((L|0)<=(C|0))}Ud[c[3702]&511](14);Ud[c[3702]&511](14);dT(M);O=41}}while(0);if((O|0)==41){Aq(o,b,b,p+80|0,l)|0;i=x;return 0}else if((O|0)==72){Gq(o,552992,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function tq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[e+12>>2]|0;if((f|0)==3){return 0}else if((f|0)==5|(f|0)==4){f=e+4|0;c[138238]=(c[f>>2]|0)+1+(c[e>>2]<<1);Hq(d,552952,a,e,f,e+80|0,b,553224)|0;return 0}else{Eq(d,a,a,e+80|0,b,553224)|0;return 0}return 0}function uq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[17704]|0)){a[17704]=1;vq(550592,550568,550560,17712,550576,17672,550584,17680)|0;h[2217]=+(c[137648]|0);f=c[137642]|0;h[2206]=+(f|0);if((c[137640]|0)==0){h[2208]=0.0;c[e>>2]=1-f;g=+JG(17736,e)}else{h[2208]=1.0;c[e>>2]=1-f;g=+JG(17736,e)*.5}h[2214]=g;h[2212]=g*+h[2217];h[2215]=+(c[137644]|0);h[2216]=+(c[137646]|0);j=+h[2209];h[2207]=j;k=1.0/+h[2210];if(k<j){break}h[2207]=k*(g+1.0)}}while(0);if((Nq(b,25472,1,1)|0)!=0){g=+h[2214];h[2211]=g;l=g;i=d;return+l}if((Nq(b,497712,1,1)|0)!=0){g=+h[2207];h[2211]=g;l=g;i=d;return+l}if((Nq(b,488544,1,1)|0)!=0){g=+h[2217];h[2211]=g;l=g;i=d;return+l}if((Nq(b,43592,1,1)|0)!=0){g=+h[2212];h[2211]=g;l=g;i=d;return+l}if((Nq(b,38048,1,1)|0)!=0){g=+h[2206];h[2211]=g;l=g;i=d;return+l}if((Nq(b,34064,1,1)|0)!=0){g=+h[2208];h[2211]=g;l=g;i=d;return+l}if((Nq(b,30312,1,1)|0)!=0){g=+h[2215];h[2211]=g;l=g;i=d;return+l}if((Nq(b,27040,1,1)|0)!=0){g=+h[2209];h[2211]=g;l=g;i=d;return+l}if((Nq(b,24960,1,1)|0)!=0){g=+h[2216];h[2211]=g;l=g;i=d;return+l}if((Nq(b,22200,1,1)|0)==0){l=+h[2211];i=d;return+l}else{g=+h[2210];h[2211]=g;l=g;i=d;return+l}return 0.0}function vq(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[18224]|0){q=c[137676]|0;c[b>>2]=q;r=c[137666]|0;c[d>>2]=r;s=c[137668]|0;c[e>>2]=s;t=+h[2240];h[f>>3]=t;u=c[137672]|0;c[g>>2]=u;v=+h[2238];h[j>>3]=v;w=c[137674]|0;c[k>>2]=w;x=+h[2239];h[l>>3]=x;i=m;return 0}a[18224]=1;h[2231]=0.0;h[2237]=1.0;h[2232]=2.0;wq(550704,550664,550672,550680)|0;h[2280]=+(c[137676]|0);c[n>>2]=-(c[137666]|0);y=+JG(18240,n);h[2281]=y;h[2240]=y;z=+h[2232];h[2280]=z/3.0;A=+h[2237];B=A*.5;h[2245]=B;C=-0.0-B;h[o>>3]=C;h[2235]=+xq(18240,o);h[2233]=+xq(17880,17880);h[o>>3]=C;h[2280]=+xq(17864,o);C=+xq(18240,17880);h[2280]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2280]=C;h[2240]=1.0;D=+h[2231];if(C<1.0&C>D){E=C;while(1){h[2240]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+xq(o,p);h[2279]=C;h[o>>3]=-0.0-C;h[2279]=+xq(17960,o);C=+xq(17960,18232);h[2280]=C;h[o>>3]=-0.0-C;h[2279]=+xq(17960,o);C=+xq(17960,18232);h[2280]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2240]=y}y=A/+(c[137676]|0);h[2236]=y;h[2234]=A;c[137680]=1;F=A;p=1;do{h[o>>3]=F*y;F=+xq(o,17848);h[2234]=F;p=p+1|0;c[137680]=p;}while((p|0)<4);h[2281]=+xq(17896,17872);yq(550648,17896,550704)|0;h[o>>3]=-0.0- +h[2237];yq(550656,o,550704)|0;yq(550728,18248,550704)|0;h[o>>3]=-0.0- +h[2281];yq(550736,o,550704)|0;c[137678]=0;p=c[137662]|0;G=c[137664]|0;H=c[137682]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[137684]|0)){if(I){c[137672]=p;J=0;K=25;break}if((H-p|0)==3){c[137672]=p-1+(c[137666]|0);c[137678]=1;J=1;K=25;break}else{c[137672]=(p|0)<=(H|0)?p:H;a[17928]=1;K=26;break}}else{L=I&(G|0)==(c[137684]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[137672]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[137672]=(p|0)<=(G|0)?p:G;a[17928]=1;K=26;break}}L=c[137684]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[137672]=(N|0)<=(L|0)?N:L;a[17928]=1;K=26;break}if((H-M|0)==3){c[137672]=((p|0)>=(G|0)?p:G)-1+(c[137666]|0);J=0;K=25;break}else{c[137672]=M;a[17928]=1;K=26;break}}}while(0);if((K|0)==25){if(a[17928]|0){K=26}else{O=J}}if((K|0)==26){a[18224]=0;HH(17936)|0;YG(19888,550688,4)|0;pH()|0;O=c[137678]|0}if((O|0)==0){P=(c[137670]|0)!=0|0}else{P=1}c[137678]=P;h[2238]=1.0;P=c[137672]|0;O=1-P|0;c[n>>2]=O;c[137680]=1;if((P|0)<=0){F=+h[2236];y=1.0;P=1;do{h[o>>3]=y*F;y=+xq(o,17848);h[2238]=y;P=P+1|0;c[137680]=P;}while((P|0)<=(O|0))}zq(550704,550664,550688,550712,550696,17912)|0;q=c[137676]|0;c[b>>2]=q;r=c[137666]|0;c[d>>2]=r;s=c[137668]|0;c[e>>2]=s;t=+h[2240];h[f>>3]=t;u=c[137672]|0;c[g>>2]=u;v=+h[2238];h[j>>3]=v;w=c[137674]|0;c[k>>2]=w;x=+h[2239];h[l>>3]=x;i=m;return 0}function wq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[18296]|0){l=c[137690]|0;m=a[18288]|0;c[b>>2]=l;n=c[137686]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[137688]|0;c[f>>2]=p;i=g;return 0}a[18296]=1;h[2285]=1.0;h[2291]=1.0;h[2289]=1.0;q=1.0;do{q=q*2.0;h[2291]=q;h[2289]=+xq(18328,18280);h[j>>3]=-0.0-q;r=+xq(18312,j);h[2289]=r;}while(r==1.0);h[2290]=1.0;r=+xq(18328,18320);h[2289]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2290]=t;u=+xq(18328,18320);h[2289]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2284]=.25;h[2283]=v;h[j>>3]=-0.0-q;r=+xq(18312,j);h[2289]=r;w=~~(r+.25);c[137690]=w;r=+(w|0);h[2290]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2288]=+xq(j,k);u=+xq(18304,18328);h[2289]=u;x=u==q;a[18288]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2288]=+xq(j,k);u=+xq(18304,18328);h[2289]=u;if(x&u==q){a[18288]=0;y=0}else{y=x}h[j>>3]=s;u=+xq(j,18328);h[2282]=u;h[j>>3]=s;x=u==q&+xq(j,18264)>v;c[137688]=x?y&1:0;c[137686]=0;h[2291]=1.0;h[2289]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[137686]=k;q=v*r;h[2291]=q;h[2289]=+xq(18328,18280);h[j>>3]=-0.0-q;u=+xq(18312,j);h[2289]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[137686]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[137688]|0;c[f>>2]=p;i=g;return 0}function xq(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function yq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2230]=g;j=1.0/+(c[d>>2]|0);h[2223]=j;h[2222]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+xq(f,17776);h[2229]=k;h[2227]=g;h[2226]=g;h[2225]=g;h[2224]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2230]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+xq(f,17776);h[2229]=g;h[f>>3]=g*k;k=+xq(f,17776);h[2227]=k;h[2225]=0.0;c[137660]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2225]=o;c[137660]=p;n=o}h[f>>3]=l*j;q=+xq(f,17776);h[2228]=q;h[f>>3]=q/j;r=+xq(f,17776);h[2226]=r;h[2224]=0.0;b=c[d>>2]|0;c[137660]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2224]=t;c[137660]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function zq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[137652]=1;c[137658]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[137652]=l;r=q+1|0;c[137658]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[137650]=n;u=n}else{c[137650]=m;c[137658]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[137656]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[137658]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2220]=x;y=w+-1.0;h[2218]=y;h[2219]=0.0;v=c[b>>2]|0;c[137654]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2218]=w;if(A<1.0){h[2221]=A}A=+xq(17752,17744);h[2219]=A;b=b+1|0;c[137654]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2221];h[2219]=w;z=w}}while(0);v=c[f>>2]|0;c[137654]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+xq(k,19280);h[2219]=z;f=D+1|0;c[137654]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function Aq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[137704]=1;m=1;do{c[137702]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=Bq(j,a+(m+b+(ga(m,l)|0)<<3)|0,19880)|0;q=c[137704]|0;r=p-1+q|0;c[137700]=r;c[e+(q-1<<2)>>2]=r;r=c[137700]|0;q=c[137704]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2293]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2293];t=q}u=ga(t,l)|0;h[2293]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;Cq(j,18344,a+(t-l+u<<3)|0,19880)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[137702]|0;c[137706]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[137700]|0;x=ga(w,l)|0;h[2293]=+h[a+(x+b+v<<3)>>3];y=c[137704]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2293];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;Dq(k,18344,a+((ga(z,l)|0)+b+y<<3)|0,19880,a+(y+b+x<<3)|0,19880)|0;w=(c[137706]|0)+1|0;c[137706]=w;}while((w|0)<=(u|0))}}while(0);m=(c[137704]|0)+1|0;c[137704]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function Bq(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[138428]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[64089]=i;j=(c[d>>2]|0)+1|0;c[138428]=j;k=c[a>>2]|0;c[138430]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[64089]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[138428]=j;a=o+1|0;c[138430]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[64089]=t;c[138430]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[64089]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[138430]=B;f=z;return f|0}function Cq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[138434]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[138434]=j;return 0}j=(f|0)%5|0;c[138432]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[138434]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[138434]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[138434]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[138434]=m;return 0}function Dq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[138444]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[138450]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[138450]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[138450]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[138450]=r;return 0}}while(0);c[138448]=1;c[138446]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[138448]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[138446]=r;t=r}else{t=1}r=c[a>>2]|0;c[138450]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[138448]=t;s=v+(c[g>>2]|0)|0;c[138446]=s;c[138450]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function Eq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[137692]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[137698]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[137694]=o;p=f+(o-1<<3)|0;h[2292]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2292]}c[k>>2]=(c[d>>2]|0)-g;Dq(k,18336,a+(g-l+(ga(g,l)|0)<<3)|0,19880,f+(g<<3)|0,19880)|0;g=(c[137698]|0)+1|0;c[137698]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[137696]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[137698]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2292]=-0.0-s;c[k>>2]=n;Dq(k,18336,a+(p-l<<3)|0,19880,f,19880)|0;q=(c[137696]|0)+1|0;c[137696]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[137698]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+Fq(k,a+((ga(m,l)|0)-l<<3)|0,19880,f,19880);h[2292]=s;q=c[137698]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[137698]=m;}while((m|0)<=(g|0));t=c[137692]|0}if((t|0)<1){i=j;return 0}c[137696]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[137698]=m;c[k>>2]=(c[d>>2]|0)-m;s=+Fq(k,a+(m-l+(ga(m,l)|0)<<3)|0,19880,f+(m<<3)|0,19880);m=c[137698]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[137694]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2292]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2292]}g=(c[137696]|0)+1|0;c[137696]=g;}while((g|0)<=(t|0));i=j;return 0}function Fq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[64090]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[138436]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[138442]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[64090]=o;n=n+1|0;}while((n|0)<=(j|0));c[138442]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[138442]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[64090]=r;q=q+5|0;}while((q|0)<=(l|0));c[138442]=q;i=r;return+i}}while(0);c[138440]=1;c[138438]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[138440]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[138438]=q;w=q}else{w=1}q=c[a>>2]|0;c[138442]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[64090]=r;w=x+(c[d>>2]|0)|0;c[138440]=w;v=y+(c[f>>2]|0)|0;c[138438]=v;a=A+1|0;c[138442]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function Gq(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[137726]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[137742]=n;o=c[d>>2]|0;p=c[137726]|0;q=((o|0)>(p|0)?p:o)-1|0;c[137740]=q;if((q|0)>=(n|0)){c[137736]=n;o=n;do{n=1-o+p|0;c[137748]=n;r=c[e>>2]|0;c[137746]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[137746]=s}o=o+1|0;c[137736]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[137736]=q;c[137738]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[137734]=1;r=1;p=q;while(1){c[137732]=r+1;q=p+1|0;c[137736]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[137746]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[137746]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[137728]=s;c[l>>2]=s+1;s=Bq(l,a+((c[137726]|0)+b+(ga(r,m)|0)<<3)|0,19880)|0;n=s-1|0;c[137730]=n+(c[137726]|0);s=c[137734]|0;c[g+(s-1<<2)>>2]=n+s;s=c[137730]|0;n=c[137734]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[137726]|0;if((s|0)==(v|0)){z=s}else{h[2295]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2295];z=v}h[2295]=-1.0/+h[a+(z+b+q<<3)>>3];Cq(550912,18360,a+(z-m+q<<3)|0,19880)|0;v=c[137738]|0;w=(c[g+((c[137734]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[137738]=v;A=c[137726]|0;c[137724]=A;w=c[137732]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[137744]=w;B=w;w=A;while(1){A=(c[137730]|0)-1|0;c[137730]=A;C=w-1|0;c[137724]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2295]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2295];F=C}Dq(550912,18360,a+((c[137726]|0)-m+(ga(c[137734]|0,m)|0)<<3)|0,19880,a+(F-m+D<<3)|0,19880)|0;D=(c[137744]|0)+1|0;c[137744]=D;if((D|0)>(v|0)){break a}B=D;w=c[137724]|0}}}while(0);q=(c[137734]|0)+1|0;c[137734]=q;if((q|0)>(o|0)){break}r=q;p=c[137736]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[137726]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function Hq(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[137710]=l;f=(c[d>>2]|0)-1|0;c[137708]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[137722]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[137712]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[137718]=m;o=i+(m-1<<3)|0;h[2294]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2294]}Dq(550848,18352,a+((c[137710]|0)-k+(ga(j,k)|0)<<3)|0,19880,i+(j<<3)|0,19880)|0;j=(c[137722]|0)+1|0;c[137722]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[137720]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[137722]=m;o=c[137710]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[137712]=q;s=o-q|0;c[137716]=s;o=m-q|0;c[137714]=o;h[2294]=-0.0-r;Dq(550848,18352,a+(s+b+n<<3)|0,19880,i+(o-1<<3)|0,19880)|0;p=(c[137720]|0)+1|0;c[137720]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[137722]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[137712]=l;o=p-l|0;c[137716]=o;n=f-l|0;c[137714]=n;r=+Fq(550848,a+((ga(f,k)|0)+b+o<<3)|0,19880,i+(n-1<<3)|0,19880);h[2294]=r;n=c[137722]|0;o=i+(n-1<<3)|0;p=c[137710]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[137722]=f;}while((f|0)<=(j|0));t=c[137708]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[137720]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[137722]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[137712]=(f|0)<=(b|0)?f:b;r=+Fq(550848,a+(j-k+(ga(u,k)|0)<<3)|0,19880,i+(u<<3)|0,19880);u=c[137722]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[137718]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2294]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2294]}f=(c[137720]|0)+1|0;c[137720]=f;if((f|0)>(t|0)){break}p=f;j=c[137710]|0}return 0}function Iq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[138454]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[138460]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[138460]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[138460]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[138460]=m;return 0}}while(0);c[138458]=1;c[138456]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[138458]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[138456]=m;o=m}else{o=1}m=c[a>>2]|0;c[138460]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[138458]=p;q=q+(c[f>>2]|0)|0;c[138456]=q;r=r+1|0;c[138460]=r;}while((r|0)<=(m|0));return 0}function Jq(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0;l=+Kq(19872);d=c[a>>2]|0;m=(d|0)<1;do{if(!m){n=1;o=((ga(d+1|0,d)|0)/2|0)+1|0;do{p=d-n|0;q=p+1|0;r=p+2|0;o=o-n|0;if((d|0)<(r|0)){s=0.0}else{t=r;r=o;u=0.0;while(1){v=u+ +h[b+(r<<3)>>3]*+h[i+(t-1<<3)>>3];w=t+1|0;if((w|0)>(d|0)){s=v;break}else{t=w;r=r+1|0;u=v}}}u=+h[b+(o-1<<3)>>3];do{if(u!=0.0){x=u}else{if((p|0)<0){y=u}else{r=1;t=q;v=u;while(1){z=+h[b+(t-1<<3)>>3];if(z<0.0){A=-0.0-z}else{A=z}z=v>=A?v:A;w=t-r+d|0;B=r+1|0;if((B|0)>(q|0)){y=z;break}else{r=B;t=w;v=z}}}v=l*y;if(!(v==0.0)){x=v;break}x=l}}while(0);h[i+(p<<3)>>3]=(+h[f+(p<<3)>>3]-s)/x;n=n+1|0;}while((n|0)<=(d|0));if(m){break}else{C=1}do{n=C-1|0;h[j+(n<<3)>>3]=0.0;h[k+(n<<3)>>3]=+h[e+(n<<3)>>3]*+h[i+(n<<3)>>3];C=C+1|0;}while((C|0)<=(d|0))}}while(0);x=+Lq(a,k);if(!(x>+h[g>>3])){return 0}d=c[a>>2]|0;if((d|0)>=1){C=1;m=1;n=d;while(1){o=C-1|0;s=+h[f+(o<<3)>>3];if((C|0)>(d|0)){D=m}else{q=C;t=m;while(1){r=j+(q-1<<3)|0;h[r>>3]=+h[r>>3]+s*+h[b+(t-1<<3)>>3];r=q+1|0;if((r|0)>(d|0)){break}else{q=r;t=t+1|0}}D=m+n|0}t=j+(o<<3)|0;h[t>>3]=+h[t>>3]/+h[e+(o<<3)>>3];t=C+1|0;if((t|0)>(d|0)){break}else{C=t;m=D;n=n-1|0}}}s=+Lq(a,j);l=+h[g>>3];do{if(s==0.0){E=0.0;F=l/x;G=l}else{n=c[a>>2]|0;D=(n|0)<1;do{if(!D){m=1;do{C=m-1|0;d=j+(C<<3)|0;h[d>>3]=+h[d>>3]/s/+h[e+(C<<3)>>3];m=m+1|0;}while((m|0)<=(n|0));if(D){break}else{H=1;I=1;J=n}while(1){if((H|0)>(n|0)){K=I;L=0.0}else{m=H;p=I;y=0.0;while(1){M=y+ +h[b+(p-1<<3)>>3]*+h[j+(m-1<<3)>>3];C=m+1|0;if((C|0)>(n|0)){break}else{m=C;p=p+1|0;y=M}}K=I+J|0;L=M}h[k+(H-1<<3)>>3]=L;p=H+1|0;if((p|0)>(n|0)){break}else{H=p;I=K;J=J-1|0}}}}while(0);y=+Lq(a,k);A=s/y/y;y=+h[g>>3];if(!(A<y)){E=A;F=0.0;G=y;break}y=+Lq(a,f);u=+h[g>>3];v=A/u;z=y/s*(y/x)*v;y=u/x;N=z-y;O=v*v;v=1.0-O;E=A;F=y*v/(+W(N*N+v*(1.0-y*y))+(z-y*O));G=u}}while(0);x=(1.0-F)*(E>G?G:E);g=c[a>>2]|0;if((g|0)<1){return 0}else{P=1}do{a=P-1|0;f=i+(a<<3)|0;h[f>>3]=x*+h[j+(a<<3)>>3]+F*+h[f>>3];P=P+1|0;}while((P|0)<=(g|0));return 0}function Kq(a){a=a|0;return+(+h[17496+((((c[a>>2]<<3)-8|0)/8|0)<<3)>>3])}function Lq(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0;d=c[a>>2]|0;e=1304.0e16/+(d|0);do{if((d|0)<1){f=0.0;g=0.0}else{a=1;i=0.0;j=0.0;k=0.0;l=0.0;m=0.0;while(1){n=+h[b+(a-1<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}do{if(o>3.834e-20&o<e){p=m;q=l;r=k;s=j+o*o;t=i}else{if(o>3.834e-20){if(o>l){n=l/o;p=m;q=o;r=k;s=j;t=i*n*n+1.0;break}else{n=o/l;p=m;q=l;r=k;s=j;t=i+n*n;break}}if(o>m){n=m/o;p=o;q=l;r=k*n*n+1.0;s=j;t=i;break}if(!(o!=0.0)){p=m;q=l;r=k;s=j;t=i;break}n=o/m;p=m;q=l;r=k+n*n;s=j;t=i}}while(0);u=a+1|0;if((u|0)>(d|0)){break}else{a=u;i=t;j=s;k=r;l=q;m=p}}if(!(t==0.0)){v=q*+W(t+s/q/q);return+v}if(s==0.0){f=r;g=p;break}if(s<p){w=0.0}else{w=+W(s*(r*p*(p/s)+1.0))}if(!(s<p)){v=w;return+v}v=+W(p*(r*p+s/p));return+v}}while(0);v=g*+W(f);return+v}function Mq(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;var B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;B=i;i=i+32|0;C=B|0;D=B+8|0;E=B+16|0;F=B+24|0;G=c[g>>2]|0;H=~G;I=+Kq(19864);c[p>>2]=0;c[E>>2]=0;c[q>>2]=0;c[r>>2]=0;J=c[b>>2]|0;a:do{if((J|0)<1){L=97}else{if((c[g>>2]|0)<(J|0)){L=97;break}if(+h[j>>3]<0.0){L=97;break}if((c[k>>2]|0)<1){L=97;break}if(!(+h[n>>3]>0.0)){L=97;break}if((c[t>>2]|0)<((ga(J+1|0,J)|0)/2|0|0)){L=97;break}b:do{if((c[m>>2]|0)==2){M=1;while(1){if((M|0)>(J|0)){break b}if(+h[l+(M-1<<3)>>3]>0.0){M=M+1|0}else{L=97;break a}}}}while(0);c[E>>2]=1;M=a;me[M&31](b,d,e,f,g,E,z,A)|0;c[q>>2]=1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}P=+Lq(b,e);c[E>>2]=2;me[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}N=C|0;Q=1;R=0;S=P;P=0.0;T=0;U=0;V=0;c:while(1){Uq(b,b,f,g,553216,N,19864,v,w,x)|0;do{if((Q|0)==1){W=c[b>>2]|0;do{if((c[m>>2]|0)==2){L=20}else{if((W|0)<1){break}else{X=1}while(1){Y=X-1|0;Z=w+(Y<<3)|0;_=l+(Y<<3)|0;h[_>>3]=+h[Z>>3];if(+h[Z>>3]==0.0){h[_>>3]=1.0}_=X+1|0;if((_|0)>(W|0)){L=20;break}else{X=_}}}}while(0);do{if((L|0)==20){L=0;if((W|0)<1){break}else{$=1}do{_=$-1|0;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[d+(_<<3)>>3];$=$+1|0;}while(($|0)<=(W|0))}}while(0);aa=+Lq(b,x);ba=+h[n>>3];ca=aa*ba;h[F>>3]=ca;if(!(ca==0.0)){da=aa;break}h[F>>3]=ba;da=aa}else{da=P}}while(0);W=c[b>>2]|0;_=(W|0)<1;do{if(_){L=35}else{Z=1;do{Y=Z-1|0;h[u+(Y<<3)>>3]=+h[e+(Y<<3)>>3];Z=Z+1|0;}while((Z|0)<=(W|0));if(_){L=35;break}else{ea=1}do{Z=ga(ea,G)|0;aa=+h[f+(ea+H+Z<<3)>>3];do{if(!(aa==0.0)){Y=(ea|0)>(W|0);if(Y){break}fa=Z+H|0;ha=ea;ba=0.0;do{ba=ba+ +h[f+(fa+ha<<3)>>3]*+h[u+(ha-1<<3)>>3];ha=ha+1|0;}while((ha|0)<=(W|0));ca=(-0.0-ba)/aa;if(Y){break}ha=Z+H|0;fa=ea;do{ia=u+(fa-1<<3)|0;h[ia>>3]=+h[ia>>3]+ca*+h[f+(ha+fa<<3)>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}}while(0);ea=ea+1|0;}while((ea|0)<=(W|0));c[D>>2]=0;if(_){break}else{ja=0;ka=1}while(1){Z=(ka|0)>2?ka:2;fa=Z-2|0;ha=YT(fa,0,Z-3|0,0)|0;Z=ha>>>1|K<<31;ha=ka-1|0;if((ha|0)<1){la=ka}else{Y=(ga(ka,G)|0)+H|0;ia=W+ja+(ga(W-2|0,fa)|0)|0;fa=1;ma=ka;do{h[s+(ma-1<<3)>>3]=+h[f+(Y+fa<<3)>>3];ma=ma-fa+W|0;fa=fa+1|0;}while((fa|0)<=(ha|0));la=ia-Z|0}fa=v+(ha<<3)|0;h[s+(la-1<<3)>>3]=+h[fa>>3];if(+h[fa>>3]==0.0){c[D>>2]=1}fa=ka+1|0;if((fa|0)>(W|0)){break}else{ja=ja+1|0;ka=fa}}}}while(0);if((L|0)==35){L=0;c[D>>2]=0}Tq(b,b,f,g,v)|0;do{if((c[m>>2]|0)==2){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q}else{W=c[b>>2]|0;if((W|0)<1){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=1}while(1){_=va-1|0;fa=l+(_<<3)|0;aa=+h[fa>>3];ca=+h[w+(_<<3)>>3];h[fa>>3]=aa>=ca?aa:ca;fa=va+1|0;if((fa|0)>(W|0)){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=fa}}}}while(0);while(1){W=c[o>>2]|0;do{if((W|0)>=1){c[E>>2]=0;if(((ua-1|0)%(W|0)|0|0)!=0){break}me[M&31](b,d,e,f,g,E,z,A)|0;fa=c[E>>2]|0;if((fa|0)<0){O=fa;L=98;break a}}}while(0);Jq(b,s,t,l,u,F,v,w,x)|0;W=c[b>>2]|0;if((W|0)>=1){fa=1;do{_=fa-1|0;ma=v+(_<<3)|0;ca=+h[ma>>3];h[ma>>3]=-0.0-ca;h[w+(_<<3)>>3]=+h[d+(_<<3)>>3]-ca;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[ma>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}ca=+Lq(b,x);if((ua|0)==1){aa=+h[F>>3];h[F>>3]=aa<=ca?aa:ca}c[E>>2]=1;me[M&31](b,w,y,f,g,E,z,A)|0;c[q>>2]=(c[q>>2]|0)+1;W=c[E>>2]|0;if((W|0)<0){O=W;L=98;break a}aa=+Lq(b,y);if(aa<ra){ba=aa/ra;wa=1.0-ba*ba}else{wa=-1.0}W=c[b>>2]|0;if((W|0)>=1){fa=1;ma=1;_=W;while(1){if((fa|0)>(W|0)){xa=ma;ya=0.0}else{Y=fa;za=ma;ba=0.0;while(1){Aa=ba+ +h[s+(za-1<<3)>>3]*+h[v+(Y-1<<3)>>3];Ba=Y+1|0;if((Ba|0)>(W|0)){break}else{Y=Ba;za=za+1|0;ba=Aa}}xa=ma+_|0;ya=Aa}za=fa-1|0;h[x+(za<<3)>>3]=ya+ +h[u+(za<<3)>>3];za=fa+1|0;if((za|0)>(W|0)){break}else{fa=za;ma=xa;_=_-1|0}}}ba=+Lq(b,x);do{if(ba<ra){Ca=ba/ra;Da=1.0-Ca*Ca;if(!(Da>0.0)){Ea=0.0;L=65;break}Ca=wa/Da;if(Ca<.1){Ea=Ca;L=65;break}_=sa+1|0;if(Ca>=.5|(sa|0)>0){Da=+h[F>>3];Fa=ca*2.0;h[F>>3]=Da>=Fa?Da:Fa}Fa=Ca+-1.0;if(Fa<0.0){Ga=-0.0-Fa}else{Ga=Fa}if(Ga>.1){Ha=0;Ia=_;Ja=Ca;break}h[F>>3]=ca*2.0;Ha=0;Ia=_;Ja=Ca}else{Ea=0.0;L=65}}while(0);if((L|0)==65){L=0;h[F>>3]=+h[F>>3]*.5;Ha=na+1|0;Ia=0;Ja=Ea}if(Ja<1.0e-4){Ka=qa;La=ra;Ma=ua}else{_=c[b>>2]|0;if((_|0)>=1){ma=1;do{fa=ma-1|0;W=w+(fa<<3)|0;ba=+h[W>>3];h[d+(fa<<3)>>3]=ba;h[W>>3]=ba*+h[l+(fa<<3)>>3];h[e+(fa<<3)>>3]=+h[y+(fa<<3)>>3];ma=ma+1|0;}while((ma|0)<=(_|0))}Ka=+Lq(b,w);La=aa;Ma=ua+1|0}Na=wa<.001?pa+1|0:0;Oa=wa<.1?oa+ta|0:0;ba=+h[F>>3];if(ba<=Ka*+h[j>>3]|La==0.0){L=77;break c}if((c[p>>2]|0)!=0){L=97;break a}if((c[q>>2]|0)<(c[k>>2]|0)){Pa=0}else{c[p>>2]=2;Pa=2}Ca=ba*.1;if((Ca>=ca?Ca:ca)*.1>I*Ka){Qa=Pa}else{c[p>>2]=3;Qa=3}if((Oa|0)==5){c[p>>2]=4;Ra=4}else{Ra=Qa}if((Na|0)==10){L=86;break c}if((Ra|0)!=0){L=97;break a}if((Ha|0)==2){break}_=c[b>>2]|0;if((_|0)>=1){ma=Ja<1.0e-4;fa=1;do{W=(ga(fa,G)|0)+H|0;za=1;Ca=0.0;do{Ca=Ca+ +h[f+(W+za<<3)>>3]*+h[y+(za-1<<3)>>3];za=za+1|0;}while((za|0)<=(_|0));za=fa-1|0;h[w+(za<<3)>>3]=(Ca- +h[x+(za<<3)>>3])/ca;ba=+h[l+(za<<3)>>3];W=v+(za<<3)|0;h[W>>3]=ba*(ba*+h[W>>3]/ca);if(!ma){h[u+(za<<3)>>3]=Ca}fa=fa+1|0;}while((fa|0)<=(_|0))}Wq(b,b,s,t,v,w,x,D)|0;Vq(b,b,f,g,w,x)|0;Vq(19864,b,u,19864,w,x)|0;na=Ha;oa=Oa;pa=Na;qa=Ka;ra=La;sa=Ia;ta=0;ua=Ma}c[E>>2]=2;me[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;_=c[E>>2]|0;if((_|0)<0){O=_;L=98;break a}else{Q=Ma;R=Ia;S=La;P=Ka;T=Na;U=Oa;V=2}}if((L|0)==77){c[p>>2]=1;L=97;break}else if((L|0)==86){c[p>>2]=5;L=97;break}}}while(0);if((L|0)==97){Oa=c[E>>2]|0;if((Oa|0)<0){O=Oa;L=98}}if((L|0)==98){c[p>>2]=O}c[E>>2]=0;if((c[o>>2]|0)<=0){i=B;return 0}me[a&31](b,d,e,f,g,E,z,A)|0;i=B;return 0}function Nq(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14824]=1;g=d[b]|0;c[134952]=g;b=d[e]|0;c[134950]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[134952]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[134950]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}



function oe(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function pe(){return i|0}function qe(a){a=a|0;i=a}function re(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function se(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function te(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function ue(a){a=a|0;K=a}function ve(a){a=a|0;L=a}function we(a){a=a|0;M=a}function xe(a){a=a|0;N=a}function ye(a){a=a|0;O=a}function ze(a){a=a|0;P=a}function Ae(a){a=a|0;Q=a}function Be(a){a=a|0;R=a}function Ce(a){a=a|0;S=a}function De(a){a=a|0;T=a}function Ee(){c[129978]=q+8;c[129980]=q+8;c[129982]=t+8;c[129986]=t+8;c[129990]=t+8;c[129994]=t+8;c[129998]=t+8;c[130002]=t+8;c[130006]=q+8;c[130040]=t+8;c[130044]=t+8;c[130108]=t+8;c[130112]=t+8;c[130132]=q+8;c[130134]=t+8;c[130170]=t+8;c[130174]=t+8;c[130210]=t+8;c[130214]=t+8;c[130234]=q+8;c[130236]=q+8;c[130238]=t+8;c[130242]=t+8;c[130246]=t+8;c[130250]=t+8;c[130254]=t+8;c[130258]=q+8;c[130260]=q+8;c[130262]=q+8;c[130264]=t+8;c[130268]=t+8;c[130272]=q+8;c[130274]=q+8;c[130276]=q+8;c[130278]=q+8;c[130304]=t+8;c[130308]=t+8;c[130312]=q+8;c[130314]=t+8;c[130318]=t+8;c[130322]=t+8;c[130326]=q+8;c[130328]=q+8;c[130330]=q+8;c[130332]=q+8;c[130366]=q+8;c[130368]=q+8;c[130370]=q+8;c[130372]=t+8;c[130376]=t+8;c[130380]=t+8;c[130384]=t+8;c[130388]=t+8;c[130392]=t+8}function Fe(a){a=a|0;var b=0;b=a+540|0;Xd[c[(c[b>>2]|0)+40>>2]&255](a)|0;Xd[c[(c[b>>2]|0)+28>>2]&255](a)|0;Xd[c[(c[b>>2]|0)+32>>2]&255](a)|0;Xd[c[(c[b>>2]|0)+48>>2]&255](a)|0;Xd[c[(c[b>>2]|0)+52>>2]&255](a)|0;Er(a);return}function Ge(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[134942]|0)==0){l=0}else{m=c[a+88>>2]|0;n=ET(m|0)|0;o=cT(n+11|0)|0;FT(o|0,m|0,n|0)|0;GT(o+n|0,512696,11)|0;n=zc(o|0,512688)|0;if((n|0)==0){m=Zc(c[(Yc()|0)>>2]|0)|0;So(23,0,496744,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Pa(0)|0;q=0}else{q=n}dT(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}ie[c[2175]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[134942]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{$p(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}$p(2);_p(2)}Pp(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){Qo(23,0,487696,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];rr(a,b);L=+h[k>>3];M=+h[v>>3];Qo(23,1,42712,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];pF(37560,(+h[k>>3]-M)/(+h[q>>3]-M));N=Js(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Fe(a);Fr(a);if((c[132661]|0)!=0){Ud[c[3702]&511](23)}if((c[134942]|0)!=0){_p(4)}l=tr(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];Qo(7,1,33664,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?29896:26848,h[p+8>>3]=M,p)|0);i=p;if((c[132840]|0)==0){Vd[c[2005]&127](8e3,a)}vr(a,c[x>>2]|0,k,b);if((c[132645]|0)!=0){Ud[c[3702]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;Jr(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[134942]|0)!=0){bq(4)}if((Vs(a,1,1)|0)!=0){c[s>>2]=1;Jr(a)}Xd[c[(c[y>>2]|0)+88>>2]&255](a)|0;Er(a);Nr(a);Fr(a);do{if((H|0)==0){O=0}else{_p(7);bq(2);l=(Ya(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Ya(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+Vp(2);if(!P){Q=0;break}Q=(Ya(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+Vp(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=Qp(R+9|0)|0;if((S|0)==0){T=0}else{T=(Ya(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+Vp(S+9|0);if((R|0)==0){_=0}else{_=(Ya(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}bq(7);if(($|0)!=0){O=H;break}R=Zc(c[(Yc()|0)>>2]|0)|0;So(23,0,24744,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Pa(H|0)|0;O=0}}while(0);if((c[132840]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;Vd[c[2005]&127](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[132696]|0)!=0){Io(A,557968);Wa(10,A|0)|0;S=c[139490]|0;Qo(1,0,512632,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((ss(a,0)|0)!=0){aa=58;break}if((ks(a,0)|0)!=0){aa=58;break}if((_r(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){Qo(1,0,509880,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((ss(a,0)|0)!=0){Qo(1,0,506816,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((ks(a,0)|0)!=0){Qo(1,0,504472,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(_r(a,0)|0)==0;M=+h[k>>3];if(H){Qo(1,0,501704,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{Qo(1,0,502808,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Pa(J|0)|0;i=d;return I|0}function He(a){a=a|0;return 0}function Ie(a){a=a|0;return 0}function Je(a){a=a|0;return 0}function Ke(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0;b=c[a+416>>2]|0;d=+h[b+96>>3];if(d<0.0){e=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;f=e;g=e}else{f=b+112|0;g=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0}h[g+88>>3]=-0.0-d*+h[f>>3];return}function Le(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;yf(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3]=+h[d>>3];i=b;return}function Me(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=i;i=i+224|0;e=d|0;f=d+104|0;g=d+208|0;j=d+216|0;k=b+536|0;l=b+4|0;Nf(e,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(g,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],e|0);m=+h[g>>3];g=b+314|0;do{if((a[g]|0)==0){n=a[(c[b+356>>2]|0)+3|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){o=a[(c[b+356>>2]|0)+3|0]|0;p=Rr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=p;n=o;break}else{o=Rr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=o;n=o;break}}else{if(e){e=a[(c[b+356>>2]|0)+3|0]|0;o=Tr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=o;n=e;break}else{e=Tr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=e;n=e;break}}}}while(0);Kf(f,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(j,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],f|0);m=+h[j>>3];do{if((a[g]|0)==0){q=a[(c[b+356>>2]|0)+4|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+4|0]|0;k=Sr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;q=f;break}else{f=Sr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=f;q=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+4|0]|0;f=Vr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+4|0]=f;q=j;break}else{j=Vr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+4|0]=j;q=j;break}}}}while(0);do{if((a[g]|0)==0){r=a[(c[b+356>>2]|0)+2|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+2|0]|0;k=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;r=f;break}else{f=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=f;r=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+2|0]|0;f=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=f;r=j;break}else{j=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=j;r=j;break}}}}while(0);if(!((q|n)<<24>>24==0)){s=1;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;c[w>>2]=s;i=d;return}s=r<<24>>24!=0?1:2;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;c[w>>2]=s;i=d;return}function Ne(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;j=c[c[g>>2]>>2]|0;k=a+416|0;jg(d,c[f>>2]|0,+h[(c[j+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],c[c[j+12>>2]>>2]|0,0);mg(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+136>>3]=+h[e>>3];i=b;return}function Oe(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=+h[(c[b+416>>2]|0)+112>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+136>>3];j=+h[g+8>>3];if(i!=0.0){k=j/i;l=g;m=d-k;n=l+120|0;h[n>>3]=m;return}if(j==0.0){k=j;l=g;m=d-k;n=l+120|0;h[n>>3]=m;return}o=j/+Wo(c[b+536>>2]|0,i,497568,527592,+h[f>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=d-k;n=l+120|0;h[n>>3]=m;return}function Pe(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;j=c[c[g>>2]>>2]|0;k=a+416|0;jg(d,c[f>>2]|0,+h[(c[j+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],c[c[j+12>>2]>>2]|0,0);ig(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+128>>3]=+h[e>>3];i=b;return}function Qe(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+96>>3]=+h[b+128>>3]+ -273.15;return}function Re(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;yf(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[d>>3];i=b;return}function Se(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+224|0;e=d|0;f=d+104|0;g=d+208|0;j=d+216|0;k=b+536|0;l=b+4|0;Nf(e,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(g,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],e|0);m=+h[g>>3];g=b+314|0;do{if((a[g]|0)==0){n=a[c[b+356>>2]|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){o=a[c[b+356>>2]|0]|0;p=Rr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=p;n=o;break}else{o=Rr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=o;n=o;break}}else{if(e){e=a[c[b+356>>2]|0]|0;o=Tr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[c[b+352>>2]|0]=o;n=e;break}else{e=Tr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[c[b+352>>2]|0]=e;n=e;break}}}}while(0);Kf(f,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(j,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],f|0);m=+h[j>>3];do{if((a[g]|0)==0){q=a[(c[b+356>>2]|0)+1|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+1|0]|0;k=Sr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=k;q=f;break}else{f=Sr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=f;q=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+1|0]|0;f=Vr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[(c[b+352>>2]|0)+1|0]=f;q=j;break}else{j=Vr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[(c[b+352>>2]|0)+1|0]=j;q=j;break}}}}while(0);do{if((a[g]|0)==0){r=a[(c[b+356>>2]|0)+2|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+2|0]|0;k=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;r=f;break}else{f=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=f;r=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+2|0]|0;f=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=f;r=j;break}else{j=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=j;r=j;break}}}}while(0);if(!((q|n)<<24>>24==0)){s=1;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+4|0;c[x>>2]=s;i=d;return}s=r<<24>>24!=0?1:2;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+4|0;c[x>>2]=s;i=d;return}function Te(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;j=c[a+8>>2]|0;jg(d,c[f>>2]|0,+h[j+8>>3],+h[j>>3],c[(c[a+12>>2]|0)+4>>2]|0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;mg(e,c[f>>2]|0,+h[a+8>>3],+h[a>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+200>>3]=+h[e>>3];i=b;return}function Ue(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f>>3];i=+h[f+200>>3];j=+h[f+8>>3];if(i!=0.0){k=j/i;l=f;m=g-k;n=l+184|0;h[n>>3]=m;return}if(j==0.0){k=j;l=f;m=g-k;n=l+184|0;h[n>>3]=m;return}o=j/+Wo(c[b+536>>2]|0,i,496728,527584,+h[e>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=g-k;n=l+184|0;h[n>>3]=m;return}function Ve(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+144>>3]=+h[(c[a+416>>2]|0)+56>>3]*+h[b+200>>3];return}function We(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+152>>3]=+h[b+144>>3]*+h[b+184>>3];return}function Xe(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;j=c[a+8>>2]|0;jg(d,c[f>>2]|0,+h[j+8>>3],+h[j>>3],c[(c[a+12>>2]|0)+4>>2]|0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;ig(e,c[f>>2]|0,+h[a+8>>3],+h[a>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+192>>3]=+h[e>>3];i=b;return}function Ye(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+160>>3]=+h[b+192>>3]+ -273.15;return}function Ze(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+56>>3]=+h[b+8>>3]- +h[(c[a+416>>2]|0)+120>>3];return}function _e(b){b=b|0;var d=0,e=0.0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=c[b+416>>2]|0;e=+h[d+160>>3];f=+h[d+152>>3];d=b+4|0;g=c[c[d>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+56>>3];if(f!=0.0){k=j/f;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}if(j==0.0){k=j;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}o=j/+Wo(c[b+536>>2]|0,f,495936,527576,+h[g>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=e*k;n=l+64|0;h[n>>3]=m;return}function $e(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0;b=a+4|0;if((Wr(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+64>>3],0.0)|0)<<24>>24==0){d=(c[a+416>>2]|0)+144|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;f=+h[d>>3];g=e+80|0;h[g>>3]=f;return}else{a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;d=a;e=a;f=+h[d>>3];g=e+80|0;h[g>>3]=f;return}}function af(a){a=a|0;var b=0,d=0.0,e=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+64>>3];if(d<0.0){e=(c[a+416>>2]|0)+144|0}else{e=b}h[b+72>>3]=-0.0-d*+h[e>>3];return}function bf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+208>>3]=+h[b+72>>3]- +h[b+88>>3];return}function cf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+216>>3]=+h[(c[a+416>>2]|0)+96>>3]- +h[b+64>>3];return}function df(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+144>>3];i=+h[f+208>>3]- +h[f+216>>3]*+h[f+184>>3];if(g!=0.0){j=i/g;k=f;l=k+224|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+224|0;h[l>>3]=j;return}m=i/+Wo(c[b+536>>2]|0,g,494368,527568,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+224|0;h[l>>3]=j;return}function ef(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+56>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+216>>3];if(d!=0.0){j=i/d;k=g;l=k+232|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+232|0;h[l>>3]=j;return}m=i/+Wo(c[b+536>>2]|0,d,493536,527560,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+232|0;h[l>>3]=j;return}function ff(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+204>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+24>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+24|0;h[c[f+208>>2]>>3]=+h[g>>3];i=+ts(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+24>>3]);d=c[e>>2]|0;h[c[d+212>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+204>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+16>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+16|0;h[(c[d+208>>2]|0)+8>>3]=+h[f>>3];i=+ts(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+16>>3]);h[(c[(c[e>>2]|0)+212>>2]|0)+8>>3]=i;rs(a,2)|0;a=c[(c[e>>2]|0)+204>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+24>>3]=+h[a>>3];h[e+16>>3]=+h[a+8>>3];return}function gf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+104>>3]=+h[b+8>>3]*1.0e-5;return}function hf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+8>>3]*1.0e-5;return}function jf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((Wr(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0.0)|0)<<24>>24==0)){i=b;return}e=tp(tp(tp(tp(492912,rp(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0,1,6)|0)|0,492128)|0,491288)|0,490440)|0;f=tp(tp(e,rp(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+192>>3],0,1,6)|0)|0,489024)|0;ne[c[2162]&63](c[a+536>>2]|0,527536,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function kf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a+4|0;if(!((Wr(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0.0)|0)<<24>>24==0)){i=b;return}e=tp(tp(tp(tp(492912,rp(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+8>>3],0,1,6)|0)|0,492128)|0,491288)|0,490440)|0;f=tp(tp(e,rp(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+128>>3],0,1,6)|0)|0,489024)|0;ne[c[2162]&63](c[a+536>>2]|0,527536,f,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=b;return}function lf(a){a=a|0;var b=0,d=0,e=0;b=i;d=a+416|0;if(!((Wr(+h[(c[d>>2]|0)+120>>3],0.0)|0)<<24>>24==0)){i=b;return}e=tp(tp(tp(tp(492912,rp(+h[(c[d>>2]|0)+120>>3],0,1,6)|0)|0,492128)|0,491288)|0,490440)|0;d=tp(tp(e,rp(+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+256>>3],0,1,6)|0)|0,489024)|0;ne[c[2162]&63](c[a+536>>2]|0,527536,d,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return}function mf(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Ke(b);Le(b);Me(b);Ne(b);Oe(b);Pe(b);Qe(b);Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);return 0}function nf(b){b=b|0;a[b+314|0]=0;of(b);return 0}function of(a){a=a|0;Ke(a);Se(a);Te(a);Ue(a);Ve(a);Ze(a);_e(a);af(a);bf(a);cf(a);df(a);ef(a);ff(a);return}function pf(a,b){a=a|0;b=+b;return 0}function qf(a){a=a|0;var b=0,d=0;b=i;To(c[a+536>>2]|0,(a|0)!=0|0,487664,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=528976;c[a+84>>2]=486920;c[a+88>>2]=486920;c[a+92>>2]=485384;c[a+96>>2]=484312;c[a+100>>2]=406400;c[a+60>>2]=46280;c[a+112>>2]=2;c[a+116>>2]=42;c[a+120>>2]=0;c[a+124>>2]=3;c[a+128>>2]=0;c[a+132>>2]=0;c[a+136>>2]=21;c[a+140>>2]=0;c[a+144>>2]=11;c[a+148>>2]=0;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=36;c[a+220>>2]=3;c[a+224>>2]=0;c[a+228>>2]=0;c[a+160>>2]=2;c[a+104>>2]=0;c[a+164>>2]=5;c[a+168>>2]=0;c[a+176>>2]=2;c[a+180>>2]=0;c[a+184>>2]=2;c[a+188>>2]=0;c[a+56>>2]=45376;c[a+64>>2]=74;c[a+72>>2]=0;c[a+68>>2]=167;c[a+192>>2]=1;c[a+196>>2]=0;c[a+200>>2]=3;c[a+204>>2]=0;c[a+208>>2]=0;c[a+212>>2]=0;c[a+172>>2]=0;i=b;return}function rf(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2170]=c[2164];c[2171]=c[2165];c[2172]=c[2166];c[2173]=c[2167];c[2174]=c[2168];c[2175]=c[2169];Ia(c[2170]|0);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;HT(m|0,0,88)|0;n=sa(198,c[134932]|0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(68,c[134932]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=IT(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=IT(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(246,h|0);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(74,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(68,c[134932]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(160,k|0);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(20,44592,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Da(68,c[134932]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=JT(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function sf(){Ta(0)|0;Ya(43960,18,1,c[u>>2]|0)|0;Ta(0)|0;return}function tf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0;b=i;d=c;c=i;i=i+88|0;GT(c,d,88)|0;e=+h[c+32>>3];f=+h[c+16>>3];g=+h[c>>3];j=+h[c+8>>3];k=+h[c+24>>3];l=+h[c+48>>3];m=k*l;n=f*j*(m+e*+h[c+64>>3]);o=f*j*k*(l*2.0+k*+h[c+56>>3]);p=f*g*k*(l-e*+h[c+80>>3]);l=p/g;k=e*e*+h[c+72>>3]*(-0.0-f)+l;h[a>>3]=g*f*j*m;h[a+8>>3]=n;h[a+16>>3]=o;h[a+24>>3]=p;h[a+32>>3]=(o-j*l)/g;h[a+40>>3]=k;i=b;return}function uf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;b=i;d=c;c=i;i=i+88|0;GT(c,d,88)|0;e=+h[c+16>>3];f=+h[c>>3];g=+h[c+8>>3];j=+h[c+24>>3];k=+h[c+48>>3];l=j*k;m=+h[c+32>>3];n=m*+h[c+64>>3];o=e*(n- +h[c+40>>3]);p=j*(k-m*+h[c+80>>3]);q=+h[c+72>>3]*(-0.0-m*m);m=+h[c+56>>3];h[a>>3]=f;h[a+8>>3]=e*g*(l+n);h[a+16>>3]=e*g*n;h[a+24>>3]=o;h[a+32>>3]=e*(q+p*p/(l*2.0+j*j*m));h[a+40>>3]=e*q;h[a+48>>3]=e*f*p;h[a+56>>3]=e*g*j*(k*2.0+j*m);i=b;return}function vf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0,g=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0;b=i;d=c;c=i;i=i+88|0;GT(c,d,88)|0;e=+h[c>>3];f=+h[c+48>>3];g=+h[c+24>>3];j=f*g;k=+h[c+8>>3];l=+h[c+16>>3];m=+h[c+32>>3];n=m*+h[c+64>>3];o=l*(n- +h[c+40>>3]);p=-0.0-l;q=m*m;r=+h[c+72>>3];s=f-m*+h[c+80>>3];m=+h[c+56>>3];+eq(e,-2);h[a>>3]=e/(j*k*l);h[a+8>>3]=l*k*n;h[a+16>>3]=k*l*(n-j);h[a+24>>3]=o;h[a+32>>3]=q*r*p;h[a+40>>3]=l*(r*(-0.0-q)+s*s/m);h[a+48>>3]=s/(m*g*k)*(-0.0-e);h[a+56>>3]=k*(f*f/m)*p;i=b;return}function wf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;var j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;b=i;j=c;c=i;i=i+64|0;GT(c,j,64)|0;j=d;d=i;i=i+64|0;GT(d,j,64)|0;k=+h[c>>3];l=+h[d>>3];if(k!=l){m=k*(l/(k-l))}else{m=0.0}n=m*(+h[d+24>>3]- +h[c+24>>3]);o=+h[c+48>>3];p=(o-n)/(k*k*+h[c+56>>3]);k=+h[d+48>>3];q=(k-n)/(l*l*+h[d+56>>3]);l=(o*f-g)*p+ +h[c+40>>3];h[a>>3]=l+(((k*f-g)*q+ +h[d+40>>3]-l)*e+(p+(q-p)*e)*(-0.0-m)*(+h[d+16>>3]- +h[c+16>>3]));i=b;return}function xf(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0;d=+$(c/22064.0e3);h[a>>3]=(d*(d*(d*(d*(d*(d*(d*(d*-.0001152032945617821+-.717981855497894)+3.558919744656498)+ -6.75820241066552)+6.679385472887931)+ -3.889388153209752)+1.346800016564904)+-.4945586958175176)+1.0)*2087546.84511715;return}function yf(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0;e=i;i=i+16|0;f=e|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0);i=g;if(!(d>611.657)){j=tp(tp(526904,rp(d,0,1,6)|0)|0,526896)|0;k=tp(tp(j,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,9016,k,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=+rc(+d,+22064.0e3)*1.0e-6;d=+X(+l,+.25);k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[k>>3]*-3232555.0322333;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[k>>3]=d;d=+W(l);k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;d=+h[k>>3]*-724213.16703206;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;l=d+ +h[k>>3]+405113.40542057;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;l=+h[k>>3]*-17.073846940092;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;l=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=l+ +h[k>>3]+14.91510861353;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;l=d*+h[k>>3]*-4.0;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;l=+h[k>>3]*12020.82470247;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;l=+h[k>>3]*1167.0521452767;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;l=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;d=l+ +h[k>>3]+ -4823.2657361591;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[k>>3]=d*d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;l=d+ +h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;l=+W(+h[k>>3]);k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;l=-0.0- +h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;l=+h[k>>3]*-12020.82470247;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;l=+h[k>>3]*-1167.0521452767;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;h[k>>3]=l;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;l=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;m=l+(d+ +h[k>>3])+4823.2657361591;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;h[k>>3]=m;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;m=1.0/+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;h[k>>3]=m;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;m=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=m*+h[k>>3]*2.0;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;d=+h[k>>3]+650.17534844798;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;m=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;l=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[a>>3]=(m- +W(d*d+(l*+h[k>>3]*1300.35069689596+-.23855557567849)*-4.0)+650.17534844798)*.5;i=e;return}function zf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;f=i;i=i+16|0;g=f|0;Gp(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0);i=j;if(!(d>611.657)){k=tp(tp(526800,rp(d,0,1,6)|0)|0,526896)|0;l=tp(tp(k,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,9328,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(d>1.0e8){l=tp(tp(526752,rp(d,0,1,6)|0)|0,526720)|0;ne[c[2162]&63](b,9304,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e<273.15){l=tp(tp(526672,rp(e,0,1,6)|0)|0,526640)|0;ne[c[2162]&63](b,9280,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}m=d/1653.0e4;n=1386.0/e;o=7.1-m;p=n+ -1.222;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[l>>3]=p*p;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[l>>3]=q*q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[l>>3]=q*q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;r=q*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[l>>3]=r;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[l>>3]=r;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;r=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[l>>3]=r;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=r*q*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=s*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[l>>3]=o*o;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=o*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;h[l>>3]=q*q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;h[l>>3]=q*q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;s=q*o*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;q=s*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;h[l>>3]=q*q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;h[l>>3]=q*q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=q*p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=s*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;r=q*s*p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;h[l>>3]=r;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;r=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;h[l>>3]=r;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;q=r*s*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;t=q*s*r*p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;h[l>>3]=t;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;t=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;h[l>>3]=t;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=t*r*p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;r=s*p*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;h[l>>3]=r;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;r=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;h[l>>3]=r;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=r*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;s=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;h[l>>3]=s;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;t=s*r*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;h[l>>3]=t;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;t=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;h[l>>3]=t;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;t=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;h[l>>3]=t;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=t*r*s*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;q=1.0/+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;r=q*(s*(+h[l>>3]*-8.5205128120103e-10+-28270797985312.0e-19)+-31679644845054.0e-18);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;q=+h[l>>3]*-1.4341729937924e-13+-6.5171222895601e-7;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;t=s*(q*+h[l>>3]+-22425281908.0e-16);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;q=+h[l>>3]*-4.0516996860117e-7;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;u=+h[l>>3]*-1.7424871230634e-10+-1.2734301741641e-9;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;v=u*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;u=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;w=+h[l>>3]*-6.8762131295531e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;x=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;y=+h[l>>3]*1.4478307828521e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;z=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;A=+h[l>>3]*2.6335781662795e-23;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;B=+h[l>>3]*-1.1947622640071e-23;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;C=+h[l>>3]*1.8228094581404e-24;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;D=o*(r+o*(t+o*(q+s*(v+u*(w+x*(y+z*(A+o*(B+o*(C+o*+h[l>>3]*-9.3537087292458e-26)))))))));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;C=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;B=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;z=o*(C*(B*(p*(A*(+h[l>>3]*-7.2694996297594e-16+-44141845330846.0e-19)+47661393906987.0e-18)+-.00030001780793026)+-.00047184321073267)+D);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;D=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;B=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=o*(z+D*(A*(B*(p*(p*(+h[l>>3]*-5283835796993.0e-17+-.021841717175414)+-.032529748770505)+-.018990068218419)+-.00060706301565874)+.00028319080123804));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;B=(p*(p*(p*(p*(p*(p*(p*.00081214629983568+-.016616417199501)+.15772038513228)+-.95791963387872)+3.3855169168385)+ -3.756360367204)+-.84548187169114)+.14632971213167)/+h[l>>3]+C;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;C=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;D=C*(A*(+h[l>>3]*2.55615384360309e-9+84812393955936.0e-19)+95038934535162.0e-18);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;C=+h[l>>3]*5.7366919751696e-13+260684891582404.0e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;z=A*(C*+h[l>>3]+89701127632.0e-16);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;C=+h[l>>3]*202584984300585.0e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;y=+h[l>>3]*1.39398969845072e-9+1.01874413933128e-8;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;x=y*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;y=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;w=+h[l>>3]*1.44400475720615e-17;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;u=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;v=+h[l>>3]*-3.3300108005598e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;q=+h[l>>3]*-7.6373766822106e-22;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;t=+h[l>>3]*3.5842867920213e-22;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;r=+h[l>>3]*-5.6507093202352e-23;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;E=o*(D+o*(z+o*(C+A*(x+y*(w+u*(v+s*(q+o*(t+o*(r+o*+h[l>>3]*2.99318679335866e-24)))))))));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;t=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;s=o*(r*(t*(p*(q*(+h[l>>3]*1.45389992595188e-15+88283690661692.0e-19)+-95322787813974.0e-18)+.00060003561586052)+.00094368642146534)+E);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;E=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;t=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=s+E*(q*(t*(p*(p*(+h[l>>3]*5283835796993.0e-17+.021841717175414)+.032529748770505)+.018990068218419)+.00060706301565874)+-.00028319080123804);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;t=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;E=t*(q*(+h[l>>3]*-5.1123076872062e-9+-169624787911872.0e-19)+-.000190077869070324);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;t=+h[l>>3]*-1.72100759255088e-12+-78205467474721.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;s=q*(t*+h[l>>3]+-269103382896.0e-16);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;t=+h[l>>3]*-81033993720234.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;v=+h[l>>3]*-9.757927889155e-9+-7.131208975319e-8;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;u=v*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;v=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;w=+h[l>>3]*-2.8880095144123e-16;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;y=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;x=+h[l>>3]*7.3260237612316e-18;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;C=+h[l>>3]*2.13846547101895e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;z=+h[l>>3]*-1.03944316968618e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;D=+h[l>>3]*1.69521279607057e-21;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;F=o*(E+o*(s+o*(t+q*(u+v*(w+y*(x+A*(C+o*(z+o*(D+o*+h[l>>3]*-9.2788790594118e-23)))))))));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;D=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;z=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;A=D*(z*(p*(C*(+h[l>>3]*-1.45389992595188e-15+-88283690661692.0e-19)+95322787813974.0e-18)+-.00060003561586052)+-.00094368642146534)+F;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;z=+h[l>>3]*-.00015851507390979+-.021841717175414;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;D=z*+h[l>>3]+.018990068218419;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;z=F*(C*(D*+h[l>>3]+.0042494411096112)+-.00254871721114236);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;D=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;C=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;x=D*(C*(F*(+h[l>>3]*-1.2358149370591e-14+-132425535992538.0e-19)+47661393906987.0e-18)+.00141552963219801);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;C=F*(+h[l>>3]*-5.1123076872062e-9+.000126718579380216);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;D=+h[l>>3]*-1.4341729937924e-12+130342445791202.0e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;y=F*(D*+h[l>>3]+11212640954.0e-15);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;D=+h[l>>3]*32413597488094.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;w=+h[l>>3]*1.04549227383804e-9+1.40077319158051e-8;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;v=w*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;w=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;u=+h[l>>3]*1.9941018075704e-17;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;t=+h[l>>3]*-4.4882754268415e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;E=+h[l>>3]*-1.00075970318621e-21;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;G=+h[l>>3]*4.6595728296277e-22;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;H=+h[l>>3]*-7.2912378325616e-23;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;I=o*(z+o*(x+o*(C+o*(y+o*(D+F*(v+w*(u+q*(t+s*(E+o*(G+o*(H+o*+h[l>>3]*3.8350205789908e-24)))))))))));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;G=H*(p*((p*(p*(p*(p*.0040607314991784+-.066465668798004)+.47316115539684)+ -1.91583926775744)+3.3855169168385)*+h[l>>3]+.84548187169114)+-.29265942426334)+I;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;I=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;E=+h[l>>3]*-.00031703014781958+-.037980136436838;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;s=I*(H*(E*+h[l>>3]+-.033995528876889)+.0254871721114236);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;E=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;I=E*(H*(+h[l>>3]*-1.97730389929456e-13+-264851071985076.0e-19)+-.005662118528792);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;H=+h[l>>3]*-2.55615384360309e-8+-.00063359289690108;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;E=H*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;H=+h[l>>3]*-291722377392842.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;t=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;u=+h[l>>3]*-5.9823054227112e-16;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;w=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;v=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;F=+h[l>>3]*3.9029628424262e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;D=+h[l>>3]*-1.86382913185108e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;y=+h[l>>3]*2.98940751135026e-21;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;x=C*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;C=v*(F+o*(D+o*(y+o/(p*x*+h[l>>3])*-1.61070864317613e-22)));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;x=q*(u+w*(1.43624813658928e-17/(p*+h[l>>3])+C));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;C=+h[l>>3]*-7.3184459168663e-9+-1.68092782989661e-7;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;w=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;u=o*(H+t*(C/(p*w*+h[l>>3])+x));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;x=+h[l>>3]*-1.29075569441316e-11+-39102733737361.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;w=x*+h[l>>3]+-67275845724.0e-15;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;C=o*(s+o*(I+o*(E+o*(u+w/(p*x*+h[l>>3])))));l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;x=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;w=C+x*(p*((p*(p*(p*.0162429259967136+-.199397006394012)+.94632231079368)+ -1.91583926775744)*+h[l>>3]+ -1.69096374338228)+.87797827279002);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=+h[l>>3]*.00015851507390979+.021841717175414;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;u=C*+h[l>>3]+-.018990068218419;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;C=p*(x*(u*+h[l>>3]+-.0042494411096112)+.00254871721114236);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;u=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;E=u*(x*(p*(+h[l>>3]*2.4716298741182e-14+264851071985076.0e-19)+-95322787813974.0e-18)+-.00283105926439602);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;x=p*(+h[l>>3]*1.53369230616185e-8+-.00038015573814065);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;u=+h[l>>3]*5.7366919751696e-12+-52136978316481.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;I=p*(u*+h[l>>3]+-44850563816.0e-15);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;u=+h[l>>3]*-162067987440468.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;s=+h[l>>3]*-8.3639381907043e-9+-1.12061855326441e-7;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;t=s*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;s=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;H=+h[l>>3]*-4.1876137958978e-16;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;y=+h[l>>3]*1.03230334817355e-17;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;D=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;F=+h[l>>3]*2.90220313924001e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;v=+h[l>>3]*-1.39787184888831e-20;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;z=+h[l>>3]*2.2602837280941e-21;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;J=C+o*(E+o*(x+o*(I+o*(u+p*(t+s*(H+q*(y+D*(F+o*(v+o*(z+o*+h[l>>3]*-1.22720658527705e-22))))))))));h[a>>3]=d;h[a+8>>3]=e;h[a+16>>3]=461.526;h[a+24>>3]=m;h[a+32>>3]=n;h[a+40>>3]=B;h[a+48>>3]=r;h[a+56>>3]=A;h[a+64>>3]=G;h[a+72>>3]=w;h[a+80>>3]=J;i=f;return}function Af(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;e=i;i=i+16|0;f=e|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0);i=g;j=+rc(+d,647.096);k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[k>>3]=j+ -650.17534844798;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=1.0/+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[k>>3]*-.23855557567849;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;d=j+ +h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[k>>3]*-4823.2657361591;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[k>>3]=d*d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=+h[k>>3]*14.91510861353;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;j=d+ +h[k>>3]+405113.40542057;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;j=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[k>>3]=j*j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;j=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[k>>3]=j*j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[k>>3]=j*j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;j=1.0/+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;j=+h[k>>3]*.23855557567849;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;j=+h[k>>3]+1.0;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=+h[k>>3]*12020.82470247;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=+h[k>>3]*-17.073846940092;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;j=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;d=j+ +h[k>>3]+ -3232555.0322333;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;d=+h[k>>3]*-4823.2657361591;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=d*+h[k>>3]*29.83021722706;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;j=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=19,g)|0)|0;i=g;d=j+ +h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[k>>3]*1167.0521452767;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=21,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=21,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=d+ +h[k>>3]+ -724213.16703206;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=22,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;j=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=23,g)|0)|0;i=g;h[k>>3]=j*j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=22,g)|0)|0;i=g;j=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;d=j*+h[k>>3]*-4.0;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=24,g)|0)|0;i=g;h[k>>3]=d;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=23,g)|0)|0;i=g;d=+h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=24,g)|0)|0;i=g;j=d+ +h[k>>3];k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=25,g)|0)|0;i=g;h[k>>3]=j;k=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=25,g)|0)|0;i=g;j=+h[k>>3];if(j<0.0){ne[c[2162]&63](b,9160,40848,(g=i,i=i+8|0,h[g>>3]=j,g)|0);i=g}d=+W(j);b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=26,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[b>>3]*-12020.82470247;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=27,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=+h[b>>3]*17.073846940092;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=28,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=26,g)|0)|0;i=g;d=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=27,g)|0)|0;i=g;j=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=28,g)|0)|0;i=g;l=d+(j+ +h[b>>3])+3232555.0322333;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=29,g)|0)|0;i=g;h[b>>3]=l;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=29,g)|0)|0;i=g;l=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=30,g)|0)|0;i=g;h[b>>3]=l*l;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=30,g)|0)|0;i=g;l=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0)|0;i=g;h[b>>3]=l*l;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;l=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;j=+h[b>>3]*-12020.82470247;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;d=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=d*+h[b>>3]*34.147693880184;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;d=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=22,g)|0)|0;i=g;n=d*+h[b>>3]*-4.0;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;d=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;o=+h[b>>3]*12020.82470247;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;p=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;q=d*(o+p*+h[b>>3]*-34.147693880184)*2.0;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;p=+h[b>>3]*1167.0521452767;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;o=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=p+o*+h[b>>3]*2.0;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;o=n+(q+ +h[b>>3]*d*-4.0);b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=26,g)|0)|0;i=g;d=j+(m+o/+h[b>>3]*.5);b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0)|0;i=g;o=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=29,g)|0)|0;i=g;m=l*(d/(o*+h[b>>3]))*-64.0;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=20,g)|0)|0;i=g;o=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;d=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;l=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=31,g)|0)|0;i=g;h[a>>3]=(m+o*d*(l/+h[b>>3])*64.0)*1.0e6;i=e;return}function Bf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Gp(f,1,(k=i,i=i+8|0,c[k>>2]=31,k)|0);i=k;l=f;c[l>>2]=c[131656];c[l+4>>2]=c[131657];c[l+8>>2]=c[131658];Gp(g,1,(k=i,i=i+8|0,c[k>>2]=31,k)|0);i=k;l=g;c[l>>2]=c[131588];c[l+4>>2]=c[131589];c[l+8>>2]=c[131590];Gp(j,1,(k=i,i=i+8|0,c[k>>2]=31,k)|0);i=k;k=j;c[k>>2]=c[131520];c[k+4>>2]=c[131521];c[k+8>>2]=c[131522];m=e/23.0e5+-.615;e=m*m;n=d/1.0e8+.24;d=n*n;o=-1.33645667811215e-7/+eq(n,12);p=m*+eq(n,-12)*455912656802978.0e-20;q=e*+eq(n,-12)*-146294640700979.0e-19;r=+eq(n,-12);s=r*+eq(m,6)*.0063934131297008;r=+eq(n,-12);t=r*+eq(m,14)*372.783927268847;r=+eq(n,-12);u=r*+eq(m,16)*-7186.54377460447;r=+eq(n,-12);v=r*+eq(m,20)*573494.7521034;r=+eq(n,-12);w=r*+eq(m,22)*-2675693.29111439;r=m*+eq(n,-10)*-334066283302614.0e-19;x=+eq(n,-10);y=x*+eq(m,5)*-.0245479214069597;x=+eq(n,-10);z=x*+eq(m,12)*47.8087847764996;x=764664131818904.0e-20/+eq(n,8);A=e*+eq(n,-8)*.00128350627676972;B=e*e;C=B*+eq(n,-8)*.0171219081377331;D=+eq(n,-8);E=D*+eq(m,10)*-8.51007304583213;D=e*+eq(n,-5)*-.0136513461629781;F=n*d;G=m*+eq(n,-2)*.00337423807911655;H=m*e;I=H*+eq(n,-2)*-.551624873066791;J=B*+eq(n,-2)*.72920227710747;K=d*d;d=B*+eq(n,10)*.0136176427574291;B=+eq(n,12);h[a>>3]=(o+(p+(q+(s+(t+(u+(v+(w+(r+(y+(z+(x+(A+(C+(E+(D+(-384460997596657.0e-20/F+(G+(I+(J+(-.00992522757376041/n+(e/n*-.119308831407288+(m*.454270731799386+(n*m*.20999859125991+(F*-.00642109823904738+(m*F*-.023515586860454+(K*.00252233108341612+(K*H*-.00764885133368119+(d+B*+eq(m,5)*-.0133027883575669))))))))))))))))))))))))))))+.793929190615421)*760.0;i=b;return}function Cf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Gp(f,1,(k=i,i=i+8|0,c[k>>2]=33,k)|0);i=k;l=f;c[l>>2]=c[131452];c[l+4>>2]=c[131453];c[l+8>>2]=c[131454];Gp(g,1,(k=i,i=i+8|0,c[k>>2]=33,k)|0);i=k;l=g;c[l>>2]=c[131380];c[l+4>>2]=c[131381];c[l+8>>2]=c[131382];Gp(j,1,(k=i,i=i+8|0,c[k>>2]=33,k)|0);i=k;k=j;c[k>>2]=c[131308];c[k+4>>2]=c[131309];c[k+8>>2]=c[131310];m=e/28.0e5+-.72;e=m*m;n=d/1.0e8+.298;d=n*n;o=32325457364492.0e-18/+eq(n,12);p=m*+eq(n,-12)*-.000127575556587181;q=-.000475851877356068/+eq(n,10);r=m*+eq(n,-10)*.00156183014181602;s=+eq(n,-10);t=s*+eq(m,5)*.105724860113781;s=+eq(n,-10);u=s*+eq(m,10)*-85.8514221132534;s=+eq(n,-10);v=s*+eq(m,12)*724.140095480911;s=.00296475810273257/+eq(n,8);w=m*+eq(n,-8)*-.00592721983365988;x=e*+eq(n,-8)*-.0126305422818666;y=e*e;z=y*+eq(n,-8)*-.115716196364853;A=+eq(n,-8);B=A*+eq(m,10)*84.9000969739595;A=-.0108602260086615/+eq(n,6);C=m*+eq(n,-6)*.0154304475328851;D=e*+eq(n,-6)*.0750455441524466;E=m*+eq(n,-4)*-.0602507901232996;F=+eq(n,-3);G=F*+eq(m,5)*-3.07622221350501;F=y*+eq(n,-2)*5.03471360939849;H=+eq(m,6)/n*-77.314600713019;I=+eq(m,10)/n*9493.08762098587;J=+eq(m,14)/n*-1410437.19679409;K=+eq(m,16)/n*8491662.30819026;L=m*+eq(n,5)*.286596714529479;M=m*+eq(n,6)*-.131778331276228;h[a>>3]=(o+(p+(q+(r+(t+(u+(v+(s+(w+(x+(z+(B+(A+(C+(D+(.0252520973612982/(d*d)+(E+(G+(-.0574011959864879/d+(F+(e/n*-.925081888584834+(y/n*3.91733882917546+(H+(I+(J+(K+(e*.32334644281172+(n*m*.873281936020439+(m*n*d*-.436653048526683+(L+(M+m*+eq(n,8)*.00676682064330275))))))))))))))))))))))))))))))+.861095729446704)*860.0;i=b;return}function Df(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;f=i;i=i+16|0;g=f|0;Gp(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0);i=j;k=647.096/e;if(d==322.0&e==647.096){l=.999999999999999}else{l=+V(+(d/322.0))}m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[m>>3]=k*k;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[m>>3]=n*n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[m>>3]=n*n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=n*k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3]*-.64207765181607;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;o=+h[m>>3]+.88521043984318;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;n=o*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[m>>3]+ -1.1524407806681;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;o=n*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[m>>3]+ -1.2654315477714;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;n=o*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;o=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=n*o*k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=p*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=o*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;h[m>>3]=p*p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;o=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=p*o*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;o=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=n*o*k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=p*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;h[m>>3]=o;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;n=o*p*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[m>>3]*.25116816848616;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;n=+h[m>>3]+.078841073758308;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;p=n*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;p=+h[m>>3]+ -6.100523451393;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;p=k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;p=+h[m>>3]+9.7944563083754;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;n=p*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;n=+h[m>>3]+ -1.70429417648412;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;p=n*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;h[m>>3]=l*l;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[m>>3]*-10.9153200808732;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;p=+h[m>>3]+13.2781565976477;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;n=p*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;n=+h[m>>3]+ -6.9146446840086;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;h[m>>3]=n;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;p=n*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;p=+h[m>>3]+ -2.5308630955428;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;p=k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;h[m>>3]=p;m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;p=+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;n=p*k*+h[m>>3];m=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;h[m>>3]=n;if(!(l>0.0)){ne[c[2162]&63](b,9160,36064,(j=i,i=i+8|0,h[j>>3]=l,j)|0);i=j}b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;q=k*(k*(n*(p*(o*(+h[b>>3]*-.0084566812812502+1.2053369696517)+ -2.808078114862)+2.6185947787954)+ -7.6867707878716)+20.944396974307);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;o=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;r=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;s=p*(n*(k*(r*(+h[b>>3]*.12558408424308+.039420536879154)+ -3.0502617256965)+4.8972281541877)+-.85214708824206);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;t=r*(n*(p*(+h[b>>3]*-.47596035734923+-.0082147637173963)+ -2.018991502357)+1.389979956946);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;r=p*(n*(+h[b>>3]*.70522450087967+.90572070719733)+-.44476435428739);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;p=n*(+h[b>>3]*.16436278447961+.094260751665092);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3]*-.013503372241348;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;u=+h[b>>3]*-.014834345352472;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;v=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=v*(+h[b>>3]*.0032308904703711+.00057922953628084);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;v=l*(p+l*(n+l*(u+l*(w+l*(k*-.00016557679795037+l*+h[b>>3]*-44923899061815.0e-18+80964802996215.0e-18))))+-.022175400873096);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;u=q+(+ea(l)*1.0658070028513+l*(o+l*(s+l*(t+l*(r+l*(k*(w*(+h[b>>3]*-.50871062041158+-.32913623258954)+.10770512626332)+v)+.0439840744735)+-.2799932969871)+.38493460186671)))+ -15.732845290239;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;v=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;s=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;o=r*(t*(s*(+h[b>>3]*-1.42788107204769+-.0246442911521889)+ -6.056974507071)+4.169939870838);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;r=s*(t*(+h[b>>3]*2.82089800351868+3.6228828287893)+ -1.77905741714956);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;s=t*(+h[b>>3]*.98617670687766+.56556450999055);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3]*-.094523605689436;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;q=+h[b>>3]*-.118674762819776;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;p=n*(+h[b>>3]*.0290780142333399+.0052130658265276);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;n=l*(s+l*(t+l*(q+l*(p+l*(k*-.0016557679795037+l*+h[b>>3]*-.00049416288967996+.00080964802996215))))+-.133052405238576);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;q=(l*(v+l*(w+l*(o+l*(r+l*(k*(p*(+h[b>>3]*-2.5435531020579+ -1.6456811629477)+.5385256313166)+n)+.175936297894)+-.8399798909613)+.76986920373342))+1.0658070028513)/l;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;v=r*(o*(w*(+h[b>>3]*-2.85576214409538+-.049288582304378)+ -12.113949014142)+8.339879741676);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;r=w*(o*(+h[b>>3]*8.462694010556+10.868648486368)+ -5.3371722514487);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=o*(+h[b>>3]*4.9308835343883+2.82782254995276);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[b>>3]*-.56714163413662;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;t=+h[b>>3]*-.83072333973843;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;x=s*(+h[b>>3]*.232624113866719+.04170452661222);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;s=l*(w+l*(o+l*(t+l*(x+l*(k*-.0149019118155333+l*+h[b>>3]*-.0049416288967996+.0072868322696594))))+-.66526202619288);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;t=n*(p+l*(v+l*(r+l*(k*(x*(+h[b>>3]*-10.1742124082316+ -6.5827246517908)+2.1541025252664)+s)+.527808893682)+ -1.6799597819226)+.76986920373342)+ -1.0658070028513;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;s=t/+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;t=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;v=k*(t*(x*(r*(+h[b>>3]*-.194503669468755+14.4640436358204)+ -28.08078114862)+18.3301634515678)+ -15.3735415757432);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;r=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;t=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=k*(x*(k*(t*(+h[b>>3]*3.2651861903201+.86725181134139)+ -21.3518320798755)+29.3833689251262)+ -1.70429417648412);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;t=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;n=k*(t*(x*(+h[b>>3]*-12.37496929108+-.131436219478341)+ -8.075966009428)+2.779959913892);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;t=k*(x*(+h[b>>3]*18.3358370228714+3.6228828287893)+-.88952870857478);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;o=x*(+h[b>>3]*-13.2264761307011+-.98740869776862);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;x=k*(+h[b>>3]*4.2734323964699+.188521503330184);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;w=+h[b>>3]*-.38569297916427;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;y=l*(l*+h[b>>3]*-.00116802137560719+-.00016557679795037);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;z=v+l*(r+l*(p+l*(n+l*(t+l*(o+l*(x+l*(k*-.027006744482696+l*(w+l*(y+k*(+h[b>>3]*.084003152229649+.00115845907256168)))))+.10770512626332)))))+20.944396974307;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;y=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=y*(w*(x*(+h[b>>3]*-4.2790807283126+159.104479994024)+ -252.72703033758)+109.980980709407);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3]*-174.645121293971+185.894192367068;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;y=x*(w*+h[b>>3]+ -34.573223420043);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=w*(k*(x*(+h[b>>3]*81.629654758002+18.2122880381691)+ -128.110992479253)+146.916844625631);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;n=x*(w*(+h[b>>3]*-309.374232277+ -1.97154329217511)+ -24.227898028284);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;w=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;x=w*(+h[b>>3]*458.39592557179+10.868648486368);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=+h[b>>3]*106.835809911747;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;p=+h[b>>3]*-9.6423244791068;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;r=+h[b>>3]*2.10007880574121;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;v=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;A=l*(w+l*(l*(p+l*(r+v*+h[b>>3]*-.0292005343901797+.00115845907256168))+-.027006744482696)+.188521503330184);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;v=o+l*(y+l*(t+l*(n+l*(x+l*(k*(+h[b>>3]*-330.66190326753+ -1.97481739553724)+A)+-.88952870857478)+2.779959913892)+ -1.70429417648412)+ -2.5308630955428)+ -15.3735415757432;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;A=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=k*(x*(k*(n*(+h[b>>3]*6.5303723806402+1.73450362268278)+ -42.703664159751)+58.766737850252)+ -3.4085883529682);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;y=k*(n*(x*(+h[b>>3]*-37.12490787324+-.39430865843502)+ -24.227898028284)+8.339879741676);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;n=k*(x*(+h[b>>3]*73.343348091486+14.4915313151573)+ -3.5581148342991);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;o=x*(+h[b>>3]*-66.132380653505+ -4.9370434888431);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;x=k*(+h[b>>3]*25.6405943788192+1.1311290199811);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;r=+h[b>>3]*-3.08554383331418;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;p=l*(l*+h[b>>3]*-.0128482351316791+-.0016557679795037);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;w=A+l*(t+l*(y+l*(n+l*(o+l*(x+l*(k*-.189047211378872+l*(r+l*(p+k*(+h[b>>3]*.75602837006684+.0104261316530551)))))+.5385256313166))));h[a>>3]=d;h[a+8>>3]=e;h[a+16>>3]=461.526;h[a+24>>3]=l;h[a+32>>3]=k;h[a+40>>3]=u;h[a+48>>3]=q;h[a+56>>3]=s;h[a+64>>3]=z;h[a+72>>3]=v;h[a+80>>3]=w;i=f;return}function Ef(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0;e=i;i=i+16|0;f=e|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0);i=g;j=+rc(+d,647.096);if(d<273.16){ne[c[2162]&63](b,9064,524848,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[b>>3]=j+ -650.17534844798;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=1.0/+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[b>>3]*-.23855557567849;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;d=j+ +h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[b>>3]*-4823.2657361591;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;d=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[b>>3]=d*d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=+h[b>>3]*14.91510861353;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[b>>3]=d;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;d=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;j=d+ +h[b>>3]+405113.40542057;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[b>>3]=j;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=+h[b>>3]*12020.82470247;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;d=j+ +h[b>>3]*-17.073846940092+ -3232555.0322333;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;j=+h[b>>3];b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;k=+h[b>>3]*-12020.82470247;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;l=+h[b>>3]*17.073846940092;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=+h[b>>3]*1167.0521452767;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=m+ +h[b>>3]+ -724213.16703206;b=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;m=j/(k+(l+ +W(d*d+n*+h[b>>3]*-4.0))+3232555.0322333);n=m*m;h[a>>3]=n*n*16.0e6;i=e;return}function Ff(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0;f=i;i=i+16|0;g=f|0;Gp(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0);i=j;if(!(d>0.0)){k=tp(tp(524784,rp(d,0,1,6)|0)|0,524768)|0;ne[c[2162]&63](b,9136,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(d>1.0e7){k=tp(tp(524720,rp(d,0,1,6)|0)|0,524680)|0;ne[c[2162]&63](b,9112,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e>2273.15){k=tp(tp(524632,rp(e,0,1,6)|0)|0,524576)|0;ne[c[2162]&63](b,9088,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}l=d/1.0e6;m=1.0e3/e;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[k>>3]=m*m;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3]*-.004594282089991;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[k>>3]=n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[k>>3]+.0021774678714571;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[k>>3]=n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;n=m*+h[k>>3];k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[k>>3]=n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=m*+h[k>>3];k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[k>>3]=n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3];k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[k>>3]=n*n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;n=+h[k>>3];k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[k>>3]=n*n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;n=m*+h[k>>3];k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[k>>3]=n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;n=+h[k>>3]*-79449656719138.0e-19;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[k>>3]=n;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[k>>3]=l*l;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3]*-.013782846269973;k=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[k>>3]=n;if(!(l>0.0)){ne[c[2162]&63](b,9160,23312,(j=i,i=i+8|0,h[j>>3]=l,j)|0);i=j}b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;n=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;o=+h[b>>3]*-39724828359569.0e-19;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=l*(n+l*(o+l*+h[b>>3]*1.2919228289784e-7)+-.00012563183589592);o=m*(m*(m*(m*(m*-.32961626538917+6.8540841634434)+ +ea(l)+ -13.179983674201)+ -3.1161318213925)+.36901534980333)+-.024805148933466;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;n=o/+h[b>>3]+p;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;o=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;q=(l*(p+l*(o+l*+h[b>>3]*3.8757684869352e-7)+-.00012563183589592)+1.0)/l;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;r=o*(p+l*+h[b>>3]*7.7515369738704e-7)+-1.0;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;p=r/+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;r=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[b>>3]*-35752345523612.0e-18;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=l*(r+l*(o+l*+h[b>>3]*3.8757684869352e-7)+.0021774678714571);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=m*(m*((m*-.65923253077834+6.8540841634434)*+h[b>>3]+3.1161318213925)+-.73803069960666)+.074415446800398;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;r=o/+h[b>>3]+s;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;s=m*(m*(+h[b>>3]*-.65923253077834+ -6.232263642785)+2.21409209881998)+-.297661787201592;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=s/(m*+h[b>>3]);b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;s=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;t=o+l*(m*-.027565692539946+l*(l*m*7.7515369738704e-7+s*m*+h[b>>3]*-.000286018764188897));b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;s=+h[b>>3];b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[b>>3]*-71504691047224.0e-18;b=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;u=s+l*(o+l*+h[b>>3]*116273054608056.0e-20)+.0021774678714571;h[a>>3]=d;h[a+8>>3]=e;h[a+16>>3]=461.526;h[a+24>>3]=l;h[a+32>>3]=m;h[a+40>>3]=n;h[a+48>>3]=q;h[a+56>>3]=p;h[a+64>>3]=r;h[a+72>>3]=t;h[a+80>>3]=u;i=f;return}function Gf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0;f=i;i=i+5472|0;Gp(f|0,1,(j=i,i=i+8|0,c[j>>2]=55,j)|0);i=j;if(!(d>0.0)){k=tp(tp(524512,rp(d,0,1,6)|0)|0,524768)|0;ne[c[2162]&63](b,9256,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(d>1.0e8){k=tp(tp(524464,rp(d,0,1,6)|0)|0,526720)|0;ne[c[2162]&63](b,9232,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e<273.15){k=tp(tp(524416,rp(e,0,1,6)|0)|0,526640)|0;ne[c[2162]&63](b,9208,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}if(e>1073.15){k=tp(tp(524360,rp(e,0,1,6)|0)|0,524312)|0;ne[c[2162]&63](b,9184,k,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}l=540.0/e+-.5;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[k>>3]=l*l;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[k>>3]*-.05032527872793;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;m=+h[k>>3]+-.057581259083432;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;m=+h[k>>3]+-.045996013696365;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;m=+h[k>>3]+-.017834862292358;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[k>>3]=m*m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[k>>3]=m*m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[k>>3]=m*m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=m*n*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=o*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;o=n*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;n=o*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;o=n*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=o*n*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=m*n*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=o*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;h[k>>3]=d/1.0e6*(d/1.0e6);k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;h[k>>3]=n*n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=22,j)|0)|0;i=j;o=n*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;n=o*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;h[k>>3]=n*n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;m=n*o*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=m*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=o*m*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;o=n*m*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;n=o*m*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=n*m*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;m=o*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;h[k>>3]=540.0/e*(540.0/e);k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=33,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;h[k>>3]=m*m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;m=+h[k>>3]*-53349095828174.0e-18;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=35,j)|0)|0;i=j;m=+h[k>>3]+-.087594591301146;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=36,j)|0)|0;i=j;o=m*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=37,j)|0)|0;i=j;o=+h[k>>3]+-.007878555448671;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=38,j)|0)|0;i=j;m=o*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=39,j)|0)|0;i=j;m=+h[k>>3]+-.0003789797503263;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=40,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=41,j)|0)|0;i=j;m=+h[k>>3]+-66065283340406.0e-18;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=42,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=44,j)|0)|0;i=j;h[k>>3]=l*57870447262208.0e-19;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[k>>3]*-.30195167236758;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=45,j)|0)|0;i=j;m=+h[k>>3]+-.172743777250296;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=46,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=46,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=47,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=47,j)|0)|0;i=j;m=+h[k>>3]+-.09199202739273;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=48,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=48,j)|0)|0;i=j;m=l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=49,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;o=m*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=50,j)|0)|0;i=j;h[k>>3]=o;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=o*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=51,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;n=m*o*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=52,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;m=n*o*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=53,j)|0)|0;i=j;h[k>>3]=m;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=25,j)|0)|0;i=j;n=m*o*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=54,j)|0)|0;i=j;h[k>>3]=n;k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;n=+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;o=n*l*+h[k>>3];k=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=55,j)|0)|0;i=j;h[k>>3]=o;if(!(d/1.0e6>0.0)){ne[c[2162]&63](b,9160,23312,(j=i,i=i+8|0,h[j>>3]=d/1.0e6,j)|0);i=j}b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;o=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;n=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;m=+h[b>>3]*-26674547914087.0e-18+-.043797295650573;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;p=l*(l*(n*(m*+h[b>>3]+-.0039392777243355)+-.00018948987516315)+-33032641670203.0e-18);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;m=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;n=+h[b>>3]*-.040668253562649+-.0015033924542148;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=l*(m*(n*+h[b>>3]+-3227767723857.0e-17)+4.3870667284435e-7);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;n=+h[b>>3]*22922076337661.0e-19;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;m=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;r=m*(+h[b>>3]*-23.895741934104+-.0021171472321355)+-1.6714766451061e-11;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;m=+h[b>>3]*r;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=17,j)|0)|0;i=j;r=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;s=r*(+h[b>>3]*-.038946842435739+-12621808899101.0e-19);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;r=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=19,j)|0)|0;i=j;t=r*(+h[b>>3]*-8.2311340897998+1.1256211360459e-11);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;r=+h[b>>3]*1.9809712802088e-8;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;u=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;v=+h[b>>3]*-1.0018179379511e-9+-1.0234747095929e-13;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=20,j)|0)|0;i=j;w=u*(v*+h[b>>3]+1.0406965210174e-19);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=23,j)|0)|0;i=j;v=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;u=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;x=u*(+h[b>>3]*.10693031879409+-8.0882908646985e-11);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;u=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=26,j)|0)|0;i=j;y=+h[b>>3]*-.33662250574171;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=21,j)|0)|0;i=j;z=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=27,j)|0)|0;i=j;A=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;C=+h[b>>3]*-42002467698208.0e-19+3.0629316876232e-13;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=28,j)|0)|0;i=j;D=A*(C*+h[b>>3]+8.9185845355421e-25);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=24,j)|0)|0;i=j;C=+h[b>>3]*-5.9056029685639e-26;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=29,j)|0)|0;i=j;A=+h[b>>3]*37826947613457.0e-19;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=30,j)|0)|0;i=j;E=+h[b>>3]*-1.2768608934681e-15;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=31,j)|0)|0;i=j;F=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=18,j)|0)|0;i=j;G=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=32,j)|0)|0;i=j;H=d/1.0e6*(o+d/1.0e6*(p+d/1.0e6*(q+d/1.0e6*(l*(l*(l*4.8225372718507e-7+1.2790717852285e-8)+-7.8847309559367e-10)+d/1.0e6*(n+d/1.0e6*(m+d/1.0e6*(s+d/1.0e6*(t+d/1.0e6*(r+d/1.0e6*(w+v*(x+u*(y+z*(D+d/1.0e6*(C+d/1.0e6*(A+d/1.0e6*(E+F*d/1.0e6*(G*(+h[b>>3]*-9.436970724121e-7+5.5414715350778e-17)+7.3087610595061e-29))))))))))+-5.905956432427e-18))))+2.0481737692309e-8))+-.0017731742473213);G=540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*.02126846353307+-.2840863260772)+10.08665568018)+ +ea(d/1.0e6)+ -9.692768600217)+ -4.38395111945)+1.424081971444)+-.4071049823928)+.07145273881455)+-.00560879118302;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=34,j)|0)|0;i=j;F=G/(540.0/e*+h[b>>3])+H;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;H=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=43,j)|0)|0;i=j;G=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;E=+h[b>>3];b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=+h[b>>3]*-.122004760687947+-.0045101773626444;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;C=l*(E*(A*+h[b>>3]+-9683303171571.0e-17)+131612001853305.0e-20);b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;A=+h[b>>3]*114610381688305.0e-19;b=Ip(f|0,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;E=+h[b>>3];c[f+24>>2]=a;g[f+40>>2]=d;g[f+48>>2]=e;g[f+88>>2]=l;g[f+2488>>2]=F;g[f+2504>>2]=H;g[f+2520>>2]=G;g[f+2568>>2]=C;g[f+2584>>2]=A;g[f+2600>>2]=E;c[f+5408>>2]=j;c[f+5424>>2]=0;c[f+5428>>2]=0;_omc_Modelica_Media_Water_IF97__Utilities_BaseIF97_Basic_g2$0(f);j=c[f+5408>>2]|0;I=c[f+5424>>2]|0;B=c[f+5428>>2]|0;J=+g[f+5428>>2];c[f+5424>>2]=0;c[f+5428>>2]=0;if((I|0)==5){return}}function Hf(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0.0;b=i;i=i+16|0;Gp(b|0,1,(e=i,i=i+8|0,c[e>>2]=4,e)|0);i=e;f=d/1.0e6;d=f*f;h[a>>3]=(f*3.74696550136983+(d*-.0219921901054187+f*d*87513168600995.0e-18)+2014.64004206875)*1.0e3;i=b;return}function If(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0;f=i;i=i+16|0;g=f|0;Gp(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0);i=j;if(!(d>611.657)){k=tp(tp(524248,rp(d,0,1,6)|0)|0,526896)|0;l=tp(tp(k,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,9040,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}m=d/1.0e6;d=e/25.0e5+1.0;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[l>>3]=d*d;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;e=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[l>>3]=e*e;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;e=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[l>>3]=e*e;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;e=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;n=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;o=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[a>>3]=m*-13.391744872602+d*(m*43.211039183559+d*(m*-54.010067170506+d*(m*30.535892203916+d*(m*-6.5964749423638+e*(n*(m*(m*(m*6.6456186191635e-8+-25858641282073.0e-18)+.0093965400878363)+o*p*(q*(m*(m*(m*(m*(m*(m*-1.5020185953503e-17+5.8265442020601e-15)+-9.3477771213947e-13)+8.0670734103027e-11)+-4.0644363084799e-9)+1.157364750534e-7)+-10866707695377.0e-19)*+h[l>>3]+-.0001528548241314))+ -5.8457616048039)))+113.49746881718)+404.21188637945)+ -238.72489924521;i=f;return}function Jf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0;b=i;i=i+16|0;f=b|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0);i=g;j=d*1.0e-6;d=e*5.0e-7;k=e*.001;if(j<4.0){e=d+ -2.1;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=e*e;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=m*m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=m*m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=j*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;p=+h[l>>3]*1.3865724283226;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;q=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;s=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;u=+h[l>>3]*-13551.334240775;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;v=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;x=w*j*+h[l>>3]*-62.459855192507;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;y=(j*7399.9835474766+235988.32556514)*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;z=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;A=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;B=A*+h[l>>3]*19127.72923966;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;A=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;C=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;D=C*(+h[l>>3]*-551966.9703006+128127984.04046);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;C=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;E=+h[l>>3]*-985549096.23276;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;F=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;G=+h[l>>3]*2822454697.3002;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;I=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;J=I*(+h[l>>3]*3715408.5996233+ -3594897141.0703);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;I=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;K=j*(j*-.0061707422868339+1.844574935579)+e*(j*-4.1792700549624+e*(j*(j*-.31078046629583+6.2478196935812)+e*(j*-17.344563108114+m*(j*(j*11.670873077107+ -200.58176862096)+n*(j*271.96065473796+o*(j*-455.11318285818+e*(p+q*r*(j*3091.9688604755+s*(t*(u+v*(x+w*(y+z*(B+A*(D+C*(E+F*(G+H*(J+I*j*(j*(j*(j*(+h[l>>3]*-415351.64835634+ -13105236.545054)+12848734.66465)+1722734991.3197)+252266.40357872)))))))))+11.765048724356)))))+ -7.4232016790248)+33.153654801263)+ -107.81748091826)+849.51654495535)+1089.8952318288;L=a|0;h[L>>3]=K;i=b;return}if(j<k*(k*.00012809002730136+-.67955786399241)+905.84278514723){k=d+ -2.6;I=j+-2.0;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=I*I;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;J=I*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=J;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=J*J;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=k*k;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=J*J;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=J*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=H;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=H*H;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;G=H*(J*+h[l>>3]*-1.7565233969407e-18+.00011032831789999);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;J=I*(I*(I*(I*(+h[l>>3]*-8.1456365207833e-14+2.8640237477456e-7)+.00018955248387902)+-.021810755324761)+3.3593118604916);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;F=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;E=+h[l>>3]*-.10829784403677;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;D=I*((I*-10779857357512.0e-18+.0030891541160537)*+h[l>>3]+.16844539671904);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;A=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;B=I*(I*((I*2.821728163504e-7+-76462712454814.0e-18)*+h[l>>3]+-.046333324635812)+.73875745236695);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;z=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;y=I*((I*(I*12704902271945.0e-19+14052392818316.0e-18)+.0013555504554949)*+h[l>>3]+-.47128737436186);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;x=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;v=I*(x*((I*-2.5180545682962e-11+-1.1030139238909e-8)*+h[l>>3]+-31083814331434.0e-18)+.15020273139707);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;x=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;u=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;K=I*.93747147377932+k*(G+k*(J+H*(I*3.3809355601454+F*(E+C*(D+A*(B+z*(y+w*(v+x*u*(I*(I*(t*(I*(+h[l>>3]*8.6934156344163e-15+7.3803353468292e-8)+-10302738212103.0e-19)+71280351959551.0e-18)+-.002176411421975)+.0085208123431544)+-.47811863648625)+1.1385952129658)+-.63281320016026)+2.4742464705674)))+ -97.708318797837)+743.07798314034)+1489.5041079516;L=a|0;h[L>>3]=K;i=b;return}else{I=d+ -1.8;d=j+25.0;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=d*d;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;t=j*d*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=t;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;t=1.0/+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=t;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;j=t*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=I*I;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=j*(+h[l>>3]*1.126159740723e-12+482.19755109255)+859777.2253558;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;j=t/+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;t=d*(+h[l>>3]*31081.088422714+20825544563.171)+ -583401318515.9;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;u=t/+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;x=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;v=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;w=+h[l>>3]*1.2324579690832e-7;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;y=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;z=+h[l>>3]*-11606921130984.0e-19;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;B=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;A=+h[l>>3]*27846367088554.0e-18;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;D=+h[l>>3]*-.00059270038474176;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;E=D+C*+h[l>>3]*.0012918582991878;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;C=x*(d*-10.842984880077+v*(w+y*(z+B*(A+ +h[l>>3]*E))));l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;E=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;A=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;B=I*(j+I*(u+t*(C+E*(A*(d*(+h[l>>3]*-1.7804982240686e-11+-.04536417267666)+3.7966001272486)+7326335090218.1))));l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;A=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;E=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;K=B+A*(d*(d*(E*d*(d*(d*(+h[l>>3]*1.4559115658698e-13+1208.2315865936)+ -25745.72360417)+610747.83564516)+ -10783068217.47)+358250899454.47)+ -3236839855524.2);L=a|0;h[L>>3]=K;i=b;return}}function Kf(b,c,d){b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;e=i;i=i+216|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+112|0;m=e+120|0;n=e+208|0;o=+rc(+d,22063999.9999999);yf(g,c,o);p=+h[g>>3];Af(j,c,p);q=+h[j>>3];j=p>623.15;g=j&1;if(j){Lf(l,0,o);r=+h[l>>3];Df(m,c,r,p);s=+h[m+16>>3];t=+h[m+24>>3];u=+h[m+32>>3];v=+h[m+40>>3];w=+h[m+48>>3];x=+h[m+56>>3];y=+h[m+64>>3];z=+h[m+72>>3];A=+h[m+80>>3];Mf(n,0,o);B=0.0;C=0.0;D=p*t*(w*2.0+t*x)*461.526;E=r*t*(w-u*A)*461.526;F=z*(-0.0-u*u)*461.526;G=0.0;H=s*(u*y-v);I=+h[n>>3];J=r}else{Gf(k,c,d,p);r=+h[k+24>>3];v=+h[k+32>>3];y=+h[k+48>>3];u=+h[k+56>>3];s=+h[k+80>>3];z=r*y;A=v*+h[k+64>>3];if(o<d){K=2087546.84511715}else{K=p*A*461.526}o=+h[k+16>>3]*(A- +h[k+40>>3]);A=v*v*+h[k+72>>3]*-461.526;B=p*r*r*u*+eq(d,-2)*461.526;C=(z-v*r*s)/d*461.526;D=p*(y*y/u)*-461.526;E=(y-v*s)/(p*r*u)*(-0.0-d);F=0.0;G=A;H=o;I=K;J=d/(p*z*461.526)}k=f|0;f=b|0;a[f]=g;g=f+1|0;a[g]=a[k]|0;a[g+1|0]=a[k+1|0]|0;a[g+2|0]=a[k+2|0]|0;a[g+3|0]=a[k+3|0]|0;a[g+4|0]=a[k+4|0]|0;a[g+5|0]=a[k+5|0]|0;a[g+6|0]=a[k+6|0]|0;h[b+8>>3]=461.526;h[b+16>>3]=p;h[b+24>>3]=J;h[b+32>>3]=I;h[b+40>>3]=H;h[b+48>>3]=G;h[b+56>>3]=F;h[b+64>>3]=q;h[b+72>>3]=E;h[b+80>>3]=D;h[b+88>>3]=C;h[b+96>>3]=B;i=e;return}function Lf(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0,e=0,f=0.0;if(!(c<22064.0e3)){d=322.0;e=a|0;h[e>>3]=d;return}f=+$(c/22064.0e3);d=(f*(f*(f*(f*(f*(f*(f*(f*(f*(f*-.001115111165833234+725.8761975803782)+ -2537.375817253895)+3740.579034867006)+ -3015.853540307519)+1437.200724533239)+ -403.5391431811611)+59.18702203076563)+ -1.144787271887849)+ -1.84638508033626)+1.0)*322.0;e=a|0;h[e>>3]=d;return}function Mf(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0;d=+$(c/22064.0e3);h[a>>3]=(d*(d*(d*(d*(d*(d*(d*(d*.0006616936460057692+ -16.98555442961553)+45.66489164833212)+ -48.38215180269516)+25.08887602293532)+ -6.084122698421623)+.2079670746250689)+.4880153718655694)+1.0)*2087546.84511715;return}function Nf(b,c,d){b=b|0;c=c|0;d=+d;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;e=i;i=i+216|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+112|0;m=e+120|0;n=e+208|0;o=+rc(+d,22063999.9999999);yf(g,c,o);p=+h[g>>3];Af(j,c,p);q=+h[j>>3];j=p>623.15;g=j&1;if(j){Of(l,0,o);r=+h[l>>3];Df(m,c,r,p);s=+h[m+16>>3];t=+h[m+24>>3];u=+h[m+32>>3];v=+h[m+40>>3];w=+h[m+48>>3];x=+h[m+56>>3];y=+h[m+64>>3];z=+h[m+72>>3];A=+h[m+80>>3];xf(n,0,o);B=0.0;C=0.0;D=p*t*(w*2.0+t*x)*461.526;E=r*t*(w-u*A)*461.526;F=z*(-0.0-u*u)*461.526;G=0.0;H=s*(u*y-v);I=+h[n>>3];J=r}else{zf(k,c,d,p);r=+h[k+24>>3];v=+h[k+32>>3];y=+h[k+48>>3];u=+h[k+56>>3];s=+h[k+80>>3];z=r*y;A=v*+h[k+64>>3];if(o<d){K=2087546.84511715}else{K=p*A*461.526}o=+h[k+16>>3]*(A- +h[k+40>>3]);A=v*v*+h[k+72>>3]*-461.526;B=p*r*r*u*+eq(d,-2)*461.526;C=(z-v*r*s)/d*461.526;D=p*(y*y/u)*-461.526;E=(y-v*s)/(p*r*u)*(-0.0-d);F=0.0;G=A;H=o;I=K;J=d/(p*z*461.526)}k=f|0;f=b|0;a[f]=g;g=f+1|0;a[g]=a[k]|0;a[g+1|0]=a[k+1|0]|0;a[g+2|0]=a[k+2|0]|0;a[g+3|0]=a[k+3|0]|0;a[g+4|0]=a[k+4|0]|0;a[g+5|0]=a[k+5|0]|0;a[g+6|0]=a[k+6|0]|0;h[b+8>>3]=461.526;h[b+16>>3]=p;h[b+24>>3]=J;h[b+32>>3]=I;h[b+40>>3]=H;h[b+48>>3]=G;h[b+56>>3]=F;h[b+64>>3]=q;h[b+72>>3]=E;h[b+80>>3]=D;h[b+88>>3]=C;h[b+96>>3]=B;i=e;return}function Of(a,b,c){a=a|0;b=b|0;c=+c;var d=0.0,e=0,f=0.0;if(!(c<22064.0e3)){d=322.0;e=a|0;h[e>>3]=d;return}f=+$(c/22064.0e3);d=(f*(f*(f*(f*(f*(f*(f*(f*(f*(f*.00052536560808895+ -191.4307733640516)+673.2581177021598)+ -994.5385383600702)+796.6627910598293)+ -369.3676833623383)+94.34196116778385)+ -8.191449323843552)+ -2.531486180240112)+1.903224079094824)+1.0)*322.0;e=a|0;h[e>>3]=d;return}function Pf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0;f=i;i=i+16|0;g=f|0;Gp(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0);i=j;if(!(d>611.657)){k=tp(tp(524184,rp(d,0,1,6)|0)|0,526896)|0;l=tp(tp(k,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8896,l,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}m=d/1.0e6;d=540.0/e;n=d+-.5;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[l>>3]=d*d;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[l>>3]=o*o;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[l>>3]=n*n;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=n*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[l>>3]=o;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[l>>3]=o*o;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[l>>3]=o*o;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[l>>3]=o*o;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;q=o*p*n*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=q*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[l>>3]=p;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;q=p*n*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[l>>3]=q;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;p=q*n*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[l>>3]=p;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=p*q*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[l>>3]=o;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;o=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;p=o*q*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[l>>3]=p;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;h[l>>3]=m*m;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;h[l>>3]=p*p;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;h[l>>3]=p*p;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=d*(d*(d*(d*((d*(d*.06380539059921+-.5681726521544)+10.08665568018)*+h[l>>3]+4.38395111945)+ -2.848163942888)+1.2213149471784)+-.2858109552582)+.0280439559151;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;q=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=p/(q*+h[l>>3]);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;q=n*(n*(+h[l>>3]*-.30195167236758+-.172743777250296)+-.09199202739273);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;s=n*(p*(r*(+h[l>>3]*-.000960283724907132+-.306581069554011)+-.015757110897342)+-.0003789797503263);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;t=r*(p*(+h[l>>3]*-1.42338887469272+-.0090203547252888)+-9683303171571.0e-17);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[l>>3]*160454534363627.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;r=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;u=r*(+h[l>>3]*-836.35096769364+-.033874355714168)+-5.0144299353183e-11;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;r=+h[l>>3]*u;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;u=+h[l>>3]*-.973671060893475+-138839897890111.0e-19;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;v=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;w=u*v*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;v=+h[l>>3]*-296.320827232793+9.0049690883672e-11;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;u=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;x=v*u*n*+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;u=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;v=u*+h[l>>3]*2.57526266427144e-7;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;u=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;y=+h[l>>3]*-1.40254511313154e-8+-1.0234747095929e-12;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;z=u*(y*+h[l>>3]+4.1627860840696e-19);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;y=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=15,j)|0)|0;i=j;u=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;B=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;C=A*(B*n*+h[l>>3]*5.3465159397045+-2.34560435076256e-9);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;B=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;D=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;E=A*D*+h[l>>3]*-19.1874828272775;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=14,j)|0)|0;i=j;D=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;A=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;F=+h[l>>3]*-.000201611844951398+1.07202609066812e-11;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;G=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;I=A*(F*G*H*n*+h[l>>3]+1.78371690710842e-23);l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;G=H*+h[l>>3]*-1.24017662339842e-24;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;A=H*F*+h[l>>3]*.000200482822351322;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=16,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;J=F*H*+h[l>>3]*-4.97975748452559e-14;l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;H=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;F=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;K=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;L=+h[l>>3];l=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[a>>3]=d*(o+m*(q+m*(s+m*(t+m*(n*(n*144676118155521.0e-20+2.558143570457e-8)+m*(p+m*(r+m*(w+m*(x+m*(v+m*(z+y*u*(C+B*(E+D*(I+m*(G+m*(A+m*(J+H*F*m*n*(K*(L*+h[l>>3]*-547344301999018.0e-19+2.21658861403112e-15)+1.90027787547159e-27)))))))))))))+-7.8847309559367e-10)+4.3870667284435e-7)+-33032641670203.0e-18)+-.017834862292358))*e*461.526;i=f;return}function Qf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0;f=i;i=i+16|0;g=f|0;Gp(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0);i=j;k=1386.0/e;l=7.1-d/1653.0e4;if(!(d>611.657)){m=tp(tp(524120,rp(d,0,1,6)|0)|0,526896)|0;n=tp(tp(m,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8920,n,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}d=k+ -1.222;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;h[n>>3]=d*d;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=d*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[n>>3]=o;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;h[n>>3]=o*o;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;h[n>>3]=o*o;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=o*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;h[n>>3]=p;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=p*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;h[n>>3]=o;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=d*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;h[n>>3]=o;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=o*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;h[n>>3]=p;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;h[n>>3]=l*l;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;h[n>>3]=p*p;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;h[n>>3]=p*p;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;h[n>>3]=p*p;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;h[n>>3]=p*p;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;o=+h[n>>3]*-.00015851507390979+-.021841717175414;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;q=o*+h[n>>3]+.018990068218419;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;o=p*(q*+h[n>>3]+.00424944110961118)+-.00254871721114236;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;q=o/+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;o=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;r=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;t=o*(p*(r*s*+h[n>>3]*-1.2358149370591e-14+-132425535992538.0e-19)+47661393906987.0e-18)+.00141552963219801;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;s=t/+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=5,j)|0)|0;i=j;t=+h[n>>3]*-5.11230768720618e-9+.000126718579380216;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;r=t/+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;t=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;p=t*(+h[n>>3]*-1.4341729937924e-12+130342445791202.0e-20)+11212640954.0e-15;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=6,j)|0)|0;i=j;t=p/+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;p=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=7,j)|0)|0;i=j;o=+h[n>>3]*1.04549227383804e-9+1.40077319158051e-8;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=8,j)|0)|0;i=j;u=o/+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;o=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=11,j)|0)|0;i=j;v=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;w=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;x=w*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=12,j)|0)|0;i=j;w=x*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;x=1.9941018075704e-17/(w*+h[n>>3]);n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;w=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=10,j)|0)|0;i=j;y=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=9,j)|0)|0;i=j;z=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;A=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;B=4.65957282962769e-22/(A*+h[n>>3]);n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;A=+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;C=A*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=l/(C*+h[n>>3])*3.83502057899078e-24;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;C=d*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;D=l*(B+l*(A+-7.2912378325616e-23/(C*+h[n>>3])));n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=3,j)|0)|0;i=j;C=d*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=C*+h[n>>3];n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;C=y*z*(D+-1.00075970318621e-21/(A*+h[n>>3]));n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=13,j)|0)|0;i=j;A=p*l*(u+o*v*l*(x+w*(C+-4.48827542684151e-19/+h[n>>3])));n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=4,j)|0)|0;i=j;C=l*(q+l*(s+l*(r+l*(t+l*(324135974880936.0e-20/(d*+h[n>>3])+A)))));n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=1,j)|0)|0;i=j;A=d*((d*(d*(d*(d*.0040607314991784+-.066465668798004)+.47316115539684)+ -1.91583926775744)+3.3855169168385)*+h[n>>3]+.84548187169114)+-.29265942426334;n=Ip(g,1,(j=i,i=i+8|0,c[j>>2]=2,j)|0)|0;i=j;h[a>>3]=k*(A/+h[n>>3]+C)*e*461.526;i=f;return}function _omc_Modelica_Media_Water_IF97__Utilities_BaseIF97_Basic_g2$0(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;b=c[a+24>>2]|0;d=+g[a+40>>2];e=+g[a+48>>2];f=+g[a+88>>2];j=+g[a+2488>>2];k=+g[a+2504>>2];l=+g[a+2520>>2];m=+g[a+2568>>2];n=+g[a+2584>>2];o=+g[a+2600>>2];p=c[a+5408>>2]|0;a:do{q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;r=o*(+h[q>>3]*-143.374451604624+-.012702883392813)+-1.00288598706366e-10;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;s=+h[q>>3]*r;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=17,p)|0)|0;i=p;r=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;t=r*(+h[q>>3]*-.272627897050173+-88352662293707.0e-19);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;r=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;u=r*(+h[q>>3]*-65.849072718398+9.0049690883672e-11);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;r=+h[q>>3]*1.78287415218792e-7;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;w=+h[q>>3]*-1.0018179379511e-8+-1.0234747095929e-12;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;x=v*(w*+h[q>>3]+1.0406965210174e-18);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;w=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;y=v*(+h[q>>3]*1.71088510070544+-1.29412653835176e-9);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=26,p)|0)|0;i=p;z=+h[q>>3]*-6.0592051033508;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;A=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;B=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;C=+h[q>>3]*-84004935396416.0e-18+6.1258633752464e-12;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;D=B*(C*+h[q>>3]+1.78371690710842e-23);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;C=+h[q>>3]*-1.24017662339842e-24;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=29,p)|0)|0;i=p;B=+h[q>>3]*83219284749605.0e-18;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=30,p)|0)|0;i=p;E=+h[q>>3]*-2.93678005497663e-14;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=31,p)|0)|0;i=p;F=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;G=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;H=(d/1.0e6*(k+d/1.0e6*(l+d/1.0e6*(m+d/1.0e6*(f*(f*(f*192901490874028.0e-20+5.116287140914e-8)+-3.15389238237468e-9)+d/1.0e6*(n+d/1.0e6*(s+d/1.0e6*(t+d/1.0e6*(u+d/1.0e6*(r+d/1.0e6*(x+w*(y+v*(z+A*(D+d/1.0e6*(C+d/1.0e6*(B+d/1.0e6*(E+F*d/1.0e6*(G*(+h[q>>3]*-226487297378904.0e-19+1.32995316841867e-15)+1.75410265428146e-27))))))))))+-4.1341695026989e-17))))+6.1445213076927e-8))+-.0017731742473213)+1.0)/(d/1.0e6);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;G=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=43,p)|0)|0;i=p;F=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;E=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;B=+h[q>>3]*-.244009521375894+-.0090203547252888;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;C=f*(E*(B*+h[q>>3]+-.00019366606343142)+26322400370661.0e-19);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=14,p)|0)|0;i=p;B=+h[q>>3]*45844152675322.0e-18;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;E=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;D=E*(+h[q>>3]*-716.87225802312+-.063514416964065)+-5.0144299353183e-10;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;E=+h[q>>3]*D;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=17,p)|0)|0;i=p;D=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;A=D*(+h[q>>3]*-1.63576738230104+-53011597376224.0e-18);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;D=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;z=D*(+h[q>>3]*-460.94350902879+6.303478361857e-10);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;D=+h[q>>3]*142629932175034.0e-20;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;y=+h[q>>3]*-9.0163614415599e-8+-9.2112723863361e-12;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;w=v*(y*+h[q>>3]+9.3662686891566e-18);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;y=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;x=v*(+h[q>>3]*25.6632765105816+-1.94118980752764e-8);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=26,p)|0)|0;i=p;r=+h[q>>3]*-103.006486756963;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;u=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;t=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;s=+h[q>>3]*-.0015960937725319+1.16391404129682e-10;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;I=t*(s*+h[q>>3]+3.389062123506e-22);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;s=+h[q>>3]*-2.48035324679684e-23;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=29,p)|0)|0;i=p;t=+h[q>>3]*.00174760497974171;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=30,p)|0)|0;i=p;J=+h[q>>3]*-6.4609161209486e-13;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=31,p)|0)|0;i=p;K=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;L=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;M=d/1.0e6*(B+d/1.0e6*(E+d/1.0e6*(A+d/1.0e6*(z+d/1.0e6*(D+d/1.0e6*(w+y*(x+v*(r+u*(I+d/1.0e6*(s+d/1.0e6*(t+d/1.0e6*(J+K*d/1.0e6*(L*(+h[q>>3]*-.00052092078397148+3.05889228736295e-14)+4.0344361048474e-26))))))))))+-2.48050170161934e-16)));q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=44,p)|0)|0;i=p;L=G*(F+d/1.0e6*(C+d/1.0e6*(f*(f*(+h[q>>3]+1.5348861422742e-7)+-9.461677147124e-9)+M)+1.22890426153854e-7))+-1.0;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;M=L/+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;L=540.0/e*(540.0/e*(540.0/e*(540.0/e*((540.0/e*(540.0/e*.06380539059921+-.5681726521544)+10.08665568018)*+h[q>>3]+4.38395111945)+ -2.848163942888)+1.2213149471784)+-.2858109552582)+.0280439559151;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;C=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=34,p)|0)|0;i=p;F=L/(C*+h[q>>3]);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=49,p)|0)|0;i=p;C=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;L=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;G=+h[q>>3]*-.00096028372490713+-.306581069554011;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;K=f*(L*(G*+h[q>>3]+-.015757110897342)+-.0003789797503263);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;G=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;L=+h[q>>3]*-1.42338887469272+-.0090203547252888;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;J=G*(L*+h[q>>3]+-9683303171571.0e-17);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;L=+h[q>>3]*160454534363627.0e-19;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;G=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;t=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;s=G*(t*(+h[q>>3]*-836.35096769364+-.033874355714168)+-5.0144299353183e-11);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;t=+h[q>>3]*-.97367106089347+-138839897890111.0e-19;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=50,p)|0)|0;i=p;G=t*+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=14,p)|0)|0;i=p;t=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;I=t*(+h[q>>3]*-296.320827232793+9.0049690883672e-11);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=51,p)|0)|0;i=p;t=+h[q>>3]*2.57526266427144e-7;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;u=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;r=+h[q>>3]*-1.40254511313154e-8+-1.0234747095929e-12;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;v=u*(r*+h[q>>3]+4.1627860840696e-19);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;r=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;u=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;x=u*(+h[q>>3]*5.3465159397045+-2.34560435076256e-9);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;u=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=52,p)|0)|0;i=p;y=+h[q>>3]*-19.1874828272775;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;w=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;D=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;z=+h[q>>3]*-.000201611844951398+1.07202609066812e-11;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;A=D*(z*+h[q>>3]+1.78371690710842e-23);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;z=+h[q>>3]*-1.24017662339842e-24;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=53,p)|0)|0;i=p;D=+h[q>>3]*.000200482822351322;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=54,p)|0)|0;i=p;E=+h[q>>3]*-4.9797574845256e-14;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;B=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;N=B*(+h[q>>3]*-54734430199902.0e-18+2.21658861403112e-15)+1.90027787547159e-27;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=55,p)|0)|0;i=p;B=F+d/1.0e6*(C+d/1.0e6*(K+d/1.0e6*(J+d/1.0e6*(f*(f*144676118155521.0e-20+2.558143570457e-8)+d/1.0e6*(L+d/1.0e6*(s+d/1.0e6*(G+d/1.0e6*(I+d/1.0e6*(t+d/1.0e6*(v+r*(x+u*(y+w*(A+d/1.0e6*(z+d/1.0e6*(D+d/1.0e6*(E+d/1.0e6*+h[q>>3]*N))))))))))))+-7.8847309559367e-10)+4.3870667284435e-7)+-33032641670203.0e-18)+-.017834862292358);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;N=540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*(540.0/e*.12761078119842+-.5681726521544)*+h[q>>3]+ -8.7679022389)+8.544491828664)+ -4.8852597887136)+1.429054776291)+-.1682637354906;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=33,p)|0)|0;i=p;E=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=34,p)|0)|0;i=p;D=N/(540.0/e*E*+h[q>>3]);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;E=f*(+h[q>>3]*-1.5097583618379+-.34548755450059);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;N=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;z=+h[q>>3]*-.03360993037175+ -1.83948641732407;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;A=N*(z*+h[q>>3]+-.047271332692026);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;z=+h[q>>3]*-48.395221739552+-.045101773626444;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;N=f*(z*+h[q>>3]+-.00019366606343142);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;z=f*+h[q>>3]*96272720618176.0e-18;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;w=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;y=f*(w*(+h[q>>3]*-28435.9329015838+-.50811533571252)+-1.00288598706366e-10);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;w=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;u=w*f*(+h[q>>3]*-23.3681054614434+-.000138839897890111);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;w=+h[q>>3]*-10371.2289531477+6.303478361857e-10;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;x=w*+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=17,p)|0)|0;i=p;w=+h[q>>3]*309031519712573.0e-20;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;r=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3]*-1.823308647071e-7+-9.2112723863361e-12;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;t=r*(v*+h[q>>3]+1.24883582522088e-18);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;r=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;I=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;G=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;s=r*I*G*f*(+h[q>>3]*261.979281045521+-6.5676921821352e-8);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;G=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;I=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;r=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;L=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=25,p)|0)|0;i=p;J=I*r*L*f*+h[q>>3]*-1074.49903832754;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;L=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;r=+h[q>>3]*-.0094757567127157+3.6448887082716e-10;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;I=r*+h[q>>3]+3.389062123506e-22;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;r=I*+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;I=+h[q>>3]*-2.48035324679684e-23;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;K=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;C=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=25,p)|0)|0;i=p;F=K*C*f*+h[q>>3]*.0104251067622687;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=11,p)|0)|0;i=p;C=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=12,p)|0)|0;i=p;K=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;O=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;P=C*K*d/1.0e6*(O*(+h[q>>3]*-.0031198625213944+8.6446955947214e-14)+4.750694688679e-26);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;O=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=25,p)|0)|0;i=p;K=D+d/1.0e6*(E+d/1.0e6*(A+d/1.0e6*(N+d/1.0e6*(f*289352236311042.0e-20+d/1.0e6*(z+d/1.0e6*(y+d/1.0e6*(u+d/1.0e6*(x+d/1.0e6*(w+d/1.0e6*(t+v*(s+G*(J+L*(r+d/1.0e6*(I+d/1.0e6*(F+d/1.0e6*(P+O*f*+h[q>>3]*-1.89230784411972e-12))))))))))))+2.558143570457e-8))+-.0003789797503263)+-.09199202739273);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=49,p)|0)|0;i=p;O=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;P=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;F=+h[q>>3]*-.00192056744981426+-.61316213910802;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;I=f*(P*(F*+h[q>>3]+-.031514221794684)+-.0007579595006526);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;F=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=13,p)|0)|0;i=p;P=+h[q>>3]*-4.2701666240781+-.0270610641758664;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;r=F*(P*+h[q>>3]+-.00029049909514713);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;P=+h[q>>3]*80227267181813.0e-18;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=1,p)|0)|0;i=p;F=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;L=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;J=F*(L*(+h[q>>3]*-5018.1058061618+-.203246134285008)+-3.00865796119098e-10);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;L=+h[q>>3]*-6.8156974262543+-97187928523078.0e-18;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=50,p)|0)|0;i=p;F=L*+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=14,p)|0)|0;i=p;L=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;G=L*(+h[q>>3]*-2370.56661786234+7.2039752706938e-10);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=51,p)|0)|0;i=p;L=+h[q>>3]*23177363978443.0e-19;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=2,p)|0)|0;i=p;s=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=10,p)|0)|0;i=p;v=+h[q>>3]*-1.40254511313154e-7+-1.0234747095929e-11;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=20,p)|0)|0;i=p;t=s*(v*+h[q>>3]+4.1627860840696e-18);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=23,p)|0)|0;i=p;v=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=19,p)|0)|0;i=p;s=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=24,p)|0)|0;i=p;w=s*(+h[q>>3]*85.544255035272+-3.7529669612201e-8);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;s=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=52,p)|0)|0;i=p;x=+h[q>>3]*-345.37469089099;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=21,p)|0)|0;i=p;u=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=16,p)|0)|0;i=p;y=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=15,p)|0)|0;i=p;z=+h[q>>3]*-.004032236899028+2.14405218133624e-10;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=28,p)|0)|0;i=p;N=y*(z*+h[q>>3]+3.5674338142168e-22);q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=27,p)|0)|0;i=p;z=+h[q>>3]*-2.60437090913668e-23;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=53,p)|0)|0;i=p;y=+h[q>>3]*.0044106220917291;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=54,p)|0)|0;i=p;A=+h[q>>3]*-1.14534422144089e-12;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=18,p)|0)|0;i=p;E=+h[q>>3];q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=32,p)|0)|0;i=p;D=E*(+h[q>>3]*-.00131362632479764+5.3198126736747e-14)+4.5606669011318e-26;q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=55,p)|0)|0;i=p;E=d/1.0e6*(P+d/1.0e6*(J+d/1.0e6*(F+d/1.0e6*(G+d/1.0e6*(L+d/1.0e6*(t+v*(w+s*(x+u*(N+d/1.0e6*(z+d/1.0e6*(y+d/1.0e6*(A+d/1.0e6*+h[q>>3]*D))))))))))));q=Ip(a|0,1,(p=i,i=i+8|0,c[p>>2]=44,p)|0)|0;i=p;D=O+d/1.0e6*(I+d/1.0e6*(r+d/1.0e6*(f*(+h[q>>3]+1.0232574281828e-7)+E+-3.15389238237468e-9)+131612001853305.0e-20)+-66065283340406.0e-18)+-.017834862292358;h[b>>3]=d;h[b+8>>3]=e;h[b+16>>3]=461.526;h[b+24>>3]=d/1.0e6;h[b+32>>3]=540.0/e;h[b+40>>3]=j;h[b+48>>3]=H;h[b+56>>3]=M;h[b+64>>3]=B;h[b+72>>3]=K;h[b+80>>3]=D;i=a;c[a+5424>>2]=5;break a}while(0);c[a+5408>>2]=p}



function Fs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;l=c[b+468>>2]|0;m=c[l+(d*80|0)+40>>2]|0;n=c[l+(d*80|0)+4>>2]|0;o=m+40|0;c[o>>2]=0;p=m+16|0;q=l+(d*80|0)+52|0;r=m+12|0;GT(c[p>>2]|0,c[q>>2]|0,c[r>>2]<<3)|0;s=b+56|0;if((c[132655]|0)==0){t=b+4|0}else{uG(f,s,n);u=b+4|0;v=+h[c[c[u>>2]>>2]>>3];Qo(17,1,495648,(w=i,i=i+16|0,c[w>>2]=c[f+8>>2],h[w+8>>3]=v,w)|0);i=w;if((c[r>>2]|0)>0){f=l+(d*80|0)+44|0;x=l+(d*80|0)+16|0;y=l+(d*80|0)+48|0;z=0;do{v=+h[(c[f>>2]|0)+(z<<3)>>3];Qo(17,1,486704,(w=i,i=i+16|0,c[w>>2]=z,h[w+8>>3]=v,w)|0);i=w;v=+h[(c[y>>2]|0)+(z<<3)>>3];A=+h[(c[q>>2]|0)+(z<<3)>>3];Qo(17,0,41912,(w=i,i=i+24|0,h[w>>3]=+h[(c[x>>2]|0)+(z<<3)>>3],h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;Ud[c[3702]&511](17);z=z+1|0;}while((z|0)<(c[r>>2]|0))}Ud[c[3702]&511](17);t=u}u=b+318|0;z=m+20|0;x=m+24|0;q=m+56|0;y=m+44|0;f=m+64|0;B=m+68|0;C=m+72|0;D=m+48|0;E=b;b=m+4|0;F=m+32|0;m=l+(d*80|0)+48|0;G=l+(d*80|0)+16|0;H=0;I=0;a:while(1){a[u]=1;J=c[p>>2]|0;K=c[z>>2]|0;L=c[f>>2]|0;M=c[B>>2]|0;N=c[C>>2]|0;Gs(r,J,K,(c[k>>2]=c[x>>2],c[k+4>>2]=c[x+4>>2],+h[k>>3]),q,c[y>>2]|0,o,L,M,N,D,E,d);a[u]=0;if((c[D>>2]|0)==0){uG(g,s,n);fq(3,g,+h[c[c[t>>2]>>2]>>3])}O=+Lq(r,c[b>>2]|0);P=+Lq(r,c[z>>2]|0);A=+h[F>>3];if(!(P>A&O>A)){if((c[D>>2]|0)>0){Q=12;break}}do{if((I|0)<1){GT(c[p>>2]|0,c[m>>2]|0,c[r>>2]<<3)|0;N=c[o>>2]|0;Qo(17,0,26664,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}else{if((I|0)<2){N=c[r>>2]|0;if((N|0)>0){M=c[G>>2]|0;L=c[p>>2]|0;K=0;do{J=L+(K<<3)|0;h[J>>3]=+h[M+(K<<3)>>3]*.01+ +h[J>>3];K=K+1|0;}while((K|0)<(N|0))}N=c[o>>2]|0;Qo(17,0,24408,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N;break}if((I|0)>=3){Q=28;break a}N=c[r>>2]|0;if((N|0)>0){K=c[G>>2]|0;M=c[p>>2]|0;L=0;do{h[M+(L<<3)>>3]=+h[K+(L<<3)>>3];L=L+1|0;}while((L|0)<(N|0))}N=c[o>>2]|0;Qo(17,0,512328,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}}while(0);if(1){H=R+H|0;I=I+1|0}else{S=0;break}}do{if((Q|0)==12){if((c[132655]|0)==0){S=1;break}R=(c[o>>2]|0)+H|0;Qo(17,0,37112,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;Qo(17,0,33336,(w=i,i=i+24|0,c[w>>2]=R,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[r>>2]|0)>0){T=0}else{S=1;break}while(1){A=+h[(c[p>>2]|0)+(T<<3)>>3];v=+h[(c[z>>2]|0)+(T<<3)>>3];Qo(17,0,29584,(w=i,i=i+24|0,c[w>>2]=T,h[w+8>>3]=A,h[w+16>>3]=v,w)|0);i=w;R=T+1|0;if((R|0)<(c[r>>2]|0)){T=R}else{S=1;break}}}else if((Q|0)==28){uG(j,s,n);fq(0,j,+h[c[c[t>>2]>>2]>>3]);if((c[132655]|0)==0){S=0;break}Qo(17,0,509488,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;Qo(17,0,33336,(w=i,i=i+24|0,c[w>>2]=H,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[132655]|0)==0){S=0;break}if((c[r>>2]|0)>0){U=0}else{S=0;break}while(1){v=+h[(c[p>>2]|0)+(U<<3)>>3];A=+h[(c[z>>2]|0)+(U<<3)>>3];Qo(17,0,29584,(w=i,i=i+24|0,c[w>>2]=U,h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;R=U+1|0;if((R|0)<(c[r>>2]|0)){U=R}else{S=0;break}}}}while(0);if((c[132655]|0)==0){V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;GT(X|0,Z|0,$)|0;i=e;return S|0}Ud[c[3702]&511](17);V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;GT(X|0,Z|0,$)|0;i=e;return S|0}function Gs(b,d,e,f,g,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=+f;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0;r=i;i=i+4120|0;s=r|0;t=r+8|0;u=r+16|0;v=r+24|0;w=p;x=c[p+468>>2]|0;y=c[x+(q*80|0)+40>>2]|0;z=+h[y+32>>3];c[t>>2]=1;c[u>>2]=1;do{if((c[132656]|0)!=0){Qo(18,0,506584,(A=i,i=i+8|0,c[A>>2]=j,A)|0);i=A;if((c[b>>2]|0)>0){B=0}else{break}do{C=+h[d+(B<<3)>>3];Qo(18,0,504152,(A=i,i=i+16|0,c[A>>2]=B,h[A+8>>3]=C,A)|0);i=A;B=B+1|0;}while((B|0)<(c[b>>2]|0))}}while(0);c[o>>2]=1;B=x+(q*80|0)+28|0;x=y+12|0;D=v|0;v=y+8|0;E=y+4|0;F=y+20|0;G=y+64|0;y=j;a:while(1){Hs(d,e,s,p,q)|0;c[k>>2]=(c[k>>2]|0)+1;if((c[B>>2]|0)==-1){Is(b,d,e,l,+h[g>>3],s,m,p,q);c[k>>2]=(c[b>>2]|0)+(c[k>>2]|0)}else{Es(w,l,q)|0}if((c[132657]|0)!=0){j=c[b>>2]|0;Qo(19,1,500264,(A=i,i=i+16|0,c[A>>2]=j,c[A+8>>2]=j,A)|0);i=A;if((c[x>>2]|0)>0){j=0;do{a[D]=0;if((c[x>>2]|0)>0){H=0;do{C=+h[l+((ga(c[b>>2]|0,j)|0)+H<<3)>>3];Pb(D|0,499304,(A=i,i=i+16|0,c[A>>2]=D,h[A+8>>3]=C,A)|0)|0;i=A;H=H+1|0;}while((H|0)<(c[x>>2]|0))}Qo(19,0,498240,(A=i,i=i+8|0,c[A>>2]=D,A)|0);i=A;j=j+1|0;}while((j|0)<(c[x>>2]|0))}Ud[c[3702]&511](19)}j=c[x>>2]|0;if((j|0)>0){H=c[E>>2]|0;I=c[F>>2]|0;J=c[v>>2]|0;K=0;L=0;while(1){M=H+(K<<3)|0;h[M>>3]=1.0e-16;N=c[G>>2]|0;O=(j|0)>1?j:1;P=0;Q=L;C=1.0e-16;while(1){R=+V(+(+h[N+(Q<<3)>>3]));S=R>C?R:C;h[M>>3]=S;T=P+1|0;if((T|0)<(j|0)){P=T;Q=Q+1|0;C=S}else{break}}h[J+(K<<3)>>3]=+h[I+(K<<3)>>3]*(1.0/S);Q=K+1|0;if((Q|0)<(j|0)){K=Q;L=L+O|0}else{U=J;break}}}else{U=c[v>>2]|0}C=+Lq(b,U);if(!(C>z&+Lq(b,e)>z)){W=31;break}Fj(b,t,l,b,n,e,b,u)|0;J=c[u>>2]|0;do{if((J|0)>0){c[o>>2]=-1;So(17,0,493408,(A=i,i=i+1|0,i=i+7&-8,c[A>>2]=0,A)|0);i=A}else{if((J|0)<0){c[o>>2]=-1;So(17,0,492760,(A=i,i=i+8|0,c[A>>2]=J,A)|0);i=A;break}L=c[b>>2]|0;if((L|0)>0){K=0;do{j=d+(K<<3)|0;h[j>>3]=+h[j>>3]- +h[e+(K<<3)>>3];K=K+1|0;}while((K|0)<(L|0))}if(!(+Lq(b,e)>f)){W=31;break a}}}while(0);J=y-1|0;if((J|0)<0){W=30;break}if((c[o>>2]|0)>-1){y=J}else{W=31;break}}if((W|0)==30){c[o>>2]=-1;i=r;return}else if((W|0)==31){i=r;return}}function Hs(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;ne[c[(c[e+468>>2]|0)+(f*80|0)+32>>2]&63](e,a,b,d);return 0}function Is(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0;l=+W(f);if((c[a>>2]|0)<=0){return}m=(c[(c[j+468>>2]|0)+(k*80|0)+56>>2]|0)==0;n=0;do{f=+h[b+(n<<3)>>3];if(m){if(f<0.0){o=-0.0-f}else{o=f}p=l*+Yb(+1.0,+o);if(+h[d+(n<<3)>>3]<0.0){q=-0.0-p}else{q=p}r=q+f-f}else{r=1.0}s=b+(n<<3)|0;h[s>>3]=r+f;p=1.0/r;Hs(b,i,g,j,k)|0;t=c[a>>2]|0;if((t|0)>0){u=0;do{v=(ga(t,n)|0)+u|0;h[e+(v<<3)>>3]=p*(+h[i+(u<<3)>>3]- +h[d+(u<<3)>>3]);u=u+1|0;}while((u|0)<(t|0))}h[s>>3]=f;n=n+1|0;}while((n|0)<(t|0));return}function Js(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[b+24>>2]|0;if((d|0)==2){Ks(a,b);e=0;return e|0}else if((d|0)==3){e=br(a,b)|0;return e|0}else if((d|0)==4){ce[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];e=0;return e|0}else if((d|0)==1){d=c[a+4>>2]|0;f=c[d+4>>2]|0;Ls(c[d>>2]|0,+h[f>>3],c[f+8>>2]|0,c[a+112>>2]|0,b);e=0;return e|0}else{e=1;return e|0}return 0}function Ks(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8032+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8032+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];Xd[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function Ls(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function Ms(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=Xo(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==2){g=cT(8)|0;c[g+4>>2]=4;j=cT(20)|0;k=g;c[k>>2]=j;l=c[b+112>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=eT(l,8)|0;j=m+1|0;if((j|0)>=5){break}m=j;n=c[k>>2]|0}c[d+48>>2]=g;o=0}else if((f|0)==3){k=cT(88)|0;Qo(23,0,507416,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;n=$q(b,d,k)|0;c[d+48>>2]=k;o=n}else if((f|0)==4){n=c[135012]|0;k=cT(n<<2)|0;c[132622]=k;if((n|0)<=0){o=0;break}m=c[b+116>>2]|0;l=0;j=k;while(1){c[j+(l<<2)>>2]=eT(m,8)|0;k=l+1|0;if((k|0)>=(n|0)){o=0;break a}l=k;j=c[132622]|0}}else{o=0}}while(0);Zs(b)|0;if((c[134942]|0)==0){i=e;return o|0}bq(6);_p(1);i=e;return o|0}function Ns(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=c[b+24>>2]|0;if((d|0)==4){e=c[135012]|0;f=c[132622]|0;if((e|0)>0){g=0;h=f;while(1){dT(c[h+(g<<2)>>2]|0);i=g+1|0;j=c[132622]|0;if((i|0)<(e|0)){g=i;h=j}else{k=j;break}}}else{k=f}dT(k)}else if((d|0)==2){k=b+48|0;f=c[k>>2]|0;h=c[f>>2]|0;if(((c[f+4>>2]|0)+1|0)>0){f=0;g=h;while(1){dT(c[g+(f<<2)>>2]|0);e=f+1|0;j=c[k>>2]|0;i=c[j>>2]|0;if((e|0)<((c[j+4>>2]|0)+1|0)){f=e;g=i}else{l=i;break}}}else{l=h}dT(l);dT(c[k>>2]|0)}else if((d|0)==3){ar(c[b+48>>2]|0)|0}_s(a)|0;Us(a);return 0}function Os(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(274,a|0);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(76,a|0);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=IT(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Ea(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(14,1,0,509128,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(32,2,0,495552,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(32,23,0,486520,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[134942]|0)==0){k=8;break}else{k=7;break};case 7:pa(312,1);if((x|0)!=0&(y|0)!=0){l=JT(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function Ps(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}Qo(8,0,41752,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;zr(b);if((c[132840]|0)==0){Vd[c[2005]&127](8e3,b)}a[k]=0}}while(0);pF(37024,1.0);if((e|0)!=0){Qs(Lc(e|0)|0,b)}if((c[132663]|0)==0){i=f;return 0}bq(0);Qo(25,0,33256,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Qo(25,1,29560,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+Vp(6);l=+Vp(6);m=l/+Vp(0)*100.0;Qo(25,0,26608,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Vp(1);g=+Vp(1);l=g/+Vp(0)*100.0;Qo(25,0,24280,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Vp(2);m=+Vp(2);g=m/+Vp(0)*100.0;Qo(25,0,512264,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+Vp(3);l=+Vp(3);m=l/+Vp(0)*100.0;Qo(25,0,509440,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Vp(4);g=+Vp(4);l=g/+Vp(0)*100.0;Qo(25,0,506552,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Vp(7);m=+Vp(7);g=m/+Vp(0)*100.0;Qo(25,0,504120,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+Vp(0);l=g- +Vp(7);g=l- +Vp(4);l=g- +Vp(3);g=l- +Vp(2);l=g- +Vp(1);g=l- +Vp(6);l=+Vp(0);m=l- +Vp(7);l=m- +Vp(4);m=l- +Vp(3);l=m- +Vp(2);m=l- +Vp(1);l=m- +Vp(6);m=l/+Vp(0)*100.0;if(e){Qo(25,0,501552,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{Qo(25,0,502664,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+Vp(0);g=+Vp(0);l=g/+Vp(0)*100.0;Qo(25,0,500240,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;Ud[c[3702]&511](25);Qo(25,1,499296,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Qo(25,0,498216,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;Qo(25,0,497480,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;Ud[c[3702]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);Qo(25,1,496640,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Qo(25,0,495760,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;Qo(25,0,494256,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;Qo(25,0,493376,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;Qo(25,0,492736,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;Qo(25,0,491984,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;Ud[c[3702]&511](25)}else if((e|0)!=5){Qo(25,1,491136,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Qo(25,0,490280,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Ud[c[3702]&511](25)}Qo(25,0,488872,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;_p(0);i=f;return 0}function Qs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Xa(b|0,45336)|0;b=c[r>>2]|0;g=d+4|0;nd(b|0,44528,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((CT(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];nd(b|0,43904,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((CT(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;nd(b|0,43304,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((CT(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;nd(b|0,42656,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((CT(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;nd(b|0,41968,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((CT(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){nd(b|0,43904,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{nd(b|0,43904,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((CT(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){nd(b|0,43304,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{nd(b|0,43304,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((CT(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){nd(b|0,42656,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{nd(b|0,42656,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((CT(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;nd(b|0,41968,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((CT(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];nd(b|0,43904,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((CT(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;nd(b|0,43304,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((CT(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;nd(b|0,42656,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((CT(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;nd(b|0,41968,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Xa(0,45336)|0;}while((d|0)!=0);k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}function Rs(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};case 8:case 7:case 6:case 9:case 10:case 11:{So(1,0,488176,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 5:{So(1,0,487560,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 4:{r=c[138452]|0;if((r|0)!=0){if((CT(r,486776)|0)==0){break a}}Qo(23,0,485152,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 18:{r=c[138452]|0;do{if((r|0)!=0){if((CT(r,484208)|0)!=0){break}c[o>>2]=4;break a}}while(0);Qo(23,0,406160,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};default:{}}}while(0);k=Ms(b,n)|0;ie[c[2175]&15]()|0;if((a[b+440|0]|0)!=0){$s(b)|0;Xd[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){r=Os(b,d,e,f,g,j)|0;ie[c[2175]&15]()|0;if((r|0)!=0){s=r;break}if((c[o>>2]|0)!=5){Vd[c[2005]&127](8e3,b);Jr(b)}t=+h[b+248>>3];Qo(23,0,46200,(p=i,i=i+16|0,h[p>>3]=+h[b+240>>3],h[p+8>>3]=t,p)|0);i=p;r=ge[c[c[b+540>>2]>>2]&127](b,n)|0;ie[c[2175]&15]()|0;Ps(b,n,l)|0;ie[c[2175]&15]()|0;s=r}else{ie[c[2175]&15]()|0;s=k}}while(0);Ns(b,n)|0;q=s;i=m;return q|0}function Ss(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((Xd[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){Uo(c[a+536>>2]|0,506640,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){Ts(a);i=b;return}}function Ts(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;HT(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function Us(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;dT(c[e+(a*48|0)+28>>2]|0);dT(c[e+(a*48|0)+32>>2]|0);dT(c[e+(a*48|0)+16>>2]|0);dT(c[e+(a*48|0)+20>>2]|0);dT(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function Vs(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=cT(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=cT(c[s>>2]<<2)|0;Ws(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;GT(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;GT(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((_q(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=Xs(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){GT(c[u>>2]|0,r|0,c[q>>2]<<2)|0;GT(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;dT(r);dT(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;So(5,1,508864,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Pb(j|0,495400,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}So(5,0,486344,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3702]|0;Ud[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Uo(F,41544,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{So(5,0,486344,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3702]|0;Ud[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Uo(F,41544,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function Ws(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;HT(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Xd[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function Xs(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=eT(d,4)|0;p=o;q=eT(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){dT(o);dT(q);i=n;return v|0}if((m|0)==0){v=-1;dT(o);dT(q);i=n;return v|0}Qo(5,1,36960,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;Ys(r,d,f,c[g>>2]|0,j,k,l);if((c[132643]|0)==0){v=-1;dT(o);dT(q);i=n;return v|0}Ud[c[3702]&511](5);v=-1;dT(o);dT(q);i=n;return v|0}function Ys(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;HT(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;Qo(5,0,33112,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function Zs(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=zc(505840,508784)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Cb(e|0)|0;if((f|0)==(-1|0)){break a}else if((f|0)==10){break}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;zd(e|0);do{}while((Cb(e|0)|0)!=10);j=c[b+152>>2]|0;k=eT(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=eT(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=eT(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=Wc(e|0,495384,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=Wc(e|0,495384,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=eT(l,8)|0;q=n}}while(0);xc(486320,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;xc(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{xc(36936,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];xc(33096,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Ec(7912)|0;Pa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function _s(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}dT(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){dT(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}dT(j);return 0}function $s(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function at(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+bt(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[132647]|0)==0){e=1;i=b;return e|0}Qo(9,1,505568,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){Qo(9,0,508632,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}Ud[c[3702]&511](9);e=1;i=b;return e|0}function bt(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;qt(b);f=e+540|0;Xd[c[(c[f>>2]|0)+84>>2]&255](e)|0;Xd[c[(c[f>>2]|0)+36>>2]&255](e)|0;Xd[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;ge[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function ct(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+bt(b,1.0);if((c[132647]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}Qo(9,1,495200,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){Qo(9,0,41520,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{Qo(9,0,486280,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}Qo(9,1,36912,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){Qo(9,0,29504,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];Qo(9,0,33048,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){Qo(9,0,24216,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];Qo(9,0,26520,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){Qo(9,0,509384,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];Qo(9,0,512192,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}Ud[c[3702]&511](9);Qo(9,1,506496,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=Xd[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){Qo(9,0,29504,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];Qo(9,0,33048,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}Ud[c[3702]&511](9);Ud[c[3702]&511](9);i=d;return}function dt(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[132647]|0)!=0){Kr(b,9)}if((c[132662]|0)==0){i=d;return}Qo(24,1,504072,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){Qo(24,1,502632,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];Qo(24,0,501464,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}Ud[c[3702]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}Qo(24,1,500208,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];Qo(24,0,499256,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}Ud[c[3702]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){Qo(24,1,498184,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];Qo(24,0,501464,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}Ud[c[3702]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){Qo(24,1,497448,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;Qo(24,0,496584,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}Ud[c[3702]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){Qo(24,1,495728,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?493360:492720;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?493360:492720;l=(a[(c[o>>2]|0)+j|0]|0)!=0?493360:492720;Qo(24,0,494200,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}Ud[c[3702]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){Qo(24,1,491952,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;Qo(24,0,491080,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}Ud[c[3702]&511](24)}Ud[c[3702]&511](24);i=d;return}function et(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;Qo(9,0,490240,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){Hr(b);Ir(b);o=6}else{if((a[f]|0)!=0){ft(b,f,g)}Hr(b);Ir(b);if((a[f]|0)==0){o=6}}if((o|0)==6){Xd[c[(c[l>>2]|0)+84>>2]&255](b)|0;Xd[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(CT(d,27008)|0)==0|0;f=(CT(d,26824)|0)==0;q=(CT(d,26720)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}So(1,0,488144,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;So(1,0,487536,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;So(1,0,486760,(n=i,i=i+16|0,c[n>>2]=27008,c[n+8>>2]=27520,n)|0);i=n;So(1,0,486760,(n=i,i=i+16|0,c[n>>2]=26824,c[n+8>>2]=27232,n)|0);i=n;So(1,0,486760,(n=i,i=i+16|0,c[n>>2]=26720,c[n+8>>2]=27112,n)|0);i=n;Uo(c[b+536>>2]|0,485128,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(CT(e,c[527328+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}So(1,0,484176,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;So(1,0,487536,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[527392+(d<<2)>>2]|0;So(1,0,486760,(n=i,i=i+16|0,c[n>>2]=c[527328+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);Uo(c[b+536>>2]|0,485128,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[529784+(p<<2)>>2]|0;Qo(9,0,406120,(n=i,i=i+16|0,c[n>>2]=c[529768+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[527392+(s<<2)>>2]|0;Qo(9,0,46160,(n=i,i=i+16|0,c[n>>2]=c[527328+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=gt(b,s,j)|0;break}if((p|0)==3){ht(b,j);v=0;break}else{Uo(c[b+536>>2]|0,45312,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((ss(b,1)|0)==0){if((ks(b,1)|0)!=0){w=-3;break}j=(_r(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);dt(b);Qo(9,0,44496,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;qr(b,+h[b+240>>3],+h[b+248>>3]);Er(b);Jr(b);zr(b);Xd[c[(c[l>>2]|0)+52>>2]&255](b)|0;ge[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;Fr(b);i=k;return w|0}function ft(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;Qo(9,0,25960,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=yp(d,g)|0;if((l|0)!=0){Uo(c[b+536>>2]|0,25720,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}Qo(9,0,25616,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=zp(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=kt(c[o+(m*112|0)+4>>2]|0)|0;q=zp(g,p)|0;dT(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((DT(q,25432,6)|0)==0){if((c[132647]|0)==0){break}}else{p=DT(q,25232,6)|0;if((c[132647]|p|0)==0){break}}So(9,0,25104,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;Fp(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];Qo(9,0,25536,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}Qo(9,0,24928,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=zp(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=kt(c[o+(r*112|0)+4>>2]|0)|0;q=zp(g,n)|0;dT(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}So(9,0,24672,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;Fp(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];Qo(9,0,25536,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Qo(9,0,24472,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=zp(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=kt(c[v+(l*112|0)+4>>2]|0)|0;o=zp(g,w)|0;dT(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}So(9,0,24672,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;Fp(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];Qo(9,0,25536,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}Qo(9,0,23264,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=zp(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=kt(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=zp(g,y)|0;dT(y);if((v|0)!=0){z=v;t=31;break}So(9,0,22896,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;Fp(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;Qo(9,0,22960,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Qo(9,0,22608,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){wp(g);i=f;return}r=b+32|0;b=0;do{l=zp(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=kt(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=zp(g,z)|0;dT(z);if((x|0)!=0){A=x;t=38;break}So(9,0,22336,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;Fp(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?493360:492720;Qo(9,0,22528,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));wp(g);i=f;return}function gt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;pr(a,+h[a+240>>3]);Er(a);Jr(a);zr(a);Lr(a);Ts(a);Ar(a);Er(a);d=it(a,b,c)|0;Jr(a);zr(a);Fr(a);Jr(a);return d|0}function ht(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;pr(b,+h[b+240>>3]);Er(b);Jr(b);Vs(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=eT(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=eT(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=eT(c[r>>2]|0,1)|0;t=b+132|0;u=eT(c[t>>2]|0,4)|0;v=u;w=b+536|0;To(c[w>>2]|0,(m|0)!=0|0,43888,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;To(c[w>>2]|0,(p|0)!=0|0,43888,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;To(c[w>>2]|0,(s|0)!=0|0,43888,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;To(c[w>>2]|0,(u|0)!=0|0,43888,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[132647]|0)==0){A=0}else{w=f|0;Pb(w|0,43288,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=zc(w|0,42648)|0;nd(f|0,41960,(x=i,i=i+8|0,c[x>>2]=40552,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{nd(f|0,41960,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Wa(10,f|0)|0;A=f}Qo(9,1,39672,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;Xd[c[(c[g>>2]|0)+80>>2]&255](b)|0;Qo(9,0,39320,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[132647]|0)!=0){nd(A|0,38888,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{nd(A|0,38888,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Wa(10,A|0)|0}if((ss(b,0)|0)!=0){break a}if((ks(b,0)|0)!=0){break a}if((_r(b,0)|0)!=0){break a}Mr(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);Ud[c[3702]&511](9);if((c[132647]|0)!=0){Pa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}dT(m);dT(p);dT(s);dT(u)}else{h[b+304>>3]=1.0;Xd[c[j+80>>2]&255](b)|0}Br(b);if((Vs(b,1,1)|0)!=1){i=e;return}Xd[c[(c[g>>2]|0)+80>>2]&255](b)|0;Br(b);if((Vs(b,1,1)|0)!=1){i=e;return}So(1,0,38408,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function it(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=lt(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){Qo(9,0,38128,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){ge[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}dT(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){Qo(9,0,37824,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ge[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;dT(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){Qo(9,1,37520,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=cT(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+bt(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+bt(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}Qo(9,1,37152,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];Qo(9,0,35880,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];Qo(9,0,35880,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];Qo(9,0,35880,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[132647]|0)!=0){Ud[c[3702]&511](9);Ud[c[3702]&511](9)}dT(p);mt(g);v=lt(b)|0;if((c[v>>2]|0)!=0){R=v;break}Qo(9,0,35528,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;dT(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}Qo(9,0,35280,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){Qo(9,0,34976,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;jt(R,d,1,e);ct(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+bt(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){dT(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){dT(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){dT(Q);c[g>>2]=0}jt(R,d,0,e);ct(b,R);+bt(R,1.0)}else{Qo(9,0,34696,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}Qo(9,1,34352,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ct(b,R);b=at(R)|0;if((c[132647]|0)!=0){Ud[c[3702]&511](9)}mt(R);m=b;i=f;return m|0}function jt(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=cT(c[k>>2]<<3)|0;m=l;n=+bt(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;ot(a,m);dT(l);u=t-1|0;Qo(9,0,31960,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){Qo(9,0,34160,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){nt(a)}switch(b|0){case 1:{w=vt(a)|0;break};case 2:{w=tt(a)|0;break};case 3:{w=xt(a,g,e)|0;break};case 4:{w=st(a)|0;break};case 5:{w=st(a)|0;break};case 6:{w=rt(j,a,0)|0;break};default:{x=15;break a}}Jr(j);zr(j);Fr(j);Jr(j);n=+bt(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}Qo(9,0,33624,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;ct(j,a);A=n}else{Qo(9,0,33392,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){Uo(c[j+536>>2]|0,33912,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){ot(a,m);dT(l);u=t-1|0;Qo(9,0,31960,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function kt(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=ET(b|0)|0;do{if((c|0)==0){d=0;e=cT(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==91){j=f+1|0}else if((i<<24>>24|0)==93){j=f-1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=cT(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==91){o=l+1|0}else if((g<<24>>24|0)==93){o=l-1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((BT(e,22192,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;GT(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((BT(e,22192,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function lt(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=cT(64)|0;f=e;To(0,(e|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;HT(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=eT(I,8)|0;c[p>>2]=j;To(0,(j|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=eT(I,8)|0;c[q>>2]=j;To(0,(j|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=eT(I,8)|0;c[r>>2]=j;To(0,(j|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=eT(I,8)|0;c[s>>2]=j;To(0,(j|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=eT(I,8)|0;c[t>>2]=j;To(0,(j|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=eT(I,4)|0;z=j;c[u>>2]=z;To(0,(j|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Qo(9,0,508104,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Qo(9,0,494912,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];Qo(9,0,486024,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];Qo(9,0,41400,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];Qo(9,0,36856,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;Qo(9,0,32976,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;Qo(9,0,29464,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=eT(ca,8)|0;c[v>>2]=ha;To(0,(ha|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=cT(ca<<3)|0;v=ha;c[w>>2]=v;To(0,(ha|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=cT(ia<<3)|0;w=ha;c[x>>2]=w;To(0,(ha|0)!=0|0,503456,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function mt(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){dT(b)}b=c[a+28>>2]|0;if((b|0)!=0){dT(b)}b=c[a+32>>2]|0;if((b|0)!=0){dT(b)}b=c[a+36>>2]|0;if((b|0)!=0){dT(b)}b=c[a+40>>2]|0;if((b|0)!=0){dT(b)}b=c[a+44>>2]|0;if((b|0)!=0){dT(b)}b=c[a+48>>2]|0;if((b|0)!=0){dT(b)}b=c[a+52>>2]|0;if((b|0)!=0){dT(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;dT(d);return}dT(b);d=a;dT(d);return}function nt(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=eT(n,8)|0;p=o;q=eT(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=eT(t,8)|0;v=u;w=eT(t,8)|0;x=w;y=eT(n,8)|0;z=y;A=eT(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+bt(b,1.0);t=c[m>>2]|0;if((t|0)>0){GT(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+bt(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){GT(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;Qo(9,0,26448,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}dT(o);dT(q);dT(u);dT(w);dT(y);dT(A);i=d;return}function ot(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function pt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function qt(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function rt(a,b,d){a=a|0;b=b|0;d=d|0;Uo(c[a+536>>2]|0,503288,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function st(a){a=a|0;Uo(0,503248,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function tt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[132647]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=eT((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;To(0,(n|0)!=0|0,503232,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[135030]=c[a+60>>2];c[135026]=c[a+48>>2];Rq(k,j,c[a+24>>2]|0,g,f,d,e,n,4);dT(n);c[135030]=0;c[135026]=0;n=at(a)|0;i=b;return n|0}function ut(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;HT(f+28|0,0,20)|0;c[f+48>>2]=c[135026];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[135030];h[d>>3]=+bt(f,1.0);i=e;return}function vt(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=cT(o)|0;q=p;r=cT(o)|0;o=r;To(0,(p|0)!=0|0,503168,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;To(0,(r|0)!=0|0,503168,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[132647]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+bt(a,1.0);h[d>>3]=v;if(v!=0.0){c[135028]=c[a+60>>2];c[135024]=c[a+48>>2];Oq(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[135028]=0;c[135024]=0}else{Qo(9,0,508e3,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+bt(a,1.0);h[d>>3]=v;Qo(9,0,494896,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==2){So(9,0,41320,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==3){So(9,0,36584,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}So(9,0,485944,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}else if((o|0)==4){So(9,0,32712,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}}while(0);x=at(a)|0;i=b;return x|0}function wt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;HT(f+28|0,0,20)|0;c[f+48>>2]=c[135024];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[135028];h[d>>3]=+bt(f,1.0);i=e;return}function xt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;Qo(9,1,503072,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[132647]|0)==0){k=0}else{k=(g|0)/10|0}yt(a,d,g,k,b,f);Qo(9,0,507984,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;Ud[c[3702]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=at(a)|0;if((b|0)==0){l=0;i=e;return l|0}So(9,0,494848,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function yt(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=cT(ga(n,m)|0)|0;p=o;q=cT(m<<3)|0;r=q;s=cT(n)|0;t=s;u=cT(n)|0;v=u;w=cT(n)|0;x=w;y=cT(n)|0;n=y;z=+h[f>>3];if((c[132647]|0)!=0&z<1.0){A=j|0;Pb(A|0,485928,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=zc(A|0,41312)|0;nd(C|0,36576,(B=i,i=i+8|0,c[B>>2]=32696,B)|0)|0;i=B;nd(C|0,36576,(B=i,i=i+8|0,c[B>>2]=29408,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{nd(C|0,36576,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Wa(10,C|0)|0;nd(C|0,24136,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;nd(C|0,512176,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{nd(C|0,512176,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Wa(10,C|0)|0;E=C}else{E=0}To(0,(o|0)!=0|0,509368,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;To(0,(q|0)!=0|0,509368,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;To(0,(s|0)!=0|0,509368,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;To(0,(u|0)!=0|0,509368,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;To(0,(w|0)!=0|0,509368,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;To(0,(y|0)!=0|0,509368,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{pt(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+bt(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;pt(a,ba);+bt(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];Qo(9,0,506456,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){HT(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);pt(a,t);ra=+bt(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}GT(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}pt(a,v);if(+bt(a,Q)<ra){if(!F){U=W;continue}GT(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}GT(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}pt(a,x);sa=+bt(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}pt(a,x);sa=+bt(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}GT(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];Qo(9,0,504024,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}nd(E|0,24136,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;nd(E|0,512176,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{nd(E|0,512176,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Wa(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){So(9,0,502616,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;So(9,0,501448,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;Uo(0,500160,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}pt(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){dT(u);dT(s);dT(w);dT(y);dT(q);dT(o);i=j;return}nd(E|0,24136,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;nd(E|0,512176,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{nd(E|0,512176,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Wa(10,E|0)|0;Pa(E|0)|0;dT(u);dT(s);dT(w);dT(y);dT(q);dT(o);i=j;return}function zt(a,b){a=a|0;b=b|0;return}function At(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;_p(3);bq(0);g=+Vp(0);_p(0);j=d+4|0;nd(f|0,503024,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){nd(f|0,503024,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){nd(f|0,503024,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){nd(f|0,507960,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){nd(f|0,507960,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){nd(f|0,494840,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){nd(f|0,503024,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{nd(f|0,503024,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){nd(f|0,507960,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{nd(f|0,507960,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){nd(f|0,507960,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{nd(f|0,507960,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Wa(10,f|0)|0;bq(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}nd(f|0,494840,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Wa(10,f|0)|0;bq(3);i=e;return}function Bt(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=zc(c[f>>2]|0,41304)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=Zc(c[(Yc()|0)>>2]|0)|0;To(h,(g|0)!=0|0,36520,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=32688,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=29392,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}nd(g|0,494840,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function Ct(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;_p(3);Pa(b|0)|0;bq(3);return}function Dt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;oL(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];pL(n,k)|0;Et(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;Ft(a,b,502896,c[f>>2]|0,c[e>>2]|0,m,8);dT(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];pL(n,l)|0;i=d;return}function Et(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=eT(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;To(c[b+536>>2]|0,(p|0)!=0|0,506416,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function Ft(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;Pt(a,b,d,e,f,h);nL(k,g,ga(ga(f,e)|0,h)|0)|0;if(KJ(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){Uo(c[b+536>>2]|0,512136,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function Gt(a){a=a|0;if((Hu(a+4|0)|0)!=0){return}NJ(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function Ht(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=iT(320)|0;HT(p|0,0,320)|0;It(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;_p(3);s=a+8|0;t=Jt(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=Kt(a,b,t+r|0)|0;t=p+184|0;Lt(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;Lt(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;Mt(p,c[w>>2]|0,36);if(KJ(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){Uo(c[b+536>>2]|0,507928,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}Ft(a,b,494832,4,11,530432,1);Nt((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;Ft(a,b,485920,c[f>>2]|0,c[g>>2]|0,x,1);dT(x);c[e>>2]=0;Nt((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;Ft(a,b,41288,c[f>>2]|0,c[g>>2]|0,x,1);dT(x);c[e>>2]=0;Ot(a,b,j,f,g,c[q>>2]|0,r);Ft(a,b,36504,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;oL(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];Et(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;Ft(a,b,502896,c[g>>2]|0,c[f>>2]|0,m,8);oL(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=Qt(p+240|0)|0;v=Qt(p+264|0)|0;o=Qt(p+288|0)|0;Pt(a,b,32680,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);dT(m);dT(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;VK(r)|0;dT(u);bq(3);i=d;return}function It(a){a=a|0;Rw(a);return}function Jt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(Vv(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(Vv(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(Vv(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function Kt(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=cT(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=18912;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(Vv(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(Vv(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(Vv(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function Lt(a,b,c){a=a|0;b=b|0;c=c|0;Gu(a,b,c);return}function Mt(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Fu(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){NJ(d,4);return}else{LJ(d,0);return}}function Nt(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=ET(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=eT((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;To(0,(m|0)!=0|0,24096,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;FT(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;Ut(l,ET(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=eT(1,1)|0;c[d>>2]=o;To(0,(o|0)!=0|0,24096,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function Ot(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=eT(c[f>>2]<<2,4)|0;c[e>>2]=g;To(c[d+536>>2]|0,(g|0)!=0|0,509328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=Qt(g)|0;h=s+264|0;t=Qt(h)|0;u=s+288|0;v=Qt(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=Qt(g)|0;D=Qt(h)|0;E=Qt(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==1){Vt(l,t,A+(v*52|0)+4|0);Xt(n,t);if(!(Wt(l,n)|0)){F=w;break}G=1;H=(c[(Yt(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==0){Vt(l,g,A+(v*52|0)+4|0);Xt(m,g);if(!(Wt(l,m)|0)){F=w;break}G=2;H=(c[(Yt(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==2){G=2;H=1}else{F=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=G;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=H}else{c[z+(w+1<<2)>>2]=-H}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;F=w+4|0}else{F=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=F;v=A}else{I=F;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){F=d+44|0;v=s+276|0;w=I;b=0;while(1){H=c[F>>2]|0;do{if((a[H+(b*52|0)+48|0]|0)==0){f=a[H+(b*52|0)+8|0]|0;if((f<<24>>24|0)==0){Vt(l,h,H+(b*52|0)+4|0);Xt(o,h);G=Wt(l,o)|0;J=G?2:0}else if((f<<24>>24|0)==1){Vt(l,v,H+(b*52|0)+4|0);Xt(p,v);J=(Wt(l,p)|0)&1}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;G=(c[(c[F>>2]|0)+(b*52|0)>>2]|0)==0;m=c[(Yt(l)|0)+4>>2]|0;if(G){c[f+(w+1<<2)>>2]=m+1}else{c[f+(w+1<<2)>>2]=~m}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);H=b+1|0;if((H|0)<(c[x>>2]|0)){w=K;b=H}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==0){Vt(l,u,w+(y*52|0)+4|0);Xt(q,u);F=Wt(l,q)|0;M=F?2:0}else if((x<<24>>24|0)==1){Vt(l,d,w+(y*52|0)+4|0);Xt(r,d);M=(Wt(l,r)|0)&1}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(Yt(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function Pt(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(ET(d|0)|0)+1;e=k;nL(e,j,20)|0;j=k;if(KJ(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Uo(c[b+536>>2]|0,512136,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}nL(e,d,c[f>>2]|0)|0;if(KJ(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Uo(c[b+536>>2]|0,512136,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function Qt(a){a=a|0;return c[(Cu(a|0)|0)>>2]|0}function Rt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;_p(3);do{if(JJ(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];pL(g,e)|0;j=Qt(g+240|0)|0;k=Qt(g+264|0)|0;l=Qt(g+288|0)|0;Pt(a,b,32680,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);Gt(g)}else{if((g|0)!=0){break}c[f>>2]=0;bq(3);i=d;return}}while(0);St(h);kT(g);c[f>>2]=0;bq(3);i=d;return}function St(a){a=a|0;_u(a);return}function Tt(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;_p(3);bq(0);h[g>>3]=+Vp(0);_p(0);k=j;l=d+4|0;nL(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){nL(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){nL(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);nL(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);nL(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);nL(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(KJ(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Uo(c[d+536>>2]|0,26336,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;bq(3);i=e;return}}function Ut(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((DT(b,491912,4)|0)!=0){return}c=b;while(1){d=Tb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((DT(b,491912,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function Vt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;ou(e,b|0,c);eu(a,e);i=d;return}function Wt(a,b){a=a|0;b=b|0;return cu(a|0,b|0)|0}function Xt(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;fu(d,b|0);eu(a,d);i=c;return}function Yt(a){a=a|0;return Zt(_t(a|0)|0)|0}function Zt(a){a=a|0;return bu(a)|0}function _t(a){a=a|0;return $t((c[a>>2]|0)+16|0)|0}function $t(a){a=a|0;return au(a)|0}function au(a){a=a|0;return a|0}function bu(a){a=a|0;return a|0}function cu(a,b){a=a|0;b=b|0;return(du(a,b)|0)^1|0}function du(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function eu(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];nu(a,b);i=d;return}function fu(a,b){a=a|0;b=b|0;gu(a,hu(b)|0);return}function gu(a,b){a=a|0;b=b|0;mu(a,b);return}function hu(a){a=a|0;return iu(ju(a+4|0)|0)|0}function iu(a){a=a|0;return lu(a)|0}function ju(a){a=a|0;return ku(a|0)|0}function ku(a){a=a|0;return a|0}function lu(a){a=a|0;return a|0}function mu(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function nu(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function ou(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=qu(b)|0;pu(f,b,d,h,hu(b)|0);fu(g,b);do{if(cu(f,g)|0){h=ru(b)|0;if(su(h,d,tu(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);fu(a,b);i=e;return}function pu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;xu(h);a:do{if((e|0)==0){j=f}else{k=ru(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(yu(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;xu(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;xu(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);gu(a,j);i=g;return}function qu(a){a=a|0;return c[(hu(a)|0)>>2]|0}function ru(a){a=a|0;return vu(a+8|0)|0}function su(a,b,c){a=a|0;b=b|0;c=c|0;return uu(0,b,c|0)|0}function tu(a){a=a|0;return(c[a>>2]|0)+16|0}function uu(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function vu(a){a=a|0;return wu(a|0)|0}function wu(a){a=a|0;return a|0}function xu(a){a=a|0;zu(a,-1);return}function yu(a,b,c){a=a|0;b=b|0;c=c|0;return uu(0,b|0,c)|0}function zu(a,b){a=a|0;b=b|0;Au(a,0);return}function Au(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function Bu(a){a=a|0;return c[a+4>>2]|0}function Cu(a){a=a|0;return Du(a+8|0)|0}function Du(a){a=a|0;return Eu(a|0)|0}function Eu(a){a=a|0;return a|0}function Fu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 56:{f=499248;break};case 24:{f=500152;break};case 28:{f=494192;break};case 25:case 9:{f=498176;break};case 60:{f=493352;break};case 16:case 48:{f=504016;break};case 12:{f=495720;break};case 8:{f=501440;break};case 21:case 5:{f=496576;break};case 17:case 1:{f=502608;break};case 20:case 52:{f=497440;break};case 29:case 13:{f=492712;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=zc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((vd(h|0,0,2)|0)==0){g=a;break}Pa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function Gu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function Hu(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}Iu(d,f,130);f=Xd[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Pa(Ju(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}Ku(d);g=h;i=b;return g|0}function Iu(a,b,c){a=a|0;b=b|0;c=c|0;Ru(a,b,c);return}function Ju(a){a=a|0;var b=0;b=Nu(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Ku(a){a=a|0;Lu(a);return}function Lu(a){a=a|0;Mu(a,0);return}function Mu(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Nu(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Xd[c[(Ou(d)|0)>>2]&255](e)|0;return}function Nu(a){a=a|0;return Qu(a|0)|0}function Ou(a){a=a|0;return Pu(a|0)|0}function Pu(a){a=a|0;return a+4|0}function Qu(a){a=a|0;return a|0}function Ru(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(Tu(f)|0)>>2]|0;Su(a|0,d,c[(Uu(g)|0)>>2]|0);i=e;return}function Su(a,b,c){a=a|0;b=b|0;c=c|0;Vu(a,b,c);return}function Tu(a){a=a|0;return a|0}function Uu(a){a=a|0;return a|0}function Vu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(Xu(f)|0)>>2]|0;Wu(a|0,d,c[(Yu(g)|0)>>2]|0);i=e;return}function Wu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(Xu(f)|0)>>2];c[a+4>>2]=c[(Yu(g)|0)>>2];i=e;return}function Xu(a){a=a|0;return a|0}function Yu(a){a=a|0;return a|0}function Zu(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function _u(a){a=a|0;$u(a+300|0);$u(a+288|0);$u(a+276|0);$u(a+264|0);$u(a+252|0);$u(a+240|0);av(a|0);return}function $u(a){a=a|0;Mv(a);return}function av(a){a=a|0;bv(a,516584);RJ(a+104|0);return}function bv(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];fv(a+4|0);return}function cv(a){a=a|0;av(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function dv(a){a=a|0;av(a);kT(a);return}function ev(a){a=a|0;dv(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function fv(a){a=a|0;gv(a);return}function gv(b){b=b|0;var d=0;c[b>>2]=515880;Hu(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}lT(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}lT(d)}}while(0);_J(b|0);return}function hv(a){a=a|0;fv(a);kT(a);return}function iv(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;Xd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=Kv(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=Lv(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;iK(g,0,0,0);nK(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}lT(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=jT(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=jT(g)|0;a[b+97|0]=1;return}function jv(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;iK(e,0,0,0);nK(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}lT(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}lT(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=jT(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(Hv(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=jT(o)|0;a[k]=1;i=f;return e|0}return 0}function kv(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=Ad(4)|0;JS(m);vc(m|0,519944,180)}m=Dv(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((Xd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){Lt(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=YT(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((vd(o|0,p|0,f|0)|0)==0){o=Nb(c[l>>2]|0)|0;Lt(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;Gv(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{Lt(a,-1,-1);i=g;return}}}while(0);Lt(a,-1,-1);i=g;return}function lv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((Xd[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=Zu(d)|0;if((vd(j|0,k|0,0)|0)==0){Fv(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{Lt(a,-1,-1);i=e;return}}}while(0);Lt(a,-1,-1);i=e;return}function mv(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=Ad(4)|0;JS(m);vc(m|0,519944,180);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=Dv(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=gK(s)|0;u=(ga(t-(fK(s)|0)|0,p)|0)+r|0;v=0;break}p=fK(s)|0;if((p|0)==(gK(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=Ev(t,g,x,q,p-(eK(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=gK(w)|0;u=o-(fK(w)|0)|0;v=0}}while(0);if((vd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;iK(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=kK(o)|0;do{if((w|0)!=(jK(o)|0)){if((ge[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=Cv(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Ya(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Ta(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function nv(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=xv(b)|0;o=b|0;if((fK(o)|0)==0){p=e+1|0;iK(o,e,p,p)}if(n){q=0}else{n=gK(o)|0;c[f>>2]=(n-(eK(o)|0)|0)/2|0;c[g>>2]=4;q=c[(yv(f,g)|0)>>2]|0}g=fK(o)|0;do{if((g|0)==(gK(o)|0)){KT(eK(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=gK(o)|0;n=eK(o)|0;p=jd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=eK(o)|0;iK(o,n,n+q|0,n+(p+q)|0);r=vv(a[fK(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;KT(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(yv(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=jd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=Ad(4)|0;JS(t);vc(t|0,519944,180);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=eK(o)|0;if((zv(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;iK(o,f,f,c[s>>2]|0);r=vv(a[fK(o)|0]|0)|0;break}s=c[k>>2]|0;f=eK(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}iK(o,f,p,s);r=vv(a[fK(o)|0]|0)|0}else{r=vv(a[g]|0)|0}}while(0);if((eK(o)|0)!=(e|0)){m=r;i=d;return m|0}iK(o,0,0,0);m=r;i=d;return m|0}function ov(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=eK(f)|0;h=fK(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(rv(d,-1)|0){hK(f,-1);e=uv(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=sv(d)|0;do{if(g){if(wv(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);hK(f,-1);a[fK(f)|0]=b;e=d;return e|0}function pv(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}qv(b);l=b|0;m=jK(l)|0;n=lK(l)|0;if(!(rv(d,-1)|0)){if((kK(l)|0)==0){nK(l,f,f+1|0)}f=sv(d)|0;a[kK(l)|0]=f;mK(l,1)}f=kK(l)|0;o=jK(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=Ad(4)|0;u=t;JS(u);vc(t|0,519944,180);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=jK(l)|0;y=kK(l)|0;z=tv(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=jK(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Ya(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;nK(l,z,kK(l)|0);z=lK(l)|0;mK(l,z-(jK(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=Ad(4)|0;u=t;JS(u);vc(t|0,519944,180);return 0}else if((B|0)==14){p=(kK(l)|0)-A|0;if((Ya(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Ya(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);nK(l,m,n)}k=uv(d)|0;i=e;return k|0}function qv(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;iK(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;nK(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;nK(e,g,g+(f-1)|0);break}}else{nK(e,0,0)}}while(0);c[d>>2]=16;return}function rv(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function sv(a){a=a|0;return a&255|0}function tv(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return me[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function uv(a){a=a|0;var b=0;b=rv(a,-1)|0;return(b?0:a)|0}function vv(a){a=a|0;return a&255|0}function wv(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function xv(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;nK(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;iK(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;iK(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function yv(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=Av(a,b,c|0)|0;i=c;return d|0}function zv(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return me[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function Av(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Bv(0,c,b)|0;i=e;return(f?c:b)|0}function Bv(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function Cv(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Yd[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function Dv(a){a=a|0;return Xd[c[(c[a>>2]|0)+24>>2]&255](a)|0}function Ev(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Yd[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function Fv(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function Gv(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function Hv(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=Iv(a,b,c|0)|0;i=c;return d|0}function Iv(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=Jv(0,b,c)|0;i=e;return(f?c:b)|0}function Jv(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function Kv(a){a=a|0;return JP(a,556968)|0}function Lv(a){a=a|0;return Xd[c[(c[a>>2]|0)+28>>2]&255](a)|0}function Mv(a){a=a|0;Nv(a|0);return}function Nv(a){a=a|0;Ov(a);return}function Ov(a){a=a|0;Pv(a,qu(a)|0);return}function Pv(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;xu(d|0);if((b|0)==0){i=d;return}Pv(a,c[b>>2]|0);Pv(a,c[b+4>>2]|0);Rv(Qv(a)|0,b,1);i=d;return}function Qv(a){a=a|0;return Tv(a+4|0)|0}function Rv(a,b,c){a=a|0;b=b|0;c=c|0;Sv(0,b,0);return}function Sv(a,b,c){a=a|0;b=b|0;c=c|0;kT(b);return}function Tv(a){a=a|0;return Uv(a|0)|0}function Uv(a){a=a|0;return a|0}function Vv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=Wv(a,e,b)|0;k=c[j>>2]|0;xu(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}Yv(h,a,b);Zv(g,h);Xv(f,g);_v(h);h=c[e>>2]|0;$v(a|0,h,j,aw(f)|0);j=bw(f)|0;_v(f);l=j;m=l+20|0;i=d;return m|0}function Wv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=qu(h)|0;xu(e|0);if((a|0)==0){j=hu(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(uu(0,d,a)|0){m=l|0;j=c[m>>2]|0;xu(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(uu(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;xu(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function Xv(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];Pw(a,b);i=d;return}function Yv(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Qv(c|0)|0;c=yw(k,1)|0;zw(g,k);xw(f,c,g);Aw(0,tw((Bw(f)|0)+16|0)|0,d);d=Cw(f)|0;a[d+4|0]=1;Dw(0,sw((Bw(f)|0)+20|0)|0);a[d+5|0]=1;Ew(j,f);Zv(h,j);Xv(b,h);_v(j);_v(f);i=e;return}function Zv(a,b){a=a|0;b=b|0;vw(a,b);return}function _v(a){a=a|0;ow(a);return}function $v(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;xu(f|0);c[e>>2]=0;xu(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=gw(a)|0;b=c[c[e>>2]>>2]|0;xu(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(hu(a)|0)>>2]|0;hw(e,c[d>>2]|0);d=iw(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function aw(a){a=a|0;return c[(ew(a|0)|0)>>2]|0}function bw(a){a=a|0;var b=0;b=cw(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function cw(a){a=a|0;return dw(a|0)|0}function dw(a){a=a|0;return a|0}function ew(a){a=a|0;return fw(a|0)|0}function fw(a){a=a|0;return a|0}function gw(a){a=a|0;return a|0}function hw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=lw(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;xu(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;xu(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(lw(j)|0){p=j}else{o=c[k>>2]|0;mw(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;nw(p);i=e;return}else if((l|0)==14){if(lw(j)|0){p=c[k>>2]|0;nw(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;mw(q);i=e;return}else if((l|0)==17){i=e;return}}function iw(a){a=a|0;return jw(a+8|0)|0}function jw(a){a=a|0;return kw(a|0)|0}function kw(a){a=a|0;return a|0}function lw(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function mw(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;xu(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=lw(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function nw(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;xu(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=lw(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function ow(a){a=a|0;pw(a,0);return}function pw(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=cw(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}rw(qw(d)|0,e);return}function qw(a){a=a|0;return uw(a|0)|0}function rw(a,b){a=a|0;b=b|0;if((b|0)==0){return}Rv(c[a>>2]|0,b,1);return}function sw(a){a=a|0;return a|0}function tw(a){a=a|0;return a|0}function uw(a){a=a|0;return a+4|0}function vw(a,b){a=a|0;b=b|0;ww(a,b);return}function ww(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function xw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Hw(a,b,d);i=e;return}function yw(a,b){a=a|0;b=b|0;return Gw(0,b,0)|0}function zw(a,b){a=a|0;b=b|0;Fw(a,b);return}function Aw(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function Bw(a){a=a|0;return c[(ew(a|0)|0)>>2]|0}function Cw(a){a=a|0;return qw(a|0)|0}function Dw(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function Ew(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;vw(f,b);Xv(e,f);Zv(d,e);Xv(a,d);_v(e);i=c;return}function Fw(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function Gw(a,b,c){a=a|0;b=b|0;c=c|0;return iT(b*24|0)|0}function Hw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Jw(f)|0)>>2]|0;f=Kw(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Iw(a|0,b,g);i=e;return}function Iw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Lw(a,b,d);i=e;return}function Jw(a){a=a|0;return a|0}function Kw(a){a=a|0;return a|0}function Lw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Nw(f)|0)>>2]|0;f=Ow(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Mw(a|0,b,g);i=e;return}function Mw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(Nw(f)|0)>>2];f=Ow(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function Nw(a){a=a|0;return a|0}function Ow(a){a=a|0;return a|0}function Pw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=bw(Qw(b)|0)|0;g=Ow(Cw(Qw(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Iw(a|0,f,e);i=d;return}function Qw(a){a=a|0;return c[a>>2]|0}function Rw(a){a=a|0;var b=0;b=i;i=i+48|0;Sw(a|0);Lt(a+184|0,0,0);Lt(a+200|0,0,0);Tw(a+240|0,b|0);Tw(a+252|0,b+8|0);Tw(a+264|0,b+16|0);Tw(a+276|0,b+24|0);Tw(a+288|0,b+32|0);Tw(a+300|0,b+40|0);i=b;return}function Sw(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;WJ(b);d=a|0;c[d>>2]=515596;e=b|0;c[e>>2]=515616;b=a+4|0;bL(a,516588,b|0);c[d>>2]=515596;c[e>>2]=515616;ex(b);return}function Tw(a,b){a=a|0;b=b|0;Uw(a,0);return}function Uw(a,b){a=a|0;b=b|0;b=i;i=i+8|0;Vw(a|0,b|0);i=b;return}function Vw(a,b){a=a|0;b=b|0;Ww(a,0);return}function Ww(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;Xw(a+4|0);Yw(a+8|0,0,b|0);d=hu(a)|0;c[(gw(a)|0)>>2]=d;i=b;return}function Xw(a){a=a|0;ax(a);return}function Yw(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;Zw(b,c,d);i=e;return}function Zw(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;_w(b|0,c[($w(g)|0)>>2]|0,f+8|0);i=f;return}function _w(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[($w(g)|0)>>2];i=f;return}function $w(a){a=a|0;return a|0}function ax(a){a=a|0;bx(a|0);return}function bx(a){a=a|0;cx(a|0);return}function cx(a){a=a|0;dx(a);return}function dx(a){a=a|0;c[a>>2]=0;return}function ex(a){a=a|0;fx(a);return}function fx(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;dK(g);c[b>>2]=515880;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;HT(b+52|0,0,16)|0;xu(d|0);HT(h|0,0,31)|0;$J(e,g);j=gx(e)|0;HP(e);if(j){$J(f,g);c[h>>2]=Kv(f)|0;HP(f);a[b+98|0]=(Lv(c[h>>2]|0)|0)&1}Zd[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function gx(a){a=a|0;return IP(a,556968)|0}function hx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;_p(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){ix(a,b,c[e>>2]|0,f);bq(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=fT(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;Uo(c[b+536>>2]|0,502048,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}ix(a,b,k,f);bq(3);i=d;return}function ix(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;bq(0);i=+Vp(0);_p(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function jx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=cT(24)|0;_p(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;To(c[l>>2]|0,k>>>31^1,507800,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=kx(b,m)|0;n=kx(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=cT(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;Uo(c[l>>2]|0,494768,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;bq(3);i=d;return}}function kx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function lx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;_p(3);k=b|0;l=zc(c[k>>2]|0,485912)|0;if((l|0)==0){mx(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=Zc(c[(Yc()|0)>>2]|0)|0;Uo(m,41232,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Ya(36456,46,1,l|0)|0;o=g+20|0;nd(l|0,32656,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;nd(l|0,29336,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Ya(26288,40,1,l|0)|0;Ya(24080,11,1,l|0)|0;Ya(512120,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];nx(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Ya(506392,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;nx(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){nd(l|0,503984,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;nx(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Wa(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){nd(l|0,503984,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;nx(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Wa(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){nd(l|0,503984,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;nx(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Wa(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){nd(l|0,503984,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;nx(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Wa(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){nd(l|0,503984,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;nx(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Wa(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){nd(l|0,503984,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;nx(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Wa(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}mx(j);if((Pa(l|0)|0)==0){dT(c[f>>2]|0);c[f>>2]=0;bq(3);i=e;return}else{Uo(c[d+536>>2]|0,502552,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function mx(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}dT(a);c[b>>2]=0;return}function nx(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;nd(a|0,501416,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function ox(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=iT(192)|0;HT(j|0,0,192)|0;px(j);c[a+12>>2]=j;k=j;l=a|0;Mt(k,c[l>>2]|0,36);if(KJ(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Uo(c[b+536>>2]|0,501976,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;nL(a,17216,14)|0;oL(e,a);l=Zu(e)|0;e=j+184|0;c[e>>2]=l;nL(a,553296,4)|0;qx(k,b+8|0);oL(f,a);b=Zu(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;Lt(g,j,(j|0)<0|0?-1:0);pL(a,g)|0;rx(k,-4-j+f|0);f=c[b>>2]|0;Lt(h,f,(f|0)<0|0?-1:0);pL(a,h)|0;bq(3);i=d;return}function px(a){a=a|0;Kx(a);return}function qx(a,b){a=a|0;b=b|0;tx(a,3);ux(a,491904);tx(a,0);ux(a,491056);tx(a,2);Fx(a,b);Gx(a,b);ux(a,490216);tx(a,0);return}function rx(a,b){a=a|0;b=b|0;c[135016]=hd(b|0)|0;nL(a,540064,4)|0;return}function sx(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;oL(j,o);p=Zu(j)|0;rx(b,0);oL(k,o);j=Zu(k)|0;k=j;tx(b,1);ux(b,494728);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;vx(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);wx(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{wx(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{xx(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{yx(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{ux(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}oL(l,o);s=Zu(l)|0;l=s;s=p;Lt(m,s,(s|0)<0|0?-1:0);pL(o,m)|0;rx(b,l-k|0);Lt(n,l,(l|0)<0|0?-1:0);pL(o,n)|0;i=g;return}function tx(b,d){b=b|0;d=d|0;a[553248]=-33;c[135018]=hd(d|0)|0;d=b;nL(d,553248,1)|0;nL(d,540072,4)|0;return}function ux(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=hd(ET(d|0)|0)|0;a[553256]=-37;g=b;nL(g,553256,1)|0;nL(g,f,4)|0;nL(g,d,ET(d|0)|0)|0;i=e;return}function vx(b,d){b=b|0;d=d|0;a[553264]=-35;c[135020]=hd(d|0)|0;d=b;nL(d,553264,1)|0;nL(d,540080,4)|0;return}function wx(b,c){b=b|0;c=+c;var d=0;a[553272]=-53;Ex(c);d=b;nL(d,553272,1)|0;nL(d,553152,8)|0;return}function xx(b,d){b=b|0;d=d|0;a[553280]=-46;c[135022]=hd(d|0)|0;d=b;nL(d,553280,1)|0;nL(d,540088,4)|0;return}function yx(b,c){b=b|0;c=c|0;a[553288]=c?-61:-62;nL(b,553288,1)|0;return}function zx(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;sx(d,+h[e>>3],a,e);sx(d,+h[b+248>>3],a,e);return}function Ax(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;oL(f,n);m=Zu(f)|0;rx(b,0);oL(g,n);f=Zu(g)|0;g=f;tx(b,1);ux(b,485896);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;vx(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;wx(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{wx(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{xx(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{yx(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{ux(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}oL(j,n);q=Zu(j)|0;j=q;q=m;Lt(k,q,(q|0)<0|0?-1:0);pL(n,k)|0;rx(b,j-g|0);Lt(l,j,(j|0)<0|0?-1:0);pL(n,l)|0;i=e;return}function Bx(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;Gt(a);_p(3);if((a|0)==0){c[b>>2]=0;bq(3);return}Cx(a);kT(a);c[b>>2]=0;bq(3);return}function Cx(a){a=a|0;Dx(a);return}function Dx(a){a=a|0;av(a|0);return}function Ex(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((hd(1)|0)==1){g=e;e=c[g+4>>2]|0;j=553152;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[553152+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function Fx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;ux(a,494728);tx(a,4);ux(a,488832);tx(a,0);ux(a,488128);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;vx(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);ux(a,487488);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{ux(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{ux(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{ux(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{ux(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4284];c[k+4>>2]=c[4285];c[k+8>>2]=c[4286];Hx(a,b,e|0);ux(a,486696);tx(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);Ix(a,487488,485104);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;Ix(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;Ix(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;Ix(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;Ix(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function Gx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;ux(a,485896);tx(a,4);ux(a,488832);tx(a,0);ux(a,488128);o=g+1+j+l+n|0;vx(a,o);ux(a,487488);if((c[f>>2]|0)>0){n=b|0;l=0;do{ux(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{ux(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{ux(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{ux(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4288];c[n+4>>2]=c[4289];c[n+8>>2]=c[4290];Hx(a,b,e|0);ux(a,486696);tx(a,o);Ix(a,487488,485104);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;Ix(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;Ix(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;Ix(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;Ix(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function Hx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;ux(b,406088);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}tx(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?487488:i;if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}Jx(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;h=a[r+(g*52|0)+8|0]|0;if((c[e+(h<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{k=h<<24>>24==2?487488:f;if((h<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((h<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=k}Jx(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{i=y<<24>>24==2?487488:g;if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=i}Jx(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?487488:g;if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}Jx(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function Ix(a,b,c){a=a|0;b=b|0;c=c|0;ux(a,b);tx(a,1);ux(a,484120);ux(a,c);return}function Jx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ux(a,b);tx(a,d?2:1);ux(a,46064);ux(a,c);if(!d){return}ux(a,45288);ux(a,44488);return}function Kx(a){a=a|0;Sw(a|0);return}



function Oq(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2761]=6;HH(11040)|0;YG(19856,i,4)|0;pH()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[133550]=0;c[133548]=0;c[133552]=0;a[11496]=0;q=c[e>>2]|0;c[133578]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[133550]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[133578]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[133578]=1;if((t|0)>=1){w=1;do{h[534504+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[133578]=w}c[133564]=2;t=c[e>>2]|0;c[133578]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[133562]=1;if((D|0)<1){E=B}else{F=1;do{h[534504+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[133562]=F;E=+h[A>>3]}h[534504+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[133564]=D;C=D}D=x+1|0;c[133578]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[133550]|0;x=y+1|0;c[133544]=x;c[133578]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[133562]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[534504+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[133562]=w}Zd[s&127](e,b,534336+(y-1<<3)|0)|0;c[133548]=(c[133548]|0)+1;if((c[i>>2]|0)>=1){c[2869]=6;HH(11472)|0;YG(19856,534192,4)|0;YG(19856,534336+((c[133578]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[133562]=1;if((t|0)>=1){z=1;do{YG(19856,b+(z-1<<3)|0,8)|0;z=(c[133562]|0)+1|0;c[133562]=z;}while((z|0)<=(t|0))}pH()|0}y=(c[133578]|0)+1|0;c[133578]=y;}while((y|0)<=(x|0))}x=c[133552]|0;b:while(1){c[133552]=x+1;c[133570]=1;c[133568]=1;B=+h[66792];h[1443]=B;h[1441]=B;y=c[133544]|0;c[133578]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[534336+(t-1<<3)>>3];do{if(B>H){c[133570]=t;J=+h[534336+(t-1<<3)>>3];h[1443]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[133568]=t;J=+h[534336+(t-1<<3)>>3];h[1441]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[133578]=O;G=L}z=c[e>>2]|0;c[133578]=1;if((z|0)>=1){t=1;do{h[534008+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[133578]=t}c[133578]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[133562]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=534008+(Q-1<<3)|0;h[A>>3]=+h[534504+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[133562]=Q;P=z}}while(0);z=P+1|0;c[133578]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[133562]=1;if((y|0)>=1){I=+(c[133550]|0);z=1;do{t=534008+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[133562]=z}y=c[e>>2]|0;c[133578]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[534008+(w<<3)>>3];h[533688+(w<<3)>>3]=I+(I- +h[534504+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[133578]=t}Zd[s&127](e,533688,11520)|0;y=(c[133548]|0)+1|0;c[133548]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2863]=6;HH(11448)|0;YG(19856,534192,4)|0;YG(19856,11520,8)|0;w=c[e>>2]|0;c[133562]=1;if((w|0)>=1){A=1;do{YG(19856,533688+(A-1<<3)|0,8)|0;A=(c[133562]|0)+1|0;c[133562]=A;}while((A|0)<=(w|0))}pH()|0}}while(0);I=+h[1440];c:do{if(I<+h[1441]){z=c[e>>2]|0;c[133578]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[534008+(t<<3)>>3];h[533528+(t<<3)>>3]=H+(+h[533688+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[133578]=y}Zd[s&127](e,533528,11504)|0;z=(c[133548]|0)+1|0;c[133548]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2857]=6;HH(11424)|0;YG(19856,534192,4)|0;YG(19856,11504,8)|0;w=c[e>>2]|0;c[133562]=1;if((w|0)>=1){A=1;do{YG(19856,533528+(A-1<<3)|0,8)|0;A=(c[133562]|0)+1|0;c[133562]=A;}while((A|0)<=(w|0))}pH()|0}}while(0);H=+h[1438];if(!(H<+h[1441])){R=122;break}t=c[e>>2]|0;c[133578]=1;z=c[133570]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[534504+((y*21|0)-22+z<<3)>>3]=+h[533528+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[133578]=y}h[534336+(z-1<<3)>>3]=H}else{t=c[133544]|0;c[133578]=1;if((t|0)>=1){w=c[133570]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[534336+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[133578]=A;}while((A|0)<=(t|0))}if(!(I>+h[1443])){t=c[e>>2]|0;c[133578]=1;A=c[133570]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[534504+((w*21|0)-22+A<<3)>>3]=+h[533688+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[133578]=w}h[1443]=I;h[534336+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[133578]=1;if((t|0)>=1){z=c[133570]|0;y=1;do{F=y-1|0;h[533528+(F<<3)>>3]=+h[534504+((y*21|0)-22+z<<3)>>3]*.5+ +h[534008+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[133578]=y}Zd[s&127](e,533528,11504)|0;t=(c[133548]|0)+1|0;c[133548]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2851]=6;HH(11400)|0;YG(19856,534192,4)|0;YG(19856,11504,8)|0;A=c[e>>2]|0;c[133562]=1;if((A|0)>=1){w=1;do{YG(19856,533528+(w-1<<3)|0,8)|0;w=(c[133562]|0)+1|0;c[133562]=w;}while((w|0)<=(A|0))}pH()|0}}while(0);H=+h[1438];if(!(H>+h[1443])){z=c[e>>2]|0;c[133578]=1;t=c[133570]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[534504+((y*21|0)-22+t<<3)>>3]=+h[533528+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[133578]=y}h[534336+(t-1<<3)>>3]=H;break}z=c[133544]|0;c[133578]=1;if((z|0)<1){break}else{S=1}do{A=c[133568]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[133562]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=534504+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[534504+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[534504+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[133562]=D}Zd[s&127](e,b,534336+(S-1<<3)|0)|0;w=(c[133548]|0)+1|0;c[133548]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2845]=6;HH(11376)|0;YG(19856,534192,4)|0;YG(19856,534336+((c[133578]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[133562]=1;if((F|0)>=1){w=1;do{YG(19856,b+(w-1<<3)|0,8)|0;w=(c[133562]|0)+1|0;c[133562]=w;}while((w|0)<=(F|0))}pH()|0}}while(0);S=(c[133578]|0)+1|0;c[133578]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[133578]=1;t=c[133570]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[534504+((y*21|0)-22+t<<3)>>3]=+h[533688+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[133578]=y}h[534336+(t-1<<3)>>3]=+h[1440]}z=c[133552]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1439]=0.0;h[1442]=0.0;z=c[133544]|0;c[133578]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1442]=0.0/I;c[133578]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[534336+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1442]=B;c[133578]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[534336+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1439]=Y;c[133578]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1439]=B;do{if(B>+h[j>>3]){if((c[133548]|0)>(c[g>>2]|0)){break}a[11496]=0;c[133552]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[133578]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[133562]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[534504+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[133562]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[133578]=y}Zd[s&127](e,b,f)|0;t=(c[133548]|0)+1|0;c[133548]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2839]=6;HH(11352)|0;YG(19856,534192,4)|0;YG(19856,r,8)|0;A=c[e>>2]|0;c[133562]=1;if((A|0)>=1){F=1;do{YG(19856,b+(F-1<<3)|0,8)|0;F=(c[133562]|0)+1|0;c[133562]=F;}while((F|0)<=(A|0))}pH()|0;$=c[133548]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2809]=6;HH(11232)|0;pH()|0;c[2803]=6;HH(11208)|0;t=c[e>>2]|0;c[133578]=1;if((t|0)>=1){z=1;do{YG(19856,b+(z-1<<3)|0,8)|0;z=(c[133578]|0)+1|0;c[133578]=z;}while((z|0)<=(t|0))}pH()|0;c[2797]=6;HH(11184)|0;YG(19856,r,8)|0;pH()|0}if(a[11496]|0){B=+h[1442];H=+h[1342]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[11496]=1;ba=+h[1442]}h[1342]=ba;c[133552]=0;x=0}if((c[i>>2]|0)>=0){c[2791]=6;HH(11160)|0;YG(19856,534192,4)|0;pH()|0;c[2785]=6;HH(11136)|0;x=c[e>>2]|0;c[133578]=1;if((x|0)>=1){t=1;do{YG(19856,b+(t-1<<3)|0,8)|0;t=(c[133578]|0)+1|0;c[133578]=t;}while((t|0)<=(x|0))}pH()|0;c[2779]=6;HH(11112)|0;YG(19856,r,8)|0;pH()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2773]=6;HH(11088)|0;pH()|0}h[1441]=+h[f>>3];c[133546]=0;x=c[133544]|0;c[133578]=1;if((x|0)>=1){t=1;while(1){z=534336+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[133578]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[133562]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=534504+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[533528+(F-1<<3)>>3]=+h[534504+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[133562]=F}Zd[s&127](e,533528,z)|0;c[133546]=(c[133546]|0)+1;c[133548]=(c[133548]|0)+1;y=c[133578]|0;B=+h[534336+(y-1<<3)>>3];if(!(B<+h[1441])){t=y;continue}h[1441]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2767]=6;HH(11064)|0;YG(19856,534192,4)|0;YG(19856,11528,8)|0;y=c[e>>2]|0;c[133562]=1;if((y|0)>=1){A=1;do{YG(19856,533528+(A-1<<3)|0,8)|0;A=(c[133562]|0)+1|0;c[133562]=A;}while((A|0)<=(y|0))}pH()|0;t=c[133578]|0}}t=c[133550]|0;c[133578]=1;do{if((t|0)<1){h[1621]=+h[66792];c[133578]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[133582]=y;A=c[e>>2]|0;c[133562]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[533688+(z-1<<3)>>3]=(+h[534504+(F-21<<3)>>3]+ +h[534504+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[133562]=z}Zd[s&127](e,533688,539544+(x-1<<3)|0)|0;c[133546]=(c[133546]|0)+1;c[133548]=(c[133548]|0)+1;x=(c[133578]|0)+1|0;c[133578]=x;}while((x|0)<=(t|0));x=c[133550]|0;B=+h[66792];h[1621]=B;c[133578]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[133582]=A;c[133580]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[133562]=1;y=1;while(1){F=y+1|0;c[133560]=F;w=c[e>>2]|0;c[133556]=1;if((w|0)>=1){D=c[133580]|0;T=1;do{U=(T*21|0)-22|0;h[533528+(T-1<<3)>>3]=(+h[534504+(U+D<<3)>>3]+ +h[534504+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[133556]=T}Zd[s&127](e,533528,11504)|0;c[133546]=(c[133546]|0)+1;c[133548]=(c[133548]|0)+1;w=c[133578]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[133562]|0;ja=U+D|0;c[133554]=ja;B=+h[1621];h[537864+(ja-1<<3)>>3]=(+h[1438]+B- +h[539544+(F<<3)>>3]- +h[539544+(U-1<<3)>>3])*2.0;F=U+1|0;c[133562]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[133578]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[133550]|0;c[133554]=0;c[133578]=1;y=(x|0)<1;if(y){c[133578]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[537864+(oa-1<<3)>>3]=(+h[534336+(ma<<3)>>3]+ha- +h[539544+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[133582]=ma+1;c[133554]=oa;c[133578]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=539544+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[534336+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[133582]=A+1;c[133578]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[133554]=0;c[133578]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[133578]=1;if((t|0)>=1){z=1;do{h[533848+(z-1<<3)>>3]=+h[534504+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[133578]=z}c[133578]=1;do{if(la){c[133578]=1}else{t=1;do{t=t+1|0;c[133582]=t;F=c[e>>2]|0;c[133562]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=534504+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[534504+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[133562]=w}c[133578]=t;}while((t|0)<=(ka|0));c[133578]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[133582]=t;y=c[e>>2]|0;c[133562]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[534504+(A+qa<<3)>>3]=+h[534504+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[133562]=x}c[133578]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);Pq(537864,534200,537864,533368,534168,p,10744)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2755]=6;HH(11016)|0;pH()|0}c[p>>2]=2;if((c[133548]|0)>(c[g>>2]|0)){R=315;break}c[2749]=6;HH(10992)|0;pH()|0;z=c[e>>2]|0;c[133578]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[133578]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2833]=6;HH(11328)|0;YG(19856,g,4)|0;pH()|0;c[2827]=6;HH(11304)|0;YG(19856,11512,8)|0;pH()|0;c[2821]=6;HH(11280)|0;s=c[e>>2]|0;c[133578]=1;if((s|0)>=1){z=1;do{YG(19856,b+(z-1<<3)|0,8)|0;z=(c[133578]|0)+1|0;c[133578]=z;}while((z|0)<=(s|0))}pH()|0;c[2815]=6;HH(11256)|0;YG(19856,r,8)|0;pH()|0;return 0}else if((R|0)==229){s=c[133550]|0;c[133566]=s-(c[133542]|0);c[133578]=1;z=(s|0)<1;do{if(z){h[1341]=0.0;c[133578]=1;sa=0.0}else{y=s+1|0;w=1;do{h[534336+(w-1<<3)>>3]=0.0;A=w-1|0;F=534336+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[537864+(ta-1<<3)>>3]*+h[539544+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[133554]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[133562]=y;h[1341]=0.0;c[133578]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[534336+(w<<3)>>3]*+h[539544+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1341]=va;c[133578]=wa;sa=va}}while(0);h[1341]=+h[1621]-sa;r=c[e>>2]|0;c[133578]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[533528+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=533528+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[534336+(ja-1<<3)>>3]*+h[534504+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[133578]=w;c[133562]=xa}r=c[e>>2]|0;c[133578]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=533848+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[533528+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[133578]=y}if((c[i>>2]|0)>=0){c[2743]=6;HH(10968)|0;YG(19856,10728,8)|0;r=c[e>>2]|0;c[133578]=1;if((r|0)>=1){w=1;do{YG(19856,533848+(w-1<<3)|0,8)|0;w=(c[133578]|0)+1|0;c[133578]=w;}while((w|0)<=(r|0))}pH()|0;c[2737]=6;HH(10944)|0;pH()|0}r=c[e>>2]|0;c[133578]=1;if((r|0)>=1){w=c[133550]|0;y=1;do{c[133562]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[534336+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=534336+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[537864+(za-1<<3)>>3]*+h[534504+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[133554]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[133556]=z;c[133562]=ja}s=c[e>>2]|0;c[133562]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=531688+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[534336+(Da-1<<3)>>3]*+h[534504+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[133562]=U;c[133554]=Aa;c[133556]=Ba}y=y+1|0;c[133578]=y;}while((y|0)<=(r|0))}c[133562]=0;r=c[e>>2]|0;c[133578]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[531688+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[133562]=y;c[133578]=w}if((c[i>>2]|0)<0){return 0}c[2731]=6;HH(10920)|0;YG(19856,534264,4)|0;pH()|0;c[133572]=1;r=1;d:while(1){c[133554]=r;do{if((r|0)>(c[e>>2]|0)){s=c[133572]|0;if((s|0)==1){c[2725]=6;HH(10896)|0;pH()|0;Pq(531688,534200,537864,533368,534168,p,10744)|0;c[2719]=6;HH(10872)|0;pH()|0;c[133572]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[133572]=2;c[133576]=0;c[133574]=0;s=c[e>>2]|0;c[133578]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=YT(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=531688+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=531688+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[531688+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[133558]=Ja;c[133574]=Ra;c[133576]=Ga;c[133562]=La;c[133578]=Sa}c[2713]=6;HH(10848)|0;pH()|0;c[133576]=0;D=c[e>>2]|0;c[133578]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=531688+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[133576]=Ta;c[133578]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[133576]=U;D=c[e>>2]|0;c[133578]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[133582]=ja;A=Ca+Da|0;c[133576]=A;ya=ja+5|0;c[133580]=(A|0)<=(ya|0)?A:ya;if((c[133572]|0)==3){c[2695]=6;HH(10776)|0;ya=c[133580]|0;A=c[133582]|0;c[133562]=A;if((A|0)<=(ya|0)){ja=A;do{YG(19856,537864+(ja-1<<3)|0,8)|0;ja=(c[133562]|0)+1|0;c[133562]=ja;}while((ja|0)<=(ya|0))}pH()|0}else{c[2701]=6;HH(10800)|0;ya=c[133580]|0;ja=c[133582]|0;c[133562]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{YG(19856,531688+(Fa-1<<3)|0,8)|0;Fa=(c[133562]|0)+1|0;c[133562]=Fa;}while((Fa|0)<=(ya|0))}pH()|0}ya=(c[133578]|0)+1|0;c[133578]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[133576]|0;z=c[133554]|0}}}while(0);c[2689]=6;HH(10752)|0;pH()|0;r=(c[133554]|0)+6|0}c[2707]=6;HH(10824)|0;YG(19856,534184,4)|0;pH()|0;return 0}else if((R|0)==315){return 0}}}while(0);Zd[o&127](e,b,f)|0;return 0}function Pq(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[132698]=c[b>>2];c[g>>2]=1;if((c[132698]|0)<1){return 0}c[g>>2]=0;Qq(a,530792,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[132698]|0;i=(ga(g+1|0,g)|0)/2|0;c[132700]=i;c[132714]=g;c[132702]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=YT(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[132712]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[132712]=l;j=k}m=j;n=a-1|0}else{c[132718]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[132718]=q}c[132716]=g;c[132710]=i;c[132704]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[132704]=A;z=r-1|0;c[132716]=z;B=l-1|0;c[132710]=B;l=B;r=z;s=A}c[132708]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[132706]=m;c[132714]=0;c[132702]=f-g;return 0}function Qq(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2371]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2371]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2371];c[138296]=1;c[138294]=0;l=c[b>>2]|0;c[138300]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[138292]=0;c[138298]=1;do{if((b|0)>=1){n=c[138294]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2369]=k;s=(o|0)==(b|0);if(s){j=k*+h[2371];h[2370]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2369]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2370]=+h[2370]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[138292]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[138292]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2369];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[138298]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[138302]=t;c[138290]=u;c[138294]=q;break}else if((B|0)==26){B=0;c[138302]=t;c[138290]=u;c[138294]=q;break}}}while(0);k=+W(+h[2370]);h[2370]=k;F=+h[2369];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[138294]|0)-1<<3)>>3]=E;E=+h[2370]/+h[2369];h[i+((c[138302]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[138294]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[138300]|0;M=c[138296]|0}}while(0);m=M+L|0;c[138296]=m;b=L+1|0;c[138300]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[138302]=t;c[138290]=u;c[138294]=q;return 0}}while(0);c[f>>2]=0;return 0}function Rq(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[132896]=l;m=(c[d>>2]|0)-l|0;c[132894]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[132898]=q;a[10616]=1;r=c[b>>2]|0;s=r+1|0;c[132904]=s;t=c[b>>2]|0;u=s+t|0;c[132906]=u;s=u+(c[b>>2]|0)|0;c[132902]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[132916]=u;v=u+(c[d>>2]|0)|0;c[132914]=v;w=v+(c[b>>2]|0)|0;c[132912]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[132910]=x;y=x+(c[d>>2]|0)|0;c[132920]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[132900]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[132918]=A;B=A+(c[b>>2]|0)|0;c[132908]=B;Sq(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,531592,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);HH(10624)|0;pH()|0;return 0}function Sq(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1244]=.5;h[1218]=1.0;h[1206]=.1;F=(c[a>>2]|0)+1|0;c[132850]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[132852]=H;I=(c[b>>2]|0)-F|0;c[132848]=I;F=c[j>>2]|0;c[132854]=(F|0)<1?1:F;F=c[a>>2]|0;c[132878]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[132872]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[132872]=L}J=c[u>>2]|0;c[132892]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[132892]=K}j=j+1|0;c[132878]=j;}while((j|0)<=(F|0))}c[132888]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[132888]=G}G=c[b>>2]|0;c[132872]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[132878]=M;c[132872]=j}N=+h[e>>3];O=N*N;h[1213]=O;h[1216]=+h[1218]/O;h[1215]=+W(+h[1244])/O;c[132862]=0;j=y;y=A;M=0;a:while(1){c[132860]=M;G=M-(c[a>>2]|0)|0;c[132858]=G;F=M+1|0;c[132862]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[132882]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[132874]=K;J=K+H|0;c[132884]=J;if((J|0)>(c[a>>2]|0)){c[132882]=K;H=J-(c[a>>2]|0)|0;c[132874]=H;c[132884]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1204]=O;K=c[132850]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1204]=N;R=N}else{R=O}O=+h[e>>3];h[1203]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1203]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1203];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[132878]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[132878]=I}if((F|0)>(c[132854]|0)){T=F;U=158;break}while(1){Zd[j&127](a,d,10488)|0;if((c[g>>2]|0)==3){HH(9896)|0;YG(19848,531448,4)|0;YG(19848,10488,8)|0;G=c[a>>2]|0;c[132892]=1;if((G|0)>=1){K=1;do{YG(19848,d+(K-1<<3)|0,8)|0;K=(c[132892]|0)+1|0;c[132892]=K;}while((K|0)<=(G|0))}pH()|0}G=c[132862]|0;do{if((G|0)>(c[b>>2]|0)){K=c[132870]|0;if((K|0)==-1){break a}h[1205]=0.0;c[132888]=0;J=c[a>>2]|0;c[132878]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1205]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1208]=N;if((ca|0)==(L|0)){fa=N*+h[1244];h[1208]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1205]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[132888]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[132892]=Z;c[132878]=ja;V=_}X=c[b>>2]|0;c[132872]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1205]=O;L=L+1|0;}while((L|0)<=(X|0));c[132872]=L;ka=O}da=+h[1311];N=+h[1248];fa=da-N-ka;h[1320]=fa;h[1317]=+h[1318];h[1318]=+h[1319];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1319]=la;if(+h[1315]>+h[1214]){c[132856]=G}h[1247]=N;do{if(da<N){h[1248]=da;h[1202]=0.0;X=c[a>>2]|0;c[132892]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1202]=+h[1202]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[132892]=ma;h[A>>3]=na}}while(0);c[132866]=K;if((K|0)<=0){da=+h[1205];if(!(da<0.0)){U=189;break a}N=+h[1311];O=+h[1247];fa=(N-O)/da;h[1217]=fa;da=+h[1206];do{if(fa>da){oa=+h[1244]*+h[1322];h[A>>3]=oa;pa=+h[1315];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1322]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1322]=ra;sa=ra;break}}else{ra=+h[1244]*+h[1315];h[1322]=ra;sa=ra}}while(0);fa=+h[1214];if(sa>fa*1.5){ta=sa}else{h[1322]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1213]=fa;c[132864]=0;h[1321]=0.0;if(N<O){ua=0.0;va=0}else{L=c[132868]|0;c[132864]=L;pa=+h[1218];h[1321]=pa;ua=pa;va=L}L=c[b>>2]|0;c[132872]=1;if((L|0)<1){wa=K}else{X=c[132848]|0;H=K;J=1;pa=ua;while(1){h[1243]=0.0;c[132878]=1;if((X|0)<1){xa=0.0}else{ca=c[132890]|0;Y=J+C|0;ra=+h[1218];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1208]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1243]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[132878]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1325]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1208]=za;h[1316]=0.0;Y=c[a>>2]|0;c[132878]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1316]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[132878]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1208]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1321]=Ea;c[132870]=J;Fa=J;Ga=Ea}Y=J+1|0;c[132872]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}Yq(a,b,s,t,531560,u,w,10600,531480,x)|0;J=c[132870]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1311];c[132888]=0;L=c[a>>2]|0;c[132892]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1208]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1208]}ea=ba+Y|0;c[132888]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[132878]=Ka;c[132892]=Na}h[X>>3]=0.0;ba=c[132848]|0;c[132878]=1;Y=(ba|0)<1;if(!Y){K=c[132890]|0;L=1;do{H=ga(L,B)|0;da=+h[1320]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1208]=Oa;ea=c[b>>2]|0;c[132872]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1208]}c[132872]=ca}L=L+1|0;c[132878]=L;}while((L|0)<=(ba|0))}h[1245]=0.0;L=c[a>>2]|0;c[132892]=1;if((L|0)>=1){K=1;do{da=+h[1320]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1245]=+h[1245]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[132892]=K;h[A>>3]=Pa}L=c[132866]|0;do{if((L|0)==0){if(!(+h[1322]==+h[1214])){break}da=+h[1217];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[132880]=0;break}X=c[b>>2]|0;c[132872]=1;if((X|0)>=1){aa=o+((c[132868]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[132872]=ea}h[1246]=0.0;X=c[a>>2]|0;c[132892]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1212]=0.0;ca=c[b>>2]|0;c[132872]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1212]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[132872]=Ma;Sa=da}h[1246]=+h[1246]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[132892]=aa;}while((aa|0)<=(X|0));Ra=+h[1246]*100.0}X=(c[132880]|0)+1|0;c[132880]=X;if(+h[1245]<Ra){c[132880]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[132892]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[132892]=aa}X=c[132852]|0;c[132888]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[132888]=ea}c[132878]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[132872]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[132872]=Ua;Ta=fa}if((X|0)<(c[132890]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[132878]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[132872]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[132878]=Va;c[132872]=ca}c[132880]=0}}while(0);fa=+h[1311];da=+h[1247];if(fa<da){c[132868]=J}qa=+h[1206];if(fa<=da+qa*+h[1205]|(L|0)>0){U=54;break}c[132870]=0;Ha=qa;Ia=+h[1322];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1311];qa=+h[1311];do{if((G|0)==1){h[1310]=qa;h[1248]=qa;c[132868]=1;Wa=1}else{if(!(qa<+h[1248])){Wa=G;break}h[1248]=qa;c[132868]=G;Wa=G}}while(0);L=c[132860]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[132884]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[132874]|0;X=K+Y|0;c[132888]=X;if(+h[1204]<0.0){Y=ba+(c[a>>2]|0)|0;c[132884]=Y;Xa=Y}else{Xa=ba}if(+h[1203]<0.0){ba=K+(c[a>>2]|0)|0;c[132874]=ba;Ya=ba}else{Ya=K}K=ga(c[132858]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1216];h[t+(Wa+C+K<<3)>>3]=+h[1216];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1216];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1216];h[q+(X-1<<3)>>3]=(+h[1310]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1311])/(+h[1204]*+h[1203])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[132858]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1244]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1244])/+h[e>>3];da=+h[1215];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1215];h[t+(ba+K<<3)>>3]=+h[1215];K=(ga(X+1|0,X)|0)/2|0;c[132888]=K;da=(+h[1310]- +h[1311])/+h[e>>3];h[1208]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1244]*(+h[ba>>3]+ +h[1208]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1310])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1218])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1218]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1213]*(-0.0- +h[1244]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1214]=qa;h[1322]=qa;c[132890]=1;h[1319]=0.0;h[1318]=0.0;c[132880]=0;h[1202]=0.0;L=c[a>>2]|0;c[132892]=1;if((L|0)<1){U=53;break}J=c[132868]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1202]=+h[1202]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[132892]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[132856]=c[132862];U=54;continue}else if((U|0)==54){U=0;c[132870]=0;G=(c[132850]|0)-1|0;L=c[a>>2]|0;Xq(a,b,l,n,p,q,r,10576,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,10584)|0;h[1314]=0.0;L=c[a>>2]|0;c[132892]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1314]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[132892]=G;_a=qa}da=+h[1322];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1315]=pa;fa=+h[1214];if(!(pa<+h[1244]*fa)){ab=_a;U=62;break}c[132870]=-1;pa=+h[1206];O=pa*da;h[1322]=O;h[1217]=-1.0;if(O>fa*1.5){bb=O}else{h[1322]=fa;bb=fa}if((c[132862]|0)<=((c[132856]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1323]*.125*fa;h[1208]=O;da=+h[1319];N=+h[1318];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1317];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1316]=pa;L=c[b>>2]|0;c[132872]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1212]=0.0;ba=c[a>>2]|0;c[132878]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1212]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[132878]=X;gb=pa}if(gb>fa){c[132870]=J;h[1316]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[132872]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1217]>0.0){U=54;continue}fa=+h[1315];qa=+h[1214];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1244];h[1322]=qa;fa=cb/+h[f>>3];h[1217]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1214]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1214]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1214]=ra;kb=ra}}while(0);h[1322]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){HH(9848)|0;pH()|0}HH(9824)|0;YG(19848,9712,8)|0;YG(19848,531448,4)|0;pH()|0;HH(9800)|0;YG(19848,9984,8)|0;J=c[a>>2]|0;c[132892]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];YG(19848,y,8)|0;K=(c[132892]|0)+1|0;c[132892]=K;}while((K|0)<=(J|0))}pH()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1244]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1214];qa=ra>=fa?ra:fa;h[1313]=qa;fa=qa*qa;h[1314]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1202];if(!(ab>fa*.001)){h[1207]=fa*.25;J=c[b>>2]|0;c[132872]=1;if((J|0)>=1){K=1;do{h[1212]=0.0;L=c[a>>2]|0;c[132892]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1212]=fa;G=G+1|0;}while((G|0)<=(L|0));c[132892]=G;lb=fa}h[1208]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1244]*+h[1202];h[1212]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[132892]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1208]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1244]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1212]*+h[n+(K+C+ba<<3)>>3]+ +h[1207]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[132886]=Y;c[132878]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[132878]=H}X=X+1|0;c[132892]=X;}while((X|0)<=(L|0))}K=K+1|0;c[132872]=K;}while((K|0)<=(J|0))}J=c[132848]|0;c[132872]=1;if((J|0)>=1){K=1;do{h[1209]=0.0;L=c[b>>2]|0;c[132892]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1209]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[132892]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1209]}}}while(0);L=c[a>>2]|0;c[132878]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1207]*+h[1209]*+h[l+(H<<3)>>3];h[1212]=fa;G=c[b>>2]|0;c[132892]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1212]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[132892]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[132890]|0)){h[1212]=-0.0- +h[1212]}G=c[b>>2]|0;c[132892]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1212]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[132892]=Ua}X=X+1|0;c[132878]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[132892]=1;if((L|0)>=1){X=c[132890]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[132886]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1208]=nb;c[132878]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1208]}c[132878]=ca}Y=Y+1|0;c[132892]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[132872]=K;}while((K|0)<=(J|0))}c[132888]=0;J=c[a>>2]|0;c[132878]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[132872]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1244]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[132872]=ob}c[132892]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[132888]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[132892]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[132878]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[132878]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[132878]=K}h[1202]=0.0}if((c[132870]|0)>0){L=(c[132850]|0)-1|0;iq(a,b,l,n,s,t,531560,u,531480,10504,v,10608,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[132872]=1;if((L|0)>=1){ea=1;do{h[1211]=0.0;h[1210]=0.0;h[1212]=0.0;J=c[a>>2]|0;c[132878]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1211]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1210]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1212]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[132878]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1244]+tb);h[w+(J<<3)>>3]=+h[1212];ea=ea+1|0;c[132872]=ea;}while((ea|0)<=(L|0))}h[1325]=0.0;L=c[132848]|0;c[132872]=1;if((L|0)>=1){ea=1;do{h[1212]=0.0;K=c[b>>2]|0;c[132892]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1212]=pa;J=J+1|0;}while((J|0)<=(K|0));c[132892]=J;ub=pa}fa=ub*ub;qa=+h[1325];if((ea|0)<(c[132890]|0)){h[1325]=qa+fa;ra=-0.0-ub;h[1212]=ra;vb=ra}else{h[1325]=qa-fa;vb=ub}K=c[b>>2]|0;c[132892]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1212]}c[132892]=ba}ea=ea+1|0;c[132872]=ea;}while((ea|0)<=(L|0))}h[1324]=0.0;h[1312]=0.0;L=c[a>>2]|0;c[132878]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1212]=0.0;X=c[b>>2]|0;c[132892]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1212]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[132892]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1324]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[132876]=ba;J=c[a>>2]|0;c[132872]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1212]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[132872]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1324]+ +h[1212]*+h[K>>3];h[1324]=pa;ra=+h[1312]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1312]=ra;J=ea+1|0;c[132878]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1314];h[1325]=+h[1325]+(wb*wb+fa*(wb+(wb+ +h[1202])+fa*+h[1244]))-xb;ea=w+((c[132868]|0)-1<<3)|0;h[ea>>3]=+h[1218]+ +h[ea>>3];ea=c[132870]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1218]+ +h[1326]*+h[1325]/(fa*fa);h[1208]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;hq(a,b,l,n,s,t,531560,u,531472,531480,v,x,w,10600,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[132892]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[132892]=L}ea=(c[132862]|0)+1|0;c[132862]=ea;if((ea|0)>(c[132854]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[132862]=T-1;if((c[g>>2]|0)<=0){break}HH(9920)|0;pH()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}HH(9872)|0;pH()|0}}while(0);Ab=+h[1248];if(!(Ab>+h[1311])){U=c[a>>2]|0;c[132892]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[132892]=T;Bb=+h[1248]}h[1311]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}HH(9776)|0;YG(19848,531448,4)|0;pH()|0;HH(9752)|0;YG(19848,10488,8)|0;g=c[a>>2]|0;c[132892]=1;if((g|0)>=1){a=1;do{YG(19848,d+(a-1<<3)|0,8)|0;a=(c[132892]|0)+1|0;c[132892]=a;}while((a|0)<=(g|0))}pH()|0;i=z;return 0}function Tq(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;g=c[e>>2]|0;e=~g;i=c[a>>2]|0;j=c[b>>2]|0;k=(i|0)>(j|0)?j:i;if((k|0)<2){l=j;m=i}else{i=2;j=0;while(1){n=j+2|0;o=d+(g+(ga(g,j)|0)<<3)|0;HT(o|0,0,((n|0)>2?(n<<3)-8|0:8)|0)|0;n=i+1|0;if((n|0)>(k|0)){break}else{i=n;j=j+1|0}}l=c[b>>2]|0;m=c[a>>2]|0}b=l+1|0;if((m|0)>=(b|0)){j=(m|0)<1;i=m<<3;n=b;b=0;while(1){o=ga(n,g)|0;if(!j){HT(d+((ga(l+b|0,g)|0)<<3)|0,0,i|0)|0}h[d+(n+e+o<<3)>>3]=1.0;o=n+1|0;if((o|0)>(m|0)){break}else{n=o;b=b+1|0}}}if((k|0)<1){return 0}b=c[a>>2]|0;a=1;do{n=k-a|0;m=n+1|0;i=(m|0)>(b|0);l=ga(m,g)|0;if(!i){j=l+e|0;o=m;do{p=d+(j+o<<3)|0;h[f+(o-1<<3)>>3]=+h[p>>3];h[p>>3]=0.0;o=o+1|0;}while((o|0)<=(b|0))}h[d+(m+e+l<<3)>>3]=1.0;o=f+(n<<3)|0;if(!(+h[o>>3]==0.0|i)){j=m;do{p=(ga(j,g)|0)+e|0;q=m;r=0.0;do{r=r+ +h[d+(p+q<<3)>>3]*+h[f+(q-1<<3)>>3];q=q+1|0;}while((q|0)<=(b|0));s=+h[o>>3];t=r/s;q=(ga(j,g)|0)+e|0;p=m;u=s;while(1){v=d+(q+p<<3)|0;h[v>>3]=+h[v>>3]-t*u;v=p+1|0;if((v|0)>(b|0)){break}s=+h[f+(p<<3)>>3];p=v;u=s}j=j+1|0;}while((j|0)<=(b|0))}a=a+1|0;}while((a|0)<=(k|0));return 0}function Uq(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0.0;j=i;i=i+16|0;n=j|0;o=j+8|0;p=c[e>>2]|0;e=~p;q=+Kq(19840);r=c[b>>2]|0;if((r|0)<1){s=r}else{t=1;do{u=+Lq(a,d+((ga(t,p)|0)-p<<3)|0);v=t-1|0;h[l+(v<<3)>>3]=u;h[k+(v<<3)>>3]=u;h[m+(v<<3)>>3]=u;if((c[f>>2]|0)!=0){c[g+(v<<2)>>2]=t}t=t+1|0;}while((t|0)<=(r|0));s=c[b>>2]|0}r=c[a>>2]|0;t=(r|0)>(s|0)?s:r;if((t|0)<1){i=j;return 0}else{w=1}while(1){do{if((c[f>>2]|0)!=0){r=c[b>>2]|0;c[n>>2]=r;if((w|0)>(r|0)){break}else{x=w;y=w}do{y=+h[k+(x-1<<3)>>3]>+h[k+(y-1<<3)>>3]?x:y;x=x+1|0;}while((x|0)<=(r|0));if((y|0)==(w|0)){break}r=c[a>>2]|0;c[n>>2]=r;if((r|0)>=1){s=(ga(w,p)|0)+e|0;l=(ga(y,p)|0)+e|0;v=1;do{z=d+(s+v<<3)|0;u=+h[z>>3];A=d+(l+v<<3)|0;h[z>>3]=+h[A>>3];h[A>>3]=u;v=v+1|0;}while((v|0)<=(r|0))}r=w-1|0;v=y-1|0;h[k+(v<<3)>>3]=+h[k+(r<<3)>>3];h[m+(v<<3)>>3]=+h[m+(r<<3)>>3];l=g+(r<<2)|0;r=c[l>>2]|0;s=g+(v<<2)|0;c[l>>2]=c[s>>2];c[s>>2]=r}}while(0);c[n>>2]=1-w+(c[a>>2]|0);r=ga(w,p)|0;s=w+e|0;l=d+(s+r<<3)|0;u=+Lq(n,l);a:do{if(u==0.0){B=u;C=w+1|0}else{D=+h[l>>3];if(D<0.0){E=-0.0-u}else{E=u}v=c[a>>2]|0;c[n>>2]=v;if((w|0)>(v|0)){F=D}else{A=r+e|0;z=w;do{G=d+(A+z<<3)|0;h[G>>3]=+h[G>>3]/E;z=z+1|0;}while((z|0)<=(v|0));F=+h[l>>3]}h[l>>3]=F+1.0;z=w+1|0;A=c[b>>2]|0;if((A|0)<(z|0)){B=E;C=z;break}c[n>>2]=A;G=z+e|0;H=r+e|0;I=z;J=A;A=v;while(1){c[o>>2]=A;K=(w|0)>(A|0);do{if(K){c[o>>2]=A}else{L=(ga(I,p)|0)+e|0;M=w;D=0.0;do{D=D+ +h[d+(H+M<<3)>>3]*+h[d+(L+M<<3)>>3];M=M+1|0;}while((M|0)<=(A|0));N=D/+h[l>>3];c[o>>2]=A;if(K){break}M=(ga(I,p)|0)+e|0;L=w;do{O=d+(M+L<<3)|0;h[O>>3]=+h[O>>3]-N*+h[d+(H+L<<3)>>3];L=L+1|0;}while((L|0)<=(A|0))}}while(0);do{if((c[f>>2]|0)==0){P=J}else{K=I-1|0;L=k+(K<<3)|0;N=+h[L>>3];if(N==0.0){P=J;break}M=ga(I,p)|0;D=+h[d+(s+M<<3)>>3]/N;Q=1.0-D*D;D=N*+W(Q<=0.0?0.0:Q);h[L>>3]=D;O=m+(K<<3)|0;Q=D/+h[O>>3];if(Q*Q*.05>q){P=J;break}c[o>>2]=A-w;Q=+Lq(o,d+(G+M<<3)|0);h[L>>3]=Q;h[O>>3]=Q;P=c[n>>2]|0}}while(0);O=I+1|0;if((O|0)>(P|0)){B=E;C=z;break a}I=O;J=P;A=c[a>>2]|0}}}while(0);h[k+(w-1<<3)>>3]=-0.0-B;if((C|0)>(t|0)){break}else{w=C}}i=j;return 0}function Vq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;i=c[e>>2]|0;e=~i;j=c[b>>2]|0;b=j-1|0;if((b|0)<1){return 0}k=c[a>>2]|0;l=(k|0)<1;m=1;n=0.0;o=0.0;while(1){p=j-m|0;q=+h[f+(p-1<<3)>>3];r=q<0.0;if(r){s=-0.0-q}else{s=q}if(s>1.0){t=1.0/q}else{t=n}if(r){u=-0.0-q}else{u=q}if(u>1.0){v=+W(1.0-t*t)}else{v=o}if(r){w=-0.0-q;x=q<-1.0?v:q}else{w=q;x=q>1.0?v:q}if(w>1.0){y=t}else{y=+W(1.0-x*x)}if(!l){r=(ga(p,i)|0)+e|0;p=ga(j,i)|0;z=1;do{A=d+(r+z<<3)|0;q=+h[A>>3];B=d+(z+e+p<<3)|0;C=+h[B>>3];h[B>>3]=x*q+y*C;h[A>>3]=y*q-x*C;z=z+1|0;}while((z|0)<=(k|0))}z=m+1|0;if((z|0)>(b|0)){break}else{m=z;n=y;o=x}}m=c[a>>2]|0;a=(m|0)<1;k=1;o=y;y=x;while(1){x=+h[g+(k-1<<3)>>3];l=x<0.0;if(l){D=-0.0-x}else{D=x}if(D>1.0){E=1.0/x}else{E=o}if(l){F=-0.0-x}else{F=x}if(F>1.0){G=+W(1.0-E*E)}else{G=y}if(l){H=-0.0-x;I=x<-1.0?G:x}else{H=x;I=x>1.0?G:x}if(H>1.0){J=E}else{J=+W(1.0-I*I)}if(!a){l=(ga(k,i)|0)+e|0;f=ga(j,i)|0;x=-0.0-I;z=1;do{p=d+(l+z<<3)|0;n=+h[p>>3];r=d+(z+e+f<<3)|0;t=+h[r>>3];h[r>>3]=n*x+J*t;h[p>>3]=J*n+I*t;z=z+1|0;}while((z|0)<=(m|0))}z=k+1|0;if((z|0)>(b|0)){break}else{k=z;o=J;y=I}}return 0}function Wq(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0;k=+Kq(19704);e=c[b>>2]|0;l=c[a>>2]|0;m=(ga(1-e+(l<<1)|0,e)|0)/2|0;n=m+(e-l)|0;if((e|0)<=(l|0)){o=e;p=n;while(1){h[i+(o-1<<3)>>3]=+h[d+(p-1<<3)>>3];q=o+1|0;if((q|0)>(l|0)){break}else{o=q;p=p+1|0}}}p=e-1|0;o=(p|0)<1;if(o){r=n}else{q=e-2|0;s=e-3|0;t=(e<<1)+m+(ga(q,s-l|0)|0)-2-l|0;m=YT(q,0,s,0)|0;s=m>>>1|K<<31;m=n;n=1;do{q=e-n|0;m=m-1+q-l|0;u=q-1|0;h[i+(u<<3)>>3]=0.0;v=g+(u<<3)|0;w=+h[v>>3];do{if(!(w==0.0)){u=g+(p<<3)|0;x=+h[u>>3];if(x<0.0){y=-0.0-x}else{y=x}if(w<0.0){z=-0.0-w}else{z=w}do{if(y<z){A=x/w;B=.5/+W(A*A*.25+.25);C=A*B;if(C<0.0){D=-0.0-C}else{D=C}if(!(k*D>1.0)){E=1.0;F=B;G=C;break}E=1.0/C;F=B;G=C}else{C=w/x;B=.5/+W(C*C*.25+.25);A=C*B;E=A;F=A;G=B}}while(0);h[u>>3]=F*w+G*x;h[v>>3]=E;if((q|0)>(l|0)){break}else{H=q;I=m}while(1){J=d+(I-1<<3)|0;B=+h[J>>3];L=i+(H-1<<3)|0;A=+h[L>>3];h[L>>3]=F*B+G*A;h[J>>3]=G*B-F*A;J=H+1|0;if((J|0)>(l|0)){break}else{H=J;I=I+1|0}}}}while(0);n=n+1|0;}while((n|0)<=(p|0));r=t-l-s|0}if((l|0)>=1){s=g+(p<<3)|0;g=1;do{t=g-1|0;n=i+(t<<3)|0;h[n>>3]=+h[n>>3]+ +h[s>>3]*+h[f+(t<<3)>>3];g=g+1|0;}while((g|0)<=(l|0))}c[j>>2]=0;if(o){M=r}else{o=1;l=r;while(1){r=i+(o-1<<3)|0;F=+h[r>>3];g=d+(l-1<<3)|0;if(!(F==0.0)){G=+h[g>>3];if(G<0.0){N=-0.0-G}else{N=G}if(F<0.0){O=-0.0-F}else{O=F}do{if(N<O){E=G/F;D=.5/+W(E*E*.25+.25);z=E*D;if(z<0.0){P=-0.0-z}else{P=z}if(!(k*P>1.0)){Q=1.0;R=D;S=z;break}Q=1.0/z;R=D;S=z}else{z=F/G;D=.5/+W(z*z*.25+.25);E=z*D;Q=E;R=E;S=D}}while(0);f=c[a>>2]|0;a:do{if((o|0)<=(f|0)){D=-0.0-R;s=o;t=l;E=G;z=F;while(1){h[i+(s-1<<3)>>3]=E*D+S*z;h[d+(t-1<<3)>>3]=S*E+R*z;n=s+1|0;if((n|0)>(f|0)){break a}y=+h[d+(t<<3)>>3];w=+h[i+(s<<3)>>3];s=n;t=t+1|0;E=y;z=w}}}while(0);h[r>>3]=Q}if(+h[g>>3]==0.0){c[j>>2]=1}f=1-o+l+(c[a>>2]|0)|0;t=o+1|0;if((t|0)>(p|0)){M=f;break}else{o=t;l=f}}}l=c[a>>2]|0;a=c[b>>2]|0;if((a|0)<=(l|0)){b=a;a=M;while(1){h[d+(a-1<<3)>>3]=+h[i+(b-1<<3)>>3];o=b+1|0;if((o|0)>(l|0)){break}else{b=o;a=a+1|0}}}if(!(+h[d+(M-1<<3)>>3]==0.0)){return 0}c[j>>2]=1;return 0}function Xq(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[132688]=0;k=c[b>>2]|0;c[132686]=k;c[132684]=k;u=c[b>>2]|0;c[132694]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[132694]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[132694]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[132694]=u}x=c[d>>2]|0;c[132680]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[132682]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[132682]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[132694]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[132694]=D}e=e+1|0;c[132680]=e;}while((e|0)<=(x|0))}c[132692]=0;x=c[b>>2]|0;c[132682]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[132692]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[132694]=G;c[132682]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[132694]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[132694]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[132694]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[132694]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[132690]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[132694]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[132690]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[132694]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[132694]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[132694]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[132682]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[132682]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[132694]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[132694]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[132694]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[132694]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[132684]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[132694]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[132694]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[132688]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[132694]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[132694]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[132688]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function Yq(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[132666]=q;c[132670]=1;c[132676]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[132670]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[132678]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[132678]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[132676]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[132678]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[132678]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[132678]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[132678]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[132674]=1;if(+h[k>>3]<0.0){N=1}else{c[132674]=r;N=r}q=r+1-N|0;c[132672]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[132678]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[132678]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[132678]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[132678]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[132676]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[132668]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[132678]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[132678]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[132676]=T;}while((T|0)<=(S|0));return 0}function Zq(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function _q(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((Zq(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){id(24624,497544,116,512752);return 0}else if((s|0)==14){i=g;return o|0}return 0}function $q(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((CT(c[j>>2]|0,c[18880+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[18848+(k<<2)>>2]|0;Qo(23,0,43312,(n=i,i=i+16|0,c[n>>2]=c[18880+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=eT(r,8)|0;c[e+40>>2]=p;r=b+536|0;To(c[r>>2]|0,(p|0)!=0|0,37896,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=eT(c[o>>2]|0,4)|0;c[e+36>>2]=p;To(c[r>>2]|0,(p|0)!=0|0,37896,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=eT(c[q>>2]|0,4)|0;c[e+24>>2]=cT(8)|0;q=cT(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[132652];To(c[r>>2]|0,(q|0)!=0|0,37896,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=cT(q)|0;o=e+44|0;c[o>>2]=cT(q)|0;q=eT(15,4)|0;s=e+12|0;c[s>>2]=q;To(c[r>>2]|0,(q|0)!=0|0,37896,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=eT(5,4)|0;c[e+4>>2]=q;To(c[r>>2]|0,(q|0)!=0|0,37896,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=eT(5,4)|0;c[e+8>>2]=q;To(c[r>>2]|0,(q|0)!=0|0,37896,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=cT(q)|0;c[e+76>>2]=cT(q)|0;c[e+80>>2]=cT(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((Xd[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){Qo(23,0,33840,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{Qo(1,0,30096,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[132661]|c[132722]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Uo(B,488320,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}So(23,1,24568,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[18848+(f<<2)>>2]|0;So(23,0,497528,(n=i,i=i+16|0,c[n>>2]=c[18880+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);Ud[c[3702]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Uo(B,488320,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function ar(a){a=a|0;dT(c[a+40>>2]|0);dT(c[a+36>>2]|0);dT(c[a+20>>2]|0);dT(c[a+12>>2]|0);dT(c[a+4>>2]|0);dT(c[a+8>>2]|0);dT(a);return 0}function br(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;To(c[s>>2]|0,(c[q>>2]|0)!=0|0,26976,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){Qo(3,0,22144,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Qo(3,0,510296,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];Xd[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}Qo(3,0,506936,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){Qo(23,0,504592,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){Pp(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){$s(b)|0}Xd[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 7:{kq(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,4,8,H,0);break};case 5:{kq(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,4,I,c[J>>2]|0);break};case 6:{kq(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,14,4,I,c[J>>2]|0);break};case 4:{kq(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,4,I,c[J>>2]|0);break};case 3:{kq(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,4,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){kq(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,4,8,H,0);break b}else{kq(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,4,4,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Ta(K|0)|0;Ta(L|0)|0;So(3,0,502936,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Qo(3,0,501872,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Ta(K|0)|0;Ta(L|0)|0;L=kr(c[z>>2]|0)|0;Xd[c[(c[O>>2]|0)+28>>2]&255](b)|0;So(1,0,500504,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[132641]|0)!=0){Qo(3,1,499456,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Qo(3,0,498424,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;Qo(3,0,497608,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;Qo(3,0,496808,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;Qo(3,0,495968,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;Qo(3,0,494408,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;Qo(3,0,493568,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;Qo(3,0,492976,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;Qo(3,0,492176,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;Qo(3,0,491344,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;Qo(3,0,490560,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;Ud[c[3702]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){id(489072,488464,406,512856);return 0}Qo(3,0,487736,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function cr(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;Xd[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function dr(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Xd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;mr(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function er(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;Xd[c[(c[a>>2]|0)+28>>2]&255](g)|0;Xd[c[(c[a>>2]|0)+32>>2]&255](g)|0;Zd[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function fr(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;nr(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function gr(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Xd[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;lr(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function hr(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function ir(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;or(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function jr(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function kr(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-8:{So(1,0,405552,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-8;break};case-6:{So(1,0,484352,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-6;break};case-10:{So(1,0,44760,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-10;break};case-9:{So(1,0,45456,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-9;break};case-11:{So(1,0,43984,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-11;break};case-33:{So(1,0,42760,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-33;break};case-7:{So(1,0,483536,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-7;break};case-3:{e=-3;break};case-12:{So(1,0,43392,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-12;break};case-1:{So(3,0,502936,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=1;break};case-2:{So(1,0,485512,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-2;break};default:{e=-1}}i=b;return e|0}function lr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}Xd[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function mr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;Xd[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function nr(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+Yb(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+Yb(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;cr(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function or(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+Yb(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+Yb(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}cr(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function pr(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function qr(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;Ud[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function rr(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function sr(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=$o(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{ge[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;Zo(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=$o(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function tr(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((sr(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}ur(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=($o(d)|0)>0;g=b?2:0;return g|0}function ur(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=cT(l)|0;n=m;o=cT(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[135032]=Xo(4)|0;if((m|0)==0){id(504560,502904,308,512840)}if((o|0)==0){id(501856,502904,309,512840)}q=cp(b)|0;if((q|0)!=0){r=q;do{q=c[(ep(r)|0)>>2]|0;Qo(27,0,500448,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=dp(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;GT(o|0,c[a+384>>2]|0,t)|0;GT(m|0,q|0,t)|0}h[d>>3]=+xr(a,g,j,l,n,c[135032]|0,b);do{if(($o(c[135032]|0)|0)==0){n=c[(ap(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=cp(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(ep(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=dp(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}Qo(27,0,499368,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=cp(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(ep(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[135032]|0;_o(t,ep(y)|0);t=c[(ep(y)|0)>>2]|0;Qo(27,0,498376,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=dp(y)|0;}while((y|0)!=0)}}while(0);Yo(b);if((c[132645]|0)!=0){$o(c[135032]|0)|0}if(($o(c[135032]|0)|0)>0){y=f;do{l=c[(ap(c[135032]|0)|0)>>2]|0;c[f>>2]=l;bp(c[135032]|0);Qo(7,0,495960,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;Zo(b,y);}while(($o(c[135032]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){GT(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Fe(a);Ar(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){dT(o);dT(m);i=e;return}GT(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;dT(o);dT(m);i=e;return}function vr(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){Er(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];Qo(7,0,24824,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if(($o(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[132645]|0)!=0){e=cp(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(ep(t)|0)>>2]|0;s=ge[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;Po(7,0,c[j>>2]|0,22120,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=dp(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(ep(cp(d)|0)|0)>>2]|0;p=ge[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];Po(1,0,c[k>>2]|0,509952,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);Yo(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;zr(b);wr(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function wr(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;Qo(27,0,489032,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;Zd[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function xr(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=cT(m<<3)|0;o=n;if((n|0)==0){id(493552,502904,409,512872);return 0.0}if((m|0)>0){GT(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];Qo(27,0,492928,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;Qo(27,0,492152,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){dT(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}Xd[c[(c[w>>2]|0)+28>>2]&255](a)|0;Xd[c[(c[w>>2]|0)+32>>2]&255](a)|0;Zd[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(yr(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}GT(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}dT(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function yr(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;Yo(b);Qo(27,0,491304,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=cp(d)|0;if((g|0)==0){j=$o(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(ep(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(ep(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(ep(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(ep(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(ep(a)|0)>>2]|0;o=c[(ep(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?33688:29904;o=c[(ep(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?33688:29904;Qo(27,0,490472,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;Zo(b,ep(a)|0)}a=dp(a)|0;}while((a|0)!=0);j=$o(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function zr(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;ge[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;Ar(b);Br(b);Xd[c[(c[f>>2]|0)+36>>2]&255](b)|0;Cr(b,8);g=Dr(b)|0;h=Xd[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{Br(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}Er(b);Ar(b);Cr(b,8);Xd[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=Dr(b)|0;h=Xd[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){Uo(c[b+536>>2]|0,42112,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){Br(b);i=d;return}}function Ar(a){a=a|0;GT(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function Br(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function Cr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[530552+(d<<2)>>2]|0)==0){i=e;return}Qo(d,1,490416,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=Xd[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=Xd[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;Qo(d,0,488968,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}Ud[c[3702]&511](d);i=e;return}function Dr(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function Er(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;GT(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;GT(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;GT(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;GT(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function Fr(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}Zd[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function Gr(a){a=a|0;Hr(a);Ir(a);Er(a);Jr(a);return}function Hr(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function Ir(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function Jr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((Op(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];GT(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;GT(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;GT(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;GT(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(Op(c[b>>2]|0)|0));return}function Kr(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[530552+(d<<2)>>2]|0)==0){i=e;return}Qo(d,1,498256,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){Qo(d,1,497512,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?501656:500336;r=+h[(c[k>>2]|0)+(l<<3)>>3];Qo(d,0,496672,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}Ud[c[3702]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){Qo(d,1,495800,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?501656:500336;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;Qo(d,0,494288,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}Ud[c[3702]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){Qo(d,1,493512,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?501656:500336;o=(a[q+(g*48|0)+40|0]|0)!=0?501656:500336;q=(a[(c[k>>2]|0)+g|0]|0)!=0?501656:500336;Qo(d,0,492856,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}Ud[c[3702]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){Qo(d,1,492088,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;Qo(d,0,491208,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}Ud[c[3702]&511](d)}Ud[c[3702]&511](d);i=e;return}function Lr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((Op(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];GT(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;GT(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;GT(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;GT(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(Op(c[b>>2]|0)|0));return}function Mr(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function Nr(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];GT(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;GT(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;GT(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;GT(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function Or(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=Jp(3,32)|0;c[f>>2]=g;if((g|0)==0){Uo(c[b+536>>2]|0,42e3,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=eT(c[k>>2]|0,8)|0;c[l>>2]=u;To(c[m>>2]|0,(u|0)!=0|0,40608,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=eT(c[n>>2]|0,4)|0;c[o>>2]=u;To(c[m>>2]|0,(u|0)!=0|0,40608,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=eT(c[p>>2]|0,1)|0;c[q>>2]=u;To(c[m>>2]|0,(u|0)!=0|0,40608,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=eT(c[r>>2]|0,4)|0;c[s>>2]=u;To(c[m>>2]|0,(u|0)!=0|0,40608,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Np(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=eT(3,4)|0;c[b+4>>2]=e;Pp(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=eT(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=eT(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=eT(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=eT(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=eT(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=eT(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=eT(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=eT(s,52)|0;c[b+40>>2]=eT(c[b+216>>2]|0,52)|0;c[b+44>>2]=eT(c[b+220>>2]|0,52)|0;c[b+48>>2]=eT(c[b+224>>2]|0,52)|0;c[b+52>>2]=eT(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=eT(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=eT(q,8)|0;c[b+340>>2]=eT(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=eT(q,8)|0;c[b+348>>2]=eT(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=eT(o,1)|0;c[b+356>>2]=eT(o,1)|0;c[b+360>>2]=eT(o,1)|0;o=cT(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=cT(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=eT(e,8)|0;c[b+388>>2]=eT(k,4)|0;c[b+392>>2]=eT(n,1)|0;c[b+396>>2]=eT(p,4)|0;c[b+400>>2]=eT(e,8)|0;c[b+404>>2]=eT(k,4)|0;c[b+408>>2]=eT(n,1)|0;c[b+412>>2]=eT(p,4)|0;c[b+416>>2]=eT(r,8)|0;c[b+420>>2]=eT(f,4)|0;c[b+424>>2]=eT(t,1)|0;c[b+428>>2]=eT(s,4)|0;c[b+432>>2]=eT(c[b+152>>2]|0,8)|0;c[b+436>>2]=eT(c[b+156>>2]|0,8)|0;s=cT((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;Ud[c[(c[t>>2]|0)+20>>2]&511](s);s=cT((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;Ud[c[(c[t>>2]|0)+16>>2]&511](s);s=cT((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;Ud[c[(c[t>>2]|0)+12>>2]&511](s);s=cT((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;Vd[c[(c[t>>2]|0)+24>>2]&127](s,b);c[b+464>>2]=cT((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=eT(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;To(c[m>>2]|0,(s|0)!=0|0,40112,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=eT(100,4)|0;c[b+520>>2]=eT(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=cT(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;To(c[m>>2]|0,(t|0)!=0|0,40608,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=Jp(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function Pr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;dT(c[f+8>>2]|0);dT(c[f+12>>2]|0);dT(c[f+16>>2]|0);dT(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);dT(e);Kp(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){gq(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}dT(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){gq(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}dT(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){gq(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}dT(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){gq(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}dT(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){gq(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}dT(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){gq(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}dT(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){gq(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}dT(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){gq(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}dT(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){gq(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}dT(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){gq(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}dT(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){gq(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}dT(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){gq(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}dT(t);dT(c[a+108>>2]|0);dT(c[a+336>>2]|0);dT(c[a+340>>2]|0);dT(c[a+344>>2]|0);dT(c[a+348>>2]|0);dT(c[a+352>>2]|0);dT(c[a+356>>2]|0);dT(c[a+360>>2]|0);dT(c[a+368>>2]|0);dT(c[a+384>>2]|0);dT(c[a+388>>2]|0);dT(c[a+392>>2]|0);dT(c[a+396>>2]|0);dT(c[a+400>>2]|0);dT(c[a+404>>2]|0);dT(c[a+408>>2]|0);dT(c[a+412>>2]|0);dT(c[a+416>>2]|0);dT(c[a+420>>2]|0);dT(c[a+424>>2]|0);dT(c[a+428>>2]|0);dT(c[a+488>>2]|0);dT(c[a+484>>2]|0);dT(c[a+476>>2]|0);dT(c[a+468>>2]|0);dT(c[a+464>>2]|0);dT(c[a+432>>2]|0);dT(c[a+436>>2]|0);dT(c[a+320>>2]|0);dT(c[a+516>>2]|0);dT(c[a+520>>2]|0);wG(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;dT(v);return}else{w=0;x=a}while(1){Kp(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;dT(v);return}function Qr(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;Qo(8,0,39728,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function Rr(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?b:a));if(d){g=f}else{g=-0.0-f}return a-b<=g|0}function Sr(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?a:b));if(d){g=-0.0-f}else{g=f}return a-b>=g|0}function Tr(a,b){a=+a;b=+b;return a<b|0}function Ur(a,b){a=+a;b=+b;return a<=b|0}function Vr(a,b){a=+a;b=+b;return a>b|0}function Wr(a,b){a=+a;b=+b;return a>=b|0}function Xr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=cT(j)|0;c[d+(g*40|0)+24>>2]=cT(j)|0;if((c[f>>2]|0)!=1){k=5;break}$r(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){Uo(c[a+536>>2]|0,511336,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function Yr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){dT(c[d+(g*40|0)+20>>2]|0);dT(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;as(j)|0;dT(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){Uo(c[a+536>>2]|0,511336,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function Zr(b,d){b=b|0;d=d|0;var e=0,f=0;e=i;if((c[b+296>>2]|0)==1){f=c[b+484>>2]|0;a[f+(d*40|0)+36|0]=cs(b,d)|0;i=e;return 0}else{Uo(c[b+536>>2]|0,511336,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;return 0}return 0}function _r(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[132655]|c[132722]|0)==0){w=1;x=v;break}uG(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];So(17,1,509768,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;uG(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;uG(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;So(17,0,495928,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;uG(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Ud[c[3702]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function $r(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=cT(20)|0;c[b>>2]=e;To(0,(e|0)!=0|0,511256,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=cT(a)|0;c[e+4>>2]=cT(a)|0;c[e+8>>2]=cT(a)|0;c[e+16>>2]=cT(a)|0;To(0,(c[b>>2]|0)!=0|0,509720,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function as(a){a=a|0;var b=0;b=c[a>>2]|0;dT(c[b>>2]|0);dT(c[b+4>>2]|0);dT(c[b+8>>2]|0);dT(c[b+16>>2]|0);return 0}function bs(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if((c|0)>0){d=0;e=0;while(1){f=((a[b+e|0]|0)==1)+d|0;g=e+1|0;if((g|0)<(c|0)){d=f;e=g}else{h=f;break}}}else{h=0}e=c-1|0;d=e;while(1){if(!((d|0)>-1)){break}if((a[b+d|0]|0)==0){d=d-1|0}else{break}}if((h|0)==(c|0)){i=0;return i|0}if((d|0)==-1){a[b]=1;i=1;return i|0}if((d|0)<(e|0)){a[b+d|0]=0;a[b+(d+1)|0]=1;i=1;return i|0}d=c-2|0;a:do{if((d|0)>-1){c=d;f=1;while(1){g=c;while(1){j=b+g|0;if((a[j]|0)!=0){break}if((g|0)>0){g=g-1|0}else{break a}}k=g+1|0;if((a[b+k|0]|0)==0){break}if((g|0)>0){c=g-1|0;f=f+1|0}else{break a}}c=k+f|0;a[j]=0;if((k|0)<=(c|0)){l=k;do{a[b+l|0]=1;l=l+1|0;}while((l|0)<=(c|0))}l=c+1|0;if((l|0)>(e|0)){i=1;return i|0}else{m=l}while(1){a[b+m|0]=0;l=m+1|0;if((l|0)>(e|0)){i=1;break}else{m=l}}return i|0}}while(0);m=h+1|0;if((h|0)>=0){HT(b|0,1,m|0)|0}if((m|0)>(e|0)){i=1;return i|0}else{n=m}while(1){a[b+n|0]=0;m=n+1|0;if((m|0)>(e|0)){i=1;break}else{n=m}}return i|0}function cs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0;e=i;f=c[b+484>>2]|0;g=c[f+(d*40|0)+28>>2]|0;j=c[f+(d*40|0)+4>>2]|0;k=b+4|0;l=g+16|0;m=f+(d*40|0)|0;HT(c[l>>2]|0,0,c[m>>2]|0)|0;n=c[m>>2]|0;o=f+(d*40|0)+20|0;if((n|0)>0){p=g+8|0;q=0;while(1){a[(c[p>>2]|0)+q|0]=a[c[(c[o>>2]|0)+(q<<2)>>2]|0]|0;r=q+1|0;s=c[m>>2]|0;if((r|0)<(s|0)){q=r}else{t=s;break}}}else{t=n}n=f+(d*40|0)+12|0;q=b;p=f+(d*40|0)+16|0;s=f+(d*40|0)+8|0;r=g;u=g+4|0;g=f+(d*40|0)+24|0;d=0;f=t;a:while(1){if((f|0)>0){t=0;do{a[(c[r>>2]|0)+t|0]=a[c[(c[o>>2]|0)+(t<<2)>>2]|0]|0;t=t+1|0;}while((t|0)<(c[m>>2]|0))}Ud[c[n>>2]&511](q);Ud[c[p>>2]&511](q);if((c[m>>2]|0)>0){t=0;do{a[(c[u>>2]|0)+t|0]=a[c[(c[o>>2]|0)+(t<<2)>>2]|0]|0;t=t+1|0;}while((t|0)<(c[m>>2]|0))}t=a[s]|0;if((Dr(b)|0)<<24>>24==0){v=t;w=d}else{Ar(b);Ud[c[p>>2]&511](q);v=(d|0)>200?-4:t;w=d+1|0}if((v|0)==-1){x=23;break}t=c[m>>2]|0;y=0;while(1){if((y|0)>=(t|0)){x=20;break a}if((a[(c[r>>2]|0)+y|0]|0)==(a[(c[u>>2]|0)+y|0]|0)){y=y+1|0}else{break}}if((bs(c[l>>2]|0,t)|0)<<24>>24==0){x=18;break}y=c[m>>2]|0;if((y|0)>0){z=0;while(1){a[c[(c[o>>2]|0)+(z<<2)>>2]|0]=(a[c[(c[g>>2]|0)+(z<<2)>>2]|0]|0)!=(a[(c[l>>2]|0)+z|0]|0)|0;A=z+1|0;B=c[m>>2]|0;if((A|0)<(B|0)){z=A}else{C=B;break}}}else{C=y}d=w+1|0;f=C}do{if((x|0)==18){if((a[b+312|0]|0)==0){D=+h[c[c[k>>2]>>2]>>3];So(1,0,512448,(C=i,i=i+16|0,c[C>>2]=j,h[C+8>>3]=D,C)|0);i=C}a[b+315|0]=1;x=23}else if((x|0)==20){if((c[132655]|0)==0){E=1}else{F=1;break}i=e;return E|0}}while(0);do{if((x|0)==23){if((c[132655]|0)==0){E=0}else{F=0;break}i=e;return E|0}}while(0);Ud[c[3702]&511](17);E=F;i=e;return E|0}function ds(a,b){a=a|0;b=b|0;Uo(c[a+536>>2]|0,510984,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function es(a){a=a|0;Uo(0,510984,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function fs(a,b){a=a|0;b=b|0;Uo(c[a+536>>2]|0,510984,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function gs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=cT(k)|0;c[d+(g<<6)+36>>2]=cT(k)|0;l=c[f>>2]|0;if((l|0)==2){c[d+(g<<6)+8>>2]=4;ns(h,h,j,d+(g<<6)+24|0)|0}else if((l|0)==1){c[d+(g<<6)+32>>2]=cT(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;ls(h,d+(g<<6)+24|0)|0}else{m=6;break}h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=8;break}}if((m|0)==6){Uo(c[a+536>>2]|0,510952,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function hs(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function is(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;kc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function js(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){dT(c[d+(g<<6)+28>>2]|0);dT(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==1){ms(d+(g<<6)+24|0)|0;dT(c[d+(g<<6)+32>>2]|0)}else if((h|0)==2){os(d+(g<<6)+24|0)|0}else{j=6;break}dT(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){Uo(c[a+536>>2]|0,510952,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function ks(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[132653]|c[132722]|0)==0){w=1;x=v;break}uG(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];So(15,1,509688,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;uG(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;uG(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;So(15,0,495920,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;uG(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Ud[c[3702]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function ls(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=cT(12)|0;f=cT(a<<2)|0;c[e>>2]=f;To(0,(f|0)!=0|0,510848,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function ms(a){a=a|0;dT(c[c[a>>2]>>2]|0);return 0}function ns(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=cT(32)|0;To(0,(g|0)!=0|0,510672,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;ec(0,d|0)|0;Id(c[d>>2]|0,c[b>>2]|0,0)|0;ec(0,g+4|0)|0;Id(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ua(b|0)|0;Od(509672,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function os(a){a=a|0;var b=0;b=c[a>>2]|0;Xc(c[b+12>>2]|0)|0;bc(c[b+8>>2]|0)|0;bc(c[b+4>>2]|0)|0;return 0}function ps(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;To(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,24504,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){To(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,512408,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((Xd[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=cT(n)|0;c[d+(j*80|0)+52>>2]=cT(n)|0;c[d+(j*80|0)+48>>2]=cT(n)|0;c[d+(j*80|0)+16>>2]=cT(n)|0;c[d+(j*80|0)+8>>2]=cT(n)|0;c[d+(j*80|0)+12>>2]=cT(n)|0;Vd[c[d+(j*80|0)+36>>2]&127](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){Cs(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==3){Cs(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==1){us(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==2){ds(a,k)|0;break}else{o=12;break a}}}while(0);k=j+1|0;if((k|0)<(c[e>>2]|0)){j=k}else{o=14;break}}if((o|0)==12){Uo(c[f>>2]|0,509560,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function qs(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;dT(c[d+(g*80|0)+44>>2]|0);dT(c[d+(g*80|0)+52>>2]|0);dT(c[d+(g*80|0)+48>>2]|0);dT(c[d+(g*80|0)+16>>2]|0);dT(c[d+(g*80|0)+8>>2]|0);dT(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;Ds(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==2){es(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==1){l=d+(g*80|0)+40|0;vs(l)|0;k=l;break}else if((j|0)==3){j=d+(g*80|0)+40|0;Ds(j)|0;k=j;break}else{m=9;break a}}}while(0);dT(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){Uo(c[a+536>>2]|0,509560,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function rs(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;f=c[b+468>>2]|0;c[b+472>>2]=d;g=b+319|0;a[g]=1;do{if((c[f+(d*80|0)+56>>2]|0)==1){h=(Fs(b,d)|0)&255}else{j=c[b+300>>2]|0;if((j|0)==2){h=(fs(b,d)|0)&255;break}else if((j|0)==1){k=b+536|0;l=(c[k>>2]|0)+84|0;m=c[l>>2]|0;c[l>>2]=3;l=ws(b,d)|0;c[(c[k>>2]|0)+84>>2]=m;h=l&255;break}else if((j|0)==3){h=(Fs(b,d)|0)&255;break}else{Uo(c[b+536>>2]|0,509560,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;return 0}}}while(0);a[f+(d*80|0)+72|0]=h;a[g]=0;i=e;return 0}function ss(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;uG(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];Ro(17,1,o,506696,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){uG(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;uG(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;So(17,0,500320,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;uG(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{So(17,1,504176,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;uG(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;uG(k,d,c[p>>2]|0);if((CT(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];So(17,0,502736,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;uG(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;So(17,0,501616,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}uG(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[132655]|c[132722]|0)==0){break}Ud[c[3702]&511](17)}}while(0);if((c[132655]|c[132722]|0)==0){r=1;i=e;return r|0}Ud[c[3702]&511](17);r=1;i=e;return r|0}function ts(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0.0,g=0.0,i=0.0;e=c[a+4>>2]|0;f=+h[c[e+4>>2]>>3];g=+h[c[e+8>>2]>>3];if(f==g){i=b;return+i}i=(b-d)*((+h[c[e>>2]>>3]-g)/(f-g))+d;return+i}function us(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=cT(144)|0;c[b>>2]=e;To(0,(e|0)!=0|0,510224,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=cT(g)|0;c[e+16>>2]=cT(g)|0;c[e+8>>2]=1;c[e+12>>2]=cT(g)|0;c[e+20>>2]=a;c[e+24>>2]=cT(g)|0;c[e+28>>2]=eT(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=cT(g)|0;c[e+68>>2]=cT(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=eT(j,8)|0;c[e+108>>2]=eT(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=cT(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=cT(g)|0;c[e+128>>2]=cT(g)|0;c[e+132>>2]=cT(g)|0;c[e+136>>2]=cT(g)|0;c[e+140>>2]=cT(g)|0;To(0,(c[b>>2]|0)!=0|0,509624,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function vs(a){a=a|0;var b=0;b=c[a>>2]|0;dT(c[b+4>>2]|0);dT(c[b+16>>2]|0);dT(c[b+12>>2]|0);dT(c[b+24>>2]|0);dT(c[b+28>>2]|0);dT(c[b+64>>2]|0);dT(c[b+68>>2]|0);dT(c[b+104>>2]|0);dT(c[b+108>>2]|0);dT(c[b+116>>2]|0);dT(c[b+124>>2]|0);dT(c[b+128>>2]|0);dT(c[b+132>>2]|0);dT(c[b+136>>2]|0);dT(c[b+140>>2]|0);return 0}function ws(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0.0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;e=i;i=i+4200|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+32|0;m=e+56|0;n=e+80|0;o=e+4176|0;p=c[b+468>>2]|0;q=c[p+(d*80|0)+40>>2]|0;r=q;s=c[p+(d*80|0)+4>>2]|0;c[f>>2]=1;t=q+80|0;u=+h[t>>3];c[k>>2]=0;v=b+164|0;w=cT(c[v>>2]|0)|0;if((c[132655]|0)!=0){uG(l,b+56|0,s);x=+h[c[c[b+4>>2]>>2]>>3];Qo(17,1,495856,(y=i,i=i+16|0,c[y>>2]=c[l+8>>2],h[y+8>>3]=x,y)|0);i=y;l=q+20|0;if((c[l>>2]|0)>0){z=p+(d*80|0)+44|0;A=p+(d*80|0)+16|0;B=p+(d*80|0)+48|0;C=p+(d*80|0)+52|0;D=0;do{x=+h[(c[z>>2]|0)+(D<<3)>>3];Qo(17,1,486896,(y=i,i=i+16|0,c[y>>2]=D,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[B>>2]|0)+(D<<3)>>3];E=+h[(c[C>>2]|0)+(D<<3)>>3];Qo(17,0,42064,(y=i,i=i+24|0,h[y>>3]=+h[(c[A>>2]|0)+(D<<3)>>3],h[y+8>>3]=x,h[y+16>>3]=E,y)|0);i=y;Ud[c[3702]&511](17);D=D+1|0;}while((D|0)<(c[l>>2]|0))}Ud[c[3702]&511](17)}l=b+314|0;D=q+24|0;A=c[D>>2]|0;if((a[l]|0)==0){GT(A|0,c[p+(d*80|0)+52>>2]|0,c[q+20>>2]<<3)|0}else{GT(A|0,c[p+(d*80|0)+44>>2]|0,c[q+20>>2]<<3)|0}A=q+20|0;C=c[A>>2]|0;if((C|0)>0){B=c[D>>2]|0;z=c[p+(d*80|0)+16>>2]|0;F=c[q+12>>2]|0;G=0;do{E=+V(+(+h[B+(G<<3)>>3]));h[F+(G<<3)>>3]=+Yb(+E,+(+h[z+(G<<3)>>3]));G=G+1|0;}while((G|0)<(C|0))}C=q+8|0;G=(c[C>>2]|0)!=0;if(G){c[C>>2]=0}z=q+28|0;F=q+104|0;B=q+112|0;H=b;xs(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(G){c[C>>2]=1}G=b+318|0;I=q+32|0;J=q+40|0;K=q+64|0;L=q+72|0;M=q+88|0;N=q+92|0;O=q+96|0;P=q+100|0;Q=q+116|0;R=q+120|0;S=q+124|0;T=q+128|0;U=q+132|0;W=q+136|0;X=q+140|0;Y=b+56|0;Z=b+4|0;_=p+(d*80|0)+52|0;$=p+(d*80|0)+44|0;aa=p+(d*80|0)+48|0;ba=p+(d*80|0)+16|0;p=q+12|0;ca=b+356|0;da=q+4|0;ea=b+312|0;fa=q+16|0;ha=n|0;n=q+108|0;q=0;ia=0;ja=0;ka=0;la=1;E=1.0e-12;a:while(1){ma=c[A>>2]|0;if((ma|0)>0){na=c[D>>2]|0;oa=c[ba>>2]|0;pa=c[p>>2]|0;qa=0;do{x=+V(+(+h[na+(qa<<3)>>3]));h[pa+(qa<<3)>>3]=+Yb(+x,+(+h[oa+(qa<<3)>>3]));qa=qa+1|0;}while((qa|0)<(ma|0))}if((c[132656]|0)!=0){ys(c[p>>2]|0,A,18,33416);ys(c[D>>2]|0,A,18,29640)}do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}qa=c[p>>2]|0;oa=c[D>>2]|0;pa=0;do{na=oa+(pa<<3)|0;h[na>>3]=1.0/+h[qa+(pa<<3)>>3]*+h[na>>3];pa=pa+1|0;}while((pa|0)<(ma|0))}}while(0);if((c[132656]|0)!=0){ys(c[D>>2]|0,A,18,26736)}a[G]=la;Mq(14,A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,I,J,c[K>>2]|0,L,t,M,N,O,P,c[Q>>2]|0,R,c[S>>2]|0,c[T>>2]|0,c[U>>2]|0,c[W>>2]|0,c[X>>2]|0,H,d)|0;a[G]=la^1;do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}pa=c[D>>2]|0;qa=c[p>>2]|0;oa=0;do{na=pa+(oa<<3)|0;h[na>>3]=+h[na>>3]*+h[qa+(oa<<3)>>3];oa=oa+1|0;}while((oa|0)<(ma|0))}}while(0);ma=c[N>>2]|0;if((ma|0)==0){uG(m,Y,s);fq(3,m,+h[c[c[Z>>2]>>2]>>3]);ra=c[N>>2]|0}else{ra=ma}do{if(!((ra|0)==-1)){if((a[l]|0)==0){sa=ra}else{if((c[C>>2]|0)==0){a[G]=0;xs(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0}else{c[C>>2]=0;a[G]=0;xs(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;c[C>>2]=1}Ar(b);sa=c[N>>2]|0}if((sa|0)==-1){break}ma=c[A>>2]|0;if((ma|0)>0){oa=c[da>>2]|0;qa=c[z>>2]|0;pa=c[fa>>2]|0;na=0;ta=0;while(1){ua=oa+(ta<<3)|0;h[ua>>3]=1.0e-16;va=c[n>>2]|0;wa=(ma|0)>1?ma:1;xa=na;ya=0;x=1.0e-16;while(1){za=+V(+(+h[va+(xa<<3)>>3]));Aa=za>x?za:x;h[ua>>3]=Aa;Ba=ya+1|0;if((Ba|0)<(ma|0)){xa=xa+1|0;ya=Ba;x=Aa}else{break}}h[pa+(ta<<3)>>3]=+h[qa+(ta<<3)>>3]*(1.0/Aa);ya=ta+1|0;if((ya|0)<(ma|0)){na=na+wa|0;ta=ya}else{break}}}if((c[132656]|0)!=0){Qo(18,1,502696,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{x=+h[(c[fa>>2]|0)+(ta<<3)>>3];Qo(18,1,501584,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[da>>2]|0)+(ta<<3)>>3];Qo(18,0,500288,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;Ud[c[3702]&511](18);ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}Ud[c[3702]&511](18)}if((c[132657]|0)!=0){ta=c[A>>2]|0;Qo(19,1,499312,(y=i,i=i+16|0,c[y>>2]=ta,c[y+8>>2]=ta,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{a[ha]=0;na=c[A>>2]|0;if((na|0)>0){ma=0;qa=na;do{na=(ga(qa,ta)|0)+ma|0;x=+h[(c[n>>2]|0)+(na<<3)>>3];Pb(ha|0,498248,(y=i,i=i+16|0,c[y>>2]=ha,h[y+8>>3]=x,y)|0)|0;i=y;ma=ma+1|0;qa=c[A>>2]|0;}while((ma|0)<(qa|0))}Qo(19,0,497504,(y=i,i=i+8|0,c[y>>2]=ha,y)|0);i=y;ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}Ud[c[3702]&511](19)}h[j>>3]=+Lq(A,c[fa>>2]|0);h[g>>3]=+Lq(A,c[z>>2]|0)}}while(0);do{if((ka|0)==0){Ca=0}else{if(!(+h[g>>3]>E)){Ca=ka;break}if(!(+h[j>>3]>E)){Ca=ka;break}GT(c[ca>>2]|0,w|0,c[v>>2]|0)|0;Ca=0}}while(0);ta=c[N>>2]|0;x=+h[g>>3];b:do{if((ta|0)<4){do{if(x>E){if(!(+h[j>>3]>E)){break}c[N>>2]=4;Da=4;break b}}while(0);if((ta|0)==1){Ea=68;break a}else{Da=ta}}else{Da=ta}}while(0);if(!(x>E)){Ea=68;break}if(!(+h[j>>3]>E)){Ea=68;break}ta=(Da-4|0)>>>0<2>>>0;c:do{if(ta&(q|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=+h[t>>3]/10.0;h[t>>3]=za;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Qo(17,0,493440,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa}else{if(ta&(q|0)<4){qa=c[A>>2]|0;if((qa|0)>0){ma=c[ba>>2]|0;wa=c[D>>2]|0;na=0;do{pa=wa+(na<<3)|0;h[pa>>3]=+h[ma+(na<<3)>>3]*.1+ +h[pa>>3];na=na+1|0;}while((na|0)<(qa|0))}h[t>>3]=u;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Qo(17,0,492792,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[aa>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;pa=0;do{za=+V(+(+h[na+(pa<<3)>>3]));h[wa+(pa<<3)>>3]=+Yb(+za,+(+h[ma+(pa<<3)>>3]));pa=pa+1|0;}while((pa|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Qo(17,0,492016,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<6){qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}if((c[C>>2]|0)!=0){c[C>>2]=0}qa=c[A>>2]|0;if((qa|0)>0){pa=c[D>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;na=0;do{za=+V(+(+h[pa+(na<<3)>>3]));h[wa+(na<<3)>>3]=+Yb(+za,+(+h[ma+(na<<3)>>3]));na=na+1|0;}while((na|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}Qo(17,0,491144,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}do{if(ta&(q|0)<7){if((a[l]|0)==0){break}GT(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;qa=q+1|0;GT(w|0,c[ca>>2]|0,c[v>>2]|0)|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}Qo(17,0,490344,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}}while(0);if(ta&(ia|0)<1){GT(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;if((c[C>>2]|0)==0){c[C>>2]=1}h[t>>3]=u;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Qo(17,0,488896,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<2){qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[D>>2]|0;ma=0;do{wa=na+(ma<<3)|0;h[wa>>3]=+h[wa>>3]*1.01;ma=ma+1|0;}while((ma|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Qo(17,0,488248,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){ma=c[D>>2]|0;na=0;do{wa=ma+(na<<3)|0;h[wa>>3]=+h[wa>>3]*.99;na=na+1|0;}while((na|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Qo(17,0,487600,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<4){GT(c[D>>2]|0,c[ba>>2]|0,c[A>>2]<<3)|0;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Qo(17,0,486792,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[da>>2]|0;ma=c[K>>2]|0;wa=0;do{za=+V(+(+h[na+(wa<<3)>>3]));h[ma+(wa<<3)>>3]=za>1.0e-16?za:1.0e-16;wa=wa+1|0;}while((wa|0)<(qa|0))}qa=ia+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}Qo(17,0,485280,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(!(ta&(ja|0)<1)){if(!(ta&(ja|0)<6)){Ea=161;break a}qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=E*10.0;h[t>>3]=u;c[L>>2]=1;qa=ja+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}Qo(17,0,406288,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;zs(r,k,g,j,18);Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}qa=c[D>>2]|0;if((a[l]|0)==0){GT(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{GT(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){wa=c[K>>2]|0;ma=0;do{h[wa+(ma<<3)>>3]=1.0;ma=ma+1|0;}while((ma|0)<(qa|0))}c[C>>2]=1;qa=ja+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}Qo(17,0,484232,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;zs(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0}}while(0);if(1){q=Ka;ia=Ja;ja=Ia;ka=Ha;la=Ga;E=Fa}else{La=0;Ea=167;break}}if((Ea|0)==68){c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[132655]|0)!=0){Qo(17,1,496656,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;Qo(17,0,495776,(y=i,i=i+16|0,c[y>>2]=q,c[y+8>>2]=ja+ia,y)|0);i=y;Ud[c[3702]&511](17);zs(r,k,g,j,17)}O=(c[C>>2]|0)!=0;if(O){c[C>>2]=0;Ma=O}else{Ma=0}GT(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;xs(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(!Ma){La=1;h[t>>3]=u;c[L>>2]=1;dT(w);i=e;return La|0}c[C>>2]=1;La=1;h[t>>3]=u;c[L>>2]=1;dT(w);i=e;return La|0}else if((Ea|0)==161){if(!((Da-2|0)>>>0<4>>>0)){La=0;h[t>>3]=u;c[L>>2]=1;dT(w);i=e;return La|0}if((a[ea]|0)==0){uG(o,Y,s);fq(0,o,+h[c[c[Z>>2]>>2]>>3])}if((c[132655]|0)!=0){Z=ga(ga(ia,q)|0,ja)|0;Qo(17,0,46240,(y=i,i=i+8|0,c[y>>2]=Z,y)|0);i=y;zs(r,k,g,j,17)}GT(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;La=0;h[t>>3]=u;c[L>>2]=1;dT(w);i=e;return La|0}else if((Ea|0)==167){h[t>>3]=u;c[L>>2]=1;dT(w);i=e;return La|0}return 0}function xs(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;g=i;i=i+16384|0;m=g|0;n=k;o=c[k+468>>2]|0;p=c[o+(l*80|0)+40>>2]|0;q=k+318|0;r=c[j>>2]|0;if((r|0)==1){s=p+8|0;do{if((c[s>>2]|0)!=0){t=c[b>>2]|0;if((t|0)<=0){break}u=c[p+12>>2]|0;v=0;do{w=d+(v<<3)|0;h[w>>3]=+h[w>>3]*+h[u+(v<<3)>>3];v=v+1|0;}while((v|0)<(t|0))}}while(0);if((c[132658]|0)!=0){Qo(20,0,39696,(x=i,i=i+8|0,c[x>>2]=c[p+96>>2],x)|0);i=x;ys(d,b,20,39344)}ne[c[o+(l*80|0)+32>>2]&63](k,d,e,j);if((c[132658]|0)!=0){ys(e,b,20,38896);Qo(20,0,38512,(x=i,i=i+8|0,c[x>>2]=c[p+96>>2],x)|0);i=x}if((c[s>>2]|0)==0){i=g;return 0}s=c[b>>2]|0;if((s|0)<=0){i=g;return 0}j=c[p+12>>2]|0;t=0;do{v=d+(t<<3)|0;h[v>>3]=1.0/+h[j+(t<<3)>>3]*+h[v>>3];t=t+1|0;}while((t|0)<(s|0));i=g;return 0}else if((r|0)==2){s=(a[q]|0)!=0;if(s){a[q]=0}if((c[132658]|0)!=0){Qo(20,0,38160,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x}if((c[o+(l*80|0)+28>>2]|0)==-1){Bs(n,f,d,e,l)}else{As(n,f,l)}do{if((c[132658]|0)!=0){Qo(20,0,37912,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;if((c[132657]|0)==0){break}l=c[b>>2]|0;Qo(19,1,499312,(x=i,i=i+16|0,c[x>>2]=l,c[x+8>>2]=l,x)|0);i=x;l=c[b>>2]|0;if((l|0)>0){n=m|0;e=p+20|0;d=0;o=l;do{a[n]=0;if((o|0)>0){l=0;do{y=+h[f+((ga(c[e>>2]|0,d)|0)+l<<3)>>3];Pb(n|0,37544,(x=i,i=i+16|0,c[x>>2]=n,h[x+8>>3]=y,x)|0)|0;i=x;l=l+1|0;}while((l|0)<(c[b>>2]|0))}Qo(19,0,497504,(x=i,i=i+8|0,c[x>>2]=n,x)|0);i=x;d=d+1|0;o=c[b>>2]|0;}while((d|0)<(o|0))}Ud[c[3702]&511](19)}}while(0);if(!s){i=g;return 0}a[q]=1;i=g;return 0}else{Uo(c[k+536>>2]|0,37192,(x=i,i=i+8|0,c[x>>2]=r,x)|0);i=x;return 0}return 0}function ys(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0;f=i;if((c[530552+(d<<2)>>2]|0)==0){i=f;return}Qo(d,1,497504,(g=i,i=i+8|0,c[g>>2]=e,g)|0);i=g;if((c[b>>2]|0)>0){e=0;do{j=+h[a+(e<<3)>>3];Qo(d,0,40096,(g=i,i=i+16|0,c[g>>2]=e,h[g+8>>3]=j,g)|0);i=g;e=e+1|0;}while((e|0)<(c[b>>2]|0))}Ud[c[3702]&511](d);i=f;return}function zs(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0;g=i;if((c[530552+(f<<2)>>2]|0)==0){i=g;return}Qo(f,1,45344,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Qo(f,1,44544,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;k=a+20|0;if((c[k>>2]|0)>0){l=a+24|0;m=a+64|0;n=0;do{o=+h[(c[l>>2]|0)+(n<<3)>>3];p=+h[(c[m>>2]|0)+(n<<3)>>3];Qo(f,0,43920,(j=i,i=i+24|0,c[j>>2]=n,h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;n=n+1|0;}while((n|0)<(c[k>>2]|0))}Ud[c[3702]&511](f);Qo(f,1,43352,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[k>>2]|0)>0){n=a+28|0;m=a+4|0;a=0;do{p=+h[(c[n>>2]|0)+(a<<3)>>3];o=+h[(c[m>>2]|0)+(a<<3)>>3];Qo(f,0,42664,(j=i,i=i+24|0,c[j>>2]=a,h[j+8>>3]=p,h[j+16>>3]=o,j)|0);i=j;a=a+1|0;}while((a|0)<(c[k>>2]|0))}Ud[c[3702]&511](f);Qo(f,1,41984,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;o=+h[d>>3];p=+h[e>>3];Qo(f,0,40560,(j=i,i=i+24|0,c[j>>2]=c[b>>2],h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;Ud[c[3702]&511](f);Ud[c[3702]&511](f);i=g;return}function As(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+40>>2]|0;g=c[e+(d*80|0)+28>>2]|0;i=f+20|0;j=c[i>>2]|0;HT(b|0,0,ga(j<<3,j)|0)|0;j=f+108|0;f=c[i>>2]|0;HT(c[j>>2]|0,0,ga(f<<3,f)|0)|0;f=a+464|0;i=c[f>>2]|0;if((c[i+(g*44|0)+24>>2]|0)==0){return}k=e+(d*80|0)+20|0;d=a;a=0;e=i;l=c[i+(g*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[e+(g*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(g*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Xd[c[k>>2]&255](d)|0;e=c[f>>2]|0;l=c[e+(g*44|0)>>2]|0;if((l|0)!=0){i=c[e+(g*44|0)+20>>2]|0;m=c[e+(g*44|0)+28>>2]|0;n=0;do{o=m+(n<<3)|0;do{if(+h[o>>3]==1.0){if((n|0)==0){p=0;q=e+(g*44|0)+8|0}else{r=e+(g*44|0)+8|0;p=c[(c[r>>2]|0)+(n-1<<2)>>2]|0;q=r}r=c[(c[q>>2]|0)+(n<<2)>>2]|0;if(!(p>>>0<r>>>0)){break}s=c[j>>2]|0;t=c[e+(g*44|0)+12>>2]|0;u=c[e+(g*44|0)+4>>2]|0;v=c[e+(g*44|0)+36>>2]|0;w=p;do{x=c[t+(w<<2)>>2]|0;y=(ga(u,n)|0)+x|0;z=+h[v+(x<<3)>>3];h[b+(y<<3)>>3]=z;h[s+(y<<3)>>3]=z;w=w+1|0;}while(w>>>0<r>>>0)}}while(0);if(((c[i+(n<<2)>>2]|0)-1|0)==(a|0)){h[o>>3]=0.0}n=n+1|0;}while(n>>>0<l>>>0)}a=a+1|0;}while(a>>>0<(c[e+(g*44|0)+24>>2]|0)>>>0);return}function Bs(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0;g=i;i=i+8|0;j=g|0;k=c[(c[a+468>>2]|0)+(f*80|0)+40>>2]|0;l=k+56|0;m=+h[l>>3];n=+W(m);c[j>>2]=1;o=k+20|0;if((c[o>>2]|0)<=0){i=g;return}p=k+128|0;q=k+108|0;r=k+112|0;k=a;a=0;s=m;while(1){m=+h[e+(a<<3)>>3];t=s*m;u=d+(a<<3)|0;v=+h[u>>3];if(v<0.0){w=-0.0-v}else{w=v}if(t<0.0){x=-0.0-t}else{x=t}t=+Yb(+(n*+Yb(+w,+x)),+n);if(m<0.0){y=-0.0-t}else{y=t}t=y+v-v;m=1.0/t;h[u>>3]=v+t;xs(o,d,c[p>>2]|0,c[q>>2]|0,r,j,k,f)|0;z=c[o>>2]|0;if((z|0)>0){A=c[p>>2]|0;B=c[q>>2]|0;C=0;do{D=(ga(z,a)|0)+C|0;t=m*(+h[A+(C<<3)>>3]- +h[e+(C<<3)>>3]);h[b+(D<<3)>>3]=t;h[B+(D<<3)>>3]=t;C=C+1|0;}while((C|0)<(z|0))}h[u>>3]=v;C=a+1|0;if((C|0)>=(z|0)){break}a=C;s=+h[l>>3]}i=g;return}function Cs(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=cT(80)|0;c[b>>2]=e;To(0,(e|0)!=0|0,507704,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=cT(g)|0;c[e+8>>2]=cT(g)|0;c[e+12>>2]=a;c[e+16>>2]=cT(g)|0;c[e+20>>2]=eT(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=cT(ga(g,a)|0)|0;c[e+68>>2]=cT(g)|0;c[e+72>>2]=cT(a<<2)|0;To(0,(c[b>>2]|0)!=0|0,509288,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Ds(a){a=a|0;var b=0;b=c[a>>2]|0;dT(c[b+4>>2]|0);dT(c[b+8>>2]|0);dT(c[b+16>>2]|0);dT(c[b+20>>2]|0);dT(c[b+64>>2]|0);dT(c[b+68>>2]|0);dT(c[b+72>>2]|0);return 0}function Es(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+28>>2]|0;g=c[(c[e+(d*80|0)+40>>2]|0)+12>>2]|0;HT(b|0,0,ga(g<<3,g)|0)|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return 0}j=e+(d*80|0)+20|0;d=a;a=0;e=i;k=c[i+(f*44|0)>>2]|0;do{if((k|0)!=0){i=0;do{if(((c[(c[e+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<k>>>0)}Xd[c[j>>2]&255](d)|0;e=c[g>>2]|0;k=c[e+(f*44|0)>>2]|0;if((k|0)!=0){i=c[e+(f*44|0)+20>>2]|0;l=c[e+(f*44|0)+28>>2]|0;m=0;do{n=l+(m<<3)|0;do{if(+h[n>>3]==1.0){if((m|0)==0){o=0;p=e+(f*44|0)+8|0}else{q=e+(f*44|0)+8|0;o=c[(c[q>>2]|0)+(m-1<<2)>>2]|0;p=q}q=c[(c[p>>2]|0)+(m<<2)>>2]|0;if(!(o>>>0<q>>>0)){break}r=c[e+(f*44|0)+12>>2]|0;s=c[e+(f*44|0)+4>>2]|0;t=c[e+(f*44|0)+36>>2]|0;u=o;do{v=c[r+(u<<2)>>2]|0;w=(ga(s,m)|0)+v|0;h[b+(w<<3)>>3]=+h[t+(v<<3)>>3];u=u+1|0;}while(u>>>0<q>>>0)}}while(0);if(((c[i+(m<<2)>>2]|0)-1|0)==(a|0)){h[n>>3]=0.0}m=m+1|0;}while(m>>>0<k>>>0)}a=a+1|0;}while(a>>>0<(c[e+(f*44|0)+24>>2]|0)>>>0);return 0}



function UB(a,b){a=a|0;b=b|0;qC(a,b);return}function VB(a){a=a|0;eC(a);return}function WB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;xu(f|0);c[e>>2]=0;xu(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=MB(a)|0;b=c[c[e>>2]>>2]|0;xu(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(kA(a)|0)>>2]|0;hw(e,c[d>>2]|0);d=bC(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function XB(a){a=a|0;return c[($B(a|0)|0)>>2]|0}function YB(a){a=a|0;var b=0;b=ZB(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function ZB(a){a=a|0;return _B(a|0)|0}function _B(a){a=a|0;return a|0}function $B(a){a=a|0;return aC(a|0)|0}function aC(a){a=a|0;return a|0}function bC(a){a=a|0;return cC(a+8|0)|0}function cC(a){a=a|0;return dC(a|0)|0}function dC(a){a=a|0;return a|0}function eC(a){a=a|0;fC(a,0);return}function fC(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=ZB(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}hC(gC(d)|0,e);return}function gC(a){a=a|0;return pC(a|0)|0}function hC(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;iC(e,jC(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;kC(e,Ez(d+16|0)|0)}if((d|0)==0){return}lC(c[b>>2]|0,d,1);return}function iC(a,b){a=a|0;b=b|0;a=i;i=i+8|0;oC(a|0,0,b);i=a;return}function jC(a){a=a|0;return a|0}function kC(a,b){a=a|0;b=b|0;a=i;i=i+8|0;nC(a|0,0,b);i=a;return}function lC(a,b,c){a=a|0;b=b|0;c=c|0;mC(0,b,0);return}function mC(a,b,c){a=a|0;b=b|0;c=c|0;kT(b);return}function nC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;ZI(d);i=c;return}function oC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;ZI(d);i=c;return}function pC(a){a=a|0;return a+4|0}function qC(a,b){a=a|0;b=b|0;rC(a,b);return}function rC(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function sC(a){a=a|0;return LC(a+4|0)|0}function tC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];DC(a,b,d);i=e;return}function uC(a,b){a=a|0;b=b|0;return CC(0,b,0)|0}function vC(a,b){a=a|0;b=b|0;BC(a,b);return}function wC(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}PI(b,c);return}function xC(a){a=a|0;return c[($B(a|0)|0)>>2]|0}function yC(a){a=a|0;return gC(a|0)|0}function zC(a,b){a=a|0;b=b|0;if((b|0)==0){return}NI(b);return}function AC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;qC(f,b);SB(e,f);UB(d,e);SB(a,d);VB(e);i=c;return}function BC(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function CC(a,b,c){a=a|0;b=b|0;c=c|0;return iT(b*40|0)|0}function DC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(FC(f)|0)>>2]|0;f=GC(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;EC(a|0,b,g);i=e;return}function EC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];HC(a,b,d);i=e;return}function FC(a){a=a|0;return a|0}function GC(a){a=a|0;return a|0}function HC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(JC(f)|0)>>2]|0;f=KC(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;IC(a|0,b,g);i=e;return}function IC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(JC(f)|0)>>2];f=KC(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function JC(a){a=a|0;return a|0}function KC(a){a=a|0;return a|0}function LC(a){a=a|0;return MC(a|0)|0}function MC(a){a=a|0;return a|0}function NC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=YB(OC(b)|0)|0;g=KC(yC(OC(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;EC(a|0,f,e);i=d;return}function OC(a){a=a|0;return c[a>>2]|0}function PC(a){a=a|0;QC(a|0);return}function QC(a){a=a|0;RC(a);return}function RC(a){a=a|0;SC(a,rA(a)|0);return}function SC(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;xu(d|0);if((b|0)==0){i=d;return}SC(a,c[b>>2]|0);SC(a,c[b+4>>2]|0);e=sC(a)|0;TC(e,UC(b+16|0)|0);lC(e,b,1);i=d;return}function TC(a,b){a=a|0;b=b|0;a=i;i=i+8|0;VC(a|0,0,b);i=a;return}function UC(a){a=a|0;return a|0}function VC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;WC(d);i=c;return}function WC(a){a=a|0;XC(a);return}function XC(a){a=a|0;YC(a|0);return}function YC(a){a=a|0;ZC(a);return}function ZC(a){a=a|0;ZI(a+12|0);ZI(a|0);return}function _C(a){a=a|0;$C(a+180|0);$C(a+168|0);$C(a+156|0);$C(a+144|0);$C(a+132|0);$C(a+120|0);$C(a+108|0);$C(a+96|0);$C(a+84|0);$C(a+72|0);$C(a+60|0);$C(a+48|0);$C(a+36|0);$C(a+24|0);qy(a+12|0);qy(a|0);return}function $C(a){a=a|0;aD(a);return}function aD(a){a=a|0;bD(a|0);return}function bD(a){a=a|0;cD(a);return}function cD(a){a=a|0;dD(a,GB(a)|0);return}function dD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;xu(d|0);if((b|0)==0){i=d;return}dD(a,c[b>>2]|0);dD(a,c[b+4>>2]|0);e=jB(a)|0;eD(e,fD(b+16|0)|0);dB(e,b,1);i=d;return}function eD(a,b){a=a|0;b=b|0;a=i;i=i+8|0;gD(a|0,0,b);i=a;return}function fD(a){a=a|0;return a|0}function gD(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;hD(d);i=c;return}function hD(a){a=a|0;iD(a);return}function iD(a){a=a|0;jD(a|0);return}function jD(a){a=a|0;kD(a);return}function kD(a){a=a|0;qy(a+4|0);return}function lD(a){a=a|0;mD(a|0);return}function mD(a){a=a|0;nD(a);return}function nD(a){a=a|0;oD(a,bz(a)|0);return}function oD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;xu(d|0);if((b|0)==0){i=d;return}oD(a,c[b>>2]|0);oD(a,c[b+4>>2]|0);e=Lz(a)|0;pD(e,Qy(b+16|0)|0);Fz(e,b,1);i=d;return}function pD(a,b){a=a|0;b=b|0;a=i;i=i+8|0;qD(a|0,0,b);i=a;return}function qD(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;rD(d);i=c;return}function rD(a){a=a|0;sD(a);return}function sD(a){a=a|0;tD(a|0);return}function tD(a){a=a|0;uD(a);return}function uD(a){a=a|0;ZI(a|0);return}function vD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;wD(a|0);yD(d,b);zD(e,b);xD(a,d,e);i=c;return a|0}function wD(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;SC(a,rA(a)|0);c[(bC(a)|0)>>2]=0;d=kA(a)|0;c[(MB(a)|0)>>2]=d;xu(b|0);c[d>>2]=0;i=b;return}function xD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;HD(f,a);if(!(ID(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;AD(g,h);JD(j,a,g,KD(b)|0);LD(b)|0;}while(ID(b,d)|0);i=e;return}function yD(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;FD(d,b|0);AD(a,d);i=c;return}function zD(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;BD(d,b|0);AD(a,d);i=c;return}function AD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];ED(a,b);i=d;return}function BD(a,b){a=a|0;b=b|0;CD(a,sy(b)|0);return}function CD(a,b){a=a|0;b=b|0;DD(a,b);return}function DD(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function ED(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function FD(a,b){a=a|0;b=b|0;CD(a,c[(GD(b)|0)>>2]|0);return}function GD(a){a=a|0;return a|0}function HD(a,b){a=a|0;b=b|0;zD(a,b);return}function ID(a,b){a=a|0;b=b|0;return RE(a|0,b|0)|0}function JD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];TD(j,e);SD(g,b|0,h,j);hA(a,g);WC(j);i=f;return}function KD(a){a=a|0;return PD(a|0)|0}function LD(a){a=a|0;MD(a|0)|0;return a|0}function MD(a){a=a|0;var b=0;b=a|0;c[b>>2]=ND(c[b>>2]|0)|0;return a|0}function ND(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;xu(b|0);if((e|0)==0){e=a;while(1){a=lw(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=OD(c[d>>2]|0)|0;i=b;return g|0}return 0}function OD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;xu(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;xu(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function PD(a){a=a|0;return QD((c[a>>2]|0)+16|0)|0}function QD(a){a=a|0;return RD(a)|0}function RD(a){a=a|0;return a|0}function SD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=XD(b,h,g,e)|0;h=c[d>>2]|0;xu(f+16|0);if((h|0)!=0){m=h;jA(a,m);i=f;return}ZD(l,b,e);_D(k,l);YD(j,k);$D(l);l=c[g>>2]|0;WB(b,l,d,aE(j)|0);d=bE(j)|0;$D(j);m=d;jA(a,m);i=f;return}function TD(a,b){a=a|0;b=b|0;UD(a,b);return}function UD(a,b){a=a|0;b=b|0;VD(a|0,b);return}function VD(a,b){a=a|0;b=b|0;WD(a,b);return}function WD(a,b){a=a|0;b=b|0;PI(a|0,b|0);PI(a+12|0,b+12|0);return}function XD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;iA(h,a);FE(g,h);do{if(!(EE(b,g)|0)){h=tA(a)|0;s=HE(b)|0;if(GE(h,e,s)|0){break}t=GE(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;LE(n,o,1,0);iA(q,a);FE(p,q);do{if(!(EE(n,p)|0)){if(GE(h,e,HE(n)|0)|0){break}u=KE(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;xu(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;IE(l,a);FE(k,l);do{if(!(EE(j,k)|0)){l=tA(a)|0;if(GE(l,HE(JE(j)|0)|0,e)|0){break}u=KE(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;xu(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function YD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];CE(a,b);i=d;return}function ZD(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=sC(c)|0;c=uC(k,1)|0;oE(g,k);nE(f,c,g);pE(0,UC((qE(f)|0)+16|0)|0,d);a[(rE(f)|0)+4|0]=1;sE(j,f);_D(h,j);YD(b,h);$D(j);$D(f);i=e;return}function _D(a,b){a=a|0;b=b|0;lE(a,b);return}function $D(a){a=a|0;gE(a);return}function aE(a){a=a|0;return c[(eE(a|0)|0)>>2]|0}function bE(a){a=a|0;var b=0;b=cE(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function cE(a){a=a|0;return dE(a|0)|0}function dE(a){a=a|0;return a|0}function eE(a){a=a|0;return fE(a|0)|0}function fE(a){a=a|0;return a|0}function gE(a){a=a|0;hE(a,0);return}function hE(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=cE(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}jE(iE(d)|0,e);return}function iE(a){a=a|0;return kE(a|0)|0}function jE(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;TC(e,UC(d+16|0)|0)}if((d|0)==0){return}lC(c[b>>2]|0,d,1);return}function kE(a){a=a|0;return a+4|0}function lE(a,b){a=a|0;b=b|0;mE(a,b);return}function mE(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function nE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];wE(a,b,d);i=e;return}function oE(a,b){a=a|0;b=b|0;vE(a,b);return}function pE(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}tE(b,c);return}function qE(a){a=a|0;return c[(eE(a|0)|0)>>2]|0}function rE(a){a=a|0;return iE(a|0)|0}function sE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;lE(f,b);YD(e,f);_D(d,e);YD(a,d);$D(e);i=c;return}function tE(a,b){a=a|0;b=b|0;uE(a,b);return}function uE(a,b){a=a|0;b=b|0;VD(a|0,b|0);return}function vE(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function wE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(FC(f)|0)>>2]|0;f=yE(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;xE(a|0,b,g);i=e;return}function xE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];zE(a,b,d);i=e;return}function yE(a){a=a|0;return a|0}function zE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(JC(f)|0)>>2]|0;f=BE(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;AE(a|0,b,g);i=e;return}function AE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(JC(f)|0)>>2];f=BE(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function BE(a){a=a|0;return a|0}function CE(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=bE(DE(b)|0)|0;g=BE(rE(DE(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;xE(a|0,f,e);i=d;return}function DE(a){a=a|0;return c[a>>2]|0}function EE(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function FE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];QE(a,b);i=d;return}function GE(a,b,c){a=a|0;b=b|0;c=c|0;return xy(0,b|0,c|0)|0}function HE(a){a=a|0;return(c[a>>2]|0)+16|0}function IE(a,b){a=a|0;b=b|0;jA(a,c[(MB(b)|0)>>2]|0);return}function JE(a){a=a|0;var b=0;b=a|0;c[b>>2]=OE(c[b>>2]|0)|0;return a|0}function KE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=rA(a)|0;xu(e|0);if((h|0)==0){j=kA(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=tA(a)|0;a=h;while(1){h=a+16|0;if(GE(j,d,h)|0){l=a|0;m=c[l>>2]|0;xu(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(GE(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;xu(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function LE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];ME(b,d);c[a>>2]=c[b>>2];i=e;return}function ME(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;NE(a,b,c|0);i=c;return}function NE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{JE(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{MD(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function OE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;xu(b|0);if((e|0)==0){e=a;while(1){a=lw(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=PE(c[d>>2]|0)|0;i=b;return g|0}return 0}function PE(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;xu(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;xu(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function QE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function RE(a,b){a=a|0;b=b|0;return(EE(a,b)|0)^1|0}function SE(a){a=a|0;var b=0;b=i;i=i+128|0;iy(a|0,b|0);iy(a+12|0,b+8|0);TE(a+24|0,b+16|0);TE(a+36|0,b+24|0);TE(a+48|0,b+32|0);TE(a+60|0,b+40|0);TE(a+72|0,b+48|0);TE(a+84|0,b+56|0);TE(a+96|0,b+64|0);TE(a+108|0,b+72|0);TE(a+120|0,b+80|0);TE(a+132|0,b+88|0);TE(a+144|0,b+96|0);TE(a+156|0,b+104|0);TE(a+168|0,b+112|0);TE(a+180|0,b+120|0);i=b;return}function TE(a,b){a=a|0;b=b|0;UE(a,0);return}function UE(a,b){a=a|0;b=b|0;b=i;i=i+8|0;VE(a|0,b|0);i=b;return}function VE(a,b){a=a|0;b=b|0;WE(a,0);return}function WE(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;XE(a+4|0);YE(a+8|0,0,b|0);d=TA(a)|0;c[(SA(a)|0)>>2]=d;i=b;return}function XE(a){a=a|0;$E(a);return}function YE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;ZE(b,c,d);i=e;return}function ZE(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;_E(b|0,c[($w(g)|0)>>2]|0,f+8|0);i=f;return}function _E(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[($w(g)|0)>>2];i=f;return}function $E(a){a=a|0;aF(a|0);return}function aF(a){a=a|0;cx(a|0);return}function bF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[132806]|0;if((h|0)==0){j=0}else{k=iT(12)|0;TI(k,h);j=k}if((c[132847]|0)!=0){c[132722]=1}if((j|0)==0){c[132639]=1;c[132640]=1;i=b;return}do{if((vJ(j,500560,0)|0)==-1){PI(a,j);NI(d);k=c[4314]|0;h=(k|0)<28;while(1){l=vJ(a,507560,0)|0;m=(l|0)!=-1;if(m){tJ(e,a,0,l);_I(d,e)|0;ZI(e);tJ(f,a,l+1|0,-1);_I(a,f)|0;ZI(f)}else{_I(d,a)|0}if(h){n=k;o=1}else{break}while(1){TI(g,c[529192+(n<<2)>>2]|0);l=cF(d,g)|0;ZI(g);if(l){c[530552+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){ZI(d);ZI(a);break}So(1,1,494648,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[529304+(r<<2)>>2]|0;So(1,0,485808,(l=i,i=i+16|0,c[l>>2]=c[529192+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}Ud[c[3702]&511](1);r=uJ(j)|0;Uo(0,41104,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[530552+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[132639]=1;c[132640]=1;if((c[132647]|0)!=0){c[132662]=1}if((c[132661]|0)==1){c[132663]=1}if((c[132656]|0)!=0){c[132655]=1}if((c[132658]|0)!=0){c[132655]=1}if((c[132646]|0)!=0){c[132645]=1}if((c[132657]|0)!=0){c[132655]=1}if((c[132644]|0)!=0){c[132643]=1}ZI(j);kT(j);i=b;return}function cF(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=XI(b)|0;if((d|0)!=(XI(c)|0)){e=0;return e|0}f=YI(b)|0;g=YI(c)|0;if(QI(b)|0){e=(zy(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function dF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[132808]|0;if((a|0)==0){d=1;i=b;return d|0}e=iT(12)|0;f=e;TI(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(eF(f,c[527424+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=uJ(f)|0;So(1,1,36264,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[131863]|0;So(1,0,485808,(f=i,i=i+16|0,c[f>>2]=c[131857],c[f+8>>2]=g,f)|0);i=f;g=c[131864]|0;So(1,0,485808,(f=i,i=i+16|0,c[f>>2]=c[131858],c[f+8>>2]=g,f)|0);i=f;g=c[131865]|0;So(1,0,485808,(f=i,i=i+16|0,c[f>>2]=c[131859],c[f+8>>2]=g,f)|0);i=f;Ud[c[3702]&511](1);Uo(0,32536,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function eF(a,b){a=a|0;b=b|0;return(xJ(a,b)|0)==0|0}function fF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[132804]|0;if((e|0)==0){f=1;i=b;return f|0}g=iT(12)|0;h=g;TI(h,e);if((g|0)==0){f=1;i=b;return f|0}TI(a,29216);g=cF(h,a)|0;ZI(a);if(g){f=1;i=b;return f|0}TI(d,26240);g=cF(h,d)|0;ZI(d);if(g){f=2;i=b;return f|0}else{f=uJ(h)|0;So(1,1,24008,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;So(1,0,485808,(h=i,i=i+16|0,c[h>>2]=29216,c[h+8>>2]=512016,h)|0);i=h;So(1,0,485808,(h=i,i=i+16|0,c[h>>2]=26240,c[h+8>>2]=509272,h)|0);i=h;Ud[c[3702]&511](1);Uo(0,32536,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function gF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;gL(e,a);do{if(jL(e)|0){h=Hy(b)|0;tF(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((Bu(m)|0)&176|0)==32){n=b+h|0}else{n=b}wF(g,f,b,n,b+h|0,m,TJ(l)|0);if(!(uF(g)|0)){break}NJ(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);hL(e);i=d;return a|0}function hF(a){a=a|0;mL(a,UJ(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;VK(a)|0;return a|0}function iF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;TI(h,d);IJ(k,503880,h);Ox(j,k,502504);ZI(k);k=uJ(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((CT(c[n+4>>2]|0,501392)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((CT(k,500112)|0)==0){ZI(j);ZI(h);i=f;return}d=kS(g,k,1)|0;if((d|0)!=0){m=l|0;HT(m|0,0,2048)|0;xS(d,g,m,2048)|0;kL(gF(gF(gF(gF(gF(557544,499184)|0,k)|0,498128)|0,m)|0,497360)|0,2)|0;ZI(j);ZI(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(yS(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==0){r=(yS(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==1){r=(yS(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){d=b+4|0;m=0;n=o;while(1){o=c[d>>2]|0;if((a[o+(m*60|0)+56|0]|0)==0){l=(yS(g,c[o+(m*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*60|0)+56|0]=l;s=c[p>>2]|0}else{s=n}l=m+1|0;if((l|0)<(s|0)){m=l;n=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){n=b+36|0;m=b+4|0;p=(e|0)==0;d=b+20|0;l=0;do{o=c[n>>2]|0;k=a[o+(l*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(yS(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0){break}a[(c[m>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(yS(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0|p){break}a[(c[d>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);l=l+1|0;}while((l|0)<(c[s>>2]|0))}s=b+120|0;l=c[s>>2]|0;if((l|0)>0){d=b+8|0;p=0;n=l;while(1){l=c[d>>2]|0;if((a[l+(p*48|0)+44|0]|0)==0){m=(yS(g,c[l+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(p*48|0)+44|0]=m;t=c[s>>2]|0}else{t=n}m=p+1|0;if((m|0)<(t|0)){p=m;n=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){n=b+40|0;p=b+8|0;s=(e|0)==0;d=b+24|0;m=0;do{l=c[n>>2]|0;o=a[l+(m*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(yS(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(yS(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0|s){break}a[(c[d>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[t>>2]|0))}t=b+124|0;m=c[t>>2]|0;if((m|0)>0){d=b+12|0;s=0;n=m;while(1){m=c[d>>2]|0;if((a[m+(s*52|0)+48|0]|0)==0){p=(yS(g,c[m+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=n}p=s+1|0;if((p|0)<(u|0)){s=p;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;p=a[d+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){m=(yS(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){m=(yS(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}oS(g);ZI(j);ZI(h);i=f;return}function jF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[132832]|0;A=c[132802]|0;B=c[134942]|0;if((c[132663]|0)==0){if(!((c[132820]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[134942]=1}C=d+248|0;D=d+240|0;E=~~+wb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;Qo(23,0,496520,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[132789]|0;do{if((E|0)==0){G=0}else{if((CT(E,495608)|0)==0){G=1;break}if((CT(E,494152)|0)==0){G=0;break}if((CT(E,493320)|0)==0){G=2;break}So(1,0,492600,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((Zp(G)|0)!=0){So(1,0,491784,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[134942]|0)!=0){rG(d+56|0);cq((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);_p(0);_p(6);$p(3);$p(4);$p(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+yT(A)}h[C>>3]=H;Qo(1,0,490960,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[132846]|0)!=0){C=iT(12)|0;A=C;TI(A,c[132816]|0);if((C|0)==0){break}C=uJ(A)|0;c[d+280>>2]=C;Qo(23,0,490128,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[132815]|0;NI(a);if((C|0)==0){TI(g,c[d+88>>2]|0);TI(j,488792);kF(f,g,j);Ox(e,f,c[d+284>>2]|0);_I(a,e)|0;ZI(e);ZI(f);ZI(j);ZI(g)}else{$I(a,C)|0}TI(k,553688);TI(l,553688);TI(m,553688);TI(n,553688);TI(o,553688);TI(p,553688);C=c[132820]|0;if((c[132824]|0)!=0){$I(k,c[132794]|0)|0}if((c[132828]|0)!=0){$I(l,c[132798]|0)|0}if((c[132823]|0)!=0){$I(m,c[132793]|0)|0}if((c[132825]|0)==0){I=0.0}else{$I(n,c[132795]|0)|0;I=+yT(uJ(n)|0)}if((c[132826]|0)==0){J=1}else{$I(o,c[132796]|0)|0;J=Rc(uJ(o)|0)|0}if((c[132841]|0)!=0){$I(p,c[132811]|0)|0}PI(q,a);PI(r,k);PI(s,l);PI(t,m);PI(u,p);g=lF(d,q,r,s,t,I,J,u,C)|0;ZI(u);ZI(t);ZI(s);ZI(r);ZI(q);if((g|0)!=0|E^1){K=g}else{_p(5);g=IF(d)|0;bq(5);Qo(1,0,487384,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[134942]=B;if(!((K|0)==0&(B|0)!=0)){L=K;ZI(p);ZI(o);ZI(n);ZI(m);ZI(l);ZI(k);ZI(a);i=b;return L|0}K=d+88|0;TI(w,c[K>>2]|0);Ox(v,w,486616);ZI(w);TI(y,c[K>>2]|0);Ox(x,y,485e3);ZI(y);bq(0);y=c[132807]|0;K=uJ(v)|0;w=uJ(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;fG(d,K,w,(y|0)!=0?y:484040,B,g,uJ(a)|0)|0;ZI(x);ZI(v);L=0;ZI(p);ZI(o);ZI(n);ZI(m);ZI(l);ZI(k);ZI(a);i=b;return L|0}function kF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;OI(a,d|0);e=XI(b)|0;f=XI(c)|0;yJ(a,YI(b)|0,e,f+e|0);qJ(a,YI(c)|0,f)|0;i=d;return}function lF(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((XI(j)|0)==0){p=0}else{p=uJ(j)|0}PI(m,b);b=(mF(a,m,k)|0)==0;ZI(m);if(!b){q=-1;i=l;return q|0}TI(n,553688);b=a+280|0;m=eF(n,c[b>>2]|0)|0;ZI(n);do{if(m){r=3}else{n=0;k=1;do{TI(o,c[527136+(k<<2)>>2]|0);j=eF(o,c[b>>2]|0)|0;ZI(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}So(1,0,41832,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;So(1,0,494648,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[527216+(k<<2)>>2]|0;So(1,0,485808,(s=i,i=i+16|0,c[s>>2]=c[527136+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);Uo(c[a+536>>2]|0,32536,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);Qo(23,0,40480,(s=i,i=i+8|0,c[s>>2]=c[527136+(r<<2)>>2],s)|0);i=s;s=uJ(d)|0;d=uJ(e)|0;e=Rs(a,s,d,uJ(f)|0,g,h,r,p)|0;Vd[c[2007]&127](8e3,a);q=e;i=l;return q|0}function mF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Lc(uJ(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[132720]|0)==0){f=c[d>>2]|0;if((CT(406048,f)|0)==0){g=0;break}if((CT(46016,f)|0)==0){c[2004]=62;c[2005]=14;c[2007]=18;g=0;break}if((CT(45248,f)|0)==0){c[2004]=22;c[2005]=114;c[2006]=64;c[2007]=4;g=1;break}if((CT(44440,f)|0)==0){c[2004]=70;c[2005]=20;c[2006]=48;c[2007]=40;g=1;break}if((CT(43848,f)|0)==0){c[2004]=90;c[2005]=26;c[2007]=82;g=0;break}f=gF(557544,43200)|0;kL(gF(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);iF(a+8|0,c[a+288>>2]|0,g);Vd[c[2004]&127](8e3,a);a=c[2e3]|0;Qo(23,0,42528,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function nF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;Ho();do{if((zG(a,b)|0)==0){if((BG(a,b)|0)!=0){break}do{if((c[132833]|0)!=0){h=c[132803]|0;if((CT(h,38352)|0)==0){No(1);break}if((CT(h,38072)|0)==0){No(0);break}else{So(1,0,37704,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Ta(0)|0;Kd(0);return 0}}}while(0);if((c[132822]|0)==0){bF(0,0);Or(d);if((d|0)==0){kL(gF(557544,35216)|0,2)|0}c[d+300>>2]=dF(0,0)|0;c[d+292>>2]=fF(0,0)|0;Lx(d+8|0,d+240|0);Xr(d)|0;gs(d)|0;ps(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}kL(gF(557544,34928)|0,2)|0;k=1;i=e;return k|0}}while(0);c[132720]=c[132839];k=0;i=e;return k|0}TI(f,c[132792]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=530048+(h<<2)|0;TI(g,c[m>>2]|0);n=cF(f,g)|0;ZI(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=uJ(f)|0;So(1,0,35840,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;So(1,0,35456,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Ta(0)|0;Kd(0);return 0}n=c[529928+(h<<2)>>2]|0;do{if((n|0)==1){o=c[530176+(h<<2)>>2]|0;Qo(1,1,37448,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[530176+(h<<2)>>2]|0;Qo(1,1,37040,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{So(1,1,38808,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==6){Qo(1,0,485808,(j=i,i=i+16|0,c[j>>2]=24864,c[j+8>>2]=25312,j)|0);i=j;Qo(1,0,485808,(j=i,i=i+16|0,c[j>>2]=24664,c[j+8>>2]=25184,j)|0);i=j;Qo(1,0,485808,(j=i,i=i+16|0,c[j>>2]=24312,c[j+8>>2]=25e3,j)|0);i=j}else if((h|0)==18){n=c[4314]|0;if((n|0)<28){q=n}else{break}do{n=c[529304+(q<<2)>>2]|0;Qo(1,0,485808,(j=i,i=i+16|0,c[j>>2]=c[529192+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==10){n=1;do{o=c[527360+(n<<2)>>2]|0;Qo(1,0,485808,(j=i,i=i+16|0,c[j>>2]=c[527296+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[527216+(n<<2)>>2]|0;Qo(1,0,485808,(j=i,i=i+16|0,c[j>>2]=c[527136+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);Ud[c[3702]&511](1);Ta(0)|0;Kd(0);return 0}}while(0);Qo(1,1,40032,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[529928+(b<<2)>>2]|0;do{if((q|0)==1){m=c[530304+(b<<2)>>2]|0;Qo(1,0,39608,(j=i,i=i+16|0,c[j>>2]=c[530048+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[530048+(b<<2)>>2]|0;if((q|0)==2){f=c[530304+(b<<2)>>2]|0;Qo(1,0,39240,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{So(1,0,38808,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);Ud[c[3702]&511](1);Ta(0)|0;Kd(0);return 0}function oF(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[139498]|0;Ec(7896)|0;xc(34312,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Ec(7976)|0;xc(33784,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;xc(33592,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;xc(33288,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;xc(31928,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;xc(31624,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;xc(31304,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Ec(7872)|0;i=a;return}function pF(a,b){a=a|0;b=+b;return}function qF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=IT(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(8,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[139498]=d;Da(72,10,234)|0;if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(12,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(40,d|0)|0;if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(48,d|0)|0;if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(116,d|0)|0;if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(30,d|0);if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=JT(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function rF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;g=b;b=i;i=i+24|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];g=f|0;if((a|0)==0){h=rd(c[134932]|0)|0}else{h=a}switch(c[h+84>>2]|0){case 1:{a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(29568,7,1,a|0)|0;Sc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;Dd(c[h+80>>2]|0,1);break};case 3:{if((c[132655]|0)==0){i=f;return}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(29568,7,1,a|0)|0;Sc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=f;return};case 2:{if((c[132641]|0)==0){j=h+80|0;k=c[j>>2]|0;l=k|0;Dd(l|0,1)}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(29568,7,1,a|0)|0;Sc(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;j=h+80|0;k=c[j>>2]|0;l=k|0;Dd(l|0,1);break};case 4:case 5:{i=f;return};default:{Uo(h,28880,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}}function sF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Ya(30064,9,1,a|0)|0;Sc(a|0,b|0,f|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=e;return}function tF(a,b){a=a|0;b=b|0;vF(a,b);return}function uF(a){a=a|0;return(c[a>>2]|0)==0|0}function vF(a,b){a=a|0;b=b|0;c[a>>2]=SJ(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function wF(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;xu(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=xF(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((cK(b,d,r)|0)==(r|0)){break}xu(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){UI(l,s,h);if((cK(b,YI(l)|0,s)|0)==(s|0)){ZI(l);break}xu(m);c[o>>2]=0;c[a>>2]=0;ZI(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((cK(b,e,l)|0)==(l|0)){break}xu(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);yF(g,0)|0;c[a>>2]=b;i=j;return}function xF(a){a=a|0;return c[a+12>>2]|0}function yF(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function zF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;AF(g,16);BF(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){gF(lL(m,+h[b+(p<<3)>>3])|0,498680)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){lL(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){gF(m,507272)|0}}while((e|0)<(d|0))}CF(a,g);DF(g);i=f;return}function AF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;WJ(d);e=a|0;c[e>>2]=515172;f=d|0;c[f>>2]=515192;d=a+4|0;bL(a,516572,d|0);c[e>>2]=515172;c[f>>2]=515192;PF(d,b|16);return}function BF(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function CF(a,b){a=a|0;b=b|0;JF(a,b+4|0);return}function DF(a){a=a|0;TF(a,516568);RJ(a+56|0);return}function EF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[132652]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Qo(14,0,485656,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Xd[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Qo(14,0,40992,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[132652]|0)==0){i=d;return 0}Qo(14,0,36160,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(32344,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function FF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[132652]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Qo(14,0,485656,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Xd[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Qo(14,0,40992,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[132652]|0)==0){i=d;return 0}Qo(14,0,36160,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(32344,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function GF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[132652]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Qo(14,0,485656,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Xd[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Qo(14,0,40992,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[132652]|0)==0){i=d;return 0}Qo(14,0,36160,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(32344,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function HF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[132652]|0)!=0){Ec(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Qo(14,0,485656,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Xd[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Qo(14,0,40992,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[132652]|0)==0){i=d;return 0}Qo(14,0,36160,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];xc(32344,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}lc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function IF(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=eT(ga(u,u)|0,8)|0;y=x;z=eT(ga(v,u)|0,8)|0;A=z;B=eT(ga(w,u)|0,8)|0;C=B;D=eT(ga(w,v)|0,8)|0;E=D;NI(d);NI(e);NI(f);NI(g);NI(h);NI(j);NI(k);F=a+536|0;To(c[F>>2]|0,(x|0)!=0|0,26208,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;To(c[F>>2]|0,(z|0)!=0|0,26208,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;To(c[F>>2]|0,(B|0)!=0|0,26208,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;To(c[F>>2]|0,(D|0)!=0|0,26208,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((Xd[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;EF(a,y)|0;To(J,1,23944,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}zF(l,y,u,u);_I(d,l)|0;ZI(l);if((Xd[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;FF(a,A)|0;To(l,1,511968,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}zF(m,A,u,v);_I(e,m)|0;ZI(m);if((Xd[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;GF(a,C)|0;To(m,1,509080,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}zF(n,C,w,u);_I(f,n)|0;ZI(n);if((Xd[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;HF(a,E)|0;To(I,1,506312,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}zF(o,E,w,v);_I(g,o)|0;ZI(o);if((u|0)==0){$I(h,503864)|0}else{zF(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);_I(h,p)|0;ZI(p)}if((v|0)==0){$I(j,503864)|0}else{zF(q,c[a+432>>2]|0,1,v);_I(j,q)|0;ZI(q)}dT(x);dT(z);dT(B);dT(D);TI(t,c[a+84>>2]|0);IJ(s,502496,t);Ox(r,s,501384);_I(k,r)|0;ZI(r);ZI(s);ZI(t);t=zc(uJ(k)|0,500104)|0;s=c[F>>2]|0;F=uJ(k)|0;To(s,(t|0)!=0|0,499160,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=ie[c[(c[H>>2]|0)+176>>2]&15]()|0;s=uJ(h)|0;r=uJ(j)|0;a=uJ(d)|0;D=uJ(e)|0;B=uJ(f)|0;z=uJ(g)|0;nd(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[132663]|0)==0){K=Ta(t|0)|0;L=Pa(t|0)|0;ZI(k);ZI(j);ZI(h);ZI(g);ZI(f);ZI(e);ZI(d);i=b;return 0}z=ie[c[(c[H>>2]|0)+176>>2]&15]()|0;H=uJ(h)|0;B=uJ(j)|0;D=uJ(d)|0;a=uJ(e)|0;r=uJ(f)|0;s=uJ(g)|0;Qo(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Ta(t|0)|0;L=Pa(t|0)|0;ZI(k);ZI(j);ZI(h);ZI(g);ZI(f);ZI(e);ZI(d);i=b;return 0}function JF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=kK(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}KF(a,jK(l)|0,n,e);i=d;return}if((h&8|0)==0){OI(a,g);i=d;return}else{g=b|0;b=eK(g)|0;KF(a,b,gK(g)|0,f);i=d;return}}function KF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;LF(a,b,c,0);return}function LF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;MF(a,b,c);return}function MF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=NF(c,d)|0;if(g>>>0>4294967279>>>0){LI(0)}if(g>>>0<11>>>0){dJ(b,g);h=cJ(b)|0}else{j=kJ(g)|0;k=j+1|0;j=Ey(SI(b)|0,k)|0;mJ(b,j);lJ(b,k);bJ(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;Fy(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){Fy(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;Fy(l,f);i=e;return}function NF(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=OF(a,b,c|0)|0;i=c;return d|0}function OF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function PF(a,b){a=a|0;b=b|0;dG(a,b);return}function QF(a){a=a|0;DF(a);kT(a);return}function RF(a){a=a|0;DF(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function SF(a){a=a|0;QF(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function TF(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];UF(a+4|0);return}function UF(a){a=a|0;VF(a);return}function VF(a){a=a|0;c[a>>2]=515376;ZI(a+32|0);_J(a|0);return}function WF(a){a=a|0;UF(a);kT(a);return}function XF(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=kK(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==0){Lt(a,-1,-1);return}else if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}Lt(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=kK(j)|0;h=k-(jK(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=fK(j)|0;k=h-(eK(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(YI(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){Lt(a,-1,-1);return}m=OT(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(YI(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((fK(j)|0)!=0){break}Lt(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((kK(j)|0)!=0){break}Lt(a,-1,-1);return}}while(0);if((n|0)!=0){o=eK(j)|0;iK(j,o,o+m|0,l)}if((g&16|0)!=0){o=jK(j)|0;nK(j,o,lK(j)|0);mK(j,m)}Lt(a,m,e);return}}while(0);Lt(a,-1,-1);return}function YF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=Zu(d)|0;ae[g&63](a,b,h,K,0,e);i=f;return}function ZF(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=kK(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((gK(f)|0)>>>0<h>>>0){b=eK(f)|0;iK(f,b,fK(f)|0,h)}h=fK(f)|0;if(!(h>>>0<(gK(f)|0)>>>0)){i=-1;return i|0}i=vv(a[h]|0)|0;return i|0}function _F(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=kK(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=eK(g)|0;h=fK(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(rv(d,-1)|0){iK(g,f,h-1|0,i);j=uv(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=sv(d)|0;do{if(f){if(wv(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=eK(g)|0;iK(g,h,(fK(g)|0)-1|0,i);a[fK(g)|0]=b;j=d;return j|0}function $F(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(rv(b,-1)|0){f=uv(b)|0;i=d;return f|0}g=a|0;h=fK(g)|0;j=h-(eK(g)|0)|0;h=kK(g)|0;if((h|0)==(lK(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=jK(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;pJ(o,0);iJ(o,fJ(o)|0);p=YI(o)|0;nK(g,p,p+(XI(o)|0)|0);mK(g,h-l|0);c[m>>2]=(jK(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(kK(g)|0)+1;k=c[(aG(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=YI(a+32|0)|0;iK(g,r,r+j|0,k)}f=bK(g,b&255)|0;i=d;return f|0}function aG(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=bG(a,b,c|0)|0;i=c;return d|0}function bG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=cG(0,b,c)|0;i=e;return(f?c:b)|0}function cG(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function dG(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;dK(a|0);c[a>>2]=515376;NI(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;NI(e);eG(a,e);ZI(e);i=d;return}function eG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;_I(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=YI(d)|0;h=f+(XI(d)|0)|0;c[b>>2]=h;f=YI(d)|0;iK(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=XI(d)|0;c[b>>2]=(YI(d)|0)+g;iJ(d,fJ(d)|0);b=a|0;a=YI(d)|0;nK(b,a,a+(XI(d)|0)|0);if((c[e>>2]&3|0)==0){return}mK(b,g);return}function fG(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=zc(b|0,498488)|0;l=nc(507264,498488)|0;m=(l|0)!=0;n=Yc()|0;if(m){o=c[a+536>>2]|0;p=Zc(c[n>>2]|0)|0;To(o,(k|0)!=0|0,485608,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Ya(40912,17,1,l|0)|0;Ya(36136,10,1,l|0)|0;Ya(32168,18,1,l|0)|0;gG(l,e,29120,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,553648)}else{p=Zc(c[n>>2]|0)|0;So(26,0,494520,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=Zc(c[n>>2]|0)|0;To(p,(k|0)!=0|0,485608,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Ya(23592,348,1,k|0)|0;if((Pd(f|0)|0)<0){o=Zc(c[n>>2]|0)|0;So(26,0,511944,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Pa(k|0)|0;Db(l|0)|0;r=1;i=g;return r|0}if((tc(530896,250,509056,cb(f|0)|0)|0)==0){So(26,0,506288,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Pa(k|0)|0;r=1;i=g;return r|0}Ya(503848,13,1,k|0)|0;Ya(502480,12,1,k|0)|0;hG(k,2);Ya(501376,6,1,k|0)|0;iG(k,c[a+84>>2]|0);Ya(500088,8,1,k|0)|0;hG(k,2);Ya(499144,8,1,k|0)|0;f=a+88|0;iG(k,c[f>>2]|0);Ya(498112,10,1,k|0)|0;hG(k,2);Ya(497352,6,1,k|0)|0;iG(k,530896);Ya(496504,8,1,k|0)|0;hG(k,2);Ya(495536,8,1,k|0)|0;iG(k,c[a+280>>2]|0);Ya(494136,10,1,k|0)|0;hG(k,2);Ya(493304,14,1,k|0)|0;iG(k,c[a+284>>2]|0);Ya(492576,16,1,k|0)|0;hG(k,2);Ya(491760,16,1,k|0)|0;iG(k,j);Ya(490936,18,1,k|0)|0;hG(k,2);o=jG(j)|0;nd(k|0,490088,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;hG(k,2);s=+Vp(7);nd(k|0,488752,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);s=+Vp(6);nd(k|0,488040,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);s=+Vp(1);nd(k|0,487352,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);s=+Vp(4);nd(k|0,486488,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);s=+Vp(3);nd(k|0,484968,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);s=+Vp(5);nd(k|0,484e3,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);s=+Vp(0);nd(k|0,405968,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);s=+Yp(2);nd(k|0,45944,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);o=Tp(2)|0;nd(k|0,45176,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;hG(k,2);s=+Xp(2);nd(k|0,44384,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Ya(43800,13,1,k|0)|0;Ya(43136,16,1,k|0)|0;hG(k,2);s=+Vp(8);nd(k|0,42472,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;hG(k,2);o=Qp(8)|0;nd(k|0,41712,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Ya(40424,17,1,k|0)|0;Ya(39968,22,1,k|0)|0;kG(k,a);Ya(39552,23,1,k|0)|0;Ya(39184,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{lG(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{lG(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{lG(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{lG(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{lG(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{lG(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{lG(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{lG(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Ya(38744,13,1,k|0)|0;Ya(38280,12,1,k|0)|0;mG(k,l,e,c[f>>2]|0,a);Ya(38056,13,1,k|0)|0;Ya(37688,12,1,k|0)|0;nG(k,c[a+68>>2]|0,a+56|0);Ya(37384,13,1,k|0)|0;Ya(37e3,16,1,k|0)|0;oG(k,l,e,a);Ya(35816,17,1,k|0)|0;Ya(35440,14,1,k|0)|0;Pa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((ET(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(ET(m|0)|0)<<1}else{t=0}k=cT(a+t|0)|0;if((k|0)==0){id(35208,34904,404,512736);return 0}if((Db(l|0)|0)!=0){So(26,0,34664,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Pb(k|0,34072,(q=i,i=i+32|0,c[q>>2]=34296,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Jc(k|0)|0)!=0){u=42}}else{GT(k|0,33752,25)|0;u=42}if((u|0)==42){So(1,0,33528,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;Qo(1,0,33136,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;dT(k);r=0;i=g;return r|0}function gG(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=Rp(n)|0;p=Sp(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+Xp(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Ya(40912,17,1,a|0)|0;Ya(510904,12,1,a|0)|0;Ya(510720,12,1,a|0)|0;Ya(510512,13,1,a|0)|0;nd(a|0,510408,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Ya(510256,10,1,a|0)|0;Ya(509800,11,1,a|0)|0;Ya(509424,11,1,a|0)|0;Ya(508792,10,1,a|0)|0;if(m){nd(a|0,508128,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(507880,17,1,a|0)|0}o=g+3|0;nd(a|0,511384,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Ya(507624,13,1,a|0)|0;if(m){Ya(510720,12,1,a|0)|0;if((t|0)==(w|0)){nd(a|0,507464,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(507880,17,1,a|0)|0}nd(a|0,507304,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;nd(a|0,511120,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Ya(507192,10,1,a|0)|0;Ya(506920,10,1,a|0)|0;Ya(507192,10,1,a|0)|0;Ya(506784,11,1,a|0)|0;nd(a|0,506528,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;nd(a|0,505952,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(505688,33,1,a|0)|0;Ya(505376,32,1,a|0)|0;nd(a|0,505312,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(508792,10,1,a|0)|0;nd(a|0,508128,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(506920,10,1,a|0)|0;Ya(507192,10,1,a|0)|0;Ya(506784,11,1,a|0)|0;nd(a|0,506528,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;nd(a|0,505952,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(505688,33,1,a|0)|0;Ya(505376,32,1,a|0)|0;nd(a|0,505312,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(508792,10,1,a|0)|0;Ya(507880,17,1,a|0)|0}nd(a|0,511384,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Ya(507624,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){nd(a|0,507464,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(507880,17,1,a|0)|0}Ya(505256,32,1,a|0)|0;Ya(505072,29,1,a|0)|0;nd(a|0,505024,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;nd(a|0,511120,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function hG(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Wa(32,a|0)|0;}while((c|0)!=0);return}function iG(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==60){Ya(22136,4,1,b|0)|0}else if((d|0)==62){Ya(512576,4,1,b|0)|0}else if((d|0)==39){Ya(512256,6,1,b|0)|0}else if((d|0)==34){Ya(511600,6,1,b|0)|0}else{Wa(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function jG(a){a=a|0;var b=0,c=0;b=zc(a|0,22208)|0;if((b|0)==0){c=-1;return c|0}vd(b|0,0,2)|0;a=Nb(b|0)|0;Pa(b|0)|0;c=a;return c|0}function kG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=cT((ET(j|0)|0)+15|0)|0;Pb(k|0,25512,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;hG(a,2);Ya(25296,10,1,a|0)|0;iG(a,k);Ya(25168,12,1,a|0)|0;hG(a,2);j=jG(k)|0;nd(a|0,24968,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;dT(k);hG(a,2);Ya(24848,9,1,a|0)|0;hG(a,4);Ya(24640,22,1,a|0)|0;hG(a,4);Ya(24256,22,1,a|0)|0;hG(a,4);Ya(23184,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){qG(e,k,n);o=c[m>>2]|0;hG(a,4);Ya(22992,8,1,a|0)|0;iG(a,o);Ya(22752,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{vG(f,k,m);e=c[n>>2]|0;hG(a,4);Ya(22992,8,1,a|0)|0;iG(a,e);Ya(22752,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{qG(g,k,b);q=c[s>>2]|0;hG(a,4);Ya(22640,8,1,a|0)|0;iG(a,q);Ya(22544,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){hG(a,2);v=Ya(22392,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{vG(h,k,t);l=c[u>>2]|0;hG(a,4);Ya(22640,8,1,a|0)|0;iG(a,l);Ya(22544,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));hG(a,2);v=Ya(22392,10,1,a|0)|0;i=d;return}function lG(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;hG(a,2);nd(a|0,25912,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;iG(a,c[b+4>>2]|0);Ya(25656,11,1,a|0)|0;iG(a,c[b+8>>2]|0);Ya(30032,3,1,a|0)|0;pG(a,4,b+12|0);hG(a,2);Ya(25584,12,1,a|0)|0;i=d;return}function mG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{qG(j,l,p);gG(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,27968);q=p+9|0;$p(q);hG(a,2);nd(a|0,27360,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;hG(a,4);Ya(501376,6,1,a|0)|0;iG(a,c[m>>2]|0);Ya(500088,8,1,a|0)|0;hG(a,4);s=Tp(q)|0;nd(a|0,31088,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;hG(a,4);t=+Yp(q);nd(a|0,30736,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;hG(a,4);t=+Xp(q);nd(a|0,44384,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;pG(a,6,o);hG(a,2);Ya(27200,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function nG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{hG(a,2);uG(f,d,t);nd(a|0,30320,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;uG(g,d,t);iG(a,c[n>>2]|0);Ya(30032,3,1,a|0)|0;hG(a,4);Ya(29856,7,1,a|0)|0;uG(j,d,t);if((c[o>>2]|0)>0){v=0;do{hG(a,6);nd(a|0,29536,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;uG(j,d,t);}while((v|0)<(c[o>>2]|0))}hG(a,4);Ya(28864,8,1,a|0)|0;hG(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;uG(k,d,t);w=+Vp(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;uG(l,d,t);x=Qp(v+(c[s>>2]|0)|0)|0;nd(a|0,28552,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;hG(a,2);Ya(28320,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function oG(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{vG(g,j,p-q|0);gG(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,31920);l=p+9|0;$p(l);hG(a,2);Ya(31608,15,1,a|0)|0;hG(a,4);nd(a|0,31280,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;hG(a,4);s=Tp(l)|0;nd(a|0,31088,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;hG(a,4);t=+Yp(l);nd(a|0,30736,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;hG(a,4);t=+Xp(l);nd(a|0,44384,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;hG(a,2);Ya(30528,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function pG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];hG(a,b);Ya(27048,16,1,a|0)|0;iG(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?26792:26592;nd(a|0,26856,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function qG(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){rG(b)}GT(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function rG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=zc(c[k>>2]|0,497600)|0;if((l|0)!=0){m=l;break}l=Zc(c[(Yc()|0)>>2]|0)|0;Uo(0,507008,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=Nj(0)|0;if((l|0)==0){Uo(0,494456,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=eT(c[k>>2]|0,32)|0;o=a+12|0;p=eT((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=485552;c[p+12>>2]=0;c[p+16>>2]=0;Yj(l,d);Zj(l,14,120);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;HT(p|0,0,1024)|0;while(1){q=jd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((_j(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=gk(dk(l)|0)|0;r=ek(l)|0;Pa(m|0)|0;Uj(l);q=c[a>>2]|0;Uo(0,40776,(n=i,i=i+32|0,c[n>>2]=36024,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Pa(m|0)|0;break}}else{if((_j(l,d,ET(d|0)|0,1)|0)!=0){break}r=gk(dk(l)|0)|0;p=ek(l)|0;Uj(l);q=c[j>>2]|0;Uo(0,32088,(n=i,i=i+32|0,c[n>>2]=36024,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){id(28992,36024,295,512816)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{id(26008,36024,297,512816)}}function sG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((CT(497976,b)|0)==0){if((CT(c[d>>2]|0,497208)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}To(0,j,496328,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[132624]|0;a=c[134948]|0;do{if((j|0)==0|(a|0)==0){c[134948]=32;l=cT(1152)|0;c[132624]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[134948]=a<<1;o=fT(j,a*72|0)|0;c[132624]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;GT(m+(n*36|0)|0,yG(c[d+4>>2]|0)|0,36)|0;i=e;return}if((CT(495408,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((CT(494128,q)|0)==0){c[135034]=Lc(c[p+4>>2]|0)|0}else{if((CT(493288,q)|0)==0){c[135035]=Va(c[p+4>>2]|0,0,10)|0;break}if((CT(492568,q)|0)==0){c[135037]=Va(c[p+4>>2]|0,0,10)|0;break}if((CT(491744,q)|0)==0){c[135036]=Va(c[p+4>>2]|0,0,10)|0;break}if((CT(490928,q)|0)==0){c[135038]=Va(c[p+4>>2]|0,0,10)|0;break}if((CT(490072,q)|0)!=0){r=23;break a}c[135039]=(CT(c[p+4>>2]|0,488744)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){Uo(0,488008,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((CT(506008,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;Uo(0,487288,(k=i,i=i+24|0,c[k>>2]=36024,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((CT(486480,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;Uo(0,484912,(k=i,i=i+16|0,c[k>>2]=36024,c[k+8>>2]=r,k)|0);i=k}r=Va(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;Uo(0,483936,(k=i,i=i+32|0,c[k>>2]=36024,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=405912;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((CT(508904,b)|0)!=0){if((CT(498872,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=44376;f=Lc(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=43776;i=e;return}c[132629]=0;c[132630]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((CT(f,497208)|0)==0){c[132629]=Lc(c[b+4>>2]|0)|0}else{if((CT(f,45936)|0)!=0){break}c[132630]=Lc(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[132629]|0)==0){s=0;break}s=(c[132630]|0)!=0|0}}while(0);To(0,s,45136,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[132628]=-1;c[132631]=c[135034];c[132632]=c[135035];c[132633]=c[135036];c[132634]=c[135037];c[132635]=c[135038];c[132636]=c[135039];i=e;return}function tG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((CT(508904,b)|0)==0){xG(530512);i=d;return}if((CT(506008,b)|0)==0){l=e+24|0;m=cT((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=cT(36)|0;GT(n|0,(c[132624]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((CT(503688,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Rb(l+(g*20|0)+8|0,502280,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((CT(501128,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Rb(e+(g*20|0)+8|0,499880,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((CT(498872,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function uG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){rG(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function vG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){rG(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){Uo(0,23368,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){Uo(0,511664,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function wG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){dT(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){dT(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}dT(i);c[b>>2]=0;return}function xG(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;GT(a,e,36)|0;e=cT(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;GT(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=ET(f|0)|0;j=c[132626]|0;do{if((j|0)==0){k=e;c[132626]=k;c[e+44>>2]=0;l=cT(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Ob(-1|0)}HT(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=cT(384)|0;c[l>>2]=n;if((n|0)==0){Ob(-1|0)}else{HT(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[132626]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[132626]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=ET(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(ET(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 9:{A=a;B=13;break};case 4:{C=x;D=a;B=18;break};case 5:{E=x;F=a;B=17;break};case 6:{G=x;H=a;B=16;break};case 3:{I=y;J=x;K=a;B=19;break};case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;L=w;B=12;break};case 10:{L=a;B=12;break};case 2:{M=y;N=x;O=a;B=20;break};case 1:{P=y;Q=x;R=a;B=21;break};case 8:{S=a;B=14;break};case 7:{T=x;U=a;B=15;break};default:{V=y;W=x;X=a}}if((B|0)==12){a=((d[v+9|0]|0)<<16)+L|0;c[p>>2]=a;A=a;B=13}if((B|0)==13){a=((d[v+8|0]|0)<<8)+A|0;c[p>>2]=a;S=a;B=14}if((B|0)==14){T=((d[v+7|0]|0)<<24)+x|0;U=S;B=15}if((B|0)==15){G=((d[v+6|0]|0)<<16)+T|0;H=U;B=16}if((B|0)==16){E=((d[v+5|0]|0)<<8)+G|0;F=H;B=17}if((B|0)==17){C=(d[v+4|0]|0)+E|0;D=F;B=18}if((B|0)==18){I=((d[v+3|0]|0)<<24)+y|0;J=C;K=D;B=19}if((B|0)==19){M=((d[v+2|0]|0)<<16)+I|0;N=J;O=K;B=20}if((B|0)==20){P=((d[v+1|0]|0)<<8)+M|0;Q=N;R=O;B=21}if((B|0)==21){V=(d[v]|0)+P|0;W=Q;X=R}R=V-W-X^X>>>13;V=W-X-R^R<<8;W=X-R-V^V>>>13;X=R-V-W^W>>>12;R=V-W-X^X<<16;V=W-X-R^R>>>5;W=X-R-V^V>>>3;X=R-V-W^W<<10;R=V-W-X^X>>>15;c[p>>2]=R;p=c[g>>2]|0;X=R&(c[p+4>>2]|0)-1;R=c[p>>2]|0;p=R+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[R+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[132626]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[132626]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=cT((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Ob(-1|0)}HT(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{R=X;X=Y;while(1){p=R+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[R+28>>2];Q=g+(V*12|0)+4|0;P=(c[Q>>2]|0)+1|0;c[Q>>2]=P;v=c[X+24>>2]|0;if(P>>>0>v>>>0){P=X+28|0;c[P>>2]=(c[P>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[Q>>2]|0)>>>0)/(v>>>0)|0}c[R+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=R}c[v>>2]=R;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{R=W;X=v}}}X=e+1|0;R=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=R;Y=_}else{Z=R;break}}}dT(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function yG(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[132626]|0;a:do{if((e|0)==0){f=24}else{g=ET(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(ET(a|0)|0)+s|0;switch(v|0){case 1:{x=u;y=t;z=m;f=15;break};case 4:{A=u;B=m;f=12;break};case 3:{C=u;D=t;E=m;f=13;break};case 2:{F=u;G=t;H=m;f=14;break};case 11:{I=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 8:{J=m;f=8;break};case 5:{K=u;L=m;f=11;break};case 9:{M=m;f=7;break};case 10:{I=m;f=6;break};case 7:{N=u;O=m;f=9;break};case 6:{P=u;Q=m;f=10;break};default:{R=u;S=t;T=m}}if((f|0)==6){M=((d[w+9|0]|0)<<16)+I|0;f=7}if((f|0)==7){J=((d[w+8|0]|0)<<8)+M|0;f=8}if((f|0)==8){N=((d[w+7|0]|0)<<24)+u|0;O=J;f=9}if((f|0)==9){P=((d[w+6|0]|0)<<16)+N|0;Q=O;f=10}if((f|0)==10){K=((d[w+5|0]|0)<<8)+P|0;L=Q;f=11}if((f|0)==11){A=(d[w+4|0]|0)+K|0;B=L;f=12}if((f|0)==12){C=A;D=((d[w+3|0]|0)<<24)+t|0;E=B;f=13}if((f|0)==13){F=C;G=((d[w+2|0]|0)<<16)+D|0;H=E;f=14}if((f|0)==14){x=F;y=((d[w+1|0]|0)<<8)+G|0;z=H;f=15}if((f|0)==15){R=x;S=(d[w]|0)+y|0;T=z}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=ET(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((BT(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((jb(a|0,43112)|0)==0){V=0;break}else{W=17264}i=b;return W|0}}while(0);To(0,(V|0)!=0|0,41656,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function zG(a,b){a=a|0;b=b|0;var c=0;if((AG(496928,a,b)|0)!=0){c=1;return c|0}c=(AG(506904,a,b)|0)!=0|0;return c|0}function AG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((CT(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function BG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;To(0,(CT(c[132542]|0,494384)|0)==0|0,485456,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;To(0,(CT(c[132606]|0,494384)|0)==0|0,40648,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;To(0,(CT(c[132574]|0,494384)|0)==0|0,35944,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;HT(531272,0,120)|0;HT(531152,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[529928+(k<<2)>>2]|0;if((l|0)==1){if((AG(c[530048+(k<<2)>>2]|0,1,h)|0)!=0){m=5;break}}else if((l|0)==2){n=c[530048+(k<<2)>>2]|0;if(!((AG(n,1,h)|0)==0|(j|0)>=(a|0))){m=9;break}o=c[530048+(k<<2)>>2]|0;if((DG(o,h)|0)!=0){m=13;break}}l=k+1|0;if((l|0)<30){k=l}else{m=17;break a}}if((m|0)==5){m=0;l=531272+(k<<2)|0;if((c[l>>2]|0)!=0){m=6;break}c[l>>2]=1;p=f}else if((m|0)==9){m=0;l=531272+(k<<2)|0;if((c[l>>2]|0)!=0){m=10;break}c[l>>2]=1;c[531152+(k<<2)>>2]=CG(n,h)|0;p=j}else if((m|0)==13){m=0;l=531272+(k<<2)|0;if((c[l>>2]|0)!=0){m=14;break}c[l>>2]=1;c[531152+(k<<2)>>2]=EG(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;m=19;break}}if((m|0)==6){So(1,0,32032,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==10){So(1,0,32032,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==14){So(1,0,32032,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==17){So(1,0,28960,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((m|0)==19){i=d;return g|0}return 0}function CG(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((CT(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function DG(a,b){a=a|0;b=b|0;return(EG(a,b)|0)!=0|0}function EG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=ET(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((DT(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function FG(){return}function GG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Ob(0);return 0}e=c[u>>2]|0;Ya(29912,5,1,e|0)|0;f=b;b=0;while(1){Wa(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Ya(498400,20,1,e|0)|0;Ob(0);return 0}function HG(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;nd(d|0,499400,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Ob(1)}else{Ta(d|0)|0;PG();Ta(d|0)|0;pb(6,0)|0;md()}}function IG(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function JG(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function KG(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function LG(a){a=a|0;var b=0.0,c=0.0,d=0.0,e=0;b=+g[a>>2];c=b;if(b<0.0){d=-0.0- +U(.5-c);e=~~d;return e|0}else{d=+U(c+.5);e=~~d;return e|0}return 0}function MG(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=b+d|0;g=c+e|0;if((d|0)>(e|0)){a:do{if((e|0)>0){h=b;i=c;while(1){j=a[h]|0;k=a[i]|0;if(!(j<<24>>24==k<<24>>24)){break}l=h+1|0;m=i+1|0;if(m>>>0<g>>>0){h=l;i=m}else{n=l;break a}}o=(j&255)-(k&255)|0;return o|0}else{n=b}}while(0);while(1){if(!(n>>>0<f>>>0)){o=0;p=16;break}q=a[n]|0;if(q<<24>>24==32){n=n+1|0}else{break}}if((p|0)==16){return o|0}o=(q&255)-32|0;return o|0}else{b:do{if((d|0)>0){q=b;n=c;while(1){r=a[q]|0;s=a[n]|0;if(!(r<<24>>24==s<<24>>24)){break}k=q+1|0;j=n+1|0;if(k>>>0<f>>>0){q=k;n=j}else{t=j;break b}}o=(r&255)-(s&255)|0;return o|0}else{t=c}}while(0);while(1){if(!(t>>>0<g>>>0)){o=0;p=16;break}u=a[t]|0;if(u<<24>>24==32){t=t+1|0}else{break}}if((p|0)==16){return o|0}o=32-(u&255)|0;return o|0}return 0}function NG(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}HT(n|0,32,b+(d-n)|0)|0;return}function OG(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=540184+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[540228+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[540224+(d*48|0)>>2]|0)==1){QG(b)|0}i=540188+(d*48|0)|0;if((c[i>>2]|0)==0){break}Pa(c[e>>2]|0)|0;dT(c[i>>2]|0)}}while(0);do{if((g|0)==10){Pa(f|0)|0;b=540188+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Jd(i|0)|0;dT(c[b>>2]|0)}}while(0);c[e>>2]=0}c[540220+(d*48|0)>>2]=0;c[540188+(d*48|0)>>2]=0;return 0}function PG(){var a=0;if((c[135040]|0)!=0){return}c[135040]=1;c[135042]=0;a=0;do{c[135041]=a;OG(540160)|0;a=a+1|0;}while((a|0)<100);return}function QG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[540200+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=540184+(b*48|0)|0;f=c[e>>2]|0;g=Nb(f|0)|0;vd(f|0,0,2)|0;if((g|0)>=(Nb(f|0)|0)){d=0;return d|0}if((c[540204+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[540212+(b*48|0)>>2]&2|0)!=0){Ta(c[e>>2]|0)|0}b=ed(kb(c[e>>2]|0)|0,g|0)|0;vd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){SG(111,37568);d=111;return d|0}else{c[(Yc()|0)>>2]=111;d=111;return d|0}return 0}function RG(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if((_c(kb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==8192){e=(Nc(kb(a|0)|0)|0)==0|0;break}else if((f|0)==24576){e=1;break}else if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else{e=0;break}}}while(0);i=b;return e|0}function SG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){lb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;nd(f|0,486864,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){nd(f|0,485344,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[529800+(a-100<<2)>>2]|0;nd(f|0,484304,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[137508]|0;do{if((b|0)==0){Ya(44560,29,1,e|0)|0}else{nd(e|0,406360,(g=i,i=i+8|0,c[g>>2]=(b-540184|0)/48|0,g)|0)|0;i=g;a=c[(c[137508]|0)+4>>2]|0;if((a|0)==0){Ya(45360,10,1,e|0)|0;break}else{nd(e|0,45552,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[137492]|0;if((b|0)!=0){nd(e|0,43440,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[137448]|0)!=0?40624:39832;a=(c[137490]|0)!=0?39784:39360;f=(c[137494]|0)!=0?38912:38552;nd(e|0,43368,(g=i,i=i+32|0,c[g>>2]=(c[137468]|0)!=0?42704:42056,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;HG(38200,1);i=d;return}function TG(){var a=0;c[137478]=1;a=c[u>>2]|0;c[135046]=a;c[135051]=RG(a)|0;c[135052]=1;c[135056]=1;a=c[p>>2]|0;c[135106]=a;c[135111]=RG(a)|0;c[135112]=1;c[135116]=0;a=c[r>>2]|0;c[135118]=a;c[135123]=RG(a)|0;c[135124]=1;c[135128]=1;return}function UG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=tb(f|0,c[17304+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[137526]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Nb(c[i>>2]|0)|0;j=tb(c[e>>2]|0,c[17304+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[137526]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;vd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(Yc()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}vd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function VG(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){SG(b,d)}d=c[137504]|0;if((d|0)!=0){ie[d&15]()|0}c[(Yc()|0)>>2]=b;return b|0}function WG(a){a=a|0;c[137472]=0;c[137454]=0;c[137474]=0;return((XG(a,0)|0)==0)<<31>>31|0}function XG(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==32){e=f}else if((b<<24>>24|0)==40){break}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[137474]|0;c[137474]=h+1;if((h|0)==1){c[137454]=d}if((aH(1,d,0,0)|0)<0){g=0;return g|0}d=bH(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function YG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[137472]|0;k=544984+(j<<4)|0;l=c[k>>2]|0;switch(ZG(l)|0){case 6:{m=c[544988+(j<<4)>>2]|0;n=(c[137514]|0)+1|0;c[137514]=n;c[550064+(n<<2)>>2]=m;c[137472]=j+1;continue b;break};case 1:{m=c[544988+(j<<4)>>2]|0;n=(c[137452]|0)+1|0;c[137452]=n;c[549824+(n<<2)>>2]=m;c[137472]=j+1;continue b;break};case 3:{m=c[137514]|0;n=550064+(m<<2)|0;o=(c[n>>2]|0)-1|0;c[n>>2]=o;if((o|0)<1){c[137514]=m-1;c[137452]=(c[137452]|0)-1;c[137472]=j+1;continue b}else{m=c[137452]|0;c[137452]=m-1;c[137472]=(c[549824+(m<<2)>>2]|0)+1;continue b}break};case 8:{m=c[137514]|0;p=550064+(m<<2)|0;q=c[p>>2]|0;if((q|0)>=1){r=10;break b}c[137514]=m-1;c[137472]=j+1;continue b;break};case 18:{c[137512]=1;c[137472]=j+1;continue b;break};case 20:{c[137450]=c[544988+(j<<4)>>2];c[137472]=j+1;continue b;break};case 21:{c[137528]=0;c[137472]=j+1;continue b;break};case 33:{c[137476]=1;c[137472]=j+1;continue b;break};case 17:case 19:{c[137512]=0;c[137472]=j+1;continue b;break};case 22:{c[137528]=1;c[137472]=j+1;continue b;break};case 16:{if(b){r=28;break a}c[137472]=j+1;continue b;break};case 2:{c[137514]=0;c[137452]=0;c[137472]=c[544988+(j<<4)>>2];if(b){r=24;break a}if((c[135044]|0)==0){h=0;r=37;break a}j=ie[c[137498]&15]()|0;if((j|0)==0){continue b}else{h=j;r=37;break a}break};case 9:{j=(Xd[c[137502]&255](k)|0)==0;c[137472]=(c[137472]|0)+1;if(j){break b}else{continue b}break};default:{r=4;break a}}}if((r|0)==10){r=0;if(b){r=11;break}c[p>>2]=q-1;c[135044]=1;j=Zd[c[137506]&127](k,f,d)|0;if((j|0)>0){r=13;break}if((j|0)<0){r=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;r=37;break}}if((r|0)==4){g=c[137492]|0;nd(c[u>>2]|0,505768,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[137496]>>2]|0)==0){SG(100,508624);h=100;i=e;return h|0}else{c[(Yc()|0)>>2]=100;h=100;i=e;return h|0}}else if((r|0)==11){h=ie[c[137504]&15]()|0;i=e;return h|0}else if((r|0)==13){d=c[c[137496]>>2]|0;h=VG(d,c[(Yc()|0)>>2]|0,495192)|0;i=e;return h|0}else if((r|0)==15){if((c[(c[137496]|0)+8>>2]|0)==0){SG(-1,495192);h=-1;i=e;return h|0}else{c[(Yc()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((r|0)==24){h=ie[c[137504]&15]()|0;i=e;return h|0}else if((r|0)==28){h=ie[c[137504]&15]()|0;i=e;return h|0}else if((r|0)==37){i=e;return h|0}return 0}function ZG(a){a=a|0;var b=0;switch(a|0){case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};default:{b=a}}return b|0}function _G(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=YG(b,0,0)|0;i=a;return d|0}function $G(){c[137510]=0;c[137472]=0;c[137452]=0;c[137514]=0;c[135044]=0;c[137456]=0;c[137516]=0;return}function aH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[137472]|0;if((f|0)>299){Ya(41488,24,1,c[u>>2]|0)|0;HG(c[137492]|0,1);g=c[137472]|0}else{g=f}c[544984+(f<<4)>>2]=a;c[544988+(f<<4)>>2]=b;c[544992+(f<<4)>>2]=d;c[544996+(f<<4)>>2]=e;c[137472]=g+1;return g|0}function bH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=cH(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[137474]|0)-1|0;c[137474]=g;if((g|0)==0){aH(2,c[137454]|0,0,0)|0;e=i+1|0;return e|0}else{aH(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function cH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((dH(b,e)|0)!=0){g=c[e>>2]|0;break}if((eH(b,e)|0)!=0){g=c[e>>2]|0;break}h=fH(b,f,1)|0;j=aH(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=XG(h,j)|0}}while(0);i=d;return g|0}function dH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 45:{g=1;h=13;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{j=0;k=b;h=14;break};case 2:case 34:case 39:{c[544992+((aH(11,0,0,0)|0)<<4)>>2]=b;l=gH(b)|0;c[d>>2]=l;m=(l|0)!=0|0;i=e;return m|0};case 84:case 116:{l=b+1|0;n=a[l]|0;if((n<<24>>24|0)==114|(n<<24>>24|0)==82){o=14;p=l}else if((n<<24>>24|0)==108|(n<<24>>24|0)==76){o=13;p=l}else{o=15;p=b}l=fH(p+1|0,f,0)|0;if((l|0)==0){h=15;break a}aH(o,c[f>>2]|0,0,0)|0;q=l-1|0;h=30;break};case 83:case 115:{l=b+1|0;n=a[l]|0;if((n<<24>>24|0)==112|(n<<24>>24|0)==80){r=18;s=l}else if((n<<24>>24|0)==115|(n<<24>>24|0)==83){r=19;s=l}else{r=17;s=b}aH(r,0,0,0)|0;q=s;h=30;break};case 47:{aH(5,0,0,0)|0;q=b;h=30;break};case 43:{g=0;h=13;break};case 58:{aH(16,0,0,0)|0;q=b;h=30;break};case 36:{aH(33,0,0,0)|0;q=b;h=30;break};case 88:case 120:{aH(4,1,0,0)|0;q=b;h=30;break};case 80:case 112:{aH(20,1,0,0)|0;q=b;h=30;break};case 66:case 98:{l=b+1|0;n=a[l]|0;if((n<<24>>24|0)==122|(n<<24>>24|0)==90){aH(22,0,0,0)|0;q=l;h=30;break a}else{aH(21,0,0,0)|0;q=l;h=30;break a}break};default:{m=0;i=e;return m|0}}}while(0);if((h|0)==13){j=g;k=b+1|0;h=14}b:do{if((h|0)==14){b=fH(k,f,0)|0;if((b|0)==0){h=15;break}switch(a[b]|0){case 80:case 112:{g=c[f>>2]|0;if((j|0)==0){t=g}else{s=-g|0;c[f>>2]=s;t=s}aH(20,t,0,0)|0;q=b;h=30;break b;break};case 88:case 120:{aH(4,c[f>>2]|0,0,0)|0;q=b;h=30;break b;break};case 72:case 104:{s=c[f>>2]|0;c[544992+((aH(12,s,0,0)|0)<<4)>>2]=b+1;q=b+s|0;h=30;break b;break};default:{m=0;i=e;return m|0}}}}while(0);if((h|0)==15){c[d>>2]=0;m=1;i=e;return m|0}else if((h|0)==30){c[d>>2]=q+1;m=1;i=e;return m|0}return 0}function eH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=fH(b,f,1)|0;aH(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 65:case 97:{l=f;while(1){m=a[l]|0;if(m<<24>>24==32){l=l+1|0}else{break}}if(!((m-48&255)>>>0<10>>>0)){aH(30,0,0,0)|0;n=l;o=45;break a}p=fH(l,g,1)|0;q=c[g>>2]|0;if((q|0)==0){n=p;o=45;break a}aH(31,q,0,0)|0;n=p;o=45;break};case 69:case 101:{r=1;o=3;break};case 70:case 102:{p=fH(f,g,0)|0;if((p|0)==0){o=4;break a}q=c[g>>2]|0;if((q|0)==0){n=p;o=45;break a}if((a[p]|0)==46){s=fH(p+1|0,h,0)|0;if((s|0)==0){o=4;break a}t=s;u=c[h>>2]|0}else{c[h>>2]=0;t=p;u=0}aH(23,q,u,0)|0;n=t;o=45;break};case 90:case 122:{v=36;w=35;o=38;break};case 76:case 108:{q=fH(f,g,0)|0;if((q|0)==0){o=4;break a}p=c[g>>2]|0;if((p|0)==0){n=q;o=45;break a}aH(29,p,0,0)|0;n=q;o=45;break};case 68:case 100:{q=fH(f,g,0)|0;if((q|0)==0){o=4;break a}p=c[g>>2]|0;if((p|0)==0){n=q;o=45;break a}if((a[q]|0)==46){s=fH(q+1|0,h,0)|0;if((s|0)==0){o=4;break a}x=s;y=c[h>>2]|0}else{c[h>>2]=0;x=q;y=0}aH(26,p,y,0)|0;n=x;o=45;break};case 71:case 103:{r=0;o=3;break};case 73:case 105:{v=10;w=7;o=38;break};case 79:case 111:{v=34;w=32;o=38;break};default:{c[137472]=(c[137472]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((o|0)==3){b=fH(f,g,0)|0;if((b|0)==0){o=4;break}x=c[g>>2]|0;if((x|0)==0){n=b;o=45;break}y=a[b]|0;if(y<<24>>24==46){t=fH(b+1|0,h,0)|0;if((t|0)==0){o=4;break}A=t;B=a[t]|0}else{c[h>>2]=0;A=b;B=y}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){aH((r|0)==1?24:27,x,c[h>>2]|0,0)|0;n=A;o=45;break}y=fH(A+1|0,j,0)|0;if((y|0)==0){o=4;break}aH((r|0)==1?25:28,x,c[h>>2]|0,c[j>>2]|0)|0;n=y;o=45}else if((o|0)==38){y=fH(f,g,0)|0;if((y|0)==0){o=4;break}x=c[g>>2]|0;if((x|0)==0){n=y;o=45;break}if((a[y]|0)!=46){aH(w,x,0,0)|0;n=y;o=45;break}b=fH(y+1|0,h,0)|0;if((b|0)==0){o=4;break}aH(v,x,c[h>>2]|0,0)|0;n=b;o=45}}while(0);if((o|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((o|0)==45){c[d>>2]=n;z=1;i=e;return z|0}return 0}function fH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function gH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[137496]>>2]|0)==0){SG(100,486264);l=0;return l|0}else{c[(Yc()|0)>>2]=100;l=0;return l|0}return 0}function hH(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[549942]=48;i=549942;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=549920+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function iH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[137488]|0;e=c[137466]|0;if((d|0)>(e|0)){c[137466]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4332]|0)){g=f}else{jH(e,f);g=c[137466]|0}f=c[4334]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;_a(f|0,c[137526]|0)|0;g=ET(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Wa(a[k]|0,c[137526]|0)|0;_a(g|0,c[137526]|0)|0;f=ET(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function jH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4334]|0;if((e|0)==550120){c[4332]=1024;f=1024}else{f=c[4332]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4332]=h;g=h}h=cT(g)|0;if((h|0)==0){SG(113,503672);i=c[4334]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4334]|0}else{j=i}if((j|0)==550120){c[4334]=h;return}dT(j);c[4334]=h;return}function kH(b){b=b|0;var d=0,e=0,f=0;d=c[137466]|0;e=c[4332]|0;if((d|0)<(e|0)){f=d}else{jH(d,e);f=c[137466]|0}c[137466]=f+1;a[(c[4334]|0)+f|0]=b;return}function lH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[137494]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){SG(101,32152);k=101;i=d;return k|0}else{c[(Yc()|0)>>2]=101;k=101;i=d;return k|0}}if((c[137478]|0)==0){TG();l=c[h>>2]|0}else{l=j}j=540184+(l*48|0)|0;c[137508]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;qH(j,c[b+12>>2]|0,n);o=rH(n,g)|0;if((o|0)==(c[540192+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[540196+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=OG(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[540216+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=540200+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[540216+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=540208+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[540208+(l*48|0)>>2]=1;r=1;break}else{c[540208+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Pb(e|0,29032,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;qH(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){mH(107,32152,b);k=107;i=d;return k|0}else{c[(Yc()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=540228+(l*48|0)|0;c[q>>2]=0;c[540220+(l*48|0)>>2]=0;h=540224+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=540212+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 114:case 82:{break};case 111:case 79:{if((Mb(e|0,0)|0)==0){break b}j=(c[b>>2]|0)==0;n=Yc()|0;s=c[n>>2]|0;if(j){mH(s,32152,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 110:case 78:{if((Mb(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){mH(128,32152,b);k=128;i=d;return k|0}else{c[(Yc()|0)>>2]=128;k=128;i=d;return k|0}break};case 115:case 83:{c[q>>2]=1;s=zb()|0;c[m>>2]=s;if((s|0)!=0){c[540188+(l*48|0)>>2]=0;c[540196+(l*48|0)>>2]=-1;c[540192+(l*48|0)>>2]=-1;c[540204+(l*48|0)>>2]=1;k=0;i=d;return k|0}s=(c[b>>2]|0)==0;n=Yc()|0;j=c[n>>2]|0;if(s){mH(j,32152,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};default:{break b}}}while(0);j=zc(e|0,c[4326]|0)|0;if((j|0)==0){break}Pa(j|0)|0}}while(0);q=e|0;e=cT((ET(q|0)|0)+1|0)|0;c[540188+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){mH(113,26048,b);k=113;i=d;return k|0}else{c[(Yc()|0)>>2]=113;k=113;i=d;return k|0}}NT(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=zc(q|0,c[17304+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=zc(q|0,c[17320+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=zc(q|0,c[17304+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=Yc()|0;j=c[o>>2]|0;if(g){SG(j,32152);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=540204+(l*48|0)|0;c[r>>2]=RG(u)|0;u=rH(q,540196+(l*48|0)|0)|0;c[540192+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){mH(108,32152,b);k=108;i=d;return k|0}else{c[(Yc()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){zd(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((vd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){mH(129,32152,b);k=129;i=d;return k|0}else{c[(Yc()|0)>>2]=129;k=129;i=d;return k|0}return 0}function mH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){SG(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4332]|0)){h=f;i=d}else{jH(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4334]|0;c[(c[137508]|0)+4>>2]=g;qH(h,i,g);SG(a,b);return}function nH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Pb(g|0,29032,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=ET(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?23448:511656;c[f+24>>2]=(b|0)==5?508896:506e3;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=lH(f)|0;i=e;return a|0}function oH(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=540184+(b*48|0)|0;c[137508]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){SG(101,493792);e=101;return e|0}else{c[(Yc()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((nH(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){SG(114,505864);e=114;return e|0}else{c[(Yc()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[540208+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){SG(102,505864);e=102;return e|0}else{c[(Yc()|0)>>2]=102;e=102;return e|0}return 0}function pH(){var a=0;a=_G()|0;c[137492]=0;return a|0}function qH(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function rH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((Cd(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function sH(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[137450]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[137512]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Pb(v|0,492480,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(ET(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;Ud[c[137470]&511](32);}while((B|0)>0)}if((A|0)!=0){Ud[c[137470]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{Ud[c[137470]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Rc(B|0)|0)+1|0;Pb(B|0,505472,(w=i,i=i+8|0,c[w>>2]=p-(c[137450]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;Ud[c[137470]&511](32);}while((z|0)>0)}if((s|0)!=0){Ud[c[137470]&511]((t|0)!=0?45:43)}z=c[137450]|0;do{if((z|0)<1){Ud[c[137470]&511](46);u=c[137470]|0;if((z|0)<0){F=z;w=u;while(1){Ud[w&511](48);H=F+1|0;I=c[137470]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}Ud[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}Ud[c[137470]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[137470]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){Ud[F&511](a[J]|0);P=O-1|0;Q=c[137470]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}Ud[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;Ud[c[137470]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){Ud[c[137470]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;Ud[c[137470]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){Ud[c[137470]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{Ud[c[137470]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;Ud[c[137470]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;Ud[c[137470]&511](42);}while((Y|0)>0);i=k;return 0}function tH(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[137450]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Pb(b|0,484584,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[137512]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;Ud[c[137470]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;Ud[c[137470]&511](32);}while((r|0)>0)}do{if(o){if((c[137512]|0)==0){break}Ud[c[137470]&511](43)}else{Ud[c[137470]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;Ud[c[137470]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;Ud[c[137470]&511](48);}while((w|0)>0);i=j;return 0}function uH(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==1){g=a[d]|0}else if((f|0)==4){g=c[d>>2]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{Ud[c[137470]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[137470]|0;if((g|0)==0){Ud[d&511](70);return 0}else{Ud[d&511](84);return 0}return 0}function vH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[137510]|0)==0){f=3}else{g=wH()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 31:{AH(b,c[a+4>>2]|0,d);h=0;break a;break};case 10:{yH(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 30:{zH(b,d);h=0;break a;break};case 23:{h=tH(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 35:{CH(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 26:case 24:case 25:{h=sH(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 36:{CH(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 34:{yH(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 27:case 28:{h=BH(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 32:{xH(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 7:{break};case 29:{uH(b,c[a+4>>2]|0,d)|0;h=0;break a;break};default:{nd(c[u>>2]|0,492304,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;HG(c[137492]|0,1)}}xH(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function wH(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[137510]|0;c[137510]=0;if((c[137494]|0)!=0){if((a|0)>0){b=c[137488]|0;d=c[137466]|0;if((b|0)<=(d|0)){e=a;while(1){Ud[c[137470]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[137466]=e;g=0;return g|0}e=a-b+d|0;c[137466]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){Ud[c[137470]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[137466]|0;e=h+a|0;if((e|0)>=0){if((c[137488]|0)<(h|0)){c[137488]=h}c[137466]=e;g=0;return g|0}if((c[c[137496]>>2]|0)==0){SG(110,493672);g=110;return g|0}else{c[(Yc()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[137466]|0;if((c[137488]|0)<(e|0)){c[137488]=e}h=e+a|0;c[137466]=h;c[137486]=(c[137486]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[137496]>>2]|0)==0){SG(110,493672);g=110;return g|0}else{c[(Yc()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[137466]|0;e=h+a|0;if((e|0)>=(c[(c[137446]|0)+16>>2]|0)){if((c[c[137496]>>2]|0)==0){SG(110,484536);g=110;return g|0}else{c[(Yc()|0)>>2]=110;g=110;return g|0}}b=c[137488]|0;if((b|0)<=(h|0)){d=a;while(1){Ud[c[137470]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[137486]=(c[137486]|0)+a;c[137466]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[137486]=(c[137486]|0)+e;c[137466]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){Ud[c[137470]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function xH(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==1){l=a[d]|0}else if((f|0)==4){l=c[d>>2]|0}else{l=b[d>>1]|0}d=hH(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[137512]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{Ud[c[137470]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{Ud[c[137470]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[137512]|0)==0){break}Ud[c[137470]&511](43)}else{Ud[c[137470]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){Ud[c[137470]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function yH(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==4){m=c[d>>2]|0}else if((g|0)==1){m=a[d]|0}else{m=b[d>>1]|0}d=hH(m,k,l,h)|0;h=c[l>>2]|0;g=(c[137512]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{Ud[c[137470]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{Ud[c[137470]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[137512]|0)==0){break}Ud[c[137470]&511](43)}else{Ud[c[137470]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){Ud[c[137470]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){Ud[c[137470]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{Ud[c[137470]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function zH(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;Ud[c[137470]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function AH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;Ud[c[137470]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;Ud[c[137470]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function BH(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=sH(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=sH(a,b,d,e,f)|0;return l|0}}while(0);m=c[137450]|0;c[137450]=0;n=(e|0)==0?4:e+2|0;e=tH(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{Ud[c[137470]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[137450]=m;l=e;return l|0}function CH(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{Ud[c[137470]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{Ud[c[137470]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;Ud[c[137470]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){Ud[c[137470]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){Ud[c[137470]&511](a[344+((d[o]|0)>>>4)|0]|0);Ud[c[137470]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function DH(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=c[a>>2]|0;switch(d|0){case 11:{e=EH(c[a+8>>2]|0)|0;i=b;return e|0};case 15:{c[137510]=(c[a+4>>2]|0)-1-(c[137466]|0);e=1;i=b;return e|0};case 14:case 4:{c[137510]=(c[137510]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 12:{e=FH(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};case 5:{break};case 13:{f=(c[137510]|0)-(c[a+4>>2]|0)|0;c[137510]=f;a=-(c[137466]|0)|0;if((f|0)>=(a|0)){e=1;i=b;return e|0}c[137510]=a;e=1;i=b;return e|0};default:{nd(c[u>>2]|0,505416,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;HG(c[137492]|0,1)}}e=ie[c[137500]&15]()|0;i=b;return e|0}function EH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[137510]|0)!=0){d=wH()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}Ud[c[137470]&511](d<<24>>24);l=g}else{Ud[c[137470]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function FH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[137510]|0)!=0){e=wH()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;Ud[c[137470]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function GH(){var a=0;a=iH(10)|0;c[137510]=0;c[137466]=0;c[137488]=0;return(a|0)==0|0}function HH(a){a=a|0;var b=0,d=0,e=0;if((c[137478]|0)==0){TG()}c[137468]=0;c[137448]=1;c[137490]=1;c[137494]=1;b=oH(a)|0;if((b|0)!=0){d=b;return d|0}c[137496]=a;c[137466]=0;c[137510]=0;c[137488]=0;c[137476]=0;c[137450]=0;b=c[a+12>>2]|0;c[137492]=b;c[137526]=c[c[137508]>>2];if((WG(b)|0)<0){if((c[a>>2]|0)==0){SG(100,491536);d=100;return d|0}else{c[(Yc()|0)>>2]=100;d=100;return d|0}}c[137470]=260;c[137506]=26;c[137502]=188;c[137504]=2;c[137498]=6;c[137500]=8;$G();c[137512]=0;b=c[137508]|0;c[137528]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((UG(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=Yc()|0;e=c[a>>2]|0;if(b){SG(e,505344);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function IH(){var a=0;if((c[137476]|0)==0){a=iH(10)|0}else{iH(0)|0;Ta(c[137526]|0)|0;a=0}c[137510]=0;c[137466]=0;c[137488]=0;return a|0}function JH(){var a=0,b=0;if((c[135044]|0)==0){a=0}else{b=iH(10)|0;c[135044]=0;a=b}c[137510]=0;c[137466]=0;c[137488]=0;return a|0}function KH(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[p>>2]|0;eI(556640,h,556768);c[139408]=515836;c[139410]=515856;c[139409]=0;XJ(557640,556640);c[139428]=0;c[139429]=-1;j=c[r>>2]|0;c[139136]=515520;FP(556548);HT(556552,0,24)|0;c[139136]=516056;c[139144]=j;GP(g,556548);k=JP(g,556968)|0;l=k;HP(g);c[139145]=l;c[139146]=556776;a[556588]=(Xd[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[139342]=515740;c[139343]=515760;XJ(557372,556544);c[139361]=0;c[139362]=-1;l=c[u>>2]|0;c[139148]=515520;FP(556596);HT(556600,0,24)|0;c[139148]=516056;c[139156]=l;GP(f,556596);k=JP(f,556968)|0;g=k;HP(f);c[139157]=g;c[139158]=556784;a[556636]=(Xd[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[139386]=515740;c[139387]=515760;XJ(557548,556592);c[139405]=0;c[139406]=-1;g=c[(c[(c[139386]|0)-12>>2]|0)+557568>>2]|0;c[139364]=515740;c[139365]=515760;XJ(557460,g);c[139383]=0;c[139384]=-1;c[(c[(c[139408]|0)-12>>2]|0)+557704>>2]=557368;g=(c[(c[139386]|0)-12>>2]|0)+557548|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[139386]|0)-12>>2]|0)+557616>>2]=557368;SH(556488,h,556792);c[139320]=515788;c[139322]=515808;c[139321]=0;XJ(557288,556488);c[139340]=0;c[139341]=-1;c[139098]=515448;FP(556396);HT(556400,0,24)|0;c[139098]=515984;c[139106]=j;GP(e,556396);j=JP(e,556960)|0;h=j;HP(e);c[139107]=h;c[139108]=556800;a[556436]=(Xd[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[139250]=515692;c[139251]=515712;XJ(557004,556392);c[139269]=0;c[139270]=-1;c[139110]=515448;FP(556444);HT(556448,0,24)|0;c[139110]=515984;c[139118]=l;GP(d,556444);l=JP(d,556960)|0;h=l;HP(d);c[139119]=h;c[139120]=556808;a[556484]=(Xd[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[139294]=515692;c[139295]=515712;XJ(557180,556440);c[139313]=0;c[139314]=-1;h=c[(c[(c[139294]|0)-12>>2]|0)+557200>>2]|0;c[139272]=515692;c[139273]=515712;XJ(557092,h);c[139291]=0;c[139292]=-1;c[(c[(c[139320]|0)-12>>2]|0)+557352>>2]=557e3;h=(c[(c[139294]|0)-12>>2]|0)+557180|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[139294]|0)-12>>2]|0)+557248>>2]=557e3;i=b;return}function LH(a){a=a|0;VK(557368)|0;VK(557456)|0;aL(557e3)|0;aL(557088)|0;return}function MH(a){a=a|0;c[a>>2]=515448;HP(a+4|0);return}function NH(a){a=a|0;c[a>>2]=515448;HP(a+4|0);kT(a);return}function OH(b,d){b=b|0;d=d|0;var e=0;Xd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=JP(d,556960)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Xd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function PH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Yd[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function QH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Ya(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((ge[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function RH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=me[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function SH(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=515448;j=b+4|0;FP(j);HT(b+8|0,0,24)|0;c[h>>2]=516384;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;GP(g,j);j=JP(g,556960)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Xd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Xd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){HP(g);i=f;return}RO(24328);HP(g);i=f;return}function TH(a){a=a|0;c[a>>2]=515448;HP(a+4|0);return}function UH(a){a=a|0;c[a>>2]=515448;HP(a+4|0);kT(a);return}function VH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=JP(d,556960)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Xd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Xd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}RO(24328);return}function WH(a){a=a|0;return ZH(a,0)|0}function XH(a){a=a|0;return ZH(a,1)|0}function YH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=me[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((dd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function ZH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Cb(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=me[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==3){y=14;break}else if((x|0)==2){n=-1;y=22;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Cb(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((dd(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function _H(a){a=a|0;c[a>>2]=515520;HP(a+4|0);return}function $H(a){a=a|0;c[a>>2]=515520;HP(a+4|0);kT(a);return}function aI(b,d){b=b|0;d=d|0;var e=0;Xd[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=JP(d,556968)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Xd[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function bI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Yd[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function cI(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Ya(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((ge[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function dI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=me[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function eI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=515520;j=b+4|0;FP(j);HT(b+8|0,0,24)|0;c[h>>2]=516456;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;GP(g,j);j=JP(g,556968)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Xd[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Xd[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){HP(g);i=f;return}RO(24328);HP(g);i=f;return}function fI(a){a=a|0;c[a>>2]=515520;HP(a+4|0);return}function gI(a){a=a|0;c[a>>2]=515520;HP(a+4|0);kT(a);return}function hI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=JP(d,556968)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Xd[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Xd[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}RO(24328);return}function iI(a){a=a|0;return lI(a,0)|0}function jI(a){a=a|0;return lI(a,1)|0}function kI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=me[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((dd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function lI(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Cb(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=me[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==2){o=-1;z=23;break}else if((y|0)==3){z=14;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Cb(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((dd(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function mI(){KH(0);Fb(18,557720,s|0)|0;return}function nI(a){a=a|0;return}function oI(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function pI(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}Ud[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function qI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=513680;d=a+4|0;if((d|0)==0){return}a=ET(b|0)|0;e=jT(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;GT(f|0,b|0,a+1|0)|0;return}function rI(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=513680;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}lT(e)}}while(0);kT(a);return}function sI(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=513680;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}lT(d);e=a|0;return}function tI(a){a=a|0;return c[a+4>>2]|0}function uI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=513584;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=ET(f|0)|0;b=jT(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;GT(g|0,f|0,d+1|0)|0;return}function vI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=513584;d=a+4|0;if((d|0)==0){return}a=ET(b|0)|0;e=jT(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;GT(f|0,b|0,a+1|0)|0;return}function wI(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=513584;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}lT(e)}}while(0);kT(a);return}function xI(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=513584;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}lT(d);e=a|0;return}function yI(a){a=a|0;return c[a+4>>2]|0}function zI(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=513680;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}lT(e)}}while(0);kT(a);return}function AI(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=513680;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}lT(e)}}while(0);kT(a);return}function BI(a){a=a|0;return}function CI(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function DI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;ke[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function EI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function FI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=Zc(e|0)|0;e=ET(d|0)|0;if(e>>>0>4294967279>>>0){LI(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;GT(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=iT(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;GT(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function GI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{qJ(e,490672,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;ke[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}qJ(e,q,p)|0;if((a[l]&1)==0){break}kT(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];HT(k|0,0,12)|0;i=f;return}function HI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=ET(e|0)|0;if(j>>>0>4294967279>>>0){LI(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=iT(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}GT(k|0,e|0,j)|0;a[k+j|0]=0;GI(g,d,h);uI(b|0,g);if(!((a[g]&1)==0)){kT(c[g+8>>2]|0)}if(!((a[h]&1)==0)){kT(c[h+8>>2]|0)}c[b>>2]=515952;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function II(a){a=a|0;xI(a|0);kT(a);return}function JI(a){a=a|0;xI(a|0);return}function KI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{rb(556720,556696)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;Ud[d&511](b);h;c[a>>2]=-1;i;Pc(556720)|0;return}function LI(a){a=a|0;a=Ad(8)|0;qI(a,505752);c[a>>2]=513648;vc(a|0,519992,50)}function MI(a){a=a|0;a=Ad(8)|0;qI(a,505752);c[a>>2]=513616;vc(a|0,519976,8)}function NI(a){a=a|0;HT(a|0,0,12)|0;return}function OI(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function PI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){LI(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=iT(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}GT(g|0,e|0,f)|0;a[g+f|0]=0;return}function QI(b){b=b|0;return(a[b]&1)!=0|0}function RI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){LI(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;GT(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=iT(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;GT(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function SI(a){a=a|0;return a|0}function TI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=ET(d|0)|0;if(e>>>0>4294967279>>>0){LI(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;GT(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=iT(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;GT(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function UI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){LI(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=iT(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}HT(f|0,e|0,d|0)|0;a[f+d|0]=0;return}



function Rf(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0,ha=0,ia=0;j=i;i=i+296|0;k=j|0;l=j+88|0;m=j+96|0;n=j+104|0;o=j+112|0;p=j+120|0;q=j+128|0;r=j+136|0;s=j+144|0;t=j+232|0;u=j+280|0;do{if(d<22064.0e3){Sf(l,b,d);if(+h[l>>3]+10.0>e){v=6;break}Tf(m,b,d);if(!(+h[m>>3]+-10.0>=e)){v=7;break}ne[c[2162]&63](b,8992,524040,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;v=7}else{Hf(n,0,d);if(+h[n>>3]>e){v=6}else{v=7}}}while(0);if((v|0)==6){Bf(o,0,d,e);x=+h[o>>3];Uf(q,0,d,e);y=+h[q>>3];z=x}else if((v|0)==7){Cf(p,0,d,e);x=+h[p>>3];Vf(r,0,d,e);y=+h[r>>3];z=x}r=s|0;p=s+8|0;v=s+16|0;q=s+24|0;o=s+32|0;n=s+40|0;m=s+48|0;l=s+56|0;A=s+64|0;B=s+72|0;C=s+80|0;D=k|0;E=k+8|0;F=k+16|0;G=k+24|0;H=k+32|0;I=k+40|0;J=k+48|0;K=k+56|0;L=k+64|0;M=k+72|0;N=k+80|0;O=t|0;P=t+8|0;Q=t+16|0;R=t+24|0;S=t+32|0;T=t+40|0;U=u|0;W=u+8|0;X=0;x=z;z=1.0/y;do{Df(s,b,z,x);y=+h[p>>3];Y=+h[v>>3];Z=+h[q>>3];_=+h[o>>3];$=+h[n>>3];aa=+h[m>>3];ba=+h[l>>3];ca=+h[A>>3];da=+h[B>>3];ea=+h[C>>3];h[D>>3]=+h[r>>3];h[E>>3]=y;h[F>>3]=Y;h[G>>3]=Z;h[H>>3]=_;h[I>>3]=$;h[J>>3]=aa;h[K>>3]=ba;h[L>>3]=ca;h[M>>3]=da;h[N>>3]=ea;tf(t,0,k);ea=+h[Q>>3];da=+h[R>>3];ca=+h[S>>3];ba=+h[T>>3];aa=+h[P>>3]-e;$=+h[O>>3]-d;do{if(+V(+(aa/e))>g){fa=1}else{if(+V(+($/d))>f){fa=1;break}fa=0}}while(0);_=ea*ba-da*ca;X=X+1|0;Wf(u,0,z-($*ba-aa*da)/_,x-(ea*aa-$*ca)/_);z=+h[U>>3];x=+h[W>>3];}while((X|0)<50&fa);X=fa&1;if(!fa){ga=a|0;h[ga>>3]=z;ha=a+8|0;h[ha>>3]=x;ia=a+16|0;c[ia>>2]=X;i=j;return}ne[c[2162]&63](b,8968,523984,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;ga=a|0;h[ga>>3]=z;ha=a+8|0;h[ha>>3]=x;ia=a+16|0;c[ia>>2]=X;i=j;return}function Sf(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;Nf(e,b,c);_f(a,0,0.0,e|0);i=d;return}function Tf(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;Kf(e,b,c);_f(a,0,0.0,e|0);i=d;return}function Uf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Gp(f,1,(k=i,i=i+8|0,c[k>>2]=32,k)|0);i=k;l=f;c[l>>2]=c[130794];c[l+4>>2]=c[130795];c[l+8>>2]=c[130796];Gp(g,1,(k=i,i=i+8|0,c[k>>2]=32,k)|0);i=k;l=g;c[l>>2]=c[130724];c[l+4>>2]=c[130725];c[l+8>>2]=c[130726];Gp(j,1,(k=i,i=i+8|0,c[k>>2]=32,k)|0);i=k;k=j;c[k>>2]=c[130654];c[k+4>>2]=c[130655];c[k+8>>2]=c[130656];m=e/21.0e5+-.727;e=m*m;n=d/1.0e8+.128;d=n*m;o=n*n;p=+eq(n,-12);q=p*+eq(m,6)*.00529944062966028;p=+eq(n,-12);r=p*+eq(m,8)*-.170099690234461;p=+eq(n,-12);s=p*+eq(m,12)*11.1323814312927;p=+eq(n,-12);t=p*+eq(m,18)*-2178.98123145125;p=e*e;u=p*+eq(n,-10)*-.000506061827980875;v=+eq(n,-10);w=v*+eq(m,7)*.556495239685324;v=+eq(n,-10);x=v*+eq(m,10)*-9.43672726094016;v=+eq(n,-8);y=v*+eq(m,5)*-.297856807561527;v=+eq(n,-8);z=v*+eq(m,12)*93.9353943717186;v=m*e;A=v*+eq(n,-6)*.0192944939465981;B=p*+eq(n,-6)*.421740664704763;p=+eq(n,-6);C=p*+eq(m,22)*-3689141.2628233;p=e*+eq(n,-4)*-.00737566847600639;D=v*+eq(n,-4)*-.354753242424366;E=+eq(n,-3);F=E*+eq(m,7)*-1.99768169338727;E=v*+eq(n,-2)*1.15456297059049;G=+eq(n,-2);H=G*+eq(m,16)*5683.6687581596;G=e*+eq(n,5)*1.10533464706142;h[a>>3]=(q+(r+(s+(t+(u+(w+(x+(y+(z+(A+(B+(C+(p+(D+(F+(E+(H+(.00808169540124668/n+(m/n*.172416341519307+(e/n*1.04270175292927+(v/n*-.297691372792847+(m*.275234661176914+(n*-.148347894866012+(d*-.0651142513478515+(n*e*-2.92468715386302+(o*.0664876096952665+(d*d*3.52335014263844+(n*o*-.0146340792313332+(o*o*e*-2.24503486668184+(G+e*+eq(n,8)*-.0408757344495612)))))))))))))))))))))))))))))+.560394465163593)*.0028;i=b;return}function Vf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;b=i;i=i+48|0;f=b|0;g=b+16|0;j=b+32|0;Gp(f,1,(k=i,i=i+8|0,c[k>>2]=30,k)|0);i=k;l=f;c[l>>2]=c[130992];c[l+4>>2]=c[130993];c[l+8>>2]=c[130994];Gp(g,1,(k=i,i=i+8|0,c[k>>2]=30,k)|0);i=k;l=g;c[l>>2]=c[130926];c[l+4>>2]=c[130927];c[l+8>>2]=c[130928];Gp(j,1,(k=i,i=i+8|0,c[k>>2]=30,k)|0);i=k;k=j;c[k>>2]=c[130860];c[k+4>>2]=c[130861];c[k+8>>2]=c[130862];m=e/28.0e5+-.72;e=d/1.0e8+.0661;d=m*m;n=e*m;o=-2.25196934336318e-9/+eq(e,12);p=m*+eq(e,-12)*1.40674363313486e-8;q=23378408528056.0e-19/+eq(e,8);r=m*+eq(e,-8)*-331833715229001.0e-19;s=m*d;t=s*+eq(e,-8)*.00107956778514318;u=+eq(e,-8);v=u*+eq(m,6)*-.271382067378863;u=+eq(e,-8);w=u*+eq(m,7)*1.07202262490333;u=+eq(e,-8);x=u*+eq(m,8)*-.853821329075382;u=-215214194340526.0e-19/+eq(e,6);y=m*+eq(e,-6)*.00076965608822273;z=d*+eq(e,-6)*-.00431136580433864;A=+eq(e,-6);B=A*+eq(m,5)*.453342167309331;A=+eq(e,-6);C=A*+eq(m,6)*-.507749535873652;A=+eq(e,-6);D=A*+eq(m,10)*-100.475154528389;A=s*+eq(e,-4)*-.219201924648793;s=+eq(e,-4);E=s*+eq(m,6)*-3.21087965668917;s=+eq(e,-4);F=s*+eq(m,10)*607.567815637771;s=e*e;G=d*+eq(e,-3)*.18749904002955;H=m*+eq(e,-2)*.00905368030448107;I=d*+eq(e,-2)*.285417173048685;J=+eq(m,5)/e*-11.8035753702231;h[a>>3]=(o+(p+(q+(r+(t+(v+(w+(x+(u+(y+(z+(B+(C+(D+(A+(E+(F+(.000557686450685932/(e*s)+(G+(H+(I+(.0329924030996098/e+(m/e*.239897419685483+(d*d/e*4.82754995951394+(J+(e*-.0179967222507787+(n*.0371810116332674+(n*n*-.0536288335065096+s*+eq(m,6)*1.6069710109252)))))))))))))))))))))))))))+.169490044091791)*.0088;i=b;return}function Wf(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0.0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0;do{if(c>765.0){e=765.0;f=4}else{g=c<110.0?110.0:c;if(!(g<390.0)){e=g;f=4;break}i=g*.809344262+554.3557377;j=g}}while(0);if((f|0)==4){i=e*-.632948717+1116.85;j=e}e=j+-322.0;c=e*e;if(j<322.0){k=c/1.0e6}else{k=c/144.0e4}c=(1.0-k)*647.096;if(c>d){l=c}else{l=i<d?i:d}h[a>>3]=j;h[a+8>>3]=l;return}function Xf(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=+f;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;g=i;i=i+88|0;j=g|0;k=j+32|0;l=j+64|0;m=j+72|0;n=0;o=1500.0;do{Ff(j,b,d,o);p=+h[k>>3];q=o*p*+h[l>>3]*461.526-e;r=+V(+(q/e))<f;o=o-q/(p*p*+h[m>>3]*-461.526);n=n+1|0;s=r^1;}while((n|0)<50&s);n=s&1;if(r){t=a|0;h[t>>3]=o;u=a+8|0;c[u>>2]=n;i=g;return}ne[c[2162]&63](b,8944,522296,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;t=a|0;h[t>>3]=o;u=a+8|0;c[u>>2]=n;i=g;return}function Yf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0;b=i;i=i+16|0;f=b|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0);i=g;j=d/1653.0e4;k=7.1-j;l=1386.0/e+ -1.222;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[m>>3]=l*l;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[m>>3]=n*n;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[m>>3]=n*n;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=n*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[m>>3]=o;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=l*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[m>>3]=o;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=l*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[m>>3]=o;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[m>>3]=k*k;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[m>>3]=o*o;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;o=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[m>>3]=o*o;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[m>>3]=o*o;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;o=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[m>>3]=o*o;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=o*(+h[m>>3]*2.55615384360309e-9+84812393955936.0e-19)+95038934535162.0e-18;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=n/+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;p=n*+h[m>>3]*5.7366919751696e-13+260684891582404.0e-20;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;n=+h[m>>3]*p+89701127632.0e-16;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;p=n/+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=202584984300585.0e-20/+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;q=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;r=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;s=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;t=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;u=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;v=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;x=k/(l*w*+h[m>>3])*2.99318679335866e-24;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;y=k*(x+-5.65070932023524e-23/(w*+h[m>>3]));m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;w=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;x=w*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;w=k*(y+3.5842867920213e-22/(l*x*+h[m>>3]));m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;x=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;y=x*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;x=u*v*(w+-7.63737668221055e-22/(y*+h[m>>3]));m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;y=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;w=y*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;y=w*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;w=t*(x+-3.33001080055983e-19/(l*y*+h[m>>3]));m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;y=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;x=y*+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;y=r*s*k*(w+1.44400475720615e-17/(l*x*+h[m>>3]));m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;x=+h[m>>3]*1.39398969845072e-9+1.01874413933128e-8;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;w=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;s=k*(o+k*(p+k*(n+q*k*(y+x/(l*w*+h[m>>3])))));m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;w=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;x=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;y=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;q=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=w*(l*(x*(y*q*+h[m>>3]*1.45389992595188e-15+88283690661692.0e-19)+-95322787813974.0e-18)+.00060003561586052)+.00094368642146534;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;q=k*(s+n/+h[m>>3]);m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;s=+h[m>>3];m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;k=n*(s*(l*(l*(+h[m>>3]*5283835796993.0e-17+.021841717175414)+.032529748770505)+.018990068218419)+.00060706301565874)+-.00028319080123804;m=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[a>>3]=d/(j*(q+k/(l*+h[m>>3]))*e*461.526);i=b;return}function Zf(a,b,d,e){a=a|0;b=b|0;d=+d;e=+e;var f=0,g=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0;b=i;i=i+16|0;f=b|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0);i=g;j=d/1.0e6;k=540.0/e+-.5;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=k*k;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=k*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=m*m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=m*m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=m*m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=m*n*k*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=o*k*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=n;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;m=n*o*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[l>>3]=m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[l>>3]=m*m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=m*k*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[l>>3]=o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[l>>3]=o*o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;o=k*(k*(k*(+h[l>>3]*-.05032527872793+-.057581259083432)+-.045996013696365)+-.017834862292358);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;p=k*(k*(m*(n*(+h[l>>3]*-53349095828174.0e-18+-.087594591301146)+-.007878555448671)+-.0003789797503263)+-66065283340406.0e-18);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;q=k*(n*(m*(+h[l>>3]*-.122004760687947+-.0045101773626444)+-9683303171571.0e-17)+131612001853305.0e-20);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=m*k*+h[l>>3]*114610381688305.0e-19;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;s=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=m*(r*(s*k*+h[l>>3]*-143.374451604624+-.012702883392813)+-1.00288598706366e-10);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;s=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;m=s*r*k*(+h[l>>3]*-.272627897050173+-88352662293707.0e-19);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;s=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;u=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;v=r*(s*u*+h[l>>3]*-65.8490727183984+9.0049690883672e-11);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;u=+h[l>>3]*1.78287415218792e-7;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;s=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;w=+h[l>>3]*-1.0018179379511e-8+-1.0234747095929e-12;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;x=s*(r*w*+h[l>>3]+1.0406965210174e-18);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;s=+h[l>>3]*1.71088510070544+-1.29412653835176e-9;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;y=s*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;s=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;z=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;A=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;B=z*A*k*+h[l>>3]*-6.05920510335078;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;A=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;z=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;D=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;E=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;F=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;G=z*C*(D*E*F*k*(+h[l>>3]*-84004935396416.0e-18+6.1258633752464e-12)+1.78371690710842e-23);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;F=+h[l>>3]*-1.24017662339842e-24;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;E=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;D=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=E*D*k*+h[l>>3]*832192847496054.0e-19;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;D=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;E=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;z=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;I=H*+h[l>>3]*-226487297378904.0e-19+1.32995316841867e-15;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;H=D*E*z*j*(+h[l>>3]*I+1.75410265428146e-27);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;I=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;z=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[a>>3]=d/(j*((j*(o+j*(p+j*(q+j*(k*(k*(k*192901490874028.0e-20+5.116287140914e-8)+-3.15389238237468e-9)+j*(n+j*(t+j*(m+j*(v+j*(u+j*(x+w*r*(y+s*(B+A*(G+j*(F+j*(C+j*(H+I*z*k*+h[l>>3]*-2.93678005497663e-14)))))))))+-4.1341695026989e-17))))+6.1445213076927e-8))+-.0017731742473213)+1.0)/j)*e*461.526);i=b;return}function _f(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;b=i;e=d;d=i;i=i+104|0;GT(d,e,104)|0;h[a>>3]=+h[d+32>>3];i=b;return}function $f(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;Kf(e,b,c);_f(a,0,0.0,e|0);i=d;return}function ag(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0;e=i;i=i+16|0;f=e|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0);i=g;j=7.1-d/1653.0e4;if(!(d>611.657)){k=tp(tp(522224,rp(d,0,1,6)|0)|0,526896)|0;l=tp(tp(k,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8800,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=d*d;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=d*d;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;p=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[a>>3]=(j*(j*(j*(j*(j*(d*j*(m*n*j*(o*(p*(j*(j*(j*3.49930466305574e-24+-6.66749357417962e-23)+4.27026404402408e-22)+-9.19148577641497e-22)*+h[l>>3]+-4.18568363667416e-19)+1.86779322717506e-17)+1.46754947271665e-8)+317834967400818.0e-20)+123617764767172.0e-19)+.000125338925082983)+.00143759406818289)+-.00141131225285294)+2.42896927729349)*639675.036;i=e;return}function bg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;e=i;i=i+16|0;f=e|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0);i=g;j=d/1.0e6;if(!(d>611.657)){k=tp(tp(522152,rp(d,0,1,6)|0)|0,526896)|0;l=tp(tp(k,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8848,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}d=+W(j+ -13.91883977887)*31.3220101646784+572.54459862746;m=540.0/d+-.5;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=d*d;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=n*n;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=n*n;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;h[l>>3]=n*n;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;h[l>>3]=m*m;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;h[l>>3]=n*n;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=n*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;h[l>>3]=o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;h[l>>3]=o*o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;h[l>>3]=o*o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;h[l>>3]=o*o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;h[l>>3]=o*o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;h[l>>3]=o*o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;o=m*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;h[l>>3]=o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;o=m*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;h[l>>3]=o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=o*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;h[l>>3]=n;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;o=n*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;h[l>>3]=o;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;n=o*m*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;h[l>>3]=n;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;n=+h[l>>3]*3.74686560065793;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;p=o*+h[l>>3]*357966647812489.0e-20;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;o=+h[l>>3]*2.81881548488163e-13;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;q=d*+h[l>>3]*-.00450789338787835;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;s=r*d*+h[l>>3]*-1.55131504410292e-9;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;r=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;u=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;v=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;x=t*u*v*w*+h[l>>3]*-4781981.98764471;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;v=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;u=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;y=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;z=w*v*u*t*y*+h[l>>3]*49.9651389369988;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;y=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;u=+h[l>>3]*-.00349547959376899;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;v=u+ +h[l>>3]*-2.55074501962569e-7+1.03746636552761e-13;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;u=y*t*+h[l>>3]*v;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;v=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;t=v*+h[l>>3]*-242662.235426958;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=16,g)|0)|0;i=g;v=t+ +h[l>>3]*-3.46022402653609;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;y=v*t*j*+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;v=+h[l>>3]*-2248.08924686956;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;w=+h[l>>3]*-354742.725841972;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;A=t*j*(v+(w+ +h[l>>3]*-24.1331193696374)+.109336249381227);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;v=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;B=w*v*t*j*+h[l>>3]*-3.09081828396912e-19;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;t=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;v=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;C=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;D=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;E=t*v*w*C*D*j*+h[l>>3]*-1.24107527851371e-8;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;D=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;C=D*j*+h[l>>3]*3.99891272904219;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;D=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;v=D*w*j*+h[l>>3]*.0641817365250892;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=14,g)|0)|0;i=g;w=+h[l>>3]*-75253.6156722047;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;D=j*(w+(m*-22926.6247146068+ +h[l>>3]*-43051.9020511789)+ -4444.87643334512);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=15,g)|0)|0;i=g;j=+h[l>>3]*-3927.0508365636;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;t=+h[l>>3]*-239.325789467604;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=8,g)|0)|0;i=g;F=w*(j+(t+(m*-94.4508644545118+ +h[l>>3]*-76407.3727417716))+ -8.23252840892034);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;t=(m+-.0161221195808321)*(m+.0338039844460968)*+h[l>>3]*.360567666582363;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;w=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;G=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;H=w*G*+h[l>>3]*-.000584580992538624;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;G=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;w=j*(H+G*m*+h[l>>3]*1332480.30241755);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;G=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=18,g)|0)|0;i=g;H=+h[l>>3]*-73850273.6990986;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;I=G*(H+j*m*+h[l>>3]*224425477627799.0e-19);l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=4,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;G=+h[l>>3]*-208438767.026518;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;J=+h[l>>3]*-124971648677697.0e-19;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;K=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;L=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;M=j*H*(G+(J+K*L*m*+h[l>>3]*-8442.30378348203));l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=11,g)|0)|0;i=g;L=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=9,g)|0)|0;i=g;K=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;G=J*m*+h[l>>3]*4.73594929247646e-22;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;j=J*H*m*+h[l>>3]*-13.6411358215175;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;H=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;N=K*(G+(j+H*J*m*+h[l>>3]*5.52427169406836e-10));l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=5,g)|0)|0;i=g;J=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=17,g)|0)|0;i=g;H=+h[l>>3]*267174673301715.0e-20;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=12,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;G=j*m*+h[l>>3]*4.44545133805865e-18;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=10,g)|0)|0;i=g;j=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=13,g)|0)|0;i=g;K=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=6,g)|0)|0;i=g;O=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=7,g)|0)|0;i=g;P=n+(p+(o+(d*-76465233.2452145+(q+(s+r*(x+(z+(u+(y+(A+(B+(E+(C+(v+(D+(F+(t+(w+(I+(M+L*(N+J*(H+(G+j*K*O*m*+h[l>>3]*-50.2465185106411)))))))))))))))))+2513837.07870341))))))+4636975733.03507;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[a>>3]=P/+h[l>>3];i=e;return}function cg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0;e=i;i=i+16|0;f=e|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0);i=g;j=7.1-d/1653.0e4;if(!(d>611.657)){k=tp(tp(522080,rp(d,0,1,6)|0)|0,526896)|0;l=tp(tp(k,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8872,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=d*d;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;h[l>>3]=d*d;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;m=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=3,g)|0)|0;i=g;n=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;o=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;p=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[a>>3]=(j*(j*(j*(j*(j*(d*j*(m*n*j*(o*(p*(j*(j*(j*9.64504638626269e-49+-7.06381628462585e-47)+1.73894459122923e-45)+-1.43870236842915e-44)*+h[l>>3]+-8.12140581014818e-38)+5.35429206228374e-35)+8.43755552264362e-14)+1.73545618580828e-11)+-2.41630417490008e-7)+-418695814670391.0e-20)+-.00017146768241932)+-.022914084306349)+.173379420894777)*639675.036;i=e;return}function dg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0.0,g=0,j=0;e=i;f=d/1.0e6;if(!(d>611.657)){g=tp(tp(522008,rp(d,0,1,6)|0)|0,526896)|0;j=tp(tp(g,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8824,j,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}h[a>>3]=(f*(f*(f*3.36540214679088e-7+-203245575263501.0e-19)+-.00979043490246092)+9.01505286876203)*461526.0;i=e;return}function eg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0.0,g=0,j=0;e=i;f=d/1.0e6;if(!(d>611.657)){g=tp(tp(521936,rp(d,0,1,6)|0)|0,526896)|0;j=tp(tp(g,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8752,j,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}h[a>>3]=(f*(f*(f*7.5006972718273e-8+-5.01510211858761e-8)+-.000489898813722568)+15.9838891400332)*461526.0;i=e;return}function fg(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0.0,k=0,l=0,m=0.0;e=i;i=i+16|0;f=e|0;Gp(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0);i=g;j=d/1.0e6;if(!(d>611.657)){k=tp(tp(521864,rp(d,0,1,6)|0)|0,526896)|0;l=tp(tp(k,rp(611.657,0,1,6)|0)|0,526864)|0;ne[c[2162]&63](b,8776,l,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;h[l>>3]=j*j;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[l>>3]=d*d*d;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;d=+h[l>>3];l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=1,g)|0)|0;i=g;m=d*((j*(j*(j*(j*1.88543121025106e-84+-1.76117969553159e-103)+8.06630589170884e-129)+-3.71600586812966e-69)+1.6746290980312e-65)*+h[l>>3]+-8.00969737237617e-134)+-7.5656940729795e-74;l=Ip(f,1,(g=i,i=i+8|0,c[g>>2]=2,g)|0)|0;i=g;h[a>>3]=j*(j*(j*(j*(j*(j*(j*(j*(j*(j*(+h[l>>3]*m+3.37267475986401e-21)+7.16825117265975e-32)+7.56960433802525e-23)+-3.79407294691742e-25)+-1.27295130636232e-10)+4.2261295097284e-15)+-.000172486052272327)+.109090430596056)+ -8.53409968320258)+ -4518.48617188327)+4160663.37647071;i=e;return}function gg(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0,D=0;j=i;i=i+104|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=j+32|0;p=j+40|0;q=j+48|0;r=j+56|0;s=j+64|0;t=j+72|0;u=j+80|0;v=j+88|0;w=j+96|0;do{if((g|0)==0){Sf(k,b,d);x=+h[k>>3];Tf(l,b,d);y=+h[l>>3];if((f|0)==2){z=4;break}cg(m,b,d);A=+h[m>>3];eg(n,b,d);B=+h[n>>3];fg(o,b,d);if(d<611.657|d>1.0e8|A>e){z=-1;break}C=d<1.0e7;if(C&B<e){z=-1;break}if(d>=1.0e7&+h[o>>3]<e){z=-1;break}D=e<2087546.84511715;if(!(d<16529200.0)){if(D){ag(v,b,d);if(+h[v>>3]>e){z=1;break}z=x>e|d>22064.0e3?3:4;break}else{bg(w,b,d);if(+h[w>>3]<e){z=2;break}z=y<e|d>22064.0e3?3:4;break}}if(D){if((f|0)==1){z=1;break}yf(p,b,d);Qf(q,b,d,+h[p>>3]);z=+h[q>>3]>e?1:4;break}dg(r,b,d);if(!(+h[r>>3]<e)){if((f|0)==1){z=2;break}yf(t,b,d);Pf(u,b,d,+h[t>>3]);z=+h[u>>3]<e?2:4;break}eg(s,b,d);if(C){if(+h[s>>3]>e){z=5;break}}z=-2}else{z=g}}while(0);c[a>>2]=z;i=j;return}function hg(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=i;i=i+104|0;e=d|0;Nf(e,b,c);_f(a,0,0.0,e|0);i=d;return}function ig(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0;b=i;f=e;e=i;i=i+120|0;GT(e,f,120)|0;h[a>>3]=+h[e+16>>3];i=b;return}function jg(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0;j=i;i=i+1576|0;k=j|0;l=j+64|0;m=j+128|0;n=j+216|0;o=j+304|0;p=j+392|0;q=j+480|0;r=j+488|0;s=j+496|0;t=j+584|0;u=j+592|0;v=j+680|0;w=j+704|0;x=j+792|0;y=j+800|0;z=j+808|0;A=j+816|0;B=j+824|0;C=j+912|0;D=j+1e3|0;E=j+1064|0;F=j+1128|0;G=j+1136|0;H=j+1144|0;I=j+1152|0;J=j+1240|0;K=j+1328|0;L=j+1392|0;M=j+1456|0;N=j+1464|0;O=j+1472|0;P=j+1488|0;do{if((g|0)==0){if((f|0)==2){Q=+Yb(+d,611.657);R=2;S=Q;T=+Yb(+e,+1.0e3);U=11;break}else{gg(q,b,d,e,f,0);W=c[q>>2]|0;U=5;break}}else{W=g;U=5}}while(0);a:do{if((U|0)==5){if((f|0)==0){X=(W|0)==4?2:1}else{X=f}Q=+Yb(+d,611.657);Y=+Yb(+e,+1.0e3);switch(W|0){case 1:{If(r,b,Q,Y);Z=+h[r>>3];zf(s,b,d,Z);_=+h[s+24>>3];$=+h[s+32>>3];aa=+h[s+48>>3];ba=+h[s+56>>3];ca=+h[s+72>>3];da=+h[s+80>>3];ea=($*+h[s+64>>3]- +h[s+40>>3])*461.526;fa=_*aa;ga=(fa-$*_*da)/d*461.526;ha=Z*_*_*ba*+eq(d,-2)*461.526;_=$*$;ia=aa-$*da;ja=(-0.0-ga)/ha;ka=0.0;la=ha;ma=ga;na=0.0;oa=0.0;pa=ea;qa=d/(Z*fa*461.526);ra=(ca*(-0.0-_)+ia*ia/ba)*461.526;sa=_*ca*-461.526;ta=Y;ua=Z;va=1;wa=X;xa=Q;break a;break};case 2:{Jf(t,0,Q,Y);Z=+h[t>>3];Gf(u,b,d,Z);ca=+h[u+24>>3];_=+h[u+32>>3];ba=+h[u+48>>3];ia=+h[u+56>>3];fa=+h[u+72>>3];ea=+h[u+80>>3];ga=(_*+h[u+64>>3]- +h[u+40>>3])*461.526;ha=ca*ba;da=(ha-_*ca*ea)/d*461.526;$=Z*ca*ca*ia*+eq(d,-2)*461.526;ca=_*_;aa=ba-_*ea;ja=(-0.0-da)/$;ka=1.0;la=$;ma=da;na=0.0;oa=0.0;pa=ga;qa=d/(Z*ha*461.526);ra=(fa*(-0.0-ca)+aa*aa/ia)*461.526;sa=ca*fa*-461.526;ta=Y;ua=Z;va=2;wa=X;xa=Q;break a;break};case 3:{Rf(v,b,Q,Y,1.0e-7,1.0e-6);Z=+h[v>>3];fa=+h[v+8>>3];Df(w,b,Z,fa);ca=+h[w+24>>3];ia=+h[w+32>>3];aa=+h[w+48>>3];ha=ia*+h[w+64>>3];ga=fa*ca*(aa*2.0+ca*+h[w+56>>3])*461.526;da=Z*ca*(aa-ia*+h[w+80>>3])*461.526;$=+V(+(+h[w+72>>3]*(-0.0-ia*ia)*461.526));ia=Z*Z;ja=da;ka=0.0;la=0.0;ma=0.0;na=ga;oa=da;pa=(ha- +h[w+40>>3])*461.526;qa=Z;ra=$;sa=(ia*$*ga+fa*da*da)/(ia*ga);ta=fa*(ca*aa+ha)*461.526;ua=fa;va=3;wa=X;xa=Q;break a;break};case 4:{R=X;S=Q;T=Y;U=11;break a;break};case 5:{Xf(O,b,Q,Y,1.0e-7);fa=+h[O>>3];if((c[O+8>>2]|0)!=0){ne[c[2162]&63](b,8728,521744,(ya=i,i=i+1|0,i=i+7&-8,c[ya>>2]=0,ya)|0);i=ya}Ff(P,b,Q,fa);ha=+h[P+24>>3];aa=+h[P+32>>3];ca=+h[P+48>>3];ga=+h[P+56>>3];ia=+h[P+72>>3];da=+h[P+80>>3];$=(aa*+h[P+64>>3]- +h[P+40>>3])*461.526;Z=ha*ca;ea=(Z-aa*ha*da)/d*461.526;_=fa*ha*ha*ga*+eq(d,-2)*461.526;ha=aa*aa;ba=ca-aa*da;ja=(-0.0-ea)/_;ka=0.0;la=_;ma=ea;na=0.0;oa=0.0;pa=$;qa=d/(fa*Z*461.526);ra=(ia*(-0.0-ha)+ba*ba/ga)*461.526;sa=ha*ia*-461.526;ta=Y;ua=fa;va=5;wa=X;xa=Q;break a;break};default:{g=tp(tp(tp(tp(521808,rp(d,0,1,6)|0)|0,521800)|0,rp(e,0,1,6)|0)|0,521792)|0;ne[c[2162]&63](b,8704,g,(ya=i,i=i+1|0,i=i+7&-8,c[ya>>2]=0,ya)|0);i=ya;ja=0.0;ka=0.0;la=0.0;ma=0.0;na=0.0;oa=0.0;pa=0.0;qa=0.0;ra=0.0;sa=0.0;ta=Y;ua=0.0;va=W;wa=X;xa=Q;break a}}}}while(0);if((U|0)==11){hg(x,b,d);Q=+h[x>>3];$f(y,b,d);Y=+h[y>>3];if(Y!=Q){za=(e-Q)/(Y-Q)}else{za=1.0}if(d<16529200.0){If(z,b,S,Q);Q=+h[z>>3];Jf(A,0,S,Y);Y=+h[A>>3];zf(B,b,S,Q);e=+h[B+8>>3];fa=+h[B+16>>3];ia=+h[B+24>>3];ha=+h[B+32>>3];ga=+h[B+40>>3];ba=+h[B+48>>3];Z=+h[B+56>>3];$=+h[B+64>>3];ea=+h[B+72>>3];_=+h[B+80>>3];h[m>>3]=+h[B>>3];h[m+8>>3]=e;h[m+16>>3]=fa;h[m+24>>3]=ia;h[m+32>>3]=ha;h[m+40>>3]=ga;h[m+48>>3]=ba;h[m+56>>3]=Z;h[m+64>>3]=$;h[m+72>>3]=ea;h[m+80>>3]=_;Gf(C,b,S,Y);_=+h[C+8>>3];ea=+h[C+16>>3];$=+h[C+24>>3];Z=+h[C+32>>3];ba=+h[C+40>>3];ga=+h[C+48>>3];ha=+h[C+56>>3];ia=+h[C+64>>3];fa=+h[C+72>>3];e=+h[C+80>>3];h[n>>3]=+h[C>>3];h[n+8>>3]=_;h[n+16>>3]=ea;h[n+24>>3]=$;h[n+32>>3]=Z;h[n+40>>3]=ba;h[n+48>>3]=ga;h[n+56>>3]=ha;h[n+64>>3]=ia;h[n+72>>3]=fa;h[n+80>>3]=e;vf(D,0,m);e=+h[D+8>>3];fa=+h[D+16>>3];ia=+h[D+24>>3];ha=+h[D+32>>3];ga=+h[D+40>>3];ba=+h[D+48>>3];Z=+h[D+56>>3];h[k>>3]=+h[D>>3];h[k+8>>3]=e;h[k+16>>3]=fa;h[k+24>>3]=ia;h[k+32>>3]=ha;h[k+40>>3]=ga;h[k+48>>3]=ba;h[k+56>>3]=Z;vf(E,0,n);Z=+h[E>>3];ba=+h[E+8>>3];ga=+h[E+16>>3];ha=+h[E+24>>3];ia=+h[E+32>>3];fa=+h[E+40>>3];e=+h[E+48>>3];$=+h[E+56>>3];h[l>>3]=Z;h[l+8>>3]=ba;h[l+16>>3]=ga;h[l+24>>3]=ha;h[l+32>>3]=ia;h[l+40>>3]=fa;h[l+48>>3]=e;h[l+56>>3]=$;Aa=Q+za*(Y-Q);Ba=Z;Ca=ha}else{yf(F,b,S);ha=+h[F>>3];kg(G,b,ha);Z=+h[G>>3];lg(H,b,ha);Q=+h[H>>3];Df(I,b,Z,ha);Z=+h[I+8>>3];Y=+h[I+16>>3];$=+h[I+24>>3];e=+h[I+32>>3];fa=+h[I+40>>3];ia=+h[I+48>>3];ga=+h[I+56>>3];ba=+h[I+64>>3];ea=+h[I+72>>3];_=+h[I+80>>3];h[o>>3]=+h[I>>3];h[o+8>>3]=Z;h[o+16>>3]=Y;h[o+24>>3]=$;h[o+32>>3]=e;h[o+40>>3]=fa;h[o+48>>3]=ia;h[o+56>>3]=ga;h[o+64>>3]=ba;h[o+72>>3]=ea;h[o+80>>3]=_;Df(J,b,Q,ha);Q=+h[J+8>>3];_=+h[J+16>>3];ea=+h[J+24>>3];ba=+h[J+32>>3];ga=+h[J+40>>3];ia=+h[J+48>>3];fa=+h[J+56>>3];e=+h[J+64>>3];$=+h[J+72>>3];Y=+h[J+80>>3];h[p>>3]=+h[J>>3];h[p+8>>3]=Q;h[p+16>>3]=_;h[p+24>>3]=ea;h[p+32>>3]=ba;h[p+40>>3]=ga;h[p+48>>3]=ia;h[p+56>>3]=fa;h[p+64>>3]=e;h[p+72>>3]=$;h[p+80>>3]=Y;uf(K,0,o);Y=+h[K+8>>3];$=+h[K+16>>3];e=+h[K+24>>3];fa=+h[K+32>>3];ia=+h[K+40>>3];ga=+h[K+48>>3];ba=+h[K+56>>3];h[k>>3]=+h[K>>3];h[k+8>>3]=Y;h[k+16>>3]=$;h[k+24>>3]=e;h[k+32>>3]=fa;h[k+40>>3]=ia;h[k+48>>3]=ga;h[k+56>>3]=ba;uf(L,0,p);ba=+h[L>>3];ga=+h[L+8>>3];ia=+h[L+16>>3];fa=+h[L+24>>3];e=+h[L+32>>3];$=+h[L+40>>3];Y=+h[L+48>>3];ea=+h[L+56>>3];h[l>>3]=ba;h[l+8>>3]=ga;h[l+16>>3]=ia;h[l+24>>3]=fa;h[l+32>>3]=e;h[l+40>>3]=$;h[l+48>>3]=Y;h[l+56>>3]=ea;Aa=ha;Ba=ba;Ca=fa}L=k|0;fa=+h[L>>3];if(fa!=Ba){ba=+h[k+24>>3];Da=(Ca-ba)*fa*(Ba/(fa-Ba));Ea=ba;Fa=Ca;Ga=fa;Ha=Ba}else{Af(M,b,Aa);Da=+h[M>>3];Ea=+h[k+24>>3];Fa=+h[l+24>>3];Ga=+h[L>>3];Ha=+h[l>>3]}wf(N,0,k,l,za,Aa,d);d=+h[k+32>>3];Ba=+h[k+48>>3];fa=+h[k+56>>3];ja=Da;ka=za;la=0.0;ma=0.0;na=fa+za*(+h[l+56>>3]-fa);oa=Ba+za*(+h[l+48>>3]-Ba);pa=Ea+za*(Fa-Ea);qa=Ga*(Ha/(Ha+za*(Ga-Ha)));ra=+h[N>>3];sa=d+za*(+h[l+32>>3]-d);ta=T;ua=Aa;va=4;wa=R;xa=S}c[a>>2]=wa;c[a+4>>2]=va;h[a+8>>3]=xa;h[a+16>>3]=ua;h[a+24>>3]=ta;h[a+32>>3]=461.526;h[a+40>>3]=sa;h[a+48>>3]=ra;h[a+56>>3]=qa;h[a+64>>3]=pa;h[a+72>>3]=oa;h[a+80>>3]=na;h[a+88>>3]=ma;h[a+96>>3]=la;h[a+104>>3]=ka;h[a+112>>3]=ja;i=j;return}function kg(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,j=0.0,k=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;Ef(e,b,c);j=+h[e>>3];do{if(c<623.15){Yf(f,0,j,c);k=+h[f>>3]}else{if(!(c<647.096)){k=322.0;break}Of(g,0,j);k=+h[g>>3]}}while(0);h[a>>3]=k;i=d;return}function lg(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0,g=0,j=0.0,k=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;Ef(e,b,c);j=+h[e>>3];do{if(c<623.15){Zf(f,0,j,c);k=+h[f>>3]}else{if(!(c<647.096)){k=322.0;break}Lf(g,0,j);k=+h[g>>3]}}while(0);h[a>>3]=k;i=d;return}function mg(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var f=0;b=i;f=e;e=i;i=i+120|0;GT(e,f,120)|0;h[a>>3]=+h[e+56>>3];i=b;return}function ng(a,b,d,e,f,g,j){a=a|0;b=b|0;d=+d;e=+e;f=f|0;g=+g;j=+j;var k=0,l=0.0,m=0.0,n=0,o=0.0,p=0.0;b=i;k=f;f=i;i=i+120|0;GT(f,k,120)|0;k=c[f+4>>2]|0;if((k|0)==4){e=+h[f+56>>3];d=+h[f+112>>3];l=d*+h[f+16>>3];m=e*(e*(+h[f+48>>3]/d)+1.0)*(g/l)+e*e/l*(-0.0-j);n=a|0;h[n>>3]=m;i=b;return}l=+h[f+56>>3];if((k|0)==3){e=+h[f+72>>3];d=+h[f+48>>3];o=l*l;p=o*d*+h[f+80>>3]+e*e*+h[f+16>>3];m=l*(e+l*d)*(g/p)+e*(j/p)*(-0.0-o);n=a|0;h[n>>3]=m;i=b;return}else{o=+h[f+88>>3];p=+h[f+40>>3];m=((+h[f+96>>3]+(o*o*+h[f+16>>3]-o/l)/p)*g+o*(j/p))*(-0.0-l*l);n=a|0;h[n>>3]=m;i=b;return}}function og(a){a=a|0;var b=0;a=i;Qo(4,0,507504,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;Qo(4,0,509224,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function pg(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}dT(a);c[b>>2]=0;return}function qg(a,b){a=a|0;b=b|0;var d=0;d=c[a+8>>2]|0;h[c[b+16>>2]>>3]=+h[d+80>>3];h[c[b+8>>2]>>3]=+h[d+56>>3];h[c[b+12>>2]>>3]=+h[d+64>>3];return}function rg(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0,m=0;e=i;i=i+128|0;f=e|0;g=e+120|0;j=+h[b>>3];b=a+4|0;k=c[c[b>>2]>>2]|0;l=c[k+8>>2]|0;h[l>>3]=j;m=a+536|0;jg(f,c[m>>2]|0,+h[l+8>>3],j,c[(c[k+12>>2]|0)+4>>2]|0,0);k=c[(c[c[b>>2]>>2]|0)+8>>2]|0;ig(g,c[m>>2]|0,+h[k+8>>3],+h[k>>3],f|0);h[d>>3]=+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+192>>3]- +h[g>>3];i=e;return}function sg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+416>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+392>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+400>>3];h[a+8>>3]=+h[d+304>>3];h[e+8>>3]=+h[d+280>>3];h[f+8>>3]=+h[d+288>>3];return}function tg(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0;e=i;i=i+128|0;f=e|0;g=e+120|0;j=+h[b>>3];k=a+4|0;l=c[c[k>>2]>>2]|0;m=c[l+8>>2]|0;h[m+24>>3]=j;n=+h[b+8>>3];h[m+16>>3]=n;o=+h[m+200>>3];p=o*o;b=m+8|0;h[d>>3]=+h[m+224>>3]*p+(o*j+(p*(-0.0-n)- +h[b>>3]*+h[m+232>>3]));q=a+536|0;jg(f,c[q>>2]|0,+h[b>>3],+h[m>>3],c[(c[l+12>>2]|0)+4>>2]|0,0);l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;ng(g,c[q>>2]|0,+h[l+8>>3],+h[l>>3],f|0,+h[l+24>>3],+h[l+16>>3]);h[d+8>>3]=+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+232>>3]- +h[g>>3];i=e;return}function ug(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+416>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+392>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+400>>3];h[a+8>>3]=+h[d+304>>3];h[e+8>>3]=+h[d+280>>3];h[f+8>>3]=+h[d+288>>3];return}function vg(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0,q=0;e=i;i=i+128|0;f=e|0;g=e+120|0;j=+h[b>>3];k=a+4|0;l=c[c[k>>2]>>2]|0;m=c[l+8>>2]|0;h[m+24>>3]=j;n=+h[b+8>>3];h[m+16>>3]=n;o=+h[m+200>>3];p=o*o;b=m+8|0;h[d>>3]=+h[m+224>>3]*p+(o*j+(p*(-0.0-n)- +h[b>>3]*+h[m+232>>3]));q=a+536|0;jg(f,c[q>>2]|0,+h[b>>3],+h[m>>3],c[(c[l+12>>2]|0)+4>>2]|0,0);l=c[(c[c[k>>2]>>2]|0)+8>>2]|0;ng(g,c[q>>2]|0,+h[l+8>>3],+h[l>>3],f|0,+h[l+24>>3],+h[l+16>>3]);h[d+8>>3]=+h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+232>>3]- +h[g>>3];i=e;return}function wg(a){a=a|0;c[a+4>>2]=24;c[a>>2]=1;c[a+56>>2]=0;c[a+32>>2]=24;c[a+20>>2]=0;c[a+24>>2]=0;c[a+28>>2]=-1;c[a+36>>2]=94;c[a+84>>2]=41;c[a+80>>2]=2;c[a+136>>2]=0;c[a+112>>2]=38;c[a+100>>2]=0;c[a+104>>2]=0;c[a+108>>2]=-1;c[a+116>>2]=28;c[a+164>>2]=85;c[a+160>>2]=2;c[a+216>>2]=0;c[a+192>>2]=18;c[a+180>>2]=0;c[a+184>>2]=0;c[a+188>>2]=-1;c[a+196>>2]=50;return}function xg(a){a=a|0;return}function yg(a,b){a=a|0;b=b|0;return}function zg(a){a=a|0;return}function Ag(a,b){a=a|0;b=b|0;c[b>>2]=c[527496+(a<<2)>>2];return c[527472+(a<<2)>>2]|0}function Bg(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0;e=i;i=i+448|0;f=e|0;g=e+104|0;j=e+208|0;k=e+312|0;l=e+416|0;m=e+424|0;n=e+432|0;o=e+440|0;p=b+536|0;q=b+4|0;Nf(f,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(l,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3],f|0);f=b+360|0;r=Rr(+h[c[(c[c[q>>2]>>2]|0)+8>>2]>>3],+h[l>>3],a[c[f>>2]|0]|0)|0;Kf(g,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(m,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3],g|0);g=Sr(+h[c[(c[c[q>>2]>>2]|0)+8>>2]>>3],+h[m>>3],a[(c[f>>2]|0)+1|0]|0)|0;m=Sr(+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[f>>2]|0)+2|0]|0)|0;if((g|r)<<24>>24==0){s=m<<24>>24!=0?1.0:-1.0}else{s=1.0}h[d>>3]=s;Nf(j,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(n,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3],j|0);j=b+416|0;b=Rr(+h[(c[j>>2]|0)+112>>3],+h[n>>3],a[(c[f>>2]|0)+3|0]|0)|0;Kf(k,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(o,c[p>>2]|0,+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3],k|0);k=Sr(+h[(c[j>>2]|0)+112>>3],+h[o>>3],a[(c[f>>2]|0)+4|0]|0)|0;o=Sr(+h[(c[(c[c[q>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[f>>2]|0)+2|0]|0)|0;if(!((k|b)<<24>>24==0)){t=1.0;u=d+8|0;h[u>>3]=t;i=e;return 0}t=o<<24>>24!=0?1.0:-1.0;u=d+8|0;h[u>>3]=t;i=e;return 0}function Cg(a){a=a|0;return c[527504+(a<<2)>>2]|0}function Dg(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;e=i;i=i+896|0;f=e|0;g=e+104|0;j=e+208|0;k=e+312|0;l=e+416|0;m=e+520|0;n=e+624|0;o=e+728|0;p=e+832|0;q=e+840|0;r=e+848|0;s=e+856|0;t=e+864|0;u=e+872|0;v=e+880|0;w=e+888|0;x=b+536|0;y=c[x>>2]|0;z=b+4|0;A=+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3];if((d|0)==0){Nf(l,y,A);_f(t,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],l|0);l=b+352|0;a[c[l>>2]|0]=+h[c[(c[c[z>>2]>>2]|0)+8>>2]>>3]<+h[t>>3]|0;Kf(m,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(u,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],m|0);a[(c[l>>2]|0)+1|0]=+h[c[(c[c[z>>2]>>2]|0)+8>>2]>>3]>+h[u>>3]|0;a[(c[l>>2]|0)+2|0]=+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3]>22064.0e3|0;Nf(n,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(v,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],n|0);n=b+416|0;a[(c[l>>2]|0)+3|0]=+h[(c[n>>2]|0)+112>>3]<+h[v>>3]|0;Kf(o,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(w,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],o|0);a[(c[l>>2]|0)+4|0]=+h[(c[n>>2]|0)+112>>3]>+h[w>>3]|0;i=e;return 0}else{Nf(f,y,A);_f(p,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],f|0);f=b+360|0;y=Rr(+h[c[(c[c[z>>2]>>2]|0)+8>>2]>>3],+h[p>>3],a[c[f>>2]|0]|0)|0;p=b+352|0;a[c[p>>2]|0]=y;Kf(g,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(q,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],g|0);g=Sr(+h[c[(c[c[z>>2]>>2]|0)+8>>2]>>3],+h[q>>3],a[(c[f>>2]|0)+1|0]|0)|0;a[(c[p>>2]|0)+1|0]=g;g=Sr(+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[f>>2]|0)+2|0]|0)|0;a[(c[p>>2]|0)+2|0]=g;Nf(j,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(r,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],j|0);j=b+416|0;b=Rr(+h[(c[j>>2]|0)+112>>3],+h[r>>3],a[(c[f>>2]|0)+3|0]|0)|0;a[(c[p>>2]|0)+3|0]=b;Kf(k,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(s,c[x>>2]|0,+h[(c[(c[c[z>>2]>>2]|0)+8>>2]|0)+8>>3],k|0);k=Sr(+h[(c[j>>2]|0)+112>>3],+h[s>>3],a[(c[f>>2]|0)+4|0]|0)|0;a[(c[p>>2]|0)+4|0]=k;i=e;return 0}return 0}function Eg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;Qo(8,1,29432,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a+4|0;f=c[(c[c[e>>2]>>2]|0)+12>>2]|0;g=c[f+4>>2]|0;h=a+404|0;a=c[h>>2]|0;j=c[a+4>>2]|0;if((g|0)==(j|0)){k=0;l=f;m=a}else{Qo(8,0,26384,(d=i,i=i+16|0,c[d>>2]=j,c[d+8>>2]=g,d)|0);i=d;k=1;l=c[(c[c[e>>2]>>2]|0)+12>>2]|0;m=c[h>>2]|0}h=c[l>>2]|0;l=c[m>>2]|0;if((h|0)==(l|0)){n=k}else{Qo(8,0,24144,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=h,d)|0);i=d;n=1}if((c[132646]|0)==0){i=b;return n|0}Ud[c[3702]&511](8);i=b;return n|0}function Fg(a){a=a|0;return c[527528+(a<<2)>>2]|0}function Gg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0.0;d=i;Qo(21,1,494672,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=a+4|0;g=a+416|0;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+8>>3]- +h[(c[g>>2]|0)+64>>3];h[b>>3]=j;a=Fg(0)|0;Qo(21,0,485824,(e=i,i=i+24|0,c[e>>2]=1,c[e+8>>2]=a,h[e+16>>3]=j,e)|0);i=e;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+192>>3]- +h[(c[g>>2]|0)+80>>3];h[b+8>>3]=j;b=Fg(1)|0;Qo(21,0,485824,(e=i,i=i+24|0,c[e>>2]=2,c[e+8>>2]=b,h[e+16>>3]=j,e)|0);i=e;if((c[132659]|0)==0){i=d;return 0}Ud[c[3702]&511](21);i=d;return 0}function Hg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b>>3];return}function Ig(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+136>>3]=+h[b+40>>3];return}function Jg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+32>>3];return}function Kg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+40>>3];return}function Lg(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+32>>3];return}function Mg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+328>>3]=+h[(c[a+416>>2]|0)+120>>3]*1.0e-5;return}function Ng(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;k=a+416|0;Nf(d,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3]);_f(f,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3],d|0);d=Tr(+h[(c[k>>2]|0)+144>>3],+h[f>>3])|0;Kf(e,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3]);_f(g,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3],e|0);e=Vr(+h[(c[k>>2]|0)+144>>3],+h[g>>3])|0;g=Vr(+h[(c[k>>2]|0)+120>>3],22064.0e3)|0;if(!((e|d)<<24>>24==0)){l=1;m=a+4|0;n=c[m>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+8|0;c[r>>2]=l;i=b;return}l=g<<24>>24!=0?1:2;m=a+4|0;n=c[m>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+8|0;c[r>>2]=l;i=b;return}function Og(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;yf(d,c[a+536>>2]|0,+h[(c[a+416>>2]|0)+120>>3]);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+320>>3]=+h[d>>3];i=b;return}function Pg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+416|0;j=c[g>>2]|0;k=a+4|0;jg(d,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],c[(c[(c[c[k>>2]>>2]|0)+12>>2]|0)+8>>2]|0,0);j=c[g>>2]|0;mg(e,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],d|0);h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[e>>3];i=b;return}function Qg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+416|0;j=c[g>>2]|0;k=a+4|0;jg(d,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],c[(c[(c[c[k>>2]>>2]|0)+12>>2]|0)+8>>2]|0,0);j=c[g>>2]|0;ig(e,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],d|0);h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[e>>3];i=b;return}function Rg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+248>>3]=+h[b+256>>3]+ -273.15;return}function Sg(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0,p=0.0;d=c[b+416>>2]|0;e=+h[d+144>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+264>>3];k=+h[d+120>>3];if(j!=0.0){l=k/j;m=i;n=e-l;o=m+240|0;h[o>>3]=n;return}if(k==0.0){l=k;m=i;n=e-l;o=m+240|0;h[o>>3]=n;return}p=k/+Wo(c[b+536>>2]|0,j,41136,528512,+h[g>>3],(a[b+319|0]|0)!=0|0);l=p;m=c[(c[c[f>>2]>>2]|0)+8>>2]|0;n=e-l;o=m+240|0;h[o>>3]=n;return}function Tg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+192>>3]=+h[(c[a+416>>2]|0)+80>>3];return}function Ug(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+160>>3]=+h[b+192>>3]+ -273.15;return}function Vg(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=+h[(c[a+416>>2]|0)+64>>3];return}function Wg(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;yf(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3]=+h[d>>3];i=b;return}function Xg(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=i;i=i+224|0;e=d|0;f=d+104|0;g=d+208|0;j=d+216|0;k=b+536|0;l=b+4|0;Nf(e,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(g,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],e|0);m=+h[g>>3];g=b+314|0;do{if((a[g]|0)==0){n=a[(c[b+356>>2]|0)+3|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){o=a[(c[b+356>>2]|0)+3|0]|0;p=Rr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=p;n=o;break}else{o=Rr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=o;n=o;break}}else{if(e){e=a[(c[b+356>>2]|0)+3|0]|0;o=Tr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=o;n=e;break}else{e=Tr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+3|0]=e;n=e;break}}}}while(0);Kf(f,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(j,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],f|0);m=+h[j>>3];do{if((a[g]|0)==0){q=a[(c[b+356>>2]|0)+4|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+4|0]|0;k=Sr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=k;q=f;break}else{f=Sr(+h[(c[b+416>>2]|0)+112>>3],m,a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=f;q=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+4|0]|0;f=Vr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+4|0]=f;q=j;break}else{j=Vr(+h[(c[b+416>>2]|0)+112>>3],m)|0;a[(c[b+352>>2]|0)+4|0]=j;q=j;break}}}}while(0);do{if((a[g]|0)==0){r=a[(c[b+356>>2]|0)+2|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+2|0]|0;k=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;r=f;break}else{f=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=f;r=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+2|0]|0;f=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=f;r=j;break}else{j=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=j;r=j;break}}}}while(0);if(!((q|n)<<24>>24==0)){s=1;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;c[w>>2]=s;i=d;return}s=r<<24>>24!=0?1:2;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;c[w>>2]=s;i=d;return}function Yg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;j=c[c[g>>2]>>2]|0;k=a+416|0;jg(d,c[f>>2]|0,+h[(c[j+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],c[c[j+12>>2]>>2]|0,0);ig(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+128>>3]=+h[e>>3];i=b;return}function Zg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+96>>3]=+h[b+128>>3]+ -273.15;return}function _g(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;j=c[c[g>>2]>>2]|0;k=a+416|0;jg(d,c[f>>2]|0,+h[(c[j+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],c[c[j+12>>2]>>2]|0,0);mg(e,c[f>>2]|0,+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+8>>3],+h[(c[k>>2]|0)+112>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+136>>3]=+h[e>>3];i=b;return}function $g(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=+h[(c[b+416>>2]|0)+112>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+136>>3];j=+h[g+8>>3];if(i!=0.0){k=j/i;l=g;m=d-k;n=l+120|0;h[n>>3]=m;return}if(j==0.0){k=j;l=g;m=d-k;n=l+120|0;h[n>>3]=m;return}o=j/+Wo(c[b+536>>2]|0,i,36320,527632,+h[f>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=d-k;n=l+120|0;h[n>>3]=m;return}function ah(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;yf(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3]=+h[d>>3];i=b;return}function bh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+44>>2]>>3]=+h[c[(c[d>>2]|0)+8>>2]>>3];g=c[(c[d+4>>2]|0)+8>>2]|0;h[c[f+48>>2]>>3]=+h[g>>3];i=+ts(a,+h[g>>3],+h[c[(c[d+8>>2]|0)+8>>2]>>3]);h[c[(c[e>>2]|0)+52>>2]>>3]=i;rs(a,0)|0;h[c[(c[c[b>>2]>>2]|0)+8>>2]>>3]=+h[c[(c[e>>2]|0)+44>>2]>>3];return}function ch(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0;b=c[a+416>>2]|0;d=+h[b+96>>3];if(d<0.0){e=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;f=e;g=e}else{f=b+112|0;g=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0}h[g+88>>3]=-0.0-d*+h[f>>3];return}function dh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+4|0;a=c[c[g>>2]>>2]|0;j=c[a+8>>2]|0;jg(d,c[f>>2]|0,+h[j+8>>3],+h[j>>3],c[(c[a+12>>2]|0)+4>>2]|0,0);a=c[(c[c[g>>2]>>2]|0)+8>>2]|0;mg(e,c[f>>2]|0,+h[a+8>>3],+h[a>>3],d|0);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+200>>3]=+h[e>>3];i=b;return}function eh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+144>>3]=+h[(c[a+416>>2]|0)+56>>3]*+h[b+200>>3];return}function fh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f>>3];i=+h[f+200>>3];j=+h[f+8>>3];if(i!=0.0){k=j/i;l=f;m=g-k;n=l+184|0;h[n>>3]=m;return}if(j==0.0){k=j;l=f;m=g-k;n=l+184|0;h[n>>3]=m;return}o=j/+Wo(c[b+536>>2]|0,i,32560,527624,+h[e>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=g-k;n=l+184|0;h[n>>3]=m;return}function gh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+152>>3]=+h[b+144>>3]*+h[b+184>>3];return}function hh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+56>>3]=+h[b+8>>3]- +h[(c[a+416>>2]|0)+120>>3];return}function ih(b){b=b|0;var d=0,e=0.0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0.0;d=c[b+416>>2]|0;e=+h[d+160>>3];f=+h[d+152>>3];d=b+4|0;g=c[c[d>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+56>>3];if(f!=0.0){k=j/f;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}if(j==0.0){k=j;l=i;m=e*k;n=l+64|0;h[n>>3]=m;return}o=j/+Wo(c[b+536>>2]|0,f,29224,527616,+h[g>>3],(a[b+319|0]|0)!=0|0);k=o;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=e*k;n=l+64|0;h[n>>3]=m;return}function jh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+216>>3]=+h[(c[a+416>>2]|0)+96>>3]- +h[b+64>>3];return}function kh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+56>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+216>>3];if(d!=0.0){j=i/d;k=g;l=k+232|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+232|0;h[l>>3]=j;return}m=i/+Wo(c[b+536>>2]|0,d,26248,527608,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+232|0;h[l>>3]=j;return}function lh(a){a=a|0;var b=0,d=0.0,e=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+64>>3];if(d<0.0){e=(c[a+416>>2]|0)+144|0}else{e=b}h[b+72>>3]=-0.0-d*+h[e>>3];return}function mh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+208>>3]=+h[b+72>>3]- +h[b+88>>3];return}function nh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+144>>3];i=+h[f+208>>3]- +h[f+216>>3]*+h[f+184>>3];if(g!=0.0){j=i/g;k=f;l=k+224|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+224|0;h[l>>3]=j;return}m=i/+Wo(c[b+536>>2]|0,g,23992,527600,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+224|0;h[l>>3]=j;return}function oh(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+124>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+24>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+24|0;h[c[f+128>>2]>>3]=+h[g>>3];i=+ts(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+24>>3]);d=c[e>>2]|0;h[c[d+132>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+124>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+16>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+16|0;h[(c[d+128>>2]|0)+8>>3]=+h[f>>3];i=+ts(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+16>>3]);h[(c[(c[e>>2]|0)+132>>2]|0)+8>>3]=i;rs(a,1)|0;a=c[(c[e>>2]|0)+124>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+24>>3]=+h[a>>3];h[e+16>>3]=+h[a+8>>3];return}function ph(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0;b=a+4|0;if((Wr(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+64>>3],0.0)|0)<<24>>24==0){d=(c[a+416>>2]|0)+144|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;f=+h[d>>3];g=e+80|0;h[g>>3]=f;return}else{a=c[(c[c[b>>2]>>2]|0)+8>>2]|0;d=a;e=a;f=+h[d>>3];g=e+80|0;h[g>>3]=f;return}}function qh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+104>>3]=+h[b+8>>3]*1.0e-5;return}function rh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+8>>3]*1.0e-5;return}function sh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b>>3]*.5;return}function th(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+40>>3]*1.2;return}function uh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b>>3];return}function vh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+48>>3];return}function wh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=1.0;return}function xh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=461.5236365065454;return}function yh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+304>>3]=.018015268;return}function zh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=1.0;return}function Ah(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+296>>3]=461.5236365065454;return}function Bh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+288>>3]=.018015268;return}function Ch(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=1.0;return}function Dh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+280>>3]=461.5236365065454;return}function Eh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+272>>3]=.018015268;return}function Fh(b){b=b|0;var d=0,e=0;d=b+314|0;a[d]=1;Hg(b);Ig(b);Jg(b);Kg(b);Lg(b);Mg(b);Ng(b);Og(b);Pg(b);Qg(b);Rg(b);Sg(b);Tg(b);Ug(b);Vg(b);Wg(b);Xg(b);Yg(b);Zg(b);_g(b);$g(b);ah(b);e=b+484|0;c[c[(c[e>>2]|0)+20>>2]>>2]=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+4;c[c[(c[e>>2]|0)+24>>2]>>2]=(c[b+404>>2]|0)+4;Zr(b,0)|0;ch(b);dh(b);eh(b);fh(b);gh(b);hh(b);ih(b);jh(b);kh(b);lh(b);mh(b);nh(b);oh(b);ph(b);qh(b);rh(b);sh(b);th(b);uh(b);vh(b);wh(b);xh(b);yh(b);zh(b);Ah(b);Bh(b);Ch(b);Dh(b);Eh(b);a[d]=0;return 0}function Gh(a){a=a|0;c[a+4>>2]=26;c[a>>2]=1;c[a+12>>2]=296;c[a+16>>2]=88;return}function Hh(a){a=a|0;return 0}function Ih(a){a=a|0;var b=0;a=i;Qo(9,1,499336,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[132647]|0)!=0){Ud[c[3702]&511](9)}Qo(9,1,507280,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[132647]|0)!=0){Ud[c[3702]&511](9)}Qo(9,1,494568,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[132647]|0)!=0){Ud[c[3702]&511](9)}Qo(9,1,485632,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;if((c[132647]|0)==0){i=a;return 0}Ud[c[3702]&511](9);i=a;return 0}function Jh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+272>>3]=.018015268;return}function Kh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+280>>3]=461.5236365065454;return}function Lh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=1.0;return}function Mh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+288>>3]=.018015268;return}function Nh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+296>>3]=461.5236365065454;return}function Oh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=1.0;return}function Ph(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+304>>3]=.018015268;return}function Qh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+312>>3]=461.5236365065454;return}function Rh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=1.0;return}function Sh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+32>>3];return}function Th(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+40>>3];return}function Uh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+48>>3];return}function Vh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b>>3];return}function Wh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+40>>3]*1.2;return}function Xh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b>>3]*.5;return}function Yh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+32>>3];return}function Zh(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+328>>3]=+h[(c[a+416>>2]|0)+120>>3]*1.0e-5;return}function _h(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=i;i=i+224|0;d=b|0;e=b+104|0;f=b+208|0;g=b+216|0;j=a+536|0;k=a+416|0;Nf(d,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3]);_f(f,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3],d|0);d=Tr(+h[(c[k>>2]|0)+144>>3],+h[f>>3])|0;Kf(e,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3]);_f(g,c[j>>2]|0,+h[(c[k>>2]|0)+120>>3],e|0);e=Vr(+h[(c[k>>2]|0)+144>>3],+h[g>>3])|0;g=Vr(+h[(c[k>>2]|0)+120>>3],22064.0e3)|0;if(!((e|d)<<24>>24==0)){l=1;m=a+4|0;n=c[m>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+8|0;c[r>>2]=l;i=b;return}l=g<<24>>24!=0?1:2;m=a+4|0;n=c[m>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+8|0;c[r>>2]=l;i=b;return}function $h(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;d=b|0;yf(d,c[a+536>>2]|0,+h[(c[a+416>>2]|0)+120>>3]);h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+320>>3]=+h[d>>3];i=b;return}function ai(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+416|0;j=c[g>>2]|0;k=a+4|0;jg(d,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],c[(c[(c[c[k>>2]>>2]|0)+12>>2]|0)+8>>2]|0,0);j=c[g>>2]|0;mg(e,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],d|0);h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+264>>3]=+h[e>>3];i=b;return}function bi(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0;b=i;i=i+128|0;d=b|0;e=b+120|0;f=a+536|0;g=a+416|0;j=c[g>>2]|0;k=a+4|0;jg(d,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],c[(c[(c[c[k>>2]>>2]|0)+12>>2]|0)+8>>2]|0,0);j=c[g>>2]|0;ig(e,c[f>>2]|0,+h[j+120>>3],+h[j+144>>3],d|0);h[(c[(c[c[k>>2]>>2]|0)+8>>2]|0)+256>>3]=+h[e>>3];i=b;return}function ci(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+248>>3]=+h[b+256>>3]+ -273.15;return}function di(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0,p=0.0;d=c[b+416>>2]|0;e=+h[d+144>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+264>>3];k=+h[d+120>>3];if(j!=0.0){l=k/j;m=i;n=e-l;o=m+240|0;h[o>>3]=n;return}if(k==0.0){l=k;m=i;n=e-l;o=m+240|0;h[o>>3]=n;return}p=k/+Wo(c[b+536>>2]|0,j,40936,528968,+h[g>>3],(a[b+319|0]|0)!=0|0);l=p;m=c[(c[c[f>>2]>>2]|0)+8>>2]|0;n=e-l;o=m+240|0;h[o>>3]=n;return}function ei(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+136>>3]=+h[b+40>>3];return}function fi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b>>3];return}function gi(b){b=b|0;var d=0,e=0;d=i;if(a[528936]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+160>>3],1.0e-10)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+160>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(32192,op(+h[(c[e>>2]|0)+160>>3],36152)|0)|0;ke[c[2160]&15](528944,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528936]=1;i=d;return}function hi(b){b=b|0;var d=0,e=0;d=i;if(a[528904]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+152>>3],1.0e-10)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+152>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(26064,op(+h[(c[e>>2]|0)+152>>3],36152)|0)|0;ke[c[2160]&15](528912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528904]=1;i=d;return}function ii(b){b=b|0;var d=0,e=0;d=i;if(a[528872]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+24>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+24>>3],1.0)|0)<<24>>24==0)){i=d;return}b=tp(23456,op(+h[(c[e>>2]|0)+24>>3],36152)|0)|0;ke[c[2160]&15](528880,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528872]=1;i=d;return}function ji(b){b=b|0;var d=0,e=0;d=i;if(a[528840]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+144>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+144>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=tp(511736,op(+h[(c[e>>2]|0)+144>>3],36152)|0)|0;ke[c[2160]&15](528848,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528840]=1;i=d;return}function ki(b){b=b|0;var d=0,e=0;d=i;if(a[528808]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+136>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+136>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(508920,op(+h[(c[e>>2]|0)+136>>3],36152)|0)|0;ke[c[2160]&15](528816,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528808]=1;i=d;return}function li(b){b=b|0;var d=0,e=0;d=i;if(a[528776]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+128>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+128>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(506160,op(+h[(c[e>>2]|0)+128>>3],36152)|0)|0;ke[c[2160]&15](528784,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528776]=1;i=d;return}function mi(b){b=b|0;var d=0,e=0;d=i;if(a[528744]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+120>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+120>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(503712,op(+h[(c[e>>2]|0)+120>>3],36152)|0)|0;ke[c[2160]&15](528752,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528744]=1;i=d;return}function ni(b){b=b|0;var d=0,e=0;d=i;if(a[528712]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+16>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+16>>3],1.0)|0)<<24>>24==0)){i=d;return}b=tp(502320,op(+h[(c[e>>2]|0)+16>>3],36152)|0)|0;ke[c[2160]&15](528720,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528712]=1;i=d;return}function oi(b){b=b|0;var d=0,e=0;d=i;if(a[528680]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+112>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+112>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=tp(501144,op(+h[(c[e>>2]|0)+112>>3],36152)|0)|0;ke[c[2160]&15](528688,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528680]=1;i=d;return}function pi(b){b=b|0;var d=0,e=0;d=i;if(a[528648]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+104>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+104>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(499928,op(+h[(c[e>>2]|0)+104>>3],36152)|0)|0;ke[c[2160]&15](528656,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528648]=1;i=d;return}function qi(b){b=b|0;var d=0,e=0;d=i;if(a[528616]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+96>>3],-1.0e5)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+96>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(498888,op(+h[(c[e>>2]|0)+96>>3],36152)|0)|0;ke[c[2160]&15](528624,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528616]=1;i=d;return}function ri(b){b=b|0;var d=0,e=0;d=i;if(a[528584]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+8>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+8>>3],1.0)|0)<<24>>24==0)){i=d;return}b=tp(497984,op(+h[(c[e>>2]|0)+8>>3],36152)|0)|0;ke[c[2160]&15](528592,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528584]=1;i=d;return}function si(b){b=b|0;var d=0,e=0;d=i;if(a[528552]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+88>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+88>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=tp(497216,op(+h[(c[e>>2]|0)+88>>3],36152)|0)|0;ke[c[2160]&15](528560,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528552]=1;i=d;return}function ti(b){b=b|0;var d=0,e=0;d=i;if(a[528520]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+80>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+80>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(496384,op(+h[(c[e>>2]|0)+80>>3],36152)|0)|0;ke[c[2160]&15](528528,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528520]=1;i=d;return}function ui(b){b=b|0;var d=0,e=0;d=i;if(a[528480]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+72>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+72>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(495416,op(+h[(c[e>>2]|0)+72>>3],36152)|0)|0;ke[c[2160]&15](528488,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528480]=1;i=d;return}function vi(b){b=b|0;var d=0,e=0;d=i;if(a[528448]|0){i=d;return}e=b+416|0;b=Wr(+h[(c[e>>2]|0)+64>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[e>>2]|0)+64>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(494008,op(+h[(c[e>>2]|0)+64>>3],36152)|0)|0;ke[c[2160]&15](528456,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528448]=1;i=d;return}function wi(b){b=b|0;var d=0,e=0;d=i;if(a[528416]|0){i=d;return}e=b+416|0;if(!((Wr(+h[(c[e>>2]|0)+40>>3],0.0)|0)<<24>>24==0)){i=d;return}b=tp(493216,op(+h[(c[e>>2]|0)+40>>3],36152)|0)|0;ke[c[2160]&15](528424,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528416]=1;i=d;return}function xi(b){b=b|0;var d=0,e=0;d=i;if(a[528384]|0){i=d;return}e=b+416|0;if(!((Wr(+h[(c[e>>2]|0)+32>>3],0.0)|0)<<24>>24==0)){i=d;return}b=tp(492496,op(+h[(c[e>>2]|0)+32>>3],36152)|0)|0;ke[c[2160]&15](528392,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528384]=1;i=d;return}function yi(b){b=b|0;var d=0,e=0;d=i;if(a[528352]|0){i=d;return}e=b+4|0;b=Wr(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0),0.0)|0;if(!(b<<24>>24==0|(Ur(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=tp(490800,qp(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0,491736)|0)|0;ke[c[2160]&15](528360,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528352]=1;i=d;return}function zi(b){b=b|0;var d=0,e=0;d=i;if(a[528320]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+320>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+320>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(488600,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+320>>3],36152)|0)|0;ke[c[2160]&15](528328,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528320]=1;i=d;return}function Ai(b){b=b|0;var d=0,e=0;d=i;if(a[528312]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],1.0)|0)<<24>>24==0)){i=d;return}b=tp(487880,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+48>>3],36152)|0)|0;ke[c[2160]&15](528248,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528312]=1;i=d;return}function Bi(b){b=b|0;var d=0,e=0;d=i;if(a[528304]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=tp(487160,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+312>>3],36152)|0)|0;ke[c[2160]&15](528216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528304]=1;i=d;return}function Ci(b){b=b|0;var d=0,e=0;d=i;if(a[528296]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],.001)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],.25)|0)<<24>>24==0)){i=d;return}b=tp(486352,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+304>>3],36152)|0)|0;ke[c[2160]&15](528184,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528296]=1;i=d;return}function Di(b){b=b|0;var d=0,e=0;d=i;if(a[528288]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],1.0)|0)<<24>>24==0)){i=d;return}b=tp(484752,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3],36152)|0)|0;ke[c[2160]&15](528248,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528288]=1;i=d;return}function Ei(b){b=b|0;var d=0,e=0;d=i;if(a[528280]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=tp(483776,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+296>>3],36152)|0)|0;ke[c[2160]&15](528216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528280]=1;i=d;return}function Fi(b){b=b|0;var d=0,e=0;d=i;if(a[528272]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3],.001)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3],.25)|0)<<24>>24==0)){i=d;return}b=tp(405752,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+288>>3],36152)|0)|0;ke[c[2160]&15](528184,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528272]=1;i=d;return}function Gi(b){b=b|0;var d=0,e=0;d=i;if(a[528240]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],1.0)|0)<<24>>24==0)){i=d;return}b=tp(45808,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+32>>3],36152)|0)|0;ke[c[2160]&15](528248,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528240]=1;i=d;return}function Hi(b){b=b|0;var d=0,e=0;d=i;if(a[528208]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3],1.0e7)|0)<<24>>24==0)){i=d;return}b=tp(45008,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+280>>3],36152)|0)|0;ke[c[2160]&15](528216,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528208]=1;i=d;return}function Ii(b){b=b|0;var d=0,e=0;d=i;if(a[528176]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+272>>3],.001)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+272>>3],.25)|0)<<24>>24==0)){i=d;return}b=tp(44248,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+272>>3],36152)|0)|0;ke[c[2160]&15](528184,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528176]=1;i=d;return}function Ji(b){b=b|0;var d=0,e=0;d=i;if(a[528144]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+264>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+264>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(43648,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+264>>3],36152)|0)|0;ke[c[2160]&15](528152,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528144]=1;i=d;return}function Ki(b){b=b|0;var d=0,e=0;d=i;if(a[528112]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+256>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+256>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(42984,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+256>>3],36152)|0)|0;ke[c[2160]&15](528120,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528112]=1;i=d;return}function Li(b){b=b|0;var d=0,e=0;d=i;if(a[528080]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+240>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+240>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(42336,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+240>>3],36152)|0)|0;ke[c[2160]&15](528088,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528080]=1;i=d;return}function Mi(a){a=a|0;Jh(a);Kh(a);Lh(a);Mh(a);Nh(a);Oh(a);Ph(a);Qh(a);Rh(a);Sh(a);Th(a);Uh(a);Vh(a);Wh(a);Xh(a);Yh(a);Zh(a);_h(a);$h(a);ai(a);bi(a);ci(a);di(a);ei(a);fi(a);gi(a);hi(a);ii(a);ji(a);ki(a);li(a);mi(a);ni(a);oi(a);pi(a);qi(a);ri(a);si(a);ti(a);ui(a);vi(a);wi(a);xi(a);yi(a);zi(a);Ai(a);Bi(a);Ci(a);Di(a);Ei(a);Fi(a);Gi(a);Hi(a);Ii(a);Ji(a);Ki(a);Li(a);return 0}function Ni(b){b=b|0;a[b+314|0]=0;Oi(b);return 0}function Oi(a){a=a|0;Le(a);Me(a);Ne(a);Oe(a);Pe(a);Qe(a);Re(a);We(a);Xe(a);Ye(a);$e(a);gf(a);hf(a);jf(a);kf(a);lf(a);return}function Pi(b){b=b|0;var d=0,e=0;d=i;if(a[528048]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+216>>3],-1.0e5)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+216>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(506024,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+216>>3],494512)|0)|0;ke[c[2160]&15](528056,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528048]=1;i=d;return}function Qi(b){b=b|0;var d=0,e=0;d=i;if(a[528040]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+208>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+208>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(484608,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+208>>3],494512)|0)|0;ke[c[2160]&15](527680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528040]=1;i=d;return}function Ri(b){b=b|0;var d=0,e=0;d=i;if(a[528008]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(40280,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+8>>3],494512)|0)|0;ke[c[2160]&15](528016,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[528008]=1;i=d;return}function Si(b){b=b|0;var d=0,e=0;d=i;if(a[527976]|0){i=d;return}e=b+4|0;b=Wr(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Ur(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=tp(35680,op(+h[c[(c[c[e>>2]>>2]|0)+8>>2]>>3],494512)|0)|0;ke[c[2160]&15](527984,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527976]=1;i=d;return}function Ti(b){b=b|0;var d=0,e=0;d=i;if(a[527968]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+200>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+200>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(31800,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+200>>3],494512)|0)|0;ke[c[2160]&15](527880,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527968]=1;i=d;return}function Ui(b){b=b|0;var d=0,e=0;d=i;if(a[527960]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+192>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+192>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(28744,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+192>>3],494512)|0)|0;ke[c[2160]&15](527848,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527960]=1;i=d;return}function Vi(b){b=b|0;var d=0,e=0;d=i;if(a[527952]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+184>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+184>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(25776,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+184>>3],494512)|0)|0;ke[c[2160]&15](527816,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527952]=1;i=d;return}function Wi(b){b=b|0;var d=0,e=0;d=i;if(a[527944]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(23040,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+176>>3],494512)|0)|0;ke[c[2160]&15](527784,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527944]=1;i=d;return}function Xi(b){b=b|0;var d=0,e=0;d=i;if(a[527936]|0){i=d;return}e=b+4|0;b=Wr(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0),0.0)|0;if(!(b<<24>>24==0|(Ur(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=tp(508656,qp(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0,511592)|0)|0;ke[c[2160]&15](527752,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527936]=1;i=d;return}function Yi(b){b=b|0;var d=0,e=0;d=i;if(a[527904]|0){i=d;return}e=b+4|0;if(!((Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],0.0)|0)<<24>>24==0)){i=d;return}b=tp(503504,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3],494512)|0)|0;ke[c[2160]&15](527912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527904]=1;i=d;return}function Zi(b){b=b|0;var d=0,e=0;d=i;if(a[527872]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],0.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(502120,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+136>>3],494512)|0)|0;ke[c[2160]&15](527880,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527872]=1;i=d;return}function _i(b){b=b|0;var d=0,e=0;d=i;if(a[527840]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(500952,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+128>>3],494512)|0)|0;ke[c[2160]&15](527848,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527840]=1;i=d;return}function $i(b){b=b|0;var d=0,e=0;d=i;if(a[527808]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(499712,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+120>>3],494512)|0)|0;ke[c[2160]&15](527816,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527808]=1;i=d;return}function aj(b){b=b|0;var d=0,e=0;d=i;if(a[527776]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],1.0)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],1.0e4)|0)<<24>>24==0)){i=d;return}b=tp(498696,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+112>>3],494512)|0)|0;ke[c[2160]&15](527784,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527776]=1;i=d;return}function bj(b){b=b|0;var d=0,e=0;d=i;if(a[527744]|0){i=d;return}e=b+4|0;b=Wr(+(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0),0.0)|0;if(!(b<<24>>24==0|(Ur(+(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=tp(497800,qp(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0,511592)|0)|0;ke[c[2160]&15](527752,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527744]=1;i=d;return}function cj(b){b=b|0;var d=0,e=0;d=i;if(a[527736]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(497032,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+88>>3],494512)|0)|0;ke[c[2160]&15](527680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527736]=1;i=d;return}function dj(b){b=b|0;var d=0,e=0;d=i;if(a[527704]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],-1.0e10)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],1.0e10)|0)<<24>>24==0)){i=d;return}b=tp(496192,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+80>>3],494512)|0)|0;ke[c[2160]&15](527712,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527704]=1;i=d;return}function ej(b){b=b|0;var d=0,e=0;d=i;if(a[527672]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],-1.0e8)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],1.0e8)|0)<<24>>24==0)){i=d;return}b=tp(495224,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+72>>3],494512)|0)|0;ke[c[2160]&15](527680,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527672]=1;i=d;return}function fj(b){b=b|0;var d=0,e=0;d=i;if(a[527640]|0){i=d;return}e=b+4|0;b=Wr(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],-1.0e5)|0;if(!(b<<24>>24==0|(Ur(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],1.0e5)|0)<<24>>24==0)){i=d;return}b=tp(493800,op(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+64>>3],494512)|0)|0;ke[c[2160]&15](527648,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[527640]=1;i=d;return}function gj(a){a=a|0;Pi(a);Qi(a);Ri(a);Si(a);Ti(a);Ui(a);Vi(a);Wi(a);Xi(a);Yi(a);Zi(a);_i(a);$i(a);aj(a);bj(a);cj(a);dj(a);ej(a);fj(a);return 0}function hj(b){b=b|0;bh(b);a[(c[b+484>>2]|0)+8|0]=a[(c[b+468>>2]|0)+72|0]|0;return}function ij(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+224|0;e=d|0;f=d+104|0;g=d+208|0;j=d+216|0;k=b+536|0;l=b+4|0;Nf(e,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(g,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],e|0);m=+h[g>>3];g=b+314|0;do{if((a[g]|0)==0){n=a[c[b+356>>2]|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){o=a[c[b+356>>2]|0]|0;p=Rr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=p;n=o;break}else{o=Rr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=o;n=o;break}}else{if(e){e=a[c[b+356>>2]|0]|0;o=Tr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[c[b+352>>2]|0]=o;n=e;break}else{e=Tr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[c[b+352>>2]|0]=e;n=e;break}}}}while(0);Kf(f,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3]);_f(j,c[k>>2]|0,+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],f|0);m=+h[j>>3];do{if((a[g]|0)==0){q=a[(c[b+356>>2]|0)+1|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+1|0]|0;k=Sr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=k;q=f;break}else{f=Sr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m,a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=f;q=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+1|0]|0;f=Vr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[(c[b+352>>2]|0)+1|0]=f;q=j;break}else{j=Vr(+h[c[(c[c[l>>2]>>2]|0)+8>>2]>>3],m)|0;a[(c[b+352>>2]|0)+1|0]=j;q=j;break}}}}while(0);do{if((a[g]|0)==0){r=a[(c[b+356>>2]|0)+2|0]|0}else{j=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(j){f=a[(c[b+356>>2]|0)+2|0]|0;k=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=k;r=f;break}else{f=Sr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3,a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=f;r=f;break}}else{if(j){j=a[(c[b+356>>2]|0)+2|0]|0;f=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=f;r=j;break}else{j=Vr(+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+8>>3],22064.0e3)|0;a[(c[b+352>>2]|0)+2|0]=j;r=j;break}}}}while(0);if(!((q|n)<<24>>24==0)){s=1;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+4|0;c[x>>2]=s;i=d;return}s=r<<24>>24!=0?1:2;t=c[l>>2]|0;u=c[t>>2]|0;v=u+12|0;w=c[v>>2]|0;x=w+4|0;c[x>>2]=s;i=d;return}function jj(a){a=a|0;return 1}function kj(a){a=a|0;var b=0,d=0;b=a+464|0;a=c[b>>2]|0;c[a+44>>2]=2;c[a+48>>2]=2;c[a+72>>2]=eT(2,8)|0;a=eT(2,8)|0;c[(c[b>>2]|0)+80>>2]=a;a=eT(0,8)|0;c[(c[b>>2]|0)+76>>2]=a;a=cT(8)|0;c[(c[b>>2]|0)+52>>2]=a;a=cT(16)|0;c[(c[b>>2]|0)+56>>2]=a;a=cT(8)|0;c[(c[b>>2]|0)+64>>2]=a;a=c[b>>2]|0;c[a+68>>2]=2;c[a+84>>2]=0;a=c[b>>2]|0;d=c[a+52>>2]|0;c[d>>2]=2;c[d+4>>2]=4;lj(d,c[a+56>>2]|0);a=c[b>>2]|0;mj(c[a+52>>2]|0,c[a+56>>2]|0);a=c[(c[b>>2]|0)+64>>2]|0;c[a+4>>2]=1;c[a>>2]=2;return 0}function lj(a,b){a=a|0;b=b|0;var d=0;d=a+4|0;c[b+((c[d>>2]|0)-2<<2)>>2]=0;c[b+((c[d>>2]|0)-1<<2)>>2]=1;return}function mj(a,b){a=a|0;b=b|0;c[b+((c[a>>2]|0)-2<<2)>>2]=0;c[b+((c[a>>2]|0)-1<<2)>>2]=1;return}function nj(a){a=a|0;return 1}function oj(a){a=a|0;return 1}function pj(a){a=a|0;return 1}function qj(a){a=a|0;return 0}function rj(a){a=a|0;return 0}function sj(a){a=a|0;return 0}function tj(a){a=a|0;return 0}function uj(a){a=a|0;return 0}function vj(a,b){a=a|0;b=b|0;return-1|0}function wj(a,b){a=a|0;b=b|0;return-1|0}function xj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function yj(){return 489288}function zj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}a=c[d>>2]|0;if((a|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}g=+h[b>>3];d=g<0.0;if((a|0)==1){if(d){i=-0.0-g}else{i=g}if((e|0)<2){f=1;return f|0}else{j=1;k=2;l=i}while(1){i=+h[b+(k-1<<3)>>3];m=i<0.0;if(m){n=-0.0-i}else{n=i}o=n<=l;if(o|m^1){p=o?l:i;q=o?j:k}else{p=-0.0-i;q=k}o=k+1|0;if((o|0)>(e|0)){f=q;break}else{j=q;k=o;l=p}}return f|0}if(d){r=-0.0-g}else{r=g}if((e|0)<2){f=1;return f|0}d=1;k=2;q=a+1|0;g=r;while(1){r=+h[b+(q-1<<3)>>3];j=r<0.0;if(j){s=-0.0-r}else{s=r}o=s<=g;if(o|j^1){t=o?g:r;u=o?d:k}else{t=-0.0-r;u=k}o=k+1|0;if((o|0)>(e|0)){f=u;break}else{d=u;k=o;q=a+q|0;g=t}}return f|0}function Aj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)<1){return 0}if((g|0)!=1){e=ga(g,f)|0;if((e|0)>0){i=1}else{return 0}do{j=d+(i-1<<3)|0;h[j>>3]=+h[b>>3]*+h[j>>3];i=i+g|0;}while((i|0)<=(e|0));return 0}e=(f|0)%5|0;do{if((e|0)==0){k=f}else{if((e|0)<1){l=f}else{i=1;do{g=d+(i-1<<3)|0;h[g>>3]=+h[b>>3]*+h[g>>3];i=i+1|0;}while((i|0)<=(e|0));l=c[a>>2]|0}if((l|0)>=5){k=l;break}return 0}}while(0);l=e+1|0;if((l|0)>(k|0)){return 0}else{m=l}do{l=d+(m-1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+2<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+3<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];m=m+5|0;}while((m|0)<=(k|0));return 0}function Bj(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0;g=c[a>>2]|0;if((g|0)<1){return 0}i=c[d>>2]|0;do{if((i|0)==1){j=c[f>>2]|0;if((j|0)!=1){k=1;l=j;break}j=(g|0)%3|0;do{if((j|0)==0){m=g}else{if((j|0)<1){n=g}else{o=1;do{p=o-1|0;q=b+(p<<3)|0;r=+h[q>>3];s=e+(p<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;o=o+1|0;}while((o|0)<=(j|0));n=c[a>>2]|0}if((n|0)>=3){m=n;break}return 0}}while(0);o=j+1|0;if((o|0)>(m|0)){return 0}else{t=o}do{o=t-1|0;s=b+(o<<3)|0;r=+h[s>>3];q=e+(o<<3)|0;h[s>>3]=+h[q>>3];h[q>>3]=r;q=b+(t<<3)|0;r=+h[q>>3];s=e+(t<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;s=t+1|0;q=b+(s<<3)|0;r=+h[q>>3];o=e+(s<<3)|0;h[q>>3]=+h[o>>3];h[o>>3]=r;t=t+3|0;}while((t|0)<=(m|0));return 0}else{if((i|0)<0){u=(ga(1-g|0,i)|0)+1|0}else{u=1}k=u;l=c[f>>2]|0}}while(0);if((l|0)<0){v=1;w=k;x=(ga(1-g|0,l)|0)+1|0}else{v=1;w=k;x=1}while(1){k=b+(w-1<<3)|0;r=+h[k>>3];l=e+(x-1<<3)|0;h[k>>3]=+h[l>>3];h[l>>3]=r;l=v+1|0;if((l|0)>(g|0)){break}else{v=l;w=(c[d>>2]|0)+w|0;x=(c[f>>2]|0)+x|0}}return 0}function Cj(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;m=i;i=i+8|0;n=m|0;o=c[l>>2]|0;l=~o;c[n>>2]=0;p=c[a>>2]|0;do{if((p|0)<0){c[n>>2]=1}else{q=c[b>>2]|0;if((q|0)<0){c[n>>2]=2;break}r=c[f>>2]|0;if((r|0)==0){c[n>>2]=5;break}s=c[j>>2]|0;if((s|0)==0){c[n>>2]=7;break}if((o|0)<(((p|0)>1?p:1)|0)){c[n>>2]=9;break}if((p|0)==0|(q|0)==0){i=m;return 0}if(+h[d>>3]==0.0){i=m;return 0}if((s|0)>0){t=1}else{t=1-(ga(s,q-1|0)|0)|0}if((r|0)==1){if((q|0)<1){i=m;return 0}else{u=1;v=t;w=s}while(1){x=+h[g+(v-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){A=w;break}B=(ga(u,o)|0)+l|0;C=1;do{D=k+(B+C<<3)|0;h[D>>3]=+h[D>>3]+y*+h[e+(C-1<<3)>>3];C=C+1|0;}while((C|0)<=(z|0));A=c[j>>2]|0}else{A=w}}while(0);z=u+1|0;if((z|0)>(q|0)){break}else{u=z;v=A+v|0;w=A}}i=m;return 0}if((r|0)>0){E=1}else{E=1-(ga(p-1|0,r)|0)|0}if((q|0)<1){i=m;return 0}else{F=1;G=t;H=s}while(1){x=+h[g+(G-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){I=H;break}C=(ga(F,o)|0)+l|0;B=1;D=E;while(1){J=k+(C+B<<3)|0;h[J>>3]=+h[J>>3]+y*+h[e+(D-1<<3)>>3];J=B+1|0;if((J|0)>(z|0)){break}else{B=J;D=(c[f>>2]|0)+D|0}}I=c[j>>2]|0}else{I=H}}while(0);D=F+1|0;if((D|0)>(q|0)){break}else{F=D;G=I+G|0;H=I}}i=m;return 0}}while(0);Fc(501120,n|0)|0;i=m;return 0}function Dj(a,b,d,e,f,g,j,k,l,m,n,o,p){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0;q=i;i=i+8|0;r=q|0;s=c[k>>2]|0;t=~s;u=c[m>>2]|0;v=~u;w=c[p>>2]|0;x=~w;y=Nq(a,499600,0,0)|0;z=Nq(b,499600,0,0)|0;A=(y|0)!=0;y=c[(A?d:f)>>2]|0;B=(z|0)!=0;z=c[(B?f:e)>>2]|0;c[r>>2]=0;do{if(A){C=5}else{if((Nq(a,507456,0,0)|0)!=0){C=5;break}if((Nq(a,494632,0,0)|0)!=0){C=5;break}c[r>>2]=1}}while(0);a:do{if((C|0)==5){do{if(!B){if((Nq(b,507456,0,0)|0)!=0){break}if((Nq(b,494632,0,0)|0)!=0){break}c[r>>2]=2;break a}}while(0);a=c[d>>2]|0;if((a|0)<0){c[r>>2]=3;break}D=c[e>>2]|0;if((D|0)<0){c[r>>2]=4;break}E=c[f>>2]|0;if((E|0)<0){c[r>>2]=5;break}if((c[k>>2]|0)<(((y|0)>1?y:1)|0)){c[r>>2]=8;break}if((c[m>>2]|0)<(((z|0)>1?z:1)|0)){c[r>>2]=10;break}if((c[p>>2]|0)<(((a|0)>1?a:1)|0)){c[r>>2]=13;break}if((c[r>>2]|0)!=0){break}if((a|0)==0|(D|0)==0){i=q;return 0}F=+h[g>>3]==0.0;do{if(F|(E|0)==0){if(+h[n>>3]==1.0){i=q;return 0}if(!F){break}G=(D|0)<1;if(+h[n>>3]==0.0){if(G){i=q;return 0}else{H=2;I=0;J=a}while(1){if((J|0)>=1){HT(o+((ga(w,I)|0)<<3)|0,0,J<<3|0)|0}if((H|0)>(D|0)){break}H=H+1|0;I=I+1|0;J=c[d>>2]|0}i=q;return 0}if(G){i=q;return 0}else{K=1;L=a}while(1){if((L|0)>=1){M=(ga(K,w)|0)+x|0;N=1;do{O=o+(M+N<<3)|0;h[O>>3]=+h[n>>3]*+h[O>>3];N=N+1|0;}while((N|0)<=(L|0))}N=K+1|0;if((N|0)>(D|0)){break}K=N;L=c[d>>2]|0}i=q;return 0}}while(0);F=(D|0)<1;if(B){if(!A){if(F){i=q;return 0}else{P=1;Q=a}while(1){if((Q|0)>=1){E=(ga(P,w)|0)+x|0;G=(ga(P,u)|0)+v|0;N=1;do{M=c[f>>2]|0;if((M|0)<1){R=0.0}else{O=(ga(N,s)|0)+t|0;S=1;T=0.0;while(1){U=T+ +h[j+(O+S<<3)>>3]*+h[l+(G+S<<3)>>3];V=S+1|0;if((V|0)>(M|0)){R=U;break}else{S=V;T=U}}}T=+h[n>>3];U=R*+h[g>>3];S=o+(E+N<<3)|0;if(T==0.0){W=U}else{W=U+T*+h[S>>3]}h[S>>3]=W;N=N+1|0;}while((N|0)<=(Q|0))}N=P+1|0;if((N|0)>(D|0)){break}P=N;Q=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{X=1;Y=0}while(1){N=o+((ga(w,Y)|0)<<3)|0;T=+h[n>>3];b:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}HT(N|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}G=(ga(X,w)|0)+x|0;S=1;U=T;while(1){M=o+(G+S<<3)|0;h[M>>3]=U*+h[M>>3];M=S+1|0;if((M|0)>(E|0)){break b}S=M;U=+h[n>>3]}}}while(0);N=c[f>>2]|0;if((N|0)>=1){S=(ga(X,u)|0)+v|0;E=(ga(X,w)|0)+x|0;G=1;do{T=+h[l+(S+G<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];M=c[d>>2]|0;if((M|0)<1){break}O=(ga(G,s)|0)+t|0;V=1;do{Z=o+(E+V<<3)|0;h[Z>>3]=+h[Z>>3]+U*+h[j+(O+V<<3)>>3];V=V+1|0;}while((V|0)<=(M|0))}}while(0);G=G+1|0;}while((G|0)<=(N|0))}N=X+1|0;if((N|0)>(D|0)){break}X=N;Y=Y+1|0}i=q;return 0}else{if(!A){if(F){i=q;return 0}else{_=1;$=a}while(1){if(($|0)>=1){N=(ga(_,w)|0)+x|0;G=_+v|0;E=1;do{S=c[f>>2]|0;if((S|0)<1){aa=0.0}else{M=(ga(E,s)|0)+t|0;V=1;T=0.0;while(1){U=T+ +h[j+(M+V<<3)>>3]*+h[l+(G+(ga(V,u)|0)<<3)>>3];O=V+1|0;if((O|0)>(S|0)){aa=U;break}else{V=O;T=U}}}T=+h[n>>3];U=aa*+h[g>>3];V=o+(N+E<<3)|0;if(T==0.0){ba=U}else{ba=U+T*+h[V>>3]}h[V>>3]=ba;E=E+1|0;}while((E|0)<=($|0))}E=_+1|0;if((E|0)>(D|0)){break}_=E;$=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{ca=1;da=0}while(1){a=o+((ga(w,da)|0)<<3)|0;T=+h[n>>3];c:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}HT(a|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}N=(ga(ca,w)|0)+x|0;G=1;U=T;while(1){V=o+(N+G<<3)|0;h[V>>3]=U*+h[V>>3];V=G+1|0;if((V|0)>(E|0)){break c}G=V;U=+h[n>>3]}}}while(0);a=c[f>>2]|0;if((a|0)>=1){G=ca+v|0;E=(ga(ca,w)|0)+x|0;N=1;do{T=+h[l+(G+(ga(N,u)|0)<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];V=c[d>>2]|0;if((V|0)<1){break}S=(ga(N,s)|0)+t|0;M=1;do{O=o+(E+M<<3)|0;h[O>>3]=+h[O>>3]+U*+h[j+(S+M<<3)>>3];M=M+1|0;}while((M|0)<=(V|0))}}while(0);N=N+1|0;}while((N|0)<=(a|0))}a=ca+1|0;if((a|0)>(D|0)){break}ca=a;da=da+1|0}i=q;return 0}}}while(0);Fc(485792,r|0)|0;i=q;return 0}function Ej(a,b,d,e,f,g,j,k,l,m,n){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0,X=0.0,Y=0,Z=0,_=0;o=i;i=i+8|0;p=o|0;q=c[l>>2]|0;r=~q;s=c[n>>2]|0;t=~s;u=(Nq(a,497024,0,0)|0)!=0;v=c[(u?f:g)>>2]|0;w=Nq(e,506912,0,0)|0;x=Nq(b,494400,0,0)|0;c[p>>2]=0;do{if(u){y=4}else{if((Nq(a,485448,0,0)|0)!=0){y=4;break}c[p>>2]=1}}while(0);a:do{if((y|0)==4){do{if((x|0)==0){if((Nq(b,497024,0,0)|0)!=0){break}c[p>>2]=2;break a}}while(0);do{if((Nq(d,506912,0,0)|0)==0){if((Nq(d,40640,0,0)|0)!=0){break}if((Nq(d,35920,0,0)|0)!=0){break}c[p>>2]=3;break a}}while(0);do{if((Nq(e,494400,0,0)|0)==0){if((Nq(e,506912,0,0)|0)!=0){break}c[p>>2]=4;break a}}while(0);a=c[f>>2]|0;if((a|0)<0){c[p>>2]=5;break}z=c[g>>2]|0;if((z|0)<0){c[p>>2]=6;break}if((c[l>>2]|0)<(((v|0)>1?v:1)|0)){c[p>>2]=9;break}if((c[n>>2]|0)<(((a|0)>1?a:1)|0)){c[p>>2]=11;break}if((c[p>>2]|0)!=0){break}if((a|0)==0|(z|0)==0){i=o;return 0}if(+h[j>>3]==0.0){if((z|0)<1){i=o;return 0}else{A=2;B=0;C=a}while(1){if((C|0)>=1){HT(m+((ga(s,B)|0)<<3)|0,0,C<<3|0)|0}if((A|0)>(z|0)){break}A=A+1|0;B=B+1|0;C=c[f>>2]|0}i=o;return 0}z=(Nq(d,506912,0,0)|0)!=0;a=(x|0)!=0;D=c[g>>2]|0;if(u){E=(D|0)<1;if(!z){if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{H=c[f>>2]|0;if((H|0)>=1){I=(ga(G,s)|0)+t|0;J=1;do{K=m+(I+J<<3)|0;L=+h[j>>3]*+h[K>>3];M=J-1|0;if((M|0)<1){N=L}else{O=(ga(J,q)|0)+r|0;P=1;Q=L;while(1){L=Q- +h[k+(O+P<<3)>>3]*+h[m+(I+P<<3)>>3];R=P+1|0;if((R|0)>(M|0)){N=L;break}else{P=R;Q=L}}}if(F){S=N}else{S=N/+h[k+(J+r+(ga(J,q)|0)<<3)>>3]}h[K>>3]=S;J=J+1|0;}while((J|0)<=(H|0))}G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{H=c[f>>2]|0;b:do{if((H|0)>0){J=(ga(F,s)|0)+t|0;I=H;P=H;while(1){M=m+(J+I<<3)|0;Q=+h[j>>3]*+h[M>>3];O=I+1|0;if((O|0)>(P|0)){T=Q}else{R=(ga(I,q)|0)+r|0;L=Q;U=O;while(1){Q=L- +h[k+(R+U<<3)>>3]*+h[m+(J+U<<3)>>3];O=U+1|0;if((O|0)>(P|0)){T=Q;break}else{L=Q;U=O}}}if(G){V=T}else{V=T/+h[k+(I+r+(ga(I,q)|0)<<3)>>3]}h[M>>3]=V;U=I-1|0;if((U|0)<=0){break b}I=U;P=c[f>>2]|0}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];c:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}P=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){J=m+(P+I<<3)|0;h[J>>3]=Q*+h[J>>3];J=I+1|0;if((J|0)>(H|0)){y=43;break c}I=J;Q=+h[j>>3]}}else{y=43}}while(0);d:do{if((y|0)==43){y=0;I=c[f>>2]|0;if((I|0)<=0){break}H=(ga(G,s)|0)+t|0;if(F){P=I;while(1){J=m+(H+P<<3)|0;L=+h[J>>3];K=P-1|0;e:do{if(L!=0.0){if((K|0)<1){break d}U=(ga(P,q)|0)+r|0;R=1;Q=L;while(1){O=m+(H+R<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(U+R<<3)>>3];O=R+1|0;if((O|0)>(K|0)){break e}R=O;Q=+h[J>>3]}}}while(0);if((K|0)>0){P=K}else{break d}}}else{W=I}while(1){P=m+(H+W<<3)|0;L=+h[P>>3];f:do{if(L!=0.0){Q=L/+h[k+(W+r+(ga(W,q)|0)<<3)>>3];h[P>>3]=Q;J=W-1|0;if((J|0)<1){break d}M=(ga(W,q)|0)+r|0;R=1;X=Q;while(1){U=m+(H+R<<3)|0;h[U>>3]=+h[U>>3]-X*+h[k+(M+R<<3)>>3];U=R+1|0;if((U|0)>(J|0)){Y=J;break f}R=U;X=+h[P>>3]}}else{Y=W-1|0}}while(0);if((Y|0)>0){W=Y}else{break}}}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{L=+h[j>>3];g:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;X=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=X*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){y=64;break g}P=K;X=+h[j>>3]}}else{y=64}}while(0);do{if((y|0)==64){y=0;P=c[f>>2]|0;if((P|0)<1){break}H=(ga(F,s)|0)+t|0;if(G){I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];h:do{if(L!=0.0){R=c[f>>2]|0;J=I+1|0;if((J|0)>(R|0)){Z=J;break}M=(ga(I,q)|0)+r|0;U=J;X=L;while(1){O=m+(H+U<<3)|0;h[O>>3]=+h[O>>3]-X*+h[k+(M+U<<3)>>3];O=U+1|0;if((O|0)>(R|0)){Z=J;break h}U=O;X=+h[K>>3]}}else{Z=I+1|0}}while(0);if((Z|0)>(P|0)){break}else{I=Z}}}else{I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];i:do{if(L!=0.0){X=L/+h[k+(I+r+(ga(I,q)|0)<<3)>>3];h[K>>3]=X;U=c[f>>2]|0;J=I+1|0;if((J|0)>(U|0)){_=J;break}R=(ga(I,q)|0)+r|0;M=J;Q=X;while(1){O=m+(H+M<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(R+M<<3)>>3];O=M+1|0;if((O|0)>(U|0)){_=J;break i}M=O;Q=+h[K>>3]}}else{_=I+1|0}}while(0);if((_|0)>(P|0)){break}else{I=_}}}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(!z){if(a){if((D|0)<=0){i=o;return 0}F=(w|0)==0;G=D;while(1){do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];E=c[f>>2]|0;if((E|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;do{H=m+(I+P<<3)|0;h[H>>3]=L*+h[H>>3];P=P+1|0;}while((P|0)<=(E|0))}}while(0);E=G-1|0;if((E|0)>=1){P=(ga(G,q)|0)+r|0;I=(ga(G,s)|0)+t|0;H=1;do{L=+h[k+(P+H<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(H,s)|0)+t|0;J=1;do{U=m+(M+J<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(I+J<<3)>>3];J=J+1|0;}while((J|0)<=(K|0))}}while(0);H=H+1|0;}while((H|0)<=(E|0))}L=+h[j>>3];j:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;Q=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=Q*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){break j}P=K;Q=+h[j>>3]}}}while(0);if((E|0)>0){G=E}else{break}}i=o;return 0}else{if((D|0)<1){i=o;return 0}G=(w|0)==0;F=1;while(1){do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}P=(ga(F,s)|0)+t|0;H=1;do{I=m+(P+H<<3)|0;h[I>>3]=L*+h[I>>3];H=H+1|0;}while((H|0)<=(z|0))}}while(0);E=c[g>>2]|0;z=F+1|0;if((z|0)<=(E|0)){H=(ga(F,q)|0)+r|0;P=(ga(F,s)|0)+t|0;I=z;do{L=+h[k+(H+I<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}J=(ga(I,s)|0)+t|0;M=1;do{U=m+(J+M<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(P+M<<3)>>3];M=M+1|0;}while((M|0)<=(K|0))}}while(0);I=I+1|0;}while((I|0)<=(E|0))}L=+h[j>>3];k:do{if(L!=1.0){E=c[f>>2]|0;if((E|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){H=m+(I+P<<3)|0;h[H>>3]=Q*+h[H>>3];H=P+1|0;if((H|0)>(E|0)){break k}P=H;Q=+h[j>>3]}}}while(0);if((z|0)>(D|0)){break}else{F=z}}i=o;return 0}}if(a){if((D|0)<1){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];l:do{if(L!=1.0){P=c[f>>2]|0;if((P|0)<1){break}E=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){H=m+(E+I<<3)|0;h[H>>3]=Q*+h[H>>3];H=I+1|0;if((H|0)>(P|0)){break l}I=H;Q=+h[j>>3]}}}while(0);z=G-1|0;if((z|0)>=1){I=(ga(G,q)|0)+r|0;P=(ga(G,s)|0)+t|0;E=1;do{H=k+(I+E<<3)|0;L=+h[H>>3];m:do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(E,s)|0)+t|0;J=1;Q=L;while(1){U=m+(P+J<<3)|0;h[U>>3]=+h[U>>3]-Q*+h[m+(M+J<<3)>>3];U=J+1|0;if((U|0)>(K|0)){break m}J=U;Q=+h[H>>3]}}}while(0);E=E+1|0;}while((E|0)<=(z|0))}do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}E=(ga(G,s)|0)+t|0;P=1;do{I=m+(E+P<<3)|0;h[I>>3]=L*+h[I>>3];P=P+1|0;}while((P|0)<=(z|0))}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}else{if((D|0)<=0){i=o;return 0}G=(w|0)==0;F=D;do{L=+h[j>>3];n:do{if(L!=1.0){a=c[f>>2]|0;if((a|0)<1){break}z=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){E=m+(z+P<<3)|0;h[E>>3]=Q*+h[E>>3];E=P+1|0;if((E|0)>(a|0)){break n}P=E;Q=+h[j>>3]}}}while(0);P=c[g>>2]|0;a=F+1|0;if((a|0)<=(P|0)){z=(ga(F,q)|0)+r|0;E=(ga(F,s)|0)+t|0;I=a;do{a=k+(z+I<<3)|0;L=+h[a>>3];o:do{if(L!=0.0){H=c[f>>2]|0;if((H|0)<1){break}J=(ga(I,s)|0)+t|0;K=1;Q=L;while(1){M=m+(E+K<<3)|0;h[M>>3]=+h[M>>3]-Q*+h[m+(J+K<<3)>>3];M=K+1|0;if((M|0)>(H|0)){break o}K=M;Q=+h[a>>3]}}}while(0);I=I+1|0;}while((I|0)<=(P|0))}do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];P=c[f>>2]|0;if((P|0)<1){break}I=(ga(F,s)|0)+t|0;E=1;do{z=m+(I+E<<3)|0;h[z>>3]=L*+h[z>>3];E=E+1|0;}while((E|0)<=(P|0))}}while(0);F=F-1|0;}while((F|0)>0);i=o;return 0}}}while(0);Fc(32024,p|0)|0;i=o;return 0}function Fj(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=i;i=i+8|0;l=k|0;c[j>>2]=0;m=c[a>>2]|0;do{if((m|0)<0){c[j>>2]=-1;n=-1}else{if((c[b>>2]|0)<0){c[j>>2]=-2;n=-2;break}o=(m|0)>1?m:1;if((c[e>>2]|0)<(o|0)){c[j>>2]=-4;n=-4;break}if((c[h>>2]|0)<(o|0)){c[j>>2]=-7;n=-7;break}Hj(a,a,d,e,f,j)|0;if((c[j>>2]|0)!=0){i=k;return 0}Ij(503696,a,b,d,e,f,g,h,j)|0;i=k;return 0}}while(0);c[l>>2]=-n;Fc(485592,l|0)|0;i=k;return 0}function Gj(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=c[e>>2]|0;p=~o;c[g>>2]=0;q=c[a>>2]|0;do{if((q|0)<0){c[g>>2]=-1;r=-1}else{s=c[b>>2]|0;if((s|0)<0){c[g>>2]=-2;r=-2;break}if((c[e>>2]|0)<(((q|0)>1?q:1)|0)){c[g>>2]=-4;r=-4;break}if((q|0)==0|(s|0)==0){i=j;return 0}t=+uq(503496,0);s=c[a>>2]|0;u=c[b>>2]|0;v=(s|0)>(u|0)?u:s;c[k>>2]=v;if((v|0)<1){i=j;return 0}else{w=1;x=s}while(1){c[l>>2]=1-w+x;s=w-1|0;v=ga(w,o)|0;u=w+p|0;y=u+v|0;z=d+(y<<3)|0;A=s+(zj(l,z,19968)|0)|0;c[f+(s<<2)>>2]=A;B=v+p|0;a:do{if(+h[d+(B+A<<3)>>3]!=0.0){if((A|0)!=(w|0)){Bj(b,d+(s<<3)|0,e,d+(A-1<<3)|0,e)|0}C=c[a>>2]|0;if((w|0)>=(C|0)){break}D=+h[z>>3];h[n>>3]=D;if(D<0.0){E=-0.0-D}else{E=D}F=C-w|0;c[l>>2]=F;if(!(E<t)){h[n>>3]=1.0/D;Aj(l,n,d+(w-o+v<<3)|0,19968)|0;break}if((F|0)<1){break}else{G=1;H=D}while(1){C=d+(y+G<<3)|0;h[C>>3]=+h[C>>3]/H;C=G+1|0;if((C|0)>(F|0)){break a}G=C;H=+h[z>>3]}}else{if((c[g>>2]|0)!=0){break}c[g>>2]=w}}while(0);z=c[a>>2]|0;y=c[b>>2]|0;if((w|0)<(((z|0)>(y|0)?y:z)|0)){c[l>>2]=z-w;c[m>>2]=y-w;y=w+1|0;z=ga(y,o)|0;Cj(l,m,19264,d+(B+y<<3)|0,19968,d+(u+z<<3)|0,e,d+(y+p+z<<3)|0,e)|0;I=y}else{I=w+1|0}if((I|0)>(c[k>>2]|0)){break}w=I;x=c[a>>2]|0}i=j;return 0}}while(0);c[k>>2]=-r;Fc(484600,k|0)|0;i=j;return 0}function Hj(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=i;i=i+48|0;j=h|0;k=h+8|0;l=h+16|0;m=h+24|0;n=h+32|0;o=h+40|0;p=c[e>>2]|0;q=~p;c[g>>2]=0;r=c[a>>2]|0;do{if((r|0)<0){c[g>>2]=-1;s=-1}else{t=c[b>>2]|0;if((t|0)<0){c[g>>2]=-2;s=-2;break}if((c[e>>2]|0)<(((r|0)>1?r:1)|0)){c[g>>2]=-4;s=-4;break}if((r|0)==0|(t|0)==0){i=h;return 0}t=Kj(19960,484592,503488,a,b,19256,19256)|0;do{if((t|0)>=2){u=c[a>>2]|0;v=c[b>>2]|0;w=(u|0)>(v|0)?v:u;if((t|0)>=(w|0)){break}c[j>>2]=w;c[m>>2]=1;if((w|0)>0){x=1;y=u;z=v}else{i=h;return 0}while(1){v=((y|0)>(z|0)?z:y)-x+1|0;c[n>>2]=(v|0)<=(t|0)?v:t;c[k>>2]=y+1-x;Gj(k,n,d+(x+q+(ga(x,p)|0)<<3)|0,e,f+(x-1<<2)|0,o)|0;do{if((c[g>>2]|0)==0){v=c[o>>2]|0;if((v|0)<=0){break}c[g>>2]=v-1+(c[m>>2]|0)}}while(0);v=c[a>>2]|0;c[l>>2]=v;u=c[m>>2]|0;w=u-1|0;A=w+(c[n>>2]|0)|0;B=(v|0)<=(A|0)?v:A;c[k>>2]=B;if((u|0)<=(B|0)){v=u;do{u=f+(v-1<<2)|0;c[u>>2]=(c[u>>2]|0)+w;v=v+1|0;}while((v|0)<=(B|0))}c[k>>2]=w;c[l>>2]=A;Jj(k,d,e,m,l,f,19960)|0;B=c[m>>2]|0;v=c[n>>2]|0;u=v+B|0;C=c[b>>2]|0;do{if((u|0)>(C|0)){D=B}else{c[k>>2]=1-B-v+C;c[l>>2]=u-1;Jj(k,d+((ga(u,p)|0)-p<<3)|0,e,m,l,f,19960)|0;E=c[m>>2]|0;F=c[n>>2]|0;c[k>>2]=(c[b>>2]|0)+1-E-F;G=E+q|0;Ej(493208,483768,39952,35432,n,k,19312,d+(G+(ga(E,p)|0)<<3)|0,e,d+(G+(ga(F+E|0,p)|0)<<3)|0,e)|0;E=c[m>>2]|0;F=c[n>>2]|0;G=F+E|0;H=c[a>>2]|0;if((G|0)>(H|0)){D=E;break}c[k>>2]=1-E-F+H;c[l>>2]=(c[b>>2]|0)+1-E-F;F=ga(G,p)|0;Dj(39952,39952,k,l,n,19296,d+((ga(E,p)|0)+q+G<<3)|0,e,d+(E+q+F<<3)|0,e,19312,d+(G+q+F<<3)|0,e)|0;D=c[m>>2]|0}}while(0);u=D+t|0;c[m>>2]=u;if((u|0)>(c[j>>2]|0)){break}x=u;y=c[a>>2]|0;z=c[b>>2]|0}i=h;return 0}}while(0);Gj(a,b,d,e,f,g)|0;i=h;return 0}}while(0);c[j>>2]=-s;Fc(484592,j|0)|0;i=h;return 0}function Ij(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=i;i=i+8|0;m=l|0;c[k>>2]=0;n=(Nq(a,484528,0,0)|0)!=0;do{if(n){o=5}else{if((Nq(a,503480,0,0)|0)!=0){o=5;break}if((Nq(a,493200,0,0)|0)!=0){o=5;break}c[k>>2]=-1;p=-1}}while(0);do{if((o|0)==5){a=c[b>>2]|0;if((a|0)<0){c[k>>2]=-2;p=-2;break}q=c[d>>2]|0;if((q|0)<0){c[k>>2]=-3;p=-3;break}r=(a|0)>1?a:1;if((c[f>>2]|0)<(r|0)){c[k>>2]=-5;p=-5;break}if((c[j>>2]|0)<(r|0)){c[k>>2]=-8;p=-8;break}r=c[k>>2]|0;if((r|0)!=0){p=r;break}if((a|0)==0|(q|0)==0){i=l;return 0}if(n){Jj(d,h,j,19952,b,g,19952)|0;Ej(39944,35424,31592,28544,b,d,19328,e,f,h,j)|0;Ej(39944,25648,31592,22976,b,d,19328,e,f,h,j)|0;i=l;return 0}else{Ej(39944,25648,511368,22976,b,d,19328,e,f,h,j)|0;Ej(39944,35424,511368,28544,b,d,19328,e,f,h,j)|0;Jj(d,h,j,19952,b,g,19248)|0;i=l;return 0}}}while(0);c[m>>2]=-p;Fc(483760,m|0)|0;i=l;return 0}function Jj(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0;j=c[d>>2]|0;d=~j;k=c[i>>2]|0;do{if((k|0)>0){l=c[e>>2]|0;m=1;n=l;o=f;p=l}else{if((k|0)<0){l=c[f>>2]|0;m=-1;n=(ga(1-l|0,k)|0)+1|0;o=e;p=l;break}else{return 0}}}while(0);e=c[o>>2]|0;o=c[a>>2]|0;f=((o|0)/32|0)<<5;if((f|0)<1){q=o;r=k}else{o=(m|0)<0;l=o?(p|0)>=(e|0):(p|0)<=(e|0);s=1;t=k;while(1){if(l){k=s+31|0;if(o){u=p;v=n;w=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(u|0)){y=w}else{z=u+d|0;A=x+d|0;x=s;do{B=ga(x,j)|0;C=b+(z+B<<3)|0;D=+h[C>>3];E=b+(A+B<<3)|0;h[C>>3]=+h[E>>3];h[E>>3]=D;x=x+1|0;}while((x|0)<=(k|0));y=c[i>>2]|0}x=u+m|0;if((x|0)<(e|0)){F=y;break}else{u=x;v=y+v|0;w=y}}}else{w=p;v=n;u=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(w|0)){G=u}else{A=w+d|0;z=x+d|0;x=s;do{E=ga(x,j)|0;C=b+(A+E<<3)|0;D=+h[C>>3];B=b+(z+E<<3)|0;h[C>>3]=+h[B>>3];h[B>>3]=D;x=x+1|0;}while((x|0)<=(k|0));G=c[i>>2]|0}x=w+m|0;if((x|0)>(e|0)){F=G;break}else{w=x;v=G+v|0;u=G}}}}else{F=t}u=s+32|0;if((u|0)>(f|0)){break}else{s=u;t=F}}q=c[a>>2]|0;r=F}if((f|0)==(q|0)){return 0}q=f|1;f=(m|0)<0;if(!(f?(p|0)>=(e|0):(p|0)<=(e|0))){return 0}if(f){f=p;F=n;t=r;while(1){s=c[g+(F-1<<2)>>2]|0;do{if((s|0)==(f|0)){H=t}else{G=c[a>>2]|0;if((q|0)>(G|0)){H=t;break}y=f+d|0;o=s+d|0;l=q;do{u=ga(l,j)|0;v=b+(y+u<<3)|0;D=+h[v>>3];w=b+(o+u<<3)|0;h[v>>3]=+h[w>>3];h[w>>3]=D;l=l+1|0;}while((l|0)<=(G|0));H=c[i>>2]|0}}while(0);s=f+m|0;if((s|0)<(e|0)){break}else{f=s;F=H+F|0;t=H}}return 0}else{H=p;p=n;n=r;while(1){r=c[g+(p-1<<2)>>2]|0;do{if((r|0)==(H|0)){I=n}else{t=c[a>>2]|0;if((q|0)>(t|0)){I=n;break}F=H+d|0;f=r+d|0;s=q;do{G=ga(s,j)|0;l=b+(F+G<<3)|0;D=+h[l>>3];o=b+(f+G<<3)|0;h[l>>3]=+h[o>>3];h[o>>3]=D;s=s+1|0;}while((s|0)<=(t|0));I=c[i>>2]|0}}while(0);r=H+m|0;if((r|0)>(e|0)){break}else{H=r;p=I+p|0;n=I}}return 0}return 0}function Kj(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+32|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=ET(d|0)|0;a:do{switch(c[b>>2]|0){case 1:case 2:case 3:{q=o|0;NG(q,d,1,p);r=a[q]|0;do{if((r-97&255)>>>0<26>>>0){s=r-32&255;a[q]=s;t=o+1|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+2|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+3|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+4|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+5|0;u=a[t]|0;if(!((u-97&255)>>>0<26>>>0)){v=s;break}a[t]=u-32;v=s}else{v=r}}while(0);r=v<<24>>24==83;q=v<<24>>24==68;s=r|q;if(!((v<<24>>24|0)==90|(v<<24>>24|0)==83|(v<<24>>24|0)==68|(v<<24>>24|0)==67)){w=1;break a}u=l|0;NG(u,o+1|0,1,2);t=m|0;NG(t,o+3|0,1,3);x=n|0;NG(x,m+1|0,1,2);y=c[b>>2]|0;if((y|0)==2){if((MG(u,506448,1,2)|0)==0){if((MG(t,495392,1,3)|0)==0){w=2;break a}if((MG(t,486336,1,3)|0)==0){w=2;break a}if((MG(t,41648,1,3)|0)==0){w=2;break a}if((MG(t,36992,1,3)|0)==0){w=2;break a}if((MG(t,33128,1,3)|0)==0){w=2;break a}if((MG(t,29528,1,3)|0)==0){w=2;break a}MG(t,26584,1,3)|0;w=2;break a}if((MG(u,512248,1,2)|0)==0){z=(MG(t,508816,1,3)|0)==0;if(z|(r|q)^1){w=z?8:2;break a}MG(t,509416,1,3)|0;w=2;break a}do{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((MG(u,504112,1,2)|0)==0){MG(t,509416,1,3)|0;w=2;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}}else{w=2;break a}}while(0);do{if((A|0)==94){if((MG(u,502656,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}z=a[t]|0;if((z<<24>>24|0)==71){if((MG(x,501520,1,2)|0)==0){w=2;break a}if((MG(x,500232,1,2)|0)==0){w=2;break a}if((MG(x,499288,1,2)|0)==0){w=2;break a}if((MG(x,498208,1,2)|0)==0){w=2;break a}if((MG(x,497472,1,2)|0)==0){w=2;break a}if((MG(x,496632,1,2)|0)==0){w=2;break a}MG(x,495752,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((MG(x,501520,1,2)|0)==0){w=2;break a}if((MG(x,500232,1,2)|0)==0){w=2;break a}if((MG(x,499288,1,2)|0)==0){w=2;break a}if((MG(x,498208,1,2)|0)==0){w=2;break a}if((MG(x,497472,1,2)|0)==0){w=2;break a}if((MG(x,496632,1,2)|0)==0){w=2;break a}MG(x,495752,1,2)|0;w=2;break a}else{w=2;break a}}}while(0);if((MG(u,494248,1,2)|0)!=0){w=2;break a}z=a[t]|0;if((z<<24>>24|0)==71){if((MG(x,501520,1,2)|0)==0){w=2;break a}if((MG(x,500232,1,2)|0)==0){w=2;break a}if((MG(x,499288,1,2)|0)==0){w=2;break a}if((MG(x,498208,1,2)|0)==0){w=2;break a}if((MG(x,497472,1,2)|0)==0){w=2;break a}if((MG(x,496632,1,2)|0)==0){w=2;break a}MG(x,495752,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((MG(x,501520,1,2)|0)==0){w=2;break a}if((MG(x,500232,1,2)|0)==0){w=2;break a}if((MG(x,499288,1,2)|0)==0){w=2;break a}if((MG(x,498208,1,2)|0)==0){w=2;break a}if((MG(x,497472,1,2)|0)==0){w=2;break a}if((MG(x,496632,1,2)|0)==0){w=2;break a}MG(x,495752,1,2)|0;w=2;break a}else{w=2;break a}}else if((y|0)==3){if((MG(u,506448,1,2)|0)==0){if((MG(t,495392,1,3)|0)==0){w=128;break a}if((MG(t,486336,1,3)|0)==0){w=128;break a}if((MG(t,41648,1,3)|0)==0){w=128;break a}if((MG(t,36992,1,3)|0)==0){w=128;break a}if((MG(t,33128,1,3)|0)==0){w=128;break a}z=(MG(t,29528,1,3)|0)==0;w=z?128:0;break a}if((MG(u,512248,1,2)|0)==0){if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=0;break a}z=(MG(t,509416,1,3)|0)==0;w=z?32:0;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((MG(u,504112,1,2)|0)==0){z=(MG(t,509416,1,3)|0)==0;w=z?32:0;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141}else{w=0;break a}}while(0);do{if((A|0)==141){if((MG(u,502656,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}if((a[t]|0)!=71){w=0;break a}do{if((MG(x,501520,1,2)|0)!=0){if((MG(x,500232,1,2)|0)==0){break}if((MG(x,499288,1,2)|0)==0){break}if((MG(x,498208,1,2)|0)==0){break}if((MG(x,497472,1,2)|0)==0){break}if((MG(x,496632,1,2)|0)==0){break}if((MG(x,495752,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}}while(0);if((MG(u,494248,1,2)|0)!=0){w=0;break a}if((a[t]|0)!=71){w=0;break a}do{if((MG(x,501520,1,2)|0)!=0){if((MG(x,500232,1,2)|0)==0){break}if((MG(x,499288,1,2)|0)==0){break}if((MG(x,498208,1,2)|0)==0){break}if((MG(x,497472,1,2)|0)==0){break}if((MG(x,496632,1,2)|0)==0){break}if((MG(x,495752,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}else{if((MG(u,506448,1,2)|0)==0){if((MG(t,508816,1,3)|0)==0){w=64;break a}if((MG(t,495392,1,3)|0)==0){w=32;break a}if((MG(t,486336,1,3)|0)==0){w=32;break a}if((MG(t,41648,1,3)|0)==0){w=32;break a}if((MG(t,36992,1,3)|0)==0){w=32;break a}if((MG(t,33128,1,3)|0)==0){w=32;break a}if((MG(t,29528,1,3)|0)==0){w=32;break a}y=(MG(t,26584,1,3)|0)==0;w=y?64:1;break a}if((MG(u,24248,1,2)|0)==0){y=(MG(t,508816,1,3)|0)==0;w=y?64:1;break a}if((MG(u,512248,1,2)|0)==0){y=(MG(t,508816,1,3)|0)==0;if(y|s^1){w=y?64:1;break a}y=(MG(t,509416,1,3)|0)==0;if(y){w=y?32:1;break a}y=(MG(t,506520,1,3)|0)==0;w=y?64:1;break a}do{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((MG(u,504112,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29;break}else{break}}if((MG(t,508816,1,3)|0)==0){w=64;break a}if((MG(t,509416,1,3)|0)==0){w=32;break a}y=(MG(t,506520,1,3)|0)==0;w=y?64:1;break a}}while(0);do{if((A|0)==29){if((MG(u,502656,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else{break}}s=a[t]|0;if((s<<24>>24|0)==77){do{if((MG(x,501520,1,2)|0)!=0){if((MG(x,500232,1,2)|0)==0){break}if((MG(x,499288,1,2)|0)==0){break}if((MG(x,498208,1,2)|0)==0){break}if((MG(x,497472,1,2)|0)==0){break}if((MG(x,496632,1,2)|0)==0){break}if((MG(x,495752,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==71){do{if((MG(x,501520,1,2)|0)!=0){if((MG(x,500232,1,2)|0)==0){break}if((MG(x,499288,1,2)|0)==0){break}if((MG(x,498208,1,2)|0)==0){break}if((MG(x,497472,1,2)|0)==0){break}if((MG(x,496632,1,2)|0)==0){break}if((MG(x,495752,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);do{if((A|0)==48){if((MG(u,494248,1,2)|0)!=0){break}s=a[t]|0;if((s<<24>>24|0)==71){do{if((MG(x,501520,1,2)|0)!=0){if((MG(x,500232,1,2)|0)==0){break}if((MG(x,499288,1,2)|0)==0){break}if((MG(x,498208,1,2)|0)==0){break}if((MG(x,497472,1,2)|0)==0){break}if((MG(x,496632,1,2)|0)==0){break}if((MG(x,495752,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==77){do{if((MG(x,501520,1,2)|0)!=0){if((MG(x,500232,1,2)|0)==0){break}if((MG(x,499288,1,2)|0)==0){break}if((MG(x,498208,1,2)|0)==0){break}if((MG(x,497472,1,2)|0)==0){break}if((MG(x,496632,1,2)|0)==0){break}if((MG(x,495752,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);if((MG(u,493368,1,2)|0)==0){if((MG(t,508816,1,3)|0)!=0){w=1;break a}w=(c[j>>2]|0)<65?1:32;break a}if((MG(u,492728,1,2)|0)==0){if((MG(t,508816,1,3)|0)!=0){w=1;break a}w=(c[g>>2]|0)<65?1:32;break a}if((MG(u,496632,1,2)|0)==0){x=(MG(t,26584,1,3)|0)==0;w=x?64:1;break a}if((MG(u,491976,1,2)|0)==0){x=(MG(t,491128,1,3)|0)==0;w=x?64:1;break a}if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=1;break a}if((MG(u,490272,1,2)|0)!=0){w=1;break a}MG(t,488864,1,3)|0;i=k;return 1}break};case 4:{w=6;break};case 5:{w=2;break};case 6:{x=c[f>>2]|0;s=c[g>>2]|0;w=~~(+(((x|0)>(s|0)?s:x)|0)*1.600000023841858);break};case 7:{w=1;break};case 8:{w=50;break};case 9:{w=25;break};case 10:{w=Lj(19992,19320,19304)|0;break};case 11:{w=Lj(553240,19320,19304)|0;break};case 12:case 13:case 14:case 15:case 16:{w=Mj(b,d,e,f,g,h,j)|0;break};default:{w=-1}}}while(0);i=k;return w|0}function Lj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;e=+g[d>>2];f=+g[b>>2];if(!(e/f>e)){h=0;return h|0}i=(-0.0-e)/f;if(!(i<f)){h=0;return h|0}j=e/(e+i);if(j!=f){h=0;return h|0}i=e/j;if(!(i<f)){h=0;return h|0}k=f+j;if(k!=f){h=0;return h|0}l=e/k;if(!(l>e)){h=0;return h|0}k=i*l;if(!(k<f)){h=0;return h|0}i=l*l;if(!(i>e)){h=0;return h|0}if((c[a>>2]|0)==0){h=1;return h|0}e=i+k;l=i/i;m=f*i;f=j*k;a=!(e!=e)&!(Qd=0.0,Qd!=Qd);e=i/k;b=a|!(e!=e)&!(Qd=0.0,Qd!=Qd);a=b|!(l!=l)&!(Qd=0.0,Qd!=Qd);b=a|!(m!=m)&!(Qd=0.0,Qd!=Qd);if(b|!(f!=f)&!(Qd=0.0,Qd!=Qd)){h=0;return h|0}m=f*0.0;h=(m!=m|(Qd=0.0,Qd!=Qd))&1;return h|0}function Mj(a,b,d,e,f,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;j=i;i=i+8|0;e=j|0;d=c[a>>2]|0;if((d|0)==15|(d|0)==13|(d|0)==16){b=(c[h>>2]|0)-(c[f>>2]|0)+1|0;if((b|0)>149){g[e>>2]=+ea(+(b|0))/.6931471805599453;f=(b|0)/(LG(e)|0)|0;k=(f|0)>10?f:10;l=c[a>>2]|0}else{k=(b|0)>59?10:(b|0)>29?4:2;l=d}a=(b|0)>5999?256:(b|0)>2999?128:(b|0)>589?64:k;k=a-((a|0)%2|0)|0;m=(k|0)>2?k:2;n=b;o=l}else{m=0;n=0;o=d}a:do{switch(o|0){case 14:{p=14;break};case 13:{if((n|0)<501){p=m;break a}p=(m*3|0|0)/2|0;break};case 15:{p=m;break};case 12:{p=75;break};case 16:{d=(m|0)>13;i=j;return(d?2:d&1)|0};default:{p=-1}}}while(0);i=j;return p|0}function Nj(a){a=a|0;var b=0,c=0;b=i;c=Oj(a,0,0)|0;i=b;return c|0}function Oj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=Pj(a,b,c,0)|0;i=d;return e|0}function Pj(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=Xd[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=cT(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=44;c[b+4>>2]=98;c[b+8>>2]=100}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=Xd[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){Ud[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=Xd[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){Ud[c[j+20>>2]&511](c[j+392>>2]|0);Ud[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=_k(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}Ud[c[j+20>>2]&511](c[j+44>>2]|0);Ud[c[j+20>>2]&511](c[j+392>>2]|0);Ud[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;$k(j+416|0,j+12|0);$k(j+440|0,j+12|0);Rj(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}Uj(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=tl()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=kl()|0}k=j;l=k;i=g;return l|0}function Qj(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function Rj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=82;Dn(f+256|0);if((b|0)!=0){g=Sj(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;ll(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;HT(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function Sj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((hk(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function Tj(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=kk(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=Sj(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((ok(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=kk(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}



function eN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[139316]|0)==-1)){c[m>>2]=557264;c[m+4>>2]=20;c[m+8>>2]=0;KI(557264,m,122)}m=(c[139317]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}q=j;r=c[o>>2]|0;if(!((c[139220]|0)==-1)){c[l>>2]=556880;c[l+4>>2]=20;c[l+8>>2]=0;KI(556880,l,122)}l=(c[139221]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}s=r;Vd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){je[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ge[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=ge[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=ge[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=Xd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=ge[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;ZI(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;ZI(n);i=k;return}function fN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((Zd[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){AJ(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((Zd[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){BJ(l);break}c[m>>2]=0;c[b>>2]=0;BJ(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((Zd[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function gN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);t=SM(u,22,c[138960]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;VJ(p,f);eN(u,w,r,x,n,o,p);pI(c[p>>2]|0)|0;c[q>>2]=c[e>>2];fN(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function hN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[513496]|0;a[q+1|0]=a[513497]|0;a[q+2|0]=a[513498]|0;a[q+3|0]=a[513499]|0;a[q+4|0]=a[513500]|0;a[q+5|0]=a[513501]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);t=SM(u,12,c[138960]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;VJ(o,f);eN(u,w,q,x,m,n,o);pI(c[o>>2]|0)|0;c[p>>2]=c[e>>2];fN(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function iN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);t=SM(u,23,c[138960]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;VJ(p,f);eN(u,w,r,x,n,o,p);pI(c[p>>2]|0)|0;c[q>>2]=c[e>>2];fN(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function jN(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=c[138960]|0;if(y){w=SM(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=SM(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[557832]|0)==0;if(y){do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=YM(m,c[138960]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);w=YM(m,c[138960]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}pT();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=cT(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}pT();H=B;I=B;J=c[m>>2]|0}}while(0);VJ(q,f);kN(J,F,A,H,o,p,q);pI(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];fN(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){dT(I)}if((D|0)==0){i=d;return}dT(D);i=d;return}function kN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[139316]|0)==-1)){c[m>>2]=557264;c[m+4>>2]=20;c[m+8>>2]=0;KI(557264,m,122)}m=(c[139317]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}q=j;r=c[o>>2]|0;if(!((c[139220]|0)==-1)){c[l>>2]=556880;c[l+4>>2]=20;c[l+8>>2]=0;KI(556880,l,122)}l=(c[139221]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}s=r;Vd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ge[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ge[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=ge[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((ib(t<<24>>24|0,c[138960]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((Ib(p<<24>>24|0,c[138960]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){je[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=Xd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=ge[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=ge[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=Xd[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);je[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;ZI(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;ZI(n);i=k;return}function lN(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=c[138960]|0;if(y){w=SM(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=SM(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[557832]|0)==0;if(y){do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=YM(m,c[138960]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);w=YM(m,c[138960]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}pT();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=cT(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}pT();H=B;I=B;J=c[m>>2]|0}}while(0);VJ(q,f);kN(J,F,A,H,o,p,q);pI(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];fN(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){dT(I)}if((D|0)==0){i=d;return}dT(D);i=d;return}function mN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[513504]|0;a[o+1|0]=a[513505]|0;a[o+2|0]=a[513506]|0;a[o+3|0]=a[513507]|0;a[o+4|0]=a[513508]|0;a[o+5|0]=a[513509]|0;p=k|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);q=SM(p,20,c[138960]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}VJ(m,f);t=m|0;m=c[t>>2]|0;if(!((c[139316]|0)==-1)){c[j>>2]=557264;c[j+4>>2]=20;c[j+8>>2]=0;KI(557264,j,122)}j=(c[139317]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}pI(c[t>>2]|0)|0;u=l|0;je[c[(c[s>>2]|0)+48>>2]&127](s,p,o,u)|0;s=l+(q<<2)|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;fN(b,n,u,v,s,f,g);i=d;return}v=l+(r-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;fN(b,n,u,v,s,f,g);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function nN(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;VJ(p,h);t=p|0;p=c[t>>2]|0;if(!((c[139318]|0)==-1)){c[o>>2]=557272;c[o+4>>2]=20;c[o+8>>2]=0;KI(557272,o,122)}o=(c[139319]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;pI(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((Xd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((Xd[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((Zd[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(Xd[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=ge[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(ge[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=Zd[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=Zd[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;fe[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((Xd[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(Xd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){Xd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){Xd[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((Xd[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((Xd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=Ad(4)|0;JS(n);vc(n|0,519944,180)}function oN(a){a=a|0;nI(a|0);kT(a);return}function pN(a){a=a|0;nI(a|0);return}function qN(a){a=a|0;return 2}function rN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];nN(a,b,k,l,f,g,h,513488,513496);i=j;return}function sN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Xd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}nN(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function tN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;VJ(m,f);f=m|0;m=c[f>>2]|0;if(!((c[139318]|0)==-1)){c[l>>2]=557272;c[l+4>>2]=20;c[l+8>>2]=0;KI(557272,l,122)}l=(c[139319]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}pI(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Xd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(QL(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Ad(4)|0;JS(j);vc(j|0,519944,180)}function uN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;VJ(m,f);f=m|0;m=c[f>>2]|0;if(!((c[139318]|0)==-1)){c[l>>2]=557272;c[l+4>>2]=20;c[l+8>>2]=0;KI(557272,l,122)}l=(c[139319]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}pI(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Xd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(QL(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Ad(4)|0;JS(j);vc(j|0,519944,180)}function vN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;VJ(l,f);f=l|0;l=c[f>>2]|0;if(!((c[139318]|0)==-1)){c[k>>2]=557272;c[k+4>>2]=20;c[k+8>>2]=0;KI(557272,k,122)}k=(c[139319]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}pI(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=AN(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Ad(4)|0;JS(b);vc(b|0,519944,180)}function wN(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;VJ(z,g);_=z|0;z=c[_>>2]|0;if(!((c[139318]|0)==-1)){c[y>>2]=557272;c[y+4>>2]=20;c[y+8>>2]=0;KI(557272,y,122)}y=(c[139319]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;pI(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 98:case 66:case 104:{aa=c[f>>2]|0;ca=d+8|0;da=Xd[c[(c[ca>>2]|0)+4>>2]&255](ca)|0;c[w>>2]=aa;aa=(QL(e,w,da,da+288|0,ba,h,0)|0)-da|0;if((aa|0)>=288){break a}c[j+16>>2]=((aa|0)/12|0|0)%12|0;break};case 68:{aa=e|0;c[E>>2]=c[aa>>2];c[F>>2]=c[f>>2];nN(D,d,E,F,g,h,j,513480,513488);c[aa>>2]=c[D>>2];break};case 70:{aa=e|0;c[H>>2]=c[aa>>2];c[I>>2]=c[f>>2];nN(G,d,H,I,g,h,j,513472,513480);c[aa>>2]=c[G>>2];break};case 77:{c[q>>2]=c[f>>2];aa=AN(e,q,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 100:case 101:{da=j+12|0;c[v>>2]=c[f>>2];aa=AN(e,v,h,ba,2)|0;ca=c[h>>2]|0;do{if((ca&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[da>>2]=aa;break a}}while(0);c[h>>2]=ca|4;break};case 72:{c[u>>2]=c[f>>2];aa=AN(e,u,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<24){c[j+8>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 73:{da=j+8|0;c[t>>2]=c[f>>2];aa=AN(e,t,h,ba,2)|0;ea=c[h>>2]|0;do{if((ea&4|0)==0){if(!((aa-1|0)>>>0<12>>>0)){break}c[da>>2]=aa;break a}}while(0);c[h>>2]=ea|4;break};case 83:{c[p>>2]=c[f>>2];aa=AN(e,p,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<61){c[j>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 121:{c[n>>2]=c[f>>2];da=AN(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((da|0)<69){fa=da+2e3|0}else{fa=(da-69|0)>>>0<31>>>0?da+1900|0:da}c[j+20>>2]=fa-1900;break};case 109:{c[r>>2]=c[f>>2];da=(AN(e,r,h,ba,2)|0)-1|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<12){c[j+16>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 84:{aa=e|0;c[S>>2]=c[aa>>2];c[T>>2]=c[f>>2];nN(R,d,S,T,g,h,j,513440,513448);c[aa>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];aa=AN(e,o,h,ba,1)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 97:case 65:{da=c[f>>2]|0;aa=d+8|0;ca=Xd[c[c[aa>>2]>>2]&255](aa)|0;c[x>>2]=da;da=(QL(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((da|0)>=168){break a}c[j+24>>2]=((da|0)/12|0|0)%7|0;break};case 99:{da=d+8|0;ca=Xd[c[(c[da>>2]|0)+12>>2]&255](da)|0;da=e|0;c[B>>2]=c[da>>2];c[C>>2]=c[f>>2];aa=a[ca]|0;if((aa&1)==0){ga=(aa&255)>>>1;ha=ca+1|0;ia=ca+1|0}else{aa=c[ca+8>>2]|0;ga=c[ca+4>>2]|0;ha=aa;ia=aa}nN(A,d,B,C,g,h,j,ha,ia+ga|0);c[da>>2]=c[A>>2];break};case 110:case 116:{c[J>>2]=c[f>>2];xN(0,e,J,h,ba);break};case 112:{c[K>>2]=c[f>>2];yN(d,j+8|0,e,K,h,ba);break};case 106:{c[s>>2]=c[f>>2];da=AN(e,s,h,ba,3)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<366){c[j+28>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];nN(L,d,M,N,g,h,j,513456,513467);c[aa>>2]=c[L>>2];break};case 82:{aa=e|0;c[P>>2]=c[aa>>2];c[Q>>2]=c[f>>2];nN(O,d,P,Q,g,h,j,513448,513453);c[aa>>2]=c[O>>2];break};case 120:{aa=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];de[aa&127](b,d,U,V,g,h,j);i=l;return};case 88:{aa=d+8|0;da=Xd[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];ca=a[da]|0;if((ca&1)==0){ja=(ca&255)>>>1;ka=da+1|0;la=da+1|0}else{ca=c[da+8>>2]|0;ja=c[da+4>>2]|0;ka=ca;la=ca}nN(W,d,X,Y,g,h,j,ka,la+ja|0);c[aa>>2]=c[W>>2];break};case 89:{c[m>>2]=c[f>>2];aa=AN(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=aa-1900;break};case 37:{c[Z>>2]=c[f>>2];zN(0,e,Z,h,ba);break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Ad(4)|0;JS(l);vc(l|0,519944,180)}function xN(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((Xd[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((Xd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(Xd[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){Xd[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((Xd[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((Xd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function yN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Xd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=QL(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function zN(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((Xd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Xd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(Xd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((Zd[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){Xd[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((Xd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((Xd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function AN(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((Xd[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Xd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(Xd[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(Zd[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){Xd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((Xd[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((Xd[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((Zd[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){Xd[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function BN(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;VJ(n,f);r=n|0;n=c[r>>2]|0;if(!((c[139316]|0)==-1)){c[m>>2]=557264;c[m+4>>2]=20;c[m+8>>2]=0;KI(557264,m,122)}m=(c[139317]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;pI(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Xd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=Xd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((Zd[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(Zd[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=Xd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=ge[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(ge[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=Zd[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=Zd[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;fe[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(Zd[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=Xd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=Xd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=Xd[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(Zd[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){Xd[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){Xd[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=Xd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=Xd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=Ad(4)|0;JS(l);vc(l|0,519944,180)}function CN(a){a=a|0;nI(a|0);kT(a);return}function DN(a){a=a|0;nI(a|0);return}function EN(a){a=a|0;return 2}function FN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];BN(a,b,k,l,f,g,h,513408,513440);i=j;return}function GN(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Xd[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}BN(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function HN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;VJ(m,f);f=m|0;m=c[f>>2]|0;if(!((c[139316]|0)==-1)){c[l>>2]=557264;c[l+4>>2]=20;c[l+8>>2]=0;KI(557264,l,122)}l=(c[139317]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}pI(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Xd[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(nM(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Ad(4)|0;JS(j);vc(j|0,519944,180)}function IN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;VJ(m,f);f=m|0;m=c[f>>2]|0;if(!((c[139316]|0)==-1)){c[l>>2]=557264;c[l+4>>2]=20;c[l+8>>2]=0;KI(557264,l,122)}l=(c[139317]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}pI(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Xd[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(nM(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Ad(4)|0;JS(j);vc(j|0,519944,180)}function JN(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;VJ(l,f);f=l|0;l=c[f>>2]|0;if(!((c[139316]|0)==-1)){c[k>>2]=557264;c[k+4>>2]=20;c[k+8>>2]=0;KI(557264,k,122)}k=(c[139317]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}pI(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=ON(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Ad(4)|0;JS(b);vc(b|0,519944,180)}function KN(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;VJ(z,g);_=z|0;z=c[_>>2]|0;if(!((c[139316]|0)==-1)){c[y>>2]=557264;c[y+4>>2]=20;c[y+8>>2]=0;KI(557264,y,122)}y=(c[139317]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;pI(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 84:{aa=e|0;c[S>>2]=c[aa>>2];c[T>>2]=c[f>>2];BN(R,d,S,T,g,h,j,513272,513304);c[aa>>2]=c[R>>2];break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];ca=ON(e,t,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=da|4;break};case 114:{ca=e|0;c[M>>2]=c[ca>>2];c[N>>2]=c[f>>2];BN(L,d,M,N,g,h,j,513328,513372);c[ca>>2]=c[L>>2];break};case 82:{ca=e|0;c[P>>2]=c[ca>>2];c[Q>>2]=c[f>>2];BN(O,d,P,Q,g,h,j,513304,513324);c[ca>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];ca=ON(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<61){c[j>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 121:{c[n>>2]=c[f>>2];aa=ON(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((aa|0)<69){ea=aa+2e3|0}else{ea=(aa-69|0)>>>0<31>>>0?aa+1900|0:aa}c[j+20>>2]=ea-1900;break};case 119:{c[o>>2]=c[f>>2];aa=ON(e,o,h,ba,1)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 120:{ca=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];de[ca&127](b,d,U,V,g,h,j);i=l;return};case 70:{ca=e|0;c[H>>2]=c[ca>>2];c[I>>2]=c[f>>2];BN(G,d,H,I,g,h,j,513240,513272);c[ca>>2]=c[G>>2];break};case 100:case 101:{ca=j+12|0;c[v>>2]=c[f>>2];aa=ON(e,v,h,ba,2)|0;fa=c[h>>2]|0;do{if((fa&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[ca>>2]=aa;break a}}while(0);c[h>>2]=fa|4;break};case 88:{aa=d+8|0;ca=Xd[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ga=(da&255)>>>1;ha=ca+4|0;ia=ca+4|0}else{da=c[ca+8>>2]|0;ga=c[ca+4>>2]|0;ha=da;ia=da}BN(W,d,X,Y,g,h,j,ha,ia+(ga<<2)|0);c[aa>>2]=c[W>>2];break};case 72:{c[u>>2]=c[f>>2];aa=ON(e,u,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<24){c[j+8>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 97:case 65:{da=c[f>>2]|0;aa=d+8|0;ca=Xd[c[c[aa>>2]>>2]&255](aa)|0;c[x>>2]=da;da=(nM(e,x,ca,ca+168|0,ba,h,0)|0)-ca|0;if((da|0)>=168){break a}c[j+24>>2]=((da|0)/12|0|0)%7|0;break};case 106:{c[s>>2]=c[f>>2];da=ON(e,s,h,ba,3)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(da|0)<366){c[j+28>>2]=da;break a}else{c[h>>2]=ca|4;break a}break};case 109:{c[r>>2]=c[f>>2];ca=(ON(e,r,h,ba,2)|0)-1|0;da=c[h>>2]|0;if((da&4|0)==0&(ca|0)<12){c[j+16>>2]=ca;break a}else{c[h>>2]=da|4;break a}break};case 68:{da=e|0;c[E>>2]=c[da>>2];c[F>>2]=c[f>>2];BN(D,d,E,F,g,h,j,513376,513408);c[da>>2]=c[D>>2];break};case 89:{c[m>>2]=c[f>>2];da=ON(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=da-1900;break};case 98:case 66:case 104:{da=c[f>>2]|0;ca=d+8|0;aa=Xd[c[(c[ca>>2]|0)+4>>2]&255](ca)|0;c[w>>2]=da;da=(nM(e,w,aa,aa+288|0,ba,h,0)|0)-aa|0;if((da|0)>=288){break a}c[j+16>>2]=((da|0)/12|0|0)%12|0;break};case 110:case 116:{c[J>>2]=c[f>>2];LN(0,e,J,h,ba);break};case 112:{c[K>>2]=c[f>>2];MN(d,j+8|0,e,K,h,ba);break};case 77:{c[q>>2]=c[f>>2];da=ON(e,q,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<60){c[j+4>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 99:{aa=d+8|0;da=Xd[c[(c[aa>>2]|0)+12>>2]&255](aa)|0;aa=e|0;c[B>>2]=c[aa>>2];c[C>>2]=c[f>>2];ca=a[da]|0;if((ca&1)==0){ja=(ca&255)>>>1;ka=da+4|0;la=da+4|0}else{ca=c[da+8>>2]|0;ja=c[da+4>>2]|0;ka=ca;la=ca}BN(A,d,B,C,g,h,j,ka,la+(ja<<2)|0);c[aa>>2]=c[A>>2];break};case 37:{c[Z>>2]=c[f>>2];NN(0,e,Z,h,ba);break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Ad(4)|0;JS(l);vc(l|0,519944,180)}function LN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=Xd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=Xd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=Xd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(Zd[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){Xd[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=Xd[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=Xd[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function MN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Xd[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=nM(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function NN(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=Xd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=Xd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=Xd[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((Zd[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){Xd[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=Xd[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=Xd[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function ON(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=Xd[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=Xd[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=Xd[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(Zd[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(Zd[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){Xd[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=Xd[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=Xd[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(Zd[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((Zd[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){Xd[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function PN(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((e|0)==(c[138960]|0)){f=b|0;nI(f);g=b;kT(g);return}Ub(c[d>>2]|0);f=b|0;nI(f);g=b;kT(g);return}function QN(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((e|0)==(c[138960]|0)){f=b|0;nI(f);return}Ub(c[d>>2]|0);f=b|0;nI(f);return}function RN(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=ld(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(ge[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function SN(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((e|0)==(c[138960]|0)){f=b|0;nI(f);g=b;kT(g);return}Ub(c[d>>2]|0);f=b|0;nI(f);g=b;kT(g);return}function TN(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((e|0)==(c[138960]|0)){f=b|0;nI(f);return}Ub(c[d>>2]|0);f=b|0;nI(f);return}function UN(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;VN(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=ge[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function VN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;ld(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=fd(c[g>>2]|0)|0;g=fS(d,m,n,l)|0;if((f|0)!=0){fd(f|0)|0}if((g|0)==-1){RO(43264)}else{c[e>>2]=d+(g<<2);i=j;return}}function WN(a){a=a|0;nI(a|0);kT(a);return}function XN(a){a=a|0;nI(a|0);return}function YN(a){a=a|0;return 127}function ZN(a){a=a|0;return 127}function _N(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function $N(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function aO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function bO(a,b){a=a|0;b=b|0;VI(a,1,45);return}function cO(a){a=a|0;return 0}function dO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function eO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function fO(a){a=a|0;nI(a|0);kT(a);return}function gO(a){a=a|0;nI(a|0);return}function hO(a){a=a|0;return 127}function iO(a){a=a|0;return 127}function jO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function kO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function lO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function mO(a,b){a=a|0;b=b|0;VI(a,1,45);return}function nO(a){a=a|0;return 0}function oO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function pO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function qO(a){a=a|0;nI(a|0);kT(a);return}function rO(a){a=a|0;nI(a|0);return}function sO(a){a=a|0;return 2147483647}function tO(a){a=a|0;return 2147483647}function uO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function vO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function wO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function xO(a,b){a=a|0;b=b|0;AJ(a,1,45);return}function yO(a){a=a|0;return 0}function zO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function AO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function BO(a){a=a|0;nI(a|0);kT(a);return}function CO(a){a=a|0;nI(a|0);return}function DO(a){a=a|0;return 2147483647}function EO(a){a=a|0;return 2147483647}function FO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function GO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function HO(a,b){a=a|0;b=b|0;HT(a|0,0,12)|0;return}function IO(a,b){a=a|0;b=b|0;AJ(a,1,45);return}function JO(a){a=a|0;return 0}function KO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function LO(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function MO(a){a=a|0;nI(a|0);kT(a);return}function NO(a){a=a|0;nI(a|0);return}function OO(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=212;w=m+100|0;VJ(p,h);m=p|0;x=c[m>>2]|0;if(!((c[139318]|0)==-1)){c[l>>2]=557272;c[l+4>>2]=20;c[l+8>>2]=0;KI(557272,l,122)}l=(c[139319]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(QO(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;je[c[(c[z>>2]|0)+32>>2]&127](A,513224,513234,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=cT(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}pT();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[513224+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=vb(D|0,503440,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}dT(J);break}M=Ad(8)|0;vI(M,502032);vc(M|0,519960,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((Xd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((Xd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;pI(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Ud[c[v>>2]&511](B);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function PO(a){a=a|0;return}function QO(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;HT(D|0,0,12)|0;E=w;HT(E|0,0,12)|0;F=x;HT(F|0,0,12)|0;G=y;HT(G|0,0,12)|0;H=z;HT(H|0,0,12)|0;UO(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=212;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((Xd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((Xd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 3:{aa=a[F]|0;ha=(aa&1)==0;if(ha){ia=(aa&255)>>>1}else{ia=c[L>>2]|0}ja=a[G]|0;ka=(ja&1)==0;if(ka){la=(ja&255)>>>1}else{la=c[I>>2]|0}if((ia|0)==(-la|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(ha){sa=(aa&255)>>>1}else{sa=c[L>>2]|0}do{if((sa|0)!=0){if(ka){ta=(ja&255)>>>1}else{ta=c[I>>2]|0}if((ta|0)==0){break}ua=c[g>>2]|0;va=c[ua+12>>2]|0;wa=c[ua+16>>2]|0;if((va|0)==(wa|0)){xa=(Xd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255;ya=c[g>>2]|0;za=xa;Aa=a[F]|0;Ba=ya;Ca=c[ya+12>>2]|0;Da=c[ya+16>>2]|0}else{za=a[va]|0;Aa=aa;Ba=ua;Ca=va;Da=wa}wa=Ba+12|0;va=(Ca|0)==(Da|0);if(za<<24>>24==(a[(Aa&1)==0?K:c[M>>2]|0]|0)){if(va){Xd[c[(c[Ba>>2]|0)+40>>2]&255](Ba)|0}else{c[wa>>2]=Ca+1}wa=a[F]|0;if((wa&1)==0){Ea=(wa&255)>>>1}else{Ea=c[L>>2]|0}ma=Ea>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(va){Fa=(Xd[c[(c[Ba>>2]|0)+36>>2]&255](Ba)|0)&255}else{Fa=a[Ca]|0}if(!(Fa<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}va=c[g>>2]|0;wa=va+12|0;ua=c[wa>>2]|0;if((ua|0)==(c[va+16>>2]|0)){Xd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[wa>>2]=ua+1}a[l]=1;ua=a[G]|0;if((ua&1)==0){Ga=(ua&255)>>>1}else{Ga=c[I>>2]|0}ma=Ga>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}while(0);if(ha){Ha=(aa&255)>>>1}else{Ha=c[L>>2]|0}ka=c[g>>2]|0;ua=c[ka+12>>2]|0;wa=(ua|0)==(c[ka+16>>2]|0);if((Ha|0)==0){if(wa){va=(Xd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;Ia=va;Ja=a[G]|0}else{Ia=a[ua]|0;Ja=ja}if(!(Ia<<24>>24==(a[(Ja&1)==0?m:c[J>>2]|0]|0))){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}va=c[g>>2]|0;ya=va+12|0;xa=c[ya>>2]|0;if((xa|0)==(c[va+16>>2]|0)){Xd[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[ya>>2]=xa+1}a[l]=1;xa=a[G]|0;if((xa&1)==0){Ka=(xa&255)>>>1}else{Ka=c[I>>2]|0}ma=Ka>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(wa){wa=(Xd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;La=wa;Ma=a[F]|0}else{La=a[ua]|0;Ma=aa}if(!(La<<24>>24==(a[(Ma&1)==0?K:c[M>>2]|0]|0))){a[l]=1;ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}ua=c[g>>2]|0;wa=ua+12|0;ka=c[wa>>2]|0;if((ka|0)==(c[ua+16>>2]|0)){Xd[c[(c[ua>>2]|0)+40>>2]&255](ua)|0}else{c[wa>>2]=ka+1}ka=a[F]|0;if((ka&1)==0){Na=(ka&255)>>>1}else{Na=c[L>>2]|0}ma=Na>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break};case 0:{ba=42;break};case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}ka=c[g>>2]|0;wa=c[ka+12>>2]|0;if((wa|0)==(c[ka+16>>2]|0)){Oa=(Xd[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255}else{Oa=a[wa]|0}if(Oa<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(Oa<<24>>24<<1)>>1]&8192)==0){ba=41;break a}wa=c[g>>2]|0;ka=wa+12|0;ua=c[ka>>2]|0;if((ua|0)==(c[wa+16>>2]|0)){Pa=(Xd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0)&255}else{c[ka>>2]=ua+1;Pa=a[ua]|0}pJ(z,Pa);ba=42;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){ma=0;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}ua=a[E]|0;ka=(ua&1)==0;wa=ka?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ua;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}xa=wa+(ka?(ua&255)>>>1:c[P>>2]|0)|0;ya=wa;while(1){if((ya|0)==(xa|0)){Va=xa;break}va=a[ya]|0;if(va<<24>>24<0){Va=ya;break}if((b[(c[f>>2]|0)+(va<<24>>24<<1)>>1]&8192)==0){Va=ya;break}else{ya=ya+1|0}}ya=Va-wa|0;xa=a[H]|0;va=(xa&1)==0;if(va){Wa=(xa&255)>>>1}else{Wa=c[T>>2]|0}if(ya>>>0>Wa>>>0){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}if(va){va=(xa&255)>>>1;Xa=va;Ya=R;Za=va-ya+(Q+1)|0}else{va=c[S>>2]|0;xa=c[T>>2]|0;Xa=xa;Ya=va;Za=va+(xa-ya)|0}ya=Ya+Xa|0;if((Za|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break c}xa=_a+1|0;if((xa|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=xa;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ua=c[g>>2]|0;do{if((ua|0)==0){cb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){cb=ua;break}if((Xd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ua=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ua){eb=Ta;fb=Ua;break}else{break d}}if((Xd[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ua^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ua){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ka=c[wa+12>>2]|0;if((ka|0)==(c[wa+16>>2]|0)){gb=(Xd[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ka]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ka=c[g>>2]|0;wa=ka+12|0;aa=c[wa>>2]|0;if((aa|0)==(c[ka+16>>2]|0)){Xd[c[(c[ka>>2]|0)+40>>2]&255](ka)|0}else{c[wa>>2]=aa+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}aa=a[E]|0;if((aa&1)==0){hb=(aa&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}else{ba=189;break a}break};case 4:{aa=0;wa=C;ka=Y;ja=X;ha=p;ya=n;e:while(1){xa=c[g>>2]|0;do{if((xa|0)==0){jb=0}else{if((c[xa+12>>2]|0)!=(c[xa+16>>2]|0)){jb=xa;break}if((Xd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);xa=(jb|0)==0;ua=c[e>>2]|0;do{if((ua|0)==0){ba=202}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){if(xa){break}else{break e}}if((Xd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[e>>2]=0;ba=202;break}else{if(xa){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(xa){break}}ua=c[g>>2]|0;va=c[ua+12>>2]|0;if((va|0)==(c[ua+16>>2]|0)){kb=(Xd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255}else{kb=a[va]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}va=c[o>>2]|0;if((va|0)==(ya|0)){ua=(c[W>>2]|0)!=212;lb=c[h>>2]|0;mb=ya-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=fT(ua?lb:0,nb)|0;if((ob|0)==0){pT()}do{if(ua){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}Ud[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=100;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=ya;rb=va}c[o>>2]=rb+1;a[rb]=kb;sb=aa+1|0;tb=wa;ub=ka;vb=ja;wb=ha;xb=qb}}while(0);if((ba|0)==221){ba=0;xa=a[D]|0;if((xa&1)==0){yb=(xa&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(aa|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ka|0)==(wa|0)){xa=ka-ja|0;ob=xa>>>0<2147483647>>>0?xa<<1:-1;if((ha|0)==212){zb=0}else{zb=ja}ua=fT(zb,ob)|0;lb=ua;if((ua|0)==0){pT()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(xa>>2<<2)|0;Cb=lb;Db=100}else{Ab=wa;Bb=ka;Cb=ja;Db=ha}c[Bb>>2]=aa;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=ya}lb=c[g>>2]|0;xa=lb+12|0;ob=c[xa>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){Xd[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}else{c[xa>>2]=ob+1;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}}if((ja|0)==(ka|0)|(aa|0)==0){Eb=wa;Fb=ka;Gb=ja;Hb=ha}else{if((ka|0)==(wa|0)){ob=ka-ja|0;xa=ob>>>0<2147483647>>>0?ob<<1:-1;if((ha|0)==212){Ib=0}else{Ib=ja}lb=fT(Ib,xa)|0;ua=lb;if((lb|0)==0){pT()}Jb=ua+(xa>>>2<<2)|0;Kb=ua+(ob>>2<<2)|0;Lb=ua;Mb=100}else{Jb=wa;Kb=ka;Lb=ja;Mb=ha}c[Kb>>2]=aa;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ua=c[g>>2]|0;do{if((ua|0)==0){Nb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){Nb=ua;break}if((Xd[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ua=(Nb|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=257}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(ua){Ob=aa;break}else{ba=264;break a}}if((Xd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ua){Ob=aa;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ua){ba=264;break a}else{Ob=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Pb=(Xd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Pb=a[ha]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){Xd[c[(c[ha>>2]|0)+40>>2]&255](ha)|0;Qb=ya;Rb=Ob;Sb=Ob}else{c[aa>>2]=ja+1;Qb=ya;Rb=Ob;Sb=Ob}while(1){ja=c[g>>2]|0;do{if((ja|0)==0){Tb=0}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){Tb=ja;break}if((Xd[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ja=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ja){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((Xd[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ja^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ja){ba=288;break a}else{Vb=Ub;Wb=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Xb=(Xd[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Xb=a[ha]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}ha=c[o>>2]|0;if((ha|0)==(Qb|0)){aa=(c[W>>2]|0)!=212;ka=c[h>>2]|0;wa=Qb-ka|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;xa=fT(aa?ka:0,ob)|0;if((xa|0)==0){pT()}do{if(aa){c[h>>2]=xa;Yb=xa}else{ka=c[h>>2]|0;c[h>>2]=xa;if((ka|0)==0){Yb=xa;break}Ud[c[W>>2]&511](ka);Yb=c[h>>2]|0}}while(0);c[W>>2]=100;xa=Yb+wa|0;c[o>>2]=xa;Zb=(c[h>>2]|0)+ob|0;_b=xa}else{Zb=Qb;_b=ha}xa=c[g>>2]|0;aa=c[xa+12>>2]|0;if((aa|0)==(c[xa+16>>2]|0)){ja=(Xd[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)&255;$b=ja;ac=c[o>>2]|0}else{$b=a[aa]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;aa=(c[A>>2]|0)-1|0;c[A>>2]=aa;ja=c[g>>2]|0;xa=ja+12|0;ka=c[xa>>2]|0;if((ka|0)==(c[ja+16>>2]|0)){Xd[c[(c[ja>>2]|0)+40>>2]&255](ja)|0}else{c[xa>>2]=ka+1}if((aa|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=ya}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{ma=Z;na=Eb;oa=Fb;pa=Gb;qa=Hb;ra=bc}break};default:{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((Xd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}if((Xd[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}else{gc=0;hc=fc}}ha=c[g>>2]|0;ob=c[ha+12>>2]|0;if((ob|0)==(c[ha+16>>2]|0)){ic=(Xd[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}ob=c[g>>2]|0;ha=ob+12|0;wa=c[ha>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(Xd[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[ha>>2]=wa+1;jc=a[wa]|0}pJ(z,jc);cc=gc;dc=hc}}}while(0);ya=r+1|0;if(ya>>>0<4>>>0){n=ra;p=qa;X=pa;Y=oa;C=na;r=ya;Z=ma}else{da=qa;ea=pa;fa=oa;ga=ma;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){ma=ga;oa=ga+1|0;pa=ga+8|0;qa=ga+4|0;Z=1;i:while(1){r=a[ma]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[qa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((Xd[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((Xd[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;na=c[_+12>>2]|0;if((na|0)==(c[_+16>>2]|0)){pc=(Xd[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[na]|0}if((a[ma]&1)==0){qc=oa}else{qc=c[pa>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}na=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){Xd[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=na;continue}else{c[C>>2]=Y+1;Z=na;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;VO(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);ZI(z);ZI(y);ZI(x);ZI(w);ZI(v);if((lc|0)==0){i=q;return kc|0}Ud[mc&511](lc);i=q;return kc|0}function RO(a){a=a|0;var b=0;b=Ad(8)|0;vI(b,a);vc(b|0,519960,36)}function SO(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=212;u=m+100|0;VJ(p,h);m=p|0;v=c[m>>2]|0;if(!((c[139318]|0)==-1)){c[l>>2]=557272;c[l+4>>2]=20;c[l+8>>2]=0;KI(557272,l,122)}l=(c[139319]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(QO(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){pJ(k,ge[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=ge[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}TO(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;pI(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}Ud[c[t>>2]&511](A);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function TO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){sJ(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function UO(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[139436]|0)==-1)){c[p>>2]=557744;c[p+4>>2]=20;c[p+8>>2]=0;KI(557744,p,122)}p=(c[139437]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Ad(4)|0;D=B;JS(D);vc(B|0,519944,180)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Ad(4)|0;D=B;JS(D);vc(B|0,519944,180)}B=b;Vd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Vd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}jJ(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];HT(p|0,0,12)|0;ZI(r);Vd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}jJ(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];HT(p|0,0,12)|0;ZI(s);s=b;a[f]=Xd[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=Xd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Vd[c[(c[D>>2]|0)+20>>2]&127](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}jJ(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];HT(p|0,0,12)|0;ZI(t);Vd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}jJ(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];HT(t|0,0,12)|0;ZI(u);E=Xd[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[139438]|0)==-1)){c[o>>2]=557752;c[o+4>>2]=20;c[o+8>>2]=0;KI(557752,o,122)}o=(c[139439]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Ad(4)|0;G=F;JS(G);vc(F|0,519944,180)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Ad(4)|0;G=F;JS(G);vc(F|0,519944,180)}F=B;Vd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Vd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}jJ(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];HT(l|0,0,12)|0;ZI(w);Vd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}jJ(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];HT(k|0,0,12)|0;ZI(x);x=B;a[f]=Xd[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=Xd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Vd[c[(c[G>>2]|0)+20>>2]&127](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}jJ(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];HT(h|0,0,12)|0;ZI(y);Vd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}jJ(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];HT(j|0,0,12)|0;ZI(z);E=Xd[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function VO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function WO(a){a=a|0;nI(a|0);kT(a);return}function XO(a){a=a|0;nI(a|0);return}function YO(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=212;w=m+400|0;VJ(p,h);m=p|0;x=c[m>>2]|0;if(!((c[139316]|0)==-1)){c[l>>2]=557264;c[l+4>>2]=20;c[l+8>>2]=0;KI(557264,l,122)}l=(c[139317]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(ZO(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;je[c[(c[z>>2]|0)+48>>2]&127](A,513208,513218,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=cT((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}pT();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[513208+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=vb(D|0,503440,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}dT(J);break}M=Ad(8)|0;vI(M,502032);vc(M|0,519960,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=Xd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=Xd[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];pI(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Ud[c[v>>2]&511](B);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function ZO(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;HT(C|0,0,12)|0;D=w;HT(D|0,0,12)|0;E=x;HT(E|0,0,12)|0;F=y;HT(F|0,0,12)|0;G=z;HT(G|0,0,12)|0;aP(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=212;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!(Zd[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=Xd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}FJ(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=Xd[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){Xd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=Xd[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){Xd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=Xd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){Xd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=Xd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){Xd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!(Zd[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=Xd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=Xd[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=Xd[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){Xd[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if(Zd[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){bP(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=212;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=fT(ub,ta)|0;ra=Da;if((Da|0)==0){pT()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=100}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){Xd[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=212;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=fT(Db,ra)|0;Da=ta;if((ta|0)==0){pT()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=100}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){Xd[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=Xd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=Xd[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=Xd[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!(Zd[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){bP(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=Xd[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){Xd[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=Xd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=Xd[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=Xd[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!(Zd[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=Xd[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}FJ(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=Xd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=Xd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=Xd[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){Xd[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;VO(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);BJ(z);BJ(y);BJ(x);BJ(w);ZI(v);if((hc|0)==0){i=p;return gc|0}Ud[ic&511](hc);i=p;return gc|0}function _O(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=212;u=m+400|0;VJ(p,h);m=p|0;v=c[m>>2]|0;if(!((c[139316]|0)==-1)){c[l>>2]=557264;c[l+4>>2]=20;c[l+8>>2]=0;KI(557264,l,122)}l=(c[139317]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(ZO(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){FJ(k,ge[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=ge[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}$O(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];pI(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}Ud[c[t>>2]&511](z);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function $O(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){HJ(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function aP(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[139432]|0)==-1)){c[p>>2]=557728;c[p+4>>2]=20;c[p+8>>2]=0;KI(557728,p,122)}p=(c[139433]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Ad(4)|0;D=B;JS(D);vc(B|0,519944,180)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Ad(4)|0;D=B;JS(D);vc(B|0,519944,180)}B=b;Vd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Vd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}EJ(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];HT(p|0,0,12)|0;BJ(r);Vd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}EJ(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];HT(p|0,0,12)|0;BJ(s);s=b;c[f>>2]=Xd[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=Xd[c[(c[s>>2]|0)+16>>2]&255](B)|0;Vd[c[(c[b>>2]|0)+20>>2]&127](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}jJ(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];HT(p|0,0,12)|0;ZI(t);Vd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}EJ(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];HT(t|0,0,12)|0;BJ(u);E=Xd[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[139434]|0)==-1)){c[o>>2]=557736;c[o+4>>2]=20;c[o+8>>2]=0;KI(557736,o,122)}o=(c[139435]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Ad(4)|0;G=F;JS(G);vc(F|0,519944,180)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Ad(4)|0;G=F;JS(G);vc(F|0,519944,180)}F=B;Vd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Vd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}EJ(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];HT(l|0,0,12)|0;BJ(w);Vd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}EJ(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];HT(k|0,0,12)|0;BJ(x);x=B;c[f>>2]=Xd[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=Xd[c[(c[x>>2]|0)+16>>2]&255](F)|0;Vd[c[(c[B>>2]|0)+20>>2]&127](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}jJ(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];HT(h|0,0,12)|0;ZI(y);Vd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}EJ(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];HT(j|0,0,12)|0;BJ(z);E=Xd[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function bP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=212;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=fT(k,j)|0;k=a;if((a|0)==0){pT()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}Ud[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=100;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function cP(a){a=a|0;nI(a|0);kT(a);return}function dP(a){a=a|0;nI(a|0);return}function eP(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Bb(z|0,100,500920,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);C=YM(m,c[138960]|0,500920,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){pT();E=c[m>>2]|0}else{E=D}D=cT(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}pT();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);VJ(n,g);B=n|0;A=c[B>>2]|0;if(!((c[139318]|0)==-1)){c[l>>2]=557272;c[l+4>>2]=20;c[l+8>>2]=0;KI(557272,l,122)}l=(c[139319]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;je[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}HT(r|0,0,12)|0;D=s;HT(D|0,0,12)|0;z=t;HT(z|0,0,12)|0;fP(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=cT(M)|0;if((D|0)!=0){S=D;T=D;break}pT();S=0;T=0}else{S=K;T=0}}while(0);gP(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];wF(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){dT(T)}ZI(t);ZI(s);ZI(r);pI(c[B>>2]|0)|0;if((H|0)!=0){dT(H)}if((I|0)==0){i=d;return}dT(I);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function fP(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[139436]|0)==-1)){c[p>>2]=557744;c[p+4>>2]=20;c[p+8>>2]=0;KI(557744,p,122)}p=(c[139437]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Ad(4)|0;J=I;JS(J);vc(I|0,519944,180)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Ad(4)|0;J=I;JS(J);vc(I|0,519944,180)}I=e;J=c[e>>2]|0;if(d){Vd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Vd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}jJ(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];HT(q|0,0,12)|0;ZI(s)}else{Vd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Vd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}jJ(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];HT(t|0,0,12)|0;ZI(v)}v=e;a[g]=Xd[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=Xd[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;Vd[c[(c[v>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}jJ(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];HT(u|0,0,12)|0;ZI(w);Vd[c[(c[v>>2]|0)+24>>2]&127](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}jJ(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];HT(w|0,0,12)|0;ZI(x);K=Xd[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[139438]|0)==-1)){c[o>>2]=557752;c[o+4>>2]=20;c[o+8>>2]=0;KI(557752,o,122)}o=(c[139439]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Ad(4)|0;M=L;JS(M);vc(L|0,519944,180)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Ad(4)|0;M=L;JS(M);vc(L|0,519944,180)}L=H;M=c[H>>2]|0;if(d){Vd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Vd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}jJ(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];HT(y|0,0,12)|0;ZI(A)}else{Vd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Vd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}jJ(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];HT(l|0,0,12)|0;ZI(E)}E=H;a[g]=Xd[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=Xd[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;Vd[c[(c[E>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}jJ(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];HT(j|0,0,12)|0;ZI(F);Vd[c[(c[E>>2]|0)+24>>2]&127](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}jJ(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];HT(k|0,0,12)|0;ZI(G);K=Xd[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function gP(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 1:{c[e>>2]=c[f>>2];h=ge[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;I=c[f>>2]|0;c[f>>2]=I+1;a[I]=h;J=H;break};case 3:{h=a[t]|0;I=(h&1)==0;if(I){K=(h&255)>>>1}else{K=c[w>>2]|0}if((K|0)==0){J=H;break a}if(I){L=u}else{L=c[v>>2]|0}I=a[L]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=I;J=H;break};case 2:{I=a[q]|0;h=(I&1)==0;if(h){M=(I&255)>>>1}else{M=c[A>>2]|0}if((M|0)==0|x){J=H;break a}if(h){N=(I&255)>>>1;O=y;P=y}else{I=c[z>>2]|0;N=c[A>>2]|0;O=I;P=I}I=O+N|0;h=c[f>>2]|0;if((P|0)==(I|0)){Q=h}else{R=h;h=P;while(1){a[R]=a[h]|0;S=h+1|0;T=R+1|0;if((S|0)==(I|0)){Q=T;break}else{R=T;h=S}}}c[f>>2]=Q;J=H;break};case 0:{c[e>>2]=c[f>>2];J=H;break};case 4:{h=c[f>>2]|0;R=k?H+1|0:H;I=R;while(1){if(!(I>>>0<i>>>0)){break}S=a[I]|0;if(S<<24>>24<0){break}if((b[(c[p>>2]|0)+(S<<24>>24<<1)>>1]&2048)==0){break}else{I=I+1|0}}S=I;if(B){if(I>>>0>R>>>0){T=R+(-S|0)|0;S=T>>>0<o>>>0?o:T;T=S+r|0;U=I;V=r;W=h;while(1){X=U-1|0;Y=a[X]|0;c[f>>2]=W+1;a[W]=Y;Y=V-1|0;Z=(Y|0)>0;if(!(X>>>0>R>>>0&Z)){break}U=X;V=Y;W=c[f>>2]|0}W=I+S|0;if(Z){_=T;$=W;aa=32}else{ba=0;ca=T;da=W}}else{_=r;$=I;aa=32}if((aa|0)==32){aa=0;ba=ge[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;ca=_;da=$}W=c[f>>2]|0;c[f>>2]=W+1;if((ca|0)>0){V=ca;U=W;while(1){a[U]=ba;Y=V-1|0;X=c[f>>2]|0;c[f>>2]=X+1;if((Y|0)>0){V=Y;U=X}else{ea=X;break}}}else{ea=W}a[ea]=m;fa=da}else{fa=I}if((fa|0)==(R|0)){U=ge[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;V=c[f>>2]|0;c[f>>2]=V+1;a[V]=U}else{U=a[C]|0;V=(U&1)==0;if(V){ga=(U&255)>>>1}else{ga=c[F>>2]|0}if((ga|0)==0){ha=fa;ia=0;ja=0;ka=-1}else{if(V){la=D}else{la=c[E>>2]|0}ha=fa;ia=0;ja=0;ka=a[la]|0}while(1){do{if((ia|0)==(ka|0)){V=c[f>>2]|0;c[f>>2]=V+1;a[V]=n;V=ja+1|0;U=a[C]|0;T=(U&1)==0;if(T){ma=(U&255)>>>1}else{ma=c[F>>2]|0}if(!(V>>>0<ma>>>0)){na=ka;oa=V;pa=0;break}if(T){qa=D}else{qa=c[E>>2]|0}if((a[qa+V|0]|0)==127){na=-1;oa=V;pa=0;break}if(T){ra=D}else{ra=c[E>>2]|0}na=a[ra+V|0]|0;oa=V;pa=0}else{na=ka;oa=ja;pa=ia}}while(0);V=ha-1|0;T=a[V]|0;U=c[f>>2]|0;c[f>>2]=U+1;a[U]=T;if((V|0)==(R|0)){break}else{ha=V;ia=pa+1|0;ja=oa;ka=na}}}I=c[f>>2]|0;if((h|0)==(I|0)){J=R;break a}W=I-1|0;if(W>>>0>h>>>0){sa=h;ta=W}else{J=R;break a}while(1){W=a[sa]|0;a[sa]=a[ta]|0;a[ta]=W;W=sa+1|0;I=ta-1|0;if(W>>>0<I>>>0){sa=W;ta=I}else{J=R;break}}break};default:{J=H}}}while(0);R=G+1|0;if(R>>>0<4>>>0){G=R;H=J}else{break}}J=a[t]|0;t=(J&1)==0;if(t){ua=(J&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(J&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function hP(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;VJ(l,g);x=l|0;y=c[x>>2]|0;if(!((c[139318]|0)==-1)){c[k>>2]=557272;c[k+4>>2]=20;c[k+8>>2]=0;KI(557272,k,122)}k=(c[139319]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(ge[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}HT(p|0,0,12)|0;A=q;HT(A|0,0,12)|0;E=r;HT(E|0,0,12)|0;fP(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=cT(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}pT();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}gP(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];wF(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){ZI(r);ZI(q);ZI(p);X=c[x>>2]|0;Y=X|0;Z=pI(Y)|0;i=d;return}dT(T);ZI(r);ZI(q);ZI(p);X=c[x>>2]|0;Y=X|0;Z=pI(Y)|0;i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function iP(a){a=a|0;nI(a|0);kT(a);return}function jP(a){a=a|0;nI(a|0);return}function kP(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Bb(z|0,100,500920,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);C=YM(m,c[138960]|0,500920,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){pT();E=c[m>>2]|0}else{E=D}D=cT(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}pT();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);VJ(n,g);B=n|0;A=c[B>>2]|0;if(!((c[139316]|0)==-1)){c[l>>2]=557264;c[l+4>>2]=20;c[l+8>>2]=0;KI(557264,l,122)}l=(c[139317]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;je[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}HT(r|0,0,12)|0;F=s;HT(F|0,0,12)|0;z=t;HT(z|0,0,12)|0;lP(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=cT(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}pT();S=0;T=0}else{S=D;T=0}}while(0);mP(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];fN(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){dT(T)}BJ(t);BJ(s);ZI(r);pI(c[B>>2]|0)|0;if((I|0)!=0){dT(I)}if((J|0)==0){i=d;return}dT(J);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function lP(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[139432]|0)==-1)){c[p>>2]=557728;c[p+4>>2]=20;c[p+8>>2]=0;KI(557728,p,122)}p=(c[139433]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Ad(4)|0;J=I;JS(J);vc(I|0,519944,180)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Ad(4)|0;J=I;JS(J);vc(I|0,519944,180)}I=e;J=c[e>>2]|0;if(d){Vd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Vd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}EJ(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];HT(q|0,0,12)|0;BJ(s)}else{Vd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Vd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}EJ(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];HT(t|0,0,12)|0;BJ(v)}v=e;c[g>>2]=Xd[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=Xd[c[(c[v>>2]|0)+16>>2]&255](I)|0;Vd[c[(c[e>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}jJ(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];HT(u|0,0,12)|0;ZI(w);Vd[c[(c[e>>2]|0)+24>>2]&127](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}EJ(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];HT(w|0,0,12)|0;BJ(x);K=Xd[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[139434]|0)==-1)){c[o>>2]=557736;c[o+4>>2]=20;c[o+8>>2]=0;KI(557736,o,122)}o=(c[139435]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Ad(4)|0;M=L;JS(M);vc(L|0,519944,180)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Ad(4)|0;M=L;JS(M);vc(L|0,519944,180)}L=H;M=c[H>>2]|0;if(d){Vd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Vd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}EJ(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];HT(y|0,0,12)|0;BJ(A)}else{Vd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Vd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}EJ(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];HT(l|0,0,12)|0;BJ(E)}E=H;c[g>>2]=Xd[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=Xd[c[(c[E>>2]|0)+16>>2]&255](L)|0;Vd[c[(c[H>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}jJ(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];HT(j|0,0,12)|0;ZI(F);Vd[c[(c[H>>2]|0)+24>>2]&127](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}EJ(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];HT(k|0,0,12)|0;BJ(G);K=Xd[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function mP(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 1:{c[d>>2]=c[e>>2];g=ge[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;E=c[e>>2]|0;c[e>>2]=E+4;c[E>>2]=g;F=D;break};case 3:{g=a[s]|0;E=(g&1)==0;if(E){G=(g&255)>>>1}else{G=c[t>>2]|0}if((G|0)==0){F=D;break a}if(E){H=t}else{H=c[u>>2]|0}E=c[H>>2]|0;g=c[e>>2]|0;c[e>>2]=g+4;c[g>>2]=E;F=D;break};case 2:{E=a[p]|0;g=(E&1)==0;if(g){I=(E&255)>>>1}else{I=c[w>>2]|0}if((I|0)==0|v){F=D;break a}if(g){J=(E&255)>>>1;K=w;L=w}else{E=c[x>>2]|0;J=c[w>>2]|0;K=E;L=E}E=K+(J<<2)|0;g=c[e>>2]|0;if((L|0)==(E|0)){M=g}else{N=(K+(J-1<<2)+(-L|0)|0)>>>2;O=g;P=L;while(1){c[O>>2]=c[P>>2];Q=P+4|0;if((Q|0)==(E|0)){break}O=O+4|0;P=Q}M=g+(N+1<<2)|0}c[e>>2]=M;F=D;break};case 0:{c[d>>2]=c[e>>2];F=D;break};case 4:{P=c[e>>2]|0;O=j?D+4|0:D;E=O;while(1){if(!(E>>>0<h>>>0)){break}if(Zd[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[E>>2]|0)|0){E=E+4|0}else{break}}if(y){do{if(E>>>0>O>>>0){N=E;g=q;Q=c[e>>2]|0;while(1){R=N-4|0;S=Q+4|0;c[Q>>2]=c[R>>2];T=g-1|0;U=(T|0)>0;if(R>>>0>O>>>0&U){N=R;g=T;Q=S}else{break}}c[e>>2]=S;if(U){V=T;W=R;X=34;break}Q=c[e>>2]|0;c[e>>2]=Q+4;Y=Q;Z=R}else{V=q;W=E;X=34}}while(0);do{if((X|0)==34){X=0;Q=ge[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;g=c[e>>2]|0;N=g+4|0;c[e>>2]=N;if((V|0)>0){_=V;$=g;aa=N}else{Y=g;Z=W;break}while(1){c[$>>2]=Q;N=_-1|0;if((N|0)>0){_=N;$=aa;aa=aa+4|0}else{break}}c[e>>2]=g+(V+1<<2);Y=g+(V<<2)|0;Z=W}}while(0);c[Y>>2]=l;ba=Z}else{ba=E}if((ba|0)==(O|0)){Q=ge[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;N=c[e>>2]|0;ca=N+4|0;c[e>>2]=ca;c[N>>2]=Q;da=ca}else{ca=a[z]|0;Q=(ca&1)==0;if(Q){ea=(ca&255)>>>1}else{ea=c[C>>2]|0}if((ea|0)==0){fa=ba;ga=0;ha=0;ia=-1}else{if(Q){ja=A}else{ja=c[B>>2]|0}fa=ba;ga=0;ha=0;ia=a[ja]|0}while(1){do{if((ga|0)==(ia|0)){Q=c[e>>2]|0;c[e>>2]=Q+4;c[Q>>2]=m;Q=ha+1|0;ca=a[z]|0;N=(ca&1)==0;if(N){ka=(ca&255)>>>1}else{ka=c[C>>2]|0}if(!(Q>>>0<ka>>>0)){la=ia;ma=Q;na=0;break}if(N){oa=A}else{oa=c[B>>2]|0}if((a[oa+Q|0]|0)==127){la=-1;ma=Q;na=0;break}if(N){pa=A}else{pa=c[B>>2]|0}la=a[pa+Q|0]|0;ma=Q;na=0}else{la=ia;ma=ha;na=ga}}while(0);g=fa-4|0;Q=c[g>>2]|0;N=c[e>>2]|0;c[e>>2]=N+4;c[N>>2]=Q;if((g|0)==(O|0)){break}else{fa=g;ga=na+1|0;ha=ma;ia=la}}da=c[e>>2]|0}if((P|0)==(da|0)){F=O;break a}E=da-4|0;if(E>>>0>P>>>0){qa=P;ra=E}else{F=O;break a}while(1){E=c[qa>>2]|0;c[qa>>2]=c[ra>>2];c[ra>>2]=E;E=qa+4|0;g=ra-4|0;if(E>>>0<g>>>0){qa=E;ra=g}else{F=O;break}}break};default:{F=D}}}while(0);O=n+1|0;if(O>>>0<4>>>0){n=O;D=F}else{break}}F=a[s]|0;s=(F&1)==0;if(s){sa=(F&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(F&255)>>>1;ua=t;va=t}else{F=c[u>>2]|0;ta=c[t>>2]|0;ua=F;va=F}F=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((F|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-F|0)|0)>>>2;ta=t;ua=F;while(1){c[ta>>2]=c[ua>>2];F=ua+4|0;if((F|0)==(va|0)){break}else{ta=ta+4|0;ua=F}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==16){return}else if((wa|0)==32){c[d>>2]=c[e>>2];return}else{c[d>>2]=b;return}}function nP(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;VJ(l,g);x=l|0;y=c[x>>2]|0;if(!((c[139316]|0)==-1)){c[k>>2]=557264;c[k+4>>2]=20;c[k+8>>2]=0;KI(557264,k,122)}k=(c[139317]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(ge[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}HT(p|0,0,12)|0;A=q;HT(A|0,0,12)|0;E=r;HT(E|0,0,12)|0;lP(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=cT(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}pT();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}mP(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];fN(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){BJ(r);BJ(q);ZI(p);X=c[x>>2]|0;Y=X|0;Z=pI(Y)|0;i=d;return}dT(T);BJ(r);BJ(q);ZI(p);X=c[x>>2]|0;Y=X|0;Z=pI(Y)|0;i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function oP(a){a=a|0;nI(a|0);kT(a);return}function pP(a){a=a|0;nI(a|0);return}function qP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Fd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function rP(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;HT(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{pJ(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Vb(s|0,f|0,g|0,r|0)|0;HT(b|0,0,12)|0;r=ET(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{ZI(j);i=d;return}do{pJ(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);ZI(j);i=d;return}function sP(a,b){a=a|0;b=b|0;$c(((b|0)==-1?-1:b<<1)|0)|0;return}function tP(a){a=a|0;nI(a|0);kT(a);return}function uP(a){a=a|0;nI(a|0);return}function vP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Fd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}



function VI(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){LI(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=iT(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}HT(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function WI(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){MI(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){LI(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;GT(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=iT(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;GT(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function XI(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function YI(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function ZI(b){b=b|0;if((a[b]&1)==0){return}kT(c[b+8>>2]|0);return}function _I(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}rJ(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}KT(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function $I(a,b){a=a|0;b=b|0;return aJ(a,b)|0}function aJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=ET(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}rJ(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}KT(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function bJ(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function cJ(a){a=a|0;return a+1|0}function dJ(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function eJ(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function fJ(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function gJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){hJ(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function hJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){sJ(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}HT(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function iJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){hJ(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function jJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){LI(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=iT(f)|0}else{o=iT(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}GT(k|0,l|0,p+1|0)|0;if(m){kT(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function kJ(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function lJ(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function mJ(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function nJ(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function oJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return qJ(b,g,f)|0}function pJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){sJ(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function qJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){rJ(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}GT(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function rJ(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){LI(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=iT(o)|0;if((g|0)!=0){GT(e|0,k|0,g)|0}if((i|0)!=0){GT(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){GT(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}kT(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function sJ(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){LI(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=iT(n)|0;if((g|0)!=0){GT(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){GT(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}kT(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function tJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;WI(a,b,c,d,0);return}function uJ(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function vJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=ET(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function wJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=BT(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function xJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=ET(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){MI(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=BT(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function yJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){LI(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;GT(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=iT(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;GT(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function zJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){LI(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=FS(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=iT(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=FS(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function AJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){LI(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=HS(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=iT(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=HS(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function BJ(b){b=b|0;if((a[b]&1)==0){return}kT(c[b+8>>2]|0);return}function CJ(a,b){a=a|0;b=b|0;return DJ(a,b,ES(b)|0)|0}function DJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}GJ(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}GS(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function EJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){LI(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=iT(f)|0}else{o=iT(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}FS(k,l,p+1|0)|0;if(m){kT(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function FJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){HJ(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function GJ(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){LI(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=iT(o<<2)|0;if((g|0)!=0){FS(e,k,g)|0}if((i|0)!=0){FS(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){FS(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}kT(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function HJ(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){LI(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=iT(n<<2)|0;if((g|0)!=0){FS(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){FS(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}kT(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function IJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;HT(f|0,0,12)|0;g=ET(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){LI(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=iT(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}GT(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}qJ(b,l,j)|0;return}function JJ(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function KJ(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function LJ(a,b){a=a|0;b=b|0;MJ(a|0,b);return}function MJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=Ad(16)|0;do{if((a[557840]|0)==0){if((ac(557840)|0)==0){break}c[138962]=515216;Fb(168,555848,s|0)|0}}while(0);b=QT(555848,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;HI(e,f,494488);c[e>>2]=514352;vc(e|0,520536,44)}function NJ(a,b){a=a|0;b=b|0;MJ(a|0,c[a+16>>2]|b);return}function OJ(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=514328;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;ke[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}HP(a+28|0);dT(c[d>>2]|0);dT(c[e>>2]|0);dT(c[a+48>>2]|0);dT(c[a+60>>2]|0);return}function PJ(a){a=a|0;OJ(a|0);kT(a);return}function QJ(a){a=a|0;OJ(a|0);return}function RJ(a){a=a|0;OJ(a|0);return}function SJ(a){a=a|0;return c[a+24>>2]|0}function TJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}GP(d,a+28|0);a=JP(d,557272)|0;f=ge[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;HP(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function UJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;GP(e,a+28|0);a=JP(e,557272)|0;f=ge[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;HP(e);i=d;return f|0}function VJ(a,b){a=a|0;b=b|0;GP(a,b+28|0);return}function WJ(a){a=a|0;c[a>>2]=513872;return}function XJ(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;HT(a+32|0,0,40)|0;if((b|0)==0){return}FP(b);return}function YJ(a){a=a|0;c[a>>2]=515520;HP(a+4|0);kT(a);return}function ZJ(a){a=a|0;c[a>>2]=515520;HP(a+4|0);return}function _J(a){a=a|0;c[a>>2]=515520;HP(a+4|0);return}function $J(a,b){a=a|0;b=b|0;GP(a,b+4|0);return}function aK(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=Xd[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function bK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=ge[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function cK(a,b,d){a=a|0;b=b|0;d=d|0;return Zd[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function dK(a){a=a|0;c[a>>2]=515520;FP(a+4|0);HT(a+8|0,0,24)|0;return}function eK(a){a=a|0;return c[a+8>>2]|0}function fK(a){a=a|0;return c[a+12>>2]|0}function gK(a){a=a|0;return c[a+16>>2]|0}function hK(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function iK(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function jK(a){a=a|0;return c[a+20>>2]|0}function kK(a){a=a|0;return c[a+24>>2]|0}function lK(a){a=a|0;return c[a+28>>2]|0}function mK(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function nK(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function oK(a,b){a=a|0;b=b|0;return}function pK(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function qK(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function rK(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function sK(a){a=a|0;return 0}function tK(a){a=a|0;return 0}function uK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=Xd[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function vK(a){a=a|0;return-1|0}function wK(a){a=a|0;var b=0,e=0;if((Xd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function xK(a,b){a=a|0;b=b|0;return-1|0}function yK(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((ge[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function zK(a,b){a=a|0;b=b|0;return-1|0}function AK(a){a=a|0;c[a>>2]=515448;HP(a+4|0);kT(a);return}function BK(a){a=a|0;c[a>>2]=515448;HP(a+4|0);return}function CK(a,b){a=a|0;b=b|0;return}function DK(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function EK(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function FK(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function GK(a){a=a|0;return 0}function HK(a){a=a|0;return 0}function IK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=Xd[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function JK(a){a=a|0;return-1|0}function KK(a){a=a|0;var b=0,d=0;if((Xd[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function LK(a,b){a=a|0;b=b|0;return-1|0}function MK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((ge[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function NK(a,b){a=a|0;b=b|0;return-1|0}function OK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;HT(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}FP(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function PK(a){a=a|0;OJ(a+8|0);kT(a);return}function QK(a){a=a|0;OJ(a+8|0);return}function RK(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;OJ(b+(d+8)|0);kT(b+d|0);return}function SK(a){a=a|0;OJ(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function TK(a,b,c){a=a|0;b=b|0;c=c|0;UK(a,b,c);return}function UK(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){MJ(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){VK(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}GP(h,l+(e+28)|0);e=JP(h,557272)|0;HP(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(Xd[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(Xd[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){Xd[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(Xd[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;MJ(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function VK(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{VK(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Xd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;MJ(h+k|0,c[h+(k+16)>>2]|1)}}while(0);iL(e);i=d;return b|0}function WK(b){b=b|0;return(a[b|0]|0)!=0|0}function XK(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{sb()}}function YK(a){a=a|0;OJ(a+8|0);kT(a);return}function ZK(a){a=a|0;OJ(a+8|0);return}function _K(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;OJ(b+(d+8)|0);kT(b+d|0);return}function $K(a){a=a|0;OJ(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function aL(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{aL(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Xd[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;MJ(h+k|0,c[h+(k+16)>>2]|1)}}while(0);uL(e);i=d;return b|0}function bL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;HT(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}FP(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function cL(a){a=a|0;OJ(a+4|0);kT(a);return}function dL(a){a=a|0;OJ(a+4|0);return}function eL(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;OJ(b+(d+4)|0);kT(b+d|0);return}function fL(a){a=a|0;OJ(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function gL(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){VK(d)|0}a[e]=1;return}function hL(a){a=a|0;iL(a);return}function iL(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(ic()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Xd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;MJ(d+b|0,c[d+(b+16)>>2]|1);return}function jL(b){b=b|0;return(a[b|0]|0)!=0|0}function kL(a,b){a=a|0;b=b|0;return Xd[b&255](a)|0}function lL(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{VK(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;GP(j,o+(q+28)|0);p=JP(j,556920)|0;HP(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){GP(g,o+(r+28)|0);v=JP(g,557272)|0;w=ge[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;HP(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;_d[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;MJ(o+r|0,c[o+(r+16)>>2]|5)}}while(0);iL(h);i=e;return b|0}function mL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{VK(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((ge[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;MJ(l+p|0,c[l+(p+16)>>2]|1)}}while(0);iL(f);i=e;return b|0}function nL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){VK(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((Zd[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;MJ(l+m|0,c[l+(m+16)>>2]|1)}}while(0);iL(g);i=f;return b|0}function oL(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;ae[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function pL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){iL(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{VK(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];ne[n&63](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){iL(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;MJ(m+f|0,c[m+(f+16)>>2]|4);iL(g);i=e;return b|0}function qL(a){a=a|0;OJ(a+4|0);kT(a);return}function rL(a){a=a|0;OJ(a+4|0);return}function sL(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;OJ(b+(d+4)|0);kT(b+d|0);return}function tL(a){a=a|0;OJ(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function uL(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(ic()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Xd[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;MJ(d+b|0,c[d+(b+16)>>2]|1);return}function vL(a){a=a|0;return 497688}function wL(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){RI(a,507104,35);return}else{FI(a,b|0,c);return}}function xL(a){a=a|0;BI(a|0);return}function yL(a){a=a|0;JI(a|0);kT(a);return}function zL(a){a=a|0;JI(a|0);return}function AL(a){a=a|0;OJ(a);kT(a);return}function BL(a){a=a|0;BI(a|0);kT(a);return}function CL(a){a=a|0;nI(a|0);kT(a);return}function DL(a){a=a|0;nI(a|0);return}function EL(a){a=a|0;nI(a|0);return}function FL(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function GL(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){LI(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=iT(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function HL(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function IL(a){a=a|0;nI(a|0);kT(a);return}function JL(a){a=a|0;nI(a|0);return}function KL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function LL(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){LI(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=iT(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function ML(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function NL(a){a=a|0;nI(a|0);kT(a);return}function OL(a){a=a|0;nI(a|0);return}function PL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];de[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==1){a[j]=1}else if((w|0)==0){a[j]=0}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}VJ(r,g);q=r|0;r=c[q>>2]|0;if(!((c[139318]|0)==-1)){c[m>>2]=557272;c[m+4>>2]=20;c[m+8>>2]=0;KI(557272,m,122)}m=(c[139319]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;pI(c[q>>2]|0)|0;VJ(s,g);n=s|0;p=c[n>>2]|0;if(!((c[139222]|0)==-1)){c[l>>2]=556888;c[l+4>>2]=20;c[l+8>>2]=0;KI(556888,l,122)}d=(c[139223]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;pI(c[n>>2]|0)|0;z=t|0;A=x;Vd[c[(c[A>>2]|0)+24>>2]&127](z,y);Vd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(QL(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];ZI(t+12|0);ZI(t|0);i=k;return}}while(0);o=Ad(4)|0;JS(o);vc(o|0,519944,180)}}while(0);k=Ad(4)|0;JS(k);vc(k|0,519944,180)}function QL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=cT(l)|0;if((n|0)!=0){o=n;p=n;break}pT();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((Xd[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((Xd[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=ge[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(ge[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){Xd[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((Xd[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}dT(p);i=k;return $|0}function RL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];SL(a,0,j,k,f,g,h);i=b;return}function SL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;IM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}gJ(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}gJ(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((iM(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Xd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=ER(F,c[o>>2]|0,h,t)|0;VO(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}if((Xd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}function TL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];UL(a,0,j,k,f,g,h);i=b;return}function UL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;IM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}gJ(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}gJ(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((iM(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Xd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=DR(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;VO(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}if((Xd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}function VL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];WL(a,0,j,k,f,g,h);i=b;return}function WL(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==64){u=8}else if((t|0)==0){u=0}else{u=10}t=l|0;IM(n,h,t,m);h=o;HT(h|0,0,12)|0;gJ(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((Xd[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}gJ(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}gJ(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((iM(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){Xd[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=CR(G,c[p>>2]|0,j,u)|0;VO(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;ZI(o);ZI(n);i=e;return}if((Xd[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;ZI(o);ZI(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;ZI(o);ZI(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;ZI(o);ZI(n);i=e;return}function XL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];YL(a,0,j,k,f,g,h);i=b;return}function YL(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;IM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}gJ(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}gJ(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((iM(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Xd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=BR(F,c[o>>2]|0,h,t)|0;VO(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}if((Xd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}function ZL(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];_L(a,0,j,k,f,g,h);i=b;return}function _L(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;IM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}gJ(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}gJ(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((iM(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Xd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=AR(F,c[o>>2]|0,h,t)|0;VO(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}if((Xd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;ZI(n);ZI(m);i=d;return}function $L(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];aM(a,0,j,k,f,g,h);i=b;return}function aM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;IM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}gJ(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}gJ(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((iM(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Xd[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=zR(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;VO(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}if((Xd[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;ZI(n);ZI(m);i=d;return}function bM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];cM(a,0,j,k,f,g,h);i=b;return}function cM(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;JM(n,h,v,l,m);h=o;HT(h|0,0,12)|0;gJ(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Xd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}gJ(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}gJ(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((KM(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Xd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+yR(I,c[p>>2]|0,j);VO(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}if((Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}function dM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];eM(a,0,j,k,f,g,h);i=b;return}function eM(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;JM(n,g,v,l,m);g=o;HT(g|0,0,12)|0;gJ(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Xd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}gJ(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}gJ(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((KM(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Xd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+xR(I,c[p>>2]|0,j);VO(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}if((Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}function fM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];gM(a,0,j,k,f,g,h);i=b;return}function gM(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;JM(n,g,v,l,m);g=o;HT(g|0,0,12)|0;gJ(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Xd[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}gJ(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}gJ(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((KM(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Xd[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+wR(I,c[p>>2]|0,j);VO(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}if((Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;ZI(o);ZI(n);i=d;return}function hM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;HT(m|0,0,12)|0;VJ(n,g);g=n|0;n=c[g>>2]|0;if(!((c[139318]|0)==-1)){c[k>>2]=557272;c[k+4>>2]=20;c[k+8>>2]=0;KI(557272,k,122)}k=(c[139319]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;je[c[(c[u>>2]|0)+32>>2]&127](u,521704,521730,v)|0;pI(c[g>>2]|0)|0;u=o;HT(u|0,0,12)|0;gJ(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((Xd[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}gJ(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}gJ(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(Xd[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((iM(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){Xd[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);F=jM(K,c[138960]|0,406392,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(m);i=d;return}if((Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;ZI(o);ZI(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;ZI(o);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;ZI(o);ZI(m);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function iM(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[521704+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[521704+h|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function jM(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=fd(b|0)|0;b=Ab(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}fd(h|0)|0;i=f;return b|0}function kM(a){a=a|0;nI(a|0);kT(a);return}function lM(a){a=a|0;nI(a|0);return}function mM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];de[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}VJ(r,g);q=r|0;r=c[q>>2]|0;if(!((c[139316]|0)==-1)){c[m>>2]=557264;c[m+4>>2]=20;c[m+8>>2]=0;KI(557264,m,122)}m=(c[139317]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;pI(c[q>>2]|0)|0;VJ(s,g);n=s|0;p=c[n>>2]|0;if(!((c[139220]|0)==-1)){c[l>>2]=556880;c[l+4>>2]=20;c[l+8>>2]=0;KI(556880,l,122)}d=(c[139221]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;pI(c[n>>2]|0)|0;z=t|0;A=x;Vd[c[(c[A>>2]|0)+24>>2]&127](z,y);Vd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(nM(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];BJ(t+12|0);BJ(t|0);i=k;return}}while(0);o=Ad(4)|0;JS(o);vc(o|0,519944,180)}}while(0);k=Ad(4)|0;JS(k);vc(k|0,519944,180)}function nM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=cT(l)|0;if((n|0)!=0){o=n;p=n;break}pT();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=Xd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=Xd[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=ge[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(ge[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){Xd[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}dT(p);i=k;return ca|0}function oM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];pM(a,0,j,k,f,g,h);i=b;return}function pM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;LM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}gJ(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}gJ(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((HM(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Xd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=ER(I,c[o>>2]|0,h,t)|0;VO(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}function qM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];rM(a,0,j,k,f,g,h);i=b;return}function rM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;LM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}gJ(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}gJ(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((HM(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Xd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=DR(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;VO(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;ZI(n);ZI(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;ZI(n);ZI(m);i=d;return}function sM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];tM(a,0,j,k,f,g,h);i=b;return}function tM(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==64){u=8}else if((t|0)==8){u=16}else if((t|0)==0){u=0}else{u=10}t=l|0;LM(n,h,t,m);h=o;HT(h|0,0,12)|0;gJ(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=Xd[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=Xd[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}gJ(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}gJ(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((HM(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){Xd[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=CR(J,c[p>>2]|0,j,u)|0;VO(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=Xd[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;ZI(o);ZI(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;ZI(o);ZI(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;ZI(o);ZI(n);i=e;return}function uM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];vM(a,0,j,k,f,g,h);i=b;return}function vM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;LM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}gJ(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}gJ(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((HM(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Xd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=BR(I,c[o>>2]|0,h,t)|0;VO(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}function wM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];xM(a,0,j,k,f,g,h);i=b;return}function xM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;LM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}gJ(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}gJ(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((HM(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Xd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=AR(I,c[o>>2]|0,h,t)|0;VO(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;ZI(n);ZI(m);i=d;return}function yM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];zM(a,0,j,k,f,g,h);i=b;return}function zM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;LM(m,g,s,l);g=n;HT(g|0,0,12)|0;gJ(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Xd[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Xd[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}gJ(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}gJ(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((HM(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Xd[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=zR(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;VO(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Xd[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Xd[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;ZI(n);ZI(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;ZI(n);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;ZI(n);ZI(m);i=d;return}function AM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];BM(a,0,j,k,f,g,h);i=b;return}function BM(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;MM(n,h,v,l,m);h=o;HT(h|0,0,12)|0;gJ(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Xd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}gJ(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}gJ(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Xd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((NM(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Xd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+yR(L,c[p>>2]|0,j);VO(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Xd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Xd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}function CM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];DM(a,0,j,k,f,g,h);i=b;return}function DM(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;MM(n,g,v,l,m);g=o;HT(g|0,0,12)|0;gJ(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Xd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}gJ(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}gJ(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Xd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((NM(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Xd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+xR(L,c[p>>2]|0,j);VO(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Xd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Xd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}function EM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];FM(a,0,j,k,f,g,h);i=b;return}function FM(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;MM(n,g,v,l,m);g=o;HT(g|0,0,12)|0;gJ(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Xd[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}gJ(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}gJ(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Xd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((NM(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Xd[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+wR(L,c[p>>2]|0,j);VO(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Xd[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Xd[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;ZI(o);ZI(n);i=d;return}function GM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;HT(m|0,0,12)|0;VJ(n,g);g=n|0;n=c[g>>2]|0;if(!((c[139316]|0)==-1)){c[k>>2]=557264;c[k+4>>2]=20;c[k+8>>2]=0;KI(557264,k,122)}k=(c[139317]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;je[c[(c[u>>2]|0)+48>>2]&127](u,521704,521730,v)|0;pI(c[g>>2]|0)|0;u=o;HT(u|0,0,12)|0;gJ(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Xd[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}gJ(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}gJ(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=Xd[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((HM(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){Xd[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);F=jM(N,c[138960]|0,406392,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=Xd[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=Xd[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;ZI(o);ZI(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;ZI(o);ZI(m);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function HM(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}else if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[521704+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}}while(0);e=a[521704+l|0]|0;c[f>>2]=m+1;a[m]=e;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function IM(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;VJ(k,d);d=k|0;k=c[d>>2]|0;if(!((c[139318]|0)==-1)){c[j>>2]=557272;c[j+4>>2]=20;c[j+8>>2]=0;KI(557272,j,122)}j=(c[139319]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}je[c[(c[m>>2]|0)+32>>2]&127](m,521704,521730,e)|0;m=c[d>>2]|0;if(!((c[139222]|0)==-1)){c[h>>2]=556888;c[h+4>>2]=20;c[h+8>>2]=0;KI(556888,h,122)}n=(c[139223]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=Xd[c[(c[p>>2]|0)+16>>2]&255](q)|0;Vd[c[(c[p>>2]|0)+20>>2]&127](b,q);pI(c[d>>2]|0)|0;i=g;return}}while(0);n=Ad(4)|0;JS(n);vc(n|0,519944,180)}}while(0);g=Ad(4)|0;JS(g);vc(g|0,519944,180)}function JM(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;VJ(l,d);d=l|0;l=c[d>>2]|0;if(!((c[139318]|0)==-1)){c[k>>2]=557272;c[k+4>>2]=20;c[k+8>>2]=0;KI(557272,k,122)}k=(c[139319]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}je[c[(c[n>>2]|0)+32>>2]&127](n,521704,521736,e)|0;n=c[d>>2]|0;if(!((c[139222]|0)==-1)){c[j>>2]=556888;c[j+4>>2]=20;c[j+8>>2]=0;KI(556888,j,122)}o=(c[139223]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=Xd[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=Xd[c[(c[s>>2]|0)+16>>2]&255](r)|0;Vd[c[(c[q>>2]|0)+20>>2]&127](b,r);pI(c[d>>2]|0)|0;i=h;return}}while(0);o=Ad(4)|0;JS(o);vc(o|0,519944,180)}}while(0);h=Ad(4)|0;JS(h);vc(h|0,519944,180)}function KM(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[521704+i|0]|0;if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function LM(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;VJ(j,b);b=j|0;j=c[b>>2]|0;if(!((c[139316]|0)==-1)){c[h>>2]=557264;c[h+4>>2]=20;c[h+8>>2]=0;KI(557264,h,122)}h=(c[139317]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}je[c[(c[l>>2]|0)+48>>2]&127](l,521704,521730,d)|0;l=c[b>>2]|0;if(!((c[139220]|0)==-1)){c[g>>2]=556880;c[g+4>>2]=20;c[g+8>>2]=0;KI(556880,g,122)}m=(c[139221]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=Xd[c[(c[o>>2]|0)+16>>2]&255](p)|0;Vd[c[(c[o>>2]|0)+20>>2]&127](a,p);pI(c[b>>2]|0)|0;i=f;return}}while(0);m=Ad(4)|0;JS(m);vc(m|0,519944,180)}}while(0);f=Ad(4)|0;JS(f);vc(f|0,519944,180)}function MM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;VJ(k,b);b=k|0;k=c[b>>2]|0;if(!((c[139316]|0)==-1)){c[j>>2]=557264;c[j+4>>2]=20;c[j+8>>2]=0;KI(557264,j,122)}j=(c[139317]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}je[c[(c[m>>2]|0)+48>>2]&127](m,521704,521736,d)|0;m=c[b>>2]|0;if(!((c[139220]|0)==-1)){c[h>>2]=556880;c[h+4>>2]=20;c[h+8>>2]=0;KI(556880,h,122)}n=(c[139221]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=Xd[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=Xd[c[(c[r>>2]|0)+16>>2]&255](q)|0;Vd[c[(c[p>>2]|0)+20>>2]&127](a,q);pI(c[b>>2]|0)|0;i=g;return}}while(0);n=Ad(4)|0;JS(n);vc(n|0,519944,180)}}while(0);g=Ad(4)|0;JS(g);vc(g|0,519944,180)}function NM(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[521704+n|0]|0;do{if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else if((n|0)==22|(n|0)==23){a[e]=80}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function OM(a){a=a|0;nI(a|0);kT(a);return}function PM(a){a=a|0;nI(a|0);return}function QM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];ae[o&63](b,d,l,f,g,h&1);i=j;return}VJ(m,f);f=m|0;m=c[f>>2]|0;if(!((c[139222]|0)==-1)){c[k>>2]=556888;c[k+4>>2]=20;c[k+8>>2]=0;KI(556888,k,122)}k=(c[139223]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;pI(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Vd[c[o+24>>2]&127](n,d)}else{Vd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((ge[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];ZI(n);i=j;return}}while(0);j=Ad(4)|0;JS(j);vc(j|0,519944,180)}function RM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[513496]|0;a[q+1|0]=a[513497]|0;a[q+2|0]=a[513498]|0;a[q+3|0]=a[513499]|0;a[q+4|0]=a[513500]|0;a[q+5|0]=a[513501]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);v=SM(u,12,c[138960]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;VJ(o,f);TM(u,w,q,x,m,n,o);pI(c[o>>2]|0)|0;c[p>>2]=c[e>>2];wF(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function SM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=fd(d|0)|0;d=gd(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}fd(j|0)|0;i=g;return d|0}function TM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[139318]|0)==-1)){c[m>>2]=557272;c[m+4>>2]=20;c[m+8>>2]=0;KI(557272,m,122)}m=(c[139319]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}q=j;r=c[o>>2]|0;if(!((c[139222]|0)==-1)){c[l>>2]=556888;c[l+4>>2]=20;c[l+8>>2]=0;KI(556888,l,122)}l=(c[139223]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}s=r;Vd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){je[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ge[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=ge[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=ge[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=Xd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=ge[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;ZI(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;ZI(n);i=k;return}}function UM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);t=SM(u,22,c[138960]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;VJ(p,f);TM(u,w,r,x,n,o,p);pI(c[p>>2]|0)|0;c[q>>2]=c[e>>2];wF(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function VM(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[513496]|0;a[q+1|0]=a[513497]|0;a[q+2|0]=a[513498]|0;a[q+3|0]=a[513499]|0;a[q+4|0]=a[513500]|0;a[q+5|0]=a[513501]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);t=SM(u,12,c[138960]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;VJ(o,f);TM(u,w,q,x,m,n,o);pI(c[o>>2]|0)|0;c[p>>2]=c[e>>2];wF(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function WM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);t=SM(u,23,c[138960]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;VJ(p,f);TM(u,w,r,x,n,o,p);pI(c[p>>2]|0)|0;c[q>>2]=c[e>>2];wF(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function XM(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=c[138960]|0;if(y){w=SM(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=SM(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[557832]|0)==0;if(y){do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=YM(m,c[138960]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);w=YM(m,c[138960]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}pT();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=cT(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}pT();H=0;I=0;J=c[m>>2]|0}}while(0);VJ(q,f);ZM(J,F,A,H,o,p,q);pI(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];wF(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){dT(I)}if((D|0)==0){i=d;return}dT(D);i=d;return}function YM(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=fd(b|0)|0;b=Jb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}fd(h|0)|0;i=f;return b|0}function ZM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[139318]|0)==-1)){c[m>>2]=557272;c[m+4>>2]=20;c[m+8>>2]=0;KI(557272,m,122)}m=(c[139319]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Ad(4)|0;r=q;JS(r);vc(q|0,519944,180)}q=j;r=c[o>>2]|0;if(!((c[139222]|0)==-1)){c[l>>2]=556888;c[l+4>>2]=20;c[l+8>>2]=0;KI(556888,l,122)}l=(c[139223]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Ad(4)|0;t=s;JS(t);vc(s|0,519944,180)}s=r;Vd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ge[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ge[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=ge[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((ib(t<<24>>24|0,c[138960]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((Ib(p<<24>>24|0,c[138960]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){je[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=Xd[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=ge[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=ge[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=Xd[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);je[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;ZI(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;ZI(n);i=k;return}function _M(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=c[138960]|0;if(y){w=SM(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=SM(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[557832]|0)==0;if(y){do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=YM(m,c[138960]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);w=YM(m,c[138960]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}pT();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=cT(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}pT();H=0;I=0;J=c[m>>2]|0}}while(0);VJ(q,f);ZM(J,F,A,H,o,p,q);pI(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];wF(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){dT(I)}if((D|0)==0){i=d;return}dT(D);i=d;return}function $M(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[513504]|0;a[o+1|0]=a[513505]|0;a[o+2|0]=a[513506]|0;a[o+3|0]=a[513507]|0;a[o+4|0]=a[513508]|0;a[o+5|0]=a[513509]|0;p=k|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);q=SM(p,20,c[138960]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}VJ(m,f);t=m|0;m=c[t>>2]|0;if(!((c[139318]|0)==-1)){c[j>>2]=557272;c[j+4>>2]=20;c[j+8>>2]=0;KI(557272,j,122)}j=(c[139319]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}pI(c[t>>2]|0)|0;u=l|0;je[c[(c[s>>2]|0)+32>>2]&127](s,p,o,u)|0;s=l+q|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;wF(b,n,u,v,s,f,g);i=d;return}v=l+(r-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;wF(b,n,u,v,s,f,g);i=d;return}}while(0);d=Ad(4)|0;JS(d);vc(d|0,519944,180)}function aN(a){a=a|0;nI(a|0);kT(a);return}function bN(a){a=a|0;nI(a|0);return}function cN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];ae[o&63](b,d,l,f,g,h&1);i=j;return}VJ(m,f);f=m|0;m=c[f>>2]|0;if(!((c[139220]|0)==-1)){c[k>>2]=556880;c[k+4>>2]=20;c[k+8>>2]=0;KI(556880,k,122)}k=(c[139221]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;pI(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Vd[c[o+24>>2]&127](n,d)}else{Vd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=ge[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];BJ(n);i=j;return}}while(0);j=Ad(4)|0;JS(j);vc(j|0,519944,180)}function dN(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[513496]|0;a[q+1|0]=a[513497]|0;a[q+2|0]=a[513498]|0;a[q+3|0]=a[513499]|0;a[q+4|0]=a[513500]|0;a[q+5|0]=a[513501]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);t=SM(u,12,c[138960]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;VJ(o,f);eN(u,w,q,x,m,n,o);pI(c[o>>2]|0)|0;c[p>>2]=c[e>>2];fN(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}



function Pl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function Ql(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g|0]|0;n=((k&3)<<4|(a[g+1|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function Rl(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function Sl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 220:case 221:case 222:case 223:{c=8;break};case 216:case 217:case 218:case 219:{c=7;break};case 255:{d=b&255;if((d|0)==255|(d|0)==254){c=0;break a}else{e=7;break a}break};default:{e=7}}}while(0);if((e|0)==7){c=29}i=i;return c|0}function Tl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 19:{k=Vl(j,b+2|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=35;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Ul(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 18:{m=41;break c;break};case 6:{m=35;break c;break};case 5:{m=32;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Vl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=Wl(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function Wl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Sl(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Xl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 15:{k=_l(j,b+2|0,e,f)|0;break a;break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){k=Zl(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=Yl(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 17:{k=$l(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 6:{n=45;break c;break};case 7:{n=48;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{n=66;break c;break};case 7:{n=69;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 5:{n=42;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};case 21:case 9:case 10:{n=74;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 11:{n=93;break e;break};case 6:{n=87;break e;break};case 29:{n=80;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 7:{n=90;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=am(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Yl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Zl(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14832+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function _l(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 21:case 9:case 10:{n=40;break c;break};case 6:{n=34;break c;break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 15:{n=67;break c;break};case 7:{n=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{n=31;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((bm(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((bm(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function $l(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 23:{b=b+2|0;break};case 11:{m=53;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 7:{m=37;break c;break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};case 21:case 9:case 10:{m=40;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function am(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=Sl(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 29:{if((c[12976+((d[14256+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=Sl(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=n;if((b|0)==14){break}o=b;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=53;break a}}l=56;break};case 14:{l=56;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){p=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{p=Sl(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(p|0){case 7:{l=38;break a;break};case 22:case 24:{break};case 5:{l=32;break a;break};case 29:{if((c[12976+((d[9360+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 6:{l=35;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=Sl(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}o=r;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=Sl(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}o=s;if((o|0)==(r|0)){break}switch(o|0){case 0:case 1:case 8:{l=87;break a;break};case 3:{t=Tl(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 2:{l=93;break a;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=Sl(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 11:{l=104;break a;break};case 21:case 9:case 10:{break};case 17:{l=103;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=Sl(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12976+((d[9360+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function bm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)!=108)if((l|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function cm(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=Sl(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 0:case 1:case 8:{l=16;break a;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=Sl(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function dm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==27){k=Yl(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Sl(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function em(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function fm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 20:{c[f>>2]=b+2;k=25;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 19:{k=Jm(j,b+2|0,e,f)|0;break a;break};case 21:case 10:{m=26;break};case 22:case 24:{n=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;m=86;break};case 30:{k=xm(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=18;m=86;break b}if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=19;m=86;break b}else{m=85;break b}break};case 13:{k=Hm(13,j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 16:{k=Im(j,b+2|0,e,f)|0;break a;break};case 15:{k=Dm(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 15:{c[f>>2]=b+2;k=35;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 12:{k=Hm(12,j,b+2|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else if(!((q|0)==21|(q|0)==10)){break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 34:{m=130;break c;break};case 33:{m=133;break c;break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=93;break c}m=95;break};case 23:{b=b+2|0;g=n;if((g|0)==41){n=19}else if((g|0)==18){if((b|0)==(e|0)){m=108;break c}n=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 22:case 24:case 25:case 26:case 27:{m=116;break};case 5:{m=117;break c;break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=114;break c}m=116;break};case 6:{m=120;break c;break};case 7:{m=123;break c;break};default:{n=19}}if((m|0)==116){m=0;b=b+2|0}}break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 15:{m=136;break c;break};case 7:{m=102;break c;break};case 6:{m=99;break c;break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 5:{m=96;break c;break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=n;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function gm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 3:{k=wm(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 2:{k=Am(j,b+2|0,e,f)|0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sl(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function hm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function im(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 0:case 1:case 8:{l=18;break a;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function jm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 3:{l=12;break a;break};case 21:{l=29;break a;break};case 10:{l=16;break a;break};case 9:{l=19;break a;break};case 2:{l=15;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=wm(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function km(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 9:{m=24;break a;break};case 10:{m=21;break a;break};case 30:{m=15;break a;break};case 6:{b=b+3|0;break};case 3:{m=12;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=wm(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=xm(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function lm(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 5:{j=12;break};case 6:{j=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;k=b;b=k+1|0;if((a[e]|0)!=(a[k]|0)){j=18;break a}k=c;c=k+1|0;e=b;b=e+1|0;if((a[k]|0)!=(a[e]|0)){j=20;break a}break};case 7:{e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=7;break a}j=9;break};default:{j=22;break a}}if((j|0)==9){j=0;k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=10;break}j=12}if((j|0)==12){j=0;e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=13;break}k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=15;break}}}if((j|0)==7){l=0;m=l;i=f;return m|0}else if((j|0)==10){l=0;m=l;i=f;return m|0}else if((j|0)==13){l=0;m=l;i=f;return m|0}else if((j|0)==15){l=0;m=l;i=f;return m|0}else if((j|0)==18){l=0;m=l;i=f;return m|0}else if((j|0)==20){l=0;m=l;i=f;return m|0}else if((j|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=Sl(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function mm(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function nm(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function om(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Sl(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function pm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Sl(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 11:case 17:{if((g|0)!=2){break a}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};default:{}}b=b+2|0}i=h;return k|0}function qm(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=el(c)|0;k=j;i=b;return k|0}function rm(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e|0]|0)==0){f=a[e+1|0]|0}else{f=-1}if((f|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==108){g=60;h=g;i=b;return h|0}else if((j|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}else if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}g=0;h=g;i=b;return h|0}function sm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 7:{b=b+4|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function tm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function um(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g+1|0]|0;n=((k&3)<<4|(a[g|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function vm(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function wm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 19:{k=ym(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function xm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 7:{m=38;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function ym(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=zm(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function zm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Sl(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Am(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==20){k=Cm(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=Bm(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=Dm(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 17:{k=Em(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 6:{n=45;break c;break};case 11:{n=99;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 17:{n=101;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{n=63;break c;break};case 7:{n=69;break c;break};case 6:{n=66;break c;break};case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};case 22:case 24:{break};default:{n=72;break c}}b=b+2|0;break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};case 21:case 9:case 10:{n=74;break c;break};case 7:{n=48;break c;break};case 5:{n=42;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 29:{n=80;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 7:{n=90;break e;break};case 6:{n=87;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=Fm(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Bm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};case 0:case 1:case 8:{k=20;break b;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Cm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[20496+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Dm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 5:{n=31;break c;break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 15:{n=67;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 7:{n=37;break c;break};case 6:{n=34;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((Gm(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((Gm(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Em(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 11:{m=53;break c;break};case 23:{b=b+2|0;break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 21:case 9:case 10:{m=40;break c;break};case 7:{m=37;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function Fm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=Sl(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 6:{l=14;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=Sl(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(n|0){case 6:{l=35;break a;break};case 29:{if((c[12976+((d[9360+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 5:{l=32;break a;break};case 7:{l=38;break a;break};case 22:case 24:{break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 5:{l=11;break a;break};case 14:{l=56;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){o=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{o=Sl(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};case 7:{l=17;break a;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 29:{if((c[12976+((d[14256+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=Sl(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=Sl(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 2:{l=93;break a;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=wm(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=Sl(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 17:{l=103;break a;break};case 21:case 9:case 10:{break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=Sl(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 5:{l=117;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12976+((d[9360+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function Gm(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)!=109)if((k|0)==77){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Hm(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=Sl(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=Sl(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function Im(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Sl(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:{break};case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Sl(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=Bm(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function Jm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Sl(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12976+((d[9360+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Sl(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};case 5:{m=31;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12976+((d[14256+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};case 7:{m=37;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function Km(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{l=16;break b}break};case 6:{if((e-b|0)<3){k=-2;break a}if((ge[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;m=18;l=76;break b}if((ge[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 19:{k=vn(j,b+1|0,e,f)|0;break a;break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((ge[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;m=18;l=76;break b}if((ge[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 15:{c[f>>2]=b+1;k=35;break a;break};case 33:{c[f>>2]=b+1;k=36;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 22:case 24:{m=18;b=b+1|0;l=76;break};case 25:case 26:case 27:case 23:{m=19;b=b+1|0;l=76;break};case 29:{l=75;break};case 30:{k=jn(j,b+1|0,e,f)|0;break a;break};case 12:{k=tn(12,j,b+1|0,e,f)|0;break a;break};case 21:case 10:{l=16;break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 13:{k=tn(13,j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((ge[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;m=18;l=76;break b}if((ge[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;m=19;l=76;break b}else{c[f>>2]=b;k=0;break a}break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};case 15:{k=pn(j,b+1|0,e,f)|0;break a;break};case 16:{k=un(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 20:{c[f>>2]=b+1;k=25;break a;break};default:{l=75}}}while(0);if((l|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){l=18;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==9){if((b+1|0)==(e|0)){l=23;break}}else if(!((g|0)==21|(g|0)==10)){break}}if((l|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((l|0)==75){c[f>>2]=b;k=0;break}else if((l|0)==76){c:while(1){if((b|0)==(e|0)){l=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 34:{l=122;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{l=96;break c;break};case 23:{b=b+1|0;g=m;if((g|0)==18){if((b|0)==(e|0)){l=99;break c}m=41;switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){l=109;break c}if((ge[c[j+336>>2]&127](j,b)|0)==0){l=111;break c}b=b+3|0;break};case 29:{l=101;break c;break};case 7:{if((e-b|0)<4){l=114;break c}if((ge[c[j+340>>2]&127](j,b)|0)==0){l=116;break c}b=b+4|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=104;break c}if((ge[c[j+332>>2]&127](j,b)|0)==0){l=106;break c}b=b+2|0;break};default:{m=19}}}else if((g|0)==41){m=19}break};case 33:{l=125;break c;break};case 15:{l=128;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=82;break c}if((ge[c[j+332>>2]&127](j,b)|0)==0){l=84;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){l=92;break c}if((ge[c[j+340>>2]&127](j,b)|0)==0){l=94;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){l=87;break c}if((ge[c[j+336>>2]&127](j,b)|0)==0){l=89;break c}b=b+3|0;break};case 29:{l=79;break c;break};default:{l=131;break c}}}if((l|0)==79){c[f>>2]=b;k=0;break}else if((l|0)==82){k=-2;break}else if((l|0)==84){c[f>>2]=b;k=0;break}else if((l|0)==87){k=-2;break}else if((l|0)==89){c[f>>2]=b;k=0;break}else if((l|0)==92){k=-2;break}else if((l|0)==94){c[f>>2]=b;k=0;break}else if((l|0)==96){c[f>>2]=b;k=m;break}else if((l|0)==99){k=-1;break}else if((l|0)==101){c[f>>2]=b;k=0;break}else if((l|0)==104){k=-2;break}else if((l|0)==106){c[f>>2]=b;k=0;break}else if((l|0)==109){k=-2;break}else if((l|0)==111){c[f>>2]=b;k=0;break}else if((l|0)==114){k=-2;break}else if((l|0)==116){c[f>>2]=b;k=0;break}else if((l|0)==122){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((l|0)==125){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((l|0)==128){if((m|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((l|0)==131){c[f>>2]=b;k=0;break}else if((l|0)==133){k=-m|0;break}}}}while(0);i=h;return k|0}function Lm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 2:{k=mn(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ge[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ge[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 3:{k=hn(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ge[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=43;break b}if((ge[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 7:{if((e-b|0)<4){m=51;break b}if((ge[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){m=47;break b}if((ge[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Mm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ge[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ge[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ge[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=49;break b}if((ge[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((ge[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){m=41;break b}if((ge[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Nm(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 6:{if((e-b|0)<3){k=10;break a}if((ge[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};case 7:{if((e-b|0)<4){k=15;break a}if((ge[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 0:case 1:case 8:{k=19;break a;break};case 5:{if((e-b|0)<2){k=5;break a}if((ge[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function Om(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 10:{k=13;break a;break};case 21:{k=23;break a;break};case 7:{a=a+4|0;break};case 9:{k=16;break a;break};case 3:{k=9;break a;break};case 5:{a=a+2|0;break};case 2:{k=12;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=hn(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Pm(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 9:{k=21;break a;break};case 3:{k=9;break a;break};case 10:{k=18;break a;break};case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 30:{k=12;break a;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=hn(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=jn(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Qm(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 7:{e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=4;break a}j=6;break};case 5:{j=9;break};case 6:{j=6;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{h=c;c=h+1|0;e=b;b=e+1|0;if((a[h]|0)!=(a[e]|0)){j=15;break a}break};default:{j=17;break a}}if((j|0)==6){j=0;e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=7;break}j=9}if((j|0)==9){j=0;h=b;b=h+1|0;e=c;c=e+1|0;if((a[h]|0)!=(a[e]|0)){j=10;break}e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=12;break}}}if((j|0)==4){k=0;l=k;i=f;return l|0}else if((j|0)==7){k=0;l=k;i=f;return l|0}else if((j|0)==10){k=0;l=k;i=f;return l|0}else if((j|0)==12){k=0;l=k;i=f;return l|0}else if((j|0)==15){k=0;l=k;i=f;return l|0}else if((j|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function Rm(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Sm(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 6:{a=a+3|0;break};default:{break a}}}i=c;return a-b|0}function Tm(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function Um(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};default:{}}b=b+1|0}i=h;return k|0}function Vm(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=el(c)|0;h=g;i=b;return h|0}function Wm(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}else if((c|0)==4){d=a[e]|0;if((d|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}else if((d|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}}else if((c|0)==2){do{if((a[e+1|0]|0)==116){c=a[e]|0;if((c|0)==108){f=60;g=f;i=b;return g|0}else if((c|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}f=0;g=f;i=b;return g|0}function Xm(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};case 7:{a=a+4|0;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 6:{a=a+3|0;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function Ym(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};case 21:{if((a[b]|0)==9){k=6;break a}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function Zm(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function _m(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==6){q=j;j=q+2|0;b[q>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}p=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;p=p-65536|0;b[j>>1]=p>>>10|55296;b[j+2>>1]=p&1023|56320;j=j+4|0;m=m+4|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function $m(b,e){b=b|0;e=e|0;b=e;i=i;return c[12976+(((d[14256+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function an(b,e){b=b|0;e=e|0;b=e;i=i;return c[12976+(((d[14256+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function bn(a,b){a=a|0;b=b|0;i=i;return 0}function cn(b,e){b=b|0;e=e|0;b=e;i=i;return c[12976+(((d[9360+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function dn(b,e){b=b|0;e=e|0;b=e;i=i;return c[12976+(((d[9360+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function en(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function fn(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function gn(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function hn(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((ge[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 19:{j=kn(h,a+1|0,b,e)|0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ge[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ge[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((ge[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 18:{k=43;break c;break};case 5:{if((b-a|0)<2){k=29;break c}if((ge[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 7:{if((b-a|0)<4){k=39;break c}if((ge[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function jn(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};case 22:case 24:{a=a+1|0;break};case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ge[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((ge[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((ge[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){k=34;break c}if((ge[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((ge[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 7:{if((b-a|0)<4){k=39;break c}if((ge[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 18:{k=43;break c;break};case 29:{k=26;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function kn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=ln(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function ln(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function mn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 15:{k=pn(j,b+1|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((ge[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{b=b+1|0;break};case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==20){k=on(j,b+1|0,e,f)|0;break a}else if((g|0)==27){k=nn(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}if((ge[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 17:{k=qn(j,b+1|0,e,f)|0;break a;break};case 29:{c[f>>2]=b;k=0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((ge[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=36;break c}if((ge[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 11:{l=100;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=41;break c}if((ge[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};case 17:{l=102;break c;break};case 29:{l=33;break c;break};case 21:case 9:case 10:{l=74;break c;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=68;break c}if((ge[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 22:case 24:{b=b+1|0;break};case 29:{l=55;break c;break};case 5:{if((e-b|0)<2){l=58;break c}if((ge[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((ge[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};default:{l=72;break c}}break};case 7:{if((e-b|0)<4){l=46;break c}if((ge[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 6:{l=84;break e;break};case 21:case 9:case 10:{break};case 5:{l=79;break e;break};case 7:{l=89;break e;break};case 22:case 24:{l=78;break e;break};case 11:{l=94;break e;break};case 17:{l=95;break e;break};case 29:{l=77;break e;break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((ge[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((ge[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((ge[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=rn(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function nn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){l=13;break a}if((ge[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};case 7:{if((e-b|0)<4){l=18;break a}if((ge[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){l=8;break a}if((ge[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 0:case 1:case 8:{l=22;break a;break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function on(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[9352+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function pn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=-2;break a}if((ge[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};case 7:{if((e-b|0)<4){l=-2;break a}if((ge[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=-2;break a}if((ge[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){m=33;break c}if((ge[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 15:{m=71;break c;break};case 29:{m=25;break c;break};case 7:{if((e-b|0)<4){m=38;break c}if((ge[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 21:case 9:case 10:{m=42;break c;break};case 5:{if((e-b|0)<2){m=28;break c}if((ge[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((sn(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){m=53;break d}if((ge[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 5:{if((e-b|0)<2){m=48;break d}if((ge[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};case 0:case 1:case 8:{m=62;break d;break};case 7:{if((e-b|0)<4){m=58;break d}if((ge[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((sn(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function qn(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((ge[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ge[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ge[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 23:{a=a+1|0;break};case 11:{k=52;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((ge[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 29:{k=25;break c;break};case 21:case 9:case 10:{k=42;break c;break};case 5:{if((b-a|0)<2){k=28;break c}if((ge[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ge[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function rn(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=4;break a;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((ge[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((ge[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((ge[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=26;break a;break};case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((ge[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((ge[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((ge[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};default:{l=43;break a}}break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};case 14:{l=55;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((ge[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((ge[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((ge[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 0:case 1:case 8:{l=86;break a;break};case 3:{o=hn(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};case 2:{l=92;break a;break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=106;break a;break};case 22:case 24:{l=107;break b;break};case 5:{l=108;break b;break};case 6:{l=113;break b;break};case 7:{l=118;break b;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};case 17:{l=126;break a;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((ge[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((ge[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((ge[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function sn(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)==76){f=1}else if((j|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function tn(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 6:{if((e-b|0)<3){k=10;break a}if((ge[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};case 0:case 1:case 8:{k=19;break a;break};case 5:{if((e-b|0)<2){k=5;break a}if((ge[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){k=15;break a}if((ge[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function un(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==27){j=nn(h,a+1|0,b,e)|0;break}else if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 30:{k=11;break b;break};case 21:case 9:case 10:{break b;break};case 22:case 24:{break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}f=d[h+76+(d[a+1|0]|0)|0]|0;if((f|0)==21|(f|0)==9|(f|0)==10|(f|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function vn(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{c[e>>2]=a;j=0;break a;break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ge[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((ge[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((ge[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=25;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((ge[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=33;break c}if((ge[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ge[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function wn(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function xn(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function yn(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}



function wP(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;HT(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=515320;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=515320;while(1){c[m>>2]=A;C=(me[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{pJ(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}RO(43264)}}while(0);nI(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Vb(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;HT(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=515264;F=ET(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;nI(G);ZI(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=515264;while(1){c[q>>2]=o;v=(me[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{FJ(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;nI(G);ZI(r);i=d;return}RO(43264)}function xP(a,b){a=a|0;b=b|0;$c(((b|0)==-1?-1:b<<1)|0)|0;return}function yP(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=514736;d=b+8|0;e=c[d>>2]|0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);if((e|0)==(c[138960]|0)){f=b|0;nI(f);return}Ub(c[d>>2]|0);f=b|0;nI(f);return}function zP(a){a=a|0;a=Ad(8)|0;qI(a,499696);c[a>>2]=513648;vc(a|0,519992,50)}function AP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=514992;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);RI(b+144|0,498672,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[138993]=0;c[138992]=514696;if(!((c[139238]|0)==-1)){c[G>>2]=556952;c[G+4>>2]=20;c[G+8>>2]=0;KI(556952,G,122)}BP(b,555968,(c[139239]|0)-1|0);c[138991]=0;c[138990]=514656;if(!((c[139236]|0)==-1)){c[F>>2]=556944;c[F+4>>2]=20;c[F+8>>2]=0;KI(556944,F,122)}BP(b,555960,(c[139237]|0)-1|0);c[139043]=0;c[139042]=515104;c[139044]=0;a[556180]=0;c[139044]=c[(gb()|0)>>2];if(!((c[139318]|0)==-1)){c[E>>2]=557272;c[E+4>>2]=20;c[E+8>>2]=0;KI(557272,E,122)}BP(b,556168,(c[139319]|0)-1|0);c[139041]=0;c[139040]=515024;if(!((c[139316]|0)==-1)){c[D>>2]=557264;c[D+4>>2]=20;c[D+8>>2]=0;KI(557264,D,122)}BP(b,556160,(c[139317]|0)-1|0);c[138995]=0;c[138994]=514792;if(!((c[139242]|0)==-1)){c[C>>2]=556968;c[C+4>>2]=20;c[C+8>>2]=0;KI(556968,C,122)}BP(b,555976,(c[139243]|0)-1|0);c[128299]=0;c[128298]=514736;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);c[128300]=c[138960];if(!((c[139240]|0)==-1)){c[B>>2]=556960;c[B+4>>2]=20;c[B+8>>2]=0;KI(556960,B,122)}BP(b,513192,(c[139241]|0)-1|0);c[138997]=0;c[138996]=514848;if(!((c[139244]|0)==-1)){c[A>>2]=556976;c[A+4>>2]=20;c[A+8>>2]=0;KI(556976,A,122)}BP(b,555984,(c[139245]|0)-1|0);c[138999]=0;c[138998]=514904;if(!((c[139246]|0)==-1)){c[z>>2]=556984;c[z+4>>2]=20;c[z+8>>2]=0;KI(556984,z,122)}BP(b,555992,(c[139247]|0)-1|0);c[138973]=0;c[138972]=514200;a[555896]=46;a[555897]=44;HT(555900,0,12)|0;if(!((c[139222]|0)==-1)){c[y>>2]=556888;c[y+4>>2]=20;c[y+8>>2]=0;KI(556888,y,122)}BP(b,555888,(c[139223]|0)-1|0);c[128291]=0;c[128290]=514152;c[128292]=46;c[128293]=44;HT(513176,0,12)|0;if(!((c[139220]|0)==-1)){c[x>>2]=556880;c[x+4>>2]=20;c[x+8>>2]=0;KI(556880,x,122)}BP(b,513160,(c[139221]|0)-1|0);c[138989]=0;c[138988]=514584;if(!((c[139234]|0)==-1)){c[w>>2]=556936;c[w+4>>2]=20;c[w+8>>2]=0;KI(556936,w,122)}BP(b,555952,(c[139235]|0)-1|0);c[138987]=0;c[138986]=514512;if(!((c[139232]|0)==-1)){c[v>>2]=556928;c[v+4>>2]=20;c[v+8>>2]=0;KI(556928,v,122)}BP(b,555944,(c[139233]|0)-1|0);c[138985]=0;c[138984]=514448;if(!((c[139230]|0)==-1)){c[u>>2]=556920;c[u+4>>2]=20;c[u+8>>2]=0;KI(556920,u,122)}BP(b,555936,(c[139231]|0)-1|0);c[138983]=0;c[138982]=514384;if(!((c[139228]|0)==-1)){c[t>>2]=556912;c[t+4>>2]=20;c[t+8>>2]=0;KI(556912,t,122)}BP(b,555928,(c[139229]|0)-1|0);c[139053]=0;c[139052]=516320;if(!((c[139438]|0)==-1)){c[s>>2]=557752;c[s+4>>2]=20;c[s+8>>2]=0;KI(557752,s,122)}BP(b,556208,(c[139439]|0)-1|0);c[139051]=0;c[139050]=516256;if(!((c[139436]|0)==-1)){c[r>>2]=557744;c[r+4>>2]=20;c[r+8>>2]=0;KI(557744,r,122)}BP(b,556200,(c[139437]|0)-1|0);c[139049]=0;c[139048]=516192;if(!((c[139434]|0)==-1)){c[q>>2]=557736;c[q+4>>2]=20;c[q+8>>2]=0;KI(557736,q,122)}BP(b,556192,(c[139435]|0)-1|0);c[139047]=0;c[139046]=516128;if(!((c[139432]|0)==-1)){c[p>>2]=557728;c[p+4>>2]=20;c[p+8>>2]=0;KI(557728,p,122)}BP(b,556184,(c[139433]|0)-1|0);c[138971]=0;c[138970]=513832;if(!((c[139210]|0)==-1)){c[o>>2]=556840;c[o+4>>2]=20;c[o+8>>2]=0;KI(556840,o,122)}BP(b,555880,(c[139211]|0)-1|0);c[138969]=0;c[138968]=513792;if(!((c[139208]|0)==-1)){c[n>>2]=556832;c[n+4>>2]=20;c[n+8>>2]=0;KI(556832,n,122)}BP(b,555872,(c[139209]|0)-1|0);c[138967]=0;c[138966]=513752;if(!((c[139206]|0)==-1)){c[m>>2]=556824;c[m+4>>2]=20;c[m+8>>2]=0;KI(556824,m,122)}BP(b,555864,(c[139207]|0)-1|0);c[138965]=0;c[138964]=513712;if(!((c[139204]|0)==-1)){c[l>>2]=556816;c[l+4>>2]=20;c[l+8>>2]=0;KI(556816,l,122)}BP(b,555856,(c[139205]|0)-1|0);c[128287]=0;c[128286]=514056;c[128288]=514104;if(!((c[139218]|0)==-1)){c[k>>2]=556872;c[k+4>>2]=20;c[k+8>>2]=0;KI(556872,k,122)}BP(b,513144,(c[139219]|0)-1|0);c[128283]=0;c[128282]=513960;c[128284]=514008;if(!((c[139216]|0)==-1)){c[j>>2]=556864;c[j+4>>2]=20;c[j+8>>2]=0;KI(556864,j,122)}BP(b,513128,(c[139217]|0)-1|0);c[128279]=0;c[128278]=514960;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);c[128280]=c[138960];c[128278]=513928;if(!((c[139214]|0)==-1)){c[h>>2]=556856;c[h+4>>2]=20;c[h+8>>2]=0;KI(556856,h,122)}BP(b,513112,(c[139215]|0)-1|0);c[128275]=0;c[128274]=514960;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);c[128276]=c[138960];c[128274]=513896;if(!((c[139212]|0)==-1)){c[g>>2]=556848;c[g+4>>2]=20;c[g+8>>2]=0;KI(556848,g,122)}BP(b,513096,(c[139213]|0)-1|0);c[138981]=0;c[138980]=514288;if(!((c[139226]|0)==-1)){c[f>>2]=556904;c[f+4>>2]=20;c[f+8>>2]=0;KI(556904,f,122)}BP(b,555920,(c[139227]|0)-1|0);c[138979]=0;c[138978]=514248;if(!((c[139224]|0)==-1)){c[H>>2]=556896;c[H+4>>2]=20;c[H+8>>2]=0;KI(556896,H,122)}BP(b,555912,(c[139225]|0)-1|0);i=e;return}function BP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;oI(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){GR(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}pI(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function CP(a){a=a|0;DP(a);kT(a);return}function DP(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=514992;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{pI(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}ZI(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;nI(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;nI(l);return}else{kT(j);l=b|0;nI(l);return}}function EP(){var b=0,d=0;if((a[557816]|0)!=0){b=c[138952]|0;return b|0}if((ac(557816)|0)==0){b=c[138952]|0;return b|0}do{if((a[557824]|0)==0){if((ac(557824)|0)==0){break}AP(556e3,1);c[138956]=556e3;c[138954]=555824}}while(0);d=c[c[138954]>>2]|0;c[138958]=d;oI(d|0);c[138952]=555832;b=c[138952]|0;return b|0}function FP(a){a=a|0;var b=0;b=c[(EP()|0)>>2]|0;c[a>>2]=b;oI(b|0);return}function GP(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;oI(d|0);return}function HP(a){a=a|0;pI(c[a>>2]|0)|0;return}function IP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;KI(a,e,122)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function JP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;KI(a,e,122)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=Ad(4)|0;h=g;JS(h);vc(g|0,519944,180);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=Ad(4)|0;h=g;JS(h);vc(g|0,519944,180);return 0}else{i=d;return f|0}return 0}function KP(a){a=a|0;nI(a|0);kT(a);return}function LP(a){a=a|0;if((a|0)==0){return}Ud[c[(c[a>>2]|0)+4>>2]&511](a);return}function MP(a){a=a|0;c[a+4>>2]=(I=c[139248]|0,c[139248]=I+1,I)+1;return}function NP(a){a=a|0;nI(a|0);kT(a);return}function OP(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function PP(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(gb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function QP(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function RP(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function SP(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Gd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function TP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Gd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function UP(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Hd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function VP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Hd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function WP(a,b){a=a|0;b=b|0;return b<<24>>24|0}function XP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function YP(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function ZP(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function _P(b){b=b|0;var d=0;c[b>>2]=515104;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}lT(d)}}while(0);nI(b|0);kT(b);return}function $P(b){b=b|0;var d=0;c[b>>2]=515104;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}lT(d)}}while(0);nI(b|0);return}function aQ(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Gd()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function bQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Gd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function cQ(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Hd()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function dQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Hd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function eQ(a,b){a=a|0;b=b|0;return b|0}function fQ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function gQ(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function hQ(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function iQ(a){a=a|0;nI(a|0);kT(a);return}function jQ(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function kQ(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function lQ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function mQ(a){a=a|0;return 1}function nQ(a){a=a|0;return 1}function oQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function pQ(a){a=a|0;return 1}function qQ(a){a=a|0;yP(a);kT(a);return}function rQ(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=fd(c[t>>2]|0)|0;z=iS(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){fd(y|0)|0}if((z|0)==(-1|0)){A=15;break}else if((z|0)==0){B=1;A=50;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){A=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=fd(c[t>>2]|0)|0;z=hS(u,0,d)|0;if((y|0)!=0){fd(y|0)|0}if((z|0)==-1){B=2;A=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){B=1;A=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((A|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=fd(c[t>>2]|0)|0;z=hS(u,s,n)|0;if((p|0)!=0){fd(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;B=2;i=l;return B|0}else if((A|0)==48){r=c[g>>2]|0;break}else if((A|0)==50){i=l;return B|0}}}while(0);B=(r|0)!=(f|0)|0;i=l;return B|0}function sQ(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=fd(c[s>>2]|0)|0;y=eS(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){fd(w|0)|0}if((y|0)==0){z=2;A=49;break}else if((y|0)==(-1|0)){A=15;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){A=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=fd(c[s>>2]|0)|0;F=dS(w,y,1,d)|0;if((E|0)!=0){fd(E|0)|0}if((F|0)!=0){z=2;A=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((A|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=fd(c[s>>2]|0)|0;E=dS(v,r,x-r|0,n)|0;if((o|0)!=0){fd(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-1|0)){A=26;break}else if((E|0)==(-2|0)){A=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((A|0)==26){c[g>>2]=r;z=2;i=l;return z|0}else if((A|0)==27){c[g>>2]=r;z=1;i=l;return z|0}}}while(0);c[g>>2]=H;z=(H|0)!=(f|0)|0;i=l;return z|0}else if((A|0)==47){q=c[g>>2]|0;break}else if((A|0)==49){i=l;return z|0}}}while(0);z=(q|0)!=(f|0)|0;i=l;return z|0}function tQ(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=fd(c[b+8>>2]|0)|0;b=hS(e,0,d)|0;if((j|0)!=0){fd(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function uQ(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=fd(c[b>>2]|0)|0;d=gS(0,0,4)|0;if((a|0)!=0){fd(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=fd(d|0)|0;if((b|0)==0){e=0;return e|0}fd(b|0)|0;e=0;return e|0}function vQ(a){a=a|0;return 0}function wQ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=fd(c[i>>2]|0)|0;l=cS(a,h-a|0,b)|0;if((k|0)!=0){fd(k|0)|0}if((l|0)==0){m=1;n=a+1|0}else if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;o=15;break}else{m=l;n=a+l|0}l=m+d|0;k=j+1|0;if(k>>>0>=f>>>0|(n|0)==(e|0)){g=l;o=15;break}else{a=n;d=l;j=k}}if((o|0)==15){return g|0}return 0}function xQ(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=fd(b|0)|0;if((a|0)==0){d=4;break}fd(a|0)|0;d=4}}while(0);return d|0}function yQ(a){a=a|0;nI(a|0);kT(a);return}function zQ(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=AQ(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function AQ(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function BQ(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=CQ(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function CQ(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function DQ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function EQ(a){a=a|0;return 0}function FQ(a){a=a|0;return 0}function GQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return HQ(c,d,e,1114111,0)|0}function HQ(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function IQ(a){a=a|0;return 4}function JQ(a){a=a|0;nI(a|0);kT(a);return}function KQ(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=LQ(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function LQ(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function MQ(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=NQ(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function NQ(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function OQ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function PQ(a){a=a|0;return 0}function QQ(a){a=a|0;return 0}function RQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return SQ(c,d,e,1114111,0)|0}function SQ(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function TQ(a){a=a|0;return 4}function UQ(a){a=a|0;nI(a|0);kT(a);return}function VQ(a){a=a|0;nI(a|0);kT(a);return}function WQ(a){a=a|0;c[a>>2]=514200;ZI(a+12|0);nI(a|0);kT(a);return}function XQ(a){a=a|0;c[a>>2]=514200;ZI(a+12|0);nI(a|0);return}function YQ(a){a=a|0;c[a>>2]=514152;ZI(a+16|0);nI(a|0);kT(a);return}function ZQ(a){a=a|0;c[a>>2]=514152;ZI(a+16|0);nI(a|0);return}function _Q(b){b=b|0;return a[b+8|0]|0}function $Q(a){a=a|0;return c[a+8>>2]|0}function aR(b){b=b|0;return a[b+9|0]|0}function bR(a){a=a|0;return c[a+12>>2]|0}function cR(a,b){a=a|0;b=b|0;PI(a,b+12|0);return}function dR(a,b){a=a|0;b=b|0;PI(a,b+16|0);return}function eR(a,b){a=a|0;b=b|0;RI(a,491712,4);return}function fR(a,b){a=a|0;b=b|0;zJ(a,490776,ES(490776)|0);return}function gR(a,b){a=a|0;b=b|0;RI(a,489280,5);return}function hR(a,b){a=a|0;b=b|0;zJ(a,488840,ES(488840)|0);return}function iR(b){b=b|0;var d=0;if((a[557912]|0)!=0){d=c[139078]|0;return d|0}if((ac(557912)|0)==0){d=c[139078]|0;return d|0}do{if((a[557800]|0)==0){if((ac(557800)|0)==0){break}HT(555352,0,168)|0;Fb(334,0,s|0)|0}}while(0);aJ(555352,506632)|0;aJ(555364,505992)|0;aJ(555376,505680)|0;aJ(555388,505528)|0;aJ(555400,505360)|0;aJ(555412,505248)|0;aJ(555424,505104)|0;aJ(555436,505064)|0;aJ(555448,504624)|0;aJ(555460,504320)|0;aJ(555472,504168)|0;aJ(555484,503584)|0;aJ(555496,503448)|0;aJ(555508,503408)|0;c[139078]=555352;d=c[139078]|0;return d|0}function jR(b){b=b|0;var d=0;if((a[557856]|0)!=0){d=c[139056]|0;return d|0}if((ac(557856)|0)==0){d=c[139056]|0;return d|0}do{if((a[557776]|0)==0){if((ac(557776)|0)==0){break}HT(554608,0,168)|0;Fb(118,0,s|0)|0}}while(0);CJ(554608,510768)|0;CJ(554620,510568)|0;CJ(554632,510376)|0;CJ(554644,510320)|0;CJ(554656,509840)|0;CJ(554668,509528)|0;CJ(554680,508824)|0;CJ(554692,508160)|0;CJ(554704,507912)|0;CJ(554716,507640)|0;CJ(554728,507488)|0;CJ(554740,507352)|0;CJ(554752,507224)|0;CJ(554764,506992)|0;c[139056]=554608;d=c[139056]|0;return d|0}function kR(b){b=b|0;var d=0;if((a[557904]|0)!=0){d=c[139076]|0;return d|0}if((ac(557904)|0)==0){d=c[139076]|0;return d|0}do{if((a[557792]|0)==0){if((ac(557792)|0)==0){break}HT(555064,0,288)|0;Fb(216,0,s|0)|0}}while(0);aJ(555064,26e3)|0;aJ(555076,25760)|0;aJ(555088,25640)|0;aJ(555100,25552)|0;aJ(555112,25440)|0;aJ(555124,25240)|0;aJ(555136,25160)|0;aJ(555148,24952)|0;aJ(555160,24728)|0;aJ(555172,24496)|0;aJ(555184,23296)|0;aJ(555196,23024)|0;aJ(555208,22952)|0;aJ(555220,22696)|0;aJ(555232,22584)|0;aJ(555244,22480)|0;aJ(555256,25440)|0;aJ(555268,22328)|0;aJ(555280,22184)|0;aJ(555292,512624)|0;aJ(555304,512184)|0;aJ(555316,511648)|0;aJ(555328,511544)|0;aJ(555340,511248)|0;c[139076]=555064;d=c[139076]|0;return d|0}function lR(b){b=b|0;var d=0;if((a[557848]|0)!=0){d=c[139054]|0;return d|0}if((ac(557848)|0)==0){d=c[139054]|0;return d|0}do{if((a[557768]|0)==0){if((ac(557768)|0)==0){break}HT(554320,0,288)|0;Fb(166,0,s|0)|0}}while(0);CJ(554320,34392)|0;CJ(554332,34184)|0;CJ(554344,33936)|0;CJ(554356,33640)|0;CJ(554368,28616)|0;CJ(554380,31984)|0;CJ(554392,31568)|0;CJ(554404,31368)|0;CJ(554416,31144)|0;CJ(554428,30832)|0;CJ(554440,30584)|0;CJ(554452,30384)|0;CJ(554464,30224)|0;CJ(554476,29880)|0;CJ(554488,29624)|0;CJ(554500,28944)|0;CJ(554512,28616)|0;CJ(554524,28384)|0;CJ(554536,28008)|0;CJ(554548,27600)|0;CJ(554560,27280)|0;CJ(554572,27176)|0;CJ(554584,27016)|0;CJ(554596,26832)|0;c[139054]=554320;d=c[139054]|0;return d|0}function mR(b){b=b|0;var d=0;if((a[557920]|0)!=0){d=c[139080]|0;return d|0}if((ac(557920)|0)==0){d=c[139080]|0;return d|0}do{if((a[557808]|0)==0){if((ac(557808)|0)==0){break}HT(555520,0,288)|0;Fb(164,0,s|0)|0}}while(0);aJ(555520,35296)|0;aJ(555532,35e3)|0;c[139080]=555520;d=c[139080]|0;return d|0}function nR(b){b=b|0;var d=0;if((a[557864]|0)!=0){d=c[139058]|0;return d|0}if((ac(557864)|0)==0){d=c[139058]|0;return d|0}do{if((a[557784]|0)==0){if((ac(557784)|0)==0){break}HT(554776,0,288)|0;Fb(306,0,s|0)|0}}while(0);CJ(554776,37176)|0;CJ(554788,35904)|0;c[139058]=554776;d=c[139058]|0;return d|0}function oR(b){b=b|0;if((a[557928]|0)!=0){return 556328}if((ac(557928)|0)==0){return 556328}RI(556328,487520,8);Fb(326,556328,s|0)|0;return 556328}function pR(b){b=b|0;if((a[557872]|0)!=0){return 556240}if((ac(557872)|0)==0){return 556240}zJ(556240,486720,ES(486720)|0);Fb(86,556240,s|0)|0;return 556240}function qR(b){b=b|0;if((a[557952]|0)!=0){return 556376}if((ac(557952)|0)==0){return 556376}RI(556376,485112,8);Fb(326,556376,s|0)|0;return 556376}function rR(b){b=b|0;if((a[557896]|0)!=0){return 556288}if((ac(557896)|0)==0){return 556288}zJ(556288,484136,ES(484136)|0);Fb(86,556288,s|0)|0;return 556288}function sR(b){b=b|0;if((a[557944]|0)!=0){return 556360}if((ac(557944)|0)==0){return 556360}RI(556360,406096,20);Fb(326,556360,s|0)|0;return 556360}function tR(b){b=b|0;if((a[557888]|0)!=0){return 556272}if((ac(557888)|0)==0){return 556272}zJ(556272,46072,ES(46072)|0);Fb(86,556272,s|0)|0;return 556272}function uR(b){b=b|0;if((a[557936]|0)!=0){return 556344}if((ac(557936)|0)==0){return 556344}RI(556344,45296,11);Fb(326,556344,s|0)|0;return 556344}function vR(b){b=b|0;if((a[557880]|0)!=0){return 556256}if((ac(557880)|0)==0){return 556256}zJ(556256,44200,ES(44200)|0);Fb(86,556256,s|0)|0;return 556256}function wR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Yc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=+AT(b,g,c[138960]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function xR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Yc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=+AT(b,g,c[138960]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function yR(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Yc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);l=+AT(b,g,c[138960]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function zR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=Yc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);n=Bc(b|0,h|0,f|0,c[138960]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function AR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Yc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[138960]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function BR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Yc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[138960]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function CR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Yc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);m=Bc(b|0,h|0,f|0,c[138960]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function DR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=Yc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);n=Hc(b|0,h|0,f|0,c[138960]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function ER(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=Yc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[557832]|0)==0){if((ac(557832)|0)==0){break}c[138960]=ob(2147483647,498672,0)|0}}while(0);m=Hc(b|0,h|0,f|0,c[138960]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function FR(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;Ud[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;Ud[f&511](a);return}}function GR(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){zP(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=iT(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;GT(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{kT(g);return}}function HR(a){a=a|0;BJ(555052);BJ(555040);BJ(555028);BJ(555016);BJ(555004);BJ(554992);BJ(554980);BJ(554968);BJ(554956);BJ(554944);BJ(554932);BJ(554920);BJ(554908);BJ(554896);BJ(554884);BJ(554872);BJ(554860);BJ(554848);BJ(554836);BJ(554824);BJ(554812);BJ(554800);BJ(554788);BJ(554776);return}function IR(a){a=a|0;ZI(555796);ZI(555784);ZI(555772);ZI(555760);ZI(555748);ZI(555736);ZI(555724);ZI(555712);ZI(555700);ZI(555688);ZI(555676);ZI(555664);ZI(555652);ZI(555640);ZI(555628);ZI(555616);ZI(555604);ZI(555592);ZI(555580);ZI(555568);ZI(555556);ZI(555544);ZI(555532);ZI(555520);return}function JR(a){a=a|0;BJ(554596);BJ(554584);BJ(554572);BJ(554560);BJ(554548);BJ(554536);BJ(554524);BJ(554512);BJ(554500);BJ(554488);BJ(554476);BJ(554464);BJ(554452);BJ(554440);BJ(554428);BJ(554416);BJ(554404);BJ(554392);BJ(554380);BJ(554368);BJ(554356);BJ(554344);BJ(554332);BJ(554320);return}function KR(a){a=a|0;ZI(555340);ZI(555328);ZI(555316);ZI(555304);ZI(555292);ZI(555280);ZI(555268);ZI(555256);ZI(555244);ZI(555232);ZI(555220);ZI(555208);ZI(555196);ZI(555184);ZI(555172);ZI(555160);ZI(555148);ZI(555136);ZI(555124);ZI(555112);ZI(555100);ZI(555088);ZI(555076);ZI(555064);return}function LR(a){a=a|0;BJ(554764);BJ(554752);BJ(554740);BJ(554728);BJ(554716);BJ(554704);BJ(554692);BJ(554680);BJ(554668);BJ(554656);BJ(554644);BJ(554632);BJ(554620);BJ(554608);return}function MR(a){a=a|0;ZI(555508);ZI(555496);ZI(555484);ZI(555472);ZI(555460);ZI(555448);ZI(555436);ZI(555424);ZI(555412);ZI(555400);ZI(555388);ZI(555376);ZI(555364);ZI(555352);return}function NR(a){a=a|0;var b=0;if((TR(a)|0)!=0){b=1;return b|0}b=(OR(a)|0)!=0|0;return b|0}function OR(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function PR(a){a=a|0;return oc(a|0)|0}function QR(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function RR(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 12:{c=_R(a)|0;break};case 3:{c=PR(a)|0;break};case 9:{c=XR(a)|0;break};case 6:{c=UR(a)|0;break};case 10:{c=YR(a)|0;break};case 5:{c=TR(a)|0;break};case 4:{c=QR(a)|0;break};case 7:{c=VR(a)|0;break};case 11:{c=ZR(a)|0;break};case 1:{c=NR(a)|0;break};case 2:{c=OR(a)|0;break};case 8:{c=WR(a)|0;break};default:{c=0}}return c|0}function SR(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 97:{if((CT(b,368)|0)==0){d=1;break a}if((CT(b,374)|0)==0){d=2}else{e=16}break};case 98:{if((CT(b,380)|0)==0){d=3}else{e=16}break};case 103:{if((CT(b,398)|0)==0){d=6}else{e=16}break};case 108:{if((CT(b,404)|0)==0){d=7}else{e=16}break};case 117:{e=14;break};case 112:{if((CT(b,410)|0)==0){d=8;break a}if((CT(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==117){e=14}else if((c<<24>>24|0)==115){e=13}else if((c<<24>>24|0)==120){e=15}else{e=16}break};case 100:{if((CT(b,392)|0)==0){d=5}else{e=16}break};case 115:{e=13;break};case 99:{if((CT(b,386)|0)==0){d=4}else{e=16}break};case 120:{e=15;break};default:{e=16}}}while(0);if((e|0)==13){if((CT(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if((CT(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if((CT(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function TR(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function UR(a){a=a|0;var b=0;if((YR(a)|0)!=0){b=0;return b|0}b=(WR(a)|0)!=0|0;return b|0}function VR(a){a=a|0;var b=0;if(($R(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function WR(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function XR(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function YR(a){a=a|0;return(DS(16312,a)|0)!=0|0}function ZR(a){a=a|0;return(bS(a)|0)!=(a|0)|0}function _R(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function $R(a){a=a|0;return aS(a,0)|0}function aS(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((OR(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[18978+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[18976+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[18979+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8096+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8096+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function bS(a){a=a|0;return aS(a,1)|0}function cS(a,b,c){a=a|0;b=b|0;c=c|0;return dS(0,a,b,(c|0)!=0?c:539784)|0}function dS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?539776:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[512888+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(Yc()|0)>>2]=84;k=-1;i=g;return k|0}function eS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=fS(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=dS(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==0){c[j>>2]=0;D=G;break}else if((J|0)==(-1|0)){D=-1;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function fS(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[512888+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[512888+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(Yc()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function gS(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[512888+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(Yc()|0)>>2]=84;j=-1;i=g;return j|0}function hS(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(Yc()|0)>>2]=84;f=-1;return f|0}return 0}function iS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=jS(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=hS(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function jS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=hS(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=hS(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=hS(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}hS(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function kS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=cT(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=cT(2048)|0;c[o+16>>2]=r;if((r|0)==0){dT(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=AS(0,0)|0;if((s|0)==0){dT(r);dT(o);q=12;i=e;return q|0}HT(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=lS(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=eT(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=mS(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=cT(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;HT(x|0,-1|0,u|0)|0;H=G}else{H=0}G=eT(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=eT(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=mS(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=sS(p,w)|0;b:do{if((u|0)==0){x=sS(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==1){O=R+4|0;S=c[O>>2]|0;T=N-3|0;c[t>>2]=T;U=c[P+(T<<2)>>2]|0;c[h>>2]=U;T=S+4|0;V=c[T>>2]|0;do{if((V|0)>1){c[k>>2]=0;W=S;E=51}else{if((c[S+8>>2]|0)<=1){X=U;break}c[k>>2]=0;Y=S;if((V|0)>0){W=Y;E=51}else{Z=V;_=0;$=U;aa=Y;E=60}}}while(0);e:do{if((E|0)==51){E=0;Y=V;ba=0;ca=1;da=U;while(1){ea=tS(s,p,c[W>>2]|0,(ca|0)<(Y|0)?1:2,h,F,l,j)|0;if((ea|0)!=0){I=ea;break b}ea=c[l>>2]|0;if((ba|0)==0){fa=ea}else{ga=CS(s,0,0,1,32)|0;if((ga|0)==0){I=12;break b}ha=CS(s,0,0,1,8)|0;ia=ga+4|0;c[ia>>2]=ha;if((ha|0)==0){I=12;break b}c[ga>>2]=1;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[ha>>2]=ba;c[(c[ia>>2]|0)+4>>2]=ea;c[ga+16>>2]=(c[ea+16>>2]|0)+(c[ba+16>>2]|0);fa=ga}if((fa|0)==0){I=12;break b}ga=c[T>>2]|0;if((ca|0)>=(ga|0)){Z=ga;_=fa;$=da;aa=W;E=60;break e}Y=ga;ba=fa;ca=ca+1|0;da=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;T=S+8|0;V=c[T>>2]|0;do{if((V|0)==-1){da=c[h>>2]|0;ca=tS(s,p,c[aa>>2]|0,0,h,0,k,j)|0;if((ca|0)!=0){I=ca;break b}ca=c[k>>2]|0;ba=CS(s,0,0,1,32)|0;Y=ba;if((ba|0)==0){E=65;break d}ga=CS(s,0,0,1,16)|0;c[ba+4>>2]=ga;if((ga|0)==0){E=65;break d}c[ba>>2]=2;c[ba+8>>2]=-1;c[ba+12>>2]=-1;c[ga>>2]=ca;c[ga+4>>2]=0;c[ga+8>>2]=-1;ea=ga+12|0;c[ea>>2]=c[ea>>2]&-2;c[ba+16>>2]=c[ca+16>>2];c[k>>2]=Y;ja=da;ka=Y}else{if((Z|0)<(V|0)){la=0;ma=Z}else{ja=$;ka=0;break}while(1){Y=c[h>>2]|0;da=tS(s,p,c[aa>>2]|0,0,h,0,m,j)|0;if((da|0)!=0){I=da;break b}da=c[m>>2]|0;if((la|0)==0){na=da}else{ca=CS(s,0,0,1,32)|0;if((ca|0)==0){E=72;break d}ba=CS(s,0,0,1,8)|0;ea=ca+4|0;c[ea>>2]=ba;if((ba|0)==0){E=72;break d}c[ca>>2]=1;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[ba>>2]=da;c[(c[ea>>2]|0)+4>>2]=la;c[ca+16>>2]=(c[la+16>>2]|0)+(c[da+16>>2]|0);na=ca}c[k>>2]=na;if((na|0)==0){I=12;break b}ca=CS(s,0,0,1,32)|0;if((ca|0)==0){I=12;break b}da=CS(s,0,0,1,20)|0;c[ca+4>>2]=da;if((da|0)==0){I=12;break b}c[ca>>2]=0;c[ca+8>>2]=-1;c[ca+12>>2]=-1;c[da>>2]=-1;c[da+4>>2]=-1;c[da+8>>2]=-1;da=CS(s,0,0,1,32)|0;ea=da;if((da|0)==0){E=78;break d}ba=CS(s,0,0,1,8)|0;ga=da+4|0;c[ga>>2]=ba;if((ba|0)==0){E=78;break d}c[da>>2]=3;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ba>>2]=ca;c[(c[ga>>2]|0)+4>>2]=na;c[da+16>>2]=(c[na+16>>2]|0)+(c[ca+16>>2]|0);c[k>>2]=ea;ca=ma+1|0;if((ca|0)<(c[T>>2]|0)){la=ea;ma=ca}else{ja=Y;ka=ea;break}}}}while(0);c[h>>2]=ja;do{if((_|0)==0){oa=ka;E=85}else{if((ka|0)==0){pa=_;break}T=CS(s,0,0,1,32)|0;if((T|0)==0){I=12;break b}V=CS(s,0,0,1,8)|0;S=T+4|0;c[S>>2]=V;if((V|0)==0){I=12;break b}c[T>>2]=1;c[T+8>>2]=-1;c[T+12>>2]=-1;c[V>>2]=_;c[(c[S>>2]|0)+4>>2]=ka;c[T+16>>2]=(c[ka+16>>2]|0)+(c[_+16>>2]|0);oa=T;E=85}}while(0);if((E|0)==85){E=0;if((oa|0)==0){I=12;break b}else{pa=oa}}c[O>>2]=c[pa+4>>2];c[R>>2]=c[pa>>2];X=ja}T=M-1|0;S=X-U+L|0;if((T|0)!=0){qa=T;ra=S;sa=X;break}c[h>>2]=S;qa=0;ra=S;sa=S}else if((Q|0)==0){S=c[R>>2]|0;if((S|0)==1){T=c[R+4>>2]|0;V=sS(p,c[T+4>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=sS(p,0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=sS(p,c[T>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}va=sS(p,0)|0}else if((S|0)==2){V=c[R+4>>2]|0;T=sS(p,K)|0;if((T|0)!=0){ta=T;ua=L;break c}T=sS(p,R)|0;if((T|0)!=0){ta=T;ua=L;break c}T=sS(p,1)|0;if((T|0)!=0){ta=T;ua=L;break c}T=sS(p,c[V>>2]|0)|0;if((T|0)!=0){ta=T;ua=L;break c}T=sS(p,0)|0;if((T|0)!=0){ta=T;ua=L;break c}if((c[V+4>>2]|0)>1){E=45}else{if((c[V+8>>2]|0)>1){E=45}else{wa=K}}if((E|0)==45){E=0;c[h>>2]=0;wa=0}qa=M+1|0;ra=L;sa=wa;break}else if((S|0)==0){V=c[R+4>>2]|0;T=c[V>>2]|0;if(!((T|0)>-1|(T|0)==-4)){qa=M;ra=L;sa=K;break}T=V+8|0;V=(c[T>>2]|0)+K|0;c[T>>2]=V;if((V|0)<=(c[j>>2]|0)){qa=M;ra=L;sa=K;break}c[j>>2]=V;qa=M;ra=L;sa=K;break}else if((S|0)==3){S=c[R+4>>2]|0;V=sS(p,c[S+4>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=sS(p,0)|0;if((V|0)!=0){ta=V;ua=L;break c}V=sS(p,c[S>>2]|0)|0;if((V|0)!=0){ta=V;ua=L;break c}va=sS(p,0)|0}else{qa=M;ra=L;sa=K;break}if((va|0)==0){qa=M;ra=L;sa=K}else{ta=va;ua=L;break c}}else{qa=M;ra=L;sa=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=sa;L=ra;M=qa;N=R}else{ta=0;ua=ra;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{ta=0;ua=0}}while(0);x=(c[G>>2]|0)+ua|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=ta;break}c[G>>2]=J;I=ta}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=CS(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=CS(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=CS(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=CS(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=sS(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=sS(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==0){L=c[xa>>2]|0;if((L|0)==3){K=sS(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=sS(p,1)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=xa+4|0;Q=sS(p,c[(c[K>>2]|0)+4>>2]|0)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=sS(p,0)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=sS(p,c[c[K>>2]>>2]|0)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=sS(p,0)|0;if((Q|0)==0){break}else{y=Q;z=C;A=0;B=0;break a}}else if((L|0)==1){Q=sS(p,xa)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=sS(p,2)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Q=xa+4|0;K=sS(p,c[(c[Q>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=sS(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=sS(p,c[c[Q>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=sS(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((L|0)==0){K=c[xa+4>>2]|0;Q=K;P=c[Q>>2]|0;if((P|0)==-4){c[xa+8>>2]=0;V=K+8|0;S=c[V>>2]|0;T=CS(s,0,0,1,64)|0;if((T|0)==0){E=105;break g}c[T>>2]=S;c[T+4>>2]=0;c[T+8>>2]=1114111;c[T+20>>2]=0;c[T+24>>2]=0;HT(T+28|0,-1|0,16)|0;c[xa+24>>2]=T;T=c[V>>2]|0;V=c[K+4>>2]|0;S=CS(s,0,0,1,64)|0;if((S|0)==0){E=107;break g}c[S>>2]=T;c[S+4>>2]=0;c[S+8>>2]=1114111;c[S+20>>2]=0;c[S+24>>2]=0;c[S+28>>2]=V;c[S+32>>2]=-1;c[S+36>>2]=-1;c[S+40>>2]=-1;c[xa+28>>2]=S;break}S=xa+8|0;if((P|0)<0){c[S>>2]=1;V=CS(s,0,0,1,32)|0;if((V|0)==0){E=111;break g}c[V>>2]=-1;c[V+4>>2]=-1;c[V+8>>2]=-1;c[xa+24>>2]=V;V=CS(s,0,0,1,32)|0;if((V|0)==0){E=113;break g}c[V>>2]=-1;c[V+4>>2]=-1;c[V+8>>2]=-1;c[xa+28>>2]=V;break}else{c[S>>2]=0;S=K+8|0;V=c[S>>2]|0;T=K+4|0;ea=c[T>>2]|0;Y=CS(s,0,0,1,64)|0;if((Y|0)==0){E=116;break g}c[Y>>2]=V;c[Y+4>>2]=P;c[Y+8>>2]=ea;c[Y+20>>2]=0;c[Y+24>>2]=0;HT(Y+28|0,-1|0,16)|0;c[xa+24>>2]=Y;Y=c[S>>2]|0;S=c[Q>>2]|0;Q=c[T>>2]|0;T=c[K+12>>2]|0;ea=c[K+16>>2]|0;K=CS(s,0,0,1,64)|0;if((K|0)==0){E=118;break g}c[K>>2]=Y;c[K+4>>2]=S;c[K+8>>2]=Q;c[K+20>>2]=T;c[K+24>>2]=ea;HT(K+28|0,-1|0,16)|0;c[xa+28>>2]=K;break}}else if((L|0)==2){L=sS(p,xa)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=sS(p,3)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=sS(p,c[c[xa+4>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=sS(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else{break}}else if((R|0)==1){L=c[xa+4>>2]|0;K=L;ea=c[K>>2]|0;T=L+4|0;L=c[T>>2]|0;if((c[ea+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;Q=qS(s,c[ea+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=Q;if((Q|0)==0){y=12;z=C;A=0;B=0;break a}Q=qS(s,c[(c[K>>2]|0)+28>>2]|0,c[(c[T>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=Q;if((Q|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==3){Q=c[xa+4>>2]|0;T=Q;K=c[T>>2]|0;do{if((c[Q+4>>2]|0)==0){E=142}else{if((c[K+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[K+24>>2];c[xa+28>>2]=c[(c[T>>2]|0)+28>>2]}else if((R|0)==2){Q=c[xa+4>>2]|0;L=Q;ea=c[L>>2]|0;S=ea+8|0;if((c[S>>2]|0)==0){za=0}else{za=(c[(c[Q+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[S>>2]|0)==0){c[xa+24>>2]=c[ea+24>>2];Aa=Q+4|0}else{S=rS(p,ea,0,0,f)|0;if((S|0)!=0){y=S;z=C;A=0;B=0;break a}Ba=cT((c[f>>2]<<2)+4|0)|0;S=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[S>>2]=-1;c[g>>2]=0;Ca=rS(p,c[L>>2]|0,S,g,0)|0;if((Ca|0)!=0){E=151;break g}ea=Q+4|0;Q=xa+24|0;c[Q>>2]=qS(s,c[(c[ea>>2]|0)+24>>2]|0,c[(c[L>>2]|0)+24>>2]|0,S,c[g>>2]|0)|0;dT(Ba);if((c[Q>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=ea}}ea=c[Aa>>2]|0;if((c[ea+8>>2]|0)==0){c[xa+28>>2]=c[ea+28>>2];break}Q=rS(p,ea,0,0,f)|0;if((Q|0)!=0){y=Q;z=C;A=0;B=0;break a}Da=cT((c[f>>2]<<2)+4|0)|0;Q=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[Q>>2]=-1;c[g>>2]=0;Ea=rS(p,c[Aa>>2]|0,Q,g,0)|0;if((Ea|0)!=0){E=158;break g}ea=xa+28|0;c[ea>>2]=qS(s,c[(c[L>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,Q,c[g>>2]|0)|0;dT(Da);if((c[ea>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){dT(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){dT(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=cT(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=cT(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){HT(N|0,0,((D|0)>1?D<<2:4)|0)|0}nS(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;ea=w+(x<<2)|0;Q=R+1+(c[ea>>2]|0)|0;c[ea>>2]=0;ea=x+1|0;if((ea|0)<(D|0)){x=ea;R=Q}else{Fa=Q;break}}}else{Fa=0}R=eT(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=nS(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;Q=c[D>>2]|0;if((c[Q>>2]|0)>-1){ea=1;L=Q;while(1){Q=L+32|0;S=ea+1|0;if((c[Q>>2]|0)>-1){ea=S;L=Q}else{Ga=S;break}}}else{Ga=1}L=eT(Ga,32)|0;ea=L;if((L|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=ea;L=c[D>>2]|0;J=c[L>>2]|0;if((J|0)>-1){S=0;Q=L;L=J;while(1){c[ea+(S<<5)+8>>2]=x+(c[t+(L<<2)>>2]<<5);c[ea+(S<<5)+12>>2]=L;J=ea+(S<<5)+16|0;c[J>>2]=0;Y=Q+12|0;P=c[Y>>2]|0;if((P|0)!=0){V=0;while(1){Ha=V+1|0;if((c[P+(V<<2)>>2]|0)>-1){V=Ha}else{break}}V=Ha<<2;P=cT(V)|0;c[J>>2]=P;if((P|0)==0){y=12;z=C;A=w;B=t;break a}GT(P|0,c[Y>>2]|0,V)|0}c[ea+(S<<5)+20>>2]=c[Q+16>>2];V=S+1|0;P=Q+32|0;ca=c[P>>2]|0;if((ca|0)>-1){S=V;Q=P;L=ca}else{Ia=V;break}}}else{Ia=0}c[ea+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;BS(s);dT(c[o+16>>2]|0);dT(o);dT(N);dT(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);BS(s);dT(c[o+16>>2]|0);dT(o);if((A|0)!=0){dT(A)}if((B|0)!=0){dT(B)}c[a+4>>2]=z;oS(a);q=y;i=e;return q|0}function lS(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;sS(m,c[p>>2]|0)|0;sS(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=sS(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 0:{if((c[v>>2]&1|0)!=0){Q=sS(m,7)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}}U=sS(m,3)|0;V=M;W=L;break};case 7:{Q=c[q>>2]|0;X=a[Q]|0;if((X|0)==41){c[q>>2]=Q+1;U=0;V=M;W=L;break c}else if((X|0)!=124){U=0;V=M;W=L;break c}X=sS(m,7)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=sS(m,L)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=sS(m,8)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=sS(m,3)|0;if((X|0)!=0){R=X;S=M;T=6;break b}c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=L;break};case 4:{X=sS(m,9)|0;if((X|0)!=0){R=X;S=M;T=6;break b}U=sS(m,1)|0;V=M;W=L;break};case 6:{X=N-2|0;c[n>>2]=X;Q=c[P+(X<<2)>>2]|0;X=c[w>>2]|0;Y=CS(X,0,0,1,32)|0;if((Y|0)==0){Z=12;T=293;break b}_=CS(X,0,0,1,8)|0;X=Y+4|0;c[X>>2]=_;if((_|0)==0){Z=12;T=293;break b}c[Y>>2]=1;c[Y+8>>2]=-1;c[Y+12>>2]=-1;c[_>>2]=Q;c[(c[X>>2]|0)+4>>2]=L;c[Y+16>>2]=(c[L+16>>2]|0)+(c[Q+16>>2]|0);U=0;V=M;W=Y;break};case 1:{Y=c[q>>2]|0;d:do{switch(a[Y]|0){case 91:{Q=Y+1|0;c[q>>2]=Q;X=cT(128)|0;if((X|0)==0){Z=12;T=293;break b}if((a[Q]|0)==94){_=Y+2|0;c[q>>2]=_;$=1;aa=_}else{$=0;aa=Q}Q=($|0)==0;_=aa;ba=32;ca=0;da=0;ea=X;e:while(1){X=a[_]|0;if((X<<24>>24|0)==93){if(_>>>0>(c[q>>2]|0)>>>0){T=85;break}}else if((X<<24>>24|0)==0){fa=_;ga=7;ha=ea;T=140;break}X=gS(e,_,-1)|0;if((X|0)<0){c[e>>2]=-1;ia=1}else{ia=X}X=_+ia|0;do{if((a[X]|0)==45){ja=ia+1|0;ka=_+ja|0;if((a[ka]|0)==93){T=94;break}la=c[e>>2]|0;ma=gS(e,ka,-1)|0;if((ma|0)<0){c[e>>2]=-1;na=1;oa=-1}else{na=ma;oa=c[e>>2]|0}pa=_+(na+ja)|0;qa=oa;ra=la;sa=la>>>0>oa>>>0?11:0;ta=0}else{T=94}}while(0);f:do{if((T|0)==94){T=0;la=a[_]|0;do{if((la<<24>>24|0)==91){ja=a[_+1|0]|0;if((ja<<24>>24|0)==46|(ja<<24>>24|0)==61){fa=_;ga=3;ha=ea;T=140;break e}else if((ja<<24>>24|0)!=58){ua=0;break}ja=_+2|0;ma=ja;while(1){ka=a[ma]|0;va=ka<<24>>24==0;if(ka<<24>>24!=58&(va^1)){ma=ma+1|0}else{break}}if(va){fa=_;ga=4;ha=ea;T=140;break e}ka=ma-_-2|0;wa=(ka|0)>63?63:ka;FT(A|0,ja|0,wa|0)|0;a[f+wa|0]=0;wa=SR(A)|0;pa=ma+2|0;qa=1114111;ra=0;sa=(wa|0)==0?4:0;ta=wa;break f}else if((la<<24>>24|0)==45){if((a[_+1|0]|0)==93){ua=0;break}ua=(c[q>>2]|0)==(_|0)?0:11}else{ua=0}}while(0);la=c[e>>2]|0;pa=X;qa=la;ra=la;sa=ua;ta=0}}while(0);if((sa|0)!=0){fa=pa;ga=sa;ha=ea;T=140;break}X=(ta|0)!=0;do{if(Q|X^1){la=c[w>>2]|0;if((ca|0)<(ba|0)){xa=ba;ya=ea}else{if((ba|0)>1024){fa=pa;ga=12;ha=ea;T=140;break e}wa=fT(ea,ba<<3)|0;if((wa|0)==0){fa=pa;ga=12;ha=ea;T=140;break e}else{xa=ba<<1;ya=wa}}wa=CS(la,0,0,1,32)|0;if((wa|0)==0){T=112;break e}ka=CS(la,0,0,1,20)|0;la=wa+4|0;c[la>>2]=ka;if((ka|0)==0){T=112;break e}c[wa>>2]=0;c[wa+8>>2]=-1;c[wa+12>>2]=-1;c[ka>>2]=ra;c[ka+4>>2]=qa;c[ka+8>>2]=-1;c[ya+(ca<<2)>>2]=wa;c[(c[la>>2]|0)+12>>2]=ta;za=0;Aa=xa;Ba=ca+1|0;Ca=da;Da=ya}else{if((da|0)>63){za=12;Aa=ba;Ba=ca;Ca=da;Da=ea;break}c[g+(da<<2)>>2]=ta;za=0;Aa=ba;Ba=ca;Ca=da+1|0;Da=ea}}while(0);la=(za|0)==0;if(la&(((c[v>>2]&2|0)==0|X)^1)){Ea=ra;Fa=Aa;Ga=Ba;Ha=Da}else{if(la){_=pa;ba=Aa;ca=Ba;da=Ca;ea=Da;continue}else{fa=pa;ga=za;ha=Da;T=140;break}}while(1){la=Ea;while(1){if(la>>>0>qa>>>0){_=pa;ba=Fa;ca=Ga;da=Ca;ea=Ha;continue e}if((VR(la)|0)!=0){T=118;break}Ia=la+1|0;if((ZR(la)|0)==0){la=Ia}else{T=129;break}}if((T|0)==118){T=0;wa=$R(la)|0;ka=la+1|0;g:do{if((VR(ka)|0)==0){Ja=wa;Ka=ka}else{La=wa;Ma=ka;while(1){if(($R(Ma)|0)!=(La+1|0)|Ma>>>0>qa>>>0){Ja=La;Ka=Ma;break g}Na=$R(Ma)|0;Oa=Ma+1|0;if((VR(Oa)|0)==0){Ja=Na;Ka=Oa;break}else{La=Na;Ma=Oa}}}}while(0);ka=c[w>>2]|0;if((Ga|0)<(Fa|0)){Pa=Fa;Qa=Ha}else{if((Fa|0)>1024){fa=pa;ga=12;ha=Ha;T=140;break e}Ma=fT(Ha,Fa<<3)|0;if((Ma|0)==0){fa=pa;ga=12;ha=Ha;T=140;break e}else{Pa=Fa<<1;Qa=Ma}}Ma=CS(ka,0,0,1,32)|0;La=Ma;do{if((Ma|0)==0){Ra=0}else{ma=CS(ka,0,0,1,20)|0;c[Ma+4>>2]=ma;if((ma|0)==0){Ra=0;break}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[ma>>2]=wa;c[ma+4>>2]=Ja;c[ma+8>>2]=-1;Ra=La}}while(0);c[Qa+(Ga<<2)>>2]=Ra;Sa=Ka;Ta=Pa;Ua=Ra;Wa=Qa}else if((T|0)==129){T=0;La=bS(la)|0;h:do{if((ZR(Ia)|0)==0){Xa=Ia;Ya=La}else{wa=Ia;Ma=La;while(1){if((bS(wa)|0)!=(Ma+1|0)|wa>>>0>qa>>>0){Xa=wa;Ya=Ma;break h}ka=wa+1|0;ma=bS(wa)|0;if((ZR(ka)|0)==0){Xa=ka;Ya=ma;break}else{wa=ka;Ma=ma}}}}while(0);la=c[w>>2]|0;if((Ga|0)<(Fa|0)){Za=Fa;_a=Ha}else{if((Fa|0)>1024){fa=pa;ga=12;ha=Ha;T=140;break e}Ma=fT(Ha,Fa<<3)|0;if((Ma|0)==0){fa=pa;ga=12;ha=Ha;T=140;break e}else{Za=Fa<<1;_a=Ma}}Ma=CS(la,0,0,1,32)|0;wa=Ma;do{if((Ma|0)==0){$a=0}else{ma=CS(la,0,0,1,20)|0;c[Ma+4>>2]=ma;if((ma|0)==0){$a=0;break}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[ma>>2]=La;c[ma+4>>2]=Ya;c[ma+8>>2]=-1;$a=wa}}while(0);c[_a+(Ga<<2)>>2]=$a;Sa=Xa;Ta=Za;Ua=$a;Wa=_a}if((Ua|0)==0){T=141;break e}else{Ea=Sa;Fa=Ta;Ga=Ga+1|0;Ha=Wa}}}i:do{if((T|0)==85){T=0;c[q>>2]=_+1;ba=($|0)!=0;if(ba){Ic(ea|0,ca|0,4,48)}j:do{if((ca|0)>0){Q=(da|0)>0;X=da<<2;wa=X+4|0;if(ba){ab=0;bb=0;cb=0;db=0}else{La=0;Ma=0;while(1){la=ea+(La<<2)|0;ma=c[(c[la>>2]|0)+4>>2]|0;do{if((ma|0)==0){eb=Ma;fb=0}else{c[ma+8>>2]=c[x>>2];if(Q){ka=CS(c[w>>2]|0,0,0,0,wa)|0;ja=ma+16|0;c[ja>>2]=ka;if((ka|0)==0){gb=Ma;hb=12;ib=ea;break i}GT(ka|0,z|0,X)|0;c[(c[ja>>2]|0)+(da<<2)>>2]=0}else{c[ma+16>>2]=0}if((Ma|0)==0){eb=c[la>>2]|0;fb=0;break}ja=c[w>>2]|0;ka=c[la>>2]|0;Oa=CS(ja,0,0,1,32)|0;Na=Oa;do{if((Oa|0)==0){jb=0}else{kb=CS(ja,0,0,1,8)|0;lb=Oa+4|0;c[lb>>2]=kb;if((kb|0)==0){jb=0;break}c[Oa>>2]=3;c[Oa+8>>2]=-1;c[Oa+12>>2]=-1;c[kb>>2]=Ma;c[(c[lb>>2]|0)+4>>2]=ka;c[Oa+16>>2]=(c[ka+16>>2]|0)+(c[Ma+16>>2]|0);jb=Na}}while(0);eb=jb;fb=(jb|0)==0?12:0}}while(0);la=La+1|0;if((la|0)<(ca|0)&(fb|0)==0){La=la;Ma=eb}else{mb=fb;nb=0;ob=eb;break j}}}while(1){Ma=ea+(ab<<2)|0;La=c[(c[Ma>>2]|0)+4>>2]|0;la=La;ma=c[la>>2]|0;Na=La+4|0;ka=c[Na>>2]|0;do{if((ma|0)<(bb|0)){Oa=ka+1|0;pb=db;qb=0;rb=(Oa|0)<(bb|0)?bb:Oa;sb=cb}else{Oa=ma-1|0;if((Oa|0)<(cb|0)){ja=ka+1|0;pb=db;qb=0;rb=ja;sb=ja;break}c[la>>2]=cb;c[Na>>2]=Oa;Oa=ka+1|0;if((La|0)==0){pb=db;qb=0;rb=Oa;sb=Oa;break}c[La+8>>2]=c[x>>2];if(Q){ja=CS(c[w>>2]|0,0,0,0,wa)|0;lb=La+16|0;c[lb>>2]=ja;if((ja|0)==0){gb=db;hb=12;ib=ea;break i}GT(ja|0,z|0,X)|0;c[(c[lb>>2]|0)+(da<<2)>>2]=0}else{c[La+16>>2]=0}if((db|0)==0){pb=c[Ma>>2]|0;qb=0;rb=Oa;sb=Oa;break}lb=c[w>>2]|0;ja=c[Ma>>2]|0;kb=CS(lb,0,0,1,32)|0;tb=kb;do{if((kb|0)==0){ub=0}else{vb=CS(lb,0,0,1,8)|0;wb=kb+4|0;c[wb>>2]=vb;if((vb|0)==0){ub=0;break}c[kb>>2]=3;c[kb+8>>2]=-1;c[kb+12>>2]=-1;c[vb>>2]=db;c[(c[wb>>2]|0)+4>>2]=ja;c[kb+16>>2]=(c[ja+16>>2]|0)+(c[db+16>>2]|0);ub=tb}}while(0);pb=ub;qb=(ub|0)==0?12:0;rb=Oa;sb=Oa}}while(0);Ma=ab+1|0;if((Ma|0)<(ca|0)&(qb|0)==0){ab=Ma;bb=rb;cb=sb;db=pb}else{mb=qb;nb=sb;ob=pb;break}}}else{mb=0;nb=0;ob=0}}while(0);if((mb|0)!=0|ba^1){gb=ob;hb=mb;ib=ea;break}X=c[w>>2]|0;wa=c[x>>2]|0;Q=CS(X,0,0,1,32)|0;Ma=Q;if((Q|0)==0){gb=ob;hb=12;ib=ea;break}La=CS(X,0,0,1,20)|0;c[Q+4>>2]=La;if((La|0)==0){gb=ob;hb=12;ib=ea;break}c[Q>>2]=0;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[La>>2]=nb;c[La+4>>2]=1114111;c[La+8>>2]=wa;if((da|0)>0){wa=da<<2;X=CS(c[w>>2]|0,0,0,0,wa+4|0)|0;ka=La+16|0;c[ka>>2]=X;if((X|0)==0){gb=ob;hb=12;ib=ea;break}GT(X|0,z|0,wa)|0;c[(c[ka>>2]|0)+(da<<2)>>2]=0}else{c[La+16>>2]=0}if((ob|0)==0){gb=Ma;hb=0;ib=ea;break}La=c[w>>2]|0;ka=CS(La,0,0,1,32)|0;wa=ka;do{if((ka|0)==0){xb=0}else{X=CS(La,0,0,1,8)|0;Na=ka+4|0;c[Na>>2]=X;if((X|0)==0){xb=0;break}c[ka>>2]=3;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[X>>2]=ob;c[(c[Na>>2]|0)+4>>2]=Ma;c[ka+16>>2]=(c[Q+16>>2]|0)+(c[ob+16>>2]|0);xb=wa}}while(0);gb=xb;hb=(xb|0)==0?12:0;ib=ea}else if((T|0)==112){T=0;c[ya+(ca<<2)>>2]=0;fa=pa;ga=12;ha=ya;T=140}else if((T|0)==141){T=0;c[q>>2]=pa;gb=0;hb=12;ib=Wa}}while(0);if((T|0)==140){T=0;c[q>>2]=fa;gb=0;hb=ga;ib=ha}dT(ib);c[x>>2]=(c[x>>2]|0)+1;if((hb|0)==0){U=0;V=M;W=gb;break c}else{Z=hb;T=293;break b}break};case 40:{if((c[v>>2]&1|0)!=0){yb=Y;T=74}break};case 92:{ca=Y+1|0;ea=a[ca]|0;do{if((c[v>>2]&1|0)==0){if(ea<<24>>24==40){c[q>>2]=ca;yb=ca;T=74;break d}else{da=a[Y+1|0]|0;if(da<<24>>24==41){T=264;break d}else{zb=da;break}}}else{zb=ea}}while(0);ea=Y+1|0;ca=zb<<24>>24==0;if(ca){Z=5;T=293;break b}else{Ab=0}while(1){if((Ab|0)==12){break}if((a[1528+(Ab<<3)|0]|0)==zb<<24>>24){T=193;break}else{Ab=Ab+1|0}}if((T|0)==193){T=0;da=c[1532+(Ab<<3)>>2]|0;GT(F|0,G|0,40)|0;c[H>>2]=da;c[I>>2]=1;da=lS(j)|0;if((da|0)!=0){Z=da;T=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];U=0;V=M;W=c[K>>2]|0;break c}if(ca){Z=5;T=293;break b}c[q>>2]=ea;da=a[ea]|0;k:do{switch(da|0){case 98:{_=c[w>>2]|0;wa=CS(_,0,0,1,32)|0;Q=wa;do{if((wa|0)==0){Bb=0}else{ka=CS(_,0,0,1,20)|0;c[wa+4>>2]=ka;if((ka|0)==0){Bb=0;break}c[wa>>2]=0;c[wa+8>>2]=-1;c[wa+12>>2]=-1;c[ka>>2]=-2;c[ka+4>>2]=64;c[ka+8>>2]=-1;Bb=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Bb;break};case 66:{Q=c[w>>2]|0;wa=CS(Q,0,0,1,32)|0;_=wa;do{if((wa|0)==0){Db=0}else{ka=CS(Q,0,0,1,20)|0;c[wa+4>>2]=ka;if((ka|0)==0){Db=0;break}c[wa>>2]=0;c[wa+8>>2]=-1;c[wa+12>>2]=-1;c[ka>>2]=-2;c[ka+4>>2]=128;c[ka+8>>2]=-1;Db=_}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Db;break};case 60:{_=c[w>>2]|0;wa=CS(_,0,0,1,32)|0;Q=wa;do{if((wa|0)==0){Eb=0}else{ka=CS(_,0,0,1,20)|0;c[wa+4>>2]=ka;if((ka|0)==0){Eb=0;break}c[wa>>2]=0;c[wa+8>>2]=-1;c[wa+12>>2]=-1;c[ka>>2]=-2;c[ka+4>>2]=16;c[ka+8>>2]=-1;Eb=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Eb;break};case 62:{Q=c[w>>2]|0;wa=CS(Q,0,0,1,32)|0;_=wa;do{if((wa|0)==0){Fb=0}else{ka=CS(Q,0,0,1,20)|0;c[wa+4>>2]=ka;if((ka|0)==0){Fb=0;break}c[wa>>2]=0;c[wa+8>>2]=-1;c[wa+12>>2]=-1;c[ka>>2]=-2;c[ka+4>>2]=32;c[ka+8>>2]=-1;Fb=_}}while(0);c[q>>2]=(c[q>>2]|0)+1;Cb=Fb;break};case 120:{_=Y+2|0;c[q>>2]=_;wa=a[_]|0;if(wa<<24>>24==123){_=Y+3|0;c[q>>2]=_;Q=0;ka=_;while(1){_=a[ka]|0;if((_<<24>>24|0)==125|(_<<24>>24|0)==0){Gb=ka;Hb=Q;break}if((_R(_<<24>>24)|0)==0){Z=9;T=293;break b}_=c[q>>2]|0;a[l+Q|0]=a[_]|0;Ma=Q+1|0;La=_+1|0;c[q>>2]=La;if(Ma>>>0>31>>>0){Gb=La;Hb=Ma;break}else{Q=Ma;ka=La}}c[q>>2]=Gb+1;a[l+Hb|0]=0;ka=Va(C|0,0,16)|0;Q=c[w>>2]|0;La=c[x>>2]|0;Ma=CS(Q,0,0,1,32)|0;_=Ma;do{if((Ma|0)==0){Ib=0}else{ba=CS(Q,0,0,1,20)|0;c[Ma+4>>2]=ba;if((ba|0)==0){Ib=0;break}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[ba>>2]=ka;c[ba+4>>2]=ka;c[ba+8>>2]=La;Ib=_}}while(0);c[x>>2]=(c[x>>2]|0)+1;Cb=Ib;break k}else{HT(D|0,0,3)|0;_=(_R(wa<<24>>24)|0)==0;La=c[q>>2]|0;if(_){Jb=La}else{a[D]=a[La]|0;_=La+1|0;c[q>>2]=_;Jb=_}if((_R(a[Jb]|0)|0)!=0){_=c[q>>2]|0;a[E]=a[_]|0;c[q>>2]=_+1}_=Va(D|0,0,16)|0;La=c[w>>2]|0;ka=c[x>>2]|0;Ma=CS(La,0,0,1,32)|0;Q=Ma;do{if((Ma|0)==0){Kb=0}else{ba=CS(La,0,0,1,20)|0;c[Ma+4>>2]=ba;if((ba|0)==0){Kb=0;break}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[ba>>2]=_;c[ba+4>>2]=_;c[ba+8>>2]=ka;Kb=Q}}while(0);c[x>>2]=(c[x>>2]|0)+1;Cb=Kb;break k}break};default:{if((TR(da)|0)!=0){Q=(a[c[q>>2]|0]|0)-48|0;ka=c[w>>2]|0;_=c[x>>2]|0;Ma=CS(ka,0,0,1,32)|0;if((Ma|0)==0){Z=12;T=293;break b}La=CS(ka,0,0,1,20)|0;c[Ma+4>>2]=La;if((La|0)==0){Z=12;T=293;break b}c[Ma>>2]=0;c[Ma+8>>2]=-1;c[Ma+12>>2]=-1;c[La>>2]=-4;c[La+4>>2]=Q;c[La+8>>2]=_;c[x>>2]=(c[x>>2]|0)+1;_=c[B>>2]|0;c[B>>2]=(Q|0)<(_|0)?_:Q;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=Ma;break c}Ma=c[w>>2]|0;Q=a[c[q>>2]|0]|0;_=c[x>>2]|0;La=CS(Ma,0,0,1,32)|0;ka=La;do{if((La|0)==0){Lb=0}else{wa=CS(Ma,0,0,1,20)|0;c[La+4>>2]=wa;if((wa|0)==0){Lb=0;break}c[La>>2]=0;c[La+8>>2]=-1;c[La+12>>2]=-1;c[wa>>2]=Q;c[wa+4>>2]=Q;c[wa+8>>2]=_;Lb=ka}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;Cb=Lb}}}while(0);if((Cb|0)==0){Z=12;T=293;break b}else{U=0;V=M;W=Cb;break c}break};case 46:{da=(c[v>>2]&4|0)==0;ea=c[w>>2]|0;ca=c[x>>2]|0;ka=CS(ea,0,0,1,32)|0;_=ka;Q=(ka|0)==0;if(da){if(Q){Z=12;T=293;break b}da=CS(ea,0,0,1,20)|0;c[ka+4>>2]=da;if((da|0)==0){Z=12;T=293;break b}c[ka>>2]=0;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[da>>2]=0;c[da+4>>2]=1114111;c[da+8>>2]=ca;Mb=(c[x>>2]|0)+1|0;Nb=_}else{if(Q){Z=12;T=293;break b}Q=CS(ea,0,0,1,20)|0;c[ka+4>>2]=Q;if((Q|0)==0){Z=12;T=293;break b}c[ka>>2]=0;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[Q>>2]=0;c[Q+4>>2]=9;c[Q+8>>2]=ca;ca=c[w>>2]|0;Q=(c[x>>2]|0)+1|0;ea=CS(ca,0,0,1,32)|0;if((ea|0)==0){Z=12;T=293;break b}da=CS(ca,0,0,1,20)|0;c[ea+4>>2]=da;if((da|0)==0){Z=12;T=293;break b}c[ea>>2]=0;c[ea+8>>2]=-1;c[ea+12>>2]=-1;c[da>>2]=11;c[da+4>>2]=1114111;c[da+8>>2]=Q;Q=c[w>>2]|0;da=CS(Q,0,0,1,32)|0;if((da|0)==0){Z=12;T=293;break b}ca=CS(Q,0,0,1,8)|0;Q=da+4|0;c[Q>>2]=ca;if((ca|0)==0){Z=12;T=293;break b}c[da>>2]=3;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ca>>2]=_;c[(c[Q>>2]|0)+4>>2]=ea;c[da+16>>2]=(c[ea+16>>2]|0)+(c[ka+16>>2]|0);Mb=(c[x>>2]|0)+2|0;Nb=da}c[x>>2]=Mb;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=Nb;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((Y|0)!=(c[r>>2]|0)){break d}da=sS(m,5)|0;if((da|0)!=0){R=da;S=M;T=6;break b}}da=c[w>>2]|0;ka=CS(da,0,0,1,32)|0;if((ka|0)==0){Z=12;T=293;break b}ea=CS(da,0,0,1,20)|0;c[ka+4>>2]=ea;if((ea|0)==0){Z=12;T=293;break b}c[ka>>2]=0;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ea>>2]=-2;c[ea+4>>2]=1;c[ea+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=ka;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[Y+1|0]|0)!=0){break d}}ka=c[w>>2]|0;ea=CS(ka,0,0,1,32)|0;if((ea|0)==0){Z=12;T=293;break b}da=CS(ka,0,0,1,20)|0;c[ea+4>>2]=da;if((da|0)==0){Z=12;T=293;break b}c[ea>>2]=0;c[ea+8>>2]=-1;c[ea+12>>2]=-1;c[da>>2]=-2;c[da+4>>2]=2;c[da+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=ea;break c;break};case 41:{if((M|0)!=0){T=263}break};case 42:case 124:case 123:case 43:case 63:{T=263;break};case 0:{T=264;break};default:{}}}while(0);if((T|0)==74){T=0;ea=M+1|0;c[q>>2]=yb+1;da=sS(m,c[y>>2]|0)|0;if((da|0)!=0){R=da;S=ea;T=6;break b}da=sS(m,2)|0;if((da|0)!=0){R=da;S=ea;T=6;break b}da=sS(m,0)|0;if((da|0)!=0){R=da;S=ea;T=6;break b}c[y>>2]=(c[y>>2]|0)+1;U=0;V=ea;W=L;break c}else if((T|0)==263){T=0;if((c[v>>2]&1|0)!=0){T=264}}if((T|0)==264){T=0;ea=c[w>>2]|0;da=CS(ea,0,0,1,32)|0;if((da|0)==0){Z=12;T=293;break b}ka=CS(ea,0,0,1,20)|0;c[da+4>>2]=ka;if((ka|0)==0){Z=12;T=293;break b}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ka>>2]=-1;c[ka+4>>2]=-1;c[ka+8>>2]=-1;U=0;V=M;W=da;break c}da=gS(h,Y,-1)|0;if((da|0)<0){c[h>>2]=-1;Ob=1}else{Ob=da}do{if((c[v>>2]&2|0)==0){T=279}else{if((ZR(c[h>>2]|0)|0)==0){if((VR(c[h>>2]|0)|0)==0){T=279;break}}da=c[w>>2]|0;ka=$R(c[h>>2]|0)|0;ea=$R(c[h>>2]|0)|0;Q=c[x>>2]|0;_=CS(da,0,0,1,32)|0;if((_|0)==0){Z=12;T=293;break b}ca=CS(da,0,0,1,20)|0;c[_+4>>2]=ca;if((ca|0)==0){Z=12;T=293;break b}c[_>>2]=0;c[_+8>>2]=-1;c[_+12>>2]=-1;c[ca>>2]=ka;c[ca+4>>2]=ea;c[ca+8>>2]=Q;Q=c[w>>2]|0;ca=bS(c[h>>2]|0)|0;ea=bS(c[h>>2]|0)|0;ka=c[x>>2]|0;da=CS(Q,0,0,1,32)|0;if((da|0)==0){Z=12;T=293;break b}La=CS(Q,0,0,1,20)|0;c[da+4>>2]=La;if((La|0)==0){Z=12;T=293;break b}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[La>>2]=ca;c[La+4>>2]=ea;c[La+8>>2]=ka;ka=c[w>>2]|0;La=CS(ka,0,0,1,32)|0;if((La|0)==0){Z=12;T=293;break b}ea=CS(ka,0,0,1,8)|0;ka=La+4|0;c[ka>>2]=ea;if((ea|0)==0){Z=12;T=293;break b}c[La>>2]=3;c[La+8>>2]=-1;c[La+12>>2]=-1;c[ea>>2]=_;c[(c[ka>>2]|0)+4>>2]=da;c[La+16>>2]=(c[da+16>>2]|0)+(c[_+16>>2]|0);Pb=La}}while(0);if((T|0)==279){T=0;Y=c[w>>2]|0;La=c[h>>2]|0;_=c[x>>2]|0;da=CS(Y,0,0,1,32)|0;if((da|0)==0){Z=12;T=293;break b}ka=CS(Y,0,0,1,20)|0;c[da+4>>2]=ka;if((ka|0)==0){Z=12;T=293;break b}c[da>>2]=0;c[da+8>>2]=-1;c[da+12>>2]=-1;c[ka>>2]=La;c[ka+4>>2]=La;c[ka+8>>2]=_;Pb=da}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+Ob;U=0;V=M;W=Pb;break};case 9:{da=c[q>>2]|0;_=a[da]|0;switch(_<<24>>24|0){case 42:{T=41;break};case 92:{ka=c[v>>2]|0;if((ka&1|0)!=0){U=0;V=M;W=L;break c}La=da+1|0;if((a[La]|0)!=123){U=0;V=M;W=L;break c}c[q>>2]=La;Qb=La;Rb=ka;break};case 43:case 63:{if((c[v>>2]&1|0)==0){U=0;V=M;W=L;break c}else{T=41}break};case 123:{ka=c[v>>2]|0;if((ka&1|0)==0){U=0;V=M;W=L;break c}else{Qb=da;Rb=ka}break};default:{U=0;V=M;W=L;break c}}if((T|0)==41){T=0;c[q>>2]=da+1;da=c[w>>2]|0;ka=CS(da,0,0,1,32)|0;if((ka|0)==0){Z=12;T=293;break b}La=CS(da,0,0,1,16)|0;c[ka+4>>2]=La;if((La|0)==0){Z=12;T=293;break b}c[ka>>2]=2;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[La>>2]=L;c[La+4>>2]=_<<24>>24==43;c[La+8>>2]=_<<24>>24==63?1:-1;_=La+12|0;c[_>>2]=c[_>>2]&-2;c[ka+16>>2]=c[L+16>>2];U=sS(m,9)|0;V=M;W=ka;break c}ka=Qb+1|0;c[q>>2]=ka;_=a[ka]|0;if((_-48&255)>>>0<10>>>0){La=_<<24>>24;if((La-48|0)>>>0<10>>>0){Sb=-1;Tb=ka;Ub=La}else{Z=10;T=293;break b}while(1){La=((Sb|0)<0?-48:(Sb*10|0)-48|0)+Ub|0;da=Tb+1|0;Y=a[da]|0;ea=Y<<24>>24;if((ea-48|0)>>>0<10>>>0){Sb=La;Tb=da;Ub=ea}else{Vb=La;Wb=da;Xb=Y;break}}}else{Vb=-1;Wb=ka;Xb=_}do{if(Xb<<24>>24==44){Y=Wb+1|0;da=a[Y]|0;La=da<<24>>24;if((La-48|0)>>>0<10>>>0){Yb=-1;Zb=Y;_b=La}else{$b=Y;ac=-1;bc=da;break}while(1){da=((Yb|0)<0?-48:(Yb*10|0)-48|0)+_b|0;Y=Zb+1|0;La=a[Y]|0;ea=La<<24>>24;if((ea-48|0)>>>0<10>>>0){Yb=da;Zb=Y;_b=ea}else{cc=da;dc=Y;ec=La;T=54;break}}}else{cc=Vb;dc=Wb;ec=Xb;T=54}}while(0);do{if((T|0)==54){T=0;if(!((cc|0)>-1)){$b=dc;ac=cc;bc=ec;break}if((Vb|0)>(cc|0)|(cc|0)>255){Z=10;T=293;break b}else{$b=dc;ac=cc;bc=ec}}}while(0);if(bc<<24>>24==0){Z=9;T=293;break b}if(($b|0)==(ka|0)){Z=10;T=293;break b}if((Rb&1|0)==0){if(!(bc<<24>>24==92)){Z=10;T=293;break b}if((a[$b+1|0]|0)!=125){Z=10;T=293;break b}fc=$b+2|0}else{if(!(bc<<24>>24==125)){Z=10;T=293;break b}fc=$b+1|0}if((ac|Vb|0)==0){_=c[w>>2]|0;La=CS(_,0,0,1,32)|0;if((La|0)==0){Z=12;T=293;break b}Y=CS(_,0,0,1,20)|0;c[La+4>>2]=Y;if((Y|0)==0){Z=12;T=293;break b}c[La>>2]=0;c[La+8>>2]=-1;c[La+12>>2]=-1;c[Y>>2]=-1;c[Y+4>>2]=-1;c[Y+8>>2]=-1;gc=La}else{La=(ac&Vb|0)<0;Y=c[w>>2]|0;_=CS(Y,0,0,1,32)|0;if((_|0)==0){Z=12;T=293;break b}da=CS(Y,0,0,1,16)|0;c[_+4>>2]=da;if((da|0)==0){Z=12;T=293;break b}c[_>>2]=2;c[_+8>>2]=-1;c[_+12>>2]=-1;c[da>>2]=L;c[da+4>>2]=La?1:Vb;c[da+8>>2]=La?1:ac;La=da+12|0;c[La>>2]=c[La>>2]&-2;c[_+16>>2]=c[L+16>>2];gc=_}c[q>>2]=fc;U=sS(m,9)|0;V=M;W=gc;break};case 3:{_=sS(m,5)|0;if((_|0)!=0){R=_;S=M;T=6;break b}U=sS(m,4)|0;V=M;W=L;break};case 8:{_=N-2|0;c[n>>2]=_;La=c[P+(_<<2)>>2]|0;_=c[w>>2]|0;da=CS(_,0,0,1,32)|0;if((da|0)==0){Z=12;T=293;break b}Y=CS(_,0,0,1,8)|0;_=da+4|0;c[_>>2]=Y;if((Y|0)==0){Z=12;T=293;break b}c[da>>2]=3;c[da+8>>2]=-1;c[da+12>>2]=-1;c[Y>>2]=La;c[(c[_>>2]|0)+4>>2]=L;c[da+16>>2]=(c[L+16>>2]|0)+(c[La+16>>2]|0);U=0;V=M;W=da;break};case 5:{da=c[q>>2]|0;La=a[da]|0;if(La<<24>>24==0){U=0;V=M;W=L;break c}_=c[v>>2]&1;Y=(_|0)!=0;if(Y&La<<24>>24==124){U=0;V=M;W=L;break c}do{if(!(Y&La<<24>>24==41&(M|0)>0)){if((_|0)==0&La<<24>>24==92){if((a[da+1|0]|0)==41){break}}ea=sS(m,5)|0;if((ea|0)!=0){R=ea;S=M;T=6;break b}ea=sS(m,L)|0;if((ea|0)!=0){R=ea;S=M;T=6;break b}ea=sS(m,6)|0;if((ea|0)!=0){R=ea;S=M;T=6;break b}U=sS(m,4)|0;V=M;W=L;break c}}while(0);La=(_|M|0)==0?8:0;Y=M-1|0;if((_|0)!=0){U=La;V=Y;W=L;break c}c[q>>2]=da+2;U=La;V=Y;W=L;break};case 2:{Y=N-2|0;c[n>>2]=Y;La=c[P+(Y<<2)>>2]|0;if((c[L+12>>2]|0)>-1){Y=c[w>>2]|0;ka=CS(Y,0,0,1,32)|0;if((ka|0)==0){Z=12;T=293;break b}ea=CS(Y,0,0,1,20)|0;c[ka+4>>2]=ea;if((ea|0)==0){Z=12;T=293;break b}c[ka>>2]=0;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ea>>2]=-1;c[ea+4>>2]=-1;c[ea+8>>2]=-1;ea=c[w>>2]|0;Y=CS(ea,0,0,1,32)|0;if((Y|0)==0){Z=12;T=293;break b}ca=CS(ea,0,0,1,8)|0;ea=Y+4|0;c[ea>>2]=ca;if((ca|0)==0){Z=12;T=293;break b}c[Y>>2]=1;c[Y+8>>2]=-1;c[Y+12>>2]=-1;c[ca>>2]=ka;c[(c[ea>>2]|0)+4>>2]=L;ea=L+16|0;ca=Y+16|0;c[ca>>2]=(c[ea>>2]|0)+(c[ka+16>>2]|0);c[ca>>2]=c[ea>>2];hc=Y}else{hc=L}c[hc+12>>2]=La;La=hc+16|0;c[La>>2]=(c[La>>2]|0)+1;U=0;V=M;W=hc;break};case 10:{La=N-2|0;c[n>>2]=La;c[v>>2]=c[P+(La<<2)>>2];U=0;V=M;W=L;break};default:{U=0;V=M;W=L}}}while(0);P=c[n>>2]|0;O=(U|0)==0;if((P|0)>(o|0)&O){L=W;M=V;N=P}else{ic=W;jc=V;kc=U;lc=O;break a}}if((T|0)==6){ic=L;jc=S;kc=R;lc=(R|0)==0;break}else if((T|0)==293){i=d;return Z|0}}else{ic=0;jc=0;kc=p;lc=t}}while(0);t=(jc|0)>0;if(t|lc^1){Z=t?8:kc;i=d;return Z|0}c[b+8>>2]=ic;Z=0;i=d;return Z|0}function mS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=cT((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=cT((i<<2)+4|0)|0;n=m;if((m|0)==0){dT(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}sS(b,d)|0;d=sS(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 2:{C=y;while(1){if((c[C>>2]|0)>-1){C=C+4|0}else{D=0;E=C;F=x;G=w;H=v;I=u;J=t;K=s;break}}break};case 3:{C=c[B+(z-2<<2)>>2]|0;L=c[B+(z-3<<2)>>2]|0;M=c[B+(z-4<<2)>>2]|0;N=z-5|0;c[f>>2]=N;if(h){O=c[M+4>>2]|0;P=M+16|0;c[M+20>>2]=(c[(c[O>>2]|0)+20>>2]|0)+(c[B+(N<<2)>>2]|0)+(c[(c[O+4>>2]|0)+20>>2]|0)+((c[P>>2]|0)>0?2:0);Q=c[f>>2]|0;R=P}else{Q=N;R=M+16|0}M=c[B+(Q-1<<2)>>2]|0;N=Q-2|0;c[f>>2]=N;P=c[B+(N<<2)>>2]|0;N=Q-3|0;c[f>>2]=N;O=c[B+(N<<2)>>2]|0;if((c[R>>2]|0)<=0){D=0;E=M;F=x;G=w;H=v;I=u;J=t;K=1;break b}if(h){S=0}else{vS(a,C,P)|0;c[(c[p>>2]|0)+(P<<2)>>2]=1;P=vS(a,L,O)|0;c[(c[p>>2]|0)+(O<<2)>>2]=1;S=P}D=S;E=M;F=x+2|0;G=w;H=v;I=u;J=t;K=1;break};case 6:{M=z-2|0;c[f>>2]=M;P=c[B+(M<<2)>>2]|0;M=0;do{T=y+(M<<2)|0;M=M+1|0}while((c[T>>2]|0)>-1);c[T>>2]=P<<1|1;c[y+(M<<2)>>2]=-1;O=0;while(1){if((c[n+(O<<2)>>2]|0)>-1){O=O+1|0}else{break}}c[n+(O-1<<2)>>2]=-1;D=0;E=y;F=x;G=w;H=v;I=u;J=t;K=s;break};case 0:{M=z-2|0;c[f>>2]=M;P=c[B+(M<<2)>>2]|0;M=P;L=P+12|0;C=c[L>>2]|0;if((C|0)>-1){N=0;do{U=y+(N<<2)|0;N=N+1|0}while((c[U>>2]|0)>-1);c[U>>2]=C<<1;c[y+(N<<2)>>2]=-1;do{if(!h){O=0;while(1){if((c[n+(O<<2)>>2]|0)>-1){O=O+1|0}else{break}}c[(c[q>>2]|0)+(C*12|0)+8>>2]=0;if((O|0)<=0){break}V=cT((O<<2)+4|0)|0;W=V;if((V|0)==0){X=t;Y=v;Z=w;_=x;$=y;aa=12;break a}c[(c[q>>2]|0)+(C*12|0)+8>>2]=W;V=c[n>>2]|0;if((V|0)>-1){ba=0;ca=V;V=W;while(1){c[V>>2]=ca;da=ba+1|0;ea=c[n+(da<<2)>>2]|0;fa=W+(da<<2)|0;if((ea|0)>-1){ba=da;ca=ea;V=fa}else{ga=fa;break}}}else{ga=W}c[ga>>2]=-1}}while(0);C=sS(b,c[L>>2]|0)|0;if((C|0)!=0){X=t;Y=v;Z=w;_=x;$=y;aa=C;break a}C=sS(b,6)|0;if((C|0)!=0){X=t;Y=v;Z=w;_=x;$=y;aa=C;break a}}C=c[P>>2]|0;do{if((C|0)==3){N=c[P+4>>2]|0;V=c[N>>2]|0;ca=c[N+4>>2]|0;N=(c[y>>2]|0)>-1;ba=u+1|0;O=sS(b,N?ba:u)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,N?u:v)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,y)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,(c[y>>2]|0)>>>31^1)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,P)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=ca;ca=sS(b,O)|0;if((ca|0)!=0){ha=ca;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}ca=V;V=sS(b,ca)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=sS(b,3)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=sS(b,O)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=sS(b,0)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=sS(b,2)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=sS(b,ca)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=sS(b,0)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if((c[y>>2]|0)>-1){if(h){oa=0;pa=w;qa=t}else{V=uS(a,M,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){ca=c[r>>2]|0;O=0;while(1){ra=ca+(O<<2)|0;sa=O+1|0;if((c[ra>>2]|0)>-1){O=sa}else{break}}c[ra>>2]=v;c[ca+(sa<<2)>>2]=t;c[ca+(O+2<<2)>>2]=-1;ta=w+1|0;ua=-1}else{ta=w;ua=t}W=c[y>>2]|0;if((W|0)>-1){N=c[q>>2]|0;fa=0;ea=W;do{W=(ea|0)/2|0;if((ea&1|0)==0){c[N+(W*12|0)>>2]=v}else{c[N+(W*12|0)+4>>2]=v}fa=fa+1|0;ea=c[y+(fa<<2)>>2]|0;}while((ea|0)>-1)}c[y>>2]=-1;oa=V;pa=ta;qa=ua}c[y>>2]=-1;va=oa;wa=x+1|0;xa=pa;ya=u;za=ba;Aa=qa}else{va=0;wa=x;xa=w;ya=v;za=u;Aa=t}if((c[P+16>>2]|0)<=0){ha=va;ia=wa;ja=xa;ka=ya;la=za;ma=Aa;na=s;break}ha=va;ia=wa;ja=xa;ka=za+1|0;la=za+2|0;ma=Aa;na=s}else if((C|0)==1){ea=c[P+4>>2]|0;fa=c[ea>>2]|0;N=c[ea+4>>2]|0;ea=sS(b,P)|0;if((ea|0)!=0){ha=ea;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}ea=sS(b,5)|0;if((ea|0)!=0){ha=ea;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}ea=sS(b,N)|0;if((ea|0)!=0){ha=ea;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}ea=sS(b,0)|0;if((ea|0)!=0){ha=ea;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}ea=fa+20|0;O=sS(b,(c[ea>>2]|0)+u|0)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if((c[ea>>2]|0)>0){ea=(c[N+20>>2]|0)>0;Ba=(ea&1)+u|0;Ca=ea?u:-1}else{Ba=u;Ca=-1}ea=sS(b,Ca)|0;if((ea|0)!=0){ha=ea;ia=x;ja=w;ka=v;la=Ba;ma=t;na=s;break}ea=sS(b,4)|0;if((ea|0)!=0){ha=ea;ia=x;ja=w;ka=v;la=Ba;ma=t;na=s;break}ea=sS(b,fa)|0;if((ea|0)!=0){ha=ea;ia=x;ja=w;ka=v;la=Ba;ma=t;na=s;break}ha=sS(b,0)|0;ia=x;ja=w;ka=v;la=Ba;ma=t;na=s}else if((C|0)==0){ea=c[c[P+4>>2]>>2]|0;if(!((ea|0)>-1|(ea|0)==-4)){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(!((c[y>>2]|0)>-1)){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(h){c[P+20>>2]=1;Da=0;Ea=w;Fa=t}else{ea=uS(a,M,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){fa=c[r>>2]|0;N=0;while(1){Ga=fa+(N<<2)|0;Ha=N+1|0;if((c[Ga>>2]|0)>-1){N=Ha}else{break}}c[Ga>>2]=v;c[fa+(Ha<<2)>>2]=t;c[fa+(N+2<<2)>>2]=-1;Ia=w+1|0;Ja=-1}else{Ia=w;Ja=t}ba=c[y>>2]|0;if((ba|0)>-1){V=c[q>>2]|0;O=0;ca=ba;do{ba=(ca|0)/2|0;if((ca&1|0)==0){c[V+(ba*12|0)>>2]=v}else{c[V+(ba*12|0)+4>>2]=v}O=O+1|0;ca=c[y+(O<<2)>>2]|0;}while((ca|0)>-1)}c[y>>2]=-1;Da=ea;Ea=Ia;Fa=Ja}c[y>>2]=-1;ha=Da;ia=x+1|0;ja=Ea;ka=u;la=u+1|0;ma=Fa;na=s}else if((C|0)==2){ca=c[P+4>>2]|0;if(h){if((c[y>>2]|0)>-1){Ka=1}else{Ka=c[ca+12>>2]&1}O=sS(b,Ka)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}}else{O=sS(b,v)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,c[ca+12>>2]&1)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}}O=sS(b,P)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,1)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,c[ca>>2]|0)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=sS(b,0)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(!((c[y>>2]|0)>-1)){if((c[ca+12>>2]&1|0)==0){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=0;break}}if(h){La=0;Ma=w;Na=t}else{O=uS(a,M,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[ca+12>>2]&1|0)==0?s:1;if((t|0)>-1){ca=c[r>>2]|0;V=0;while(1){Oa=ca+(V<<2)|0;Pa=V+1|0;if((c[Oa>>2]|0)>-1){V=Pa}else{break}}c[Oa>>2]=v;c[ca+(Pa<<2)>>2]=t;c[ca+(V+2<<2)>>2]=-1;Qa=w+1|0;Ra=-1}else{Qa=w;Ra=t}ea=c[y>>2]|0;if((ea|0)>-1){N=c[q>>2]|0;fa=0;ba=ea;do{ea=(ba|0)/2|0;if((ba&1|0)==0){c[N+(ea*12|0)>>2]=v}else{c[N+(ea*12|0)+4>>2]=v}fa=fa+1|0;ba=c[y+(fa<<2)>>2]|0;}while((ba|0)>-1)}c[y>>2]=-1;La=O;Ma=Qa;Na=Ra}c[y>>2]=-1;ha=La;ia=x+1|0;ja=Ma;ka=u;la=u+1|0;ma=Na;na=0}else{ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s}}while(0);M=c[L>>2]|0;if((M|0)>-1){Sa=0}else{D=ha;E=y;F=ia;G=ja;H=ka;I=la;J=ma;K=na;break b}do{Ta=n+(Sa<<2)|0;Sa=Sa+1|0}while((c[Ta>>2]|0)>-1);c[Ta>>2]=M;c[n+(Sa<<2)>>2]=-1;D=ha;E=y;F=ia;G=ja;H=ka;I=la;J=ma;K=na;break};case 1:{L=z-2|0;c[f>>2]=L;P=c[B+(L<<2)>>2]|0;if(h){L=c[(c[c[P+4>>2]>>2]|0)+20>>2]|0;C=z-3|0;c[f>>2]=C;c[P+20>>2]=(c[B+(C<<2)>>2]|0)+L;D=0;E=y;F=x;G=w;H=v;I=u;J=-1;K=s;break b}else{L=z-3|0;c[f>>2]=L;C=c[B+(L<<2)>>2]|0;L=z-4|0;c[f>>2]=L;P=(C|0)==0;D=0;E=y;F=x;G=w;H=v;I=u;J=P?t:c[B+(L<<2)>>2]|0;K=P&1;break b}break};case 4:{P=z-2|0;c[f>>2]=P;L=c[B+(P<<2)>>2]|0;P=z-3|0;c[f>>2]=P;D=0;E=y;F=x;G=w;H=(L|0)>-1?L:v;I=c[B+(P<<2)>>2]|0;J=t;K=s;break};case 5:{P=z-2|0;c[f>>2]=P;L=c[B+(P<<2)>>2]|0;if(!h){D=0;E=y;F=x;G=w;H=v;I=u;J=t;K=s;break b}P=c[L+4>>2]|0;c[L+20>>2]=(c[(c[P+4>>2]|0)+20>>2]|0)+(c[(c[P>>2]|0)+20>>2]|0);D=0;E=y;F=x;G=w;H=v;I=u;J=t;K=s;break};default:{D=0;E=y;F=x;G=w;H=v;I=u;J=t;K=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(D|0)==0){s=K;t=J;u=I;v=H;w=G;x=F;y=E;z=B}else{X=J;Y=H;Z=G;_=F;$=E;aa=D;break a}}}else{X=-1;Y=0;Z=0;_=0;$=k;aa=d}}while(0);do{if(h){Ua=Z}else{d=c[$>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;D=0;E=d;do{d=(E|0)/2|0;if((E&1|0)==0){c[k+(d*12|0)>>2]=Y}else{c[k+(d*12|0)+4>>2]=Y}D=D+1|0;E=c[$+(D<<2)>>2]|0;}while((E|0)>-1)}c[$>>2]=-1;if(!((X|0)>-1)){Ua=Z;break}E=c[e+36>>2]|0;D=0;while(1){Va=E+(D<<2)|0;Wa=D+1|0;if((c[Va>>2]|0)>-1){D=Wa}else{break}}c[Va>>2]=Y;c[E+(Wa<<2)>>2]=X;c[E+(D+2<<2)>>2]=-1;Ua=Z+1|0}}while(0);c[e+48>>2]=_;c[e+40>>2]=_;c[e+44>>2]=Ua;dT(j);dT(m);l=aa;return l|0}function nS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==1){g=c[f+4>>2]|0;h=g;i=g+4|0;g=pS(c[(c[h>>2]|0)+28>>2]|0,c[(c[i>>2]|0)+24>>2]|0,b,d,e)|0;if((g|0)!=0){j=g;k=10;break a}g=nS(c[h>>2]|0,b,d,e)|0;if((g|0)==0){l=i}else{j=g;k=10;break a}}else if((a|0)==2){g=c[f+4>>2]|0;i=g;if(!((c[g+8>>2]|0)==-1)){l=i;break}g=c[i>>2]|0;h=pS(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((h|0)==0){l=i}else{j=h;k=10;break a}}else if((a|0)==3){h=c[f+4>>2]|0;i=nS(c[h>>2]|0,b,d,e)|0;if((i|0)!=0){j=i;k=10;break a}l=h+4|0}else{j=0;k=10;break a}}while(0);f=c[l>>2]|0}if((k|0)==10){return j|0}return 0}function oS(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{dT(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}dT(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){dT(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){dT(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}dT(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{dT(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}dT(l)}l=c[b+32>>2]|0;if((l|0)!=0){dT(l)}l=c[b+20>>2]|0;if((l|0)!=0){dT(l)}l=c[b+36>>2]|0;if((l|0)!=0){dT(l)}dT(b);return}function pS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=cT(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){dT(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=cT((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function qS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=CS(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=CS(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=CS(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function rS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=sS(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==3){p=c[m+4>>2]|0;q=c[p>>2]|0;if((c[q+8>>2]|0)!=0){r=sS(a,q)|0;break}q=c[p+4>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=sS(a,q)|0}else if((o|0)==1){q=c[m+4>>2]|0;p=sS(a,c[q>>2]|0)|0;if((p|0)!=0){k=p;n=28;break a}r=sS(a,c[q+4>>2]|0)|0}else if((o|0)==2){q=c[c[m+4>>2]>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=sS(a,q)|0}else if((o|0)==0){q=c[m+4>>2]|0;p=c[q>>2]|0;if((p|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[q+4>>2];continue a}else if((p|0)!=(-3|0)){continue a}p=c[q+4>>2]|0;if(!((p|0)>-1)){continue a}do{if(!b){q=0;while(1){s=d+(q<<2)|0;t=c[s>>2]|0;if(!((t|0)>-1)){n=14;break}u=q+1|0;if((t|0)==(p|0)){n=13;break}else{q=u}}if((n|0)==13){n=0;if((p|0)<0){v=u}else{break}}else if((n|0)==14){n=0;v=q+1|0}c[s>>2]=p;c[d+(v<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else{continue a}}while(0);if((r|0)!=0){k=r;n=28;break}}if((n|0)==28){return k|0}return 0}function sS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=fT(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;sS(a,b)|0;return 0}return 0}function tS(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;sS(b,d)|0;d=sS(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==3){v=c[r+4>>2]|0;u=v;x=c[u>>2]|0;y=v+4|0;v=c[y>>2]|0;z=CS(a,0,0,1,32)|0;if((z|0)==0){A=20;break b}B=CS(a,0,0,1,8)|0;C=z+4|0;c[C>>2]=B;if((B|0)==0){A=20;break b}c[z>>2]=3;c[z+8>>2]=-1;c[z+12>>2]=-1;c[B>>2]=x;c[(c[C>>2]|0)+4>>2]=v;c[z+16>>2]=(c[v+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=z;z=c[C>>2]|0;C=sS(b,c[y>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}C=sS(b,0)|0;if((C|0)!=0){s=q;t=C;break a}C=sS(b,z+4|0)|0;if((C|0)!=0){s=q;t=C;break a}C=sS(b,1)|0;if((C|0)!=0){s=q;t=C;break a}C=sS(b,c[u>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}D=sS(b,0)|0;E=q;F=p;G=z}else if((w|0)==0){z=c[r+4>>2]|0;C=c[z+8>>2]|0;u=c[z>>2]|0;y=c[z+4>>2]|0;do{if((u|0)>-1|(u|0)==-4){H=q+1|0;I=p;J=y;K=u;L=(c[f>>2]|0)+C|0}else{if(!((u|0)==-3)){H=q;I=p;J=y;K=u;L=C;break}if(!m){H=q;I=p;J=-1;K=-1;L=-1;break}if(n|(p|0)==0){H=q;I=p;J=y;K=-3;L=C;break}c[g+(y<<2)>>2]=1;H=q;I=0;J=y;K=-3;L=C}}while(0);C=CS(a,0,0,1,32)|0;y=C;do{if((C|0)==0){M=0}else{u=CS(a,0,0,1,20)|0;c[C+4>>2]=u;if((u|0)==0){M=0;break}c[C>>2]=0;c[C+8>>2]=-1;c[C+12>>2]=-1;c[u>>2]=K;c[u+4>>2]=J;c[u+8>>2]=L;M=y}}while(0);c[o>>2]=M;y=(M|0)==0?12:0;if((L|0)<=(c[i>>2]|0)){D=y;E=H;F=I;G=o;break}c[i>>2]=L;D=y;E=H;F=I;G=o}else if((w|0)==1){y=c[r+4>>2]|0;C=y;u=c[C>>2]|0;z=y+4|0;y=c[z>>2]|0;x=CS(a,0,0,1,32)|0;if((x|0)==0){A=29;break b}v=CS(a,0,0,1,8)|0;B=x+4|0;c[B>>2]=v;if((v|0)==0){A=29;break b}c[x>>2]=1;c[x+8>>2]=-1;c[x+12>>2]=-1;c[v>>2]=u;c[(c[B>>2]|0)+4>>2]=y;c[x+16>>2]=(c[y+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=x;x=c[B>>2]|0;B=x;c[B>>2]=0;u=x+4|0;c[u>>2]=0;x=sS(b,c[z>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}x=sS(b,0)|0;if((x|0)!=0){s=q;t=x;break a}x=sS(b,u)|0;if((x|0)!=0){s=q;t=x;break a}x=sS(b,1)|0;if((x|0)!=0){s=q;t=x;break a}x=sS(b,c[C>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}D=sS(b,0)|0;E=q;F=p;G=B}else if((w|0)==2){B=c[r+4>>2]|0;x=B;C=sS(b,c[x>>2]|0)|0;if((C|0)!=0){s=q;t=C;break a}C=sS(b,0)|0;if((C|0)!=0){s=q;t=C;break a}C=c[x>>2]|0;x=c[B+4>>2]|0;u=c[B+8>>2]|0;z=c[B+12>>2]&1;B=CS(a,0,0,1,32)|0;if((B|0)==0){A=40;break b}y=CS(a,0,0,1,16)|0;v=B+4|0;c[v>>2]=y;if((y|0)==0){A=40;break b}c[B>>2]=2;c[B+8>>2]=-1;c[B+12>>2]=-1;c[y>>2]=C;c[y+4>>2]=x;c[y+8>>2]=u;u=y+12|0;c[u>>2]=c[u>>2]&-2|z;c[B+16>>2]=c[C+16>>2];c[o>>2]=B;o=c[v>>2]|0;p=p;q=q;continue b}else{o=o;p=p;q=q;continue b}}while(0);if((D|0)==0){o=G;p=F;q=E}else{s=E;t=D;break a}}if((A|0)==20){c[o>>2]=0;s=q;t=12;break}else if((A|0)==29){c[o>>2]=0;s=q;t=12;break}else if((A|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function uS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=CS(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=CS(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=CS(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=CS(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function vS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=CS(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=CS(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=CS(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=CS(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function wS(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function xS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=14512}else{h=b;j=14512;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((ET(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Bb(e|0,f|0,33280,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function Uj(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;Ud[c[e+20>>2]&511](c[f+36>>2]|0);Vj(c[f+44>>2]|0,e);Ud[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;Ud[c[e+20>>2]&511](f)}Vj(c[e+376>>2]|0,e);Vj(c[e+372>>2]|0,e);Wj(e+416|0);Wj(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}Xj(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);Ud[c[e+20>>2]&511](c[e+392>>2]|0);Ud[c[e+20>>2]&511](c[e+464>>2]|0);Ud[c[e+20>>2]&511](c[e+8>>2]|0);Ud[c[e+20>>2]&511](c[e+44>>2]|0);Ud[c[e+20>>2]&511](c[e+396>>2]|0);Ud[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){Ud[c[e+252>>2]&511](c[e+244>>2]|0)}Ud[c[e+20>>2]&511](e);i=d;return}function Vj(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;Ud[c[a+20>>2]&511](c[b+16>>2]|0);Ud[c[a+20>>2]&511](b)}i=d;return}function Wj(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Ud[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Ud[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function Xj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;ik(f,g+20|0);while(1){d=jk(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){Ud[c[b+8>>2]&511](c[d+20>>2]|0)}}nk(g|0);nk(g+132|0);nk(g+20|0);nk(g+40|0);nk(g+60|0);Wj(g+80|0);Wj(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Ud[k&511](m);i=e;return}Ud[c[b+8>>2]&511](c[g+184>>2]|0);Ud[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Ud[k&511](m);i=e;return}function Yj(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function Zj(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function _j(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==0){do{if((c[h+476>>2]|0)==0){if(($j(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}else if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=bk(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{GT(f|0,b|0,d)|0;j=ck(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=je[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=64;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==0|(e|0)==1){c[h+480>>2]=2}else if((e|0)==3){ne[c[(c[h+144>>2]|0)+52>>2]&63](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}j=1;k=j;i=g;return k|0}function $j(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=Yk()|0}if((a[e+236|0]|0)!=0){f=Tj(e,17168)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function ak(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function bk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;KT(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=Xd[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}GT(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;Ud[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function ck(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==0){do{if((c[g+476>>2]|0)==0){if(($j(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=je[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=64;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else if((h|0)==3){e=2}else{m=16}}while(0);ne[c[(c[g+144>>2]|0)+52>>2]&63](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function dk(a){a=a|0;i=i;return c[a+284>>2]|0}function ek(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}ne[c[(c[d+144>>2]|0)+52>>2]&63](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function fk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){ke[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];Td[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];ke[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function gk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[526968+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function hk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;GT((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=ge[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=Xd[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){GT(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function ik(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function jk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function kk(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=Xd[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){HT(c[b>>2]|0,0,g|0)|0;g=lk(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=lk(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((mk(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=Xd[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}HT(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=lk(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}Ud[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=Xd[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){HT(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function lk(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function mk(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function nk(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}Ud[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}Ud[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function ok(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[22040+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[22008+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=ge[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=Xd[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=Xd[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}Ud[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;GT(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}ke[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function pk(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((Zd[((a[e+236|0]&255|0)!=0?48:2)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=Xk(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function qk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=je[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=rk(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function rk(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case 0:{r=10;break a;break};case-1:{r=11;break a;break};case-2:{r=12;break a;break};case-15:{g=-g|0;break};case-4:{r=14;break a;break};default:{g=-g|0;c[n>>2]=f}}}s=Yd[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 1:{t=sk(o,0,e,c[n>>2]|0)|0;if((t|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=tk(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 7:{if((c[o+84>>2]|0)!=0){Td[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;Qj(o+416|0);h=0}break};case 57:{u=sk(o,1,e,c[n>>2]|0)|0;if((u|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 6:{a[o+489|0]=0;c[o+316>>2]=kk(o,l+132|0,17544,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((je[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}v=tk(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=46;break a}uk(v);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=v;h=0;r=52;break};case 14:{r=49;break};case 8:{if((c[o+320>>2]|0)!=0){Td[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);Qj(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;v=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}w=kk(o,l+132|0,17544,36)|0;if((w|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[w+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((Yd[c[o+112>>2]&127](c[o+116>>2]|0,0,c[w+20>>2]|0,c[w+16>>2]|0,c[w+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Xd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=v}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){Ud[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 2:{r=86;break a;break};case 34:{c[o+344>>2]=wk(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=xk(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 23:{a[o+352|0]=1;c[o+332>>2]=17640;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=17608;r=117;break};case 25:{c[o+332>>2]=17600;r=117;break};case 26:{c[o+332>>2]=17592;r=117;break};case 27:{c[o+332>>2]=17616;r=117;break};case 28:{c[o+332>>2]=17624;r=117;break};case 29:{c[o+332>>2]=17584;r=117;break};case 30:{c[o+332>>2]=17568;r=117;break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){x=17560}else{x=(s|0)==32?17528:17552}if((yk(o+416|0,x)|0)==0){r=127;break a}if((zk(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((Ak(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hk(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;v=o+428|0;w=c[v>>2]|0;c[v>>2]=w+1;a[w]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hk(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;w=o+428|0;v=c[w>>2]|0;c[w>>2]=v+1;a[v]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;ae[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);Qj(o+416|0);h=0}}while(0)}break};case 37:case 38:{if((a[l+128|0]|0)!=0){y=Bk(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((y|0)!=0){r=155;break a}v=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((Ak(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,v,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hk(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;w=o+428|0;z=c[w>>2]|0;c[w>>2]=z+1;a[z]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((hk(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;z=o+428|0;w=c[z>>2]|0;c[z>>2]=w+1;a[w]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;ae[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,v,(s|0)==38|0);Qj(o+416|0);h=0}}while(0)}break};case 12:{if((a[l+128|0]|0)!=0){A=Ck(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;fe[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((A|0)!=0){r=183;break a}}break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=tk(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=17544}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((Xd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=kk(o,l+132|0,17544,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 13:{r=201;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;fe[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}v=tk(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=v;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;ae[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;fe[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 9:{if((Zd[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){v=tk(l+80|0,b,e,c[n>>2]|0)|0;if((v|0)==0){r=229;break a}c[o+316>>2]=kk(o,l|0,v,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(v|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){B=1}else{B=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(B^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 10:{if((a[l+128|0]|0)!=0){v=tk(l+80|0,b,e,c[n>>2]|0)|0;if((v|0)==0){r=244;break a}c[o+316>>2]=kk(o,l+132|0,v,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(v|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){C=1}else{C=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(C^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=tk(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 21:{if((je[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){v=tk(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=266;break a}uk(v);c[o+340>>2]=v;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}v=tk(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((v|0)==0){r=272;break a}c[q>>2]=e;Td[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,v,c[o+340>>2]|0);h=0}}while(0);Qj(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;Td[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);Qj(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){fk(o,b,e,c[n>>2]|0)}h=0;D=Dk(o,b,n,f,j,k)|0;if((D|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){v=c[o+16>>2]|0;w=c[o+464>>2]|0;z=o+468|0;E=c[z>>2]<<1;c[z>>2]=E;z=ge[v&127](w,E)|0;if((z|0)==0){r=294;break a}c[o+464>>2]=z;if((c[l+184>>2]|0)!=0){z=ge[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((z|0)==0){r=297;break a}c[l+184>>2]=z}}else{z=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=Xd[z&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){z=Fk(o)|0;if((z|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=z;E=l+180|0;c[E>>2]=(c[E>>2]|0)+1;c[(c[l+164>>2]|0)+(z*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){z=tk(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((z|0)==0){r=329;break a}F=kk(o,l+132|0,z,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((F|0)==0){r=335;break a}if((a[F+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((F|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}ke[c[o+120>>2]&15](c[o+4>>2]|0,z,1);h=0}}while(0);break b}}while(0);if((a[F+32|0]|0)!=0){r=347;break a}if((c[F+4>>2]|0)!=0){G=Gk(o,F,((s|0)==60?1:0)&255)|0;if((G|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[F+32|0]=1;if((Yd[c[o+112>>2]&127](c[o+116>>2]|0,0,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){r=354;break a}a[F+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Xd[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=wk(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){z=Xd[c[o+12>>2]&255](20)|0;if((z|0)==0){r=373;break a}c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[z>>2]=(s|0)==41?2:1;c[q>>2]=e;ke[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,z);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((Ik(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((Jk(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((je[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=tk(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=Fk(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;z=wk(o,b,e,I)|0;if((z|0)==0){r=393;break}E=c[z>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=E;s=0;do{z=s;s=z+1|0;}while((a[E+z|0]|0)!=0);E=l+168|0;c[E>>2]=(c[E>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}E=l+180|0;c[E>>2]=(c[E>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){E=Hk(o)|0;if((E|0)==0){r=411;break}c[q>>2]=e;ke[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,E)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}E=tk(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((E|0)==0){r=55;break a}uk(E);c[(c[o+316>>2]|0)+24>>2]=E;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}fk(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=je[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((Yd[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=t;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=u;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){u=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}t=kk(o,l+132|0,17544,36)|0;if((t|0)==0){J=1;K=J;i=m;return K|0}c[t+20>>2]=c[o+360>>2];a[l+131|0]=0;if((Yd[c[o+112>>2]&127](c[o+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Xd[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=u}}}while(0)}c[o+280>>2]=2;J=vk(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=y;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=A;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){A=g;if((A|0)==28){J=10;K=J;i=m;return K|0}else if((A|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=D;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=D;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=G;K=J;i=m;return K|0}else if((r|0)==354){a[F+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function sk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((Wd[((a[n+236|0]&255|0)!=0?6:2)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=tk(n+440|0,b,r,s+(ge[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=tk(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);ne[c[n+140>>2]&63](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){fk(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=tk(n+440|0,e,d,m+(ge[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=Xk(n,f)|0;Qj(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){Qj(n+440|0)}p=0;q=p;i=g;return q|0}function tk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((zk(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hk(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function uk(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function vk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=Mk(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Uk(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function wk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=tk(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=kk(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((Vk(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function xk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((hk(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=tk(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=kk(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=kk(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((hk(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((hk(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=kk(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function yk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((hk(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function zk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((hk(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){Td[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((hk(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function Ak(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=Xd[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=ge[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function Bk(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=Wk(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((hk(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function Ck(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((hk(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(je[c[b+20>>2]&127](b,e,f,j)|0){case-1:{r=56;break a;break};case-4:{r=31;break a;break};case 9:case 6:{if((zk(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=tk(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=kk(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((Yd[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=Ck(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case 10:{s=ge[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=bl(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((hk(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};case 0:{r=59;break a;break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 7:{r=36;break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((hk(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function Dk(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=je[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case 42:{if((c[k+80>>2]|0)!=0){fk(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function Ek(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Dk(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=74;k=qk(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function Fk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=Xd[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=ge[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=Xd[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function Gk(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=Xd[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=je[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=rk(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=Mk(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=60}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function Hk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=Xd[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;Lk(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function Ik(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){fk(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(ge[c[a+32>>2]&127](a,b)|0)|0;k=tk(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=ge[c[a+36>>2]&127](a,e)|0;e=tk(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){Kk(e);ke[c[g+64>>2]&15](c[g+4>>2]|0,k,e);Qj(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function Jk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){fk(g,a,b,d)}h=1;j=h;i=f;return j|0}e=tk(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){Kk(e);Vd[c[g+68>>2]&127](c[g+4>>2]|0,e);Qj(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function Kk(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function Lk(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}Lk(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function Mk(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=je[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case-5:{B=182;break a;break};case 6:{C=c[y+60>>2]|0;if((C|0)!=0){if((a[e+72|0]|0)!=0){ke[C&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];Td[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];ke[C&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 11:{if((Ik(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if((Jk(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};case-3:{B=6;break a;break};case-2:{B=29;break a;break};case 2:case 1:{if((c[y+368>>2]|0)!=0){D=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{D=Xd[c[y+12>>2]&255](48)|0;if((D|0)==0){B=86;break a}c[D+36>>2]=Xd[c[y+12>>2]&255](32)|0;if((c[D+36>>2]|0)==0){B=88;break a}c[D+40>>2]=(c[D+36>>2]|0)+32}c[D+44>>2]=0;c[D>>2]=c[y+364>>2];c[y+364>>2]=D;c[D+16>>2]=0;c[D+20>>2]=0;c[D+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[D+8>>2]=ge[c[e+32>>2]&127](e,c[D+4>>2]|0)|0;C=y+312|0;c[C>>2]=(c[C>>2]|0)+1;C=(c[D+4>>2]|0)+(c[D+8>>2]|0)|0;c[r>>2]=c[D+4>>2];c[q>>2]=c[D+36>>2];while(1){Td[c[e+60>>2]&31](e,r,C,q,(c[D+40>>2]|0)-1|0);E=(c[q>>2]|0)-(c[D+36>>2]|0)|0;if((c[r>>2]|0)==(C|0)){break}F=(c[D+40>>2]|0)-(c[D+36>>2]|0)<<1;G=ge[c[y+16>>2]&127](c[D+36>>2]|0,F)|0;if((G|0)==0){B=94;break a}c[D+36>>2]=G;c[D+40>>2]=G+F;c[q>>2]=G+E}c[D+24>>2]=E;c[D+12>>2]=c[D+36>>2];a[c[q>>2]|0]=0;H=Pk(y,e,c[m>>2]|0,D+12|0,D+44|0)|0;if((H|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){ke[c[y+52>>2]&15](c[y+4>>2]|0,c[D+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}Qj(y+416|0);break};case 0:{B=25;break a;break};case-1:{B=26;break a;break};case 10:{C=ge[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((C|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){G=c[y+60>>2]|0;F=c[y+4>>2]|0;I=bl(C,u|0)|0;ke[G&15](F,u|0,I)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}I=c[y+364>>2]|0;c[y+364>>2]=c[I>>2];c[I>>2]=c[y+368>>2];c[y+368>>2]=I;J=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;F=ge[c[e+32>>2]&127](e,J)|0;if((F|0)!=(c[I+8>>2]|0)){B=129;break a}if((BT(c[I+4>>2]|0,J,F)|0)!=0){B=129;break a}F=y+312|0;c[F>>2]=(c[F>>2]|0)-1;if((c[y+56>>2]|0)!=0){F=c[I+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((F|0)==0){break}G=(c[I+12>>2]|0)+(c[I+28>>2]|0)|0;while(1){if((a[F]|0)==0){break}C=F;F=C+1|0;K=G;G=K+1|0;a[K]=a[C]|0}C=c[I+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((C|0)==0){break}K=G;G=K+1|0;a[K]=a[y+472|0]|0;while(1){if((a[C]|0)==0){break}K=C;C=K+1|0;L=G;G=L+1|0;a[L]=a[K]|0}}}while(0);a[G]=0}}while(0);Vd[c[y+56>>2]&127](c[y+4>>2]|0,c[I+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[I+44>>2]|0)==0){break}F=c[I+44>>2]|0;if((c[y+104>>2]|0)!=0){Vd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[F>>2]>>2]|0)}c[I+44>>2]=c[(c[I+44>>2]|0)+4>>2];c[F+4>>2]=c[y+376>>2];c[y+376>>2]=F;c[(c[F>>2]|0)+4>>2]=c[F+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case 9:{a[p]=Zd[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){ke[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}I=tk(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((I|0)==0){B=40;break a}F=kk(y,k|0,I,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((F|0)!=0){break}if((c[y+120>>2]|0)!=0){ke[c[y+120>>2]&15](c[y+4>>2]|0,I,0)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((F|0)==0){B=44;break a}if((a[F+34|0]|0)==0){B=46;break a}}if((a[F+32|0]|0)!=0){B=58;break a}if((c[F+28>>2]|0)!=0){B=60;break a}do{if((c[F+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){M=Gk(y,F,0)|0;if((M|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){ke[c[y+120>>2]&15](c[y+4>>2]|0,c[F>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[F+32|0]=1;I=Ok(y)|0;a[F+32|0]=0;if((I|0)==0){B=74;break a}if((Yd[c[y+112>>2]&127](c[y+116>>2]|0,I,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 4:case 3:{F=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;I=1;c[t>>2]=tk(y+416|0,e,F,F+(ge[c[e+32>>2]&127](e,F)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];N=Pk(y,e,c[m>>2]|0,t,s)|0;if((N|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){ke[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);I=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}Vd[c[y+56>>2]&127](c[y+4>>2]|0,c[t>>2]|0);I=0}do{if((I&255|0)!=0){if((c[y+80>>2]|0)==0){break}fk(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);Qj(y+416|0);while(1){if((c[s>>2]|0)==0){break}I=c[s>>2]|0;if((c[y+104>>2]|0)!=0){Vd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[I>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[I+4>>2]=c[y+376>>2];c[y+376>>2]=I;c[(c[I>>2]|0)+4>>2]=c[I+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};case-4:{B=18;break a;break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;ke[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 8:{if((c[y+72>>2]|0)!=0){Ud[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}O=Rk(y,e,n,g,h,j)|0;if((O|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};default:{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;ke[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=M;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){Ud[c[y+20>>2]&511](D);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=H;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=N;Q=P;i=l;return Q|0}else if((B|0)==123){P=Qk(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=J;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=Qk(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=O;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=72;P=O;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){ke[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];Td[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);ke[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){fk(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function Nk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=je[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=rk(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=Mk(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=74;m=je[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=rk(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=2;k=Mk(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function Ok(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);ik(e,b+60|0);b:while(1){j=jk(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){ik(e,b|0);d:while(1){b=jk(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((hk(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}function Pk(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=kk(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=Sj(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=kk(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((Vk(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=je[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=ge[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){je[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=xk(k,b,v,w+(ge[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=tk(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=Bk(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=ok(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=ok(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=ge[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(kk(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((hk(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((hk(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((hk(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=Xd[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;GT(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}Ud[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;GT(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;GT(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function Qk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=62;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=je[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case-1:{k=19;break a;break};case-2:{k=22;break a;break};case-4:{k=8;break a;break};case 15:{if((c[j+80>>2]|0)!=0){fk(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};case 13:{if((Jk(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case 0:{k=18;break a;break};case 11:{if((Ik(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case-15:{k=3;break a;break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==3){k=27;break}else if((f|0)==2){k=28;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){fk(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function Rk(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=je[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){ke[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];Td[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];ke[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){fk(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 0:{r=33;break a;break};case-2:{r=34;break a;break};case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;ke[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){fk(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 40:{r=6;break a;break};case-1:case-4:{r=37;break a;break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==2){r=43;break}else if((h|0)==3){r=42;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){Ud[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){fk(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function Sk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Rk(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=30;k=Tk(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=2;k=vk(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function Tk(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=Mk(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Uk(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function Uk(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=ge[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}GT(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function Vk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((hk(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((hk(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=kk(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function Wk(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(je[c[b+16>>2]&127](b,f,g,l)|0){case 9:{o=(Zd[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(o<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hk(h)|0)<<24>>24!=0){p=51;break}if(!0){p=52;break a}}else{p=51}}while(0);if((p|0)==51){p=0;q=h+12|0;r=c[q>>2]|0;c[q>>2]=r+1;a[r]=o;if(!1){p=52;break a}}break b}r=tk(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){p=55;break a}q=kk(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){s=((c[n+300>>2]|0)!=0^1)&1}else{s=((a[j+129|0]|0)!=0^1)&1}t=(s|0)!=0}else{t=0}u=t&1}else{if((a[j+129|0]|0)!=0){v=(d[j+130|0]|0)!=0}else{v=1}u=v&1}do{if(u<<24>>24!=0){if((q|0)==0){p=68;break a}if((a[q+34|0]|0)==0){p=70;break a}}else{if((q|0)!=0){break}else{break b}}}while(0);if((a[q+32|0]|0)!=0){p=77;break a}if((c[q+28>>2]|0)!=0){p=81;break a}if((c[q+4>>2]|0)==0){p=85;break a}o=(c[q+4>>2]|0)+(c[q+8>>2]|0)|0;a[q+32|0]=1;w=Wk(n,c[n+228>>2]|0,e,c[q+4>>2]|0,o,h)|0;a[q+32|0]=0;if((w|0)!=0){p=89;break a}break};case 10:{o=ge[c[b+44>>2]&127](b,f)|0;if((o|0)<0){p=11;break a}do{if(!(e<<24>>24!=0)){if((o|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);o=bl(o,m|0)|0;if((o|0)==0){p=20;break a}q=0;while(1){if((q|0)>=(o|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hk(h)|0)<<24>>24!=0){p=28;break}if(!0){p=29;break a}}else{p=28}}while(0);if((p|0)==28){p=0;r=a[m+q|0]|0;x=h+12|0;y=c[x>>2]|0;c[x>>2]=y+1;a[y]=r;if(!1){p=29;break a}}q=q+1|0}break};case 0:{p=4;break a;break};case 6:{if((zk(h,b,f,c[l>>2]|0)|0)==0){p=34;break a}break};case-4:{p=3;break a;break};case-1:{p=7;break a;break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);p=37;break};case 39:case 7:{p=37;break};default:{p=92;break a}}}while(0);c:do{if((p|0)==37){p=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((hk(h)|0)<<24>>24!=0){p=44;break}if(!0){p=45;break a}}else{p=44}}while(0);if((p|0)==44){p=0;q=h+12|0;o=c[q>>2]|0;c[q>>2]=o+1;a[o]=32;if(!1){p=45;break a}}}}while(0);f=c[l>>2]|0}if((p|0)==3){z=0;A=z;i=k;return A|0}else if((p|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((p|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((p|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((p|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((p|0)==29){z=1;A=z;i=k;return A|0}else if((p|0)==34){z=1;A=z;i=k;return A|0}else if((p|0)==45){z=1;A=z;i=k;return A|0}else if((p|0)==52){z=1;A=z;i=k;return A|0}else if((p|0)==55){z=1;A=z;i=k;return A|0}else if((p|0)==68){z=11;A=z;i=k;return A|0}else if((p|0)==70){z=24;A=z;i=k;return A|0}else if((p|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((p|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((p|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((p|0)==89){z=w;A=z;i=k;return A|0}else if((p|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function Xk(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((Zd[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=cl()|0;c[g+240>>2]=Xd[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=je[((a[g+236|0]&255|0)!=0?36:70)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){Ud[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){Ud[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function Yk(){var a=0,b=0;a=i;Mc(((Pd(0)|0)>>>0)%4294967295|0|0);b=MT()|0;i=a;return b|0}function Zk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=pk(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=74;h=qk(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function _k(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=Xd[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{$k(b+80|0,e);$k(b+104|0,e);al(b|0,e);al(b+20|0,e);al(b+40|0,e);al(b+60|0,e);a[b+131|0]=0;al(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function $k(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function al(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function bl(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function cl(){return 1912}function dl(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15944+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[16020+l|0]|0|0)!=28){if((d[16020+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[16020+k|0]|0|0)!=28){if((d[16020+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[16020+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((el(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12976+(((d[9360+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12976+(((d[14256+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=bl(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=10;c[h+336>>2]=10;c[h+340>>2]=10;c[h+344>>2]=32;c[h+348>>2]=32;c[h+352>>2]=32;c[h+356>>2]=56;c[h+360>>2]=56;c[h+364>>2]=56}c[h+60>>2]=12;c[h+64>>2]=14;n=h|0;o=n;i=j;return o|0}return 0}function el(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}e=10;break a}}while(0);f=-1;break};case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{f=-1;break};case 0:{if((d[16020+c|0]|0|0)==0){f=-1;break a}else{e=10;break a}break};default:{e=10}}}while(0);if((e|0)==10){f=c}i=b;return f|0}function fl(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ge[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12976+(((d[14256+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function gl(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ge[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12976+(((d[9360+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function hl(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=ge[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(el(a)|0)<0;g=f&1;i=d;return g|0}function il(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=bl(ge[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function jl(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(ge[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function kl(){return 16768}function ll(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=ml(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=38;c[g+4>>2]=80;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function ml(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((Al(d,c[17232+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function nl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zn(17376,a,0,b,c,d)|0;i=e;return f|0}function ol(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zn(17376,a,1,b,c,d)|0;i=e;return f|0}function pl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;Xm(816,b,c,d);i=a;return}function ql(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=rl(18,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function rl(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((An(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((je[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,529424)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((An(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((je[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,529456)|0)!=0){m=Bn(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=Zd[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((An(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((je[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,529432)|0)!=0){if((a|0)!=0){break}if((je[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,529416)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((je[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,529448)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((Cn(Bn(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function sl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Td[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((Al(h|0,529512)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=ml(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[17376+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function tl(){return 16400}function ul(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=ml(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=10;c[g+4>>2]=92;c[g+52>>2]=8;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function vl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zn(17344,a,0,b,c,d)|0;i=e;return f|0}function wl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=zn(17344,a,1,b,c,d)|0;i=e;return f|0}function xl(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=rl(52,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function yl(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Td[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((Al(h|0,529512)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=ml(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[17344+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function zl(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=dl(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function Al(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function Bl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 21:case 10:{m=26;break};case 29:{if((c[12976+((d[9360+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=18;m=86;break b}if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=19;m=86;break b}else{m=85;break b}break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 13:{k=cm(13,j,b+2|0,e,f)|0;break a;break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 30:{k=Ul(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 12:{k=cm(12,j,b+2|0,e,f)|0;break a;break};case 22:case 24:{n=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;m=86;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 19:{k=em(j,b+2|0,e,f)|0;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 15:{k=_l(j,b+2|0,e,f)|0;break a;break};case 16:{k=dm(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Sl(a[b+1|0]|0,a[b|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else{break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 34:{m=130;break c;break};case 33:{m=133;break c;break};case 6:{m=99;break c;break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=93;break c}m=95;break};case 15:{m=136;break c;break};case 7:{m=102;break c;break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 5:{m=96;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 23:{b=b+2|0;g=n;if((g|0)==41){n=19}else if((g|0)==18){if((b|0)==(e|0)){m=108;break c}n=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 6:{m=120;break c;break};case 22:case 24:case 25:case 26:case 27:{m=116;break};case 5:{m=117;break c;break};case 7:{m=123;break c;break};case 29:{if((c[12976+((d[14256+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=114;break c}m=116;break};default:{n=19}}if((m|0)==116){m=0;b=b+2|0}}break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=n;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function Cl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 3:{k=Tl(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 2:{k=Xl(j,b+2|0,e,f)|0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sl(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Dl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function El(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Fl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 9:{l=19;break a;break};case 3:{l=12;break a;break};case 2:{l=15;break a;break};case 10:{l=16;break a;break};case 7:{b=b+4|0;break};case 21:{l=29;break a;break};case 5:{b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=Tl(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function Gl(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 10:{m=21;break a;break};case 6:{b=b+3|0;break};case 9:{m=24;break a;break};case 5:{b=b+2|0;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};case 7:{b=b+4|0;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=Tl(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=Ul(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Hl(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=18;break a}j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=20;break a}break};case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 6:{k=9;break};case 5:{k=12;break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=Sl(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function Il(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Jl(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 7:{b=b+4|0;break};case 5:{b=b+2|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function Kl(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Sl(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function Ll(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Sl(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};default:{}}b=b+2|0}i=h;return k|0}function Ml(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=el(c)|0;k=j;i=b;return k|0}function Nl(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((c|0)==4){if((a[e+1|0]|0)==0){h=a[e|0]|0}else{h=-1}if((h|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((h|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==108){f=60;g=f;i=b;return g|0}else if((j|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}f=0;g=f;i=b;return g|0}function Ol(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Sl(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Sl(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}



function yS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=cT(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=cT(y)|0;if((z|0)==0){A=12;break}HT(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=gS(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((NR(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((NR(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((NR(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((NR(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(NR(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(NR(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(NR(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(NR(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){HT(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=gS(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((NR(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((NR(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((NR(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((NR(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(NR(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(NR(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(NR(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(NR(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((RR(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=bS(Y)|0;qb=_a+24|0;if((RR(fb,c[qb>>2]|0)|0)!=0){break}fb=$R(Y)|0;if((RR(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((RR(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=$R(Y)|0;if((RR(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=bS(Y)|0;if((RR(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}dT(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=AS(0,0)|0;if((S|0)==0){A=12;break}R=CS(S,0,0,0,32)|0;Q=R;if((R|0)==0){BS(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=cT(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=cT(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=cT(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){HT(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){HT(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=gS(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((NR(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((NR(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((NR(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((NR(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(NR(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(NR(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(NR(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(NR(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=CS(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=CS(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;zS(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((DT(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=gS(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=gS(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((NR(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((NR(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((NR(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((NR(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(NR(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(NR(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(NR(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(NR(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((RR(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=bS(qc)|0;aa=$a+24|0;if((RR(qa,c[aa>>2]|0)|0)!=0){break}qa=$R(qc)|0;if((RR(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((RR(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=$R(qc)|0;if((RR(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=bS(qc)|0;if((RR(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=CS(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=CS(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){BS(S);if((Eb|0)!=0){dT(O)}if((Kb|0)!=0){dT(Kb)}if((Lb|0)==0){A=12;break a}dT(N);A=12;break a}else if((sa|0)==67){BS(S);if((Eb|0)!=0){dT(O)}if((Kb|0)!=0){dT(Kb)}if((Lb|0)==0){A=12;break a}dT(N);A=12;break a}else if((sa|0)==169){BS(S);if((Eb|0)!=0){dT(O)}if((Kb|0)!=0){dT(Kb)}if((Lb|0)==0){A=12;break a}dT(N);A=12;break a}else if((sa|0)==176){BS(S);if((Eb|0)!=0){dT(O)}if((Kb|0)!=0){dT(Kb)}if((Lb|0)==0){A=12;break a}dT(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);BS(S);if((Ib|0)!=0){dT(Ib)}if((Gb|0)!=0){dT(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}dT(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}zS(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}dT(m);p=A;i=g;return p|0}function zS(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function AS(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=eT(1,24)|0}else{HT(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function BS(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;dT(d);return}else{e=b}while(1){dT(c[e>>2]|0);b=c[e+4>>2]|0;dT(e);if((b|0)==0){break}else{e=b}}d=a;dT(d);return}function CS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=cT(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=cT(n)|0;q=m;c[q>>2]=p;if((p|0)==0){dT(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}HT(l|0,0,g|0)|0;h=l;return h|0}function DS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((ES(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function ES(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function FS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function GS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function HS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function IS(a){a=a|0;return}function JS(a){a=a|0;c[a>>2]=513552;return}function KS(a){a=a|0;kT(a);return}function LS(a){a=a|0;return}function MS(a){a=a|0;return 497960}function NS(a){a=a|0;IS(a|0);return}function OS(a){a=a|0;return}function PS(a){a=a|0;return}function QS(a){a=a|0;IS(a|0);kT(a);return}function RS(a){a=a|0;IS(a|0);kT(a);return}function SS(a){a=a|0;IS(a|0);kT(a);return}function TS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=XS(b,521568,521552,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}HT(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;ne[c[(c[h>>2]|0)+28>>2]&63](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function US(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function VS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;ne[c[(c[g>>2]|0)+28>>2]&63](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function WS(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;ne[c[(c[j>>2]|0)+28>>2]&63](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;ne[c[(c[j>>2]|0)+28>>2]&63](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function XS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;HT(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;ae[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{Td[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function YS(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;ae[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;Td[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;Td[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;Td[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;Td[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function ZS(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;Td[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;ae[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function _S(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function $S(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;ae[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;ae[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function aT(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;ae[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function bT(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function cT(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[138462]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=553888+(h<<2)|0;j=553888+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[138462]=e&~(1<<g)}else{if(l>>>0<(c[138466]|0)>>>0){md();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{md();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[138464]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=553888+(p<<2)|0;m=553888+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[138462]=e&~(1<<r)}else{if(l>>>0<(c[138466]|0)>>>0){md();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{md();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[138464]|0;if((l|0)!=0){q=c[138467]|0;d=l>>>3;l=d<<1;f=553888+(l<<2)|0;k=c[138462]|0;h=1<<d;do{if((k&h|0)==0){c[138462]=k|h;s=f;t=553888+(l+2<<2)|0}else{d=553888+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[138466]|0)>>>0)){s=g;t=d;break}md();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[138464]=m;c[138467]=e;n=i;return n|0}l=c[138463]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[554152+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[138466]|0;if(r>>>0<i>>>0){md();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){md();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){md();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){md();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){md();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{md();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=554152+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[138463]=c[138463]&~(1<<f);break a}else{if(e>>>0<(c[138466]|0)>>>0){md();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[138466]|0)>>>0){md();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[138466]|0)>>>0){md();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[138466]|0)>>>0){md();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[138464]|0;if((f|0)!=0){e=c[138467]|0;i=f>>>3;f=i<<1;q=553888+(f<<2)|0;k=c[138462]|0;g=1<<i;do{if((k&g|0)==0){c[138462]=k|g;y=q;z=553888+(f+2<<2)|0}else{i=553888+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[138466]|0)>>>0)){y=l;z=i;break}md();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[138464]=p;c[138467]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[138463]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[554152+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[554152+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[138464]|0)-g|0)>>>0)){o=g;break}q=K;m=c[138466]|0;if(q>>>0<m>>>0){md();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){md();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){md();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){md();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){md();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{md();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=554152+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[138463]=c[138463]&~(1<<i);break c}else{if(e>>>0<(c[138466]|0)>>>0){md();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[138466]|0)>>>0){md();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[138466]|0)>>>0){md();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[138466]|0)>>>0){md();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=553888+(e<<2)|0;r=c[138462]|0;j=1<<i;do{if((r&j|0)==0){c[138462]=r|j;O=m;P=553888+(e+2<<2)|0}else{i=553888+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[138466]|0)>>>0)){O=d;P=i;break}md();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=554152+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[138463]|0;l=1<<Q;if((m&l|0)==0){c[138463]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[138466]|0)>>>0){md();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[138466]|0;if(m>>>0<i>>>0){md();return 0}if(j>>>0<i>>>0){md();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[138464]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[138467]|0;if(S>>>0>15>>>0){R=J;c[138467]=R+o;c[138464]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[138464]=0;c[138467]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[138465]|0;if(o>>>0<J>>>0){S=J-o|0;c[138465]=S;J=c[138468]|0;K=J;c[138468]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[134926]|0)==0){J=Na(30)|0;if((J-1&J|0)==0){c[134928]=J;c[134927]=J;c[134929]=-1;c[134930]=-1;c[134931]=0;c[138573]=0;c[134926]=(Pd(0)|0)&-16^1431655768;break}else{md();return 0}}}while(0);J=o+48|0;S=c[134928]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[138572]|0;do{if((O|0)!=0){P=c[138570]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[138573]&4|0)==0){O=c[138468]|0;e:do{if((O|0)==0){T=181}else{L=O;P=554296;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[138465]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=Vc(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=Vc(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[134927]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[138570]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[138572]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=Vc($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[134928]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if((Vc(O|0)|0)==-1){Vc(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[138573]=c[138573]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=Vc(S|0)|0;Z=Vc(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[138570]|0)+aa|0;c[138570]=da;if(da>>>0>(c[138571]|0)>>>0){c[138571]=da}da=c[138468]|0;g:do{if((da|0)==0){S=c[138466]|0;if((S|0)==0|ba>>>0<S>>>0){c[138466]=ba}c[138574]=ba;c[138575]=aa;c[138577]=0;c[138471]=c[134926];c[138470]=-1;S=0;do{Y=S<<1;ca=553888+(Y<<2)|0;c[553888+(Y+3<<2)>>2]=ca;c[553888+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[138468]=ba+ea;c[138465]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[138469]=c[134930]}else{S=554296;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[138465]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[138468]=ca+ia;c[138465]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[138469]=c[134930];break g}}while(0);if(ba>>>0<(c[138466]|0)>>>0){c[138466]=ba}S=ba+aa|0;Y=554296;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[138468]|0)){J=(c[138465]|0)+K|0;c[138465]=J;c[138468]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[138467]|0)){J=(c[138464]|0)+K|0;c[138464]=J;c[138467]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=553888+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[138466]|0)>>>0){md();return 0}if((c[U+12>>2]|0)==(ca|0)){break}md();return 0}}while(0);if((Q|0)==(U|0)){c[138462]=c[138462]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[138466]|0)>>>0){md();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}md();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[138466]|0)>>>0){md();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[138466]|0)>>>0){md();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){md();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{md();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=554152+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[138463]=c[138463]&~(1<<P);break h}else{if(m>>>0<(c[138466]|0)>>>0){md();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[138466]|0)>>>0){md();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[138466]|0)>>>0){md();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[138466]|0)>>>0){md();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=553888+(V<<2)|0;P=c[138462]|0;m=1<<J;do{if((P&m|0)==0){c[138462]=P|m;sa=X;ta=553888+(V+2<<2)|0}else{J=553888+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[138466]|0)>>>0)){sa=U;ta=J;break}md();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=554152+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[138463]|0;Q=1<<ua;if((X&Q|0)==0){c[138463]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[138466]|0)>>>0){md();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[138466]|0;if(X>>>0<$>>>0){md();return 0}if(m>>>0<$>>>0){md();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=554296;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[138468]=ba+Ba;c[138465]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[138469]=c[134930];c[W+4>>2]=27;c[Z>>2]=c[138574];c[Z+4>>2]=c[138575];c[Z+8>>2]=c[138576];c[Z+12>>2]=c[138577];c[138574]=ba;c[138575]=aa;c[138577]=0;c[138576]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=553888+(K<<2)|0;S=c[138462]|0;m=1<<Z;do{if((S&m|0)==0){c[138462]=S|m;Ca=ca;Da=553888+(K+2<<2)|0}else{Z=553888+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[138466]|0)>>>0)){Ca=Q;Da=Z;break}md();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=554152+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[138463]|0;Q=1<<Ea;if((ca&Q|0)==0){c[138463]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[138466]|0)>>>0){md();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[138466]|0;if(ca>>>0<m>>>0){md();return 0}if(_>>>0<m>>>0){md();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[138465]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[138465]=_;da=c[138468]|0;Q=da;c[138468]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(Yc()|0)>>2]=12;n=0;return n|0}function dT(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[138466]|0;if(b>>>0<e>>>0){md()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){md()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){md()}if((n|0)==(c[138467]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[138464]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=553888+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){md()}if((c[k+12>>2]|0)==(n|0)){break}md()}}while(0);if((s|0)==(k|0)){c[138462]=c[138462]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){md()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}md()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){md()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){md()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){md()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{md()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=554152+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[138463]=c[138463]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[138466]|0)>>>0){md()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[138466]|0)>>>0){md()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[138466]|0)>>>0){md()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[138466]|0)>>>0){md()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){md()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){md()}do{if((e&2|0)==0){if((j|0)==(c[138468]|0)){B=(c[138465]|0)+r|0;c[138465]=B;c[138468]=q;c[q+4>>2]=B|1;if((q|0)!=(c[138467]|0)){return}c[138467]=0;c[138464]=0;return}if((j|0)==(c[138467]|0)){B=(c[138464]|0)+r|0;c[138464]=B;c[138467]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=553888+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[138466]|0)>>>0){md()}if((c[u+12>>2]|0)==(j|0)){break}md()}}while(0);if((g|0)==(u|0)){c[138462]=c[138462]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[138466]|0)>>>0){md()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}md()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[138466]|0)>>>0){md()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[138466]|0)>>>0){md()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){md()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{md()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=554152+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[138463]=c[138463]&~(1<<t);break b}else{if(f>>>0<(c[138466]|0)>>>0){md()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[138466]|0)>>>0){md()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[138466]|0)>>>0){md()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[138466]|0)>>>0){md()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[138467]|0)){H=B;break}c[138464]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=553888+(d<<2)|0;A=c[138462]|0;E=1<<r;do{if((A&E|0)==0){c[138462]=A|E;I=e;J=553888+(d+2<<2)|0}else{r=553888+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[138466]|0)>>>0)){I=h;J=r;break}md()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=554152+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[138463]|0;d=1<<K;do{if((r&d|0)==0){c[138463]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[138466]|0)>>>0){md()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[138466]|0;if(J>>>0<E>>>0){md()}if(B>>>0<E>>>0){md()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[138470]|0)-1|0;c[138470]=q;if((q|0)==0){O=554304}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[138470]=-1;return}function eT(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=cT(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}HT(b|0,0,d|0)|0;return b|0}function fT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=cT(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(Yc()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=gT(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=cT(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;GT(f|0,a|0,g>>>0<b>>>0?g:b)|0;dT(a);d=f;return d|0}function gT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[138466]|0;if(g>>>0<j>>>0){md();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){md();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){md();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[134928]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;hT(g+b|0,k);n=a;return n|0}if((i|0)==(c[138468]|0)){k=(c[138465]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[138468]=g+b;c[138465]=l;n=a;return n|0}if((i|0)==(c[138467]|0)){l=(c[138464]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[138464]=q;c[138467]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=553888+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){md();return 0}if((c[l+12>>2]|0)==(i|0)){break}md();return 0}}while(0);if((k|0)==(l|0)){c[138462]=c[138462]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){md();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}md();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){md();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){md();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){md();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{md();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=554152+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[138463]=c[138463]&~(1<<t);break a}else{if(s>>>0<(c[138466]|0)>>>0){md();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[138466]|0)>>>0){md();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[138466]|0)>>>0){md();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[138466]|0)>>>0){md();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;hT(g+b|0,q);n=a;return n|0}return 0}function hT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[138466]|0;if(i>>>0<l>>>0){md()}if((j|0)==(c[138467]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[138464]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=553888+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){md()}if((c[p+12>>2]|0)==(j|0)){break}md()}}while(0);if((q|0)==(p|0)){c[138462]=c[138462]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){md()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}md()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){md()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){md()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){md()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{md()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=554152+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[138463]=c[138463]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[138466]|0)>>>0){md()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[138466]|0)>>>0){md()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[138466]|0)>>>0){md()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[138466]|0)>>>0){md()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[138466]|0;if(e>>>0<a>>>0){md()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[138468]|0)){A=(c[138465]|0)+o|0;c[138465]=A;c[138468]=n;c[n+4>>2]=A|1;if((n|0)!=(c[138467]|0)){return}c[138467]=0;c[138464]=0;return}if((f|0)==(c[138467]|0)){A=(c[138464]|0)+o|0;c[138464]=A;c[138467]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=553888+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){md()}if((c[g+12>>2]|0)==(f|0)){break}md()}}while(0);if((t|0)==(g|0)){c[138462]=c[138462]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){md()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}md()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){md()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){md()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){md()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{md()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=554152+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[138463]=c[138463]&~(1<<l);break b}else{if(m>>>0<(c[138466]|0)>>>0){md()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[138466]|0)>>>0){md()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[138466]|0)>>>0){md()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[138466]|0)>>>0){md()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[138467]|0)){F=A;break}c[138464]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=553888+(z<<2)|0;C=c[138462]|0;b=1<<o;do{if((C&b|0)==0){c[138462]=C|b;G=y;H=553888+(z+2<<2)|0}else{o=553888+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[138466]|0)>>>0)){G=d;H=o;break}md()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=554152+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[138463]|0;z=1<<I;if((o&z|0)==0){c[138463]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[138466]|0)>>>0){md()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[138466]|0;if(J>>>0<I>>>0){md()}if(L>>>0<I>>>0){md()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function iT(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=cT(b)|0;if((d|0)!=0){e=10;break}a=(I=c[139440]|0,c[139440]=I+0,I);if((a|0)==0){break}le[a&15]()}if((e|0)==10){return d|0}d=Ad(4)|0;c[d>>2]=513520;vc(d|0,519928,196);return 0}function jT(a){a=a|0;return iT(a)|0}function kT(a){a=a|0;if((a|0)==0){return}dT(a);return}function lT(a){a=a|0;kT(a);return}function mT(a){a=a|0;kT(a);return}function nT(a){a=a|0;return}function oT(a){a=a|0;return 485368}function pT(){var a=0;a=Ad(4)|0;c[a>>2]=513520;vc(a|0,519928,196)}function qT(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==0){j=-149;k=24}else if((e|0)==1){j=-1074;k=53}else if((e|0)==2){j=-1074;k=53}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=tT(b)|0}}while((bb(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=tT(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[32008+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=tT(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=tT(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=tT(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=tT(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=tT(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(Yc()|0)>>2]=22;sT(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=tT(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=tT(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=tT(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=tT(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=tT(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=OT(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=OT(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=tT(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){sT(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=OT(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=rT(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){sT(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=OT(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=OT(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(Yc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(Yc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=OT(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=PT(32,0,j,(j|0)<0|0?-1:0)|0;n=OT(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+pc(+(+uT(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(Yc()|0)>>2]=34}l=+vT(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=tT(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=tT(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=tT(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=OT(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;ab=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=OT(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;ab=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=tT(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=ab;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=ab;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=rT(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){sT(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=OT(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(Yc()|0)>>2]=22;sT(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(Yc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(Yc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[18376+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[18376+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[18376+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Vb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Xb=Ua&127;Yb=Ya-9|0}else{Xb=Za;Yb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Yb;Za=Xb;Xa=Ua;Wa=Vb}}if((Vb|0)==0){Sb=Nb;Tb=Xb;Ub=Yb;break}c[h+(Nb<<2)>>2]=Vb;Sb=Nb+1|0;Tb=Xb;Ub=Yb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=OT(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=ZT(Va,Ta,1e9,0)|0;ta=_T(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=OT(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=ZT(Ua,qa,1e9,0)|0;ta=_T(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;oc=n;qc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){rc=Xa;break}Ua=Xa+oc&127;if((Ua|0)==(gc|0)){rc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[18368+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){rc=2;break}if(ta>>>0>Ua>>>0){rc=Xa;break}else{Xa=Xa+1|0}}if((rc|0)==2&Wa){break f}sc=Za+qc|0;if((oc|0)==(gc|0)){oc=gc;qc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=oc;Ua=oc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=oc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=oc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=qc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+pc(+(+uT(1.0,105-zc|0)),+yc);Bc=+Wb(+yc,+(+uT(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=oc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((oc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((oc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Wb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=qc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=qc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(Yc()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=qc}}while(0);l=+vT(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(Yc()|0)>>2]=22;sT(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function rT(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=tT(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=tT(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=tT(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=YT(h,l,10,0)|0;b=K;f=OT(q,(q|0)<0|0?-1:0,-48,-1)|0;i=OT(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=tT(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=tT(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=PT(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function sT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function tT(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=xT(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function uT(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function vT(a,b){a=+a;b=b|0;return+(+uT(a,b))}function wT(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){Zd[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function xT(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((wT(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((Zd[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function yT(a){a=a|0;return+(+zT(a,0))}function zT(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;HT(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;sT(e,0);h=+qT(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function AT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;HT(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;sT(e,0);h=+qT(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function BT(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function CT(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function DT(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function ET(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function FT(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function GT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return wc(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function HT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function IT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}lc(116);lc(111);lc(111);lc(32);lc(109);lc(97);lc(110);lc(121);lc(32);lc(115);lc(101);lc(116);lc(106);lc(109);lc(112);lc(115);lc(32);lc(105);lc(110);lc(32);lc(97);lc(32);lc(102);lc(117);lc(110);lc(99);lc(116);lc(105);lc(111);lc(110);lc(32);lc(99);lc(97);lc(108);lc(108);lc(44);lc(32);lc(98);lc(117);lc(105);lc(108);lc(100);lc(32);lc(119);lc(105);lc(116);lc(104);lc(32);lc(97);lc(32);lc(104);lc(105);lc(103);lc(104);lc(101);lc(114);lc(32);lc(118);lc(97);lc(108);lc(117);lc(101);lc(32);lc(102);lc(111);lc(114);lc(32);lc(77);lc(65);lc(88);lc(95);lc(83);lc(69);lc(84);lc(74);lc(77);lc(80);lc(83);lc(10);ha(0);return 0}function JT(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function KT(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{GT(b,c,d)|0}return b|0}function LT(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function MT(){return LT(o)|0}function NT(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function OT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function PT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function QT(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function RT(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function ST(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function TT(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function UT(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function VT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function WT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=PT(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=PT(($T(i,b,PT(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function XT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=PT(h^a,j^b,h,j)|0;b=K;$T(m,b,PT(k^d,l^e,k,l)|0,K,g)|0;l=PT(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function YT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=VT(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function ZT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=$T(a,b,c,d,0)|0;return(K=K,e)|0}function _T(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;$T(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function $T(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((UT(l|0)|0)>>>0);return(K=n,o)|0}p=(TT(l|0)|0)-(TT(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(TT(l|0)|0)-(TT(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(TT(j|0)|0)+33-(TT(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=UT(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=OT(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;PT(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=PT(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function aU(a){a=a|0;Kd(a|0)}function bU(a){a=a|0;return Sb(a|0)|0}function cU(a){a=a|0;return _b(a|0)|0}function dU(a){a=a|0;return Ta(a|0)|0}function eU(a){a=a|0;return Lc(a|0)|0}function fU(a){a=a|0;return Pa(a|0)|0}function gU(a){a=a|0;return rd(a|0)|0}function hU(a){a=a|0;return hb(a|0)|0}function iU(a,b){a=a|0;b=b|0;return Qb(a|0,b|0)|0}function jU(a,b){a=a|0;b=b|0;return pb(a|0,b|0)|0}function kU(){return Nd()|0}function lU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ya(a|0,b|0,c|0,d|0)|0}function mU(){eb()}function nU(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Rd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function oU(a,b){a=a|0;b=+b;Sd[a&3](+b)}function pU(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Td[a&31](b|0,c|0,d|0,e|0,f|0)}function qU(a,b){a=a|0;b=b|0;Ud[a&511](b|0)}function rU(a,b,c){a=a|0;b=b|0;c=c|0;Vd[a&127](b|0,c|0)}function sU(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return Wd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function tU(a,b){a=a|0;b=b|0;return Xd[a&255](b|0)|0}function uU(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Yd[a&127](b|0,c|0,d|0,e|0,f|0)|0}function vU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Zd[a&127](b|0,c|0,d|0)|0}function wU(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;_d[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function xU(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;$d[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function yU(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ae[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function zU(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;be[a&7](b|0,c|0,+d,e|0,f|0)}function AU(a,b,c){a=a|0;b=b|0;c=+c;return ce[a&3](b|0,+c)|0}function BU(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;de[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function CU(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;ee[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function DU(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;fe[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function EU(a,b,c){a=a|0;b=b|0;c=c|0;return ge[a&127](b|0,c|0)|0}function FU(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return he[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function GU(a){a=a|0;return ie[a&15]()|0}function HU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return je[a&127](b|0,c|0,d|0,e|0)|0}function IU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ke[a&15](b|0,c|0,d|0)}function JU(a){a=a|0;le[a&15]()}function KU(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return me[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function LU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ne[a&63](b|0,c|0,d|0,e|0)}function MU(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function NU(a){a=+a;ha(1)}function OU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function PU(a){a=a|0;ha(3)}function QU(a,b){a=a|0;b=b|0;ha(4)}function RU(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function SU(a){a=a|0;ha(6);return 0}function TU(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function UU(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function VU(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function WU(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function XU(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function YU(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(12)}function ZU(a,b){a=a|0;b=+b;ha(13);return 0}function _U(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(14)}function $U(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(15)}function aV(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(16)}function bV(a,b){a=a|0;b=b|0;ha(17);return 0}function cV(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(18);return 0}function dV(){ha(19);return 0}function eV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function fV(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function gV(){ha(22)}function hV(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(23);return 0}function iV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function Lx(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;Mx(e|0);NI(e+200|0);Nx(e+216|0,e+232|0);Nx(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[132821]|0)==0){TI(e+296|0,c[b+80>>2]|0);Ox(e+280|0,e+296|0,501896);_I(e+200|0,e+280|0)|0;ZI(e+280|0);ZI(e+296|0)}else{$I(e+200|0,c[132791]|0)|0}f=zc(uJ(e+200|0)|0,41224)|0;if((f|0)!=0){j=f;break}f=uJ(e+200|0)|0;Uo(0,36352,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=Nj(0)|0;if((f|0)==0){Pa(j|0)|0;Uo(0,32576,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}Yj(f,e|0);Zj(f,8,8);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){HT(e+312|0|0|0,0,1024)|0;while(1){m=jd(e+312|0|0|0,1,1024,j|0)|0;if((_j(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Pa(j|0)|0;break}Pa(j|0)|0;m=uJ(e+200|0)|0;o=gk(dk(f)|0)|0;p=ek(f)|0;So(1,0,29248,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;Uj(f);Uo(0,26264,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((_j(f,l,ET(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=gk(dk(f)|0)|0;q=ek(f)|0;nd(p|0,24064,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=gk(dk(f)|0)|0;o=ek(f)|0;So(1,0,512032,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;Uj(f);Uo(0,26264,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;TI(e+1344|0,509280);Sx(e+1336|0,l,e+1344|0);Tx(e+1360|0,l);j=Rx(e+1336|0,e+1360|0)|0;ZI(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=uJ(e+200|0)|0;So(1,0,506344,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{TI(e+1368|0,509280);o=CT(n,uJ(Ux(l,e+1368|0)|0)|0)|0;ZI(e+1368|0);if((o|0)==0){break}Uj(f);TI(e+1384|0,509280);o=uJ(Ux(l,e+1384|0)|0)|0;m=uJ(e+200|0)|0;q=c[(b+88|0)>>2]|0;So(1,0,503888,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;ZI(e+1384|0);Uo(0,26264,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);Vx(e|0,b,c[132812]|0,c[132813]|0);Qo(23,1,502512,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;TI(e+1416|0,501400);PI(e+1400|0,Ux((e|0)+12|0,e+1416|0)|0);Wx(e+1400|0,d|0,0.0);ZI(e+1400|0);ZI(e+1416|0);Qo(23,0,500120,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;TI(e+1448|0,499224);PI(e+1432|0,Ux((e|0)+12|0,e+1448|0)|0);Wx(e+1432|0,d+8|0,1.0);ZI(e+1432|0);ZI(e+1448|0);Qo(23,0,498144,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;TI(e+1480|0,497408);PI(e+1464|0,Ux((e|0)+12|0,e+1480|0)|0);Wx(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);ZI(e+1464|0);ZI(e+1480|0);Qo(23,0,496544,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;TI(e+1512|0,495616);PI(e+1496|0,Ux((e|0)+12|0,e+1512|0)|0);Wx(e+1496|0,d+32|0,1.0e-5);ZI(e+1496|0);ZI(e+1512|0);Qo(23,0,494176,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;TI(e+1544|0,493344);PI(e+1528|0,Ux((e|0)+12|0,e+1544|0)|0);Xx(e+1528|0,d+40|0);ZI(e+1528|0);ZI(e+1544|0);Qo(23,0,492688,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;TI(e+1576|0,491888);PI(e+1560|0,Ux((e|0)+12|0,e+1576|0)|0);Xx(e+1560|0,d+44|0);ZI(e+1560|0);ZI(e+1576|0);Qo(23,0,491032,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;TI(e+1608|0,490200);PI(e+1592|0,Ux((e|0)+12|0,e+1608|0)|0);Xx(e+1592|0,d+48|0);ZI(e+1592|0);ZI(e+1608|0);Qo(23,0,488808,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;TI(e+1640|0,488104);PI(e+1624|0,Ux(l,e+1640|0)|0);Xx(e+1624|0,d+268|0);ZI(e+1624|0);ZI(e+1640|0);Qo(23,0,487464,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[132661]|0)!=0){Ud[c[3702]&511](23)}TI(e+1744|0,486664);PI(e+1728|0,Ux(l,e+1744|0)|0);Yx(e+1728|0,e+1656|0,0);ZI(e+1728|0);ZI(e+1744|0);TI(e+1776|0,485072);PI(e+1760|0,Ux(l,e+1776|0)|0);Yx(e+1760|0,e+1664|0,0);ZI(e+1760|0);ZI(e+1776|0);TI(e+1808|0,484096);PI(e+1792|0,Ux(l,e+1808|0)|0);Yx(e+1792|0,e+1672|0,0);ZI(e+1792|0);ZI(e+1808|0);TI(e+1840|0,406056);PI(e+1824|0,Ux(l,e+1840|0)|0);Yx(e+1824|0,e+1688|0,0);ZI(e+1824|0);ZI(e+1840|0);TI(e+1872|0,46024);PI(e+1856|0,Ux(l,e+1872|0)|0);Yx(e+1856|0,e+1680|0,0);ZI(e+1856|0);ZI(e+1872|0);TI(e+1904|0,45256);PI(e+1888|0,Ux(l,e+1904|0)|0);Yx(e+1888|0,e+1704|0,0);ZI(e+1888|0);ZI(e+1904|0);TI(e+1936|0,44448);PI(e+1920|0,Ux(l,e+1936|0)|0);Yx(e+1920|0,e+1696|0,0);ZI(e+1920|0);ZI(e+1936|0);TI(e+1968|0,43856);PI(e+1952|0,Ux(l,e+1968|0)|0);Yx(e+1952|0,e+1720|0,0);ZI(e+1952|0);ZI(e+1968|0);TI(e+2e3|0,43224);PI(e+1984|0,Ux(l,e+2e3|0)|0);Yx(e+1984|0,e+1712|0,0);ZI(e+1984|0);ZI(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}Qo(4,1,37488,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=Zx(d,e+2032|0)|0;TI(e+2040|0,37104);PI(e+2016|0,Ux(j,e+2040|0)|0);Xx(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);ZI(e+2016|0);ZI(e+2040|0);c[(e+2072|0)>>2]=n;j=Zx(d,e+2072|0)|0;TI(e+2080|0,35512);PI(e+2056|0,Ux(j,e+2080|0)|0);_x(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);ZI(e+2056|0);ZI(e+2080|0);c[(e+2112|0)>>2]=n;j=Zx(d,e+2112|0)|0;TI(e+2120|0,34960);PI(e+2096|0,Ux(j,e+2120|0)|0);Xx(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);ZI(e+2096|0);ZI(e+2120|0);c[(e+2152|0)>>2]=n;j=Zx(d,e+2152|0)|0;TI(e+2160|0,34336);PI(e+2136|0,Ux(j,e+2160|0)|0);Xx(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);ZI(e+2136|0);ZI(e+2160|0);c[(e+2192|0)>>2]=n;j=Zx(d,e+2192|0)|0;TI(e+2200|0,33824);PI(e+2176|0,Ux(j,e+2200|0)|0);Yx(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);ZI(e+2176|0);ZI(e+2200|0);c[(e+2232|0)>>2]=n;j=Zx(d,e+2232|0)|0;TI(e+2240|0,33320);PI(e+2216|0,Ux(j,e+2240|0)|0);Yx(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);ZI(e+2216|0);ZI(e+2240|0);c[(e+2272|0)>>2]=n;j=Zx(d,e+2272|0)|0;TI(e+2280|0,31656);PI(e+2256|0,Ux(j,e+2280|0)|0);Yx(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);ZI(e+2256|0);ZI(e+2280|0);c[(e+2312|0)>>2]=n;j=Zx(d,e+2312|0)|0;TI(e+2320|0,31112);PI(e+2296|0,Ux(j,e+2320|0)|0);Yx(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);ZI(e+2296|0);ZI(e+2320|0);c[(e+2352|0)>>2]=n;j=Zx(d,e+2352|0)|0;TI(e+2360|0,30552);PI(e+2336|0,Ux(j,e+2360|0)|0);Yx(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);ZI(e+2336|0);ZI(e+2360|0);c[(e+2392|0)>>2]=n;j=Zx(d,e+2392|0)|0;TI(e+2400|0,30080);PI(e+2376|0,Ux(j,e+2400|0)|0);$x(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);ZI(e+2376|0);ZI(e+2400|0);c[(e+2432|0)>>2]=n;j=Zx(d,e+2432|0)|0;TI(e+2440|0,29864);PI(e+2416|0,Ux(j,e+2440|0)|0);Wx(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);ZI(e+2416|0);ZI(e+2440|0);c[(e+2472|0)>>2]=n;j=Zx(d,e+2472|0)|0;TI(e+2480|0,29576);PI(e+2456|0,Ux(j,e+2480|0)|0);$x(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);ZI(e+2456|0);ZI(e+2480|0);c[(e+2512|0)>>2]=n;j=Zx(d,e+2512|0)|0;TI(e+2520|0,28912);PI(e+2496|0,Ux(j,e+2520|0)|0);$x(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);ZI(e+2496|0);ZI(e+2520|0);c[(e+2552|0)>>2]=n;j=Zx(d,e+2552|0)|0;TI(e+2560|0,28600);PI(e+2536|0,Ux(j,e+2560|0)|0);Wx(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);ZI(e+2536|0);ZI(e+2560|0);c[(e+2592|0)>>2]=n;j=Zx(d,e+2592|0)|0;TI(e+2600|0,28360);PI(e+2576|0,Ux(j,e+2600|0)|0);Wx(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);ZI(e+2576|0);ZI(e+2600|0);c[(e+2632|0)>>2]=n;j=Zx(d,e+2632|0)|0;TI(e+2640|0,27992);PI(e+2616|0,Ux(j,e+2640|0)|0);Wx(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);ZI(e+2616|0);ZI(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?26816:26656;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];Qo(4,0,27456,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?553656:27104,h[k+16>>3]=r,c[k+24>>2]=q?553656:26968,c[k+32>>2]=m,c[k+40>>2]=o?553656:27104,h[k+48>>3]=s,c[k+56>>2]=o?553656:26968,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}TI(e+2656|0,w);c[(ay(e+216|0,e+2656|0)|0)>>2]=n;ZI(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,25680,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=Zx(n,e+2688|0)|0;TI(e+2696|0,37104);PI(e+2672|0,Ux(m,e+2696|0)|0);Xx(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);ZI(e+2672|0);ZI(e+2696|0);c[(e+2728|0)>>2]=d;m=Zx(n,e+2728|0)|0;TI(e+2736|0,35512);PI(e+2712|0,Ux(m,e+2736|0)|0);_x(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);ZI(e+2712|0);ZI(e+2736|0);c[(e+2768|0)>>2]=d;m=Zx(n,e+2768|0)|0;TI(e+2776|0,34960);PI(e+2752|0,Ux(m,e+2776|0)|0);Xx(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);ZI(e+2752|0);ZI(e+2776|0);c[(e+2808|0)>>2]=d;m=Zx(n,e+2808|0)|0;TI(e+2816|0,34336);PI(e+2792|0,Ux(m,e+2816|0)|0);Xx(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);ZI(e+2792|0);ZI(e+2816|0);c[(e+2848|0)>>2]=d;m=Zx(n,e+2848|0)|0;TI(e+2856|0,33824);PI(e+2832|0,Ux(m,e+2856|0)|0);Yx(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);ZI(e+2832|0);ZI(e+2856|0);c[(e+2888|0)>>2]=d;m=Zx(n,e+2888|0)|0;TI(e+2896|0,33320);PI(e+2872|0,Ux(m,e+2896|0)|0);Yx(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);ZI(e+2872|0);ZI(e+2896|0);c[(e+2928|0)>>2]=d;m=Zx(n,e+2928|0)|0;TI(e+2936|0,31656);PI(e+2912|0,Ux(m,e+2936|0)|0);Yx(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);ZI(e+2912|0);ZI(e+2936|0);c[(e+2968|0)>>2]=d;m=Zx(n,e+2968|0)|0;TI(e+2976|0,31112);PI(e+2952|0,Ux(m,e+2976|0)|0);Yx(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);ZI(e+2952|0);ZI(e+2976|0);c[(e+3008|0)>>2]=d;m=Zx(n,e+3008|0)|0;TI(e+3016|0,30552);PI(e+2992|0,Ux(m,e+3016|0)|0);Yx(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);ZI(e+2992|0);ZI(e+3016|0);c[(e+3048|0)>>2]=d;m=Zx(n,e+3048|0)|0;TI(e+3056|0,30080);PI(e+3032|0,Ux(m,e+3056|0)|0);$x(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);ZI(e+3032|0);ZI(e+3056|0);c[(e+3088|0)>>2]=d;m=Zx(n,e+3088|0)|0;TI(e+3096|0,29864);PI(e+3072|0,Ux(m,e+3096|0)|0);Wx(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);ZI(e+3072|0);ZI(e+3096|0);c[(e+3128|0)>>2]=d;m=Zx(n,e+3128|0)|0;TI(e+3136|0,29576);PI(e+3112|0,Ux(m,e+3136|0)|0);$x(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);ZI(e+3112|0);ZI(e+3136|0);c[(e+3168|0)>>2]=d;m=Zx(n,e+3168|0)|0;TI(e+3176|0,28912);PI(e+3152|0,Ux(m,e+3176|0)|0);$x(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);ZI(e+3152|0);ZI(e+3176|0);c[(e+3208|0)>>2]=d;m=Zx(n,e+3208|0)|0;TI(e+3216|0,28600);PI(e+3192|0,Ux(m,e+3216|0)|0);Wx(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);ZI(e+3192|0);ZI(e+3216|0);c[(e+3248|0)>>2]=d;m=Zx(n,e+3248|0)|0;TI(e+3256|0,28360);PI(e+3232|0,Ux(m,e+3256|0)|0);Wx(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);ZI(e+3232|0);ZI(e+3256|0);c[(e+3288|0)>>2]=d;m=Zx(n,e+3288|0)|0;TI(e+3296|0,27992);PI(e+3272|0,Ux(m,e+3296|0)|0);Wx(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);ZI(e+3272|0);ZI(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?26816:26656;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];Qo(4,0,27456,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?553656:27104,h[k+16>>3]=v,c[k+24>>2]=q?553656:26968,c[k+32>>2]=j,c[k+40>>2]=p?553656:27104,h[k+48>>3]=t,c[k+56>>2]=p?553656:26968,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;TI(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(ay(e+216|0,e+3312|0)|0)>>2]=q;ZI(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,25392,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=Zx(n,e+3344|0)|0;TI(e+3352|0,37104);PI(e+3328|0,Ux(j,e+3352|0)|0);Xx(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);ZI(e+3328|0);ZI(e+3352|0);c[(e+3384|0)>>2]=q;j=Zx(n,e+3384|0)|0;TI(e+3392|0,35512);PI(e+3368|0,Ux(j,e+3392|0)|0);_x(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);ZI(e+3368|0);ZI(e+3392|0);c[(e+3424|0)>>2]=q;j=Zx(n,e+3424|0)|0;TI(e+3432|0,34960);PI(e+3408|0,Ux(j,e+3432|0)|0);Xx(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);ZI(e+3408|0);ZI(e+3432|0);c[(e+3464|0)>>2]=q;j=Zx(n,e+3464|0)|0;TI(e+3472|0,34336);PI(e+3448|0,Ux(j,e+3472|0)|0);Xx(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);ZI(e+3448|0);ZI(e+3472|0);c[(e+3504|0)>>2]=q;j=Zx(n,e+3504|0)|0;TI(e+3512|0,33824);PI(e+3488|0,Ux(j,e+3512|0)|0);Yx(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);ZI(e+3488|0);ZI(e+3512|0);c[(e+3544|0)>>2]=q;j=Zx(n,e+3544|0)|0;TI(e+3552|0,33320);PI(e+3528|0,Ux(j,e+3552|0)|0);Yx(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);ZI(e+3528|0);ZI(e+3552|0);c[(e+3584|0)>>2]=q;j=Zx(n,e+3584|0)|0;TI(e+3592|0,31656);PI(e+3568|0,Ux(j,e+3592|0)|0);Yx(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);ZI(e+3568|0);ZI(e+3592|0);c[(e+3624|0)>>2]=q;j=Zx(n,e+3624|0)|0;TI(e+3632|0,31112);PI(e+3608|0,Ux(j,e+3632|0)|0);Yx(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);ZI(e+3608|0);ZI(e+3632|0);c[(e+3664|0)>>2]=q;j=Zx(n,e+3664|0)|0;TI(e+3672|0,30552);PI(e+3648|0,Ux(j,e+3672|0)|0);Yx(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);ZI(e+3648|0);ZI(e+3672|0);c[(e+3704|0)>>2]=q;j=Zx(n,e+3704|0)|0;TI(e+3712|0,30080);PI(e+3688|0,Ux(j,e+3712|0)|0);$x(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);ZI(e+3688|0);ZI(e+3712|0);c[(e+3744|0)>>2]=q;j=Zx(n,e+3744|0)|0;TI(e+3752|0,29864);PI(e+3728|0,Ux(j,e+3752|0)|0);Wx(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);ZI(e+3728|0);ZI(e+3752|0);c[(e+3784|0)>>2]=q;j=Zx(n,e+3784|0)|0;TI(e+3792|0,29576);PI(e+3768|0,Ux(j,e+3792|0)|0);$x(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);ZI(e+3768|0);ZI(e+3792|0);c[(e+3824|0)>>2]=q;j=Zx(n,e+3824|0)|0;TI(e+3832|0,28912);PI(e+3808|0,Ux(j,e+3832|0)|0);$x(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);ZI(e+3808|0);ZI(e+3832|0);c[(e+3864|0)>>2]=q;j=Zx(n,e+3864|0)|0;TI(e+3872|0,28600);PI(e+3848|0,Ux(j,e+3872|0)|0);Wx(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);ZI(e+3848|0);ZI(e+3872|0);c[(e+3904|0)>>2]=q;j=Zx(n,e+3904|0)|0;TI(e+3912|0,28360);PI(e+3888|0,Ux(j,e+3912|0)|0);Wx(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);ZI(e+3888|0);ZI(e+3912|0);c[(e+3944|0)>>2]=q;j=Zx(n,e+3944|0)|0;TI(e+3952|0,27992);PI(e+3928|0,Ux(j,e+3952|0)|0);Wx(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);ZI(e+3928|0);ZI(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?26816:26656;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];Qo(4,0,27456,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?553656:27104,h[k+16>>3]=r,c[k+24>>2]=m?553656:26968,c[k+32>>2]=o,c[k+40>>2]=z?553656:27104,h[k+48>>3]=s,c[k+56>>2]=z?553656:26968,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}TI(e+3968|0,A);c[(ay(e+216|0,e+3968|0)|0)>>2]=d;ZI(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,25064,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=Zx(p,e+4e3|0)|0;TI(e+4008|0,37104);PI(e+3984|0,Ux(n,e+4008|0)|0);Xx(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);ZI(e+3984|0);ZI(e+4008|0);c[(e+4040|0)>>2]=q;n=Zx(p,e+4040|0)|0;TI(e+4048|0,35512);PI(e+4024|0,Ux(n,e+4048|0)|0);_x(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);ZI(e+4024|0);ZI(e+4048|0);c[(e+4080|0)>>2]=q;n=Zx(p,e+4080|0)|0;TI(e+4088|0,34960);PI(e+4064|0,Ux(n,e+4088|0)|0);Xx(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);ZI(e+4064|0);ZI(e+4088|0);c[(e+4120|0)>>2]=q;n=Zx(p,e+4120|0)|0;TI(e+4128|0,34336);PI(e+4104|0,Ux(n,e+4128|0)|0);Xx(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);ZI(e+4104|0);ZI(e+4128|0);c[(e+4160|0)>>2]=q;n=Zx(p,e+4160|0)|0;TI(e+4168|0,33824);PI(e+4144|0,Ux(n,e+4168|0)|0);Yx(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);ZI(e+4144|0);ZI(e+4168|0);c[(e+4200|0)>>2]=q;n=Zx(p,e+4200|0)|0;TI(e+4208|0,33320);PI(e+4184|0,Ux(n,e+4208|0)|0);Yx(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);ZI(e+4184|0);ZI(e+4208|0);c[(e+4240|0)>>2]=q;n=Zx(p,e+4240|0)|0;TI(e+4248|0,31656);PI(e+4224|0,Ux(n,e+4248|0)|0);Yx(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);ZI(e+4224|0);ZI(e+4248|0);c[(e+4280|0)>>2]=q;n=Zx(p,e+4280|0)|0;TI(e+4288|0,31112);PI(e+4264|0,Ux(n,e+4288|0)|0);Yx(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);ZI(e+4264|0);ZI(e+4288|0);c[(e+4320|0)>>2]=q;n=Zx(p,e+4320|0)|0;TI(e+4328|0,30552);PI(e+4304|0,Ux(n,e+4328|0)|0);Yx(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);ZI(e+4304|0);ZI(e+4328|0);c[(e+4360|0)>>2]=q;n=Zx(p,e+4360|0)|0;TI(e+4368|0,30080);PI(e+4344|0,Ux(n,e+4368|0)|0);$x(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);ZI(e+4344|0);ZI(e+4368|0);c[(e+4400|0)>>2]=q;n=Zx(p,e+4400|0)|0;TI(e+4408|0,29864);PI(e+4384|0,Ux(n,e+4408|0)|0);Yx(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);ZI(e+4384|0);ZI(e+4408|0);c[(e+4440|0)>>2]=q;n=Zx(p,e+4440|0)|0;TI(e+4448|0,29576);PI(e+4424|0,Ux(n,e+4448|0)|0);$x(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);ZI(e+4424|0);ZI(e+4448|0);c[(e+4480|0)>>2]=q;n=Zx(p,e+4480|0)|0;TI(e+4488|0,28360);PI(e+4464|0,Ux(n,e+4488|0)|0);Yx(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);ZI(e+4464|0);ZI(e+4488|0);c[(e+4520|0)>>2]=q;n=Zx(p,e+4520|0)|0;TI(e+4528|0,27992);PI(e+4504|0,Ux(n,e+4528|0)|0);Yx(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);ZI(e+4504|0);ZI(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?26816:26656;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;Qo(4,0,24872,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?553656:27104,c[k+16>>2]=o,c[k+24>>2]=d?553656:26968,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}TI(e+4544|0,C);c[(ay(e+216|0,e+4544|0)|0)>>2]=q;ZI(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,24368,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[132660]|c[132722]|0)!=0){So(22,1,42600,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;So(22,0,41864,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;So(22,0,40504,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;So(22,0,40048,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;So(22,0,39624,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;So(22,0,39272,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;So(22,0,38840,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;So(22,0,38360,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;So(22,0,38080,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;So(22,0,37776,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;Ud[c[3702]&511](22)}Uj(f);Ta(0)|0;Kd(-1|0)}function Mx(a){a=a|0;SE(a);return}function Nx(a,b){a=a|0;b=b|0;xA(a,0);return}function Ox(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;OI(a,d|0);e=XI(b)|0;f=Hy(c)|0;yJ(a,YI(b)|0,e,f+e|0);qJ(a,c,f)|0;i=d;return}function Px(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((CT(b,500928)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{TI(f,v);s=Ux(t,f)|0;$I(s,c[d+((u|1)<<2)>>2]|0)|0;ZI(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((CT(b,500896)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{TI(g,t);v=Ux(u,g)|0;$I(v,c[d+((f|1)<<2)>>2]|0)|0;ZI(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((CT(b,500816)|0)!=0){do{if((CT(b,498688)|0)!=0){if((CT(b,498664)|0)==0){break}if((CT(b,498568)|0)==0){break}if((CT(b,498560)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=Zx(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){TI(q,c[v>>2]|0);u=Ux(s,q)|0;$I(u,c[d+((t|1)<<2)>>2]|0)|0;ZI(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=Zx(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}TI(r,498504);$I(Ux(w,r)|0,b)|0;ZI(r);i=e;return}iy(h,j);NI(k);NI(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{TI(m,s);b=Ux(h,m)|0;$I(b,c[d+((w|1)<<2)>>2]|0)|0;ZI(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}TI(n,500776);_I(k,Ux(h,n)|0)|0;ZI(n);TI(o,500720);_I(l,Ux(h,o)|0)|0;ZI(o);c[j>>2]=Rc(uJ(k)|0)|0;if((xJ(l,500568)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((xJ(l,500544)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((xJ(l,500496)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((xJ(l,500352)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((xJ(l,500344)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((xJ(l,499704)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((xJ(l,499688)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((xJ(l,499680)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((xJ(l,499592)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((xJ(l,499552)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((xJ(l,499544)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((xJ(l,499480)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((xJ(l,499392)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((xJ(l,499360)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=uJ(l)|0;TI(p,37104);M=uJ(Ux(h,p)|0)|0;To(0,(N|0)!=0|0,499048,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;ZI(p);vD(Zx(c[r>>2]|0,j)|0,h)|0;ZI(l);ZI(k);qy(h);i=e;return}function Qx(a,b){a=a|0;b=b|0;return}function Rx(a,b){a=a|0;b=b|0;return gA(a|0,b|0)|0}function Sx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;pA(e,b|0,c);hA(a,e);i=d;return}function Tx(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;iA(d,b|0);hA(a,d);i=c;return}function Ux(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=RB(a,e,b)|0;k=c[j>>2]|0;xu(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}TB(h,a,b);UB(g,h);SB(f,g);VB(h);h=c[e>>2]|0;WB(a|0,h,j,XB(f)|0);j=YB(f)|0;VB(f);l=j;m=l+28|0;i=d;return m|0}function Vx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Wa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;iy(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){Uo(0,504328,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Lc(d|0)|0}else{_b=0}if(Yb){$b=_b}else{Qo(23,0,504280,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;jy(h);ky(h,e,8);if(!(ly(h)|0)){Uo(0,503592,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}NI(j);e=h;my(e,j)|0;PI(k,j);while(1){_b=my(e,j)|0;if(!(JJ(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}IJ(l,503472,j);oJ(k,l)|0;ZI(l)}l=Lc(uJ(k)|0)|0;ny(h);ZI(k);ZI(j);oy(h);$b=l}if(($b|0)==0){Qo(23,0,503032,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;qy(g);i=f;return}NI(m);NI(n);Qo(23,0,503320,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Xa($b|0,503472)|0;if((l|0)!=0){h=l;do{l=iT(12)|0;TI(l,h);j=vJ(l,503224,0)|0;tJ(o,l,0,j);_I(m,o)|0;ZI(o);tJ(p,l,j+1|0,(eJ(l)|0)+~j|0);_I(n,p)|0;ZI(p);_I(Ux(g,m)|0,n)|0;j=uJ(m)|0;l=uJ(n)|0;Qo(23,0,503200,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Xa(0,503472)|0;}while((h|0)!=0)}dT($b);$b=a+12|0;TI(q,493344);h=Ux($b,q)|0;TI(r,493344);if((py(g,r)|0)==0){TI(t,493344);ac=Ux($b,t)|0;bc=1;cc=0}else{TI(s,493344);ac=Ux(g,s)|0;bc=0;cc=1}_I(h,ac)|0;if(bc){ZI(t)}if(cc){ZI(s)}ZI(r);ZI(q);TI(u,501400);q=Ux($b,u)|0;TI(v,501400);if((py(g,v)|0)==0){TI(x,501400);dc=Ux($b,x)|0;ec=1;fc=0}else{TI(w,501400);dc=Ux(g,w)|0;ec=0;fc=1}_I(q,dc)|0;if(ec){ZI(x)}if(fc){ZI(w)}ZI(v);ZI(u);TI(y,499224);u=Ux($b,y)|0;TI(z,499224);if((py(g,z)|0)==0){TI(B,499224);gc=Ux($b,B)|0;hc=1;ic=0}else{TI(A,499224);gc=Ux(g,A)|0;hc=0;ic=1}_I(u,gc)|0;if(hc){ZI(B)}if(ic){ZI(A)}ZI(z);ZI(y);TI(C,497408);y=Ux($b,C)|0;TI(D,497408);if((py(g,D)|0)==0){TI(F,497408);jc=Ux($b,F)|0;kc=1;lc=0}else{TI(E,497408);jc=Ux(g,E)|0;kc=0;lc=1}_I(y,jc)|0;if(kc){ZI(F)}if(lc){ZI(E)}ZI(D);ZI(C);TI(G,495616);C=Ux($b,G)|0;TI(H,495616);if((py(g,H)|0)==0){TI(J,495616);mc=Ux($b,J)|0;nc=1;oc=0}else{TI(I,495616);mc=Ux(g,I)|0;nc=0;oc=1}_I(C,mc)|0;if(nc){ZI(J)}if(oc){ZI(I)}ZI(H);ZI(G);TI(K,491888);G=Ux($b,K)|0;TI(L,491888);if((py(g,L)|0)==0){TI(N,491888);pc=Ux($b,N)|0;qc=1;rc=0}else{TI(M,491888);pc=Ux(g,M)|0;qc=0;rc=1}_I(G,pc)|0;if(qc){ZI(N)}if(rc){ZI(M)}ZI(L);ZI(K);TI(O,490200);K=Ux($b,O)|0;TI(P,490200);if((py(g,P)|0)==0){TI(R,490200);sc=Ux($b,R)|0;tc=1;uc=0}else{TI(Q,490200);sc=Ux(g,Q)|0;tc=0;uc=1}_I(K,sc)|0;if(tc){ZI(R)}if(uc){ZI(Q)}ZI(P);ZI(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=Zx(Q,S)|0;TI(T,29864);sc=Ux(tc,T)|0;c[U>>2]=R;tc=Zx(Q,U)|0;TI(V,37104);if((py(g,Ux(tc,V)|0)|0)==0){c[Y>>2]=R;tc=Zx(Q,Y)|0;TI(Z,29864);vc=Ux(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=Zx(Q,W)|0;TI(X,37104);vc=Ux(g,Ux(tc,X)|0)|0;wc=0;xc=1}_I(sc,vc)|0;if(wc){ZI(Z)}if(xc){ZI(X)}ZI(V);ZI(T);c[_>>2]=R;sc=Zx(uc,_)|0;TI($,29864);tc=Ux(sc,$)|0;c[aa>>2]=R;sc=Zx(uc,aa)|0;TI(ba,37104);if((py(g,Ux(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=Zx(uc,ea)|0;TI(fa,29864);yc=Ux(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=Zx(uc,ca)|0;TI(da,37104);yc=Ux(g,Ux(sc,da)|0)|0;zc=0;Ac=1}_I(tc,yc)|0;if(zc){ZI(fa)}if(Ac){ZI(da)}ZI(ba);ZI($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=Zx(Bc,ga)|0;TI(ha,29864);ba=Ux($,ha)|0;c[ia>>2]=R;$=Zx(Bc,ia)|0;TI(ja,37104);if((py(g,Ux($,ja)|0)|0)==0){c[ma>>2]=R;$=Zx(Bc,ma)|0;TI(na,29864);Cc=Ux($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=Zx(Bc,ka)|0;TI(la,37104);Cc=Ux(g,Ux($,la)|0)|0;Dc=0;Ec=1}_I(ba,Cc)|0;if(Dc){ZI(na)}if(Ec){ZI(la)}ZI(ja);ZI(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=Zx(P,oa)|0;TI(pa,29864);ja=Ux(ha,pa)|0;c[qa>>2]=R;ha=Zx(P,qa)|0;TI(ra,37104);if((py(g,Ux(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=Zx(P,ua)|0;TI(va,29864);Fc=Ux(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=Zx(P,sa)|0;TI(ta,37104);Fc=Ux(g,Ux(ha,ta)|0)|0;Gc=0;Hc=1}_I(ja,Fc)|0;if(Gc){ZI(va)}if(Hc){ZI(ta)}ZI(ra);ZI(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=Zx(R,wa)|0;TI(xa,29864);ta=Ux(ra,xa)|0;c[ya>>2]=pa;ra=Zx(R,ya)|0;TI(za,37104);if((py(g,Ux(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=Zx(R,Ca)|0;TI(Da,29864);Ic=Ux(ra,Da)|0;Jc=1;Kc=0}else{c[Aa>>2]=pa;ra=Zx(R,Aa)|0;TI(Ba,37104);Ic=Ux(g,Ux(ra,Ba)|0)|0;Jc=0;Kc=1}_I(ta,Ic)|0;if(Jc){ZI(Da)}if(Kc){ZI(Ba)}ZI(za);ZI(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=Zx(pa,Ea)|0;TI(Fa,29864);Ba=Ux(za,Fa)|0;c[Ga>>2]=xa;za=Zx(pa,Ga)|0;TI(Ha,37104);if((py(g,Ux(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=Zx(pa,Ka)|0;TI(La,29864);Mc=Ux(za,La)|0;Nc=1;Oc=0}else{c[Ia>>2]=xa;za=Zx(pa,Ia)|0;TI(Ja,37104);Mc=Ux(g,Ux(za,Ja)|0)|0;Nc=0;Oc=1}_I(Ba,Mc)|0;if(Nc){ZI(La)}if(Oc){ZI(Ja)}ZI(Ha);ZI(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=Zx(xa,Ma)|0;TI(Na,29864);Ja=Ux(Ha,Na)|0;c[Oa>>2]=Fa;Ha=Zx(xa,Oa)|0;TI(Pa,37104);if((py(g,Ux(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=Zx(xa,Sa)|0;TI(Ta,29864);Pc=Ux(Ha,Ta)|0;Qc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=Zx(xa,Qa)|0;TI(Ra,37104);Pc=Ux(g,Ux(Ha,Ra)|0)|0;Qc=0;Rc=1}_I(Ja,Pc)|0;if(Qc){ZI(Ta)}if(Rc){ZI(Ra)}ZI(Pa);ZI(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=Zx(Fa,Ua)|0;TI(Va,29864);Ra=Ux(Pa,Va)|0;c[Wa>>2]=Na;Pa=Zx(Fa,Wa)|0;TI(Ya,37104);if((py(g,Ux(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=Zx(Fa,$a)|0;TI(ab,29864);Sc=Ux(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=Zx(Fa,Za)|0;TI(_a,37104);Sc=Ux(g,Ux(Pa,_a)|0)|0;Tc=0;Uc=1}_I(Ra,Sc)|0;if(Tc){ZI(ab)}if(Uc){ZI(_a)}ZI(Ya);ZI(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=Zx(Na,bb)|0;TI(cb,29864);_a=Ux(Ya,cb)|0;c[db>>2]=Va;Ya=Zx(Na,db)|0;TI(eb,37104);if((py(g,Ux(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=Zx(Na,hb)|0;TI(ib,29864);Vc=Ux(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=Zx(Na,fb)|0;TI(gb,37104);Vc=Ux(g,Ux(Ya,gb)|0)|0;Wc=0;Xc=1}_I(_a,Vc)|0;if(Wc){ZI(ib)}if(Xc){ZI(gb)}ZI(eb);ZI(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=Zx(Va,jb)|0;TI(kb,29864);gb=Ux(eb,kb)|0;c[lb>>2]=cb;eb=Zx(Va,lb)|0;TI(mb,37104);if((py(g,Ux(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=Zx(Va,pb)|0;TI(qb,29864);Yc=Ux(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=Zx(Va,nb)|0;TI(ob,37104);Yc=Ux(g,Ux(eb,ob)|0)|0;Zc=0;_c=1}_I(gb,Yc)|0;if(Zc){ZI(qb)}if(_c){ZI(ob)}ZI(mb);ZI(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=Zx(cb,rb)|0;TI(sb,29864);ob=Ux(mb,sb)|0;c[tb>>2]=kb;mb=Zx(cb,tb)|0;TI(ub,37104);if((py(g,Ux(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=Zx(cb,xb)|0;TI(yb,29864);$c=Ux(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=Zx(cb,vb)|0;TI(wb,37104);$c=Ux(g,Ux(mb,wb)|0)|0;ad=0;bd=1}_I(ob,$c)|0;if(ad){ZI(yb)}if(bd){ZI(wb)}ZI(ub);ZI(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=Zx(kb,zb)|0;TI(Ab,29864);wb=Ux(ub,Ab)|0;c[Bb>>2]=sb;ub=Zx(kb,Bb)|0;TI(Cb,37104);if((py(g,Ux(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=Zx(kb,Fb)|0;TI(Gb,29864);cd=Ux(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=Zx(kb,Db)|0;TI(Eb,37104);cd=Ux(g,Ux(ub,Eb)|0)|0;dd=0;ed=1}_I(wb,cd)|0;if(dd){ZI(Gb)}if(ed){ZI(Eb)}ZI(Cb);ZI(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=Zx(sb,Hb)|0;TI(Ib,29864);Eb=Ux(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=Zx(sb,Jb)|0;TI(Kb,37104);if((py(g,Ux(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=Zx(sb,Nb)|0;TI(Ob,29864);fd=Ux(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=Zx(sb,Lb)|0;TI(Mb,37104);fd=Ux(g,Ux(Cb,Mb)|0)|0;gd=0;hd=1}_I(Eb,fd)|0;if(gd){ZI(Ob)}if(hd){ZI(Mb)}ZI(Kb);ZI(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=Zx(b,Pb)|0;TI(Qb,29864);Ib=Ux(Ab,Qb)|0;c[Rb>>2]=a;Ab=Zx(b,Rb)|0;TI(Sb,37104);if((py(g,Ux(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=Zx(b,Vb)|0;TI(Wb,29864);id=Ux(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=Zx(b,Tb)|0;TI(Ub,37104);id=Ux(g,Ux(Ab,Ub)|0)|0;jd=0;kd=1}_I(Ib,id)|0;if(jd){ZI(Wb)}if(kd){ZI(Ub)}ZI(Sb);ZI(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}Qo(23,0,503152,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;ZI(n);ZI(m);qy(g);i=f;return}function Wx(a,b,c){a=a|0;b=b|0;c=+c;if((xJ(a,553656)|0)==0){h[b>>3]=c;return}if((xJ(a,26816)|0)==0){h[b>>3]=1.0;return}if((xJ(a,26656)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+yT(uJ(a)|0);return}}function Xx(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){So(22,0,501320,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Lc(uJ(a)|0)|0;i=d;return}}function Yx(a,b,d){a=a|0;b=b|0;d=d|0;if((xJ(a,553656)|0)==0){c[b>>2]=d}if((xJ(a,26816)|0)==0){c[b>>2]=1;return}if((xJ(a,26656)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Rc(uJ(a)|0)|0;return}}function Zx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=GA(a,e,b)|0;k=c[j>>2]|0;xu(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}IA(h,a,b);JA(g,h);HA(f,g);KA(h);h=c[e>>2]|0;LA(a|0,h,j,MA(f)|0);j=NA(f)|0;KA(f);l=j;m=l+20|0;i=d;return m|0}function _x(a,b){a=a|0;b=b|0;if((xJ(a,26816)|0)==0){c[b>>2]=1;return}if((xJ(a,26656)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Rc(uJ(a)|0)|0;return}}function $x(b,c){b=b|0;c=c|0;a[c]=(xJ(b,26816)|0)==0|0;return}function ay(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=iz(a,e,b)|0;k=c[j>>2]|0;xu(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}kz(h,a,b);lz(g,h);jz(f,g);mz(h);h=c[e>>2]|0;nz(a|0,h,j,oz(f)|0);j=pz(f)|0;mz(f);l=j;m=l+28|0;i=d;return m|0}function by(a,b){a=a|0;b=b|0;_I(b,a)|0;return}function cy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;$y(e,b|0,c);Ty(a,e);i=d;return}function dy(a,b){a=a|0;b=b|0;return Ry(a|0,b|0)|0}function ey(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;Uy(d,b|0);Ty(a,d);i=c;return}function fy(a){a=a|0;return Oy(a|0)|0}function gy(a){a=a|0;lD(a);return}function hy(a){a=a|0;_C(a);return}function iy(a,b){a=a|0;b=b|0;HB(a,0);return}function jy(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;WJ(b);d=a|0;c[d>>2]=515644;e=b|0;c[e>>2]=515664;b=a+8|0;OK(a,516604,b|0);c[d>>2]=515644;c[e>>2]=515664;ex(b);return}function ky(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Fu(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){NJ(d,4);return}else{LJ(d,0);return}}function ly(a){a=a|0;return Jy(a+8|0)|0}function my(a,b){a=a|0;b=b|0;return Iy(a,b,UJ(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function ny(a){a=a|0;if((Hu(a+8|0)|0)!=0){return}NJ(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function oy(a){a=a|0;Ny(a,516600);RJ(a+108|0);return}function py(a,b){a=a|0;b=b|0;return ry(a|0,b)|0}function qy(a){a=a|0;PC(a);return}function ry(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=ty(a)|0;xu(e);if((f|0)==0){g=0;i=d;return g|0}h=uy(a)|0;a=f;while(1){f=a+16|0;if(vy(h,b,f)|0){j=a|0}else{if(!(wy(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;xu(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function sy(a){a=a|0;return iu(Cy(a+4|0)|0)|0}function ty(a){a=a|0;return c[(sy(a)|0)>>2]|0}function uy(a){a=a|0;return Ay(a+8|0)|0}function vy(a,b,c){a=a|0;b=b|0;c=c|0;return xy(0,b,c|0)|0}function wy(a,b,c){a=a|0;b=b|0;c=c|0;return xy(0,b|0,c)|0}function xy(a,b,c){a=a|0;b=b|0;c=c|0;return yy(b,c)|0}function yy(a,b){a=a|0;b=b|0;return(wJ(a,b)|0)<0|0}function zy(a,b,c){a=a|0;b=b|0;c=c|0;return BT(a,b,c)|0}function Ay(a){a=a|0;return By(a|0)|0}function By(a){a=a|0;return a|0}function Cy(a){a=a|0;return Dy(a|0)|0}function Dy(a){a=a|0;return a|0}function Ey(a,b){a=a|0;b=b|0;return Gy(0,b,0)|0}function Fy(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function Gy(a,b,c){a=a|0;b=b|0;c=c|0;return iT(b)|0}function Hy(a){a=a|0;return ET(a|0)|0}function Iy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;TK(f,a,1);if(!(WK(f)|0)){i=e;return a|0}nJ(b);f=a;g=a;h=0;while(1){j=aK(SJ(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(rv(j,-1)|0){k=h;l=2;break}m=h+1|0;n=sv(j)|0;if(wv(n,d)|0){k=m;l=0;break}pJ(b,n);if((XI(b)|0)==-17){k=m;l=4;break}else{h=m}}NJ(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function Jy(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function Ky(a){a=a|0;oy(a);kT(a);return}function Ly(a){a=a|0;oy(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function My(a){a=a|0;Ky(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function Ny(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];fv(a+8|0);return}function Oy(a){a=a|0;return Py((c[a>>2]|0)+16|0)|0}function Py(a){a=a|0;return Qy(a)|0}function Qy(a){a=a|0;return a|0}function Ry(a,b){a=a|0;b=b|0;return(Sy(a,b)|0)^1|0}function Sy(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function Ty(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];_y(a,b);i=d;return}function Uy(a,b){a=a|0;b=b|0;Vy(a,Wy(b)|0);return}function Vy(a,b){a=a|0;b=b|0;Zy(a,b);return}function Wy(a){a=a|0;return iu(Xy(a+4|0)|0)|0}function Xy(a){a=a|0;return Yy(a|0)|0}function Yy(a){a=a|0;return a|0}function Zy(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function _y(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function $y(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=bz(b)|0;az(f,b,d,h,Wy(b)|0);Uy(g,b);do{if(Ry(f,g)|0){h=cz(b)|0;if(dz(h,d,ez(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);Uy(a,b);i=e;return}function az(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;xu(h);a:do{if((e|0)==0){j=f}else{k=cz(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(hz(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;xu(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;xu(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);Vy(a,j);i=g;return}function bz(a){a=a|0;return c[(Wy(a)|0)>>2]|0}function cz(a){a=a|0;return fz(a+8|0)|0}function dz(a,b,c){a=a|0;b=b|0;c=c|0;return xy(0,b,c|0)|0}function ez(a){a=a|0;return(c[a>>2]|0)+16|0}function fz(a){a=a|0;return gz(a|0)|0}function gz(a){a=a|0;return a|0}function hz(a,b,c){a=a|0;b=b|0;c=c|0;return xy(0,b|0,c)|0}function iz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=bz(h)|0;xu(e|0);if((a|0)==0){j=Wy(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(xy(0,d,a)|0){m=l|0;j=c[m>>2]|0;xu(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(xy(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;xu(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function jz(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];eA(a,b);i=d;return}function kz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=Lz(c|0)|0;c=Nz(k,1)|0;Oz(g,k);Mz(f,c,g);Pz(0,Ez((Qz(f)|0)+16|0)|0,d);d=Rz(f)|0;a[d+4|0]=1;Sz(0,Cz((Qz(f)|0)+28|0)|0);a[d+5|0]=1;Tz(j,f);lz(h,j);jz(b,h);mz(j);mz(f);i=e;return}function lz(a,b){a=a|0;b=b|0;Jz(a,b);return}function mz(a){a=a|0;yz(a);return}function nz(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;xu(f|0);c[e>>2]=0;xu(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=uz(a)|0;b=c[c[e>>2]>>2]|0;xu(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(Wy(a)|0)>>2]|0;hw(e,c[d>>2]|0);d=vz(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function oz(a){a=a|0;return c[(sz(a|0)|0)>>2]|0}function pz(a){a=a|0;var b=0;b=qz(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function qz(a){a=a|0;return rz(a|0)|0}function rz(a){a=a|0;return a|0}function sz(a){a=a|0;return tz(a|0)|0}function tz(a){a=a|0;return a|0}function uz(a){a=a|0;return a|0}function vz(a){a=a|0;return wz(a+8|0)|0}function wz(a){a=a|0;return xz(a|0)|0}function xz(a){a=a|0;return a|0}function yz(a){a=a|0;zz(a,0);return}function zz(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=qz(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Bz(Az(d)|0,e);return}function Az(a){a=a|0;return Iz(a|0)|0}function Bz(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;Dz(e,Ez(d+16|0)|0)}if((d|0)==0){return}Fz(c[b>>2]|0,d,1);return}function Cz(a){a=a|0;return a|0}function Dz(a,b){a=a|0;b=b|0;a=i;i=i+8|0;Hz(a|0,0,b);i=a;return}function Ez(a){a=a|0;return a|0}function Fz(a,b,c){a=a|0;b=b|0;c=c|0;Gz(0,b,0);return}function Gz(a,b,c){a=a|0;b=b|0;c=c|0;kT(b);return}function Hz(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;ZI(d);i=c;return}function Iz(a){a=a|0;return a+4|0}function Jz(a,b){a=a|0;b=b|0;Kz(a,b);return}function Kz(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function Lz(a){a=a|0;return cA(a+4|0)|0}function Mz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];Wz(a,b,d);i=e;return}function Nz(a,b){a=a|0;b=b|0;return Vz(0,b,0)|0}function Oz(a,b){a=a|0;b=b|0;Uz(a,b);return}function Pz(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}PI(b,c);return}function Qz(a){a=a|0;return c[(sz(a|0)|0)>>2]|0}function Rz(a){a=a|0;return Az(a|0)|0}function Sz(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function Tz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;Jz(f,b);jz(e,f);lz(d,e);jz(a,d);mz(e);i=c;return}function Uz(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function Vz(a,b,c){a=a|0;b=b|0;c=c|0;return iT(b<<5)|0}function Wz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(Yz(f)|0)>>2]|0;f=Zz(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;Xz(a|0,b,g);i=e;return}function Xz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];_z(a,b,d);i=e;return}function Yz(a){a=a|0;return a|0}function Zz(a){a=a|0;return a|0}function _z(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(aA(f)|0)>>2]|0;f=bA(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;$z(a|0,b,g);i=e;return}function $z(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(aA(f)|0)>>2];f=bA(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function aA(a){a=a|0;return a|0}function bA(a){a=a|0;return a|0}function cA(a){a=a|0;return dA(a|0)|0}function dA(a){a=a|0;return a|0}function eA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=pz(fA(b)|0)|0;g=bA(Rz(fA(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;Xz(a|0,f,e);i=d;return}function fA(a){a=a|0;return c[a>>2]|0}function gA(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function hA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];oA(a,b);i=d;return}function iA(a,b){a=a|0;b=b|0;jA(a,kA(b)|0);return}function jA(a,b){a=a|0;b=b|0;nA(a,b);return}function kA(a){a=a|0;return iu(lA(a+4|0)|0)|0}function lA(a){a=a|0;return mA(a|0)|0}function mA(a){a=a|0;return a|0}function nA(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function oA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function pA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=rA(b)|0;qA(f,b,d,h,kA(b)|0);iA(g,b);do{if(sA(f,g)|0){h=tA(b)|0;if(vy(h,d,uA(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);iA(a,b);i=e;return}function qA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;xu(h);a:do{if((e|0)==0){j=f}else{k=tA(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(wy(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;xu(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;xu(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);jA(a,j);i=g;return}function rA(a){a=a|0;return c[(kA(a)|0)>>2]|0}function sA(a,b){a=a|0;b=b|0;return(gA(a,b)|0)^1|0}function tA(a){a=a|0;return vA(a+8|0)|0}function uA(a){a=a|0;return(c[a>>2]|0)+16|0}function vA(a){a=a|0;return wA(a|0)|0}function wA(a){a=a|0;return a|0}function xA(a,b){a=a|0;b=b|0;b=i;i=i+8|0;yA(a|0,b|0);i=b;return}function yA(a,b){a=a|0;b=b|0;zA(a,0);return}function zA(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;AA(a+4|0);BA(a+8|0,0,b|0);d=Wy(a)|0;c[(uz(a)|0)>>2]=d;i=b;return}function AA(a){a=a|0;EA(a);return}function BA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;CA(b,c,d);i=e;return}function CA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;DA(b|0,c[($w(g)|0)>>2]|0,f+8|0);i=f;return}function DA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[($w(g)|0)>>2];i=f;return}function EA(a){a=a|0;FA(a|0);return}function FA(a){a=a|0;cx(a|0);return}function GA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=GB(h)|0;xu(e|0);if((a|0)==0){j=TA(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(uu(0,d,a)|0){m=l|0;j=c[m>>2]|0;xu(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(uu(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;xu(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function HA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];EB(a,b);i=d;return}function IA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=jB(c|0)|0;c=lB(k,1)|0;mB(g,k);kB(f,c,g);nB(0,tw((oB(f)|0)+16|0)|0,d);d=pB(f)|0;a[d+4|0]=1;qB(0,cB((oB(f)|0)+20|0)|0);a[d+5|0]=1;rB(j,f);JA(h,j);HA(b,h);KA(j);KA(f);i=e;return}function JA(a,b){a=a|0;b=b|0;hB(a,b);return}function KA(a){a=a|0;ZA(a);return}function LA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;xu(f|0);c[e>>2]=0;xu(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=SA(a)|0;b=c[c[e>>2]>>2]|0;xu(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(TA(a)|0)>>2]|0;hw(e,c[d>>2]|0);d=UA(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function MA(a){a=a|0;return c[(QA(a|0)|0)>>2]|0}function NA(a){a=a|0;var b=0;b=OA(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function OA(a){a=a|0;return PA(a|0)|0}function PA(a){a=a|0;return a|0}function QA(a){a=a|0;return RA(a|0)|0}function RA(a){a=a|0;return a|0}function SA(a){a=a|0;return a|0}function TA(a){a=a|0;return iu(XA(a+4|0)|0)|0}function UA(a){a=a|0;return VA(a+8|0)|0}function VA(a){a=a|0;return WA(a|0)|0}function WA(a){a=a|0;return a|0}function XA(a){a=a|0;return YA(a|0)|0}function YA(a){a=a|0;return a|0}function ZA(a){a=a|0;_A(a,0);return}function _A(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=OA(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}aB($A(d)|0,e);return}function $A(a){a=a|0;return gB(a|0)|0}function aB(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;bB(e,cB(d+20|0)|0)}if((d|0)==0){return}dB(c[b>>2]|0,d,1);return}function bB(a,b){a=a|0;b=b|0;a=i;i=i+8|0;fB(a|0,0,b);i=a;return}function cB(a){a=a|0;return a|0}function dB(a,b,c){a=a|0;b=b|0;c=c|0;eB(0,b,0);return}function eB(a,b,c){a=a|0;b=b|0;c=c|0;kT(b);return}function fB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;qy(d);i=c;return}function gB(a){a=a|0;return a+4|0}function hB(a,b){a=a|0;b=b|0;iB(a,b);return}function iB(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function jB(a){a=a|0;return CB(a+4|0)|0}function kB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];uB(a,b,d);i=e;return}function lB(a,b){a=a|0;b=b|0;return tB(0,b,0)|0}function mB(a,b){a=a|0;b=b|0;sB(a,b);return}function nB(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function oB(a){a=a|0;return c[(QA(a|0)|0)>>2]|0}function pB(a){a=a|0;return $A(a|0)|0}function qB(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}iy(b,a|0);i=a;return}function rB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;hB(f,b);HA(e,f);JA(d,e);HA(a,d);KA(e);i=c;return}function sB(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function tB(a,b,c){a=a|0;b=b|0;c=c|0;return iT(b<<5)|0}function uB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(wB(f)|0)>>2]|0;f=xB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;vB(a|0,b,g);i=e;return}function vB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];yB(a,b,d);i=e;return}function wB(a){a=a|0;return a|0}function xB(a){a=a|0;return a|0}function yB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(AB(f)|0)>>2]|0;f=BB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;zB(a|0,b,g);i=e;return}function zB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(AB(f)|0)>>2];f=BB(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function AB(a){a=a|0;return a|0}function BB(a){a=a|0;return a|0}function CB(a){a=a|0;return DB(a|0)|0}function DB(a){a=a|0;return a|0}function EB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=NA(FB(b)|0)|0;g=BB(pB(FB(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;vB(a|0,f,e);i=d;return}function FB(a){a=a|0;return c[a>>2]|0}function GB(a){a=a|0;return c[(TA(a)|0)>>2]|0}function HB(a,b){a=a|0;b=b|0;b=i;i=i+8|0;IB(a|0,b|0);i=b;return}function IB(a,b){a=a|0;b=b|0;JB(a,0);return}function JB(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;KB(a+4|0);LB(a+8|0,0,b|0);d=kA(a)|0;c[(MB(a)|0)>>2]=d;i=b;return}function KB(a){a=a|0;PB(a);return}function LB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;NB(b,c,d);i=e;return}function MB(a){a=a|0;return a|0}function NB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;OB(b|0,c[($w(g)|0)>>2]|0,f+8|0);i=f;return}function OB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[($w(g)|0)>>2];i=f;return}function PB(a){a=a|0;QB(a|0);return}function QB(a){a=a|0;cx(a|0);return}function RB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=rA(h)|0;xu(e|0);if((a|0)==0){j=kA(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(xy(0,d,a)|0){m=l|0;j=c[m>>2]|0;xu(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(xy(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;xu(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function SB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];NC(a,b);i=d;return}function TB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=sC(c|0)|0;c=uC(k,1)|0;vC(g,k);tC(f,c,g);wC(0,Ez((xC(f)|0)+16|0)|0,d);d=yC(f)|0;a[d+4|0]=1;zC(0,jC((xC(f)|0)+28|0)|0);a[d+5|0]=1;AC(j,f);UB(h,j);SB(b,h);VB(j);VB(f);i=e;return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=Zx(g,b+4576|0)|0;TI(b+4584|0,37104);PI(b+4560|0,Ux(k,b+4584|0)|0);Xx(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);ZI(b+4560|0);ZI(b+4584|0);c[(b+4616|0)>>2]=j;k=Zx(g,b+4616|0)|0;TI(b+4624|0,35512);PI(b+4600|0,Ux(k,b+4624|0)|0);_x(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);ZI(b+4600|0);ZI(b+4624|0);c[(b+4656|0)>>2]=j;k=Zx(g,b+4656|0)|0;TI(b+4664|0,34960);PI(b+4640|0,Ux(k,b+4664|0)|0);Xx(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);ZI(b+4640|0);ZI(b+4664|0);c[(b+4696|0)>>2]=j;k=Zx(g,b+4696|0)|0;TI(b+4704|0,34336);PI(b+4680|0,Ux(k,b+4704|0)|0);Xx(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);ZI(b+4680|0);ZI(b+4704|0);c[(b+4736|0)>>2]=j;k=Zx(g,b+4736|0)|0;TI(b+4744|0,33824);PI(b+4720|0,Ux(k,b+4744|0)|0);Yx(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);ZI(b+4720|0);ZI(b+4744|0);c[(b+4776|0)>>2]=j;k=Zx(g,b+4776|0)|0;TI(b+4784|0,33320);PI(b+4760|0,Ux(k,b+4784|0)|0);Yx(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);ZI(b+4760|0);ZI(b+4784|0);c[(b+4816|0)>>2]=j;k=Zx(g,b+4816|0)|0;TI(b+4824|0,31656);PI(b+4800|0,Ux(k,b+4824|0)|0);Yx(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);ZI(b+4800|0);ZI(b+4824|0);c[(b+4856|0)>>2]=j;k=Zx(g,b+4856|0)|0;TI(b+4864|0,31112);PI(b+4840|0,Ux(k,b+4864|0)|0);Yx(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);ZI(b+4840|0);ZI(b+4864|0);c[(b+4896|0)>>2]=j;k=Zx(g,b+4896|0)|0;TI(b+4904|0,30552);PI(b+4880|0,Ux(k,b+4904|0)|0);Yx(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);ZI(b+4880|0);ZI(b+4904|0);c[(b+4936|0)>>2]=j;k=Zx(g,b+4936|0)|0;TI(b+4944|0,30080);PI(b+4920|0,Ux(k,b+4944|0)|0);$x(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);ZI(b+4920|0);ZI(b+4944|0);c[(b+4976|0)>>2]=j;k=Zx(g,b+4976|0)|0;TI(b+4984|0,29864);PI(b+4960|0,Ux(k,b+4984|0)|0);$x(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);ZI(b+4960|0);ZI(b+4984|0);c[(b+5016|0)>>2]=j;k=Zx(g,b+5016|0)|0;TI(b+5024|0,29576);PI(b+5e3|0,Ux(k,b+5024|0)|0);$x(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);ZI(b+5e3|0);ZI(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?26816:26656;n=(a[k+(j*48|0)+40|0]|0)!=0?26816:26656;Qo(4,0,23224,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?553656:27104,c[f+16>>2]=m,c[f+24>>2]=l?553656:26968,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}TI(b+5040|0,o);c[(ay(b+216|0,b+5040|0)|0)>>2]=j;ZI(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,22856,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=Zx(j,b+5072|0)|0;TI(b+5080|0,37104);PI(b+5056|0,Ux(l,b+5080|0)|0);Xx(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);ZI(b+5056|0);ZI(b+5080|0);c[(b+5112|0)>>2]=g;l=Zx(j,b+5112|0)|0;TI(b+5120|0,35512);PI(b+5096|0,Ux(l,b+5120|0)|0);_x(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);ZI(b+5096|0);ZI(b+5120|0);c[(b+5152|0)>>2]=g;l=Zx(j,b+5152|0)|0;TI(b+5160|0,34960);PI(b+5136|0,Ux(l,b+5160|0)|0);Xx(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);ZI(b+5136|0);ZI(b+5160|0);c[(b+5192|0)>>2]=g;l=Zx(j,b+5192|0)|0;TI(b+5200|0,34336);PI(b+5176|0,Ux(l,b+5200|0)|0);Xx(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);ZI(b+5176|0);ZI(b+5200|0);c[(b+5232|0)>>2]=g;l=Zx(j,b+5232|0)|0;TI(b+5240|0,33824);PI(b+5216|0,Ux(l,b+5240|0)|0);Yx(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);ZI(b+5216|0);ZI(b+5240|0);c[(b+5272|0)>>2]=g;l=Zx(j,b+5272|0)|0;TI(b+5280|0,33320);PI(b+5256|0,Ux(l,b+5280|0)|0);Yx(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);ZI(b+5256|0);ZI(b+5280|0);c[(b+5312|0)>>2]=g;l=Zx(j,b+5312|0)|0;TI(b+5320|0,31656);PI(b+5296|0,Ux(l,b+5320|0)|0);Yx(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);ZI(b+5296|0);ZI(b+5320|0);c[(b+5352|0)>>2]=g;l=Zx(j,b+5352|0)|0;TI(b+5360|0,31112);PI(b+5336|0,Ux(l,b+5360|0)|0);Yx(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);ZI(b+5336|0);ZI(b+5360|0);c[(b+5392|0)>>2]=g;l=Zx(j,b+5392|0)|0;TI(b+5400|0,30552);PI(b+5376|0,Ux(l,b+5400|0)|0);Yx(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);ZI(b+5376|0);ZI(b+5400|0);c[(b+5432|0)>>2]=g;l=Zx(j,b+5432|0)|0;TI(b+5440|0,30080);PI(b+5416|0,Ux(l,b+5440|0)|0);$x(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);ZI(b+5416|0);ZI(b+5440|0);c[(b+5472|0)>>2]=g;l=Zx(j,b+5472|0)|0;TI(b+5480|0,29864);PI(b+5456|0,Ux(l,b+5480|0)|0);Xx(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);ZI(b+5456|0);ZI(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;Qo(4,0,22672,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?553656:27104,c[f+16>>2]=m,c[f+24>>2]=n?553656:26968,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}TI(b+5496|0,p);c[(ay(b+216|0,b+5496|0)|0)>>2]=g;ZI(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,22440,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=Zx(g,b+5528|0)|0;TI(b+5536|0,37104);PI(b+5512|0,Ux(m,b+5536|0)|0);Xx(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);ZI(b+5512|0);ZI(b+5536|0);c[(b+5568|0)>>2]=j;m=Zx(g,b+5568|0)|0;TI(b+5576|0,35512);PI(b+5552|0,Ux(m,b+5576|0)|0);_x(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);ZI(b+5552|0);ZI(b+5576|0);c[(b+5608|0)>>2]=j;m=Zx(g,b+5608|0)|0;TI(b+5616|0,34960);PI(b+5592|0,Ux(m,b+5616|0)|0);Xx(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);ZI(b+5592|0);ZI(b+5616|0);c[(b+5648|0)>>2]=j;m=Zx(g,b+5648|0)|0;TI(b+5656|0,34336);PI(b+5632|0,Ux(m,b+5656|0)|0);Xx(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);ZI(b+5632|0);ZI(b+5656|0);c[(b+5688|0)>>2]=j;m=Zx(g,b+5688|0)|0;TI(b+5696|0,33824);PI(b+5672|0,Ux(m,b+5696|0)|0);Yx(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);ZI(b+5672|0);ZI(b+5696|0);c[(b+5728|0)>>2]=j;m=Zx(g,b+5728|0)|0;TI(b+5736|0,33320);PI(b+5712|0,Ux(m,b+5736|0)|0);Yx(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);ZI(b+5712|0);ZI(b+5736|0);c[(b+5768|0)>>2]=j;m=Zx(g,b+5768|0)|0;TI(b+5776|0,31656);PI(b+5752|0,Ux(m,b+5776|0)|0);Yx(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);ZI(b+5752|0);ZI(b+5776|0);c[(b+5808|0)>>2]=j;m=Zx(g,b+5808|0)|0;TI(b+5816|0,31112);PI(b+5792|0,Ux(m,b+5816|0)|0);Yx(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);ZI(b+5792|0);ZI(b+5816|0);c[(b+5848|0)>>2]=j;m=Zx(g,b+5848|0)|0;TI(b+5856|0,30552);PI(b+5832|0,Ux(m,b+5856|0)|0);Yx(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);ZI(b+5832|0);ZI(b+5856|0);c[(b+5888|0)>>2]=j;m=Zx(g,b+5888|0)|0;TI(b+5896|0,30080);PI(b+5872|0,Ux(m,b+5896|0)|0);$x(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);ZI(b+5872|0);ZI(b+5896|0);c[(b+5928|0)>>2]=j;m=Zx(g,b+5928|0)|0;TI(b+5936|0,29864);PI(b+5912|0,Ux(m,b+5936|0)|0);Wx(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);ZI(b+5912|0);ZI(b+5936|0);c[(b+5968|0)>>2]=j;m=Zx(g,b+5968|0)|0;TI(b+5976|0,29576);PI(b+5952|0,Ux(m,b+5976|0)|0);$x(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);ZI(b+5952|0);ZI(b+5976|0);c[(b+6008|0)>>2]=j;m=Zx(g,b+6008|0)|0;TI(b+6016|0,28912);PI(b+5992|0,Ux(m,b+6016|0)|0);$x(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);ZI(b+5992|0);ZI(b+6016|0);c[(b+6048|0)>>2]=j;m=Zx(g,b+6048|0)|0;TI(b+6056|0,28600);PI(b+6032|0,Ux(m,b+6056|0)|0);Wx(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);ZI(b+6032|0);ZI(b+6056|0);c[(b+6088|0)>>2]=j;m=Zx(g,b+6088|0)|0;TI(b+6096|0,28360);PI(b+6072|0,Ux(m,b+6096|0)|0);Wx(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);ZI(b+6072|0);ZI(b+6096|0);c[(b+6128|0)>>2]=j;m=Zx(g,b+6128|0)|0;TI(b+6136|0,27992);PI(b+6112|0,Ux(m,b+6136|0)|0);Wx(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);ZI(b+6112|0);ZI(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?26816:26656;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];Qo(4,0,22248,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?553656:27104,h[f+16>>3]=q,c[f+24>>2]=n?553656:26968,c[f+32>>2]=l,c[f+40>>2]=k?553656:27104,h[f+48>>3]=r,c[f+56>>2]=k?553656:26968,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}TI(b+6152|0,u);c[(ay(b+240|0,b+6152|0)|0)>>2]=j;ZI(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,512536,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=Zx(j,b+6184|0)|0;TI(b+6192|0,37104);PI(b+6168|0,Ux(l,b+6192|0)|0);Xx(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);ZI(b+6168|0);ZI(b+6192|0);c[(b+6224|0)>>2]=g;l=Zx(j,b+6224|0)|0;TI(b+6232|0,35512);PI(b+6208|0,Ux(l,b+6232|0)|0);_x(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);ZI(b+6208|0);ZI(b+6232|0);c[(b+6264|0)>>2]=g;l=Zx(j,b+6264|0)|0;TI(b+6272|0,34960);PI(b+6248|0,Ux(l,b+6272|0)|0);Xx(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);ZI(b+6248|0);ZI(b+6272|0);c[(b+6304|0)>>2]=g;l=Zx(j,b+6304|0)|0;TI(b+6312|0,34336);PI(b+6288|0,Ux(l,b+6312|0)|0);Xx(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);ZI(b+6288|0);ZI(b+6312|0);c[(b+6344|0)>>2]=g;l=Zx(j,b+6344|0)|0;TI(b+6352|0,33824);PI(b+6328|0,Ux(l,b+6352|0)|0);Yx(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);ZI(b+6328|0);ZI(b+6352|0);c[(b+6384|0)>>2]=g;l=Zx(j,b+6384|0)|0;TI(b+6392|0,33320);PI(b+6368|0,Ux(l,b+6392|0)|0);Yx(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);ZI(b+6368|0);ZI(b+6392|0);c[(b+6424|0)>>2]=g;l=Zx(j,b+6424|0)|0;TI(b+6432|0,31656);PI(b+6408|0,Ux(l,b+6432|0)|0);Yx(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);ZI(b+6408|0);ZI(b+6432|0);c[(b+6464|0)>>2]=g;l=Zx(j,b+6464|0)|0;TI(b+6472|0,31112);PI(b+6448|0,Ux(l,b+6472|0)|0);Yx(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);ZI(b+6448|0);ZI(b+6472|0);c[(b+6504|0)>>2]=g;l=Zx(j,b+6504|0)|0;TI(b+6512|0,30552);PI(b+6488|0,Ux(l,b+6512|0)|0);Yx(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);ZI(b+6488|0);ZI(b+6512|0);c[(b+6544|0)>>2]=g;l=Zx(j,b+6544|0)|0;TI(b+6552|0,30080);PI(b+6528|0,Ux(l,b+6552|0)|0);$x(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);ZI(b+6528|0);ZI(b+6552|0);c[(b+6584|0)>>2]=g;l=Zx(j,b+6584|0)|0;TI(b+6592|0,29864);PI(b+6568|0,Ux(l,b+6592|0)|0);Yx(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);ZI(b+6568|0);ZI(b+6592|0);c[(b+6624|0)>>2]=g;l=Zx(j,b+6624|0)|0;TI(b+6632|0,29576);PI(b+6608|0,Ux(l,b+6632|0)|0);$x(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);ZI(b+6608|0);ZI(b+6632|0);c[(b+6664|0)>>2]=g;l=Zx(j,b+6664|0)|0;TI(b+6672|0,28360);PI(b+6648|0,Ux(l,b+6672|0)|0);Yx(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);ZI(b+6648|0);ZI(b+6672|0);c[(b+6704|0)>>2]=g;l=Zx(j,b+6704|0)|0;TI(b+6712|0,27992);PI(b+6688|0,Ux(l,b+6712|0)|0);Yx(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);ZI(b+6688|0);ZI(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?26816:26656;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;Qo(4,0,511880,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?553656:27104,c[f+16>>2]=n,c[f+24>>2]=k?553656:26968,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}TI(b+6728|0,x);c[(ay(b+240|0,b+6728|0)|0)>>2]=g;ZI(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,511552,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=Zx(g,b+6760|0)|0;TI(b+6768|0,37104);PI(b+6744|0,Ux(v,b+6768|0)|0);Xx(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);ZI(b+6744|0);ZI(b+6768|0);c[(b+6800|0)>>2]=j;v=Zx(g,b+6800|0)|0;TI(b+6808|0,35512);PI(b+6784|0,Ux(v,b+6808|0)|0);_x(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);ZI(b+6784|0);ZI(b+6808|0);c[(b+6840|0)>>2]=j;v=Zx(g,b+6840|0)|0;TI(b+6848|0,34960);PI(b+6824|0,Ux(v,b+6848|0)|0);Xx(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);ZI(b+6824|0);ZI(b+6848|0);c[(b+6880|0)>>2]=j;v=Zx(g,b+6880|0)|0;TI(b+6888|0,34336);PI(b+6864|0,Ux(v,b+6888|0)|0);Xx(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);ZI(b+6864|0);ZI(b+6888|0);c[(b+6920|0)>>2]=j;v=Zx(g,b+6920|0)|0;TI(b+6928|0,33824);PI(b+6904|0,Ux(v,b+6928|0)|0);Yx(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);ZI(b+6904|0);ZI(b+6928|0);c[(b+6960|0)>>2]=j;v=Zx(g,b+6960|0)|0;TI(b+6968|0,33320);PI(b+6944|0,Ux(v,b+6968|0)|0);Yx(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);ZI(b+6944|0);ZI(b+6968|0);c[(b+7e3|0)>>2]=j;v=Zx(g,b+7e3|0)|0;TI(b+7008|0,31656);PI(b+6984|0,Ux(v,b+7008|0)|0);Yx(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);ZI(b+6984|0);ZI(b+7008|0);c[(b+7040|0)>>2]=j;v=Zx(g,b+7040|0)|0;TI(b+7048|0,31112);PI(b+7024|0,Ux(v,b+7048|0)|0);Yx(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);ZI(b+7024|0);ZI(b+7048|0);c[(b+7080|0)>>2]=j;v=Zx(g,b+7080|0)|0;TI(b+7088|0,30552);PI(b+7064|0,Ux(v,b+7088|0)|0);Yx(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);ZI(b+7064|0);ZI(b+7088|0);c[(b+7120|0)>>2]=j;v=Zx(g,b+7120|0)|0;TI(b+7128|0,30080);PI(b+7104|0,Ux(v,b+7128|0)|0);$x(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);ZI(b+7104|0);ZI(b+7128|0);c[(b+7160|0)>>2]=j;v=Zx(g,b+7160|0)|0;TI(b+7168|0,29864);PI(b+7144|0,Ux(v,b+7168|0)|0);$x(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);ZI(b+7144|0);ZI(b+7168|0);c[(b+7200|0)>>2]=j;v=Zx(g,b+7200|0)|0;TI(b+7208|0,29576);PI(b+7184|0,Ux(v,b+7208|0)|0);$x(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);ZI(b+7184|0);ZI(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?26816:26656;k=(a[v+(j*48|0)+40|0]|0)!=0?26816:26656;Qo(4,0,511288,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?553656:27104,c[f+16>>2]=m,c[f+24>>2]=w?553656:26968,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}TI(b+7224|0,y);c[(ay(b+240|0,b+7224|0)|0)>>2]=j;ZI(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,511024,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=Zx(j,b+7256|0)|0;TI(b+7264|0,37104);PI(b+7240|0,Ux(w,b+7264|0)|0);Xx(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);ZI(b+7240|0);ZI(b+7264|0);c[(b+7296|0)>>2]=g;w=Zx(j,b+7296|0)|0;TI(b+7304|0,35512);PI(b+7280|0,Ux(w,b+7304|0)|0);_x(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);ZI(b+7280|0);ZI(b+7304|0);c[(b+7336|0)>>2]=g;w=Zx(j,b+7336|0)|0;TI(b+7344|0,34960);PI(b+7320|0,Ux(w,b+7344|0)|0);Xx(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);ZI(b+7320|0);ZI(b+7344|0);c[(b+7376|0)>>2]=g;w=Zx(j,b+7376|0)|0;TI(b+7384|0,34336);PI(b+7360|0,Ux(w,b+7384|0)|0);Xx(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);ZI(b+7360|0);ZI(b+7384|0);c[(b+7416|0)>>2]=g;w=Zx(j,b+7416|0)|0;TI(b+7424|0,33824);PI(b+7400|0,Ux(w,b+7424|0)|0);Yx(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);ZI(b+7400|0);ZI(b+7424|0);c[(b+7456|0)>>2]=g;w=Zx(j,b+7456|0)|0;TI(b+7464|0,33320);PI(b+7440|0,Ux(w,b+7464|0)|0);Yx(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);ZI(b+7440|0);ZI(b+7464|0);c[(b+7496|0)>>2]=g;w=Zx(j,b+7496|0)|0;TI(b+7504|0,31656);PI(b+7480|0,Ux(w,b+7504|0)|0);Yx(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);ZI(b+7480|0);ZI(b+7504|0);c[(b+7536|0)>>2]=g;w=Zx(j,b+7536|0)|0;TI(b+7544|0,31112);PI(b+7520|0,Ux(w,b+7544|0)|0);Yx(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);ZI(b+7520|0);ZI(b+7544|0);c[(b+7576|0)>>2]=g;w=Zx(j,b+7576|0)|0;TI(b+7584|0,30552);PI(b+7560|0,Ux(w,b+7584|0)|0);Yx(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);ZI(b+7560|0);ZI(b+7584|0);c[(b+7616|0)>>2]=g;w=Zx(j,b+7616|0)|0;TI(b+7624|0,30080);PI(b+7600|0,Ux(w,b+7624|0)|0);$x(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);ZI(b+7600|0);ZI(b+7624|0);c[(b+7656|0)>>2]=g;w=Zx(j,b+7656|0)|0;TI(b+7664|0,29864);PI(b+7640|0,Ux(w,b+7664|0)|0);Xx(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);ZI(b+7640|0);ZI(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;Qo(4,0,510808,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?553656:27104,c[f+16>>2]=m,c[f+24>>2]=k?553656:26968,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}TI(b+7680|0,z);c[(ay(b+240|0,b+7680|0)|0)>>2]=g;ZI(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,510632,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=Zx(g,b+7712|0)|0;TI(b+7720|0,37104);PI(b+7696|0,Ux(m,b+7720|0)|0);Xx(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);ZI(b+7696|0);ZI(b+7720|0);c[(b+7752|0)>>2]=j;m=Zx(g,b+7752|0)|0;TI(b+7760|0,35512);PI(b+7736|0,Ux(m,b+7760|0)|0);_x(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);ZI(b+7736|0);ZI(b+7760|0);c[(b+7792|0)>>2]=j;m=Zx(g,b+7792|0)|0;TI(b+7800|0,34960);PI(b+7776|0,Ux(m,b+7800|0)|0);Xx(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);ZI(b+7776|0);ZI(b+7800|0);c[(b+7832|0)>>2]=j;m=Zx(g,b+7832|0)|0;TI(b+7840|0,34336);PI(b+7816|0,Ux(m,b+7840|0)|0);Xx(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);ZI(b+7816|0);ZI(b+7840|0);c[(b+7872|0)>>2]=j;m=Zx(g,b+7872|0)|0;TI(b+7880|0,33824);PI(b+7856|0,Ux(m,b+7880|0)|0);Yx(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);ZI(b+7856|0);ZI(b+7880|0);c[(b+7912|0)>>2]=j;m=Zx(g,b+7912|0)|0;TI(b+7920|0,33320);PI(b+7896|0,Ux(m,b+7920|0)|0);Yx(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);ZI(b+7896|0);ZI(b+7920|0);c[(b+7952|0)>>2]=j;m=Zx(g,b+7952|0)|0;TI(b+7960|0,31656);PI(b+7936|0,Ux(m,b+7960|0)|0);Yx(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);ZI(b+7936|0);ZI(b+7960|0);c[(b+7992|0)>>2]=j;m=Zx(g,b+7992|0)|0;TI(b+8e3|0,31112);PI(b+7976|0,Ux(m,b+8e3|0)|0);Yx(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);ZI(b+7976|0);ZI(b+8e3|0);c[(b+8032|0)>>2]=j;m=Zx(g,b+8032|0)|0;TI(b+8040|0,30552);PI(b+8016|0,Ux(m,b+8040|0)|0);Yx(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);ZI(b+8016|0);ZI(b+8040|0);NI(b+8056|0);c[(b+8088|0)>>2]=j;m=Zx(g,b+8088|0)|0;TI(b+8096|0,510488);PI(b+8072|0,Ux(m,b+8096|0)|0);by(b+8072|0,b+8056|0);ZI(b+8072|0);ZI(b+8096|0);m=(xJ(b+8056|0,510360)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Qo(4,0,510184,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=Zx(g,b+8128|0)|0;TI(b+8136|0,509824);PI(b+8112|0,Ux(k,b+8136|0)|0);by(b+8112|0,b+8056|0);ZI(b+8112|0);ZI(b+8136|0);cy(b+264|0,b+216|0,b+8056|0);cy(b+272|0,b+240|0,b+8056|0);ey(b+8152|0,b+216|0);do{if(dy(b+264|0,b+8152|0)|0){k=c[(fy(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{ey(b+8160|0,b+240|0);if(dy(b+272|0,b+8160|0)|0){m=c[(fy(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((xJ(b+8056|0,509048)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);ZI(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}IJ(b+8184|0,508600,b+8056|0);Ox(b+8168|0,b+8184|0,507968);ZI(b+8184|0);j=uJ(b+8168|0)|0;Uo(0,507656,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,507064,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=Zx(j,b+8216|0)|0;TI(b+8224|0,37104);PI(b+8200|0,Ux(k,b+8224|0)|0);Xx(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);ZI(b+8200|0);ZI(b+8224|0);c[(b+8256|0)>>2]=g;k=Zx(j,b+8256|0)|0;TI(b+8264|0,35512);PI(b+8240|0,Ux(k,b+8264|0)|0);_x(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);ZI(b+8240|0);ZI(b+8264|0);c[(b+8296|0)>>2]=g;k=Zx(j,b+8296|0)|0;TI(b+8304|0,34960);PI(b+8280|0,Ux(k,b+8304|0)|0);Xx(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);ZI(b+8280|0);ZI(b+8304|0);c[(b+8336|0)>>2]=g;k=Zx(j,b+8336|0)|0;TI(b+8344|0,34336);PI(b+8320|0,Ux(k,b+8344|0)|0);Xx(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);ZI(b+8320|0);ZI(b+8344|0);c[(b+8376|0)>>2]=g;k=Zx(j,b+8376|0)|0;TI(b+8384|0,33824);PI(b+8360|0,Ux(k,b+8384|0)|0);Yx(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);ZI(b+8360|0);ZI(b+8384|0);c[(b+8416|0)>>2]=g;k=Zx(j,b+8416|0)|0;TI(b+8424|0,33320);PI(b+8400|0,Ux(k,b+8424|0)|0);Yx(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);ZI(b+8400|0);ZI(b+8424|0);c[(b+8456|0)>>2]=g;k=Zx(j,b+8456|0)|0;TI(b+8464|0,31656);PI(b+8440|0,Ux(k,b+8464|0)|0);Yx(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);ZI(b+8440|0);ZI(b+8464|0);c[(b+8496|0)>>2]=g;k=Zx(j,b+8496|0)|0;TI(b+8504|0,31112);PI(b+8480|0,Ux(k,b+8504|0)|0);Yx(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);ZI(b+8480|0);ZI(b+8504|0);c[(b+8536|0)>>2]=g;k=Zx(j,b+8536|0)|0;TI(b+8544|0,30552);PI(b+8520|0,Ux(k,b+8544|0)|0);Yx(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);ZI(b+8520|0);ZI(b+8544|0);NI(b+8560|0);c[(b+8592|0)>>2]=g;k=Zx(j,b+8592|0)|0;TI(b+8600|0,510488);PI(b+8576|0,Ux(k,b+8600|0)|0);by(b+8576|0,b+8560|0);ZI(b+8576|0);ZI(b+8600|0);k=(xJ(b+8560|0,510360)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Qo(4,0,510184,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=Zx(j,b+8632|0)|0;TI(b+8640|0,509824);PI(b+8616|0,Ux(m,b+8640|0)|0);by(b+8616|0,b+8560|0);ZI(b+8616|0);ZI(b+8640|0);cy(b+264|0,b+216|0,b+8560|0);cy(b+272|0,b+240|0,b+8560|0);ey(b+8656|0,b+216|0);if(dy(b+264|0,b+8656|0)|0){m=c[(fy(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{ey(b+8664|0,b+240|0);if(!(dy(b+272|0,b+8664|0)|0)){break}k=c[(fy(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}ZI(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}IJ(b+8688|0,507040,b+8560|0);Ox(b+8672|0,b+8688|0,507968);ZI(b+8688|0);g=uJ(b+8672|0)|0;Uo(0,507656,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,505800,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=Zx(g,b+8720|0)|0;TI(b+8728|0,37104);PI(b+8704|0,Ux(m,b+8728|0)|0);Xx(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);ZI(b+8704|0);ZI(b+8728|0);c[(b+8760|0)>>2]=j;m=Zx(g,b+8760|0)|0;TI(b+8768|0,35512);PI(b+8744|0,Ux(m,b+8768|0)|0);_x(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);ZI(b+8744|0);ZI(b+8768|0);c[(b+8800|0)>>2]=j;m=Zx(g,b+8800|0)|0;TI(b+8808|0,34960);PI(b+8784|0,Ux(m,b+8808|0)|0);Xx(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);ZI(b+8784|0);ZI(b+8808|0);c[(b+8840|0)>>2]=j;m=Zx(g,b+8840|0)|0;TI(b+8848|0,34336);PI(b+8824|0,Ux(m,b+8848|0)|0);Xx(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);ZI(b+8824|0);ZI(b+8848|0);c[(b+8880|0)>>2]=j;m=Zx(g,b+8880|0)|0;TI(b+8888|0,33824);PI(b+8864|0,Ux(m,b+8888|0)|0);$x(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);ZI(b+8864|0);ZI(b+8888|0);c[(b+8920|0)>>2]=j;m=Zx(g,b+8920|0)|0;TI(b+8928|0,33320);PI(b+8904|0,Ux(m,b+8928|0)|0);$x(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);ZI(b+8904|0);ZI(b+8928|0);c[(b+8960|0)>>2]=j;m=Zx(g,b+8960|0)|0;TI(b+8968|0,31656);PI(b+8944|0,Ux(m,b+8968|0)|0);$x(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);ZI(b+8944|0);ZI(b+8968|0);c[(b+9e3|0)>>2]=j;m=Zx(g,b+9e3|0)|0;TI(b+9008|0,31112);PI(b+8984|0,Ux(m,b+9008|0)|0);$x(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);ZI(b+8984|0);ZI(b+9008|0);c[(b+9040|0)>>2]=j;m=Zx(g,b+9040|0)|0;TI(b+9048|0,30552);PI(b+9024|0,Ux(m,b+9048|0)|0);$x(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);ZI(b+9024|0);ZI(b+9048|0);NI(b+9064|0);c[(b+9096|0)>>2]=j;m=Zx(g,b+9096|0)|0;TI(b+9104|0,510488);PI(b+9080|0,Ux(m,b+9104|0)|0);by(b+9080|0,b+9064|0);ZI(b+9080|0);ZI(b+9104|0);m=(xJ(b+9064|0,510360)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Qo(4,0,510184,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=Zx(g,b+9136|0)|0;TI(b+9144|0,509824);PI(b+9120|0,Ux(k,b+9144|0)|0);by(b+9120|0,b+9064|0);ZI(b+9120|0);ZI(b+9144|0);cy(b+264|0,b+216|0,b+9064|0);cy(b+272|0,b+240|0,b+9064|0);ey(b+9160|0,b+216|0);if(dy(b+264|0,b+9160|0)|0){k=c[(fy(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{ey(b+9168|0,b+240|0);if(!(dy(b+272|0,b+9168|0)|0)){break}m=c[(fy(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}ZI(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}IJ(b+9192|0,505544,b+9064|0);Ox(b+9176|0,b+9192|0,507968);ZI(b+9192|0);j=uJ(b+9176|0)|0;Uo(0,507656,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Qo(4,1,505208,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=Zx(j,b+9224|0)|0;TI(b+9232|0,37104);PI(b+9208|0,Ux(k,b+9232|0)|0);Xx(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);ZI(b+9208|0);ZI(b+9232|0);c[(b+9264|0)>>2]=g;k=Zx(j,b+9264|0)|0;TI(b+9272|0,35512);PI(b+9248|0,Ux(k,b+9272|0)|0);_x(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);ZI(b+9248|0);ZI(b+9272|0);c[(b+9304|0)>>2]=g;k=Zx(j,b+9304|0)|0;TI(b+9312|0,34960);PI(b+9288|0,Ux(k,b+9312|0)|0);Xx(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);ZI(b+9288|0);ZI(b+9312|0);c[(b+9344|0)>>2]=g;k=Zx(j,b+9344|0)|0;TI(b+9352|0,34336);PI(b+9328|0,Ux(k,b+9352|0)|0);Xx(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);ZI(b+9328|0);ZI(b+9352|0);c[(b+9384|0)>>2]=g;k=Zx(j,b+9384|0)|0;TI(b+9392|0,33824);PI(b+9368|0,Ux(k,b+9392|0)|0);Xx(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);ZI(b+9368|0);ZI(b+9392|0);c[(b+9424|0)>>2]=g;k=Zx(j,b+9424|0)|0;TI(b+9432|0,33320);PI(b+9408|0,Ux(k,b+9432|0)|0);Xx(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);ZI(b+9408|0);ZI(b+9432|0);c[(b+9464|0)>>2]=g;k=Zx(j,b+9464|0)|0;TI(b+9472|0,31656);PI(b+9448|0,Ux(k,b+9472|0)|0);Xx(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);ZI(b+9448|0);ZI(b+9472|0);c[(b+9504|0)>>2]=g;k=Zx(j,b+9504|0)|0;TI(b+9512|0,31112);PI(b+9488|0,Ux(k,b+9512|0)|0);Xx(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);ZI(b+9488|0);ZI(b+9512|0);c[(b+9544|0)>>2]=g;k=Zx(j,b+9544|0)|0;TI(b+9552|0,30552);PI(b+9528|0,Ux(k,b+9552|0)|0);Xx(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);ZI(b+9528|0);ZI(b+9552|0);NI(b+9568|0);c[(b+9600|0)>>2]=g;k=Zx(j,b+9600|0)|0;TI(b+9608|0,510488);PI(b+9584|0,Ux(k,b+9608|0)|0);by(b+9584|0,b+9568|0);ZI(b+9584|0);ZI(b+9608|0);k=(xJ(b+9568|0,510360)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Qo(4,0,510184,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=Zx(j,b+9640|0)|0;TI(b+9648|0,509824);PI(b+9624|0,Ux(m,b+9648|0)|0);by(b+9624|0,b+9568|0);ZI(b+9624|0);ZI(b+9648|0);cy(b+264|0,b+216|0,b+9568|0);cy(b+272|0,b+240|0,b+9568|0);ey(b+9664|0,b+216|0);if(dy(b+264|0,b+9664|0)|0){m=c[(fy(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{ey(b+9672|0,b+240|0);if(!(dy(b+272|0,b+9672|0)|0)){break}k=c[(fy(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}ZI(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}IJ(b+9696|0,505184,b+9568|0);Ox(b+9680|0,b+9696|0,507968);ZI(b+9696|0);g=uJ(b+9680|0)|0;Uo(0,507656,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[132642]|0)!=0){Ud[c[3702]&511](4)}Uj(e);gy(b+240|0);gy(b+216|0);ZI(b+200|0);hy(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}




// EMSCRIPTEN_END_FUNCS
var Rd=[MU,MU,cr,MU,er,MU,xj,MU,jr,MU,MU,MU,MU,MU,MU,MU];var Sd=[NU,NU,Qr,NU];var Td=[OU,OU,um,OU,Ql,OU,_S,OU,wn,OU,ZS,OU,il,OU,jl,OU,Zm,OU,Rl,OU,xn,OU,yn,OU,_m,OU,YS,OU,vm,OU,OU,OU];var Ud=[PU,PU,tP,PU,NL,PU,oP,PU,sI,PU,bN,PU,zI,PU,ZJ,PU,yP,PU,LH,PU,MP,PU,fI,PU,UH,PU,HP,PU,OM,PU,Pr,PU,rI,PU,yQ,PU,xI,PU,kM,PU,AI,PU,DL,PU,zL,PU,My,PU,RF,PU,sI,PU,KP,PU,_P,PU,DN,PU,lM,PU,rL,PU,pP,PU,LP,PU,UF,PU,RK,PU,OL,PU,qO,PU,DP,PU,Ss,PU,OS,PU,hv,PU,CO,PU,WQ,PU,BJ,PU,ij,PU,xI,PU,JL,PU,XN,PU,ZQ,PU,NP,PU,dT,PU,iP,PU,VQ,PU,BL,PU,cv,PU,ZK,PU,TH,PU,IL,PU,SN,PU,LR,PU,sI,PU,FR,PU,PM,PU,XQ,PU,JQ,PU,SF,PU,dv,PU,Ly,PU,Gh,PU,Oo,PU,rO,PU,QK,PU,fL,PU,PN,PU,CN,PU,fO,PU,mT,PU,av,PU,YJ,PU,wg,PU,aU,PU,PJ,PU,IR,PU,JR,PU,xL,PU,oy,PU,sL,PU,BK,PU,RS,PU,iQ,PU,LS,PU,SK,PU,yL,PU,MO,PU,xg,PU,BO,PU,tL,PU,Mo,PU,nT,PU,PS,PU,_H,PU,CP,PU,QN,PU,XO,PU,KS,PU,UQ,PU,PO,PU,jP,PU,KR,PU,WN,PU,aN,PU,CL,PU,Ky,PU,ev,PU,AL,PU,EL,PU,$K,PU,oF,PU,og,PU,cP,PU,WO,PU,YQ,PU,pN,PU,qf,PU,JS,PU,zg,PU,QF,PU,LS,PU,SS,PU,eL,PU,kH,PU,JI,PU,pg,PU,PK,PU,DF,PU,$H,PU,QJ,PU,Gr,PU,qL,PU,fv,PU,WF,PU,OJ,PU,dL,PU,II,PU,gI,PU,FP,PU,oN,PU,gO,PU,hj,PU,NH,PU,_K,PU,AK,PU,cL,PU,HR,PU,QS,PU,uP,PU,bq,PU,MH,PU,YK,PU,NS,PU,TN,PU,dP,PU,NO,PU,ZI,PU,$P,PU,wI,PU,qQ,PU,MR,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU,PU];var Vd=[QU,QU,gR,QU,Rt,QU,HO,QU,Qx,QU,jO,QU,dR,QU,At,QU,AO,QU,Ct,QU,Ax,QU,Ht,QU,zt,QU,hx,QU,sg,QU,cR,QU,pO,QU,yg,QU,OH,QU,sP,QU,Bx,QU,CK,QU,bO,QU,KO,QU,zx,QU,ug,QU,xO,QU,aO,QU,_N,QU,IO,QU,GP,QU,Bt,QU,Dt,QU,aI,QU,LO,QU,ox,QU,fR,QU,iv,QU,kO,QU,vI,QU,FO,QU,lx,QU,hR,QU,zO,QU,mO,QU,jx,QU,eR,QU,qg,QU,oO,QU,VH,QU,oK,QU,xP,QU,hI,QU,uO,QU,eO,QU,dO,QU,$N,QU,Tt,QU,vO,QU,wO,QU,tG,QU,GO,QU,lO,QU,QU,QU];var Wd=[RU,RU,ql,RU,ir,RU,xl,RU,dr,RU,fr,RU,gr,RU,hr,RU];var Xd=[SU,SU,hF,SU,vR,SU,uj,SU,vK,SU,nQ,SU,lR,SU,wK,SU,QQ,SU,qj,SU,tR,SU,hO,SU,bU,SU,iI,SU,He,SU,Fh,SU,Hh,SU,qN,SU,jR,SU,jI,SU,Yr,SU,KK,SU,cT,SU,JK,SU,js,SU,PQ,SU,rj,SU,pR,SU,nR,SU,MS,SU,yI,SU,mf,SU,_Q,SU,oR,SU,mv,SU,$Q,SU,sK,SU,Ih,SU,mQ,SU,JO,SU,qR,SU,PH,SU,cU,SU,iO,SU,gp,SU,FQ,SU,dU,SU,eU,SU,Je,SU,vQ,SU,DO,SU,iR,SU,jj,SU,pj,SU,nj,SU,oj,SU,kj,SU,WH,SU,qs,SU,gj,SU,vL,SU,cO,SU,HK,SU,XH,SU,tK,SU,fU,SU,Fg,SU,aR,SU,GK,SU,bI,SU,Cg,SU,nv,SU,pQ,SU,nO,SU,uR,SU,EQ,SU,oT,SU,YN,SU,kR,SU,ZN,SU,tI,SU,Eg,SU,sO,SU,xQ,SU,yO,SU,tO,SU,mR,SU,EO,SU,nf,SU,uQ,SU,EN,SU,bR,SU,ZF,SU,sR,SU,DH,SU,Mi,SU,rR,SU,Ie,SU,IQ,SU,gU,SU,sj,SU,tj,SU,TQ,SU,Ni,SU,hU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU,SU];var Yd=[TU,TU,En,TU,Qn,TU,Nn,TU,Rn,TU,Sn,TU,Tn,TU,Ao,TU,ho,TU,ko,TU,qo,TU,ZP,TU,Gn,TU,uo,TU,vo,TU,DQ,TU,Fn,TU,so,TU,ro,TU,lo,TU,no,TU,Kn,TU,po,TU,to,TU,hQ,TU,KL,TU,RQ,TU,Un,TU,GQ,TU,Zn,TU,_n,TU,$n,TU,Wn,TU,Xn,TU,Mn,TU,Vn,TU,Yn,TU,oo,TU,Pn,TU,wo,TU,jo,TU,co,TU,eo,TU,go,TU,io,TU,ao,TU,Ln,TU,fo,TU,bo,TU,xo,TU,FL,TU,lQ,TU,oQ,TU,Hn,TU,tQ,TU,Jn,TU,mo,TU,OQ,TU,wQ,TU,Bo,TU,On,TU,yo,TU,zo,TU,TU,TU];var Zd=[UU,UU,ll,UU,HL,UU,VP,UU,nF,UU,Bg,UU,jF,UU,TS,UU,qP,UU,sl,UU,bQ,UU,YP,UU,Hl,UU,vH,UU,lm,UU,ML,UU,Nl,UU,DI,UU,Qm,UU,yK,UU,uK,UU,OP,UU,DK,UU,vP,UU,ul,UU,gQ,UU,yl,UU,jv,UU,TP,UU,QH,UU,IK,UU,EI,UU,dQ,UU,rm,UU,pK,UU,Wm,UU,cI,UU,qF,UU,MK,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU,UU];var _d=[VU,VU,lN,VU,jN,VU,_M,VU,XM,VU,VU,VU,VU,VU,VU,VU];var $d=[WU,WU,UN,WU,RN,WU,OO,WU,YO,WU,SO,WU,_O,WU,WU,WU];var ae=[XU,XU,$S,XU,hN,XU,dN,XU,aT,XU,Ko,XU,mN,XU,kv,XU,rP,XU,EK,XU,$M,XU,QM,XU,VM,XU,RM,XU,XF,XU,cN,XU,bT,XU,qK,XU,Jo,XU,wP,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU,XU];var be=[YU,YU,hs,YU,is,YU,YU,YU];var ce=[ZU,ZU,pf,ZU];var de=[_U,_U,vN,_U,FN,_U,HN,_U,nP,_U,iN,_U,gN,_U,hP,_U,rN,_U,uN,_U,IN,_U,GM,_U,TL,_U,tN,_U,uM,_U,ZL,_U,GN,_U,WM,_U,UM,_U,yM,_U,qM,_U,sM,_U,hM,_U,wM,_U,oM,_U,mM,_U,EM,_U,CM,_U,AM,_U,JN,_U,XL,_U,sN,_U,$L,_U,VL,_U,RL,_U,fM,_U,dM,_U,bM,_U,PL,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U,_U];var ee=[$U,$U,kP,$U,eP,$U,$U,$U];var fe=[aV,aV,KN,aV,wN,aV,aV,aV];var ge=[bV,bV,en,bV,kI,bV,cn,bV,dn,bV,fl,bV,WP,bV,Ge,bV,LK,bV,eQ,bV,Tm,bV,aQ,bV,YH,bV,dI,bV,SP,bV,nm,bV,gl,bV,$F,bV,gn,bV,vj,bV,Dg,bV,fn,bV,bn,bV,ov,bV,wS,bV,cQ,bV,Vm,bV,om,bV,hl,bV,zK,bV,up,bV,Ag,bV,NK,bV,UP,bV,iU,bV,qm,bV,jU,bV,Sm,bV,_F,bV,Ml,bV,Gg,bV,pv,bV,wj,bV,xK,bV,RH,bV,Jl,bV,an,bV,$m,bV,Kl,bV,fT,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV,bV];var he=[cV,cV,et,cV];var ie=[dV,dV,IH,dV,hp,dV,JH,dV,GH,dV,yj,dV,kU,dV,dV,dV];var je=[eV,eV,vk,eV,Pl,eV,gm,eV,tm,eV,vl,eV,Um,eV,Il,eV,Nm,eV,Rm,eV,lU,eV,Cl,eV,Ll,eV,hm,eV,PP,eV,Tk,eV,Mm,eV,Km,eV,zl,eV,nl,eV,im,eV,Bl,eV,QP,eV,jm,eV,Gl,eV,El,eV,Pm,eV,fQ,eV,Ym,eV,Dl,eV,Nk,eV,Qk,eV,ak,eV,mm,eV,Fl,eV,dl,eV,Sk,eV,qk,eV,Lm,eV,Om,eV,ol,eV,Zk,eV,km,eV,XP,eV,pm,eV,Ek,eV,wl,eV,RP,eV,fm,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV,eV];var ke=[fV,fV,sF,fV,ut,fV,wt,fV,Px,fV,CI,fV,wL,fV,sG,fV];var le=[gV,gV,sf,gV,FG,gV,Co,gV,mU,gV,fp,gV,Eo,gV,gV,gV];var me=[hV,hV,rQ,hV,BQ,hV,zQ,hV,MQ,hV,sQ,hV,KQ,hV,xs,hV,jQ,hV,kQ,hV,hV,hV,hV,hV,hV,hV,hV,hV,hV,hV,hV,hV];var ne=[iV,iV,rF,iV,YF,iV,VS,iV,pl,iV,Ol,iV,US,iV,So,iV,Xm,iV,vg,iV,lv,iV,rK,iV,rg,iV,LL,iV,FK,iV,WS,iV,Qo,iV,GL,iV,sm,iV,tg,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV,iV];return{_testSetjmp:JT,_strlen:ET,_free:dT,_main:rf,_rand_r:LT,_realloc:fT,_strncpy:FT,_memmove:KT,__GLOBAL__I_a:mI,_saveSetjmp:IT,_memset:HT,_malloc:cT,_memcpy:GT,_strcpy:NT,_calloc:eT,_rand:MT,runPostSets:Ee,stackAlloc:oe,stackSave:pe,stackRestore:qe,setThrew:re,setTempRet0:ue,setTempRet1:ve,setTempRet2:we,setTempRet3:xe,setTempRet4:ye,setTempRet5:ze,setTempRet6:Ae,setTempRet7:Be,setTempRet8:Ce,setTempRet9:De,dynCall_iiiiiiii:nU,dynCall_vd:oU,dynCall_viiiii:pU,dynCall_vi:qU,dynCall_vii:rU,dynCall_iiiiiiiiiii:sU,dynCall_ii:tU,dynCall_iiiiii:uU,dynCall_iiii:vU,dynCall_viiiiid:wU,dynCall_viiiiiiii:xU,dynCall_viiiiii:yU,dynCall_viidii:zU,dynCall_iid:AU,dynCall_viiiiiii:BU,dynCall_viiiiiid:CU,dynCall_viiiiiiiii:DU,dynCall_iii:EU,dynCall_iiiiidi:FU,dynCall_i:GU,dynCall_iiiii:HU,dynCall_viii:IU,dynCall_v:JU,dynCall_iiiiiiiii:KU,dynCall_viiii:LU}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_viidii": invoke_viidii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "_sysconf": _sysconf, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_lis_vector_create": _lis_vector_create, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "_fmin": _fmin, "_acos": _acos, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_emscripten_memcpy_big": _emscripten_memcpy_big, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_log": _log, "_puts": _puts, "_xerbla_": _xerbla_, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_pthread_cond_broadcast": _pthread_cond_broadcast, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_catclose": _catclose, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_floor": _floor, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "__exit": __exit, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_GC_collect_a_little": _GC_collect_a_little, "_lis_solver_set_option": _lis_solver_set_option, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "_stdin": _stdin, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






